function H = C13A()
% ------------------------------------------------------------------------------
% 2006-12-05 Wojciech Bruzda; name[at]uj.edu.pl : name = w.bruzda
%            https://chaos.if.uj.edu.pl/~karol/hadamard/
%            https://github.com/matrix-toolbox/
% ------------------------------------------------------------------------------
% Symmetric isolated CHM of order N = 13.
%
% >> H = C13A;
% ------------------------------------------------------------------------------


    c = (i * sqrt(130 + 2 * sqrt(13)) - 1 + sqrt(13)) / 12;
    H = [
        1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1;
        1, c^(-2),      c, c^(-3), c^(-1),      c, c^(-1), c^(-1), c^(-1), c^(-3), c^(-1),      c, c^(-3);
        1,      c,    c^2,      c, c^(-1),    c^3,    c^3,      c,      c, c^(-1), c^(-1),    c^3,      c;
        1, c^(-3),      c, c^(-2), c^(-1), c^(-1),      c,      c, c^(-1), c^(-3), c^(-3), c^(-1), c^(-1);
        1, c^(-1), c^(-1), c^(-1), c^(-2),      c, c^(-1),      c,      c, c^(-3), c^(-3), c^(-1), c^(-3);
        1,      c,    c^3, c^(-1),      c,    c^2,    c^3,      c,    c^3,      c, c^(-1),      c, c^(-1);
        1, c^(-1),    c^3,      c, c^(-1),    c^3,    c^2,    c^3,      c,      c,      c,      c, c^(-1);
        1, c^(-1),      c,      c,      c,      c,    c^3,    c^2,    c^3, c^(-1),      c,    c^3, c^(-1);
        1, c^(-1),      c, c^(-1),      c,    c^3,      c,    c^3,    c^2,      c, c^(-1),    c^3,      c;
        1, c^(-3), c^(-1), c^(-3), c^(-3),      c,      c, c^(-1),      c, c^(-2), c^(-1), c^(-1), c^(-1);
        1, c^(-1), c^(-1), c^(-3), c^(-3), c^(-1),      c,      c, c^(-1), c^(-1), c^(-2),      c, c^(-3);
        1,      c,    c^3, c^(-1), c^(-1),      c,      c,    c^3,    c^3, c^(-1),      c,    c^2,      c;
        1, c^(-3),      c, c^(-1), c^(-3), c^(-1), c^(-1), c^(-1),      c, c^(-1), c^(-3),      c, c^(-2);
    ];

end
