function H = C13B()
% ------------------------------------------------------------------------------
% 2006-12-05 Wojciech Bruzda; name[at]uj.edu.pl : name = w.bruzda
%            https://chaos.if.uj.edu.pl/~karol/hadamard/
%            https://github.com/matrix-toolbox/
% ------------------------------------------------------------------------------
% Symmetric isolated CHM of order N = 13.
%
% >> H = C13B;
% ------------------------------------------------------------------------------

    d = (i * sqrt(130 - 2 * sqrt(13)) - 1 - sqrt(13)) / 12;
    H = [
        1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1;
        1, d^(-2),      d, d^(-3), d^(-1),      d, d^(-1), d^(-1), d^(-1), d^(-3), d^(-1),      d, d^(-3);
        1,      d,    d^2,      d, d^(-1),    d^3,    d^3,      d,      d, d^(-1), d^(-1),    d^3,      d;
        1, d^(-3),      d, d^(-2), d^(-1), d^(-1),      d,      d, d^(-1), d^(-3), d^(-3), d^(-1), d^(-1);
        1, d^(-1), d^(-1), d^(-1), d^(-2),      d, d^(-1),      d,      d, d^(-3), d^(-3), d^(-1), d^(-3);
        1,      d,    d^3, d^(-1),      d,    d^2,    d^3,      d,    d^3,      d, d^(-1),      d, d^(-1);
        1, d^(-1),    d^3,      d, d^(-1),    d^3,    d^2,    d^3,      d,      d,      d,      d, d^(-1);
        1, d^(-1),      d,      d,      d,      d,    d^3,    d^2,    d^3, d^(-1),      d,    d^3, d^(-1);
        1, d^(-1),      d, d^(-1),      d,    d^3,      d,    d^3,    d^2,      d, d^(-1),    d^3,      d;
        1, d^(-3), d^(-1), d^(-3), d^(-3),      d,      d, d^(-1),      d, d^(-2), d^(-1), d^(-1), d^(-1);
        1, d^(-1), d^(-1), d^(-3), d^(-3), d^(-1),      d,      d, d^(-1), d^(-1), d^(-2),      d, d^(-3);
        1,      d,    d^3, d^(-1), d^(-1),      d,      d,    d^3,    d^3, d^(-1),      d,    d^2,      d;
        1, d^(-3),      d, d^(-1), d^(-3), d^(-1), d^(-1), d^(-1),      d, d^(-1), d^(-3),      d, d^(-2);
    ];

end
