function H = D10A(p)
% ------------------------------------------------------------------------------
% 2017-03-08 Wojciech Bruzda; name[at]uj.edu.pl : name = w.bruzda
%            https://chaos.if.uj.edu.pl/~karol/hadamard/
%            https://github.com/matrix-toolbox/
% ------------------------------------------------------------------------------
% CHM stemming form BH(10, 6) depending on 7 parameters;
%
% >> H = D10A(rand(1, 7));
% ------------------------------------------------------------------------------

    H = exp(2j*pi*[
        0 0 0 0 0 0 0 0 0 0;
        0 0 0 4 2 3 3 0 2 4;
        0 0 0 2 4 3 0 3 4 2;
        0 4 2 0 0 3 2 4 3 0;
        0 2 4 0 0 3 4 2 0 3;
        0 2 4 0 3 0 1 5 3 3;
        0 3 0 4 2 0 3 3 5 1;
        0 0 3 2 4 0 3 3 1 5;
        0 4 2 3 0 0 5 1 3 3;
        0 3 3 3 3 3 0 0 0 0;
    ]/6);

    R = [
        0 0                0                0                0                0                0              0              0              0             ;
        0 2*p(1)+p(3)+p(4) p(1)+p(2)+p(3)   p(1)+p(2)+p(3)   p(1)+p(2)+p(3)   2*p(1)+p(3)+p(4) 0              p(1)-p(2)+p(4) p(1)-p(2)+p(4) p(1)-p(2)+p(4);
        0 p(1)+p(2)+p(3)   2*p(1)+p(3)+p(5) p(1)+p(2)+p(3)   p(1)+p(2)+p(3)   2*p(1)+p(3)+p(5) p(1)-p(2)+p(5) 0              p(1)-p(2)+p(5) p(1)-p(2)+p(5);
        0 p(1)+p(2)+p(3)   p(1)+p(2)+p(3)   2*p(1)+p(3)+p(6) p(1)+p(2)+p(3)   2*p(1)+p(3)+p(6) p(1)-p(2)+p(6) p(1)-p(2)+p(6) 0              p(1)-p(2)+p(6);
        0 p(1)+p(2)+p(3)   p(1)+p(2)+p(3)   p(1)+p(2)+p(3)   2*p(1)+p(3)+p(7) 2*p(1)+p(3)+p(7) p(1)-p(2)+p(7) p(1)-p(2)+p(7) p(1)-p(2)+p(7) 0             ;
        0 p(1)+p(2)+p(3)   p(1)+p(2)+p(3)   p(1)+p(2)+p(3)   2*p(1)+p(3)+p(7) 2*p(1)+p(3)+p(7) p(1)-p(2)+p(7) p(1)-p(2)+p(7) p(1)-p(2)+p(7) 0             ;
        0 2*p(1)+p(3)+p(4) p(1)+p(2)+p(3)   p(1)+p(2)+p(3)   p(1)+p(2)+p(3)   2*p(1)+p(3)+p(4) 0              p(1)-p(2)+p(4) p(1)-p(2)+p(4) p(1)-p(2)+p(4);
        0 p(1)+p(2)+p(3)   2*p(1)+p(3)+p(5) p(1)+p(2)+p(3)   p(1)+p(2)+p(3)   2*p(1)+p(3)+p(5) p(1)-p(2)+p(5) 0              p(1)-p(2)+p(5) p(1)-p(2)+p(5);
        0 p(1)+p(2)+p(3)   p(1)+p(2)+p(3)   2*p(1)+p(3)+p(6) p(1)+p(2)+p(3)   2*p(1)+p(3)+p(6) p(1)-p(2)+p(6) p(1)-p(2)+p(6) 0              p(1)-p(2)+p(6);
        0 0                0                0                0                0                0              0              0              0             ;
    ];

    H = H .* exp(2j * pi * R);

end
