function H = D14(p)
% ------------------------------------------------------------------------------
% 2006-12-04 Wojciech Bruzda; name[at]uj.edu.pl : name = w.bruzda
%            https://chaos.if.uj.edu.pl/~karol/hadamard/
%            https://github.com/matrix-toolbox/
% ------------------------------------------------------------------------------
% CHM stemming form BH(14, 4) depending on 5 parameters;
%
% >> H = D14(rand(1, 5));
% ------------------------------------------------------------------------------


    D14 = exp(2j*pi*[
        0 0 0 0 0 0 0 0 0 0 0 0 0 0;
        0 2 1 3 1 1 3 3 3 3 1 1 3 1;
        0 1 2 1 3 1 1 3 3 3 3 1 1 3;
        0 3 1 2 1 3 1 1 3 3 3 3 1 1;
        0 1 3 1 2 1 3 1 1 3 3 3 3 1;
        0 1 1 3 1 2 1 3 1 1 3 3 3 3;
        0 3 1 1 3 1 2 1 3 1 1 3 3 3;
        0 3 3 1 1 3 1 2 1 3 1 1 3 3;
        0 3 3 3 1 1 3 1 2 1 3 1 1 3;
        0 3 3 3 3 1 1 3 1 2 1 3 1 1;
        0 1 3 3 3 3 1 1 3 1 2 1 3 1;
        0 1 1 3 3 3 3 1 1 3 1 2 1 3;
        0 3 1 1 3 3 3 3 1 1 3 1 2 1;
        0 1 3 1 1 3 3 3 3 1 1 3 1 2;
    ]/4);

    R = [
        0  0    0         0         0         0         0         0 0         0         0         0         0          0   ;
        0  0    p(1)      p(2)      0         p(3)      0         0 0         p(3)      0         p(2)      p(1)       0   ;
        0 -p(1) 0         0         0         p(3)-p(1) p(5)-p(1) 0 p(5)-p(1) p(3)-p(1) 0         0         0         -p(1);
        0 -p(2) 0         0         p(4)-p(2) 0         p(5)-p(2) 0 p(5)-p(2) 0         p(4)-p(2) 0         0         -p(2);
        0  0    0         p(2)-p(4) 0         p(3)-p(4) p(5)-p(4) 0 p(5)-p(4) p(3)-p(4) 0         p(2)-p(4) 0          0   ;
        0 -p(3) p(1)-p(3) 0         p(4)-p(3) 0         0         0 0         0         p(4)-p(3) 0         p(1)-p(3) -p(3);
        0  0    p(1)-p(5) p(2)-p(5) p(4)-p(5) 0         0         0 0         0         p(4)-p(5) p(2)-p(5) p(1)-p(5)  0   ;
        0  0    0         0         0         0         0         0 0         0         0         0         0          0   ;
        0  0    p(1)-p(5) p(2)-p(5) p(4)-p(5) 0         0         0 0         0         p(4)-p(5) p(2)-p(5) p(1)-p(5)  0   ;
        0 -p(3) p(1)-p(3) 0         p(4)-p(3) 0         0         0 0         0         p(4)-p(3) 0         p(1)-p(3) -p(3);
        0  0    0         p(2)-p(4) 0         p(3)-p(4) p(5)-p(4) 0 p(5)-p(4) p(3)-p(4) 0         p(2)-p(4) 0          0   ;
        0 -p(2) 0         0         p(4)-p(2) 0         p(5)-p(2) 0 p(5)-p(2) 0         p(4)-p(2) 0         0         -p(2);
        0 -p(1) 0         0         0         p(3)-p(1) p(5)-p(1) 0 p(5)-p(1) p(3)-p(1) 0         0         0         -p(1);
        0  0    p(1)      p(2)      0         p(3)      0         0 0         p(3)      0         p(2)      p(1)       0   ;
    ];

    H = D14 .* exp(2j * pi * R);

end
