function H = D8B(p)
% ------------------------------------------------------------------------------
% 2023-02-04 Wojciech Bruzda; name[at]uj.edu.pl : name = w.bruzda
%            https://chaos.if.uj.edu.pl/~karol/hadamard/
%            https://github.com/matrix-toolbox/
% ------------------------------------------------------------------------------
% CHM stemming form BH(8, 2) depending on 5 parameters;
% [1] https://arxiv.org/pdf/1002.4933.pdf
%
% >> H = D8B(rand(1, 5));
% ------------------------------------------------------------------------------

    H = exp(2j*pi*[
        0 0 0 0 0 0 0 0;
        0 0 0 0 1 1 1 1;
        0 0 1 1 0 0 1 1;
        0 0 1 1 1 1 0 0;
        0 1 0 1 1 0 1 0;
        0 1 1 0 1 0 0 1;
        0 1 0 1 0 1 0 1;
        0 1 1 0 0 1 1 0;
    ]/2);

    R = [
        0  0     0    0               0               0     0     0;
        0  p(1)  p(5) p(4)            p(4)            p(5)  p(1)  0;
        0  p(2)  p(5) p(2)+p(4)-p(1)  p(2)+p(4)-p(1)  p(5)  p(2)  0;
        0  p(3)  p(3) 0               0               p(3)  p(3)  0;
        0  p(3)  p(3) 0               0               p(3)  p(3)  0;
        0  p(2)  p(5) p(2)+p(4)-p(1)  p(2)+p(4)-p(1)  p(5)  p(2)  0;
        0  p(1)  p(5) p(4)            p(4)            p(5)  p(1)  0;
        0  0     0    0               0               0     0     0;
    ];

    H = H .* exp(2j * pi * R);

end
