function H = D8C(p)
% ------------------------------------------------------------------------------
% 2016-06-12 Wojciech Bruzda; name[at]uj.edu.pl : name = w.bruzda
%            https://chaos.if.uj.edu.pl/~karol/hadamard/
%            https://github.com/matrix-toolbox/
% ------------------------------------------------------------------------------
% CHM stemming form BH(8, 2) depending on 6 parameters;
%
% >> H = D8C(rand(1, 6));
% ------------------------------------------------------------------------------

    D8 = exp(2j*pi*[
        0 0 0 0 0 0 0 0;
        0 0 1 0 1 1 0 1;
        0 0 0 1 1 1 1 0;
        0 1 0 0 1 0 1 1;
        0 1 0 1 0 1 0 1;
        0 1 1 0 0 1 1 0;
        0 0 1 1 0 0 1 1;
        0 1 1 1 1 0 0 0;
    ]/2);

    R = [
        0   0                0                0                0              0              0              0             ;
        0 2*p(1)+p(3)+p(4)   p(1)+p(2)+p(3)   p(1)+p(2)+p(3) 2*p(1)+p(3)+p(4) 0              p(1)-p(2)+p(4) p(1)-p(2)+p(4);
        0   p(1)+p(2)+p(3) 2*p(1)+p(3)+p(5)   p(1)+p(2)+p(3) 2*p(1)+p(3)+p(5) p(1)-p(2)+p(5) 0              p(1)-p(2)+p(5);
        0   p(1)+p(2)+p(3)   p(1)+p(2)+p(3) 2*p(1)+p(3)+p(6) 2*p(1)+p(3)+p(6) p(1)-p(2)+p(6) p(1)-p(2)+p(6)              0;
        0   p(1)+p(2)+p(3)   p(1)+p(2)+p(3) 2*p(1)+p(3)+p(6) 2*p(1)+p(3)+p(6) p(1)-p(2)+p(6) p(1)-p(2)+p(6)              0;
        0 2*p(1)+p(3)+p(4)   p(1)+p(2)+p(3)   p(1)+p(2)+p(3) 2*p(1)+p(3)+p(4) 0              p(1)-p(2)+p(4) p(1)-p(2)+p(4);
        0   p(1)+p(2)+p(3) 2*p(1)+p(3)+p(5)   p(1)+p(2)+p(3) 2*p(1)+p(3)+p(5) p(1)-p(2)+p(5) 0              p(1)-p(2)+p(5);
        0   0                0                0                0              0              0              0             ;
    ];

    H = D8 .* exp(2j * pi * R);

end
