function H = F10(p)
% ------------------------------------------------------------------------------
% 2006-12-05 Wojciech Bruzda; name[at]uj.edu.pl : name = w.bruzda
%            https://chaos.if.uj.edu.pl/~karol/hadamard/
%            https://github.com/matrix-toolbox/
% ------------------------------------------------------------------------------
% Fourier CHM depending on 4 parameters;
%
% >> H = F10(rand(1, 4));
% ------------------------------------------------------------------------------

    R = [
        0 0 0 0 0 0 0 0 0 0;
        0 p(1) p(2) p(3) p(4) 0 p(1) p(2) p(3) p(4);
        0 0 0 0 0 0 0 0 0 0;
        0 p(1) p(2) p(3) p(4) 0 p(1) p(2) p(3) p(4);
        0 0 0 0 0 0 0 0 0 0;
        0 p(1) p(2) p(3) p(4) 0 p(1) p(2) p(3) p(4);
        0 0 0 0 0 0 0 0 0 0;
        0 p(1) p(2) p(3) p(4) 0 p(1) p(2) p(3) p(4);
        0 0 0 0 0 0 0 0 0 0;
        0 p(1) p(2) p(3) p(4) 0 p(1) p(2) p(3) p(4);
    ];

    H = FN(10) .* exp(2j * pi * R);

end
