function H = F14(p)
% ------------------------------------------------------------------------------
% 2016-12-05 Wojciech Bruzda; name[at]uj.edu.pl : name = w.bruzda
%            https://chaos.if.uj.edu.pl/~karol/hadamard/
%            https://github.com/matrix-toolbox/
% ------------------------------------------------------------------------------
% Fourier CHM depending on 6 parameters;
%
% >> H = F14(rand(1, 6));
% ------------------------------------------------------------------------------

    R = [
        0 0 0 0 0 0 0 0 0 0 0 0 0 0;
        0 p(1) p(2) p(3) p(4) p(5) p(6) 0 p(1) p(2) p(3) p(4) p(5) p(6);
        0 0 0 0 0 0 0 0 0 0 0 0 0 0;
        0 p(1) p(2) p(3) p(4) p(5) p(6) 0 p(1) p(2) p(3) p(4) p(5) p(6);
        0 0 0 0 0 0 0 0 0 0 0 0 0 0;
        0 p(1) p(2) p(3) p(4) p(5) p(6) 0 p(1) p(2) p(3) p(4) p(5) p(6);
        0 0 0 0 0 0 0 0 0 0 0 0 0 0;
        0 p(1) p(2) p(3) p(4) p(5) p(6) 0 p(1) p(2) p(3) p(4) p(5) p(6);
        0 0 0 0 0 0 0 0 0 0 0 0 0 0;
        0 p(1) p(2) p(3) p(4) p(5) p(6) 0 p(1) p(2) p(3) p(4) p(5) p(6);
        0 0 0 0 0 0 0 0 0 0 0 0 0 0;
        0 p(1) p(2) p(3) p(4) p(5) p(6) 0 p(1) p(2) p(3) p(4) p(5) p(6);
        0 0 0 0 0 0 0 0 0 0 0 0 0 0;
        0 p(1) p(2) p(3) p(4) p(5) p(6) 0 p(1) p(2) p(3) p(4) p(5) p(6);
    ];

    H = FN(14) .* exp(2j * pi * R);

end
