function H = F15(p)
% ------------------------------------------------------------------------------
% 2016-12-05 Wojciech Bruzda; name[at]uj.edu.pl : name = w.bruzda
%            https://chaos.if.uj.edu.pl/~karol/hadamard/
%            https://github.com/matrix-toolbox/
% ------------------------------------------------------------------------------
% Fourier CHM depending on 8 parameters;
%
% >> H = F15(rand(1, 8));
% ------------------------------------------------------------------------------

    R = [
        0 0 0 0 0 0 0 0 0 0 0 0 0 0 0;
        0 p(1) p(2) p(3) p(4) 0 p(1) p(2) p(3) p(4) 0 p(1) p(2) p(3) p(4);
        0 p(5) p(6) p(7) p(8) 0 p(5) p(6) p(7) p(8) 0 p(5) p(6) p(7) p(8);
        0 0 0 0 0 0 0 0 0 0 0 0 0 0 0;
        0 p(1) p(2) p(3) p(4) 0 p(1) p(2) p(3) p(4) 0 p(1) p(2) p(3) p(4);
        0 p(5) p(6) p(7) p(8) 0 p(5) p(6) p(7) p(8) 0 p(5) p(6) p(7) p(8);
        0 0 0 0 0 0 0 0 0 0 0 0 0 0 0;
        0 p(1) p(2) p(3) p(4) 0 p(1) p(2) p(3) p(4) 0 p(1) p(2) p(3) p(4);
        0 p(5) p(6) p(7) p(8) 0 p(5) p(6) p(7) p(8) 0 p(5) p(6) p(7) p(8);
        0 0 0 0 0 0 0 0 0 0 0 0 0 0 0;
        0 p(1) p(2) p(3) p(4) 0 p(1) p(2) p(3) p(4) 0 p(1) p(2) p(3) p(4);
        0 p(5) p(6) p(7) p(8) 0 p(5) p(6) p(7) p(8) 0 p(5) p(6) p(7) p(8);
        0 0 0 0 0 0 0 0 0 0 0 0 0 0 0;
        0 p(1) p(2) p(3) p(4) 0 p(1) p(2) p(3) p(4) 0 p(1) p(2) p(3) p(4);
        0 p(5) p(6) p(7) p(8) 0 p(5) p(6) p(7) p(8) 0 p(5) p(6) p(7) p(8);
    ];

    H = FN(15) .* exp(2 * pi * i * R);

end
