function H = F16(p)
% ------------------------------------------------------------------------------
% 2016-12-05 Wojciech Bruzda; name[at]uj.edu.pl : name = w.bruzda
%            https://chaos.if.uj.edu.pl/~karol/hadamard/
%            https://github.com/matrix-toolbox/
% ------------------------------------------------------------------------------
% Fourier CHM depending on 17 parameters;
%
% >> H = F14(rand(1, 17));
% ------------------------------------------------------------------------------

    R = [
        0 0     0     0                 0    0               0               0                           0 0     0     0                 0    0               0               0                          ;
        0 p(1)  p(2)  p(3)              p(4) p(5)            p(6)            p(7)                        0 p(1)  p(2)  p(3)              p(4) p(5)            p(6)            p(7)                       ;
        0 p(8)  p(9)  p(10)             0    p(8)            p(9)            p(10)                       0 p(8)  p(9)  p(10)             0    p(8)            p(9)            p(10)                      ;
        0 p(11) p(12) p(13)             p(4) p(5)-p(1)+p(11) p(6)-p(2)+p(12) p(7)-p(3)+p(13)             0 p(11) p(12) p(13)             p(4) p(5)-p(1)+p(11) p(6)-p(2)+p(12) p(7)-p(3)+p(13)            ;
        0 p(14) 0     p(14)             0    p(14)           0               p(14)                       0 p(14) 0     p(14)             0    p(14)           0               p(14)                      ;
        0 p(15) p(2)  p(3)-p(1)+p(15)   p(4) p(5)-p(1)+p(15) p(6)            p(7)-p(1)+p(15)             0 p(15) p(2)  p(3)-p(1)+p(15)   p(4) p(5)-p(1)+p(15) p(6)            p(7)-p(1)+p(15)            ;
        0 p(16) p(9)  p(10)-p(8)+p(16)  0    p(16)           p(9)            p(10)-p(8)+p(16)            0 p(16) p(9)  p(10)-p(8)+p(16)  0    p(16)           p(9)            p(10)-p(8)+p(16)           ;
        0 p(17) p(12) p(13)-p(11)+p(17) p(4) p(5)-p(1)+p(17) p(6)-p(2)+p(12) p(7)-p(3)-p(11)+p(13)+p(17) 0 p(17) p(12) p(13)-p(11)+p(17) p(4) p(5)-p(1)+p(17) p(6)-p(2)+p(12) p(7)-p(3)-p(11)+p(13)+p(17);
        0 0     0     0                 0    0               0               0                           0 0     0     0                 0    0               0               0                          ;
        0 p(1)  p(2)  p(3)              p(4) p(5)            p(6)            p(7)                        0 p(1)  p(2)  p(3)              p(4) p(5)            p(6)            p(7)                       ;
        0 p(8)  p(9)  p(10)             0    p(8)            p(9)            p(10)                       0 p(8)  p(9)  p(10)             0    p(8)            p(9)            p(10)                      ;
        0 p(11) p(12) p(13)             p(4) p(5)-p(1)+p(11) p(6)-p(2)+p(12) p(7)-p(3)+p(13)             0 p(11) p(12) p(13)             p(4) p(5)-p(1)+p(11) p(6)-p(2)+p(12) p(7)-p(3)+p(13)            ;
        0 p(14) 0     p(14)             0    p(14)           0               p(14)                       0 p(14) 0     p(14)             0    p(14)           0               p(14)                      ;
        0 p(15) p(2)  p(3)-p(1)+p(15)   p(4) p(5)-p(1)+p(15) p(6)            p(7)-p(1)+p(15)             0 p(15) p(2)  p(3)-p(1)+p(15)   p(4) p(5)-p(1)+p(15) p(6)            p(7)-p(1)+p(15)            ;
        0 p(16) p(9)  p(10)-p(8)+p(16)  0    p(16)           p(9)            p(10)-p(8)+p(16)            0 p(16) p(9)  p(10)-p(8)+p(16)  0    p(16)           p(9)            p(10)-p(8)+p(16)           ;
        0 p(17) p(12) p(13)-p(11)+p(17) p(4) p(5)-p(1)+p(17) p(6)-p(2)+p(12) p(7)-p(3)-p(11)+p(13)+p(17) 0 p(17) p(12) p(13)-p(11)+p(17) p(4) p(5)-p(1)+p(17) p(6)-p(2)+p(12) p(7)-p(3)-p(11)+p(13)+p(17);
    ];

    H = FN(16) .* exp(2j * pi * R);

end
