function H = F8(p)
% ------------------------------------------------------------------------------
% 2016-12-05 Wojciech Bruzda; name[at]uj.edu.pl : name = w.bruzda
%            https://chaos.if.uj.edu.pl/~karol/hadamard/
%            https://github.com/matrix-toolbox/
% ------------------------------------------------------------------------------
% Fourier CHM depending on 5 parameters;
%
% >> H = F8(rand(1, 5));
% ------------------------------------------------------------------------------

    R = [
        0 0    0    0                  0 0    0    0;
        0 p(1) p(2) p(3)               0 p(1) p(2) p(3);
        0 p(4) 0    p(4)               0 p(4) 0    p(4);
        0 p(5) p(2) p(3) - p(1) + p(5) 0 p(5) p(2) p(3) - p(1) + p(5);
        0 0    0    0                  0 0    0    0;
        0 p(1) p(2) p(3)               0 p(1) p(2) p(3);
        0 p(4) 0    p(4)               0 p(4) 0    p(4);
        0 p(5) p(2) p(3) - p(1) + p(5) 0 p(5) p(2) p(3) - p(1) + p(5);
    ];

    H = FN(8) .* exp(2j * pi * R);

end
