function H = H12(p)
% ------------------------------------------------------------------------------
% 2006-12-05 Wojciech Bruzda; name[at]uj.edu.pl : name = w.bruzda
%            https://chaos.if.uj.edu.pl/~karol/hadamard/
%            https://github.com/matrix-toolbox/
% ------------------------------------------------------------------------------
% Family of CHM depending on 7 parameters, stemming from BH(12, 2);
%
% >> H = H12(rand(1, 7));
% ------------------------------------------------------------------------------

    H12 = exp(2j*pi*[
        0 0 0 0 0 0 0 0 0 0 0 0;
        0 0 0 0 0 0 1 1 1 1 1 1;
        0 1 0 0 1 1 0 0 1 0 1 1;
        0 1 0 1 0 1 1 0 0 1 0 1;
        0 1 1 0 1 0 1 0 0 1 1 0;
        0 0 0 1 1 1 0 1 0 1 1 0;
        0 0 1 1 0 1 1 0 1 0 1 0;
        0 0 1 0 1 1 1 1 0 0 0 1;
        0 1 0 1 1 0 1 1 1 0 0 0;
        0 0 1 1 1 0 0 0 1 1 0 1;
        0 1 1 1 0 0 0 1 0 0 1 1;
        0 1 1 0 0 1 0 1 1 1 0 0;
    ]/2);

    R = [
        0 0 0         0         0         0         0              0              0              0              0              0             ;
        0 0 0         0         0         0         0              0              0              0              0              0             ;
        0 0 p(1)      p(1)      p(1)      p(1)      p(1)+p(7)      p(1)+p(7)      p(1)+p(5)+p(7) p(1)+p(5)+p(7) p(1)+p(7)      p(1)+p(7)     ;
        0 0 p(1)+p(2) p(1)+p(2) p(1)+p(3) p(1)+p(3) p(1)+p(4)+p(7) p(1)+p(4)+p(7) p(1)+p(5)+p(7) p(1)+p(5)+p(7) p(1)+p(6)+p(7) p(1)+p(6)+p(7);
        0 0 p(1)+p(2) p(1)+p(2) p(1)+p(3) p(1)+p(3) p(1)+p(4)+p(7) p(1)+p(4)+p(7) p(1)+p(5)+p(7) p(1)+p(5)+p(7) p(1)+p(6)+p(7) p(1)+p(6)+p(7);
        0 0 p(2)      p(2)      0         0         p(4)+p(7)      p(4)+p(7)      p(5)+p(7)      p(5)+p(7)      p(6)+p(7)      p(6)+p(7)     ;
        0 0 0         0         p(3)      p(3)      p(4)+p(7)      p(4)+p(7)      p(5)+p(7)      p(5)+p(7)      p(6)+p(7)      p(6)+p(7)     ;
        0 0 p(2)      p(2)      0         0         p(7)           p(7)           p(7)           p(7)           p(6)+p(7)      p(6)+p(7)     ;
        0 0 p(1)+p(2) p(1)+p(2) p(1)+p(3) p(1)+p(3) p(1)+p(7)      p(1)+p(7)      p(1)+p(5)+p(7) p(1)+p(5)+p(7) p(1)+p(7)      p(1)+p(7)     ;
        0 0 0         0         p(3)      p(3)      p(7)           p(7)           p(7)           p(7)           p(6)+p(7)      p(6)+p(7)     ;
        0 0 p(1)      p(1)      p(1)      p(1)      p(1)+p(4)+p(7) p(1)+p(4)+p(7) p(1)+p(7)      p(1)+p(7)      p(1)+p(7)      p(1)+p(7)     ;
        0 0 p(1)+p(2) p(1)+p(2) p(1)+p(3) p(1)+p(3) p(1)+p(4)+p(7) p(1)+p(4)+p(7) p(1)+p(7)      p(1)+p(7)      p(1)+p(7)      p(1)+p(7)     ;
    ];

    H = H12 .* exp(2j * pi * R);

end
