function H = M13B(p)
% ------------------------------------------------------------------------------
% 2017-03-30 Wojciech Bruzda; name[at]uj.edu.pl : name = w.bruzda
%            https://chaos.if.uj.edu.pl/~karol/hadamard/
%            https://github.com/matrix-toolbox/
% ------------------------------------------------------------------------------
% Example of BH(13, 6) found by A. LaClair et al. extended to a 1-parameter affine family;
%
% >> H = M13B(rand);
% ------------------------------------------------------------------------------

    M13 = exp(2j*pi*[
        0 0 0 0 0 0 0 0 0 0 0 0 0;
        0 5 5 5 3 3 3 3 2 2 1 0 0;
        0 1 1 3 1 3 4 5 1 3 5 3 5;
        0 3 0 1 3 1 5 3 0 4 1 4 3;
        0 1 3 4 5 1 1 3 4 4 1 2 5;
        0 3 5 3 5 5 3 0 2 0 1 2 3;
        0 5 3 1 1 4 1 5 4 2 1 4 3;
        0 5 3 1 5 1 3 1 2 4 4 4 1;
        0 2 0 4 4 2 1 0 4 2 4 5 2;
        0 4 0 2 2 4 1 2 4 5 4 2 0;
        0 0 3 5 3 3 5 1 0 0 3 2 3;
        0 2 2 0 2 0 3 4 3 0 4 0 4;
        0 3 3 3 0 5 5 3 0 2 3 0 1;
    ]/6);


    R = [
        0  0  0  0  0 0 0  0 0 0  0 0  0;
        0  0  0  p  0 p 0  0 0 p  0 p  0;
        0  0  0  0  0 0 0  0 0 0  0 0  0;
        0  0  0  p  0 p 0  0 0 p  0 p  0;
        0 -p -p  0 -p 0 0 -p 0 0 -p 0 -p;
        0  0  0  p  0 p 0  0 0 p  0 p  0;
        0 -p -p  0 -p 0 0 -p 0 0 -p 0 -p;
        0  0  0  p  0 p 0  0 0 p  0 p  0;
        0 -p -p  0 -p 0 0 -p 0 0 -p 0 -p;
        0 -p -p  0 -p 0 0 -p 0 0 -p 0 -p;
        0  0  0  p  0 p 0  0 0 p  0 p  0;
        0  0  0  0  0 0 0  0 0 0  0 0  0;
        0  0  0  p  0 p 0  0 0 p  0 p  0;
    ];

    H = M13 .* exp(2j * pi * R);

end
