function H = M13C(p)
% ------------------------------------------------------------------------------
% 2017-03-30 Wojciech Bruzda; name[at]uj.edu.pl : name = w.bruzda
%            https://chaos.if.uj.edu.pl/~karol/hadamard/
%            https://github.com/matrix-toolbox/
% ------------------------------------------------------------------------------
% Example of BH(13, 6) found by A. LaClair et al. extended to a 2-parameter affine family;
%
% >> H = M13B([rand rand]);
% ------------------------------------------------------------------------------

    M13 = exp(2j*pi*[
        0 0 0 0 0 0 0 0 0 0 0 0 0;
        0 5 5 5 4 3 3 2 2 2 2 0 0;
        0 2 4 2 0 1 4 1 2 4 4 0 4;
        0 2 0 0 3 2 1 3 5 5 3 5 3;
        0 2 1 4 1 4 4 5 3 1 1 5 3;
        0 2 4 1 3 4 4 1 5 1 5 3 1;
        0 0 4 2 3 5 0 4 2 0 2 2 4;
        0 5 2 2 3 2 0 5 3 3 5 5 1;
        0 4 4 0 0 1 2 4 4 2 0 2 3;
        0 0 2 4 0 3 0 2 0 2 4 3 4;
        0 4 0 4 2 5 2 0 1 4 4 2 2;
        0 4 2 2 0 5 2 2 4 5 2 4 0;
        0 2 2 4 4 1 4 4 0 4 1 2 0;
    ]/6);

    R = [
        0 0 0 0 0 0 0 0 0 0 0 0 0;
        0 0 p(2) p(1) 0 0 0 p(2) 0 0 p(1) 0 0;
        0 0 p(2) p(1) p(1) p(1) 0 p(2) p(1) p(1) p(1) p(1) p(1);
        0 0 p(2) p(1) 0 0 0 p(2) 0 0 p(1) 0 0;
        0 0 p(2) p(1) p(2) p(2) 0 p(2) p(2) p(2) p(1) p(2) p(2);
        0 0 p(2) p(1) p(1) p(1) 0 p(2) p(1) p(1) p(1) p(1) p(1);
        0 0 0 0 0 0 0 0 0 0 0 0 0;
        0 0 p(2) p(1) 0 0 0 p(2) 0 0 p(1) 0 0;
        0 0 0 0 0 0 0 0 0 0 0 0 0;
        0 0 0 0 0 0 0 0 0 0 0 0 0;
        0 0 0 0 0 0 0 0 0 0 0 0 0;
        0 0 0 0 0 0 0 0 0 0 0 0 0;
        0 0 p(2) p(1) p(2) p(2) 0 p(2) p(2) p(2) p(1) p(2) p(2);
    ];

    H = M13 .* exp(2j * pi * R);

end
