function H = N10A
% ------------------------------------------------------------------------------
% 2006-12-05 Wojciech Bruzda; name[at]uj.edu.pl : name = w.bruzda
%            https://chaos.if.uj.edu.pl/~karol/hadamard/
%            https://github.com/matrix-toolbox/
% ------------------------------------------------------------------------------
% Isolated CHM found by K. Beauchamp and R. Nicoara;
% [1] https://arxiv.org/abs/math/0609076
%
% >> H = N10A;
% ------------------------------------------------------------------------------

    a = (i * sqrt(15) - 1) / 4;

    H = [
        1,   1,      1,      1,      1,   1,   1,   1,      1,      1;
        1,   1, a^(-2), a^(-1), a^(-2), a^2,   1, a^2,      1,      a;
        1, a^2,      1, a^(-2), a^(-2),   1,   a, a^2,      1, a^(-1);
        1,   1,      1,      1, a^(-2), a^2, a^2,   a, a^(-2), a^(-1);
        1, a^2, a^(-2),      1,      1,   a,   1, a^2, a^(-2), a^(-1);
        1,   1, a^(-1), a^(-2),      1,   1, a^2, a^2, a^(-2),      a;
        1, a^2,      1, a^(-2), a^(-1), a^2,   1,   1, a^(-2),      a;
        1, a^2, a^(-2),      1, a^(-2),   1, a^2,   1, a^(-1),      a;
        1,   a, a^(-2), a^(-2),      1, a^2, a^2,   1,      1, a^(-1);
        1,   a, a^(-1), a^(-1), a^(-1),   a,   a,   a, a^(-1),      1;
    ];

end
