function H = N10C
% ------------------------------------------------------------------------------
% 2008-05-28 Wojciech Bruzda; name[at]uj.edu.pl : name = w.bruzda
%            https://chaos.if.uj.edu.pl/~karol/hadamard/
%            https://github.com/matrix-toolbox/
% ------------------------------------------------------------------------------
% Isolated CHM of order N = 10;
%
% >> H = N10C;
% ------------------------------------------------------------------------------

    a = (2 + i * sqrt(5)) / 3; % + or - ; cf. N10D.m

    H = [
        1  1   1   1  1      1      1   1      1      1 ;
        1 -1   1   a  1      a'    -a  -1     -a'    -1 ;
        1  1  -a  -a -a'     1     -a  -a'    -a'     1 ;
        1  a  -a  -1  1     -1      1   a'    -a'    -1 ;
        1  1  -a'  1 -a'     1/a^2 -a'  1/a^2  1/a^2 -a';
        1  a'  1  -1  1/a^2 -1/a^2 -a' -1/a^2  1/a^2 -1 ;
        1 -a  -a   1 -a'    -a'     1  -a'     1     -a ;
        1 -1  -a'  a' 1/a^2 -1/a^2 -a'  a'    -a'     a';
        1 -a' -a' -a' 1/a^2  1/a^2  1  -a'     1/a^2  1 ;
        1 -1   1  -1 -a'    -1     -a   a'     1      a ;
    ];

end
