function H = N10_BH10_4(p)
% ------------------------------------------------------------------------------
% 2008-05-26 Wojciech Bruzda; name[at]uj.edu.pl : name = w.bruzda
%            https://chaos.if.uj.edu.pl/~karol/hadamard/
%            https://github.com/matrix-toolbox/
% ------------------------------------------------------------------------------
% A 1-parameter affine family of order N = 10, stemming from BH(10, 4);
%
% >> H = N10_BH10_4(rand);
% ------------------------------------------------------------------------------

    N10 = exp(2j*pi*[
        0 0 0 0 0 0 0 0 0 0;
        0 0 2 2 0 0 3 2 2 1;
        0 0 0 3 2 2 2 3 1 1;
        0 2 3 0 0 2 2 1 3 1;
        0 3 3 1 2 0 1 0 2 2;
        0 1 3 1 3 2 0 2 1 3;
        0 3 1 3 1 2 0 1 2 3;
        0 2 1 3 3 0 1 2 0 2;
        0 1 2 2 1 3 2 0 0 3;
        0 2 1 1 2 1 3 3 3 0;
    ]/4);

    R = [
        0 0  0  0 0 0 0 0 0 0;
        0 0  0  0 0 0 0 0 0 0;
        0 p  0  0 p 0 0 p p 0;
        0 p  0  0 p 0 0 p p 0;
        0 0 -p -p 0 0 0 0 0 0;
        0 0 -p -p 0 0 0 0 0 0;
        0 0 -p -p 0 0 0 0 0 0;
        0 0 -p -p 0 0 0 0 0 0;
        0 0  0  0 0 0 0 0 0 0;
        0 0  0  0 0 0 0 0 0 0;
    ];

    H = N10 .* exp(2j * pi * R);

end
