function H = N11A
% ------------------------------------------------------------------------------
% 2006-12-05 Wojciech Bruzda; name[at]uj.edu.pl : name = w.bruzda
%            https://chaos.if.uj.edu.pl/~karol/hadamard/
%            https://github.com/matrix-toolbox/
% ------------------------------------------------------------------------------
% Symmetric isolated CHM of order N = 11 found by R. Nicoara;
% [1] https://arxiv.org/abs/math/0404301
%
% >> H = N11A;
% ------------------------------------------------------------------------------

    a = -(3 + i * sqrt(7)) / 4;

    H = [
        1,       1,       1,       1,       1,       1,       1,       1,       1,       1,       1;
        1,       a,      -a,      -a,      -a,      -1,      -1, -a^(-1), -a^(-1),      -1,      -1;
        1,      -a        a,      -a,      -a,      -1,      -1,      -1,      -1, -a^(-1), -a^(-1);
        1,      -a,      -a,      -1,       a,      -1,      -a, -a^(-1),      -1, -a^(-1),      -1;
        1,      -a,      -a,       a,      -1,      -a,      -1,      -1, -a^(-1),      -1, -a^(-1);
        1,      -1,      -1,      -1,      -a,      -a,       1, -a^(-1),      -1,      -1, -a^(-1);
        1,      -1,      -1,      -a,      -1,       1,      -a,      -1, -a^(-1), -a^(-1),      -1;
        1, -a^(-1),      -1, -a^(-1),      -1, -a^(-1),      -1, -a^(-1),  a^(-1), -a^(-2), -a^(-2);
        1, -a^(-1),      -1,      -1, -a^(-1),      -1, -a^(-1),  a^(-1), -a^(-1), -a^(-2), -a^(-2);
        1,      -1, -a^(-1), -a^(-1),      -1,      -1, -a^(-1), -a^(-2), -a^(-2), -a^(-2),  a^(-2);
        1,      -1, -a^(-1),      -1, -a^(-1), -a^(-1),      -1, -a^(-2), -a^(-2),  a^(-2), -a^(-2);
    ];

end
