function H = P16_BH16_4 
% ------------------------------------------------------------------------------
% 2023-02-04 Wojciech Bruzda; name[at]uj.edu.pl : name = w.bruzda
%            https://chaos.if.uj.edu.pl/~karol/hadamard/
%            https://github.com/matrix-toolbox/
% ------------------------------------------------------------------------------
% Butson type matrix, BH(16, 4), of Petrescu type.
% [1] https://arxiv.org/abs/1110.5590
%
% >> H = P16_BH16_4;
% ------------------------------------------------------------------------------

    H = exp(2j*pi*[
        0 0 1 0 0 2 3 2 2 2 0 2 2 3 1 0;
        1 2 2 3 3 3 3 3 1 1 1 1 3 2 3 0;
        0 0 2 0 2 0 2 0 2 0 2 0 1 3 2 0;
        1 0 3 2 1 3 2 1 1 2 2 3 2 1 0 0;
        0 2 3 3 1 2 0 1 2 0 3 2 0 1 2 0;
        2 3 2 2 2 0 0 1 0 0 0 2 2 3 1 0;
        3 3 3 1 1 1 2 2 3 3 1 1 3 2 3 0;
        0 2 0 2 0 0 0 2 0 2 2 0 1 3 2 0;
        3 2 1 1 2 1 0 3 2 1 2 3 2 1 0 0;
        2 0 1 2 0 0 2 3 3 1 3 2 0 1 2 0;
        0 3 2 2 1 0 3 2 2 1 0 0 0 0 0 2;
        2 3 0 1 2 2 3 0 1 2 0 0 0 0 2 0;
        2 1 3 2 0 2 1 3 2 0 0 0 1 3 0 0;
        1 2 1 3 3 1 2 1 3 3 1 3 0 0 0 0;
        3 1 2 0 2 3 1 2 0 2 3 1 0 0 0 0;
        0 0 0 0 0 0 0 0 0 0 0 0 3 1 0 0;
    ]/4);

end
