function H = S10
% ------------------------------------------------------------------------------
% 2016-06-12 Wojciech Bruzda; name[at]uj.edu.pl : name = w.bruzda
%            https://chaos.if.uj.edu.pl/~karol/hadamard/
%            https://github.com/matrix-toolbox/
% ------------------------------------------------------------------------------
% An isolated BH(10, 5) of order N = 10 found by D. McNulty and S. Weigert;
% [1] https://arxiv.org/abs/1208.1057
%
% >> H = S10;
% ------------------------------------------------------------------------------

    H = exp(2j * pi *[
        0 0 0 0 0 0 0 0 0 0;
        0 1 2 3 4 4 0 1 2 3;
        0 2 4 1 3 1 3 0 2 4;
        0 3 1 4 2 1 4 2 0 3;
        0 4 3 2 1 4 3 2 1 0;
        0 3 2 2 3 0 1 4 4 1;
        0 2 0 4 4 3 2 3 1 1;
        0 1 3 1 0 2 4 3 4 2;
        0 0 1 3 1 2 2 4 3 4;
        0 4 4 0 2 3 1 1 3 2;
    ]/5);

end
