function H = S14
% ------------------------------------------------------------------------------
% 2016-06-12 Wojciech Bruzda; name[at]uj.edu.pl : name = w.bruzda
%            https://chaos.if.uj.edu.pl/~karol/hadamard/
%            https://github.com/matrix-toolbox/
% ------------------------------------------------------------------------------
% An isolated BH(14, 7) found by D. McNulty and S. Weigert;
% https://arxiv.org/abs/1208.1057
%
% >> H = S14;
% ------------------------------------------------------------------------------

    w = exp(2 * pi * i / 7);

    H = exp(2j * pi * [
        0 0 0 0 0 0 0 0 0 0 0 0 0 0;
        0 1 2 3 4 5 6 0 1 2 3 4 5 6;
        0 2 4 6 1 3 5 2 4 6 1 3 5 0;
        0 3 6 2 5 1 4 6 2 5 1 4 0 3;
        0 4 1 5 2 6 3 5 2 6 3 0 4 1;
        0 5 3 1 6 4 2 6 4 2 0 5 3 1;
        0 6 5 4 3 2 1 2 1 0 6 5 4 3;
        0 1 3 6 3 1 0 5 5 4 2 6 2 4;
        0 0 1 3 6 3 1 4 5 5 4 2 6 2;
        0 6 6 0 2 5 2 1 3 4 4 3 1 5;
        0 5 4 4 5 0 3 3 6 1 2 2 1 6;
        0 4 2 1 1 2 4 3 0 3 5 6 6 5;
        0 3 0 5 4 4 5 1 6 3 6 1 2 2;
        0 2 5 2 0 6 6 4 3 1 5 1 3 4;
    ] / 7);

end
