function H = S9
% ------------------------------------------------------------------------------
% 2016-04-04 Wojciech Bruzda; name[at]uj.edu.pl : name = w.bruzda
%            https://chaos.if.uj.edu.pl/~karol/hadamard/
%            https://github.com/matrix-toolbox/
% ------------------------------------------------------------------------------
% An isolated BH(9, 6) found by D. McNulty and S. Weigert;
% https://arxiv.org/abs/1208.1057
%
% >> H = S9;
% ------------------------------------------------------------------------------

    H = exp(2j*pi*[
        0 0 0 0 0 0 0 0 0;
        0 2 4 0 2 4 4 0 2;
        0 4 2 0 4 2 4 2 0;
        0 0 0 2 2 2 4 4 4;
        0 2 4 2 4 0 2 4 0;
        0 4 2 2 0 4 2 0 4;
        0 2 2 4 0 0 5 3 3;
        0 4 0 4 2 4 1 3 1;
        0 0 4 4 4 2 1 1 3;
    ]/6);

end
