function [H, x, is_unimodular]=circulant_L23(x0)
% 2021-09-14
%
% usage: 
% 1. first run to get unimodular solution:
% >> clc; [H x]=circulant_L11(exp(2j*pi*randn(1,5)))
% 2. other runs to get closer
% >> clc; [H x]=circulant_L11(x);

        [x info]=fsolve(@uc, x0);
        is_unimodular=abs(x)
        is_convergent=sum(abs(info)) % should be all zeros
        H=[
		1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1; 
		1 x(01) conj(x(01)) x(02) conj(x(02)) x(03) conj(x(03)) x(04) conj(x(04)) x(05) conj(x(05)) x(06) conj(x(06)) x(07) conj(x(07)) x(08) conj(x(08)) x(09) conj(x(09)) x(10) conj(x(10)) x(11) conj(x(11)); 
		1 conj(x(01)) x(01) conj(x(02)) x(02) conj(x(03)) x(03) conj(x(04)) x(04) conj(x(05)) x(05) conj(x(06)) x(06) conj(x(07)) x(07) conj(x(08)) x(08) conj(x(09)) x(09) conj(x(10)) x(10) conj(x(11)) x(11); 
		1 x(11) conj(x(11)) x(01) conj(x(01)) x(02) conj(x(02)) x(03) conj(x(03)) x(04) conj(x(04)) x(05) conj(x(05)) x(06) conj(x(06)) x(07) conj(x(07)) x(08) conj(x(08)) x(09) conj(x(09)) x(10) conj(x(10)); 
		1 conj(x(11)) x(11) conj(x(01)) x(01) conj(x(02)) x(02) conj(x(03)) x(03) conj(x(04)) x(04) conj(x(05)) x(05) conj(x(06)) x(06) conj(x(07)) x(07) conj(x(08)) x(08) conj(x(09)) x(09) conj(x(10)) x(10); 
		1 x(10) conj(x(10)) x(11) conj(x(11)) x(01) conj(x(01)) x(02) conj(x(02)) x(03) conj(x(03)) x(04) conj(x(04)) x(05) conj(x(05)) x(06) conj(x(06)) x(07) conj(x(07)) x(08) conj(x(08)) x(09) conj(x(09)); 
		1 conj(x(10)) x(10) conj(x(11)) x(11) conj(x(01)) x(01) conj(x(02)) x(02) conj(x(03)) x(03) conj(x(04)) x(04) conj(x(05)) x(05) conj(x(06)) x(06) conj(x(07)) x(07) conj(x(08)) x(08) conj(x(09)) x(09); 
		1 x(09) conj(x(09)) x(10) conj(x(10)) x(11) conj(x(11)) x(01) conj(x(01)) x(02) conj(x(02)) x(03) conj(x(03)) x(04) conj(x(04)) x(05) conj(x(05)) x(06) conj(x(06)) x(07) conj(x(07)) x(08) conj(x(08)); 
		1 conj(x(09)) x(09) conj(x(10)) x(10) conj(x(11)) x(11) conj(x(01)) x(01) conj(x(02)) x(02) conj(x(03)) x(03) conj(x(04)) x(04) conj(x(05)) x(05) conj(x(06)) x(06) conj(x(07)) x(07) conj(x(08)) x(08); 
		1 x(08) conj(x(08)) x(09) conj(x(09)) x(10) conj(x(10)) x(11) conj(x(11)) x(01) conj(x(01)) x(02) conj(x(02)) x(03) conj(x(03)) x(04) conj(x(04)) x(05) conj(x(05)) x(06) conj(x(06)) x(07) conj(x(07)); 
		1 conj(x(08)) x(08) conj(x(09)) x(09) conj(x(10)) x(10) conj(x(11)) x(11) conj(x(01)) x(01) conj(x(02)) x(02) conj(x(03)) x(03) conj(x(04)) x(04) conj(x(05)) x(05) conj(x(06)) x(06) conj(x(07)) x(07); 
		1 x(07) conj(x(07)) x(08) conj(x(08)) x(09) conj(x(09)) x(10) conj(x(10)) x(11) conj(x(11)) x(01) conj(x(01)) x(02) conj(x(02)) x(03) conj(x(03)) x(04) conj(x(04)) x(05) conj(x(05)) x(06) conj(x(06)); 
		1 conj(x(07)) x(07) conj(x(08)) x(08) conj(x(09)) x(09) conj(x(10)) x(10) conj(x(11)) x(11) conj(x(01)) x(01) conj(x(02)) x(02) conj(x(03)) x(03) conj(x(04)) x(04) conj(x(05)) x(05) conj(x(06)) x(06); 
		1 x(06) conj(x(06)) x(07) conj(x(07)) x(08) conj(x(08)) x(09) conj(x(09)) x(10) conj(x(10)) x(11) conj(x(11)) x(01) conj(x(01)) x(02) conj(x(02)) x(03) conj(x(03)) x(04) conj(x(04)) x(05) conj(x(05)); 
		1 conj(x(06)) x(06) conj(x(07)) x(07) conj(x(08)) x(08) conj(x(09)) x(09) conj(x(10)) x(10) conj(x(11)) x(11) conj(x(01)) x(01) conj(x(02)) x(02) conj(x(03)) x(03) conj(x(04)) x(04) conj(x(05)) x(05); 
		1 x(05) conj(x(05)) x(06) conj(x(06)) x(07) conj(x(07)) x(08) conj(x(08)) x(09) conj(x(09)) x(10) conj(x(10)) x(11) conj(x(11)) x(01) conj(x(01)) x(02) conj(x(02)) x(03) conj(x(03)) x(04) conj(x(04)); 
		1 conj(x(05)) x(05) conj(x(06)) x(06) conj(x(07)) x(07) conj(x(08)) x(08) conj(x(09)) x(09) conj(x(10)) x(10) conj(x(11)) x(11) conj(x(01)) x(01) conj(x(02)) x(02) conj(x(03)) x(03) conj(x(04)) x(04); 
		1 x(04) conj(x(04)) x(05) conj(x(05)) x(06) conj(x(06)) x(07) conj(x(07)) x(08) conj(x(08)) x(09) conj(x(09)) x(10) conj(x(10)) x(11) conj(x(11)) x(01) conj(x(01)) x(02) conj(x(02)) x(03) conj(x(03)); 
		1 conj(x(04)) x(04) conj(x(05)) x(05) conj(x(06)) x(06) conj(x(07)) x(07) conj(x(08)) x(08) conj(x(09)) x(09) conj(x(10)) x(10) conj(x(11)) x(11) conj(x(01)) x(01) conj(x(02)) x(02) conj(x(03)) x(03); 
		1 x(03) conj(x(03)) x(04) conj(x(04)) x(05) conj(x(05)) x(06) conj(x(06)) x(07) conj(x(07)) x(08) conj(x(08)) x(09) conj(x(09)) x(10) conj(x(10)) x(11) conj(x(11)) x(01) conj(x(01)) x(02) conj(x(02)); 
		1 conj(x(03)) x(03) conj(x(04)) x(04) conj(x(05)) x(05) conj(x(06)) x(06) conj(x(07)) x(07) conj(x(08)) x(08) conj(x(09)) x(09) conj(x(10)) x(10) conj(x(11)) x(11) conj(x(01)) x(01) conj(x(02)) x(02); 
		1 x(02) conj(x(02)) x(03) conj(x(03)) x(04) conj(x(04)) x(05) conj(x(05)) x(06) conj(x(06)) x(07) conj(x(07)) x(08) conj(x(08)) x(09) conj(x(09)) x(10) conj(x(10)) x(11) conj(x(11)) x(01) conj(x(01)); 
		1 conj(x(02)) x(02) conj(x(03)) x(03) conj(x(04)) x(04) conj(x(05)) x(05) conj(x(06)) x(06) conj(x(07)) x(07) conj(x(08)) x(08) conj(x(09)) x(09) conj(x(10)) x(10) conj(x(11)) x(11) conj(x(01)) x(01); 
		; 
        ];
        spectrum=transpose(abs(eig(H)))(1)
        F_norm=norm(H*H'-23*eye(23),'fro')
%        defect=ud(H,'S',0.000001)
        save('circulant_L23.dat', '*')
end

function y=uc(x)
	y(1)=1+1/x(01)+1/x(02)+1/x(03)+1/x(04)+1/x(05)+1/x(06)+1/x(07)+1/x(08)+1/x(09)+1/x(10)+1/x(11)+x(01)+x(02)+x(03)+x(04)+x(05)+x(06)+x(07)+x(08)+x(09)+x(10)+x(11);
	y(2)=1+1/x(01)/x(01)+1/x(02)/x(02)+1/x(03)/x(03)+1/x(04)/x(04)+1/x(05)/x(05)+1/x(06)/x(06)+1/x(07)/x(07)+1/x(08)/x(08)+1/x(09)/x(09)+1/x(10)/x(10)+1/x(11)/x(11)+x(01)*x(01)+x(02)*x(02)+x(03)*x(03)+x(04)*x(04)+x(05)*x(05)+x(06)*x(06)+x(07)*x(07)+x(08)*x(08)+x(09)*x(09)+x(10)*x(10)+x(11)*x(11);
	y(3)=1+1/x(01)/x(02)+1/x(02)/x(03)+1/x(03)/x(04)+1/x(04)/x(05)+1/x(05)/x(06)+1/x(06)/x(07)+1/x(07)/x(08)+1/x(08)/x(09)+1/x(09)/x(10)+1/x(10)/x(11)+1/x(11)/x(01)+x(01)*x(02)+x(02)*x(03)+x(03)*x(04)+x(04)*x(05)+x(05)*x(06)+x(06)*x(07)+x(07)*x(08)+x(08)*x(09)+x(09)*x(10)+x(10)*x(11)+x(11)*x(01);
	y(4)=1+1/x(01)/x(03)+1/x(02)/x(04)+1/x(03)/x(05)+1/x(04)/x(06)+1/x(05)/x(07)+1/x(06)/x(08)+1/x(07)/x(09)+1/x(08)/x(10)+1/x(09)/x(11)+1/x(10)/x(01)+1/x(11)/x(02)+x(01)*x(03)+x(02)*x(04)+x(03)*x(05)+x(04)*x(06)+x(05)*x(07)+x(06)*x(08)+x(07)*x(09)+x(08)*x(10)+x(09)*x(11)+x(10)*x(01)+x(11)*x(02);
	y(5)=1+1/x(01)/x(04)+1/x(02)/x(05)+1/x(03)/x(06)+1/x(04)/x(07)+1/x(05)/x(08)+1/x(06)/x(09)+1/x(07)/x(10)+1/x(08)/x(11)+1/x(09)/x(01)+1/x(10)/x(02)+1/x(11)/x(03)+x(01)*x(04)+x(02)*x(05)+x(03)*x(06)+x(04)*x(07)+x(05)*x(08)+x(06)*x(09)+x(07)*x(10)+x(08)*x(11)+x(09)*x(01)+x(10)*x(02)+x(11)*x(03);
	y(6)=1+1/x(01)/x(05)+1/x(02)/x(06)+1/x(03)/x(07)+1/x(04)/x(08)+1/x(05)/x(09)+1/x(06)/x(10)+1/x(07)/x(11)+1/x(08)/x(01)+1/x(09)/x(02)+1/x(10)/x(03)+1/x(11)/x(04)+x(01)*x(05)+x(02)*x(06)+x(03)*x(07)+x(04)*x(08)+x(05)*x(09)+x(06)*x(10)+x(07)*x(11)+x(08)*x(01)+x(09)*x(02)+x(10)*x(03)+x(11)*x(04);
	y(7)=1+1/x(01)/x(06)+1/x(02)/x(07)+1/x(03)/x(08)+1/x(04)/x(09)+1/x(05)/x(10)+1/x(06)/x(11)+1/x(07)/x(01)+1/x(08)/x(02)+1/x(09)/x(03)+1/x(10)/x(04)+1/x(11)/x(05)+x(01)*x(06)+x(02)*x(07)+x(03)*x(08)+x(04)*x(09)+x(05)*x(10)+x(06)*x(11)+x(07)*x(01)+x(08)*x(02)+x(09)*x(03)+x(10)*x(04)+x(11)*x(05);
	y(8)=1+1/x(01)/x(07)+1/x(02)/x(08)+1/x(03)/x(09)+1/x(04)/x(10)+1/x(05)/x(11)+1/x(06)/x(01)+1/x(07)/x(02)+1/x(08)/x(03)+1/x(09)/x(04)+1/x(10)/x(05)+1/x(11)/x(06)+x(01)*x(07)+x(02)*x(08)+x(03)*x(09)+x(04)*x(10)+x(05)*x(11)+x(06)*x(01)+x(07)*x(02)+x(08)*x(03)+x(09)*x(04)+x(10)*x(05)+x(11)*x(06);
	y(9)=1+1/x(01)/x(08)+1/x(02)/x(09)+1/x(03)/x(10)+1/x(04)/x(11)+1/x(05)/x(01)+1/x(06)/x(02)+1/x(07)/x(03)+1/x(08)/x(04)+1/x(09)/x(05)+1/x(10)/x(06)+1/x(11)/x(07)+x(01)*x(08)+x(02)*x(09)+x(03)*x(10)+x(04)*x(11)+x(05)*x(01)+x(06)*x(02)+x(07)*x(03)+x(08)*x(04)+x(09)*x(05)+x(10)*x(06)+x(11)*x(07);
	y(10)=1+1/x(01)/x(09)+1/x(02)/x(10)+1/x(03)/x(11)+1/x(04)/x(01)+1/x(05)/x(02)+1/x(06)/x(03)+1/x(07)/x(04)+1/x(08)/x(05)+1/x(09)/x(06)+1/x(10)/x(07)+1/x(11)/x(08)+x(01)*x(09)+x(02)*x(10)+x(03)*x(11)+x(04)*x(01)+x(05)*x(02)+x(06)*x(03)+x(07)*x(04)+x(08)*x(05)+x(09)*x(06)+x(10)*x(07)+x(11)*x(08);
	y(11)=1+1/x(01)/x(10)+1/x(02)/x(11)+1/x(03)/x(01)+1/x(04)/x(02)+1/x(05)/x(03)+1/x(06)/x(04)+1/x(07)/x(05)+1/x(08)/x(06)+1/x(09)/x(07)+1/x(10)/x(08)+1/x(11)/x(09)+x(01)*x(10)+x(02)*x(11)+x(03)*x(01)+x(04)*x(02)+x(05)*x(03)+x(06)*x(04)+x(07)*x(05)+x(08)*x(06)+x(09)*x(07)+x(10)*x(08)+x(11)*x(09);
	y(12)=1+1/x(01)/x(11)+1/x(02)/x(01)+1/x(03)/x(02)+1/x(04)/x(03)+1/x(05)/x(04)+1/x(06)/x(05)+1/x(07)/x(06)+1/x(08)/x(07)+1/x(09)/x(08)+1/x(10)/x(09)+1/x(11)/x(10)+x(01)*x(11)+x(02)*x(01)+x(03)*x(02)+x(04)*x(03)+x(05)*x(04)+x(06)*x(05)+x(07)*x(06)+x(08)*x(07)+x(09)*x(08)+x(10)*x(09)+x(11)*x(10);
	y(13)=1+x(01)/x(02)+x(01)/x(11)+x(02)/x(01)+x(02)/x(03)+x(03)/x(02)+x(03)/x(04)+x(04)/x(03)+x(04)/x(05)+x(05)/x(04)+x(05)/x(06)+x(06)/x(05)+x(06)/x(07)+x(07)/x(06)+x(07)/x(08)+x(08)/x(07)+x(08)/x(09)+x(09)/x(08)+x(09)/x(10)+x(10)/x(09)+x(10)/x(11)+x(11)/x(01)+x(11)/x(10);
	y(14)=1+x(01)/x(03)+x(01)/x(10)+x(02)/x(04)+x(02)/x(11)+x(03)/x(01)+x(03)/x(05)+x(04)/x(02)+x(04)/x(06)+x(05)/x(03)+x(05)/x(07)+x(06)/x(04)+x(06)/x(08)+x(07)/x(05)+x(07)/x(09)+x(08)/x(06)+x(08)/x(10)+x(09)/x(07)+x(09)/x(11)+x(10)/x(01)+x(10)/x(08)+x(11)/x(02)+x(11)/x(09);
	y(15)=1+x(01)/x(04)+x(01)/x(09)+x(02)/x(05)+x(02)/x(10)+x(03)/x(06)+x(03)/x(11)+x(04)/x(01)+x(04)/x(07)+x(05)/x(02)+x(05)/x(08)+x(06)/x(03)+x(06)/x(09)+x(07)/x(04)+x(07)/x(10)+x(08)/x(05)+x(08)/x(11)+x(09)/x(01)+x(09)/x(06)+x(10)/x(02)+x(10)/x(07)+x(11)/x(03)+x(11)/x(08);
	y(16)=1+x(01)/x(05)+x(01)/x(08)+x(02)/x(06)+x(02)/x(09)+x(03)/x(07)+x(03)/x(10)+x(04)/x(08)+x(04)/x(11)+x(05)/x(01)+x(05)/x(09)+x(06)/x(02)+x(06)/x(10)+x(07)/x(03)+x(07)/x(11)+x(08)/x(01)+x(08)/x(04)+x(09)/x(02)+x(09)/x(05)+x(10)/x(03)+x(10)/x(06)+x(11)/x(04)+x(11)/x(07);
	y(17)=1+x(01)/x(06)+x(01)/x(07)+x(02)/x(07)+x(02)/x(08)+x(03)/x(08)+x(03)/x(09)+x(04)/x(09)+x(04)/x(10)+x(05)/x(10)+x(05)/x(11)+x(06)/x(01)+x(06)/x(11)+x(07)/x(01)+x(07)/x(02)+x(08)/x(02)+x(08)/x(03)+x(09)/x(03)+x(09)/x(04)+x(10)/x(04)+x(10)/x(05)+x(11)/x(05)+x(11)/x(06);
end

