function Y = BH_10_11_4
% ------------------------------------------------------------------------------
% 2023-02-24 Wojciech Bruzda; name[at]uj.edu.pl : name = w.bruzda
%            https://chaos.if.uj.edu.pl/~karol/hadamard/
%            https://github.com/matrix-toolbox/
% ------------------------------------------------------------------------------
% Symmetric BH(10, 4) with d = 11 and #L = 4.
% It is a special solution of "SH_10_0_349A.m".
% ------------------------------------------------------------------------------

    Y = exp(2j*pi*[
        0  0  0  0  0  0  0  0  0  0;
        0  1  1  1  3  1  3  3  3  2;
        0  1  2  3  3  3  3  1  1  1;
        0  1  3  0  2  2  1  2  0  3;
        0  3  3  2  0  1  2  2  0  1;
        0  1  3  2  1  0  2  0  2  3;
        0  3  3  1  2  2  0  0  2  1;
        0  3  1  2  2  0  0  2  1  3;
        0  3  1  0  0  2  2  1  2  3;
        0  2  1  3  1  3  1  3  3  1;
    ] / 4);

end
