function Y = BH_10_8_10
% ------------------------------------------------------------------------------
% 2023-01-21 Wojciech Bruzda; name[at]uj.edu.pl : name = w.bruzda
%            https://chaos.if.uj.edu.pl/~karol/hadamard/
%            https://github.com/matrix-toolbox/
% ------------------------------------------------------------------------------
% Symmetric BH(10, 10) with d = 8 and #L = 10.
% It is a special solution of "SH_10_0_134.m" and also ~ F10. :)
% ------------------------------------------------------------------------------

    Y = exp(2j*pi*[
        0  0  0  0  0  0  0  0  0  0;
        0  1  3  2  6  8  5  9  4  7;
        0  3  9  6  8  4  5  7  2  1;
        0  2  6  4  2  6  0  8  8  4;
        0  6  8  2  6  8  0  4  4  2;
        0  8  4  6  8  4  0  2  2  6;
        0  5  5  0  0  0  5  5  0  5;
        0  9  7  8  4  2  5  1  6  3;
        0  4  2  8  4  2  0  6  6  8;
        0  7  1  4  2  6  5  3  8  9;
    ] / 10);

end

%  0  0  0  0  0  0  0  0  0  0 
%  0  9  7  8  4  2  5  1  6  3 
%  0  7  1  4  2  6  5  3  8  9 
%  0  8  4  6  8  4  0  2  2  6 
%  0  4  2  8  4  2  0  6  6  8 
%  0  2  6  4  2  6  0  8  8  4 
%  0  5  5  0  0  0  5  5 10  5 
%  0  1  3  2  6  8  5  9  4  7 
%  0  6  8  2  6  8 10  4  4  2 
%  0  3  9  6  8  4  5  7  2  1 
