function Y = BH_10_8_12
% ------------------------------------------------------------------------------
% 2023-02-24 Wojciech Bruzda; name[at]uj.edu.pl : name = w.bruzda
%            https://chaos.if.uj.edu.pl/~karol/hadamard/
%            https://github.com/matrix-toolbox/
% ------------------------------------------------------------------------------
% Symmetric BH(10, 12) with d = 8 and #L = 12.
% It is a special solution of "SH_10_0_349A.m".
% ------------------------------------------------------------------------------

    Y = exp(2j*pi*[
        0  0  0  0  0  0  0  0  0  0;
        0  9  9  9  3  9  3  3  3  6;
        0  9  6  3  3  3  3  9  9  9;
        0  9  3 10  9  4  6  8  2  3;
        0  3  3  9  2  6  8  4 10  9;
        0  9  3  4  6 10  9  2  8  3;
        0  3  3  6  8  9  2 10  4  9;
        0  3  9  8  4  2 10  9  6  3;
        0  3  9  2 10  8  4  6  9  3;
        0  6  9  3  9  3  9  3  3  9;
    ] / 12);

end
