function Y = BH_10_8_8
% ------------------------------------------------------------------------------
% 2023-02-23 Wojciech Bruzda; name[at]uj.edu.pl : name = w.bruzda
%            https://chaos.if.uj.edu.pl/~karol/hadamard/
%            https://github.com/matrix-toolbox/
% ------------------------------------------------------------------------------
% Symmetric BH(10, 8) with d = 8 and #L = 8.
% It is a special solution of "SH_10_4_490.m".
% ------------------------------------------------------------------------------

    Y = exp(2j*pi*[
        0   0   0   0   0   0   0   0   0   0;
        0   6   1   5   2   7   2   3   4   6;
        0   1   0   2   6   4   3   4   7   5;
        0   5   2   0   6   4   7   4   3   1;
        0   2   6   6   4   6   2   6   2   2;
        0   7   4   4   6   0   5   2   1   3;
        0   2   3   7   2   5   6   1   6   4;
        0   3   4   4   6   2   1   0   5   7;
        0   4   7   3   2   1   6   5   6   2;
        0   6   5   1   2   3   4   7   2   6;
    ]/8);
end
