function Y = BH_10_9_12A
% ------------------------------------------------------------------------------
% 2023-02-24 Wojciech Bruzda; name[at]uj.edu.pl : name = w.bruzda
%            https://chaos.if.uj.edu.pl/~karol/hadamard/
%            https://github.com/matrix-toolbox/
% ------------------------------------------------------------------------------
% Symmetric BH(10, 12) with d = 9 and #L = 12.
% It is a special solution of "SH_10_0_349A.m".
% ------------------------------------------------------------------------------

    Y = exp(2j*pi*[
        0  0  0  0  0  0  0  0  0  0;
        0  6  3  9  9  9  9  3  3  3;
        0  3  3  9  3  9  3  9  9  6;
        0  9  9  7  6  1  3  5 11  3;
        0  9  3  6 11  3  5  1  7  9;
        0  9  9  1  3  7  6 11  5  3;
        0  9  3  3  5  6 11  7  1  9;
        0  3  9  5  1 11  7  6  3  9;
        0  3  9 11  7  5  1  3  6  9;
        0  3  6  3  9  3  9  9  9  3;
    ] / 12);

end
