function Y = BH_8_11_4
% ------------------------------------------------------------------------------
% 2023-02-25 Wojciech Bruzda; name[at]uj.edu.pl : name = w.bruzda
%            https://chaos.if.uj.edu.pl/~karol/hadamard/
%            https://github.com/matrix-toolbox/
% ------------------------------------------------------------------------------
% Symmetric BH(8, 4) with d = 11 and #L = 4.
% It is a special solution of "SH_8_3_88B.m".
% ------------------------------------------------------------------------------

    Y = exp(2j*pi*[
        0  0  0  0  0  0  0  0 ;
        0  3  0  1  2  2  0  2 ;
        0  0  3  2  2  1  2  0 ;
        0  1  2  3  2  0  0  2 ;
        0  2  2  2  0  2  0  0 ;
        0  2  1  0  2  3  2  0 ;
        0  0  2  0  0  2  2  2 ;
        0  2  0  2  0  0  2  2 ;
    ]/4);

end

