function Y = BH_11_0_11
% -----------------------------------------------------------------------------
% 2022-04-09 Wojciech Bruzda; name[at]uj.edu.pl : name = w.bruzda
%            https://chaos.if.uj.edu.pl/~karol/hadamard/
%            https://github.com/matrix-toolbox/
% -----------------------------------------------------------------------------
% An isolated and symmetric BH(11, 22) in the LOG-form
% found by the Sinkhorn algorithm.
%
% [1] https://arxiv.org/abs/2204.11727
% -----------------------------------------------------------------------------

    Y = exp(2j*pi*[
        0  0  0  0  0  0  0  0  0  0  0
        0  2  4  6  8 10 12 14 16 18 20;
        0  4  8 12 16 20  2  6 10 14 18;
        0  6 12 18  2  8 14 20  4 10 16;
        0  8 16  2 10 18  4 12 20  6 14;
        0 10 20  8 18  6 16  4 14  2 12;
        0 12  2 14  4 16  6 18  8 20 10;
        0 14  6 20 12  4 18 10  2 16  8;
        0 16 10  4 20 14  8  2 18 12  6;
        0 18 14 10  6  2 20 16 12  8  4;
        0 20 18 16 14 12 10  8  6  4  2;
    ] / 11);

end

