function Y = O16
% ------------------------------------------------------------------------------
% 2022-06-13 Wojciech Bruzda; name[at]uj.edu.pl : name = w.bruzda
%            https://chaos.if.uj.edu.pl/~karol/hadamard/
%            https://github.com/matrix-toolbox/
% ------------------------------------------------------------------------------
% Matrix representation of AME(4, 4) state as a 16x16 matrix,
% which is locally unitarily inequivalent to P16.
% Note missing 1/2 factor.
% ------------------------------------------------------------------------------

    Y = [
        1  0  0  0  0  1  0  0  0  0 -1  0  0  0  0 -1 ;
        0  1  0  0 -1  0  0  0  0  0  0 -1  0  0 -1  0 ;
        0  0 -1  0  0  0  0  1 -1  0  0  0  0 -1  0  0 ;
        0  0  0 -1  0  0  1  0  0  1  0  0  1  0  0  0 ;
        0  1  0  0 -1  0  0  0  0  0  0  1  0  0  1  0 ;
       -1  0  0  0  0  1  0  0  0  0  1  0  0  0  0 -1 ;
        0  0  0 -1  0  0  1  0  0 -1  0  0 -1  0  0  0 ;
        0  0 -1  0  0  0  0 -1  1  0  0  0  0 -1  0  0 ;
        0  0 -1  0  0  0  0 -1 -1  0  0  0  0  1  0  0 ;
        0  0  0  1  0  0  1  0  0 -1  0  0  1  0  0  0 ;
       -1  0  0  0  0 -1  0  0  0  0 -1  0  0  0  0 -1 ;
        0 -1  0  0 -1  0  0  0  0  0  0 -1  0  0  1  0 ;
        0  0  0 -1  0  0 -1  0  0 -1  0  0  1  0  0  0 ;
        0  0  1  0  0  0  0 -1 -1  0  0  0  0 -1  0  0 ;
        0  1  0  0  1  0  0  0  0  0  0 -1  0  0  1  0 ;
        1  0  0  0  0 -1  0  0  0  0  1  0  0  0  0 -1 ;
    ];

end

