function Y = SG_16_search
% ------------------------------------------------------------------------------
% 2022-11-16 Wojciech Bruzda; name[at]uj.edu.pl : name = w.bruzda
%            https://chaos.if.uj.edu.pl/~karol/hadamard/
%            https://github.com/matrix-toolbox/
% ------------------------------------------------------------------------------
% 2022-12-29
%
% Description in "SG_9_search.m" ...
% Nothing found yet.
% ------------------------------------------------------------------------------

    addpath ../CHM
    addpath ../matrix_tool

    np =  160;
    RESET_INDEX = 0;
    Z_OPTIMAL = +Inf;
    mu = 1;
    p = rand(1, np); % initial random phases
    k = 0;

    while (Z_OPTIMAL>5e-13) % && (k<1000000)
        RESTORE_p = p;
        p = mod(p + (randn(1, np) * mu), 1);
        X = exp(2j*pi*[
            p(  1) p(  2) p(  3) p(  4)   p( 11) p( 12) p( 13) p( 14)    p( 21) p( 22) p( 23) p( 24)    p( 31) p( 32) p( 33) p( 34);
            p(  2) p(  5) p(  6) p(  7)   p( 12) p( 15) p( 16) p( 17)    p( 22) p( 25) p( 26) p( 27)    p( 32) p( 35) p( 36) p( 37);
            p(  3) p(  6) p(  8) p(  9)   p( 13) p( 16) p( 18) p( 19)    p( 23) p( 26) p( 28) p( 29)    p( 33) p( 36) p( 38) p( 39);
            p(  4) p(  7) p(  9) p( 10)   p( 14) p( 17) p( 19) p( 20)    p( 24) p( 27) p( 29) p( 30)    p( 34) p( 37) p( 39) p( 40);

            p( 41) p( 42) p( 43) p( 44)   p( 51) p( 52) p( 53) p( 54)    p( 61) p( 62) p( 63) p( 64)    p( 71) p( 72) p( 73) p( 74);
            p( 42) p( 45) p( 46) p( 47)   p( 52) p( 55) p( 56) p( 57)    p( 62) p( 65) p( 66) p( 67)    p( 72) p( 75) p( 76) p( 77);
            p( 43) p( 46) p( 48) p( 49)   p( 53) p( 56) p( 58) p( 59)    p( 63) p( 66) p( 68) p( 69)    p( 73) p( 76) p( 78) p( 79);
            p( 44) p( 47) p( 49) p( 50)   p( 54) p( 57) p( 59) p( 60)    p( 64) p( 67) p( 69) p( 70)    p( 74) p( 77) p( 79) p( 80);

            p( 81) p( 82) p( 83) p( 84)   p( 91) p( 92) p( 93) p( 94)    p(101) p(102) p(103) p(104)    p(111) p(112) p(113) p(114);
            p( 82) p( 85) p( 86) p( 87)   p( 92) p( 95) p( 96) p( 97)    p(102) p(105) p(106) p(107)    p(112) p(115) p(116) p(117);
            p( 83) p( 86) p( 88) p( 89)   p( 93) p( 96) p( 98) p( 99)    p(103) p(106) p(108) p(109)    p(113) p(116) p(118) p(119);
            p( 84) p( 87) p( 89) p( 90)   p( 94) p( 97) p( 99) p(100)    p(104) p(107) p(109) p(110)    p(114) p(117) p(119) p(120);

            p(121) p(122) p(123) p(124)   p(131) p(132) p(133) p(134)    p(141) p(142) p(143) p(144)    p(151) p(152) p(153) p(154);
            p(122) p(125) p(126) p(127)   p(132) p(135) p(136) p(137)    p(142) p(145) p(146) p(147)    p(152) p(155) p(156) p(157);
            p(123) p(126) p(128) p(129)   p(133) p(136) p(138) p(139)    p(143) p(146) p(148) p(149)    p(153) p(156) p(158) p(159);
            p(124) p(127) p(129) p(130)   p(134) p(137) p(139) p(140)    p(144) p(147) p(149) p(150)    p(154) p(157) p(159) p(160);
        ]);

% DEBUG
% selfG = X - T(X)
% rankX = rank(X)
% detX  = det(X)

        Z = nh(X);
        if Z < Z_OPTIMAL
            printf("Z=%g \t mu=%g \t k=%d \t |X|=%g\n", Z, mu, k, abs(det(X)));
            k = RESET_INDEX;
            Z_OPTIMAL = Z;
            mu = Z * 0.0003;
        else
            p = RESTORE_p;
        end
        k++;
    end % while ...

    Y = X;
    A = mod(angle(Y)+2*pi,2*pi)/2/pi;
    fileName = strcat("sGD_16_d", num2str(ud(Y,"S",1e-8)), "_", datestr(now(), 30), ".data");
    save(fileName, "A");

end



%            p(  1) p(  2) p(  3) p(  4)   p( 11) p( 12) p( 13) p( 14)   p( 21) p( 22) p( 23) p( 24)   p( 31) p( 32) p( 33) p( 34);
%            p(  2) p(  5) p(  6) p(  7)   p( 12) p( 15) p( 16) p( 17)   p( 22) p( 25) p( 26) p( 27)   p( 32) p( 35) p( 36) p( 37);
%            p(  3) p(  6) p(  8) p(  9)   p( 13) p( 16) p( 18) p( 19)   p( 23) p( 26) p( 28) p( 29)   p( 33) p( 36) p( 38) p( 39);
%            p(  4) p(  7) p(  9) p( 10)   p( 14) p( 17) p( 19) p( 20)   p( 24) p( 27) p( 29) p( 30)   p( 34) p( 37) p( 39) p( 40);
%
%            p( 41) p( 42) p( 43) p( 44)   p( 51) p( 52) p( 53) p( 54)   p( 61) p( 62) p( 63) p( 64)   p( 71) p( 72) p( 73) p( 74);
%            p( 42) p( 45) p( 46) p( 47)   p( 52) p( 55) p( 56) p( 57)   p( 62) p( 65) p( 66) p( 67)   p( 72) p( 75) p( 76) p( 77);
%            p( 43) p( 46) p( 48) p( 49)   p( 53) p( 56) p( 58) p( 59)   p( 63) p( 66) p( 68) p( 69)   p( 73) p( 76) p( 78) p( 79);
%            p( 44) p( 47) p( 49) p( 50)   p( 54) p( 57) p( 59) p( 60)   p( 64) p( 67) p( 69) p( 70)   p( 74) p( 77) p( 79) p( 80);
%
%            p( 81) p( 82) p( 83) p( 84)   p( 91) p( 92) p( 93) p( 94)   p(101) p(102) p(103) p(104)   p(111) p(112) p(113) p(114);
%            p( 82) p( 85) p( 86) p( 87)   p( 92) p( 95) p( 96) p( 97)   p(102) p(105) p(106) p(107)   p(112) p(115) p(116) p(117);
%            p( 83) p( 86) p( 88) p( 89)   p( 93) p( 96) p( 98) p( 99)   p(103) p(106) p(108) p(109)   p(113) p(116) p(118) p(119);
%            p( 84) p( 87) p( 89) p( 90)   p( 94) p( 97) p( 99) p(100)   p(104) p(107) p(109) p(110)   p(114) p(117) p(119) p(120);
%
%            p(121) p(122) p(123) p(124)   p(131) p(132) p(133) p(134)   p(141) p(142) p(143) p(144)   p(151) p(152) p(153) p(154);
%            p(122) p(125) p(126) p(127)   p(132) p(135) p(136) p(137)   p(142) p(145) p(146) p(147)   p(152) p(155) p(156) p(157);
%            p(123) p(126) p(128) p(129)   p(133) p(136) p(138) p(139)   p(143) p(146) p(148) p(149)   p(153) p(156) p(158) p(159);
%            p(124) p(127) p(129) p(130)   p(134) p(137) p(139) p(140)   p(144) p(147) p(149) p(150)   p(154) p(157) p(159) p(160);




%            p(  1) p(  2) p(  3) p(  4)   p(  1) p(  2) p(  3) p(  4)   p( 21) p( 22) p( 23) p( 24)   p( 31) p( 32) p( 33) p( 34);
%            p(  2) p(  5) p(  6) p(  7)   p(  2) p(  5) p(  6) p(  7)   p( 22) p( 25) p( 26) p( 27)   p( 32) p( 35) p( 36) p( 37);
%            p(  3) p(  6) p(  8) p(  9)   p(  3) p(  6) p(  8) p(  9)   p( 23) p( 26) p( 28) p( 29)   p( 33) p( 36) p( 38) p( 39);
%            p(  4) p(  7) p(  9) p( 10)   p(  4) p(  7) p(  9) p( 10)   p( 24) p( 27) p( 29) p( 30)   p( 34) p( 37) p( 39) p( 40);
%
%            p(  1) p(  2) p(  3) p(  4)   p(  1) p(  2) p(  3) p(  4)   p( 61) p( 62) p( 63) p( 64)   p( 71) p( 72) p( 73) p( 74);
%            p(  2) p(  5) p(  6) p(  7)   p(  2) p(  5) p(  6) p(  7)   p( 62) p( 65) p( 66) p( 67)   p( 72) p( 75) p( 76) p( 77);
%            p(  3) p(  6) p(  8) p(  9)   p(  3) p(  6) p(  8) p(  9)   p( 63) p( 66) p( 68) p( 69)   p( 73) p( 76) p( 78) p( 79);
%            p(  4) p(  7) p(  9) p( 10)   p(  4) p(  7) p(  9) p( 10)   p( 64) p( 67) p( 69) p( 70)   p( 74) p( 77) p( 79) p( 80);
%
%            p( 11) p( 12) p( 13) p( 14)   p( 41) p( 42) p( 43) p( 44)   p(  1) p(  2) p(  3) p(  4)   p(  1) p(  2) p(  3) p(  4);
%            p( 12) p( 15) p( 16) p( 17)   p( 42) p( 45) p( 46) p( 47)   p(  2) p(  5) p(  6) p(  7)   p(  2) p(  5) p(  6) p(  7);
%            p( 13) p( 16) p( 18) p( 19)   p( 43) p( 46) p( 48) p( 49)   p(  3) p(  6) p(  8) p(  9)   p(  3) p(  6) p(  8) p(  9);
%            p( 14) p( 17) p( 19) p( 20)   p( 44) p( 47) p( 49) p( 50)   p(  4) p(  7) p(  9) p( 10)   p(  4) p(  7) p(  9) p( 10);
%
%            p( 81) p( 82) p( 83) p( 84)   p( 51) p( 52) p( 53) p( 54)   p(  1) p(  2) p(  3) p(  4)   p(  1) p(  2) p(  3) p(  4);
%            p( 82) p( 85) p( 86) p( 87)   p( 52) p( 55) p( 56) p( 57)   p(  2) p(  5) p(  6) p(  7)   p(  2) p(  5) p(  6) p(  7);
%            p( 83) p( 86) p( 88) p( 89)   p( 53) p( 56) p( 58) p( 59)   p(  3) p(  6) p(  8) p(  9)   p(  3) p(  6) p(  8) p(  9);
%            p( 84) p( 87) p( 89) p( 90)   p( 54) p( 57) p( 59) p( 60)   p(  4) p(  7) p(  9) p( 10)   p(  4) p(  7) p(  9) p( 10);



