function Y = TU_9_2_89(zeta)
% ------------------------------------------------------------------------------
% 2023-01-27 Wojciech Bruzda; name[at]uj.edu.pl : name = w.bruzda
%            https://chaos.if.uj.edu.pl/~karol/hadamard/
%            https://github.com/matrix-toolbox/
% ------------------------------------------------------------------------------
% K=K9_2(zeta);
% Q=K*P9;SL3(Q),nh(Q),n1(Q),defect=ud(Q,"S",1e-8),L=size(getUnique(haagerup(Q),1e-8)k,1)
%
% Q=K*P9 or Q=P9*K BUT not both!
%
%
% zeta         defect       #L    2-unitary CHM
% 1j+1         2            87    yes
% 1j+1         2            89    yes
% 2j           2            37    yes
% 2j+1         2            12    yes
% 3            16           3     yes
% sqrt(3)-2j   2            81    yes
% sqrt(5)-2j   2            85    yes
% 0            2            9     yes
% ------------------------------------------------------------------------------

    Y = K9_2z(zeta)*P9;

    P1 = [
        1  0  0  0  0  0  0  0  0;
        0  0  0  0  1  0  0  0  0;
        0  0  0  0  0  0  0  0  1;
        0  0  0  1  0  0  0  0  0;
        0  0  0  0  0  0  0  1  0;
        0  0  1  0  0  0  0  0  0;
        0  0  0  0  0  0  1  0  0;
        0  1  0  0  0  0  0  0  0;
        0  0  0  0  0  1  0  0  0;
    ];

    P2 = [
        1  0  0  0  0  0  0  0  0;
        0  1  0  0  0  0  0  0  0;
        0  0  1  0  0  0  0  0  0;
        0  0  0  0  0  0  0  0  1;
        0  0  0  0  0  0  1  0  0;
        0  0  0  0  0  0  0  1  0;
        0  0  0  0  1  0  0  0  0;
        0  0  0  0  0  1  0  0  0;
        0  0  0  1  0  0  0  0  0;
    ];

    P3 = [
        1  0  0  0  0  0  0  0  0;
        0  0  0  0  0  0  0  0  1;
        0  0  0  0  1  0  0  0  0;
        0  0  0  1  0  0  0  0  0;
        0  0  1  0  0  0  0  0  0;
        0  0  0  0  0  0  0  1  0;
        0  0  0  0  0  0  1  0  0;
        0  0  0  0  0  1  0  0  0;
        0  1  0  0  0  0  0  0  0;
    ];

%    norm(Y - P1*R(Y)*P2,"fro");
%    norm(Y - inverse(P1)*T(Y)*P3,"fro");

end

