(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[   2169365,      28954]
NotebookOptionsPosition[   2168075,      28926]
NotebookOutlinePosition[   2168421,      28941]
CellTagsIndexPosition[   2168378,      28938]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Analytic Solution for N = 11", "Section",
 CellChangeTimes->{{3.8598920278482933`*^9, 
  3.85989204665832*^9}},ExpressionUUID->"6606521d-4f1c-4d78-9c4e-\
91b66dbefdab"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "it", " ", "is", " ", "possible", " ", "to", " ", "solve", " ", "it", " ",
      "analytically"}], ",", " ", 
    RowBox[{
     RowBox[{
     "however", " ", "it", " ", "is", " ", "impossible", " ", "to", " ", 
      "present", " ", "it", " ", "in", " ", "any", " ", "compact", " ", 
      "form"}], " ", "..."}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"a1", "=."}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a2", "=."}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a3", "=."}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a4", "=."}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a5", "=."}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"YPhases", "=", 
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{"{", "\[IndentingNewLine]", " ", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"Cos", "[", "a1", "]"}], "+", 
          RowBox[{"Cos", "[", "a2", "]"}], "+", 
          RowBox[{"Cos", "[", "a3", "]"}], "+", 
          RowBox[{"Cos", "[", "a4", "]"}], "+", 
          RowBox[{"Cos", "[", "a5", "]"}]}], "\[Equal]", 
         RowBox[{"-", 
          FractionBox["1", "2"]}]}], ",", "\[IndentingNewLine]", " ", 
        RowBox[{
         RowBox[{
          RowBox[{"Cos", "[", 
           RowBox[{"2", " ", "a1"}], "]"}], "+", 
          RowBox[{"Cos", "[", 
           RowBox[{"2", " ", "a2"}], "]"}], "+", 
          RowBox[{"Cos", "[", 
           RowBox[{"2", " ", "a3"}], "]"}], "+", 
          RowBox[{"Cos", "[", 
           RowBox[{"2", " ", "a4"}], "]"}], "+", 
          RowBox[{"Cos", "[", 
           RowBox[{"2", " ", "a5"}], "]"}]}], "\[Equal]", 
         RowBox[{"-", 
          FractionBox["1", "2"]}]}], ",", "\[IndentingNewLine]", " ", 
        RowBox[{
         RowBox[{
          RowBox[{"Cos", "[", 
           RowBox[{"a1", "+", "a2"}], "]"}], "+", 
          RowBox[{"Cos", "[", 
           RowBox[{"a2", "+", "a3"}], "]"}], "+", 
          RowBox[{"Cos", "[", 
           RowBox[{"a3", "+", "a4"}], "]"}], "+", 
          RowBox[{"Cos", "[", 
           RowBox[{"a1", "+", "a5"}], "]"}], "+", 
          RowBox[{"Cos", "[", 
           RowBox[{"a4", "+", "a5"}], "]"}]}], "\[Equal]", 
         RowBox[{"-", 
          FractionBox["1", "2"]}]}], ",", "\[IndentingNewLine]", " ", 
        RowBox[{
         RowBox[{
          RowBox[{"Cos", "[", 
           RowBox[{"a1", "+", "a3"}], "]"}], "+", 
          RowBox[{"Cos", "[", 
           RowBox[{"a1", "+", "a4"}], "]"}], "+", 
          RowBox[{"Cos", "[", 
           RowBox[{"a2", "+", "a4"}], "]"}], "+", 
          RowBox[{"Cos", "[", 
           RowBox[{"a2", "+", "a5"}], "]"}], "+", 
          RowBox[{"Cos", "[", 
           RowBox[{"a3", "+", "a5"}], "]"}]}], "\[Equal]", 
         RowBox[{"-", 
          FractionBox["1", "2"]}]}], ",", "\[IndentingNewLine]", " ", 
        RowBox[{
         RowBox[{
          RowBox[{"Cos", "[", 
           RowBox[{"a1", "-", "a2"}], "]"}], "+", 
          RowBox[{"Cos", "[", 
           RowBox[{"a2", "-", "a3"}], "]"}], "+", 
          RowBox[{"Cos", "[", 
           RowBox[{"a3", "-", "a4"}], "]"}], "+", 
          RowBox[{"Cos", "[", 
           RowBox[{"a1", "-", "a5"}], "]"}], "+", 
          RowBox[{"Cos", "[", 
           RowBox[{"a4", "-", "a5"}], "]"}]}], "\[Equal]", 
         RowBox[{"-", 
          FractionBox["1", "2"]}]}], ",", "\[IndentingNewLine]", " ", 
        RowBox[{
         RowBox[{
          RowBox[{"Cos", "[", 
           RowBox[{"a1", "-", "a3"}], "]"}], "+", 
          RowBox[{"Cos", "[", 
           RowBox[{"a1", "-", "a4"}], "]"}], "+", 
          RowBox[{"Cos", "[", 
           RowBox[{"a2", "-", "a4"}], "]"}], "+", 
          RowBox[{"Cos", "[", 
           RowBox[{"a2", "-", "a5"}], "]"}], "+", 
          RowBox[{"Cos", "[", 
           RowBox[{"a3", "-", "a5"}], "]"}]}], "\[Equal]", 
         RowBox[{"-", 
          FractionBox["1", "2"]}]}]}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"a1", ",", "a2", ",", "a3", ",", "a4", ",", "a5"}], "}"}]}], 
     "]"}]}], "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.859465052847376*^9, 3.8594652214806123`*^9}, {
   3.8594670214691334`*^9, 3.859467029379144*^9}, {3.8594695956993113`*^9, 
   3.859469605179324*^9}, {3.859892002368258*^9, 3.859892014878276*^9}, 
   3.859892059928338*^9, {3.8598921150184155`*^9, 3.8598921392984495`*^9}, {
   3.8598924212688446`*^9, 
   3.859892422418846*^9}},ExpressionUUID->"01b24a31-52e7-4f01-bfec-\
eede66446653"],

Cell[BoxData[
 InterpretationBox[
  TagBox[
   FrameBox[GridBox[{
      {
       ItemBox[
        TagBox[
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"a1", "\[Rule]", 
              RowBox[{"ConditionalExpression", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"-", "\[Pi]"}], "+", 
                 RowBox[{"ArcTan", "[", 
                  FractionBox[
                   InterpretationBox[
                    TemplateBox[{"Root",TemplateBox[{"\"-0.990\"", 
                    DynamicBox[
                    FEPrivate`FrontEndResource[
                    "FEExpressions", "NumericalApproximationElider"]]}, 
                    "RowDefault"],TagBox[
                    RowBox[{"Root", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"1", "+", 
                    RowBox[{"6", " ", "#1"}], "-", 
                    RowBox[{"12", " ", 
                    SuperscriptBox["#1", "2"]}], "-", 
                    RowBox[{"32", " ", 
                    SuperscriptBox["#1", "3"]}], "+", 
                    RowBox[{"16", " ", 
                    SuperscriptBox["#1", "4"]}], "+", 
                    RowBox[{"32", " ", 
                    SuperscriptBox["#1", "5"]}]}], "&"}], ",", 
                    RowBox[{
                    RowBox[{"\[LeftSkeleton]", "1", "\[RightSkeleton]"}], 
                    "&"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "1"}], "}"}]}], "]"}], 
                    Short[#, 7]& ],-0.9898214418809327},
                    "NumericalApproximation"],
                    
                    Root[{1 + 6 # - 12 #^2 - 32 #^3 + 16 #^4 + 
                    32 #^5& , \
-70200316271507168397912526370140457916036103806045166974767911468991623992259\
303317425914536086227228818264393292358730270199995473975184965846679256103733\
574485402032360453961494198824241067649963501192172182571377104102659710931477\
581840743413949560249094047960678660134816055939745822577947736867189402551129\
308415502483229366695545754973296837234394091272033109242928320708274729957495\
4746812331186830777661766505 - 
                    1107494235866334714617362865936722194223786092156026154859\
040187453768861818871579481706065771883354740184027162799515762612691597958748\
717568435588330022963449939744604705558287926994636861354538174648657685319799\
318354828829089452100720910187586410672751175449763559948764818714214554901635\
536182776147075091170082523925126383608323439946664132850529136070437415206724\
4473178013912957254025784180168914580147488146050 # + 
                    8161892701345983118896913182906365640877423994940570024668\
202933711983610844806294451471059349656351171753051198615057782997785846985067\
650765770137889498053099663796178101938684196248100771750834546768313373572664\
271604122103366763262734294507072035860248576650294358190570143793042577378276\
660008431459707332230823677263608434405005926336429838085721911290173423871484\
4566845559094093798126064292142416027089092229548 #^2 + 
                    1637613586138376157408239098939167209144404235110057115814\
496186881370388139721017302674413823947150489894457553796529884563485003013067\
045554271483811847260710591266953965597688968693973658986935599152734690403579\
754565471042736498582411402161631142733961026288763614162550563591541182303279\
410713137402262445773689972572018578397178782121046763420107264147101546290760\
167707633640074640737156322158644705274662372707928 #^3 - 
                    2078835843287125803800280293860407523924968258687456724717\
859194122272133029822634112862494096703735202813945811068715178870311057666143\
412969119041976482932077249487077165397174718296059691011665290127986313506591\
563305067436699077066600968325333446697539559388900045428015586502241991444005\
095758052587544644490519882931022329665485544563309261305638272166807976161466\
000301289173685460142464077209321633986061102358304 #^4 - 
                    8967977845793281319981690689126192404765175188323484857153\
871849719964285185181505366126023602669306496921379052629447013986690511884541\
217777879709272272684786999855466443341039100929708099015160633799631978543743\
088373621920901068679284718526744534258494063934757739841965623074409731504829\
035309871485463827003465290201247366304933708011319622980776800372327665618199\
9673895370967396746818344515812052711126173991977472 #^5 + 
                    5016990045060500293416800056629012344843845336721694240980\
844687257921550072504111010808341382813030463572644796482661359077896191929064\
643676229509963673055369108196658165192539606411486640778634150032987904058571\
282638594173241748979728533575468559226426560551691685488154197330675442376746\
155320893144732042085981592496704624909392364922520681869315352775334238381654\
100921993803547444711741733726888322757828170026304 #^6 + 
                    2476544937975174960510621182113291780707132885913092173851\
306281219809237300116283469307272246192040665896674398522432529281143675899836\
181871640661827032735837733785951173494977514665604411731342287902569926334946\
429892431154242401281058734575862712886410371378577881249053627684755146193220\
747998729257311925460811655268169878106359962217064827728045954529191635591248\
878990360028979667260028394918187478456183817383683584 #^7 - 
                    1584188293222855423736970894284398411633827029539431791982\
109942610329611792351062284505163780485609869104539996933537261323153782552391\
508355959857909589891707977277284367355231497773326219493697273780894499617146\
980305207875878821621313275246695865510032424934767697834366801103410738962887\
100096075184008162247136979742261631392020842787072387466521598493172271322792\
46375671725450028608610150471239215995052899772563200 #^8 - 
                    3535077510540415798394816608780792439039270524552470978966\
644757531227177099752672606866762983952327054627311329190814747481744544223651\
733215726440421015856453176406638040953926937752060594722534470583637173198157\
172181079622299395116073618144791998546425387286343152260886830415218546195876\
355855290922849700505636945878510391472204854651713596110798022616565888323683\
7325572364296143119030433349936901709269907363124397568 #^9 + 
                    1821032414045522701476339308297829044674195545243502152151\
079117651374875517817395678471236750277938348617409242377531898725757560834474\
570967020311382218532543018383689839411737188409039237842935882213160117015106\
020144489247102025537181958909870746285537029644925827829199758350240730636763\
959212613224966010592888027729273981498478900053488347610207693814078456374344\
541619131324511436650214153226238769820445892490437632 #^10 + 
                    2971867654883783184470410626226100980076786194360105557444\
990218765225815127077938647300246222732441600935844804645352084145769279810364\
608025850067439827137748370437794401745558939450846624900083194573887542471598\
295821871151756311024183222213532039629524401811931092760754407401389295146755\
192912322123207703692849804814898277910535400083371877176035535904975375440495\
85107134633114837177473850864754823022508298681124714496 #^11 + 
                    1047261287785172827807703452991682472244987892037459105655\
450918580965125908815220254720230143674827243940305591435218603330148844568974\
838308043271116666797057778477224816498882688816502296339151297077831200629653\
967229494447429595530054993665520182741437203191853673688566994429998369492772\
308639453839220807317456049472007951937645941986091332423765792778329243924660\
1983171579877152711451739621298722842865144316149698560 #^12 - 
                    1590095238072539654957835940334890132141787529639135618217\
581287285938909541278229487743921276673269821411267486740658546746490387266323\
665696907603729850512584680872909877872479278630592916136220302498454309194220\
683779431384630067644396310918718248104354911610460170954590232815950340673142\
900237161598610378128540845591176183073190139781381924483701874890335399314277\
595720323803247702880508954265221117232589575242922590208 #^13 - 
                    2213345344968006177062625142375223653836824098256286734325\
504417848041373265288773277779089819491402940517322723512976835846775312323644\
674685353227867758259697670594925798204164395179288088351440278430712129508939\
674551311198174740306323818617159102569618273206022682288269281047021748076864\
662029304164579215213525963130049514190591424772759878213708083100521611753615\
52668405001145322152869465432871942258261609129960570880 #^14 + 
                    5628125612294033455599282202855532954816410661553050145521\
503722195631810248609832138388645890975832494556994181389212361645552925259314\
748768756041820513932789243168500210872166594448896085305695675343235362296509\
256415575141841083931143377223305147116491484776361127109430784476936514994627\
170963429467334344100442404003207600893329068550100751717552933330584477402977\
540372522906534124994112429316828891791537659016313962496 #^15 + 
                    1183251538935159554675501642705781919520899625973902702412\
817317611484016194562311432678236166395352019103551806735187872815262670545929\
829993668741188486343316461468087045837378272537644547954952916241184340597945\
118537201416193428797255399650708006725035404296422317875839806601227199163055\
764835724767864238414563434063926920548233650291831497338186357463552396225165\
168621558737812036623363750227065252162359308179363397632 #^16 - 
                    1341371074051876113047390259953684641741343963582367804931\
383742586734682794504410592808076420761807423526778577291253078440668405331925\
837152569911005538733682881971713193148472524848724799127736085239846425597158\
776640760631884200393743959291930397927704054170006176214281711807719319286791\
647161124278289679462409984228728566399957478585850371834171964366257608641210\
2288748312865574074468757080017947623593444662367539429376 #^17 - 
                    2688811270587464635319704845046921813481312497850911005163\
327985130908547280978320838572484418785824617432425550693711283757010467675214\
145549709353009937396041930714824646812252007614908968608716092861537180456093\
490000395763963800120309280607197633380743187092192928356555759021320361231441\
296772688933960126591132995820695003779667878099784516903375708021358986913597\
810855340278816139103667173981136444244124274035664093184 #^18 + 
                    2165829639575826398723920772972159713600128350544190422139\
365105782207260701532704998187051129266716312198718285829064886212407951955310\
894956407506216025813293760644090692403296929977395766489904290271433788190951\
971344120263481325295552938546639664112159790666759809640900637865643098794520\
243063787928056876817282536531483322616472811749099137359863761596725590511163\
7481400945401605946855728229435309909295396297307479605248 #^19 + 
                    6616378821629947816034435013820960721012763830050706206221\
259745883319997078621280771113431216929405302322621393652650649461902496925788\
603349951815686770828731658147389412492246968191616360745419132324195447780266\
592174044809949946937313041505231429803691640300162248397211416274553467953629\
558004564708589023409741329462861503851340278496870055230528103955227534564210\
33655795559296489786567376256207752305722800062653792256 #^20 - 
                    2366113865247323567098306028956019413100021118053666005016\
019964521058414736033392392792941848328647496959919627920499287641194269196334\
760464351925209595509805383497354427560561730541896936910271466449734279321498\
294927268966197555708869646534109370845192354137375381055605393357620510684686\
225564681212380677963129914217070694973687520718842654937185394723621588315681\
5542974867680826655934097021289653183428001679971373285376 #^21 + 
                    1173279185674675498033835347941584629275390496032317100104\
485181891439812988377660454932629257238605789262702377097504622203792217145895\
292651787201947757382278381540568456556957272159419721771616701094932292341881\
101395097349404930118572312376207672027333586678900138667882228912411533006591\
711094975377300224062238565828542364679921030850350175006214741490496500364971\
9894782228474823521561804108032987206777128030659867049984 #^22 + 
                    1745547619311404141788686767894543489115132508276059780544\
835160038520771662987179749014472735211094459297361102553752484407384703410896\
988420401257537131648246330268207250928529253302519943115691592587169588323481\
531870259952256671679832999372590761972910010037160121591953896607048081182991\
697449736220747340494838937042470230571982573460973978643237584451289247259020\
8707982405650327416051199093376120516564525812484224843776 #^23 - 
                    3397924297846484791782347797191505650622843294074868124507\
541302449164343389715295544996048108738713269346383794829225086633634203447060\
329837186527535297962299336108364329590874408410083507130518206686286687559439\
740873973413781218762610301555403541464807375077897190351926547503088055208513\
151068319578242080958330193314023713370071002079220985611695454231454952874904\
1149331265325106979484325466870805194700509864264653078528 #^24 - 
                    9015208851415440182301923761031655951003046824323274369483\
858159867791481688094599888199997143229083911132564120442351555451578469260840\
110677890340124944729658281419001497031908999820068822415998248177168980591808\
871629826637286740821002996457131597401507429862600972845209915784594755938256\
278417316982603429708932484677639133378210916768748016740198792479748855781021\
116452514089154498031005142165255729119902977862358007808 #^25 + 
                    5317764005447858637183508544068833579221250330475455480562\
509866502922668039490724815127487738411908027328818879686620126519832045784162\
484393133939219320392158993337157323657028361377543816169946561668803086905795\
609147123003663601416510051211948543845440246558480587509089066344962607290840\
767635414733717460076750085934416967414349445167358136597968539674620887024076\
1302204278738247278212609210859408260951090861173343518720 #^26 + 
                    4178891894976772134117927825611216570582791015233972673260\
527090548622200450526620886659713839805270505949201965206853042654417221728984\
012872066360183289233070305997490076033139175395901416155514365240972752367650\
873316841374192489226166188934401551620144830267296640911621418670392930189040\
928593569763663304184704236853262669336791500159105273194101103483943216435561\
311323892238453626156991605242583117451924231570682019840 #^27 - 
                    5649353696032195878158380391472851541337751424849555439354\
617538620162246583073076488629433095539252283093668001577324710378691028802259\
450840459560690174943158922430396906154876185741263523381036484350158656404208\
024637052270196358200420407902427080272458249725190928783121133080340241075551\
274166784015947780273286126970055905897139302491311426747744590033478068503971\
8801613692509130345358901510558831478530278711113803628544 #^28 - 
                    2770606585559965532778752510613217099909608235550679642254\
018997656388742499746199303010690945295422228639472343139739096919659831692844\
489917535413862826423576049717469626915174706243213831990525004681973137836995\
869282624105794531290026566180781551624954601595251885314141245096816744325674\
490007647547747152957286806763173863640393258625296993079222171100229739612705\
804195566285349578456460257550358938728660910889005744128 #^29 + 
                    4437862404204595673978865244941183201753662916389709481153\
833778821271210142318403767715089533134322476577509343696589660430580710408695\
153757018251254664162482864712507571734477753403561903714553975792092647100870\
253912484119870508899872722253421449345228800111028711535724077769533798399778\
633998393732998283708547468078502530045837220823336942104731869970422057057345\
0781448890085121319532041366013304671430203348107892097024 #^30 + 
                    2055954784080231161439957623963255327340839466745432648700\
803781733617168057644708679546937555838385841425866631784434188174358813416077\
739982191169225018759728317486336318240120174937431741079054716106225213228992\
811526424455422131261025225166388121402671620306847867260811856404109794807187\
445707439050665772585109934249210470647206495587827059447174234271305663589317\
812589877746541787005963671865691876737913451823759360000 #^31 - 
                    2712621828450100516477539737741208427456314681757885697176\
246095842067749927400710228937227200127097712315822466640238412777609145414541\
864501067216127859677831948484864755249960635594257158974485199057020248569406\
401853890148708324628677924460932598609631343211303448334016407686247804348484\
458024953166671459660029206182971508524357786936009945181605215308634341472631\
7248914906919514634493528522667575100899853660551288717312 #^32 - 
                    1104714444942948966127406337578189491979760015087506356430\
825520323145955113540445908470376554402549070759770720977201253802469923643794\
149135868912172401586843216520079559646307458246467119739755178287536173667280\
560993017951246122043802264920539518659303481856285168434630446281615781335962\
112807535271185762382222478803346800027338573855030900389487139072361889109523\
395552537195804713920049133006810185214224471964981919744 #^33 + 
                    1339569615525870320392488433437487229358082728473491333767\
773353309395763913004162610869101791379353036018834483885771100883298570456066\
815241529381614374115112153183055089772177820861649346069180646791899466785585\
483074219161232318294796012951256075548865816493155623204714396582063407428138\
578044156736571030054817934621703174998423076585399362423560753538049906115651\
7309681078701149139538498681457552262588751387177280077824 #^34 + 
                    4461081377037414715980066263784861049741843237959561538195\
696881077389377514453085407751083687354953525411349865458985555485035664831985\
257443272728105086109102508048938766304765224419184271020509410409829103567252\
444753520674815784654199853808314338805495582733655100976401577187438489932920\
001388016745372602883471879856031577094986837841269438352092602269859474316451\
41795962675266912011017256580629649245498928394401742848 #^35 - 
                    5429684566339924334660549129047593643503141136829472761742\
051792613959332947854731649346206018570195999463495028825186313944194664172394\
250095185814009302595663832747432160486460556905609669364810397024702257187889\
491765026681185587671292932926457408747007439996141652641036884824469351591712\
558125211185526740447122313097355176071044769327751943826502492384011899306890\
731645423369817103236844074926405552208772132944977330176 #^36 - 
                    2006413844944542675199993588316022965992007154543238272905\
587135606299180351017568931231714094651998766810869800112491982938416202252113\
820260189459888851634114639083270657396287802863299971001239369560489709797082\
444457603293509095676493508998987402639529368672712006246551942339770117868154\
772154155000081627394573696944589716359290478971435738801569908110705164616511\
37852175932846605951788037252938803415003504155553693696 #^37 + 
                    1770669581197360356719689136882185934575026512886425272241\
080419400867438504776655500228527286331897940223437710482953411829057420616845\
411222902732807560730162700436292776915422021608131535745830813393634469695232\
999686277314452789738825490368772286373011164742138963500597503994821284104812\
690025465737551940140618429711886851170887044213593532525844326048084008652234\
838400592574409576982578490990137962966432820557250560000 #^38 + 
                    1024384195841560786203803990261659864941415168828353963865\
514889429083788470409987439754590265618961816302022164464479931412307178243328\
940535200835545019885068896236440098283715281294336198006517282389405216538181\
057852552998133215228559571594024966998226660585642018033386696838705051060739\
400771644697766642486887646318531960901837703138849628511495283206470885727693\
89486428677379752559678729905125262333886212940706611200 #^39 - 
                    4404903188819469762250126285927225455462656966341232172185\
054947307913689096385995110810482590602971793490232236915320465893059674569599\
690156297998655932272241814936015983195747871277485677230191263453241159058478\
335119906579096367551385973276858920532903872985067196552640080965268215346678\
869087133583327933077986244602027661458014868411019054535425228969278238834353\
95874208305015827959466442644322238838780872893703127040 #^40 - 
                    3827987770860919491233684840407289481741771535732531474965\
750463930603038239510027829371105769635461764402277898787160901926580927888897\
574350818492212960002037391048238182286099024785420704529537214387961257277563\
837094194602572561628536141756449403788212894934490365843229239370973613467170\
498521853912020284220969998561645201242753388609912554504523815593683477740744\
0839048501956946811462225367017616433006800804323000320 #^41 + 
                    7699915284162094579185611026585840631037843178805113294306\
205566927573946273628740978477009206308570863015020777641689524265821485789684\
487671786906160745633768926817014196544455181908086706622716282432451619372261\
617465860117148432669545752506667592432871773112494459033677808208034415802365\
843519554636517457156189723584860323006997919736895264265889840824246106250719\
6169620637094918813896695436116768973706857767942225920 #^42 + 
                    6136512664922345768573038016807349795804300759444703208305\
755695353037731250689799425612980184299100771859553223985356798248232756751885\
217516937449568651333045922939998620576367629644077040950012108629408507240653\
630825722294319581797227755112271453240728244574119367953883868041086929695317\
029687963002420241785421255056506685304833840406273915326724502171608496733077\
172830844968881190438346800370011711777556667354316800 #^43 - 
                    1086771210996007289420930388171010450514240601052792407820\
278138212935550469792720145053498236330762274623168545846732562188045786387457\
393524601518515691316261171674447575598089147440003951748666421000629000572075\
427131692536218867882782780750659052549028008235266699307039955278544979144470\
489101077058527378506476176589328476674265936215725876287567624621537182513113\
7178287978349020655210256884784420835935861354707025920 #^44 - 
                    1293662224449047757694709741532758028316076909416427479387\
578201575024109654051165756001463578955702650947413401324034490835473226143326\
295781661787429409015925921658008300606543694839321850507472387802071639127113\
064362721030591918588413450219142555128854687668505883158834167608011941972400\
987486464907600538253076031880675185862589235650044752045926678645715052695733\
975477967577166092013082885619076546823437083119452160 #^45 + 
                    8137118353676547864478219449655128570966401590191503181465\
461878453283229499004394503065250161415568200897382692966184371683716788928348\
688097692499323315547678506533514266331714138566217834905184232299648442851758\
830803229467242829662428939813001376997516514885753932622990847742033492125794\
740639259598780662643172383896789375537032722875584368986292952340951860314301\
67767306706812804784750013655567795696967883318886400 #^46 + 
                    3357801967207691926498313831191559413490860278111372617051\
700331929265170978057732259769304803461334217739206961970794790100710733006319\
638412117027030221521027654381203670096016009184750357084927288124352252428242\
067192193802906990454467381400674479511761732627155698293129844483773010945952\
351835761325843581676255960364506094797500653827830034991584845157069690013010\
0717955563337615190391241908915168475182048634470400 #^47 - 
                    9589302765777780981376455521392141604228629829534006604680\
817940198881717272255841556102401023206209978722206382917915105732642255292269\
959490917940818086249389229009699113680555480767060039776418407495995573573502\
514928406937505439198966584241787686779310739514732473924180252054272484971875\
127949873727927354512357405401609255358835826462254552304925950310083199562544\
4961528659739798528319737879177967436065668700569600 #^48 - 
                    2197974725743681967691251586436657632256566199106247335157\
067692619697547241193057028298544704304903693842939851218599458399293457365615\
245849456617105394577805792051598092965920050216457081446147607679354471423388\
346542588792633062099481543762299084839291500859013112712556145010998348493429\
120886341351078307654648780710736768486515638331766901594773023597082023750820\
1648891055799080230134794862584840887336642910617600 #^49 + 
                    5697718805878897726797326176342762806598302479385350886647\
346910123828440711163908076595908107290386822794753190872515088382641569787951\
586230909478097003352416374695219623979806167568056733349653367241209219665524\
019614954693475116347361123192849636729378825752029780969325757007361737403889\
504588162143224917139800832929463666594772962537777206088721379176774973716748\
71503163437776854875444240098451489416455629800 #2^2 + 
                    8961434820162424750138759862041841932021766263453929715221\
735649214472565735101401316197755977772565075132662184229766075856305578654683\
406203055691940043821776550435584309336953933434349437688448709950341797035748\
914391031218868847212259079913638092622790921248481743837421167991567585662579\
376344044890757260229675429209427517802006669475484461851169182176985736061308\
504980399069464955988541360189141236980441004280 # #2^2 - 
                    6645963225750524318019125682358128463958779774708385435541\
842165853598500755155417968756945512385300665557193126973715597604478774260789\
091046831747156628836860781897977651029202558180002429058763191202709311378319\
520139174136885189854191498891532647934052196443232870539812359277610502461342\
038069279413091847706412731896354146991147118038104473846882815247363457796038\
9644651250507240527492968742868191521514818476800 #^2 #2^2 - 
                    1321115335501725338329552859441545484162707764130161160624\
403499576817837062388118476056590362100107995890344582951756508285493858442110\
862312248116382123890606139350715013316438838789173706197837969227495827087839\
410006144262005250255337527907707030339901484566018650500523966316143963268342\
900158926571714619771088335910163668261533276284807225294665721869823636321404\
288631932087216178688704954435888062960000072057120 #^3 #2^2 + 
                    1729109002701079538491896492831224099019779257788937882649\
232943974681025975369744748328239215223113972831021070074152664524558319843473\
573264792472776234453106692842692293668666336633870722484692001929728874852927\
471729632080823533244441312403879131377079977441193730798256134403249925340950\
058044240241561321497140270568935406113974246667970231817620439749841488683098\
682703889237665637490088020530825822395351293539520 #^4 #2^2 + 
                    7207826976816184881891602881620546223047176133112084683838\
251942038189678131999287970399545655785316630821107508544528957639614022211391\
140818257779483402625228439727783466212179574978491825107876349807205409163448\
049506155562616883535520635628464491932729116027932797491719195158793943998856\
950232133356216044411558466255932979652517544246807573789677987856986250883406\
9398882789278330416399603860019443612969037425020160 #^5 #2^2 - 
                    7568861429057063648611554584131921357045282573392180313003\
231283246050731495558656921310384521226355970795066859108610793372276159919318\
568508876053372585311533377401391439543105707240767593846122066594238248914095\
681569532581269059322106531530677253026254607260618937510509840232358002254511\
465939571661631972609489166053371195939322236900834621225500090778695973537298\
151766575996647891527543794397925406614807746643200 #^6 #2^2 - 
                    
                    1981369543524059945205835368449796103224323061250411240407\
036343204948731219100486391379455919463644597374497541662936335826374424603691\
327398049794513272001205946176474252034528521676195619277720205888564665214601\
763733720259564223482666542723676833595079185928256530265942019586928367729363\
297823683464649954629112847016460589159139528231042952368288024490780458656391\
851815164921216027606370310577393095166184017474045440 #^7 #2^2 + 
                    2418463508743495657920126081826715273626903502241124992485\
748491812150904697411145041657176156399544533576505867620902687413834450295516\
632883387732038606331275182535794057001519602045811930202119733991343432184349\
229977951831710961953587037919718071225968611617253308760690730350646826098281\
423610179481512480527905018557487793498565819732143834752732116949418738749464\
61767545627110789721135153835914088230752188866872320 #^8 #2^2 + 
                    2803237840510556782153012672706099828756873748300407108324\
900515826931133143533849495339681214271736452061661688969601641005287230753668\
769998297187625412000146005729590978961175328929493488760880730954489135058384\
066947043560206742454233129905689714882714319152913476049303058323888481958996\
496284130189229316591407698301086708876631384811365098111194292949607259562700\
1803637620234750492318461770035177601046486304912281600 #^9 #2^2 - 
                    2925158489762943108614801470883924456779858312226457239113\
014013451006121003475728783045443142745816095131960948599582375035987827526868\
066701941544574488715294485948349023865452106143090653049564220122855619649539\
680147405457828140098916531891180391533271802449806618906702982734981722384992\
389960590609342306290796302712762762035793784708020291234457573208704533278130\
538799350229523348088611350750344605738251007162716160 #^10 #2^2 - 
                    2336802799093628300459383207001730294197372087226084721956\
388098002586376436483295711511848318032847825085918416027657037650187053907672\
389519585437268182133113324400868134573289522731185872993472463858103821163361\
734431534678236137785672624591760097116675228375603468537707576877389642423890\
086817174997020847367791448564344549054204738832789520450057716816273049459070\
94015026949218363640081109625883341175435587621988392960 #^11 #2^2 + 
                    2181201629248788104584281467043703242290658877441798147150\
358065392940177612446202697157657990438479390334243912330169751772309714532318\
775762840018907230594956386145231096982018786605414817592064764110052333274538\
347202991572951132448125083418855067294276787724213531916345444184315358061617\
362299677378771600129584200944705521280908253173190545994126734373718867424306\
448518128192035440192151374755159844635686065100472320 #^12 #2^2 + 
                    1241487918296131974257149344815961347759764420706868507646\
831115105038662217576942666619090692823516073844066947555769575981510729290693\
962726109841684648780778498799101026365453534632364222725695362874620836268046\
305548511238789186174126770628948638449308581939507349441193638868061055102371\
783889165472578685768555986499593385788027358415215164643130812817065518650330\
119931360824108650616945653002314084139562703343649095680 #^13 #2^2 + 
                    1271935841766502496077101405394079695348565415498913640158\
135202660254157227935631824547200673757308213384241977409058333623119562203724\
307672589582927881639064071535130762305485372121711013132953645395767722732131\
063376564683536002694727651286648661457916796264883575470653879745754227137428\
830211079772184404570047439901015864260811817661956551994267047590178058266021\
08495386686433474028581648173256236577990698259697500160 #^14 #2^2 - 
                    4367874224041846582231288029371001485038333659506732777485\
858378192811773638067952662773652893286752258161845909079688413848733697249410\
551250453817792589169861634359856088891365901174371544359331562071520499986645\
238074132229090196807697538233564672810310822247319276890367329977791346217788\
404576425952986354384623977349746972787080711369596673186600397456149616008341\
454057809564860985275144921812177310513859383983101706240 #^15 #2^2 - 
                    7858241018115764667283342324125189646494265001352530197000\
108881763528027410824243710386476559428890946720292558944307220600701722992260\
260216284406211690159942922144753042976170139269084739989979821826143994778375\
639902059195666584192898129552446963011039514611633392387772898091939547345085\
172066622497251203436396686118102914135797421709588672201869051800549061886324\
67541847252539302988016695288797921605880945490459361280 #^16 #2^2 + 
                    1035125950164194640304228130468344919098803516577199191588\
757955242184402949856098215825537481834016243038926235988133455745250373349011\
527412733000465883938383762124139146427676137468729899479842379677403304284354\
077274314757746100921169760618951627612385907892350370503422098020940905575244\
354311218246714598383686398498587673523865430736318924452684325379121158887118\
7876317238796997896093120479087879390064363593132010373120 #^17 #2^2 + 
                    1812579835841173868369732383854182383005546414949022350918\
407737236678296503725553356024390373383701904916953059262927212960924109900276\
699056593926885228834360769821282290619263934745349949424734085179082435062540\
671048290270402325127234266857759621761963389414096170796513341289932223925994\
438919844228089949532358189229044525867827968924087977015600799477365184084110\
920025289800341069735346024608605077362967570293241937920 #^18 #2^2 - 
                    1660260361698495149783790370277318177419548817107909776797\
610867472435886345697670959744481995206415550565613404477110820130686481688724\
869323182366182299452632811070167329483116885062076776203862509064590359225882\
363636042680612896790058065126891349825064712950780500496990300065835646976495\
745891275759685613650259728286097616632056290065167184332549541467259053570124\
9665669020470415474906858819084582733698764333354812702720 #^19 #2^2 - 
                    
                    1409917596038888925857750478439334232311936139597103064357\
657038782750733506828610803004952932505476832480645456137145877451548543995626\
250093286797995490131171996920135824167563248012053829320633182759382937721188\
668828625781248328173043729710770202280242865615924334621611665532520575072217\
927304697923212853076405187705532123409698975436899398238353547812004601397887\
56496447951014185083134637245394200034889901009188945920 #^20 #2^2 + 
                    1794201847821415906561895010756170727850292987803665465830\
889981960867492731876167289936033704968934491177003183023140320133989138893072\
603333322842295679785440637425806375267318401011184320418064485505139985099478\
788141248499002446273136495358033332778903884225290913180096891128786970652835\
969108635491335298701080959698554127962301404921371334006964655820245099567580\
9367148841268975146505991333650308739939043989028811571200 #^21 #2^2 - 
                    9360282021988057124442074917718238787612035452381129003260\
833398845444712731330483003252304437982681964688507563960998869048467590760151\
903202872935785187274247238299677170386606353750514882443519282987392478677958\
434400146813692759334461290912238848421532838473008874432522160712504785379629\
225988038403106800192124203758047725640277125264686857960840462126974129071978\
426247856216218950820409000266884029243603842439084769280 #^22 #2^2 - 
                    1291798073967409796534666079865119749790740096368338495912\
786363671784362917822318695141573387461138367016017325675633308058565497630471\
314021810608286226514921719098629609993147022549281193910401651946152143665828\
272077257195851566758800750911058638533317857781977346290515940057841110820810\
761750700225287962127729433047723238413848089977382217964685542008033367967535\
2398089151246101542961675801235470083432142818292625571840 #^23 #2^2 + 
                    2624606109406444992529348923107802382935213933017294006027\
799206452317780703388698144020018556266732113778600141262953028297867299816505\
602732979799618825008968479880602320678192858108015295878407518675988639839070\
965639503565487477714756047696255243120230537808897792642046191846577550489699\
303165570264016590230996355388960180990454783026547055571612443305795105270252\
0992569272872101916801990028642182782421412071600029696000 #^24 #2^2 + 
                    6245929620209587436559110677818450322935094845497096188058\
208429331992029216801542893926298601653071968569574218412417150240007457155338\
765502286027181600829993862682414694385550378583665460789937144830236785360275\
645106553874847980667679056881721678783948076307581006728000031111419156529805\
042942355452411342183951188821678058669083660448011360493439579672880281224176\
091390175004012351234790188699954043163021001444588257280 #^25 #2^2 - 
                    4071990726193482896861770591944552149075985378300709364322\
928002906462546164224289481476422586417413787595761382326809288264639443993038\
248419308807783458492638280101104617270059933936365314115978891938590789865105\
130329156795494754583471218778963762699302477477790407517814364325968641078959\
703744717353543733357822862029017055962602851514993537902681571414079107395029\
7497285926884290322867135084521324377274801997575146700800 #^26 #2^2 - 
                    2508712670871471129888473271323796915632091319885110499353\
277514146755314784772795180347263874991274680549789146363324276836788563070941\
722321059708189314974363820827068886452194832371053183775748091341783790046839\
929603757629238871689853653332815007424185299400923591008583744228214998855374\
669030547003625279102435626458931014996423174498199822764946138666769487157463\
524173728596797081993059187426321564670219057481845309440 #^27 #2^2 + 
                    4309399084546788061526525427531360973133786651397221624535\
945682633658785417878323727585748351694025600641546954050620674426347964623605\
929695913939097298119569232448414414899836071495183826960959056742739516428447\
498341959091331883638648639479623449753181554814754860039340240876570217986592\
617881707728442915068059380695122521413693589816525579819660386975339552015117\
8817662435282132128612257399009307053232202898350234664960 #^28 #2^2 + 
                    1564276898777823507007180870708461658728475433648121078939\
851883960231981873673845979961457840360323355944292867075415324290713401175641\
420900906691103171006489687510403024871148513938523480288959174651029034177862\
090805358386484823943131146406634656378314853289117684644314719355962930207722\
303543328948800030913358386297148629524581747989009475058568733575745367969858\
484772220447809564352389360982903896188374529029670174720 #^29 #2^2 - 
                    3377685121327134312476548990341421286227773449916702345661\
978147904020546422404978930119225807020159853341927811223666822564152102674854\
205559352246573645632550952662274653583233590997895036040227208170769881376321\
967220360654745020440227022923430955887820382076320659498153307645589765497387\
275660048097617208106223783094147721879666185703251327041282276985901514723323\
7505378991912793228303530779436699079885895893920451133440 #^30 #2^2 - 
                    1219561642596567079313966787823742353246982813449577013707\
054277726347503571385110233862197728862176029733353480361577652937173005405078\
711816480551641377076088576215932093416213919720411724609941147562638372964666\
964781378753388789378671391202312791886835105715241393300934163121464182167566\
055797965054990102324855427572792057497083917419108654136339413278779226382369\
079668084062559609627845179769734820682325236053568389120 #^31 #2^2 + 
                    2061229972884006501667146263817344899450191544757523663946\
463286636945143400212692784473970888066511251459141010263588867755453831494522\
996006715141384691385222121437684147864582433173365333999412885152664205249198\
281210039234523919696796143081458637953462973333308622539985691341533980885493\
946133953753830494546648552558496499179023930096028160403352296560038320184495\
3005827162563454888345797532733233099985402977286650593280 #^32 #2^2 + 
                    
                    6652606353521246667552720622733658870541218848710286816248\
392537838087508310950418834681550072691356481627357629325619111614432107454385\
207847518750383085446696198330875774764727113654102577052373368462531219870119\
270043030220323971852137035636389706861280584681402786342216086432540485667190\
709893074166916901035952902062438761878671958440059258575068173205420232896763\
60797420860679366492084772482285815217664356284398305280 #^33 #2^2 - 
                    1016537283496134741076845984276620532014859197226928726580\
916371269170186899728511248411557463758748352671428305927619952087112484600021\
920034602367274472591322052159402867633429320570834852644409427711513389135360\
424530944062043509356256468272246402876207257265686014422208437035967623973976\
205483323247687411640005714465370572254162836207291993384309311711781204006695\
9139394434078938000865877226748340147467370844212124712960 #^34 #2^2 - 
                    2673739614136351779813493119146423760583163894971929113350\
010753356766378511322292588283616460584336550313918021278867507671212931351791\
353605294604843259185562798211234284729926950353367319558867823014941188818363\
011713976640966235553275638844833481538492350216844243101105053524983571043931\
077465867683151523801674593980076426109623924740866518456630842005990956152008\
97540861999204663667949051548813788078033469254443991040 #^35 #2^2 + 
                    4115988146300436802249731562084095509222463209055064420739\
304445601603745987691041666441522241363815454255220758916507258651415813126295\
710160356918618556194233624652598545723552303285321495781584723726988763288379\
964706112527671973631279268734959172453027873036125902188455772901103444275939\
383491731053984737159417679774287435628662501955412961684590903406335005913128\
959334551662250557084357321493205587636360150761917644800 #^36 #2^2 + 
                    1288168965762356762276590386262682226982799175582566548875\
449023200550962755335819784411440065085768456747452389273270115398928511921150\
507648026092520675782606453346181389368325137261885031869934292437117235833794\
059236730102384009422867693963315118521049169629533489092905400029768420916466\
970258825823314167585155061867733109316215455774488274200461569825788458187764\
99887149016773871516739215894133285932207026121694248960 #^37 #2^2 - 
                    1341260722848533990804332255868979067064434963486041378225\
610948485156258432711469040909289715126132033064806157131419888070643595548162\
924696996912598651922819531124053411718296553724948874105753855855557813381341\
044094645037986376454548199787463256728509150391236938701387051140251626108268\
555832082973240200618591138883687687380541574941709903578783334907163980513404\
737555793743219412250597616906777626992083477767127040000 #^38 #2^2 - 
                    7170810393432050748840914912347269905780325913213268245951\
791526314674871444335142227495846941276858753787093311452529183516913108199162\
128395884946550162812332439712414614644684977107228981001962189544140952702760\
690323994564370353582930735898741174020444099153789089893491941981656589516021\
930785686628051942347383486986485973289361897111446337845732023165263692733224\
4231203039398851883414449775324740035416583653713510400 #^39 #2^2 + 
                    3334782380528030238398330808602474541770391811653450648913\
325001576336932366355473535966611865969602386257118361693578407612263279869087\
812494807017184293595742644118453498157322058738932713273523372327544589326191\
583208360749428841768133316387846364677951436533163757233259933638420532329741\
691070057263309143462266676913006848355330707532581632485956702856558727472522\
33374141601273380461209062520983221948768456394617651200 #^40 #2^2 + 
                    2787698816408618786165024109142573580888470349244535147343\
782879234016149517010608670702919946992776660884581697963910491398148332673863\
154491690017143534454595476135059397720235109459810652215694073417059153858860\
728810559585331194155508492292134926674484301480260295087475131597348817752564\
249826381645603747243885240705769344302052854229936615387287397204939491202455\
6502988337680376597549503926919518155178654659143270400 #^41 #2^2 - 
                    5825566465843295750141286873416310682129376766325617405490\
851511350752468716976868555363512629751212390915718672105262571986084193930037\
138531523671754272249239216476454609880457485469811777795170511967579265442928\
778978342463506927236545151766913352571537645604148109176265078581173334614513\
040442018187911907259323166318069774511498589865955440010936457218333888864500\
1074311833586530452892569372293251615538399151338291200 #^42 #2^2 - 
                    4491060397302454265148416428337879073802487650052172833815\
656090478579567373098710555904190060924835021911765003495864078123281498771768\
327896690616720804086781535701314260799312015716076335460239290715828817724743\
507521105563525681406768104013769182792597460881308552427172824992492588709970\
573337133140103437888766999968580088935820526945692212865019764060706094458753\
175343379691545520327404576809279251270546683540275200 #^43 #2^2 + 
                    8219917043445185818792053132011594981442256334198491695692\
741274090417961722703361804080087522340540212773762554082129328477845334719288\
706024941576648628950340981174326885958329127132766423053979750693265206895614\
717462389338078505273278360172713012733412483460265923612747647643861186962030\
034950674943415239854578109018956510179116626542749073361449052640028546804738\
104258746561349177396812810166550517875119150963097600 #^44 #2^2 + 
                    9643562062770076012237409630957425251298387612802705796345\
347920859023770603203259614887993905179542188272945231648913343701802960013794\
976146929144581566234138423986503722882709119172796783581509543433616700621548\
099085277848069463500373434995568956021118870075302259545329954752648418298606\
121725322268340753407585183142791226417100277133320537032947116752191179826543\
51542916161881002125312694138434117177064507939225600 #^45 #2^2 - 
                    
                    6149584901068987390671707347770923064147406315693754795111\
471051300655739717020833422766648394669339472724722334206943571395687734343093\
639325960199340817831477595066155829441696357155545274179068967081239704919909\
739693653357384050169556773973018899336026954560157368938177962897826898735435\
296490024527747062489369722823945929833142996445636940948515173764740986289449\
65434022949954245221637908729392541747113550151680000 #^46 #2^2 - 
                    2423183441795446911289185736208283777597973830260011448667\
599429020300808941978611045811028759333044192447252671324615065539511620816432\
498340386831832349013919171641539807040741649486824539230259967023834712594436\
645568881926667095838982629412331151068658031668434802732866110351718240853255\
509233167966167068856487801277558825151454936326584079944798669788818527351981\
8005311570333773911234257281000148030515451002880000 #^47 #2^2 + 
                    7259333607306256776796209789443942522918666878601577674610\
757389650294364961358969489415456125272784951069675205302402224437658270108457\
624417393479102496716649123211005140464553515208783414502296869361177046917438\
123560906731227182433480133328076606146876435982160010952374762280288014252006\
923970051613164401312550501551615623610923298532861800882827374873979181325616\
0170665300347764995746767594661339031739165573120000 #^48 #2^2 + 
                    1656827345437638621112955036177704208783644346843921999693\
051554767166090071647899498878688020347698454218993533223357708761025531930744\
827851260041597143721540948508607520771912213626955814561725612378589627339698\
928391263160548137483781284915841901792537176022837749156117512898978863523509\
142833577214005971909098840214003824689294406954190286866730907873931710407234\
3005632573698295174981361879700327199268642226176000 #^49 #2^2 - 
                    7450313049899177641782547075454736152108878258205360794322\
129221344306553050971676190004861869010187231022646715393209800866928820807479\
054854886380145176749641580363580947566710184538677794347686003255445320214575\
606603032759974537008932259180027955682103382135525597691908714863870073899578\
440818349597179333111877865515802993637014060141827443104185796844910388363362\
04091658890445912115129474069295459544313282400 #2^4 - 
                    1171864264225089062222921133417512770615364521833102208889\
320475811266394135475235978560147045576940811630959534211983788354491663803642\
015867474593574228251609183368613652570739459607836206736150455067990688973121\
257710758717552482403545407024001659602382676635910809966777027542509799497611\
516495681055153705521353383966427513890903591082711419015123746223060115095529\
8678711525854454377326637374497875542570324828480 # #2^4 + 
                    8800943020932889106978218883477502267181861213544314570898\
531792220078404020614006610030325353758957390085424716979298207333457145016660\
443663093677365535413093118056232615397467416289717084060151962168161179371889\
921634398464616361882116741835112511398638049261497071283957543640633678094213\
793327213323898116418939730321773741882566209438743808139689582141351768449383\
3984157302991706209785786459990910496156576058560 #^2 #2^4 + 
                    1734231411453011406270548110743743340124066359268697747014\
050424792314372573189582488508452164992115057611475536989613339813752307644209\
870004120495756513583649844596563955429742820875328916240121987903983509839995\
861641456569648429508328374485347993015287588881495716857718320330070707613186\
996051436012669259005931005576138388795823374355260262532181139428344827764785\
304097075139740365363685982745186822296091003002880 #^3 #2^4 - 
                    2362321944037610559197362160921106142040250763458647807743\
357967201317495877342904822239513957453134900271042114894332225605640329473182\
375970055566386009689426907702451677808199651942414219844877269841048240096252\
296601299256679737796057338176491675761325664687464759233634144614810534042744\
028064490364442839162995793086398661304116498917126884977045682019105237222882\
418285441720136578742283684298022250290473146707200 #^4 #2^4 - 
                    9511202197042378200080859395583969785990852948633048242766\
038039263409284440603827059821165554120953718577561084952115754513332338980668\
393559548584106221041213000581585340407523365286289207951827089365928751379596\
066406759244094658917147233884821084593031516895263471781212543311156109349199\
153467497120603359905385442049810943536469388092669677615490157306336046693950\
4154742617257428907803931742451516062488201427456000 #^5 #2^4 + 
                    1279494066002026330613546848923415477379434185442101637050\
060863385820226420733330097666227042980046803572699678311505214505809491426143\
878354288474236120695211818488118922561603780559534243678577111789881158254197\
135508829844065901157925979140384774564315871072614185866420657551934587425587\
818689975512673304727865650457724991864889012770926761994188173201300987814928\
4540698039513611177868086257605805831933206678906880 #^6 #2^4 + 
                    2624942543577359741020368390413763349635300245261163228600\
092378717990449266945862062585496539566526200764947171333748375250917330385475\
500567787742618628564239110973842435910452910008247255905687145982188128481113\
387393695495929915011022795199309829028970824842753674971930638240410713107426\
614627535221924003578576043931722637319470887014950727489912604106679504042674\
895126315639772035907398560209946761851824825671045120 #^7 #2^4 - 
                    3546573716592186429804019485966787359250713990724595057490\
500196096210314650852262100823768994069790029131103760610840755062971708033693\
764204062467352923785075421976386406412244663073116016638573371683108845745264\
112051809085777309290974376593474082568343506434327509308489040778056448532081\
106315382027223624919930884928402851025738071052762215158139732970466043164464\
67647354783410494472563094467634866679999698989342720 #^8 #2^4 - 
                    
                    3727957879774611683334047619967079626946280327318534542746\
028978127215863774786586138476403587724746549698601205562160781518546515298321\
119097395435719593319777732926275433758837607670310436676928686243559213996284\
623313564635697192969595355620012430737904651527123141847211970462988350627167\
378680691342640611658465102194726542077714985321799838454385810292976770785857\
6326941292371150216828589319018154524393058228797276160 #^9 #2^4 + 
                    4096818306692283466564926788028732882441862639756283471767\
613621965809781618885994263029083849819432961666441285629679205002580099156588\
108171715915945119912427365614548586803989581538745649527303782148161603207302\
779674441514766593015886398613060137977219415612538045765854209462307085634993\
349878241115316213490863250306081852433134254506284020939472488697060206673454\
957819894863986351823852522712159984453724511729254400 #^10 #2^4 + 
                    3117706629669376311237194264595991115687540813304801992845\
786536022925362913421392027518549726273949100332403785881858444695729781551697\
995881463171207191885615820657587380244479709528652759242263507394600210316550\
916496972614979515488831399890021481933293522652333243860565206983322141580975\
060277042523072016201911712793271553744764680002140621539551111135359698707757\
85937202406629649089916650780717229518995925879151329280 #^11 #2^4 - 
                    3467664158671676162538756922396629711756497456023510721816\
201495750074007382332190737946775307901728231489037190937467130318885872085173\
970239503686553756263659256354423678470903204100652513609466534227789087661865\
447459040955710392717407599178245655460947785892973100976991065142344255695214\
079069080900525228930287324149066697040500041642555933954247588400649460832105\
229301372091244608135517127315666729501445121256325120 #^12 #2^4 - 
                    1660638388141242081260523208393338700333794213664372929909\
542798633328851217789029114116342414095924066420020801123850569264947390616680\
205358585456373687396181124055733740281305335406281599312627470745451093955188\
739690328879693774411107861148873864894362597311472607842835458777532652864625\
117832802885022903195525618018176835324713578279729487945815010301833000153791\
598676814208422288991297017689431515484441115246398013440 #^13 #2^4 - 
                    1704523379985293606862550976811179244008623599457167863984\
146284297522736196874773004936157278348401268724658942642350723250995965525910\
456661368364166656934035599115535860952074110143530937526362321453704690498442\
524808287038677303946061345156605799554431361463743631082964596393610933391558\
478118085869863521927427783480089518857638261137966090235001445858374812775767\
75170340926224319553896246942487851032729528861324738560 #^14 #2^4 + 
                    5854297183266625703464757019063275620218024797747277201531\
984650909755151548079631885265722465144717784704823440353210036151458476770564\
095309184722791440834135537283622111881701259699910957517698361314668578068159\
485211000286914217616856150577284161572844673365111467630202797244338989435197\
190540195143734640228624720255543608725112572173690357529854285540263216169141\
738013143510921844448912420544217708926591760178489589760 #^15 #2^4 + 
                    1060678476826174210013361965469229688715367929369779357409\
146258605518187707033520861074894949355508902879920541275927442983117557652285\
676646242757305582214542140387174734100484379967219638049715207429609921103020\
889607241758045329354560006303077225572326037489192178420869628142388277538216\
177962697533004885462773937908763224067656878770529214646214187186694611415315\
193791999677443232266936182743675022309462167457806417920 #^16 #2^4 - 
                    1389567469204915078478215054095571801784775616797614930107\
678837129767054808303308417970712527618807543621346737388902115940101861847159\
034123913706810409849078813770035637292306660110700236830063099111006941547868\
544453230294668259301269487639084336947262295237824536599702891734101455163079\
244992562708561700190871551478291883188607559742128858133862274260957744657993\
1624235999431151135580463998902965288022890030265154928640 #^17 #2^4 - 
                    2460166521233080752276318095357115031108391735266840734290\
520218754778396474077456174903241973053573033286466373690627970858807215533025\
460124133514986359386375310031714866606453162732504636351276319695640114922310\
766336707279324799974614027697257743378675052187459538751534861565600851848558\
440997172459755257945471316766760216056686236572008091052482837158035931116943\
393618495306211719212977052677639962692100309908245708800 #^18 #2^4 + 
                    2231670502174680935287980250049200920375412478600543003053\
062463819644018937353838167567044500399000718508400912437193711804540219844273\
602191912689951608575206942597763564871115729663765770535313179212227670385144\
677144980574441068336128209782509770896251866806378576390393712058110161227974\
871739010704342627390452871435385559355018252417399049179213082422435402685123\
6843286474790833525408483020092471312222952698599366983680 #^19 #2^4 + 
                    2466378008632139729306495366089305449859712174261663271024\
217611302597702595269125836117018570290962121511026774839273444689133368565799\
306717344785105766390861694005246748743774274057077203393320873539783766973538\
197551308527029572281236978771130666303575836494312531913388304233704413222176\
296125843139204197580464661221932067042862190215774097420443184912401917753967\
89105367139205837177213135211169561067406385767660912640 #^20 #2^4 - 
                    2414937395919171343017202949737644288309982293349389735345\
734760708436152881271667646201057832705203163619000092908832242363066504329501\
072405534671079277845348754732584799848143907763482353723538150467434215486144\
135793938678577459275580215286958812799882576614330279352453262586740116916102\
553914792886941717048038406095253081889808789878037842497918575558981811215540\
5226089776974169973366192486282888064149628149669004574720 #^21 #2^4 + 
                    
                    1250635900197675912191194077673591228361402988017364824576\
046845918734500802273911636507814679500052286313106072937455069740550011695928\
155846697008556515222283692407519741276413411597729161660327032940138774647258\
343961774898306891960094498384133504418234566454641120725030297089630706964714\
883957578449498209675446560117242872791290020997561693520336786781770794391884\
4905758726806010432328258013118969116639282056131887759360 #^22 #2^4 + 
                    1742356770658584159387221245724015954887460697007605126605\
675583783071789918346555701742894193930686845113385529909482234028950239397526\
188491835352171421219460027824701184821138748175130406874202714155244819396735\
981765487364715680694832809060053624689336689722671878872561611539378252259694\
151305176200454016648015002874399332541355661679462234410064173482687060351218\
7333022494228270591831350744470225918638593178064818012160 #^23 #2^4 - 
                    3523285536598507960441956830063153777970406668743552118583\
343786224915570667053089154297701162945827444289481301792012551353959548810007\
332306248428245732003036603096081685829859789246026594366689011420876723002507\
885015947132644880750120314895621130372379293889184398211982042600651508838603\
005877422770001440090523581443984830345190377996012529568077831597196780977462\
3236002984984672570665779009100782920234992543927013212160 #^24 #2^4 - 
                    8467465272339332273376191554902911766844691044444427698649\
025808894645304927809787814036264136322656588433030628656424021731027237533208\
431171579927583218852437593246552605535090843666048710860939489530477944817401\
272334649641301738294999945557665202620143987383148129285176822393220860036261\
050447496957826709869783276390504872195981607200660374333310127268108887246660\
187456864720480095912756626808937291784903832019130122240 #^25 #2^4 + 
                    5475183080350987258164556133975412732007859570433272819768\
601992019639806680331244785026350368113525944735857052778463888625586940449874\
482672709627159243887123032175450122022162901152134841814706295984139044114171\
747567031573165507256233340906419600328249081914080445558038437323386376998212\
639546366270171709562831833605443962196444939020568037739944328411038963177288\
5849696947832868476702942341090864914795659225365426995200 #^26 #2^4 + 
                    3442547313651953646305122942515024163627337651716998163204\
831609592637969100580165478869027028255122465549933346135044120437514525853915\
312067464453860134750751979459169798556587870929417900787936742101505852655832\
677925667907986864043613473166593334424626090105334394256399839367333876297237\
409793610637850351808228797689333010024503123132409618114746861988345449471243\
137909067991350709862021370449348462235272824145093591040 #^27 #2^4 - 
                    5799335607408051025692564634177067972111290787756594080095\
034553291642382028004483098375344178142874283445285717370536531854967006851928\
347942425342728223132224253965555013945118933599186208906926228051353515534154\
824682090360790017596361603553744298993093357758557080035598196874431389369089\
502735272312257833049995927525238994583371951570809648378982525198607791378559\
9151134860137828905118405457172574669510381442456344330240 #^28 #2^4 - 
                    2160895379407369596220275058435153049136758106082754451243\
697328632777180288776667402759443005829918496965465403495690600692941600167508\
799265095550337525445287022018689840877078192377224871850726316831036749015049\
477176435879861533211412164168706377720133243883604079232305373090844595399421\
521198548904036134245775374869884203535358286280044039184420975660668744209079\
484197652218584590615669693799713563025770877640853422080 #^29 #2^4 + 
                    4547911517676001070659551083456524495989387924564053280474\
049257577087158264800087685445815833012169381106778355643475677733401594146404\
553162123909954640831904329086054420478987995165675395938208296328148622484813\
162096390278522656630684003820183569845528357384797970782207811821332568588566\
016369396317527716150036263620670184524936574130628224118715785685377237141047\
0601746883173418603732553263314076041299672910121580625920 #^30 #2^4 + 
                    1678707344140082235920918800786530351969513526281504508027\
608905278787249833466548589031769173035256202046891345174628668291548527085038\
930591413071348309866146083072533497655805249726923065852525795553388065409102\
817005643425356287740970045384993327668326619516835298337365935195418689846970\
294837509599833600446921584320925488288023052390024100607720061991225016474647\
589703485837751717095054994986097657738983185629860331520 #^31 #2^4 - 
                    2776398188473084645186374672574512401680194560508750122740\
442478868895709705507490520711470449028908328777830299644447054127119848736858\
551349858956046558483596755123776029691045281409143577569683838861829077249916\
496484941222460004862005113222646978224047406106685733083496655077591620259490\
982108720710357688073036926434137208042816999637040159196474288187058468940367\
7324602137886842573259092855528754553486402457796786257920 #^32 #2^4 - 
                    9151212124823771418674621943466869862701454125394568161193\
590865755449640882091283749601073638572654862800242613626647483864940261406085\
243015298706941901058408127641610214484841917619458896891628482646256216200457\
514785491939301252974087416470499211005120997935213800956693272316084533973807\
014644628700823129893493574461887336717346070775255972690391760241072825395545\
16555208128389688186055401994101560953073658127722741760 #^33 #2^4 + 
                    1369640937386679282479132011262734786600281335300011461884\
079928003355767577403011356703031541789629578317311515024038290960892240875132\
029426740165557311429488744922004195964845456599164673869265327641834980246241\
031233906347835372129728692995448776321594284212823164493126732753600051522153\
624078175713871002578988806711817131049299705590124852776510144105551798690838\
2609531069144541360003084739840342534814477553661053501440 #^34 #2^4 + 
                    
                    3680700918915067855019080235090760857086648796567821119145\
100164840170616381701667635233480522350966525123098746803027572804812402561219\
596639260856668451599767610336295614203241738495643612313545556657006266518735\
917065244146518440568188622921879144554497936196920887743026475386805560107436\
457223518533274527857802181521878515022354111306942948436188031365400850900963\
93385742254055124353350860874150838213314668097070694400 #^35 #2^4 - 
                    5547134205340392528533135545781439076489770824981170807184\
116811979709417110954723158919558250312640712087110857005036208065471188829868\
683841874476757402630055851652491246463579376279942427231897659405596573005287\
217321017208716982318784261230703438089089839162707507404667795481977783346927\
339216081769478613394210882320347162100370136775541960586677546107370153688666\
426802186889318133400310362835112636672579367147478712320 #^36 #2^4 - 
                    1761495201591019686355225059076032220883446678065330743105\
496233422672535424460114121913314496891199318957854259604830585337368885601866\
157023203582997578288182581993434363033070352150751149206899891441909334651625\
338881393614350756293266286118529118325186236088852904233730918057583657290362\
596223214720944440392779821430742332990215216179808006677366955995342493179536\
59445368600893952047331660176779596566698193586728468480 #^37 #2^4 + 
                    1808033156568664893352883962290936102385575512043901612998\
963514829566624606515654529461437592468907536628159177295504743466385064162036\
925055203092957706400528322207577631169697070596253964041502094061446938390130\
924182445717762226260358803622900941367910889610175374026795298498098178305406\
328671548477632337247959477524575160537056295121896659259033818795284743755333\
029998052165892865147484383776013024199410718229921792000 #^38 #2^4 + 
                    9730957112514325724307124905974784904277045641687280632569\
203869697315167912421734951587934105185435435935349918543190759275022159508843\
883025175892538560099102231663829190848154471576028464115034292702604908903440\
677403325430086325747360929500322977714478325032354654878920457714956734547572\
901611023588815494642208001787810710877961888833638191284715553568546953380344\
1970689375902162413813980445982177445568031008122470400 #^39 #2^4 - 
                    4496240163032759120499504548345680016466344880078004582784\
703393901206142348478265148681934133281725939877193109725393928804403841683998\
633076211581512862821410331245796074465622560043688895608822314745195693155785\
253948626065303031956062611848812687874562011764703244875960667850644264202358\
215804050709867674377274695131381534311526386214835157887656251290092253327555\
24474432816442693187735214760145503280182377746268160000 #^40 #2^4 - 
                    3771512270323502225022420998112702008546107158659665335974\
086088532592255391266178769696596249339993625312940406138129916293182564749615\
331625274602007748489321129325116827376688938323180229713524047802569581450586\
512213779905156956700334784210407743291995129090519805167972139925265827910951\
808218138510694432742690316640208154322780723380657543596013766426412681619037\
7941764051409401595288010243557892361788826231557324800 #^41 #2^4 + 
                    7855533937197682954735736406899392664317781819321571873855\
709331373918224032600125340876798275433106312996891655721699957125824311244471\
420337254837099055823219382138220533541077290002728341651638374033803109320423\
805743256599914945926565462883888296691543329450676784772199867155251923659198\
486781638115538509205693123606099929200355109230349757777591327563330578908398\
7504531451006311502212512733907096776168279444658585600 #^42 #2^4 + 
                    6072821033746696868459410730138038834109605652193378570495\
135998254757300880514360712687428188565954155605407741198067348806004632010047\
412522708589129594856895509996533735427386826707998939251008411799857022899925\
877381794130578731749572154262336710629439766031393530030372698622262897567694\
893249512758190418462246883086035281416622990963611329333148658845714820692572\
853684267501165282564691286661840184266075829121843200 #^43 #2^4 - 
                    1108604197346258161950086354030334721437987061849775270656\
907507440947298235170543922057677756513659930097633943662429662622899275690122\
046303745674611335791973299634670183091601734261268975381124291720552437712914\
228976478769927591604000473236440022662690773843529640026983757200814020183604\
687980265020868142894890515051871494517004850302201029381494706506276136395733\
5985458139665681319891503239327319575182068145979392000 #^44 #2^4 - 
                    1302403192320601969115375005899168656603019515645147224080\
929808139044484452597308074025197312797840556029507743088440529251666486276827\
204149830990845243143408940848058839565229944322623144026926343700388542297648\
548791943499454580720510712650616732545869099789251968320257348647307373493292\
702687557344332615425649847109006370260002081270845032784068951496427500227582\
752807299938167652373712099326991036015450641976524800 #^45 #2^4 + 
                    8293690296918295662256211326321130255782424704495056616951\
124367052738613196626928241844238691843867351170516815385515225309080175089850\
240708289322721087300873261208689369871228475774178089712398810766606683853604\
195050666374365017201443713405065615056906614340841860631941344317039691541405\
344884543257590551362366155981434855424043899016056320811091416294986979915727\
18601450706395683599539701603767995346378710581248000 #^46 #2^4 + 
                    3277659623586383800332295346562460482597199598172885610167\
835857306607598415277803333535426060475236525992908018260643409950122616503304\
072987574333140071118772389660948186142730140728766586654387659767106771135022\
895368143767114955455295885905658433982201321338385198150557023068419705255362\
493282731392815408383191604269837176422817126537008789303626512898406943941134\
6538392412691105739682457019799496056360967077888000 #^47 #2^4 - 
                    
                    9791330256769693184125601255010728306708063968332361120073\
322844843608278626778294413905756993377761562581204608996538548800766311031676\
086472852783776779263789116146450998879957945814572807771791993166161038687371\
265460895631705972522277042667548724641004824399646048788657867130162386386224\
854001330282827146785239901987394344795476439885291184323226670389228431390980\
3638106871296398328434774514119138327153199808512000 #^48 #2^4 - 
                    2235560368863662970752561140668799045178972710356196489568\
342146695099585115312565097861918076149114503683922649797836535256815967005262\
724852029715518859007426024163391296309468915069694219858286084413794055569431\
799692508268941236729632565798051656929569705146538244195225341783410441246221\
302938394580565635709321004829031138663832833205972560165495713251430736948994\
4013909871186881562750868092287802208679769407488000 #^49 #2^4 - 
                    5443456939671115046790982780018602623533085504860674177998\
765262132935817862259333096253392319277713361302045273049903940085847036060811\
583198700133766062842770971544439769907272657803573274440411118649373414157148\
000169261373464965962276186206411253570628858634527467370238476375106876519115\
468176126784140446819503811579523578293750531931948693332860183589863746588932\
031859861362916423403738598267291759423380800 #2^6 - 
                    3110546822669208598166275874296344356304620288491813815999\
294435504534753064148190340716224182444407635029740156028516537191912592034749\
476113542933580607338726269453965582804155804459184728251663496371070522375513\
142953863641979980549872106403663573468930776362587124211564843642918215153780\
267529215305223112468287892331156330453571732532542110475920104908493569479389\
732491349350237956230707770438452433956217600 #^2 #2^6 + 
                    3110546822669208598166275874296344356304620288491813815999\
294435504534753064148190340716224182444407635029740156028516537191912592034749\
476113542933580607338726269453965582804155804459184728251663496371070522375513\
142953863641979980549872106403663573468930776362587124211564843642918215153780\
267529215305223112468287892331156330453571732532542110475920104908493569479389\
732491349350237956230707770438452433956217600 #2^8& }, {1, 1}]], 
                   InterpretationBox[
                    TemplateBox[{"Root",TemplateBox[{"\"-0.142\"", 
                    DynamicBox[
                    FEPrivate`FrontEndResource[
                    "FEExpressions", "NumericalApproximationElider"]]}, 
                    "RowDefault"],TagBox[
                    RowBox[{"Root", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"1", "+", 
                    RowBox[{"6", " ", "#1"}], "-", 
                    RowBox[{"12", " ", 
                    SuperscriptBox["#1", "2"]}], "-", 
                    RowBox[{"32", " ", 
                    SuperscriptBox["#1", "3"]}], "+", 
                    RowBox[{"16", " ", 
                    SuperscriptBox["#1", "4"]}], "+", 
                    RowBox[{"32", " ", 
                    SuperscriptBox["#1", "5"]}]}], "&"}], ",", 
                    RowBox[{
                    RowBox[{"\[LeftSkeleton]", "1", "\[RightSkeleton]"}], 
                    "&"}], ",", 
                    RowBox[{
                    RowBox[{"\[LeftSkeleton]", "1", "\[RightSkeleton]"}], 
                    "&"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], "]"}], 
                    Short[#, 7]& ],-0.14231483827328514`},
                    "NumericalApproximation"],
                    
                    Root[{1 + 6 # - 12 #^2 - 32 #^3 + 16 #^4 + 
                    32 #^5& , \
-70200316271507168397912526370140457916036103806045166974767911468991623992259\
303317425914536086227228818264393292358730270199995473975184965846679256103733\
574485402032360453961494198824241067649963501192172182571377104102659710931477\
581840743413949560249094047960678660134816055939745822577947736867189402551129\
308415502483229366695545754973296837234394091272033109242928320708274729957495\
4746812331186830777661766505 - 
                    1107494235866334714617362865936722194223786092156026154859\
040187453768861818871579481706065771883354740184027162799515762612691597958748\
717568435588330022963449939744604705558287926994636861354538174648657685319799\
318354828829089452100720910187586410672751175449763559948764818714214554901635\
536182776147075091170082523925126383608323439946664132850529136070437415206724\
4473178013912957254025784180168914580147488146050 # + 
                    8161892701345983118896913182906365640877423994940570024668\
202933711983610844806294451471059349656351171753051198615057782997785846985067\
650765770137889498053099663796178101938684196248100771750834546768313373572664\
271604122103366763262734294507072035860248576650294358190570143793042577378276\
660008431459707332230823677263608434405005926336429838085721911290173423871484\
4566845559094093798126064292142416027089092229548 #^2 + 
                    1637613586138376157408239098939167209144404235110057115814\
496186881370388139721017302674413823947150489894457553796529884563485003013067\
045554271483811847260710591266953965597688968693973658986935599152734690403579\
754565471042736498582411402161631142733961026288763614162550563591541182303279\
410713137402262445773689972572018578397178782121046763420107264147101546290760\
167707633640074640737156322158644705274662372707928 #^3 - 
                    2078835843287125803800280293860407523924968258687456724717\
859194122272133029822634112862494096703735202813945811068715178870311057666143\
412969119041976482932077249487077165397174718296059691011665290127986313506591\
563305067436699077066600968325333446697539559388900045428015586502241991444005\
095758052587544644490519882931022329665485544563309261305638272166807976161466\
000301289173685460142464077209321633986061102358304 #^4 - 
                    8967977845793281319981690689126192404765175188323484857153\
871849719964285185181505366126023602669306496921379052629447013986690511884541\
217777879709272272684786999855466443341039100929708099015160633799631978543743\
088373621920901068679284718526744534258494063934757739841965623074409731504829\
035309871485463827003465290201247366304933708011319622980776800372327665618199\
9673895370967396746818344515812052711126173991977472 #^5 + 
                    5016990045060500293416800056629012344843845336721694240980\
844687257921550072504111010808341382813030463572644796482661359077896191929064\
643676229509963673055369108196658165192539606411486640778634150032987904058571\
282638594173241748979728533575468559226426560551691685488154197330675442376746\
155320893144732042085981592496704624909392364922520681869315352775334238381654\
100921993803547444711741733726888322757828170026304 #^6 + 
                    2476544937975174960510621182113291780707132885913092173851\
306281219809237300116283469307272246192040665896674398522432529281143675899836\
181871640661827032735837733785951173494977514665604411731342287902569926334946\
429892431154242401281058734575862712886410371378577881249053627684755146193220\
747998729257311925460811655268169878106359962217064827728045954529191635591248\
878990360028979667260028394918187478456183817383683584 #^7 - 
                    1584188293222855423736970894284398411633827029539431791982\
109942610329611792351062284505163780485609869104539996933537261323153782552391\
508355959857909589891707977277284367355231497773326219493697273780894499617146\
980305207875878821621313275246695865510032424934767697834366801103410738962887\
100096075184008162247136979742261631392020842787072387466521598493172271322792\
46375671725450028608610150471239215995052899772563200 #^8 - 
                    3535077510540415798394816608780792439039270524552470978966\
644757531227177099752672606866762983952327054627311329190814747481744544223651\
733215726440421015856453176406638040953926937752060594722534470583637173198157\
172181079622299395116073618144791998546425387286343152260886830415218546195876\
355855290922849700505636945878510391472204854651713596110798022616565888323683\
7325572364296143119030433349936901709269907363124397568 #^9 + 
                    1821032414045522701476339308297829044674195545243502152151\
079117651374875517817395678471236750277938348617409242377531898725757560834474\
570967020311382218532543018383689839411737188409039237842935882213160117015106\
020144489247102025537181958909870746285537029644925827829199758350240730636763\
959212613224966010592888027729273981498478900053488347610207693814078456374344\
541619131324511436650214153226238769820445892490437632 #^10 + 
                    2971867654883783184470410626226100980076786194360105557444\
990218765225815127077938647300246222732441600935844804645352084145769279810364\
608025850067439827137748370437794401745558939450846624900083194573887542471598\
295821871151756311024183222213532039629524401811931092760754407401389295146755\
192912322123207703692849804814898277910535400083371877176035535904975375440495\
85107134633114837177473850864754823022508298681124714496 #^11 + 
                    1047261287785172827807703452991682472244987892037459105655\
450918580965125908815220254720230143674827243940305591435218603330148844568974\
838308043271116666797057778477224816498882688816502296339151297077831200629653\
967229494447429595530054993665520182741437203191853673688566994429998369492772\
308639453839220807317456049472007951937645941986091332423765792778329243924660\
1983171579877152711451739621298722842865144316149698560 #^12 - 
                    1590095238072539654957835940334890132141787529639135618217\
581287285938909541278229487743921276673269821411267486740658546746490387266323\
665696907603729850512584680872909877872479278630592916136220302498454309194220\
683779431384630067644396310918718248104354911610460170954590232815950340673142\
900237161598610378128540845591176183073190139781381924483701874890335399314277\
595720323803247702880508954265221117232589575242922590208 #^13 - 
                    2213345344968006177062625142375223653836824098256286734325\
504417848041373265288773277779089819491402940517322723512976835846775312323644\
674685353227867758259697670594925798204164395179288088351440278430712129508939\
674551311198174740306323818617159102569618273206022682288269281047021748076864\
662029304164579215213525963130049514190591424772759878213708083100521611753615\
52668405001145322152869465432871942258261609129960570880 #^14 + 
                    5628125612294033455599282202855532954816410661553050145521\
503722195631810248609832138388645890975832494556994181389212361645552925259314\
748768756041820513932789243168500210872166594448896085305695675343235362296509\
256415575141841083931143377223305147116491484776361127109430784476936514994627\
170963429467334344100442404003207600893329068550100751717552933330584477402977\
540372522906534124994112429316828891791537659016313962496 #^15 + 
                    1183251538935159554675501642705781919520899625973902702412\
817317611484016194562311432678236166395352019103551806735187872815262670545929\
829993668741188486343316461468087045837378272537644547954952916241184340597945\
118537201416193428797255399650708006725035404296422317875839806601227199163055\
764835724767864238414563434063926920548233650291831497338186357463552396225165\
168621558737812036623363750227065252162359308179363397632 #^16 - 
                    1341371074051876113047390259953684641741343963582367804931\
383742586734682794504410592808076420761807423526778577291253078440668405331925\
837152569911005538733682881971713193148472524848724799127736085239846425597158\
776640760631884200393743959291930397927704054170006176214281711807719319286791\
647161124278289679462409984228728566399957478585850371834171964366257608641210\
2288748312865574074468757080017947623593444662367539429376 #^17 - 
                    
                    2688811270587464635319704845046921813481312497850911005163\
327985130908547280978320838572484418785824617432425550693711283757010467675214\
145549709353009937396041930714824646812252007614908968608716092861537180456093\
490000395763963800120309280607197633380743187092192928356555759021320361231441\
296772688933960126591132995820695003779667878099784516903375708021358986913597\
810855340278816139103667173981136444244124274035664093184 #^18 + 
                    2165829639575826398723920772972159713600128350544190422139\
365105782207260701532704998187051129266716312198718285829064886212407951955310\
894956407506216025813293760644090692403296929977395766489904290271433788190951\
971344120263481325295552938546639664112159790666759809640900637865643098794520\
243063787928056876817282536531483322616472811749099137359863761596725590511163\
7481400945401605946855728229435309909295396297307479605248 #^19 + 
                    6616378821629947816034435013820960721012763830050706206221\
259745883319997078621280771113431216929405302322621393652650649461902496925788\
603349951815686770828731658147389412492246968191616360745419132324195447780266\
592174044809949946937313041505231429803691640300162248397211416274553467953629\
558004564708589023409741329462861503851340278496870055230528103955227534564210\
33655795559296489786567376256207752305722800062653792256 #^20 - 
                    2366113865247323567098306028956019413100021118053666005016\
019964521058414736033392392792941848328647496959919627920499287641194269196334\
760464351925209595509805383497354427560561730541896936910271466449734279321498\
294927268966197555708869646534109370845192354137375381055605393357620510684686\
225564681212380677963129914217070694973687520718842654937185394723621588315681\
5542974867680826655934097021289653183428001679971373285376 #^21 + 
                    1173279185674675498033835347941584629275390496032317100104\
485181891439812988377660454932629257238605789262702377097504622203792217145895\
292651787201947757382278381540568456556957272159419721771616701094932292341881\
101395097349404930118572312376207672027333586678900138667882228912411533006591\
711094975377300224062238565828542364679921030850350175006214741490496500364971\
9894782228474823521561804108032987206777128030659867049984 #^22 + 
                    1745547619311404141788686767894543489115132508276059780544\
835160038520771662987179749014472735211094459297361102553752484407384703410896\
988420401257537131648246330268207250928529253302519943115691592587169588323481\
531870259952256671679832999372590761972910010037160121591953896607048081182991\
697449736220747340494838937042470230571982573460973978643237584451289247259020\
8707982405650327416051199093376120516564525812484224843776 #^23 - 
                    3397924297846484791782347797191505650622843294074868124507\
541302449164343389715295544996048108738713269346383794829225086633634203447060\
329837186527535297962299336108364329590874408410083507130518206686286687559439\
740873973413781218762610301555403541464807375077897190351926547503088055208513\
151068319578242080958330193314023713370071002079220985611695454231454952874904\
1149331265325106979484325466870805194700509864264653078528 #^24 - 
                    9015208851415440182301923761031655951003046824323274369483\
858159867791481688094599888199997143229083911132564120442351555451578469260840\
110677890340124944729658281419001497031908999820068822415998248177168980591808\
871629826637286740821002996457131597401507429862600972845209915784594755938256\
278417316982603429708932484677639133378210916768748016740198792479748855781021\
116452514089154498031005142165255729119902977862358007808 #^25 + 
                    5317764005447858637183508544068833579221250330475455480562\
509866502922668039490724815127487738411908027328818879686620126519832045784162\
484393133939219320392158993337157323657028361377543816169946561668803086905795\
609147123003663601416510051211948543845440246558480587509089066344962607290840\
767635414733717460076750085934416967414349445167358136597968539674620887024076\
1302204278738247278212609210859408260951090861173343518720 #^26 + 
                    4178891894976772134117927825611216570582791015233972673260\
527090548622200450526620886659713839805270505949201965206853042654417221728984\
012872066360183289233070305997490076033139175395901416155514365240972752367650\
873316841374192489226166188934401551620144830267296640911621418670392930189040\
928593569763663304184704236853262669336791500159105273194101103483943216435561\
311323892238453626156991605242583117451924231570682019840 #^27 - 
                    5649353696032195878158380391472851541337751424849555439354\
617538620162246583073076488629433095539252283093668001577324710378691028802259\
450840459560690174943158922430396906154876185741263523381036484350158656404208\
024637052270196358200420407902427080272458249725190928783121133080340241075551\
274166784015947780273286126970055905897139302491311426747744590033478068503971\
8801613692509130345358901510558831478530278711113803628544 #^28 - 
                    2770606585559965532778752510613217099909608235550679642254\
018997656388742499746199303010690945295422228639472343139739096919659831692844\
489917535413862826423576049717469626915174706243213831990525004681973137836995\
869282624105794531290026566180781551624954601595251885314141245096816744325674\
490007647547747152957286806763173863640393258625296993079222171100229739612705\
804195566285349578456460257550358938728660910889005744128 #^29 + 
                    4437862404204595673978865244941183201753662916389709481153\
833778821271210142318403767715089533134322476577509343696589660430580710408695\
153757018251254664162482864712507571734477753403561903714553975792092647100870\
253912484119870508899872722253421449345228800111028711535724077769533798399778\
633998393732998283708547468078502530045837220823336942104731869970422057057345\
0781448890085121319532041366013304671430203348107892097024 #^30 + 
                    
                    2055954784080231161439957623963255327340839466745432648700\
803781733617168057644708679546937555838385841425866631784434188174358813416077\
739982191169225018759728317486336318240120174937431741079054716106225213228992\
811526424455422131261025225166388121402671620306847867260811856404109794807187\
445707439050665772585109934249210470647206495587827059447174234271305663589317\
812589877746541787005963671865691876737913451823759360000 #^31 - 
                    2712621828450100516477539737741208427456314681757885697176\
246095842067749927400710228937227200127097712315822466640238412777609145414541\
864501067216127859677831948484864755249960635594257158974485199057020248569406\
401853890148708324628677924460932598609631343211303448334016407686247804348484\
458024953166671459660029206182971508524357786936009945181605215308634341472631\
7248914906919514634493528522667575100899853660551288717312 #^32 - 
                    1104714444942948966127406337578189491979760015087506356430\
825520323145955113540445908470376554402549070759770720977201253802469923643794\
149135868912172401586843216520079559646307458246467119739755178287536173667280\
560993017951246122043802264920539518659303481856285168434630446281615781335962\
112807535271185762382222478803346800027338573855030900389487139072361889109523\
395552537195804713920049133006810185214224471964981919744 #^33 + 
                    1339569615525870320392488433437487229358082728473491333767\
773353309395763913004162610869101791379353036018834483885771100883298570456066\
815241529381614374115112153183055089772177820861649346069180646791899466785585\
483074219161232318294796012951256075548865816493155623204714396582063407428138\
578044156736571030054817934621703174998423076585399362423560753538049906115651\
7309681078701149139538498681457552262588751387177280077824 #^34 + 
                    4461081377037414715980066263784861049741843237959561538195\
696881077389377514453085407751083687354953525411349865458985555485035664831985\
257443272728105086109102508048938766304765224419184271020509410409829103567252\
444753520674815784654199853808314338805495582733655100976401577187438489932920\
001388016745372602883471879856031577094986837841269438352092602269859474316451\
41795962675266912011017256580629649245498928394401742848 #^35 - 
                    5429684566339924334660549129047593643503141136829472761742\
051792613959332947854731649346206018570195999463495028825186313944194664172394\
250095185814009302595663832747432160486460556905609669364810397024702257187889\
491765026681185587671292932926457408747007439996141652641036884824469351591712\
558125211185526740447122313097355176071044769327751943826502492384011899306890\
731645423369817103236844074926405552208772132944977330176 #^36 - 
                    2006413844944542675199993588316022965992007154543238272905\
587135606299180351017568931231714094651998766810869800112491982938416202252113\
820260189459888851634114639083270657396287802863299971001239369560489709797082\
444457603293509095676493508998987402639529368672712006246551942339770117868154\
772154155000081627394573696944589716359290478971435738801569908110705164616511\
37852175932846605951788037252938803415003504155553693696 #^37 + 
                    1770669581197360356719689136882185934575026512886425272241\
080419400867438504776655500228527286331897940223437710482953411829057420616845\
411222902732807560730162700436292776915422021608131535745830813393634469695232\
999686277314452789738825490368772286373011164742138963500597503994821284104812\
690025465737551940140618429711886851170887044213593532525844326048084008652234\
838400592574409576982578490990137962966432820557250560000 #^38 + 
                    1024384195841560786203803990261659864941415168828353963865\
514889429083788470409987439754590265618961816302022164464479931412307178243328\
940535200835545019885068896236440098283715281294336198006517282389405216538181\
057852552998133215228559571594024966998226660585642018033386696838705051060739\
400771644697766642486887646318531960901837703138849628511495283206470885727693\
89486428677379752559678729905125262333886212940706611200 #^39 - 
                    4404903188819469762250126285927225455462656966341232172185\
054947307913689096385995110810482590602971793490232236915320465893059674569599\
690156297998655932272241814936015983195747871277485677230191263453241159058478\
335119906579096367551385973276858920532903872985067196552640080965268215346678\
869087133583327933077986244602027661458014868411019054535425228969278238834353\
95874208305015827959466442644322238838780872893703127040 #^40 - 
                    3827987770860919491233684840407289481741771535732531474965\
750463930603038239510027829371105769635461764402277898787160901926580927888897\
574350818492212960002037391048238182286099024785420704529537214387961257277563\
837094194602572561628536141756449403788212894934490365843229239370973613467170\
498521853912020284220969998561645201242753388609912554504523815593683477740744\
0839048501956946811462225367017616433006800804323000320 #^41 + 
                    7699915284162094579185611026585840631037843178805113294306\
205566927573946273628740978477009206308570863015020777641689524265821485789684\
487671786906160745633768926817014196544455181908086706622716282432451619372261\
617465860117148432669545752506667592432871773112494459033677808208034415802365\
843519554636517457156189723584860323006997919736895264265889840824246106250719\
6169620637094918813896695436116768973706857767942225920 #^42 + 
                    6136512664922345768573038016807349795804300759444703208305\
755695353037731250689799425612980184299100771859553223985356798248232756751885\
217516937449568651333045922939998620576367629644077040950012108629408507240653\
630825722294319581797227755112271453240728244574119367953883868041086929695317\
029687963002420241785421255056506685304833840406273915326724502171608496733077\
172830844968881190438346800370011711777556667354316800 #^43 - 
                    
                    1086771210996007289420930388171010450514240601052792407820\
278138212935550469792720145053498236330762274623168545846732562188045786387457\
393524601518515691316261171674447575598089147440003951748666421000629000572075\
427131692536218867882782780750659052549028008235266699307039955278544979144470\
489101077058527378506476176589328476674265936215725876287567624621537182513113\
7178287978349020655210256884784420835935861354707025920 #^44 - 
                    1293662224449047757694709741532758028316076909416427479387\
578201575024109654051165756001463578955702650947413401324034490835473226143326\
295781661787429409015925921658008300606543694839321850507472387802071639127113\
064362721030591918588413450219142555128854687668505883158834167608011941972400\
987486464907600538253076031880675185862589235650044752045926678645715052695733\
975477967577166092013082885619076546823437083119452160 #^45 + 
                    8137118353676547864478219449655128570966401590191503181465\
461878453283229499004394503065250161415568200897382692966184371683716788928348\
688097692499323315547678506533514266331714138566217834905184232299648442851758\
830803229467242829662428939813001376997516514885753932622990847742033492125794\
740639259598780662643172383896789375537032722875584368986292952340951860314301\
67767306706812804784750013655567795696967883318886400 #^46 + 
                    3357801967207691926498313831191559413490860278111372617051\
700331929265170978057732259769304803461334217739206961970794790100710733006319\
638412117027030221521027654381203670096016009184750357084927288124352252428242\
067192193802906990454467381400674479511761732627155698293129844483773010945952\
351835761325843581676255960364506094797500653827830034991584845157069690013010\
0717955563337615190391241908915168475182048634470400 #^47 - 
                    9589302765777780981376455521392141604228629829534006604680\
817940198881717272255841556102401023206209978722206382917915105732642255292269\
959490917940818086249389229009699113680555480767060039776418407495995573573502\
514928406937505439198966584241787686779310739514732473924180252054272484971875\
127949873727927354512357405401609255358835826462254552304925950310083199562544\
4961528659739798528319737879177967436065668700569600 #^48 - 
                    2197974725743681967691251586436657632256566199106247335157\
067692619697547241193057028298544704304903693842939851218599458399293457365615\
245849456617105394577805792051598092965920050216457081446147607679354471423388\
346542588792633062099481543762299084839291500859013112712556145010998348493429\
120886341351078307654648780710736768486515638331766901594773023597082023750820\
1648891055799080230134794862584840887336642910617600 #^49 + 
                    5697718805878897726797326176342762806598302479385350886647\
346910123828440711163908076595908107290386822794753190872515088382641569787951\
586230909478097003352416374695219623979806167568056733349653367241209219665524\
019614954693475116347361123192849636729378825752029780969325757007361737403889\
504588162143224917139800832929463666594772962537777206088721379176774973716748\
71503163437776854875444240098451489416455629800 #2^2 + 
                    8961434820162424750138759862041841932021766263453929715221\
735649214472565735101401316197755977772565075132662184229766075856305578654683\
406203055691940043821776550435584309336953933434349437688448709950341797035748\
914391031218868847212259079913638092622790921248481743837421167991567585662579\
376344044890757260229675429209427517802006669475484461851169182176985736061308\
504980399069464955988541360189141236980441004280 # #2^2 - 
                    6645963225750524318019125682358128463958779774708385435541\
842165853598500755155417968756945512385300665557193126973715597604478774260789\
091046831747156628836860781897977651029202558180002429058763191202709311378319\
520139174136885189854191498891532647934052196443232870539812359277610502461342\
038069279413091847706412731896354146991147118038104473846882815247363457796038\
9644651250507240527492968742868191521514818476800 #^2 #2^2 - 
                    1321115335501725338329552859441545484162707764130161160624\
403499576817837062388118476056590362100107995890344582951756508285493858442110\
862312248116382123890606139350715013316438838789173706197837969227495827087839\
410006144262005250255337527907707030339901484566018650500523966316143963268342\
900158926571714619771088335910163668261533276284807225294665721869823636321404\
288631932087216178688704954435888062960000072057120 #^3 #2^2 + 
                    1729109002701079538491896492831224099019779257788937882649\
232943974681025975369744748328239215223113972831021070074152664524558319843473\
573264792472776234453106692842692293668666336633870722484692001929728874852927\
471729632080823533244441312403879131377079977441193730798256134403249925340950\
058044240241561321497140270568935406113974246667970231817620439749841488683098\
682703889237665637490088020530825822395351293539520 #^4 #2^2 + 
                    7207826976816184881891602881620546223047176133112084683838\
251942038189678131999287970399545655785316630821107508544528957639614022211391\
140818257779483402625228439727783466212179574978491825107876349807205409163448\
049506155562616883535520635628464491932729116027932797491719195158793943998856\
950232133356216044411558466255932979652517544246807573789677987856986250883406\
9398882789278330416399603860019443612969037425020160 #^5 #2^2 - 
                    7568861429057063648611554584131921357045282573392180313003\
231283246050731495558656921310384521226355970795066859108610793372276159919318\
568508876053372585311533377401391439543105707240767593846122066594238248914095\
681569532581269059322106531530677253026254607260618937510509840232358002254511\
465939571661631972609489166053371195939322236900834621225500090778695973537298\
151766575996647891527543794397925406614807746643200 #^6 #2^2 - 
                    
                    1981369543524059945205835368449796103224323061250411240407\
036343204948731219100486391379455919463644597374497541662936335826374424603691\
327398049794513272001205946176474252034528521676195619277720205888564665214601\
763733720259564223482666542723676833595079185928256530265942019586928367729363\
297823683464649954629112847016460589159139528231042952368288024490780458656391\
851815164921216027606370310577393095166184017474045440 #^7 #2^2 + 
                    2418463508743495657920126081826715273626903502241124992485\
748491812150904697411145041657176156399544533576505867620902687413834450295516\
632883387732038606331275182535794057001519602045811930202119733991343432184349\
229977951831710961953587037919718071225968611617253308760690730350646826098281\
423610179481512480527905018557487793498565819732143834752732116949418738749464\
61767545627110789721135153835914088230752188866872320 #^8 #2^2 + 
                    2803237840510556782153012672706099828756873748300407108324\
900515826931133143533849495339681214271736452061661688969601641005287230753668\
769998297187625412000146005729590978961175328929493488760880730954489135058384\
066947043560206742454233129905689714882714319152913476049303058323888481958996\
496284130189229316591407698301086708876631384811365098111194292949607259562700\
1803637620234750492318461770035177601046486304912281600 #^9 #2^2 - 
                    2925158489762943108614801470883924456779858312226457239113\
014013451006121003475728783045443142745816095131960948599582375035987827526868\
066701941544574488715294485948349023865452106143090653049564220122855619649539\
680147405457828140098916531891180391533271802449806618906702982734981722384992\
389960590609342306290796302712762762035793784708020291234457573208704533278130\
538799350229523348088611350750344605738251007162716160 #^10 #2^2 - 
                    2336802799093628300459383207001730294197372087226084721956\
388098002586376436483295711511848318032847825085918416027657037650187053907672\
389519585437268182133113324400868134573289522731185872993472463858103821163361\
734431534678236137785672624591760097116675228375603468537707576877389642423890\
086817174997020847367791448564344549054204738832789520450057716816273049459070\
94015026949218363640081109625883341175435587621988392960 #^11 #2^2 + 
                    2181201629248788104584281467043703242290658877441798147150\
358065392940177612446202697157657990438479390334243912330169751772309714532318\
775762840018907230594956386145231096982018786605414817592064764110052333274538\
347202991572951132448125083418855067294276787724213531916345444184315358061617\
362299677378771600129584200944705521280908253173190545994126734373718867424306\
448518128192035440192151374755159844635686065100472320 #^12 #2^2 + 
                    1241487918296131974257149344815961347759764420706868507646\
831115105038662217576942666619090692823516073844066947555769575981510729290693\
962726109841684648780778498799101026365453534632364222725695362874620836268046\
305548511238789186174126770628948638449308581939507349441193638868061055102371\
783889165472578685768555986499593385788027358415215164643130812817065518650330\
119931360824108650616945653002314084139562703343649095680 #^13 #2^2 + 
                    1271935841766502496077101405394079695348565415498913640158\
135202660254157227935631824547200673757308213384241977409058333623119562203724\
307672589582927881639064071535130762305485372121711013132953645395767722732131\
063376564683536002694727651286648661457916796264883575470653879745754227137428\
830211079772184404570047439901015864260811817661956551994267047590178058266021\
08495386686433474028581648173256236577990698259697500160 #^14 #2^2 - 
                    4367874224041846582231288029371001485038333659506732777485\
858378192811773638067952662773652893286752258161845909079688413848733697249410\
551250453817792589169861634359856088891365901174371544359331562071520499986645\
238074132229090196807697538233564672810310822247319276890367329977791346217788\
404576425952986354384623977349746972787080711369596673186600397456149616008341\
454057809564860985275144921812177310513859383983101706240 #^15 #2^2 - 
                    7858241018115764667283342324125189646494265001352530197000\
108881763528027410824243710386476559428890946720292558944307220600701722992260\
260216284406211690159942922144753042976170139269084739989979821826143994778375\
639902059195666584192898129552446963011039514611633392387772898091939547345085\
172066622497251203436396686118102914135797421709588672201869051800549061886324\
67541847252539302988016695288797921605880945490459361280 #^16 #2^2 + 
                    1035125950164194640304228130468344919098803516577199191588\
757955242184402949856098215825537481834016243038926235988133455745250373349011\
527412733000465883938383762124139146427676137468729899479842379677403304284354\
077274314757746100921169760618951627612385907892350370503422098020940905575244\
354311218246714598383686398498587673523865430736318924452684325379121158887118\
7876317238796997896093120479087879390064363593132010373120 #^17 #2^2 + 
                    1812579835841173868369732383854182383005546414949022350918\
407737236678296503725553356024390373383701904916953059262927212960924109900276\
699056593926885228834360769821282290619263934745349949424734085179082435062540\
671048290270402325127234266857759621761963389414096170796513341289932223925994\
438919844228089949532358189229044525867827968924087977015600799477365184084110\
920025289800341069735346024608605077362967570293241937920 #^18 #2^2 - 
                    1660260361698495149783790370277318177419548817107909776797\
610867472435886345697670959744481995206415550565613404477110820130686481688724\
869323182366182299452632811070167329483116885062076776203862509064590359225882\
363636042680612896790058065126891349825064712950780500496990300065835646976495\
745891275759685613650259728286097616632056290065167184332549541467259053570124\
9665669020470415474906858819084582733698764333354812702720 #^19 #2^2 - 
                    
                    1409917596038888925857750478439334232311936139597103064357\
657038782750733506828610803004952932505476832480645456137145877451548543995626\
250093286797995490131171996920135824167563248012053829320633182759382937721188\
668828625781248328173043729710770202280242865615924334621611665532520575072217\
927304697923212853076405187705532123409698975436899398238353547812004601397887\
56496447951014185083134637245394200034889901009188945920 #^20 #2^2 + 
                    1794201847821415906561895010756170727850292987803665465830\
889981960867492731876167289936033704968934491177003183023140320133989138893072\
603333322842295679785440637425806375267318401011184320418064485505139985099478\
788141248499002446273136495358033332778903884225290913180096891128786970652835\
969108635491335298701080959698554127962301404921371334006964655820245099567580\
9367148841268975146505991333650308739939043989028811571200 #^21 #2^2 - 
                    9360282021988057124442074917718238787612035452381129003260\
833398845444712731330483003252304437982681964688507563960998869048467590760151\
903202872935785187274247238299677170386606353750514882443519282987392478677958\
434400146813692759334461290912238848421532838473008874432522160712504785379629\
225988038403106800192124203758047725640277125264686857960840462126974129071978\
426247856216218950820409000266884029243603842439084769280 #^22 #2^2 - 
                    1291798073967409796534666079865119749790740096368338495912\
786363671784362917822318695141573387461138367016017325675633308058565497630471\
314021810608286226514921719098629609993147022549281193910401651946152143665828\
272077257195851566758800750911058638533317857781977346290515940057841110820810\
761750700225287962127729433047723238413848089977382217964685542008033367967535\
2398089151246101542961675801235470083432142818292625571840 #^23 #2^2 + 
                    2624606109406444992529348923107802382935213933017294006027\
799206452317780703388698144020018556266732113778600141262953028297867299816505\
602732979799618825008968479880602320678192858108015295878407518675988639839070\
965639503565487477714756047696255243120230537808897792642046191846577550489699\
303165570264016590230996355388960180990454783026547055571612443305795105270252\
0992569272872101916801990028642182782421412071600029696000 #^24 #2^2 + 
                    6245929620209587436559110677818450322935094845497096188058\
208429331992029216801542893926298601653071968569574218412417150240007457155338\
765502286027181600829993862682414694385550378583665460789937144830236785360275\
645106553874847980667679056881721678783948076307581006728000031111419156529805\
042942355452411342183951188821678058669083660448011360493439579672880281224176\
091390175004012351234790188699954043163021001444588257280 #^25 #2^2 - 
                    4071990726193482896861770591944552149075985378300709364322\
928002906462546164224289481476422586417413787595761382326809288264639443993038\
248419308807783458492638280101104617270059933936365314115978891938590789865105\
130329156795494754583471218778963762699302477477790407517814364325968641078959\
703744717353543733357822862029017055962602851514993537902681571414079107395029\
7497285926884290322867135084521324377274801997575146700800 #^26 #2^2 - 
                    2508712670871471129888473271323796915632091319885110499353\
277514146755314784772795180347263874991274680549789146363324276836788563070941\
722321059708189314974363820827068886452194832371053183775748091341783790046839\
929603757629238871689853653332815007424185299400923591008583744228214998855374\
669030547003625279102435626458931014996423174498199822764946138666769487157463\
524173728596797081993059187426321564670219057481845309440 #^27 #2^2 + 
                    4309399084546788061526525427531360973133786651397221624535\
945682633658785417878323727585748351694025600641546954050620674426347964623605\
929695913939097298119569232448414414899836071495183826960959056742739516428447\
498341959091331883638648639479623449753181554814754860039340240876570217986592\
617881707728442915068059380695122521413693589816525579819660386975339552015117\
8817662435282132128612257399009307053232202898350234664960 #^28 #2^2 + 
                    1564276898777823507007180870708461658728475433648121078939\
851883960231981873673845979961457840360323355944292867075415324290713401175641\
420900906691103171006489687510403024871148513938523480288959174651029034177862\
090805358386484823943131146406634656378314853289117684644314719355962930207722\
303543328948800030913358386297148629524581747989009475058568733575745367969858\
484772220447809564352389360982903896188374529029670174720 #^29 #2^2 - 
                    3377685121327134312476548990341421286227773449916702345661\
978147904020546422404978930119225807020159853341927811223666822564152102674854\
205559352246573645632550952662274653583233590997895036040227208170769881376321\
967220360654745020440227022923430955887820382076320659498153307645589765497387\
275660048097617208106223783094147721879666185703251327041282276985901514723323\
7505378991912793228303530779436699079885895893920451133440 #^30 #2^2 - 
                    1219561642596567079313966787823742353246982813449577013707\
054277726347503571385110233862197728862176029733353480361577652937173005405078\
711816480551641377076088576215932093416213919720411724609941147562638372964666\
964781378753388789378671391202312791886835105715241393300934163121464182167566\
055797965054990102324855427572792057497083917419108654136339413278779226382369\
079668084062559609627845179769734820682325236053568389120 #^31 #2^2 + 
                    2061229972884006501667146263817344899450191544757523663946\
463286636945143400212692784473970888066511251459141010263588867755453831494522\
996006715141384691385222121437684147864582433173365333999412885152664205249198\
281210039234523919696796143081458637953462973333308622539985691341533980885493\
946133953753830494546648552558496499179023930096028160403352296560038320184495\
3005827162563454888345797532733233099985402977286650593280 #^32 #2^2 + 
                    
                    6652606353521246667552720622733658870541218848710286816248\
392537838087508310950418834681550072691356481627357629325619111614432107454385\
207847518750383085446696198330875774764727113654102577052373368462531219870119\
270043030220323971852137035636389706861280584681402786342216086432540485667190\
709893074166916901035952902062438761878671958440059258575068173205420232896763\
60797420860679366492084772482285815217664356284398305280 #^33 #2^2 - 
                    1016537283496134741076845984276620532014859197226928726580\
916371269170186899728511248411557463758748352671428305927619952087112484600021\
920034602367274472591322052159402867633429320570834852644409427711513389135360\
424530944062043509356256468272246402876207257265686014422208437035967623973976\
205483323247687411640005714465370572254162836207291993384309311711781204006695\
9139394434078938000865877226748340147467370844212124712960 #^34 #2^2 - 
                    2673739614136351779813493119146423760583163894971929113350\
010753356766378511322292588283616460584336550313918021278867507671212931351791\
353605294604843259185562798211234284729926950353367319558867823014941188818363\
011713976640966235553275638844833481538492350216844243101105053524983571043931\
077465867683151523801674593980076426109623924740866518456630842005990956152008\
97540861999204663667949051548813788078033469254443991040 #^35 #2^2 + 
                    4115988146300436802249731562084095509222463209055064420739\
304445601603745987691041666441522241363815454255220758916507258651415813126295\
710160356918618556194233624652598545723552303285321495781584723726988763288379\
964706112527671973631279268734959172453027873036125902188455772901103444275939\
383491731053984737159417679774287435628662501955412961684590903406335005913128\
959334551662250557084357321493205587636360150761917644800 #^36 #2^2 + 
                    1288168965762356762276590386262682226982799175582566548875\
449023200550962755335819784411440065085768456747452389273270115398928511921150\
507648026092520675782606453346181389368325137261885031869934292437117235833794\
059236730102384009422867693963315118521049169629533489092905400029768420916466\
970258825823314167585155061867733109316215455774488274200461569825788458187764\
99887149016773871516739215894133285932207026121694248960 #^37 #2^2 - 
                    1341260722848533990804332255868979067064434963486041378225\
610948485156258432711469040909289715126132033064806157131419888070643595548162\
924696996912598651922819531124053411718296553724948874105753855855557813381341\
044094645037986376454548199787463256728509150391236938701387051140251626108268\
555832082973240200618591138883687687380541574941709903578783334907163980513404\
737555793743219412250597616906777626992083477767127040000 #^38 #2^2 - 
                    7170810393432050748840914912347269905780325913213268245951\
791526314674871444335142227495846941276858753787093311452529183516913108199162\
128395884946550162812332439712414614644684977107228981001962189544140952702760\
690323994564370353582930735898741174020444099153789089893491941981656589516021\
930785686628051942347383486986485973289361897111446337845732023165263692733224\
4231203039398851883414449775324740035416583653713510400 #^39 #2^2 + 
                    3334782380528030238398330808602474541770391811653450648913\
325001576336932366355473535966611865969602386257118361693578407612263279869087\
812494807017184293595742644118453498157322058738932713273523372327544589326191\
583208360749428841768133316387846364677951436533163757233259933638420532329741\
691070057263309143462266676913006848355330707532581632485956702856558727472522\
33374141601273380461209062520983221948768456394617651200 #^40 #2^2 + 
                    2787698816408618786165024109142573580888470349244535147343\
782879234016149517010608670702919946992776660884581697963910491398148332673863\
154491690017143534454595476135059397720235109459810652215694073417059153858860\
728810559585331194155508492292134926674484301480260295087475131597348817752564\
249826381645603747243885240705769344302052854229936615387287397204939491202455\
6502988337680376597549503926919518155178654659143270400 #^41 #2^2 - 
                    5825566465843295750141286873416310682129376766325617405490\
851511350752468716976868555363512629751212390915718672105262571986084193930037\
138531523671754272249239216476454609880457485469811777795170511967579265442928\
778978342463506927236545151766913352571537645604148109176265078581173334614513\
040442018187911907259323166318069774511498589865955440010936457218333888864500\
1074311833586530452892569372293251615538399151338291200 #^42 #2^2 - 
                    4491060397302454265148416428337879073802487650052172833815\
656090478579567373098710555904190060924835021911765003495864078123281498771768\
327896690616720804086781535701314260799312015716076335460239290715828817724743\
507521105563525681406768104013769182792597460881308552427172824992492588709970\
573337133140103437888766999968580088935820526945692212865019764060706094458753\
175343379691545520327404576809279251270546683540275200 #^43 #2^2 + 
                    8219917043445185818792053132011594981442256334198491695692\
741274090417961722703361804080087522340540212773762554082129328477845334719288\
706024941576648628950340981174326885958329127132766423053979750693265206895614\
717462389338078505273278360172713012733412483460265923612747647643861186962030\
034950674943415239854578109018956510179116626542749073361449052640028546804738\
104258746561349177396812810166550517875119150963097600 #^44 #2^2 + 
                    9643562062770076012237409630957425251298387612802705796345\
347920859023770603203259614887993905179542188272945231648913343701802960013794\
976146929144581566234138423986503722882709119172796783581509543433616700621548\
099085277848069463500373434995568956021118870075302259545329954752648418298606\
121725322268340753407585183142791226417100277133320537032947116752191179826543\
51542916161881002125312694138434117177064507939225600 #^45 #2^2 - 
                    
                    6149584901068987390671707347770923064147406315693754795111\
471051300655739717020833422766648394669339472724722334206943571395687734343093\
639325960199340817831477595066155829441696357155545274179068967081239704919909\
739693653357384050169556773973018899336026954560157368938177962897826898735435\
296490024527747062489369722823945929833142996445636940948515173764740986289449\
65434022949954245221637908729392541747113550151680000 #^46 #2^2 - 
                    2423183441795446911289185736208283777597973830260011448667\
599429020300808941978611045811028759333044192447252671324615065539511620816432\
498340386831832349013919171641539807040741649486824539230259967023834712594436\
645568881926667095838982629412331151068658031668434802732866110351718240853255\
509233167966167068856487801277558825151454936326584079944798669788818527351981\
8005311570333773911234257281000148030515451002880000 #^47 #2^2 + 
                    7259333607306256776796209789443942522918666878601577674610\
757389650294364961358969489415456125272784951069675205302402224437658270108457\
624417393479102496716649123211005140464553515208783414502296869361177046917438\
123560906731227182433480133328076606146876435982160010952374762280288014252006\
923970051613164401312550501551615623610923298532861800882827374873979181325616\
0170665300347764995746767594661339031739165573120000 #^48 #2^2 + 
                    1656827345437638621112955036177704208783644346843921999693\
051554767166090071647899498878688020347698454218993533223357708761025531930744\
827851260041597143721540948508607520771912213626955814561725612378589627339698\
928391263160548137483781284915841901792537176022837749156117512898978863523509\
142833577214005971909098840214003824689294406954190286866730907873931710407234\
3005632573698295174981361879700327199268642226176000 #^49 #2^2 - 
                    7450313049899177641782547075454736152108878258205360794322\
129221344306553050971676190004861869010187231022646715393209800866928820807479\
054854886380145176749641580363580947566710184538677794347686003255445320214575\
606603032759974537008932259180027955682103382135525597691908714863870073899578\
440818349597179333111877865515802993637014060141827443104185796844910388363362\
04091658890445912115129474069295459544313282400 #2^4 - 
                    1171864264225089062222921133417512770615364521833102208889\
320475811266394135475235978560147045576940811630959534211983788354491663803642\
015867474593574228251609183368613652570739459607836206736150455067990688973121\
257710758717552482403545407024001659602382676635910809966777027542509799497611\
516495681055153705521353383966427513890903591082711419015123746223060115095529\
8678711525854454377326637374497875542570324828480 # #2^4 + 
                    8800943020932889106978218883477502267181861213544314570898\
531792220078404020614006610030325353758957390085424716979298207333457145016660\
443663093677365535413093118056232615397467416289717084060151962168161179371889\
921634398464616361882116741835112511398638049261497071283957543640633678094213\
793327213323898116418939730321773741882566209438743808139689582141351768449383\
3984157302991706209785786459990910496156576058560 #^2 #2^4 + 
                    1734231411453011406270548110743743340124066359268697747014\
050424792314372573189582488508452164992115057611475536989613339813752307644209\
870004120495756513583649844596563955429742820875328916240121987903983509839995\
861641456569648429508328374485347993015287588881495716857718320330070707613186\
996051436012669259005931005576138388795823374355260262532181139428344827764785\
304097075139740365363685982745186822296091003002880 #^3 #2^4 - 
                    2362321944037610559197362160921106142040250763458647807743\
357967201317495877342904822239513957453134900271042114894332225605640329473182\
375970055566386009689426907702451677808199651942414219844877269841048240096252\
296601299256679737796057338176491675761325664687464759233634144614810534042744\
028064490364442839162995793086398661304116498917126884977045682019105237222882\
418285441720136578742283684298022250290473146707200 #^4 #2^4 - 
                    9511202197042378200080859395583969785990852948633048242766\
038039263409284440603827059821165554120953718577561084952115754513332338980668\
393559548584106221041213000581585340407523365286289207951827089365928751379596\
066406759244094658917147233884821084593031516895263471781212543311156109349199\
153467497120603359905385442049810943536469388092669677615490157306336046693950\
4154742617257428907803931742451516062488201427456000 #^5 #2^4 + 
                    1279494066002026330613546848923415477379434185442101637050\
060863385820226420733330097666227042980046803572699678311505214505809491426143\
878354288474236120695211818488118922561603780559534243678577111789881158254197\
135508829844065901157925979140384774564315871072614185866420657551934587425587\
818689975512673304727865650457724991864889012770926761994188173201300987814928\
4540698039513611177868086257605805831933206678906880 #^6 #2^4 + 
                    2624942543577359741020368390413763349635300245261163228600\
092378717990449266945862062585496539566526200764947171333748375250917330385475\
500567787742618628564239110973842435910452910008247255905687145982188128481113\
387393695495929915011022795199309829028970824842753674971930638240410713107426\
614627535221924003578576043931722637319470887014950727489912604106679504042674\
895126315639772035907398560209946761851824825671045120 #^7 #2^4 - 
                    3546573716592186429804019485966787359250713990724595057490\
500196096210314650852262100823768994069790029131103760610840755062971708033693\
764204062467352923785075421976386406412244663073116016638573371683108845745264\
112051809085777309290974376593474082568343506434327509308489040778056448532081\
106315382027223624919930884928402851025738071052762215158139732970466043164464\
67647354783410494472563094467634866679999698989342720 #^8 #2^4 - 
                    
                    3727957879774611683334047619967079626946280327318534542746\
028978127215863774786586138476403587724746549698601205562160781518546515298321\
119097395435719593319777732926275433758837607670310436676928686243559213996284\
623313564635697192969595355620012430737904651527123141847211970462988350627167\
378680691342640611658465102194726542077714985321799838454385810292976770785857\
6326941292371150216828589319018154524393058228797276160 #^9 #2^4 + 
                    4096818306692283466564926788028732882441862639756283471767\
613621965809781618885994263029083849819432961666441285629679205002580099156588\
108171715915945119912427365614548586803989581538745649527303782148161603207302\
779674441514766593015886398613060137977219415612538045765854209462307085634993\
349878241115316213490863250306081852433134254506284020939472488697060206673454\
957819894863986351823852522712159984453724511729254400 #^10 #2^4 + 
                    3117706629669376311237194264595991115687540813304801992845\
786536022925362913421392027518549726273949100332403785881858444695729781551697\
995881463171207191885615820657587380244479709528652759242263507394600210316550\
916496972614979515488831399890021481933293522652333243860565206983322141580975\
060277042523072016201911712793271553744764680002140621539551111135359698707757\
85937202406629649089916650780717229518995925879151329280 #^11 #2^4 - 
                    3467664158671676162538756922396629711756497456023510721816\
201495750074007382332190737946775307901728231489037190937467130318885872085173\
970239503686553756263659256354423678470903204100652513609466534227789087661865\
447459040955710392717407599178245655460947785892973100976991065142344255695214\
079069080900525228930287324149066697040500041642555933954247588400649460832105\
229301372091244608135517127315666729501445121256325120 #^12 #2^4 - 
                    1660638388141242081260523208393338700333794213664372929909\
542798633328851217789029114116342414095924066420020801123850569264947390616680\
205358585456373687396181124055733740281305335406281599312627470745451093955188\
739690328879693774411107861148873864894362597311472607842835458777532652864625\
117832802885022903195525618018176835324713578279729487945815010301833000153791\
598676814208422288991297017689431515484441115246398013440 #^13 #2^4 - 
                    1704523379985293606862550976811179244008623599457167863984\
146284297522736196874773004936157278348401268724658942642350723250995965525910\
456661368364166656934035599115535860952074110143530937526362321453704690498442\
524808287038677303946061345156605799554431361463743631082964596393610933391558\
478118085869863521927427783480089518857638261137966090235001445858374812775767\
75170340926224319553896246942487851032729528861324738560 #^14 #2^4 + 
                    5854297183266625703464757019063275620218024797747277201531\
984650909755151548079631885265722465144717784704823440353210036151458476770564\
095309184722791440834135537283622111881701259699910957517698361314668578068159\
485211000286914217616856150577284161572844673365111467630202797244338989435197\
190540195143734640228624720255543608725112572173690357529854285540263216169141\
738013143510921844448912420544217708926591760178489589760 #^15 #2^4 + 
                    1060678476826174210013361965469229688715367929369779357409\
146258605518187707033520861074894949355508902879920541275927442983117557652285\
676646242757305582214542140387174734100484379967219638049715207429609921103020\
889607241758045329354560006303077225572326037489192178420869628142388277538216\
177962697533004885462773937908763224067656878770529214646214187186694611415315\
193791999677443232266936182743675022309462167457806417920 #^16 #2^4 - 
                    1389567469204915078478215054095571801784775616797614930107\
678837129767054808303308417970712527618807543621346737388902115940101861847159\
034123913706810409849078813770035637292306660110700236830063099111006941547868\
544453230294668259301269487639084336947262295237824536599702891734101455163079\
244992562708561700190871551478291883188607559742128858133862274260957744657993\
1624235999431151135580463998902965288022890030265154928640 #^17 #2^4 - 
                    2460166521233080752276318095357115031108391735266840734290\
520218754778396474077456174903241973053573033286466373690627970858807215533025\
460124133514986359386375310031714866606453162732504636351276319695640114922310\
766336707279324799974614027697257743378675052187459538751534861565600851848558\
440997172459755257945471316766760216056686236572008091052482837158035931116943\
393618495306211719212977052677639962692100309908245708800 #^18 #2^4 + 
                    2231670502174680935287980250049200920375412478600543003053\
062463819644018937353838167567044500399000718508400912437193711804540219844273\
602191912689951608575206942597763564871115729663765770535313179212227670385144\
677144980574441068336128209782509770896251866806378576390393712058110161227974\
871739010704342627390452871435385559355018252417399049179213082422435402685123\
6843286474790833525408483020092471312222952698599366983680 #^19 #2^4 + 
                    2466378008632139729306495366089305449859712174261663271024\
217611302597702595269125836117018570290962121511026774839273444689133368565799\
306717344785105766390861694005246748743774274057077203393320873539783766973538\
197551308527029572281236978771130666303575836494312531913388304233704413222176\
296125843139204197580464661221932067042862190215774097420443184912401917753967\
89105367139205837177213135211169561067406385767660912640 #^20 #2^4 - 
                    2414937395919171343017202949737644288309982293349389735345\
734760708436152881271667646201057832705203163619000092908832242363066504329501\
072405534671079277845348754732584799848143907763482353723538150467434215486144\
135793938678577459275580215286958812799882576614330279352453262586740116916102\
553914792886941717048038406095253081889808789878037842497918575558981811215540\
5226089776974169973366192486282888064149628149669004574720 #^21 #2^4 + 
                    
                    1250635900197675912191194077673591228361402988017364824576\
046845918734500802273911636507814679500052286313106072937455069740550011695928\
155846697008556515222283692407519741276413411597729161660327032940138774647258\
343961774898306891960094498384133504418234566454641120725030297089630706964714\
883957578449498209675446560117242872791290020997561693520336786781770794391884\
4905758726806010432328258013118969116639282056131887759360 #^22 #2^4 + 
                    1742356770658584159387221245724015954887460697007605126605\
675583783071789918346555701742894193930686845113385529909482234028950239397526\
188491835352171421219460027824701184821138748175130406874202714155244819396735\
981765487364715680694832809060053624689336689722671878872561611539378252259694\
151305176200454016648015002874399332541355661679462234410064173482687060351218\
7333022494228270591831350744470225918638593178064818012160 #^23 #2^4 - 
                    3523285536598507960441956830063153777970406668743552118583\
343786224915570667053089154297701162945827444289481301792012551353959548810007\
332306248428245732003036603096081685829859789246026594366689011420876723002507\
885015947132644880750120314895621130372379293889184398211982042600651508838603\
005877422770001440090523581443984830345190377996012529568077831597196780977462\
3236002984984672570665779009100782920234992543927013212160 #^24 #2^4 - 
                    8467465272339332273376191554902911766844691044444427698649\
025808894645304927809787814036264136322656588433030628656424021731027237533208\
431171579927583218852437593246552605535090843666048710860939489530477944817401\
272334649641301738294999945557665202620143987383148129285176822393220860036261\
050447496957826709869783276390504872195981607200660374333310127268108887246660\
187456864720480095912756626808937291784903832019130122240 #^25 #2^4 + 
                    5475183080350987258164556133975412732007859570433272819768\
601992019639806680331244785026350368113525944735857052778463888625586940449874\
482672709627159243887123032175450122022162901152134841814706295984139044114171\
747567031573165507256233340906419600328249081914080445558038437323386376998212\
639546366270171709562831833605443962196444939020568037739944328411038963177288\
5849696947832868476702942341090864914795659225365426995200 #^26 #2^4 + 
                    3442547313651953646305122942515024163627337651716998163204\
831609592637969100580165478869027028255122465549933346135044120437514525853915\
312067464453860134750751979459169798556587870929417900787936742101505852655832\
677925667907986864043613473166593334424626090105334394256399839367333876297237\
409793610637850351808228797689333010024503123132409618114746861988345449471243\
137909067991350709862021370449348462235272824145093591040 #^27 #2^4 - 
                    5799335607408051025692564634177067972111290787756594080095\
034553291642382028004483098375344178142874283445285717370536531854967006851928\
347942425342728223132224253965555013945118933599186208906926228051353515534154\
824682090360790017596361603553744298993093357758557080035598196874431389369089\
502735272312257833049995927525238994583371951570809648378982525198607791378559\
9151134860137828905118405457172574669510381442456344330240 #^28 #2^4 - 
                    2160895379407369596220275058435153049136758106082754451243\
697328632777180288776667402759443005829918496965465403495690600692941600167508\
799265095550337525445287022018689840877078192377224871850726316831036749015049\
477176435879861533211412164168706377720133243883604079232305373090844595399421\
521198548904036134245775374869884203535358286280044039184420975660668744209079\
484197652218584590615669693799713563025770877640853422080 #^29 #2^4 + 
                    4547911517676001070659551083456524495989387924564053280474\
049257577087158264800087685445815833012169381106778355643475677733401594146404\
553162123909954640831904329086054420478987995165675395938208296328148622484813\
162096390278522656630684003820183569845528357384797970782207811821332568588566\
016369396317527716150036263620670184524936574130628224118715785685377237141047\
0601746883173418603732553263314076041299672910121580625920 #^30 #2^4 + 
                    1678707344140082235920918800786530351969513526281504508027\
608905278787249833466548589031769173035256202046891345174628668291548527085038\
930591413071348309866146083072533497655805249726923065852525795553388065409102\
817005643425356287740970045384993327668326619516835298337365935195418689846970\
294837509599833600446921584320925488288023052390024100607720061991225016474647\
589703485837751717095054994986097657738983185629860331520 #^31 #2^4 - 
                    2776398188473084645186374672574512401680194560508750122740\
442478868895709705507490520711470449028908328777830299644447054127119848736858\
551349858956046558483596755123776029691045281409143577569683838861829077249916\
496484941222460004862005113222646978224047406106685733083496655077591620259490\
982108720710357688073036926434137208042816999637040159196474288187058468940367\
7324602137886842573259092855528754553486402457796786257920 #^32 #2^4 - 
                    9151212124823771418674621943466869862701454125394568161193\
590865755449640882091283749601073638572654862800242613626647483864940261406085\
243015298706941901058408127641610214484841917619458896891628482646256216200457\
514785491939301252974087416470499211005120997935213800956693272316084533973807\
014644628700823129893493574461887336717346070775255972690391760241072825395545\
16555208128389688186055401994101560953073658127722741760 #^33 #2^4 + 
                    1369640937386679282479132011262734786600281335300011461884\
079928003355767577403011356703031541789629578317311515024038290960892240875132\
029426740165557311429488744922004195964845456599164673869265327641834980246241\
031233906347835372129728692995448776321594284212823164493126732753600051522153\
624078175713871002578988806711817131049299705590124852776510144105551798690838\
2609531069144541360003084739840342534814477553661053501440 #^34 #2^4 + 
                    
                    3680700918915067855019080235090760857086648796567821119145\
100164840170616381701667635233480522350966525123098746803027572804812402561219\
596639260856668451599767610336295614203241738495643612313545556657006266518735\
917065244146518440568188622921879144554497936196920887743026475386805560107436\
457223518533274527857802181521878515022354111306942948436188031365400850900963\
93385742254055124353350860874150838213314668097070694400 #^35 #2^4 - 
                    5547134205340392528533135545781439076489770824981170807184\
116811979709417110954723158919558250312640712087110857005036208065471188829868\
683841874476757402630055851652491246463579376279942427231897659405596573005287\
217321017208716982318784261230703438089089839162707507404667795481977783346927\
339216081769478613394210882320347162100370136775541960586677546107370153688666\
426802186889318133400310362835112636672579367147478712320 #^36 #2^4 - 
                    1761495201591019686355225059076032220883446678065330743105\
496233422672535424460114121913314496891199318957854259604830585337368885601866\
157023203582997578288182581993434363033070352150751149206899891441909334651625\
338881393614350756293266286118529118325186236088852904233730918057583657290362\
596223214720944440392779821430742332990215216179808006677366955995342493179536\
59445368600893952047331660176779596566698193586728468480 #^37 #2^4 + 
                    1808033156568664893352883962290936102385575512043901612998\
963514829566624606515654529461437592468907536628159177295504743466385064162036\
925055203092957706400528322207577631169697070596253964041502094061446938390130\
924182445717762226260358803622900941367910889610175374026795298498098178305406\
328671548477632337247959477524575160537056295121896659259033818795284743755333\
029998052165892865147484383776013024199410718229921792000 #^38 #2^4 + 
                    9730957112514325724307124905974784904277045641687280632569\
203869697315167912421734951587934105185435435935349918543190759275022159508843\
883025175892538560099102231663829190848154471576028464115034292702604908903440\
677403325430086325747360929500322977714478325032354654878920457714956734547572\
901611023588815494642208001787810710877961888833638191284715553568546953380344\
1970689375902162413813980445982177445568031008122470400 #^39 #2^4 - 
                    4496240163032759120499504548345680016466344880078004582784\
703393901206142348478265148681934133281725939877193109725393928804403841683998\
633076211581512862821410331245796074465622560043688895608822314745195693155785\
253948626065303031956062611848812687874562011764703244875960667850644264202358\
215804050709867674377274695131381534311526386214835157887656251290092253327555\
24474432816442693187735214760145503280182377746268160000 #^40 #2^4 - 
                    3771512270323502225022420998112702008546107158659665335974\
086088532592255391266178769696596249339993625312940406138129916293182564749615\
331625274602007748489321129325116827376688938323180229713524047802569581450586\
512213779905156956700334784210407743291995129090519805167972139925265827910951\
808218138510694432742690316640208154322780723380657543596013766426412681619037\
7941764051409401595288010243557892361788826231557324800 #^41 #2^4 + 
                    7855533937197682954735736406899392664317781819321571873855\
709331373918224032600125340876798275433106312996891655721699957125824311244471\
420337254837099055823219382138220533541077290002728341651638374033803109320423\
805743256599914945926565462883888296691543329450676784772199867155251923659198\
486781638115538509205693123606099929200355109230349757777591327563330578908398\
7504531451006311502212512733907096776168279444658585600 #^42 #2^4 + 
                    6072821033746696868459410730138038834109605652193378570495\
135998254757300880514360712687428188565954155605407741198067348806004632010047\
412522708589129594856895509996533735427386826707998939251008411799857022899925\
877381794130578731749572154262336710629439766031393530030372698622262897567694\
893249512758190418462246883086035281416622990963611329333148658845714820692572\
853684267501165282564691286661840184266075829121843200 #^43 #2^4 - 
                    1108604197346258161950086354030334721437987061849775270656\
907507440947298235170543922057677756513659930097633943662429662622899275690122\
046303745674611335791973299634670183091601734261268975381124291720552437712914\
228976478769927591604000473236440022662690773843529640026983757200814020183604\
687980265020868142894890515051871494517004850302201029381494706506276136395733\
5985458139665681319891503239327319575182068145979392000 #^44 #2^4 - 
                    1302403192320601969115375005899168656603019515645147224080\
929808139044484452597308074025197312797840556029507743088440529251666486276827\
204149830990845243143408940848058839565229944322623144026926343700388542297648\
548791943499454580720510712650616732545869099789251968320257348647307373493292\
702687557344332615425649847109006370260002081270845032784068951496427500227582\
752807299938167652373712099326991036015450641976524800 #^45 #2^4 + 
                    8293690296918295662256211326321130255782424704495056616951\
124367052738613196626928241844238691843867351170516815385515225309080175089850\
240708289322721087300873261208689369871228475774178089712398810766606683853604\
195050666374365017201443713405065615056906614340841860631941344317039691541405\
344884543257590551362366155981434855424043899016056320811091416294986979915727\
18601450706395683599539701603767995346378710581248000 #^46 #2^4 + 
                    3277659623586383800332295346562460482597199598172885610167\
835857306607598415277803333535426060475236525992908018260643409950122616503304\
072987574333140071118772389660948186142730140728766586654387659767106771135022\
895368143767114955455295885905658433982201321338385198150557023068419705255362\
493282731392815408383191604269837176422817126537008789303626512898406943941134\
6538392412691105739682457019799496056360967077888000 #^47 #2^4 - 
                    
                    9791330256769693184125601255010728306708063968332361120073\
322844843608278626778294413905756993377761562581204608996538548800766311031676\
086472852783776779263789116146450998879957945814572807771791993166161038687371\
265460895631705972522277042667548724641004824399646048788657867130162386386224\
854001330282827146785239901987394344795476439885291184323226670389228431390980\
3638106871296398328434774514119138327153199808512000 #^48 #2^4 - 
                    2235560368863662970752561140668799045178972710356196489568\
342146695099585115312565097861918076149114503683922649797836535256815967005262\
724852029715518859007426024163391296309468915069694219858286084413794055569431\
799692508268941236729632565798051656929569705146538244195225341783410441246221\
302938394580565635709321004829031138663832833205972560165495713251430736948994\
4013909871186881562750868092287802208679769407488000 #^49 #2^4 - 
                    5443456939671115046790982780018602623533085504860674177998\
765262132935817862259333096253392319277713361302045273049903940085847036060811\
583198700133766062842770971544439769907272657803573274440411118649373414157148\
000169261373464965962276186206411253570628858634527467370238476375106876519115\
468176126784140446819503811579523578293750531931948693332860183589863746588932\
031859861362916423403738598267291759423380800 #2^6 - 
                    3110546822669208598166275874296344356304620288491813815999\
294435504534753064148190340716224182444407635029740156028516537191912592034749\
476113542933580607338726269453965582804155804459184728251663496371070522375513\
142953863641979980549872106403663573468930776362587124211564843642918215153780\
267529215305223112468287892331156330453571732532542110475920104908493569479389\
732491349350237956230707770438452433956217600 #^2 #2^6 + 
                    3110546822669208598166275874296344356304620288491813815999\
294435504534753064148190340716224182444407635029740156028516537191912592034749\
476113542933580607338726269453965582804155804459184728251663496371070522375513\
142953863641979980549872106403663573468930776362587124211564843642918215153780\
267529215305223112468287892331156330453571732532542110475920104908493569479389\
732491349350237956230707770438452433956217600 #2^8& , 
                    1891128365975621953988218096211279732231771381414214917296\
292252648266729332791756568572475738682866503397270694830615061029465156289797\
925788498643731003204728365849390336884153571450930918721151905239116811845016\
052690952768925697136791503358447210830475757009536537502946799506236464791965\
832209208820287742659425657165197365639954232220370563483164654383661453213992\
438498466975097779244485665519265441822996738598165883835621298136588408574499\
02 + 3110546675768672232201322680546525405281024129174428043092316721533392712\
136617876771229216664755259526064006446934857410964540748944644367896146305883\
856797216294755659591568668514416116423315868979503765139999214483180858913943\
338852570154756140909832618572448501329019710716241905740288377316080878704187\
992213438795724970742634045860851275051428085396344981771619877085203419958389\
593684016938080871847196218337844952586806050559059843990423270334 # - 
                    2372829723789428017372434765363829681069406357798233129424\
838656343695197976190283213108343201950501093498371651122219471201515642838509\
566786180563668418505029617406154379339977380997249654431420407339557457646150\
516396339747952953004555362713373131489787862666787179950683232165776403906943\
055442824090553632337657083765619938973845880519688674628420014683885778315729\
522093188173891628072783378882336377155604659689369564120500920832907350437822\
5308 #^2 - 
                    4677839361846787177920564987577191798325277969247108619234\
572511529805419006137165688663155771283733348003308764963693171647002535709768\
092086637921177158728849647338210543040482744591806929952269350625351310069088\
714812605125098663658516912494695214671650287771934235846670375520574672680344\
302703080558005886512516231087632116378656120950254270174292493416003667946223\
913174517029413745792555452335964135903236700608754478347607797802955657471329\
48896 #^3 + 
                    6808437405128634066836356595466284035741118186880717106150\
832332556735965218510100619726075401070322932478351259355017499171412507881820\
681452076776379679407475310905063306809953243557934353330760814396205740449398\
898595978588065851296353221584314323441664601053626807315087072591509759196470\
819927580485413130163557204543144030500313683187318393357523300844083603440123\
836581571511625331523947674274403893821982327602768257970861934653577246072510\
24224 #^4 + 
                    2606137079199154055796110046176452934879424217812211234772\
727051694231938232920360184787990102842455625050213323918198228442486839088048\
140188721322477900894096383266519355107594088869121239559070502944771490338834\
195341488506237466568176331898388573160696208766646165859587126734873266693214\
870504727994722900591261120567606400721165892142681059137900249898936352391339\
390942126084366112581237120764740675199290849066401170054458736260133571097748\
3793056 #^5 - 
                    3087828378089035349650454388340796940208967457224062354584\
790102866352414760575610899327126100546729304630304039063125404955733472811556\
401127587320618082479381003384207935101514894236530314494998307030667562392592\
047292000349650368077035189981946198303025137885684940876922127194081717430814\
129346033940219817863168438799369118911611259418777085424868529225100884770475\
553976555077073338674390241079275257373216110982122217452166730830793600112841\
235200 #^6 - 
                    7444237484780986531585036025971738761160166496998917420294\
039669076523695209203114797602191419054990712882505803320855094425980405008615\
245271428496837633889600989615735859759941873755157923146954356770706500656773\
417930288728793633432424291907248333742389613075778767876486811397166675244331\
911422061483896334916007549950304276698014384138373326079402748143189797954349\
027000575765755819393641379438095280636119483924257444421521277903597841324692\
08658432 #^7 + 
                    1210307553285595585174678236527714980471336083341071768123\
048838813588192450207329107505857512168009932210399191662106605859764324281422\
748069161960690959511244949362395985114786583094338171105050473058758022459915\
803225842565937063871668702913289408176774640375984984980795720543555572898478\
636212514625461136533566559069606901344260973354815529354394476503729388761682\
954035941367313644351035183773732581830564512961962181618277219365970375932791\
91775360 #^8 + 
                    1077122088472932962414968339740545813980288356264561874339\
391552602494741933908750347140360798287079367961282696490116681718070799498320\
983614753795086479488193795176544289999761102444572849635726315023639567458858\
517486167665275467063312011140800558090630170266946936710727596702575022528228\
485563703294379498137388793863754565830270532837498317900552206944650796110873\
625581045845560502970693197225702564561206823714950869578951793117803682441760\
2524769792 #^9 - 
                    1682805307159524765221380717260623758983879988151045553266\
134955171512233082068729661881449442243342653677503629534082211729455836538295\
135045240206842765175632253475801611496886125928112523579074506695009122545775\
100434558289685767648460560643272210208955701179277270706905588885783839516512\
027784249325010757932803729846194443438471614484843146870464337590449928073177\
345924327690397968056139857596433848766240762369131912627210529189943544168376\
158509056 #^10 - 
                    9115074009482280228297378023537141883764299083113429307409\
752244951917105289543470670352693494567296574124499484884217256326875364184896\
262791910023370200952627092381882133817755075923424373283113785925865336367250\
016311708100876803944451780615470753592117740387478034422747428105220172288159\
601274933934641457457592603689488633655148784892446334276603532620524998376476\
010669224662659266014282341428341188864633829313374266856954476650063623855202\
9668210688 #^11 + 
                    5396988736385475611836667691805669060174175807498410919107\
293542807986869894402883375479200170294443870775999219769991516472328086587825\
394484021469422086084545379454696349105823103894550880575130690178064268464382\
536166925935311285925222195875989946168815181102643617293401047034218713078171\
063487849723639110018540016586227252585020671324396238132048806271488591417474\
248218866295263183933350048526533815841372846679335551139647352634119885933561\
628233728 #^12 + 
                    4898864867736799638779213137854251785047937062346115955353\
596966003410005916741852023768038778271945366908747810092818512871942131753243\
856851849837987514540666995411940122764402635179671375175154922457788892609974\
344426267498564096905548670364172977463811534831302696449680889734480471502688\
146319096561202201879652955723302360992665973696169098863506354784383785392552\
628612201940684255277482480805125589766620429270159177141385155051800843782051\
88969934848 #^13 + 
                    2942464675400259892417437633982289160965881387273457752504\
922263096672615402209831733192862290395949382180206027193264031292989658879140\
088273626554732741435779585043086912645511544424879986209481154453250322881277\
666328847976662040091533908106028447010609557550296517076255681992077930334225\
574692183104076014644447293640409312123528957754611823252803268793715277154568\
417125608944645209670953321651199130825881707902673655765598017238202278824383\
5434336256 #^14 - 
                    1739072712338463420678350115082792684199851085674350339813\
604096146258007432556663198615128684515820392628058825081591696452041755089182\
395914159220159737361847651463514458576060378630496678366535893038865859268941\
853668419492738217606915730585971931725931411510097741603642753736882671730674\
868543312320355861907816651175959686022960669825475255268329813810680456295057\
120808871610876299912098896355914847061887814364718228677387806172560478163406\
652914761728 #^15 - 
                    2543440390387917482502138554874351648646168452750450245648\
180468949232476053740474211657482174008633513445052862570228797431469060504576\
841620256856674817312586710396611392505037111813858195358496001015963458937390\
939197448341305700412099156822639361228415777435020387591258619184778830896832\
590649818663476640349588158732506616726407782703184928633043189881871089392618\
509379468682291256384761784253571617486368388803033447994048406683411678856312\
07172014080 #^16 + 
                    4146977328769029473337476404301150322591281783197589233031\
782659994254475017662109934273390534598116409239880374187230449726146780693071\
120936535892967080193522161349874072862224670513075429165519919331091524340280\
051389358602032476780721490881183020805002119452659965087212772976517009118603\
398750021898191869274576106296561453063920718719766922563016124661449455957484\
046162982908311821371793056926465535369538289465185801793636632952776333638249\
521052057600 #^17 + 
                    6225493030809728282342890434233816242341333527648134730188\
133234644080201015975334055136545477259903344587895714965032100723789180731091\
375212875831439588104756913844300969765137364375461980828783383414694704125388\
889955885990661466213597364707733674022184780045954708448183516305389635656346\
681285375443991275671773677139366569417591919925862345647480289025493002485090\
050532646979981474076722255265772636589893350477952388371604414370288315450721\
84576311296 #^18 - 
                    6667286035290104209777266625434918108077636607235562876848\
687192785398111106754217096519480585718596198179011003772825456183333769900476\
622396857283146057933416048099737764058890816914217236769881901898505277076907\
013002448500353424084444703965510688606733584479615772748746045484225259084826\
836576165441962164199527664500513059427631912950047002273410903036791201162078\
050836175342016703735195762932748567738247604530645711096076959363370335876025\
380807376896 #^19 + 
                    5089134954737265589843849790557182413997384971676832927067\
360281567145621278299672090243212866036354968107580575770552675441114041498954\
823497309901686990611116794955554803789757351515771379034235965820152111067149\
707835682892561417448321890035132163665562397145197616805966073935899259679800\
032305371877364018657777481111973299514330801079771058504855940238841007478573\
947864964745231975376162269824672840774111477173939722921800764982994612558372\
3495161856 #^20 + 
                    7171156940258401111457423077114402171752880461464060667972\
857692611915549229610341280759628866611037657550064920201654926953527562768718\
663521788089336381693883237520777129200297146015069214481813785104115679823204\
236800896606618031881228272297277462841023598188276529790917483755613744289317\
075415125391497259742271204523215655386657147111274292204510177161105171846466\
869202186405381704939736598856196107711145128480065863809884295474370891299870\
738891145216 #^21 - 
                    3814010623531445294790259605684588299468974846578144446257\
295754233391476014057918604598090061910763319580060731121340343277294677266677\
005003376515802751430502114446993675852611664784221030427134410054136096838464\
017854880922177661144175406526088562267503258076085463285455094990135065941024\
029336305764465055039521175985508101244069428640488562163834888679130067228545\
278048862918105673491128083722675564126600084588338182260109043715560617555387\
727304720384 #^22 - 
                    5044788856886230655658379849614300805692810674053453651908\
112478940166727153765895190992016804294422884360292904781007538959210322270152\
354225738293310079749086841483443789910630395031450895776078280368186586212838\
974641454971007402656089356575381083451849972055663621567075979383011284683200\
230538067590817640548935089352367241936866812533093562451616084767147774160618\
490371152372916419518653960549103097017106038814162321120374622584604597647188\
415444156416 #^23 + 
                    1053945027554723783016379124504797838449571820546954334566\
906916001509903335020637665306160136583926268215229534241967935361094010174050\
344492567005427833416236894303074809370591433245222129538547108225141831128925\
917802301199602649915693890559957961177194379780794814691624413307000944321347\
259907329518267593325500547222076089781131105197149813454472369031793007566501\
959223599868896712147763662041276612157115837598890744264902935834971743081767\
8033617420288 #^24 + 
                    2241694985850645841158200169512909069188796047810955506560\
390378372364354667352173036301199894322812207436363306319631679829483926077054\
375051656930253386350897155563398471493192744630505129735035040223542411103220\
105183349158177931939110967959589225075171466034498848375186412402107072895713\
741544623599691941581398359286547879141148994391678789439350984925145729587274\
517277560975895494597018187402199737494268836686999580633695480634570471279579\
433424388096 #^25 - 
                    1633855560006451406616876601190303578424011420117952997247\
708348245298271667974242327003694312050340964792158593411433522747472009352819\
285154056700573494483424528774749883167288912931300769633046122710444940322062\
055326389164103736954668483746823343668627115568599987115801261674288703551246\
011956621978458244871527605026184831106119753018405208870065382942715903511954\
509263093070741831771485039220026689777512649557766196891414685062023146646419\
6195210231808 #^26 - 
                    6956511291290566557080231989952406663036350830599634616249\
895286447959507620231120711911623311266963543654988843993419598925980019169050\
935701042778048240773568351630599968257442712420854382248882135117724478940933\
810704834970044417514350792057438736318316032429626941175480865100600154564742\
820904978950433803507053685046806116870815508869517892949196299610801327998058\
757602829255019390534717614451722984892785539729068728504376113500201520926601\
94703572992 #^27 + 
                    1730839810348744735172539785158900439513451838818344681489\
960882406293781512783865240116108868089222421773057529034742273526695299654010\
404858431657541802830101918255835858338916743796579541261579218253812444125902\
220624888826391247257309213698678454473337013512511948478523186890247678363503\
269750288834984564370286354222527030638884134302318982823667212943654232944785\
300366871148206316908798198344381415321639665530684237698313384268247561369766\
7143447871488 #^28 + 
                    3693005910469713331681300452097658662071000932614519972218\
107531729345844611114483189029903067562344953100729150271908064978661177833024\
522123251485679463046186667372140758413141294029148382720516268392780584725758\
833181264266237763457755827886147326646331880056171035809095034098853996067800\
304112295604210938105728321666661729991746713149511945120765538974169655110779\
400991860355914769878089635518165758022341782814408135897409277346409095697648\
39970045952 #^29 - 
                    1357941331534905489746017600804727747134869372789683967320\
351930274716429209228861064586865212356163183589970218162574199242654943449404\
537400353576529643639608535226096516029043594562444744349981814959901203424489\
280126492711636168763149956513211499186803216676659064830049751801883161016818\
404573506091037870432771004484681747239040259607320726373694246175990548107075\
671644030592992985252055673774547767068023468502069003747413690838968784035080\
3809104035840 #^30 - 
                    3261941935745062090739174872259505064919016321865990574673\
685071553739417589833313074498223070790820591957405678286341821994401658050009\
534349356707738080618622159190987295772524773921936971446068107521394083885397\
410507676089248374564825452706362637582551068163833816619362933093354936339497\
045636240728429860493842146098159993261768433260136371537068579398397946594631\
671373846046732696548110568877303887967101834441208994196358471621513406817052\
05994094592 #^31 + 
                    8291476451351638055440912527105597972721257386609426013539\
723450746924704548310537377300824398619561990067421542488833857823915025716815\
998429291185131886000036054124480007877338823195849840422437693332469150861547\
657455283839331158991410212624721638224153392495713336496482698489600035894731\
320293086711636452611891518953067836853282450112525789382966462262723839158271\
992153177553076916484098629918705018388927131841914758631664292084804815803162\
614365683712 #^32 + 
                    1843145463941556127612962811782117170636306489674573883178\
882587332880062069742910973247322257553807234593748702791070079078333844156740\
808698550017515886788408411436467506104160499241709317338993362257159914391112\
090288549866262916956796698808254604434381253570541611078565680621447899420178\
476395947042236218063206173446812223526787333248717462446264061230599459084980\
338203568900213647600112871250884954531183907300871495270719698150253080970315\
72167852032 #^33 - 
                    4090363298864676317318456319843135001752471782202183683394\
972664884003350550293213129782087603758444903440966705111435751450662961407403\
424792175226012696688003075866382435793037319875110504222631173119924728932188\
703277033094807005932543891715709529317566318206291413375307692720895200518107\
435414671798664481238072567040739409555590317721181787342565312643200745005259\
776240228673094933451878902509980875382761450558355620389737844824513301019362\
398570545152 #^34 - 
                    7289032246564531472236527724210685541781544457531292533082\
602688628496631921239967909488041787559930284442938674545576149877030538285367\
837752922228934159806502045420572678864495382558017616662681455640766789551561\
104545537052092190041499481552065548733110296716751793338257565839323915268590\
702353125871811534558666711964659601240649091294210767229363724763779093083353\
438707105661690318339174459870894186681619286530160525113711671452340099195390\
5197776896 #^35 + 
                    1656960664852898892604820906774319032608995693914785044901\
385751795411093196017361587858093039989850502300937331569662589630716908157692\
121437668991098904349316790349765376701800512352117891983226773639630895728383\
665035667509427365840402739300141244326856785312095304635264287139720600056553\
031849417637709749194814644309333389022176849921382165459486653647633433923672\
242394375368250644949267802203399185927689216369466938076697888659450477556595\
520624918528 #^36 + 
                    4020029331941081012212970973902061217593127869016293365791\
067400561118543757333008134009509455387461608335594044197493798748675500601706\
965087812966304890434561972922692844002845537804321697415757304571393618680832\
501441580287037480455050302914239737078592264835154604365354945343472621681958\
267069303667375410211271795374226620860728295913308529357645130133891156101497\
727544552710925247211771006380245398124682852356319006805382610039746785308487\
5684839424 #^37 - 
                    5403987337988216321556641021058294951891117402158794016862\
117324191832557061753714860467525129735303842904287265880323128238292061016945\
061932408944569840432336514758761779378945600647700099212668134896357551658078\
807605655003305827472749597010452200144447522852604142704912335241994946571533\
513326880178294561995671243982474130622512333326279312366532607094739039132812\
111089757839419476570219107809318615305480410697442361286160982751104526085325\
78901688320 #^38 - 
                    2589126520167820281571470547956427359288450032214072035914\
254019172074857107760629785771951236751689665590010177777825332570057602299296\
906398233531534364106535075971049441742577753840945834161338204826517830172681\
590228284273811561041932592967568706327232411123925034748360455682183116058640\
162362585064909521337517355722689268116904044655571791909842126764920893421672\
446136887751523858840401123154509000886814506998672089704249152006542708357484\
8509706240 #^39 + 
                    1345030725968781624863177214632003301585568099584502985186\
140400175033767675640856779227098266005042967349976271860833160871555702569094\
222920779110115757595124460626536727226281492285352072092575836849783543105203\
209801526424125472485476333128476080510745932005572029136570454728706194837000\
392291208343469886147638443414232508313100190724622073203424885833023629623364\
204781141198418110836664218440669261421369828936593139900152814261325976040719\
86922782720 #^40 + 
                    1070149643454362374596716319337328933267075409400506711605\
193864425552111977207071519291903371697362372467244416955489728397378482901218\
203531954845996537021206303559611106843499896651777648972982500512151772333285\
711118014832844016722971540692469324380738139179655824762825877611116636946838\
800457585245364181154942745283059072820532937014732564228053613437848326011392\
030699128817951734765377640690675009779208764089063356609903201661920723247146\
3750533120 #^41 - 
                    2349569871378588991484369315052794534199710317889010251596\
154431156966998332627283648108773813795016886442510651224489842705358044644691\
487165824754731288428383262722725193439880066464652260293366013045027403634217\
956613198716447452326761478518849772435409323167998584680419418576949261292641\
602980989623922908480954478991837674977497073695960396751111052512175451217896\
309130289971189855748328907202079615414894081183804174602521820608681417266469\
2945715200 #^42 - 
                    1732415647463911278323443794979818679253183126091908832072\
133877921848490056100270678640018980812740187789724664609677353165591255709339\
092977914374162698170582372476075139161698519710090378259149799746941446845213\
866208162499135979177734844663290255482390472504195996498777783111259759921049\
042849910122049857530613175326304082882934866106131203918570417837510782624415\
143531651687000407623731965175206393636839426975187153460985088106188260245631\
506841600 #^43 + 
                    3319558454587481604434920545870736204711448572355828756110\
452866886611630251740460957191000271845505226801893106156561412693067375522531\
645676075753026589856821150502223616742281625179992021562287479210721735870440\
968973984614665037567423084028845236586455790793657866894291519898706169065122\
923791364819827982860588147571896303963037923466546745207301645209082365652012\
780248409418944750819904619826914875214200663626448971913597150333862453279226\
928824320 #^44 + 
                    3829005250969618453567682278383113488999898654792382574379\
744176892701596580486538305102903734356469959240795594879195128830684543115384\
620476978503835747061113580662231708394780000608453680482355117417953450958622\
599747616038566934127755626593402242653600845783310301749274055933522221305133\
482526640413366591675306455098466320983355535225916027437154013586020873292014\
237283280033124120692945143287638224071990079923726847637521572455436839520666\
28157440 #^45 - 
                    2478107957923114337042795355787797323851285790060879575483\
032355920907100352710455068938932221741601251882390897908293559940439652902604\
260338382133124599603113732591046127838797498187047937319699951808359785893667\
245989285663797919798977338993791003217649504035630703182035027755589358639366\
559133029856962939341416339376736757741573661347721499797544663961525994629545\
971242763111358593454649192437147459760543449584284513768738895073222861916938\
96089600 #^46 - 
                    9054198922960501879312870582769518768614231140494038379998\
026582471283776996028389137255407413035142763108359465788091226564791936988538\
185476728342224858898223853450631654827295572023688280248335460107454462144801\
060792634414425303400689135831535547268497511690987839470321280636151519986091\
621735548824009919908961343320549548774348608945188899580130258526546363513036\
170101497360504675273780946223555424755190831553098713497499050219503246381154\
304000 #^47 + 
                    2940112705360627317197475310919368668921469419697889897528\
709903146263348960872834888884183206134107232668786006923868748870679370632286\
702240041984192869372224814519413694931584983212846015687618057156727147209250\
179822893704112593772878887641072335829904514213825746491106115543915591807076\
160838606690316551803057063266491710057771718328207612735859640277908689554260\
109437203737166156568241812237098838869251370292379485313388350283991544424908\
7180800 #^48 + 
                    6674684341999743050230156657692501709044085674947613858238\
713157910584843630912676583480510448669415329754542355719140086703170401515224\
278601908429051006456287624173028201784441935109134582148519607709512575046985\
649335603230588665890178954409862793478949663567470417613112893289579968879590\
535805785731995014107118274470419922114954516151266724362806984942308639817314\
596223835369336279247899848085160705138699394260882093875700065689162953664128\
614400 #^49 + 
                    9364663755835852525275967142342113019825485046259379503582\
615564570179562640795880578461024521650212536620646949260790319111761152870291\
690525598480352095941020393899846692758191775646320405544553277756426869297844\
367796500223494955186855356390990238898519595331323979364996987551230693355533\
316334530335899272781862886123901388473706369404207270091143567096705286481131\
253080086279688164303401490667377985045668194374882473351442035888882021334060\
258 #2^2 + 
                    1423734722002224674853567219470687004784678587642145133497\
359296782100909662037272600395381475737966209678426308514744908434135214157806\
334407213816197872962275507071942545284294431354043611526048118742216353370397\
882324632745695683300005077766147356968327114082952466017922968843295975517990\
282185110572878461222443692742100468983968371872834168433140312053159869330619\
624987427459311066324169383977207825107586247032909507967297414433328086223209\
50608 # #2^2 - 
                    1098683329671249710976907596991698165576631561376161090510\
794653505053715909580780460956098940298709196626660129422572358939399441096868\
636390961763948820871437323695526972752854037072167442477760647724502824768064\
948184540050625021565975902414259082138206453681325661610389398327633648360556\
007113591456753063473155420784370652357880932308704765643294691785348635280950\
972332960532421550559189884886528552829088981006003622013085019374491738775552\
696088 #^2 #2^2 - 
                    2094494096116443835090291029562563746350893949853531668748\
912200898182897024596703088897092270655062778748671345745298099128906669312041\
082356954723200901873922301303540413082595090319197714064282818907892711676613\
067465610917865349743521864525332730009870200069208049811780399150926630598408\
697147994571713172870474417995118058685114816771390278856648698300500377607762\
137118429075598520932737360263188616723317137451995292564391489618324317205737\
2865760 #^3 #2^2 + 
                    3067780983265431368530764699282917741228645983263888310353\
813517728286964697887521863626245396482448148019112052178877123552388935328100\
446163192524517922629024331469081809632396589757650122535677013580457718382104\
234878544365646046163631814050786905407330361470575788460668050400814818520221\
693762197777301313566354065557954372753590560994671163276490055990563017404301\
966960982711340362592941756645068583899307225481919437222624445143394193958420\
2185504 #^4 #2^2 + 
                    1143791164630173997732297242565861550016495786062858855791\
200089424815201111580276999791813258387739769599204917780426538968410398138666\
533243760213288326924681535222634852284581049004215903780818496550717156660047\
433089010716577962043777415494479014582974694519199982658000544970016619019309\
989175816450901976676214864848638288657333864427875475317730426069862171977908\
903528257296838083371406127660491725159079992282133728047457227618634641387096\
370252992 #^5 #2^2 - 
                    2448174220829461111222350734193842894571286342019784123656\
682331330461873983068671309372292380081160230048172581621278696204516180779758\
540211402365613515438895415085530787781409462132935451301454048416801646877002\
204715578459039579149746987688333213478685992914850791992228664539130368094513\
920154261151188393770257283240845837562750310811422595808768592274006040391380\
559033720779011263062302129159165614022039923432551803475936753634536216868803\
90726016 #^6 #2^2 - 
                    3128615067876971842980939642410487589585096542334464600382\
484554796520840225746830166568123424039724193395528221408365785162052275675046\
582941488453789261010074066254731956405276063966990522914532034351272479903361\
763798130413216734801407164489590331040551754163556406911406744498030132480079\
968162907357239108166668866475330854425067687008233977841024080544855583407184\
991523037453984310840023314814004471714647103042088987954110244941809146853730\
6815774976 #^7 #2^2 + 
                    5495157208902379666537801682649357735239001006187624544157\
442316103403686366850273803492514712192100532980862713949807195260132702509913\
318926893715043013952968124793056737741763394744230234788875359688764672542595\
397174546713810096968974172468861591733243082158408732925133885749846001698715\
697442806037010226477883162369157862835722495875259126535864553894536791814838\
990046659368457787879758474699644260872812660119613727867670736609348725586028\
289684992 #^8 #2^2 + 
                    4421266360290430899454261972232660567162730388369061542426\
266153511827770905861172167340635477241197115523901996554899469405916403144643\
476870874902813499518121396401027129122359536556165333792541162215954161777307\
612966796942177578616349498975817256086661195749864977672623233310156705013583\
690976117762212254525937629539532354076667486969670033004260005134446828770448\
921518553022309077740515524552290076693442414345625219617250372730240828620222\
23808230400 #^9 #2^2 - 
                    5781714711622145893102630493836672985207193759602905483426\
512604282638456067474960617309070488002209087495901146127722171468886921063580\
152974832436606520108466513967674228631996501789506476068688085896039591044002\
338064475462036795577152420837410343051076632271746966727914843976330911281134\
523274788822591911449135848691057917296209306125490779986517919968052468583022\
697902217226964865499342319567371125123837764469606730717081062914817515087351\
2927074304 #^10 #2^2 - 
                    3686895209219679235913712871098449848084323096180361084457\
200489202165078700040844382954049130891539225147285817865342601725044767759476\
945203879456703275217842978027210892499790882315536554057432308543834562555246\
463002001948409285223282793306390468648192073670143599390841958233193131591484\
973794096480228975566362681909415856365695739548452956789262595741283843454441\
365909850277398684499961283893736128246339435384715783509079935781717628194070\
114910048256 #^11 #2^2 + 
                    8184339038356647467241685538550534330369275115602185219776\
055417333393000987431395371741053650115840406814063398423007456409383247451461\
704472762858999985380229609796625911514836694875216388179143655540729703699307\
949617132797294302046741808695060627854750417257790948273807828768023638062814\
050014297049372209757075254969061712299947233490857108409556641688165416624883\
641815660265531597721612308633325928040350649726356363003694454382442977531916\
0721530880 #^12 #2^2 + 
                    1959992671960184128553413502671957834043305415719854188673\
824505290864091544166959372546649422263245698248910318031884588966304936792989\
827565494275393473112898681690251386513486381742471758256939085280837287476903\
240430726999395787663574006970529298955150769665386897806492348572536963498443\
579143912464169184013413849686630201920752777095770711604430729009104940677701\
683192256886084790340522946738746127029595411446731943892610033536989476573895\
1724917866496 #^13 #2^2 + 
                    1893449645515507339595510404992561234856605038905502320004\
999814957646216464819771080675043209557090886926998741468764769004369788996724\
228982971647091309416102069680904539100164269248019262457753581540112816875298\
203363870712133350866518403737820424879433245685083016824395191634388420400900\
892859579046873481364719689693906180852642706348124395085469397717153872048110\
009940014679371631188760562466183398280859662326074958862329057440247941390491\
060670201856 #^14 #2^2 - 
                    6899275351025055243364201866211704851708290039538436941682\
156486150867026377908608333824236724201377303721453599830530687639843036941467\
166910693697991362325366232019289563965998238682016504772088208134799907323325\
299135608930692600268322213493414308424106181065028133803144258994772547714568\
176144929668572620345936835688658977286509297449722250782785872461146863600057\
161082033316979909349693736489990610541754381414981534297066669569251243752242\
6793133080576 #^15 #2^2 - 
                    1226478980444581572765455019135430436776645270825942611521\
786400358350790805867047331523508044624609714103859401684496742439607516623214\
436633377032677345646933731607825011985277303791417307309914233733933273040278\
702802520325482803971246296623658740755835745303199662042886873587233568444608\
382240083092962503754163750823792221728209998948396955889888950272779621463285\
634491362620685021580880358132128913911192632177363071587231921978323974974727\
4924348145664 #^16 #2^2 + 
                    1635541444749517300309070666503254095780579011900254132953\
819322977001334995508490656777215972211201480256433375915487511872079553185216\
757081348468626337009144918514258246782782683892124805126230189964082557062465\
080260798219365640109029379093714852881020321798151255005867239728484650959943\
309227571081191163520581436695303570247859896036984227732413111847941323711706\
061865500485494255990168563151299249789794918413666462818958365650639722623601\
05347610050560 #^17 #2^2 + 
                    2862117083923272599269083357167396831822307468808731154267\
013792566455158595961129625884103274753458440205315053445161135340906302242960\
595578933482096055486191703650347982510208995885556234416623921023544845805432\
226364373480969883979607428007974971166903916505490760403713182899088986762178\
565846368464748653613225351706181345852258349559239580669405661049776617855308\
072902774744877002168100847341633214781641226930059234388489959107165989837932\
5400482316288 #^18 #2^2 - 
                    2623630265673601292964584077459593290294489248420852684055\
803402789100607161146424489634834009941827647138218286426757460808944067499137\
107212229312003153043600965024232357069863546520460787782185394120362314123497\
671694684909363947297265092018698067987183040724206894095649409049022670281262\
511625529520748550101398677396820776816311067059221303118311429928226341840646\
537364089645518838670663403359662232623583459638565348566079962709908778885143\
68400923820032 #^19 #2^2 - 
                    2497403116637417668240516035107500487595577139524837376136\
073709620361094339831518442481936107915991325237372837868601932552899500137790\
388567451426365541638907276419864182271443080350837636376957418583538449367676\
004080289233787764972122607036843846900756668113194688072453462374749563410939\
194298124195965706420098914544779426980126547953547930546963443146347878902155\
717729975743643078721870044699150513979980841881580510662021208766549390076898\
042884128768 #^20 #2^2 + 
                    2835372077532087351473313119361276096141613976864646223282\
399244618300209297403154440394487168966320368124583251952050326754198246146709\
673272581087354065925727117341230020045898009352929619993028338260091828577537\
182110833754878481281998430797044271083085922289496228021210108875111134082257\
367279471761725406109111012256078126763091962300901344495211764258288319216739\
767720625682558097323806652065009279259259428268572242485500361259268936832264\
73132248268800 #^21 #2^2 - 
                    1475001578691858638164480071229486654598195833873417043459\
401581397413008672345077011131349797584555502777909776367880314232727468727367\
869275900461761359315054289565753437802251334985327659333491404434434693467548\
757636837670933103324819578175147649744721922535112139843223980383256668429486\
587957373476242644446273140135549124609590363586441493062531628729240393726803\
338550721547293453355733742421315800023139377878291369795021276468133624204309\
63551682691072 #^22 #2^2 - 
                    2041760083718555203054092814239825839748541010371577906419\
407976538378372285754387287539525055884350965425346727116282497150786699556061\
838119654113171957996215722151055422914789238468927146035979202490800065337752\
511024897857935890804002048734288585359574996175923839602397611943959773852665\
979133397019223534408143217145832066307533841968045621603602611891410763776299\
737457247433005715028225279476736336652135836681923234010832161925785797145716\
71368240201728 #^23 #2^2 + 
                    4146171451898913146258212928711368633746001216869720490247\
944820534259850456132296260831431693329646293452470786217794579609405808562583\
009056181959302367958598166306678643612907830377644805662493969586183983045993\
438437941859401601079227778869865795638712836545158716214414860538267374392936\
951135520325884617491695114552079647933338860203877926691196390589718044612177\
287569227877305605472515597247563564472443541866731818147762544289260455614714\
52920818958336 #^24 #2^2 + 
                    9885999809133756057151287380634014812148093561653444119319\
450658530394616926012269716543910934884685994385008213186983906561863295330488\
920583161331377344860318340648160994874296754477591385399017112002271398910156\
803514891853833523432778107442315666996245617297866439130661428084844580308714\
753062676148788224434084880084760924337577570474810302313842009922319754006453\
777335128690820231670291932173182107227309473393396746301307474182855525237109\
4373400576000 #^25 #2^2 - 
                    6438795268067032256539623371406422231553152395071116070703\
100486691105735158246207846639252318566286455161645682636815463684039460679679\
236548558977821805013634993410705709081421584988087777420213377207619473714897\
117345856602241456162609421478153279955231053906796273752398557833545582634092\
142560031224181360680109421776632528152817794658692450189594561081914125272408\
503690848120336181626023920686913039779119907543362527221275087221168642888001\
85223470907392 #^26 #2^2 - 
                    3995968175123197719218450721470367229569189597162852104191\
668646962736528745486759737969022475634488384572586690235713692005511295757483\
309587816788461518318839176302014467778598692788769002393397372988604838316635\
126352637550297266303758876248146568607153995900151918758492611746772445508202\
696961587914339787958144985860435487155050920132330170511247260622240483299164\
505978833716929533602477764232652429527257028488936847398331843426554627691229\
3127403864064 #^27 #2^2 + 
                    6817658412962686016262670167599628743498083758116563966227\
305410967179844459863366193687489170580826233256151013260166924359999813529484\
318821112383172230081419362307075000480741874573432302786002106349125078995332\
469098480018976407596599693682558520028397972654559008872911129213713755646620\
860118917664947350910639423786964791018124021381453720876437555374748288278514\
542726670646867845396977936397346001837363327194712589094716496210493298094998\
67756290375680 #^28 #2^2 + 
                    2510129909226120732674904743058473331237257898333446900531\
778013745937366632700722294741910149299222028268925706552584717647573635432479\
881744711173515325295998069126627739492134091714604117182481055772239222210158\
311433565843602968825168677651707815074660072612410463072580949765678385008905\
296114237332792938259603551351078282291059671669028361423005430301119235229544\
538288484345310207742814677030287939443528441570955846891167579836878019796467\
3027902799872 #^29 #2^2 - 
                    5345345879074869435226582630210262083963062134956708617659\
958739671041947986879176014661458836040309624430209313190600641071204760645718\
603479737000019973203585419552475614532792999219127767193713918131615799854968\
353604165872093589226807167553546224823877034765910659709504617370924645071257\
145404556727354396929474093249243212138285848107673257465247400725923159922759\
377623177042711817705178074836018183096170006893575234142369775395084697193631\
84778780082176 #^30 #2^2 - 
                    1958589903837272785774663817747755597865427683295091173821\
468937954159713413539182307886277180356229751672965616239038176412668453516579\
755780348995847564386220738414818012668222174033244697978622781283988769681127\
522952658898374458872313071342085648308949249981131855413973370247389396448606\
348056213145809393946921932347032469245552887145275072423584201565521114146418\
724005204885340737416943347984541142825495010572225868981147120689797609034408\
8091542683648 #^31 #2^2 + 
                    3262747769492669792051773709806091574409057034480955374403\
018211840634307257526927345419814139901634013612262401542529944591004770210881\
632359524658433980969169041428589268645676063707037052293113801672840535616240\
376998467399807108636621601805917059081511557496420715574795777709434045599402\
550705448485859986252788704797941604553706943611128446538476973369560537901748\
742242882583106200214878066801284668421160093184891473721847560244213819754744\
79135973179392 #^32 #2^2 + 
                    1069868306768478608006280627571145137727357922604415755778\
408445733751766059058903265178321799370525767532368720808287802009511050525555\
679136340294208558549056542584224756759877921777411976778472938482291640047471\
412339618323102461567695030700011955559600729967647934026693010091421867323151\
951888082005720167268982993105473780344125653515949178697671283008423335425400\
852379613289133385526957701281774493139172776268964812122246309197585423394780\
0839785545728 #^33 #2^2 - 
                    1609404647668224717235105456432549413521594382313608999694\
901257081246267135874890368300815791604949356299551212987418113384978896317792\
385527543876865371584702321988350630948076568571931401823565731778409005361561\
387314718548163761917072892753461207828287845452410400271386526642399898619871\
168266916482001195648298898139499607417050316671420137148267170249348311183261\
109390515506777918663081485617283743399730088471958281328873527753958092755396\
96858293075968 #^34 #2^2 - 
                    4309368233621272551258987314415176291672232826233890821874\
775697952242980142737257563691512359478648064902506792520510587408883477782797\
194795014462597043076984250694090306118735262061782028585706188526766202389996\
641277214742962238581847567776559115815277319568672290834146329033725755799232\
882630766271199638126011514841337452874902193488945074056502215141332489268115\
322271271720590222882501171818027894872530635881670389714800733296567352316698\
619063304192 #^35 #2^2 + 
                    6517664292868662359387669160137897170691994698208246958223\
378789566521972769657131314510478400480844421691494459851408447914683662263552\
912404026926642722291513671294809186150442609067084946415218759663137549810763\
591820805288983148578175547808842009637692410311351617931106479764755383116421\
595488131624136096066392950115297294923555669799053816614868913113789244882997\
652501339623739098194389884925031728740014393447151047601746615054140857265677\
5590628556800 #^36 #2^2 + 
                    2066952092829351390461507689300258747889409335138371641445\
491419617213301579119075053334477061064660580222755426389100688289960647107620\
869879393341519739483464579306652621780505992089502091117355655415514545437462\
068065228088962705927999399589307218372202738869333929634954712877848400093203\
915771205953321630078984068923819753188491680028429244092975840605796003004871\
453625548995677813271222440942248357413159948191836921454952126754695401409349\
411777019904 #^37 #2^2 - 
                    2124199185140850298653896811686986999642966845536052962689\
119652166273030242955485998331904075775812389355533033655148287816779251678010\
219195305388432257587309457710227594772827375354130379475911642790317363084090\
089042608993520186536526968456256930974800909922426038543904492327059326660384\
828912814613228051647364712510857442026869498009904375786355894999055514940795\
586194545049382439793327922616310810499696373261952727982840785042232129691205\
4811644395520 #^38 #2^2 - 
                    1143111161572758297118947857383620015785452575028645515791\
213596817306928273991459863461898282027996338384031057396690662136289972386642\
734223509504823681469260768395759790927550749187965929602133992589511439840570\
362643086260390228721927500070515411385052281417681246503509612337002278876981\
962380573058988676325778204863748660979924257126802364967898334765717173137569\
505326043931473477144451462331762738370737352679988941154497421302269428870038\
747149762560 #^39 #2^2 + 
                    5282020035001777944560190723967381857571788044292973896236\
059214060108942937892652964631038860536240927766877651351867877427376220303993\
609567126481547305330877664238619005543965720686153784554328165908951489368495\
396205962407122083348673504642826340527847888253424876129241431202814776646728\
277019904278089241167240035531984420912148675964527146989179401844687525405738\
988101319505495774558679639210920697836445957643728765604170069540319961606176\
598424289280 #^40 #2^2 + 
                    4430510755999344870214853334235157087519743474402136196930\
013014741957127257883532387329784812035307874234711040693590061164717347947146\
651950197631888394383869706115590850411461551060727267513687892399419882046355\
191927089915748427150034502303786949993186494783460910828607772998698885655570\
104594285151376980375646439766397662660273389915152648636529773533545047135785\
648316221824977443149516249140444803771927524468721976134460748120390837327133\
48645519360 #^41 #2^2 - 
                    9228138738634551721075682043205415114385447272280774341115\
199103937737427807980474275505143482138665823252272284905449877709665752849309\
994900612565688069054595858646963886272229928392795956635282416839269776839890\
801539169391341281642100815412051101736266794181037781068273638738194585137737\
963812842117304442765269655180830443716990029060915886320137439559780215868121\
211282108907187164008051219443117156640598300255019669934946469669509027586340\
56193146880 #^42 #2^2 - 
                    7135457655648769164993075824450589982720547711297591258681\
657781796328322292928270659197891519418408973646114202666231100908949646239627\
751164928775424488041930664170754214303827465204858316606074806589898423378297\
336649285513790006946580684809865914583472330362096456270361198652667940509671\
327142806094767050164151174078828940213103759668482648297874526162577018445419\
120970734803372935847464510104737005040255634145357933582891863299300369656359\
4660413440 #^43 #2^2 + 
                    1302198232672196464475157426552424680539143950352637623785\
965457005284666217736022141324204618171375329837418309478617135737902269479382\
423520318941571026584828166519767511981097784362467706884511114196021128355075\
292479606547366895719092257213205088063915631745519038156625760551285674657329\
792392792824976955258137549934875169511981230576882421798079235157051646319052\
561652858696920274943877088807988894037806170875332207700202923532027858766485\
46837463040 #^44 #2^2 + 
                    1529829462527378190902495399917820497047587274696968355018\
768831936231195245533802235575121928950833271047193399022856796279901811342734\
197503183170247125924148799975115227799660429818552374319884578395484885244773\
633218921235991942931810005290495093519352303471347396466287558664310877519262\
514287787254842415899584979289346441268208655550735341791651998476097732698346\
786763991194502227081682216065022267023320299516319474459581706416647610886894\
6954813440 #^45 #2^2 - 
                    9742841913920033283753196153554793432759248208517539976390\
506196368351243581292025025257501970738026475945457876988485467670889070721096\
762547241020271303069954069901609498543946118086112722738308725464090144803915\
792118446146325499932619642880273461185979371460004390453053844765047197839433\
964373777869526941660069468171711177678715216924484831074315128077165706119861\
172697268292622533334883937985246401853576019553273098464473402433553098291487\
860326400 #^46 #2^2 - 
                    3854371294457652760140880536946647647924042539884436836015\
259949454125285394509576952468134800916148031106900415524198499751136637246916\
474554847911060036390260653171089608103908197866961450610964442189351620896025\
732028296021190810697882890889960485932707500681115186835872128760498586910170\
060437275230911143535453525613676503751650152819320074097331796373967449626396\
478990446340100835017146372351832111616190689493836613715573658028581295179920\
57241600 #^47 #2^2 + 
                    1150009915343253934683881016733976020670479645056808168848\
068841952530877096119673192649228019193024011821609964023262906574372906871784\
348754639558754547382540609147920117929113144009414677696761090927266551847325\
231202209941951504588037626648364765765395675914543091565186785059260241604791\
872279283408301227172015591375825724906423071898793463878603719723378349630775\
306817589550174331498109044260773220064644889429154960138194159924453036163229\
286400000 #^48 #2^2 + 
                    2625824841019847959636429575089857031782274217588816235535\
008792827907412779019945706995842037437589022195527914128435767688955401528951\
061636926392594745117066558413711681536395859241981585330721381709146345041908\
676633471106219473291011814746830739938732680751152356158775704548793534005561\
471908476213231198205828920188762780316517773524491319979947199345384593292045\
263106731483797565404815773212524650359530386685949818613141549851710699407203\
63110400 #^49 #2^2 - 
                    2639246531296486338660747043661608454890597082565719770180\
958178324455641885879049623121623479461371286283887643685850097437243128258035\
820491826746588694914653716769125058898246786088794875562957400700025552541273\
685286723735676789045283040830195518337962285077869166647470256492336697900488\
494138636174930730151120858449432258210979031280035994757741619349153366737246\
388443021006079791255994754230240617472258366584396713020893492075717304888385\
3120 #2^4 - 
                    4034323977915441384232046291824048663732327595375948506136\
189286415703929194663707853685293995550097342926285970279322057050410896610618\
745963890876180287758845218479735805991619649898239036057962640313951819405306\
522688253552512765156955873192789771694804753778019289852921857276130199113967\
735044782729966262893428009105320080466395774301120540474380070462695953508250\
212140521814239329442389487067951485747026987377460814977009824014529730605255\
44736 # #2^4 + 
                    3107956243474636060869384734635422036150454902559029928682\
698471790353177754013190504155279082539911601757879591945068679858360971526085\
792815069680520406570854404524007599411065118952433062598710204092804495075907\
250892131747859897878563715472980496354548134559627199828434408320300647177330\
555386306536970185940316761813118626985600298119210497612187133799527895093198\
374098713332615820823591235579656158244230635657189540762883293774897046799208\
093696 #^2 #2^4 + 
                    5941649089788303662208669103121871942111072510077893551228\
360547614259374969269319547851958086666149284306176709691261834995424569350638\
931881242813320105562096644213437943619856163683489037381746816570738068825390\
038715633174160701528321594558561816368212610482068288894352429322410193557295\
457350281481615629926889090766840869797948581880008799038049916112280295580235\
750844559354605008647891836802929625440162245414607233289509303443038293797642\
8978496 #^3 #2^4 - 
                    8673293032739418371676376298126244866235587812415630626029\
664226423274220586444452281601606598931152604295935820838389145544177502323595\
457696179655440889238350145482642019174831082994990962499581672459950935664173\
735392192520518396991574445580660588317545930381301831648263945000782781324431\
084342874865229200945262869505836698166986606754161934732434735998522441953305\
529634277050679021060477593668413624594965023250109904888864638508768199071528\
4399872 #^4 #2^4 - 
                    3248102821118504767337657378205675339105836687428794971934\
866021360961435788443551231890070638203471982951161365202421050956225783130248\
822451101680486723326183576817746488861983569846855725639399958439897897153911\
986100872537138783164663731557602357398887576247758795811529597942282213514229\
572306776324936617800829593438567713239385687982091893591996212383493837586972\
565280380344942060238270207652621008528878206128954949585430772704342054004283\
456673280 #^5 #2^4 + 
                    6781278407023169870242420184735704269464507167009525436918\
427333640321748252652933310078798545790519311525023755175562828170260418101382\
548100524254147405341591953887819717311532941634458772952492132565401783659379\
115279208839405748695865075101451030271790383897970441769959902216395853902004\
314817720421642083635808988395283654883031058572021536683293142930684601654449\
724678294724303376115856561458721179627964795859566148945696486403856931163066\
11880448 #^6 #2^4 + 
                    8899153723367326985922131835027523695833151015118365396091\
327224978658965390472411576561857672183894614362169611416596217792711648545065\
474566512274902297111438744761183224641453889789884272364623800732849509401533\
108530930637978405318775564680855573795376741947681189413971523676284254890630\
357639193489054286688626262953708391434933671014448251473763278452505844143602\
052284266835592803510597631334525742030671696430639005930433809820349451865090\
9343541248 #^7 #2^4 - 
                    1551943017674453482655167236850062141742785438878747676937\
193195693912599811709776938226327063903741861446720737919769427974646784186920\
890831155262770876733969776653963761404262330789446017798248002316456405238253\
557042490629996333599572819648349577163171666491058509616041620732606337351228\
148094350895574249679043905267398095921422584351250110468644604459997880551207\
091202836819878617423236473642227689674900758375780080662656971232898274273851\
0408923136 #^8 #2^4 - 
                    1258663546796531215571611375836225576133784310698830951358\
933059253187918287100735500315718057848311529011584488550609725118988013170495\
461299458530419929558436378411702273866087989671887504054181570274489117389200\
262826204555975597318645225434994059697466531207188079084211565980791450943715\
609371551111074239488362290984639404400978239498308261752445536189898911970116\
110699749570226374189896555682854541035420945668358619277129872435797266773742\
523007549440 #^9 #2^4 + 
                    1653216737001585978231602012078489624167313725993825101639\
640442702763303337854313027873903357276891198053831651260907957418552990196290\
822857175268063377311649824713154143467427485629255595521537446796482094379030\
870302671619850955442301376428615113250826413205968161851180734051766046230726\
165859325457885888180269018080424025852145263087704664185980476288586052882534\
771805779342896649132401865766183240938362839075347787580744519503900495882568\
06794625024 #^10 #2^4 + 
                    1050108493406913697590740094764054066939191220330767707119\
409466120025827187361289900966041124932943803377794060806452792829607655094046\
769167001995364639013725400817012881493425483438285537790498110099133657189835\
471214988287092597635700859288537326347246262243543722591840643226599531242926\
951546439711786695588301880893983841952586649578618072584318629898319962439914\
195678777810225025754821748905334772586093049032950237298806008867281387110764\
1588892139520 #^11 #2^4 - 
                    2459115089401885280825432707529832070682427037122319082995\
403373617912802836579967644079311957599603686488320210046777918350130715966667\
964670148796869316423912291808713171430061192978130570358735235099319948136260\
027386398481375470492275448582974898593164122869888089408831428042609460522248\
490754366388060105730417091080136598002140485994676596276971407012000142299027\
676181493463210637508298124997712080701226902828573044268116613240969035592503\
07498082304 #^12 #2^4 - 
                    5584373943178923323608095802076774949419064976718009714572\
598527185324815111784391028119941031867670049844693333301562919242456640580100\
755047951977807123173160766610448317978721773417535607570845707870377282425862\
200039959685514905049817919018140772614973105425508384512610428362671898771452\
503636690705220580600516962537882549584251312910145347221809956701231081868393\
480387600675500416279517463635356637605762687086250365225936131973840385386392\
2862684110848 #^13 #2^4 - 
                    5320394193539574936862540938454649519694709782368086736274\
225264951604312193195466216890173265394189027431428303813379601622263188609451\
084731651724828182542884736029340261300663882308656288128058036208115509992734\
681397888572457287396290424743601281564058442239360708357613762171148643125438\
015013394216031456934010050691685999333239823288749687666532927225350343664927\
222326315350738258388540103483527952157364067503234607294429978517936699250045\
094978125824 #^14 #2^4 + 
                    1966223425790747641134804308994296422646914194875697256935\
923699131520273080714926120994322826122918814224915934403204302476259594161691\
834052799751689774911503281618147554585035769329605509845736255417433653821678\
350448102563757039971506335403788186983445600264424928368217659926009684921086\
644579823717275007887675516472750063045996732633733699649399027062831680504840\
426095423321244901444673814267446395057423674399835930799597253424294384334562\
84783043149824 #^15 #2^4 + 
                    3471226599338008883274079514786173339242671956673925108352\
897000885917681355361835427502963965692864904884087714853343038928544091612705\
303336689971927108821033951232644058419283881427215074335213276906679115652916\
061001695445167823146821296555774887385691538145359686203127388138134507432713\
454408652749811654909710019629955583582685355861044117115509947521901392926564\
282954933818921366320647002480275239575278161755044591482116761785618626261993\
3902808023040 #^16 #2^4 - 
                    4661895261042632505472766606330881387509072816670347013803\
315290237338786972506848439541883295132988883713192478341056593495702996103130\
207915332957683185757485154583264069188945040844528725512448595240292204880714\
232615997197500002033816179992546246789289965679908739154859391122183389067951\
218997654897223485536950679294095267222702727401121857491825992536244226620788\
150946660352355582883951922053054221325481301626277874681625315913202665749578\
99988523286528 #^17 #2^4 - 
                    8110035105024131068612863487603203279458293947729775255545\
339926178942340116128508462765207387174444564912132589325265461288706180692638\
059004241346018402923138825548643341853905822849773776142562143138796817147335\
506358179863995416773887438688741008881410959994643768150002697189884207893922\
651903062964034744342396499431795317389338432140996252490658356422620975146626\
943125779566686334890951358187554263011854244744516655182687938650751331235763\
3384322695168 #^18 #2^4 + 
                    7478562725073489455533485303415921504371473303761843479805\
007852843518475564863378942560717927775524537801543532603843644765764983257277\
641061552258110879853008613677712799562897402864818546232446038638058243009302\
504723958335969140607818768576127065265750147382437584046646951384614874203707\
725993408334321941908623270329771564387074073883120056091142645925816341237297\
565540869878466344738568168779597260676249791129109792122084170303555099513650\
12080528719872 #^19 #2^4 + 
                    6534836232430278711532060980275424833300321245120918799525\
097670223140232616391902461573541391864025153165627667043724782214966459400742\
069650509091000186461073581385783852435758861431413874570554907306078359749386\
720706735227009311366938594438420171471778810877265512047156410115177380071759\
565336843681057403510420040029052033506311005798031338875616275355746662620529\
758553589881412983382234732508855290531989177126990386758247656887464033991108\
842250829824 #^20 #2^4 - 
                    8080192484408179387893273550793693199192338544893718684051\
226744077867642938105661517627336264640868127489372484002732973557840996420765\
884595350344107809366343546229139511865510425749418426785202621570271862722236\
163656056804146790308474279454202575409170802151790137567249898647768574202439\
598622056493371481911378663092298204495337455187413800111460241559453760930815\
270072385989925182596234295662217062842074197917296103439598937502625111906670\
52006521176064 #^21 #2^4 + 
                    4208540092831020124647558023896458712309690912237722114815\
149458774790255421491237983755664818978384406828313887705384885952273824455910\
705395489938323422099561480245195477639887975527184085843547189194561332145419\
421677953140021315880726541695631470687454706956641062543999939008092715076014\
580406637894547839011984195735810786833594918835326927373846171086682118020425\
632101147922313948693813778509340971236351989136020600698120436832169804379451\
21501454794752 #^22 #2^4 + 
                    5812864920822363045568117606463450998790861733016132579596\
768862712927122273806737184008264239868711176460293792948643849804343286610776\
726676456534658231751261011330377452290278519376203524814457241479343932879620\
177303284830695560106883139416806901915562089670547017851478379849845230106038\
079777353698011732556491202758992415661616879986939931134782322516966186405415\
551627453639206360023282028986441324165094805309860755333865610394583753333110\
77277792993280 #^23 #2^4 - 
                    1181941592486654480255516305472169340382619039859098904309\
435254688111122542726793781832442507014891406750068120211406797247738128073936\
671359528647058911229117756735831572742034896799055124581134128996624827362794\
654057263425496084636543023466500041979759778437702489056922694237897434612626\
893067984708096375626721579069436028959368871949066167098828355168553823604273\
214512619039693643751014135941895100041532712946081444159293436411733143088391\
533107481673728 #^24 #2^4 - 
                    2805108201452912679936404288430922542129652700137089169666\
652424839583594801691535188574149285560930851818222283818717362927683976125302\
211123491246374209728053222316844431508688229469356084216410536467161981572815\
015782674789225441069791949806787289213631950947593728305443470772396014783742\
540014985628664803521173647578534149590401103435143256176742657717048383374429\
181092461471190669061638143026206026575385762301022299221665970949624571993577\
97957592154112 #^25 #2^4 + 
                    1835214481934494267067764145086174049910258918867380628842\
601145172841279861295751271489772501002274287892522340175593628257792589059184\
933881719700240196820224356431283932113598500724048902750784811199029459950425\
340523620237822866561790159504138783114228904658925315852835270041117190752075\
366537202220122938444390775796747410391161285964428671387141067932873680907121\
765400315701983356464612198508433908653958098784958621729743447468340113896007\
792256780075008 #^26 #2^4 + 
                    1123946527903308995247052025285966753583769422041748259819\
686918234932256858136928984583780369745152036157165981141784793940518852705380\
339660796711943505699986045552616623109793644299492434329002381743021880643650\
920867781087582476811009172145525278797561552587790107598089209643123973589961\
890596188522735312082630497348030860268260856950409658268488310895491352310194\
923846844469359738541880956881863205085894721327432581571300771036029679570376\
64246993780736 #^27 #2^4 - 
                    1943146381199573505427686454042192869935218746254346177902\
490808670784310578427972871652342028807632243995404574556403572253412170761673\
880257854220710588689265962763708335910116674527000679522345150599766728033190\
230990027414931944681900017440708721829429198456256595713662758636941115154973\
526631192142734950701216009942982936628918126586667469156477805983360463253305\
906234766605384505002103412571019628294380582284068036755650982587818047714560\
973675117412352 #^28 #2^4 - 
                    7027587656404008500500562910373403070542051455632096542428\
308047965886877503342805121115558950139967510597123044319153027885457326090113\
835592934582267669167182140360614411827473737113962526971122054552351318501313\
574717190792205638621154462465340361825068137088176552802610367288853220423784\
600380247018747313401444527963516213903922822457295693767245945101114775048203\
871363059228996525365401592340530319818125260078895774834708272627658490946705\
6234725113856 #^29 #2^4 + 
                    1523505704196766568133628162983177048270253469985196568924\
100402756057475266687396292488589992900855653336062775685652013831498849860361\
024184632391553942448305912677756314101119817613398343180863118483488184780346\
477937689472883444764105162768275893319842555210540713410375086048620491663650\
402278709473285008084022034329809754269271569935364093060679896984271933206244\
567486783930400355404800445360277809812900837448072401048599397693316294902232\
174767353364480 #^30 #2^4 + 
                    5500646702762270551660438190558222255459302497018357469718\
167062331572969271879801507294446993817133427449597434472623793112607426136945\
760791254852413932389174278575229462665205814178785968961159275218598422723017\
209734522127512976702488713972064067437307715270504757621914919983442572946068\
281132233508218376474915776036639333092371834699722415211344592918473469661120\
464117231519796074322483346745702355121112128552054650939374608248729559221984\
3764873592832 #^31 #2^4 - 
                    9299250296404745953276546816248863252866358171603062581049\
690365340369788780704119816487513361748674858288837568290301388432790374171728\
117120508675443366698084599350133715630709452555368816654617613845105419278348\
675744795064881856367730140648795843310082901674593955437386153003225362265444\
498969451428570358115898951216069423319861318243206688436208544023958253952076\
435489696772768795321343840149128917933754032759499505226244124632503275704063\
07754944757760 #^32 #2^4 - 
                    3007307452230550170541654045028871163851623302393074576525\
291315888139441052191770052785410350838159013589189231769587716960988290619151\
328860614763762421241567362485746383821562373445273688855586391877296240173778\
237201839959826138384417285245248594302522842766720256946077942127650323750727\
038213368924043269226307866407282810717273715150660501137003579717558965407190\
909529645550159572019257368723284326445955572255843689317942945571604545155612\
6169858310144 #^33 #2^4 + 
                    4586948781868086486906183978794541740332249031315954888619\
466215284914531363600026538356580706937109826459901333316866449573777120450175\
948110913171396826973979279916864704640270431094795441655272762914177441167610\
049494608041543359130766455526704823652418146860025694757325557353092938701643\
677965540520456247015466821769638955412984299399460004501753815956206921865124\
908233223337928554280786624065706377981256811387354462223786465215072849690812\
86915746955264 #^34 #2^4 + 
                    1210621411800541692105502236060400887984634095494438360477\
737159581728520254100761777819513507728113746148398629331478551433155053501293\
680123131424604052572812019977571877744833013498589153996296832627614797295886\
629319546658440092038938499438791595470558257388498540677853757188412232429632\
555309734933133904716920611205532790282567270630501710903366232152394538822501\
689507457772731698918449206486493655680973253680100553771867743920045945526580\
1148351643648 #^35 #2^4 - 
                    1857584380267892335333624662026364382293302542631393008168\
090731343593621183473565207204354099911363282826005400038329299144071238581800\
818938671963873681931982436598487781264679426451379067379057840821713721736256\
022894124818256768924651442058429285554886520408735575897764242083584330270690\
687699202752766262487607014989855512187161312684442378733094735989570749020431\
348314386231816533384823073301392771754892657027265875251348524664271664977485\
20607416320000 #^36 #2^4 - 
                    5831685120949219488157249233855265583860952181481639438395\
430928718578621583331158202339780120139665709696769638516256511699897854221920\
393876366690695403975374152961977362213503272600915172355223098834810216160648\
923331246690911943980217256105591356997181895396381322153917060646724077623956\
912101119712721312120491726533590755745865137713922770864738640505167841817700\
475824082160153525936005282023942826211942236460852265161973776789269964370297\
249878507520 #^37 #2^4 + 
                    6054206142679668415151197790533349295904470574034335944398\
308078029497784242123061557234729809824405892950725150936419461931620574271148\
332024324907684463357574900682256838138478322091368423217674946214301102560810\
363362313646148878322907143357614051157309272458594865514459309449223768654736\
266681715549016752991803930880801802092646427062802356917552254648499331376244\
464207541625983906707141102432449593832444232600384972960211828425916959734391\
5013308416000 #^38 #2^4 + 
                    3242651694803978993496262540357876775412124311290225122775\
643974276549962133005490151579879108369006679412849715018379369129475309209098\
443747209552192218192778935670398771083924399671634035665470666554024816926159\
790843298228566620595994305334962679402038750561258757618121120489130817584925\
212808632851250397640283036477508774644238585337829086815529896296950478803723\
219297409894704773518377066169353869932859466278716449367854869496927652709044\
200417525760 #^39 #2^4 - 
                    1505471326449808448921675569325360078069137112344475671165\
008150618886357793233564216394654013228571962769770675024374750458474858372361\
284794253323369169462987549451720468480161264591963835506894082365059202270204\
399935396472047094621115294429793504255788951809574393647272317563839626400092\
218949584251946819735713783324276087926595152441060640576747130470072246831537\
271220063834962806734712786389639388363435992988163446583795085660342612606178\
0328586936320 #^40 #2^4 - 
                    1259951618080258764731559067128432579288434749286686265237\
261665863533850152636188846945656904765869217859573954379749467599841607519148\
583665446465208322243382635472065588536918279188570155132682582817142928953590\
155021614289521463843905968870488310745228606915153897952159639108581437451713\
993894421371647470539986561747113162109642101645874302855676271824582084715968\
962674062153896853120711924979770681470068702144822856427374926501119437141446\
218104176640 #^41 #2^4 + 
                    2630150406247104828814393268568918205956218412389829157362\
401437333053378379815888748474995364462829741349215169584426009309236069532079\
084526220664363625985258582162843991855722662295978888507038726081837496692960\
452277220641342242328591368703068154876774898475820076778945491718864172783401\
194239453109467383259038394294540878528462713884105119150609806875063766556610\
771528999346975578775808061853081217313136278918655886317850524998605747054738\
157359595520 #^42 #2^4 + 
                    2029635949495610136715761939930812530311808154258366839321\
983647215703475080732972706620198920309163907345608587099139133793881977515767\
259830949257422670831510076909955768800739096256530055279017396461357813943148\
549362633273109988092168645878333600470438723516760792682511152960933011379752\
491909009858737914887585114593658031059898731533939319094207682341368645170270\
519861193280519515811077783558035905297705915975302511906262347451245303923135\
37788641280 #^43 #2^4 - 
                    3711586774060285850414332199514303068132572466876973660209\
655469681621945005320612749313293469730919416863532328214388075154212124944307\
807303504197381485857537136982579792070421558092814800956099699564293409866614\
866468325834454327899153628774712978429829414068837270328333679982737885245037\
584189481617888319706848653107099448529814359387524743622510384755361837870683\
723842376579249624140383633781081582214457074980363991350845300295099395334176\
50166169600 #^44 #2^4 - 
                    4356885384982900812143571266932116025581310480375286783370\
209975354073889917445195473277134643296949640287242275414927743545746606492232\
532287894326351730326953510937384611791487081999645064824460766410086288605878\
255398102938131330069454533983498866343380600876656074156772615993512192988918\
408460605870735251752908315824054727412737661331400746822740295455838499380717\
849590984103471526437331901543241318561718836258727496411043335761695748769601\
9508428800 #^45 #2^4 + 
                    2776708872702435509031741258750545860064004482764659024121\
412811476088881538740844509533177958360312519563491891966035588832090990136003\
299721347124906752144162321782435126451124101275362705812005517999082395505091\
102592470588249872896407303302922642164079746647417882904807497982759324632151\
201903882364381813909499849207207709619217100647801691927370411865842712012829\
065190036011867671052937399591104527490671235306218729130855179615284495026211\
9818854400 #^46 #2^4 + 
                    1094990030331757846650589264029662477583752525456754555302\
703354615985246885521753527051248939649606465415166460843675121202998034287379\
888575937115193978949083095709548615143539591363191380398621104480486662208737\
982265055647709771469854724748284125765799821516858822151874190594845813983249\
125290265392403272067896956030663491583887414786001540786006599873275000850787\
583611999320533039852608932385403027642737726005638538538507632405401796679299\
812556800 #^47 #2^4 - 
                    3278167693603438640827692468004448466968574470615703213011\
827235860684152784812381699415209523953791947717648760228085658184020341448418\
066030507252067591545300370981347962927399420513512771496453071438729052649435\
583775670806638833792578060136782463633820609867636908221176696762604269381343\
028640129321086947187261741017398548905439420014391372752461826807526005910262\
070645076846630946718262419282520297834856299313255276814878059707466253418515\
922944000 #^48 #2^4 - 
                    7483175802320653020089624081577137524621879450256044649771\
500875059872213217651396846162160203378815712304542403438379702802534606880881\
110031748553988458697157119908579465114764405098397959558814874257368517969310\
019940771722237044626641946746502651669086492639173216183458221584248445141884\
624622103183777188915477015381614691921530436725401537176331333224495186246160\
187415054932057860922714953074153058004728619542876244952305137026453267502239\
58016000 #^49 #2^4 + 
                    1769948862507706060278751006383463756169184357714947181923\
075641642599006112784076362438038241377572736371413477661419302785602757261096\
320252383064425142947809704432617777903996317766218051025928697187532892454378\
795027552701390373237509891159109459262247866106602367950324582133578651587432\
968464752425389636713941003258067558669228333241420103923178726898844833819659\
654134322002088869114900217151434121631450636049037851310813003829879741969290\
3200 #2^6 + 
                    2711815546761923017358124218357413525372140295760049135003\
821203523277380885653223526621341055735968111135943786728090951172893116389267\
391967075696859488354083024413247448251325020212764112416782475200286407883608\
891179756722912270154941311326087857292080630310528098418434066886318178048221\
317987857007109060798608309518395225635887289153484587453846854944856776430391\
120663188119680252660387399275727464583355994087292095930511311856127848370118\
37952 # #2^6 - 
                    2089303381665913646578831443355664578643855574475866392011\
800605380873594046540217377137511488779070209875182799065279609920127241129935\
771683565790666328921200080275599874131550217177646339657650488330793334162623\
412396952872815716829495226069856276792647242774125060572641910730159656479776\
150813568937921845770875979004695597515039091927481221492881727130236808947452\
501119195872865078766907753336088739578649750166444885511895747319669971264637\
161600 #^2 #2^6 - 
                    3995635672966108657482472693486010603514175960885096966355\
610649508845281284495515228891627897844516267761087733949292175988049396872701\
385049980530372346248370887640975460927694865811501670122798713738648613877803\
270419122526463483811379543405448676869903435293842007226036954033849110075658\
966625187561497596550651689500996996927854395525199089261364967370951910936894\
452030844196170017008062011560885482766588979887125396209174466305324253807420\
3474432 #^3 #2^6 + 
                    5839178226927891264633723937076484036160879532825573785243\
452035422881497583206711912217582067705840525137258292074314602598791663446134\
684800245142574976760249896878872320882469977286462530744100836877426996412070\
700959118992372962985138324429164850610010496426912631170220688427539894194744\
027529987359178073495842414488583236852967819818383138912397206092828518670285\
235611483214859833696715951507611142380887722953809286479876356403128028658721\
3425152 #^4 #2^6 + 
                    2185381849328623948698761884832259023603243614015383858286\
829037390835759838366635845087155910899606692315124342162053085987880552515113\
632429569634445460160950333381618696502981720211338317539108047988955767409771\
288976253995563293811782003264081327390492585612441716275774283184608824183400\
266563692051251054558992717093397015657798865705519115728073912117277946747831\
813527200367078564299450625434032520447396847513808647786063244136349495453187\
228761088 #^5 #2^6 - 
                    4598492021875882727536337619264478172692595893368699701734\
444362944261729545575863724438715229873021233447788930027854382860382687796912\
040330243535781945514093855196018225249379416745649024886032168248550872288997\
896834253626228253682406689471509233127345419913786063109850718565372140720957\
158581812319107291784770998482967237704001208445439349482704347277633076164108\
145731638850914959871375569877832864125986194335674376548768332154150077522954\
33172992 #^6 #2^6 - 
                    5989657808788169487563633298894053660893440000983842762168\
652995034514540638022500836615286483442847988852903954563662456855103727596348\
920834824136434733118875151669153212344763960915417722126906231547091026389716\
455491776370892965479776791078241605755895956520450909473673084089309031796833\
707594617374423788976745884473439321955998332368803485045647203611013896453311\
877593932477081700748934728383873950044087812086306675712751338125450130992779\
5656732672 #^7 #2^6 + 
                    1055589495771149978412083576525284731304662880921522715847\
312512607285722863675768391444650675010865547574728482653617537639227704016359\
536993615712251287129028937085709574005951234542135559719145363498207866618746\
290811799493876853756445122343446229706047614211428098660571480036639548865707\
855520466963365842184087112551268786103926855431190599122059969245607443240834\
251566873696099976217736143553822750955395802478782611315974379242403582949236\
2851639296 #^8 #2^6 + 
                    8472862634588098131200541115707780566661960750161837163865\
586847575191906072771995606106583512887312627281742489726101977636582432898422\
921844622716575490032870895712518170804567269013733624206474299836717532418706\
516200723379651110410310426153239015049102382268280631935003519917836980821005\
061155533929812070690571295195225624600880957189393261077362299600110018389634\
282293150189642495620388149626693815597336268122641242117702389085500653909895\
24257030144 #^9 #2^6 - 
                    1127351523251262942860796558433915050942278860796687396760\
851593772369986877533846684287596905850042531040927269430586713080854529469244\
438533750913268029599571332570879997565517359138905492193430035556960135224904\
016077506300553898546758739456344529896957041679250433852450935572503864734045\
028989770432637547612809438260053884498290263576939899997624400050697879219668\
627832688245346523784499138281662082079015975526753133692195083819942302381720\
45795262464 #^10 #2^6 - 
                    7069594914312740165250418219269604345567280170295940306838\
740111628803610833866453058139710401658691976980620740693591152792283892823627\
131382015450410117499789177470333631977021868365530377053398417368364607304453\
214008365695479262706316043789349192319217486375245594598897726096773411206634\
615544609948304911736810889628801653266951084735643480899636923424930496219064\
156843669030774733496697173110283211209749743815151170013775281921520800957980\
234040672256 #^11 #2^6 + 
                    1758922951169843901038056915456721075992236699782303130601\
395937635402096534167704003984184204638572126724448316762245879873652556255937\
647197804264005101974107506776960605317382024242082254208619225678288633496739\
785806619447462118557569037318841846902936355452237443891023797317130001271863\
116483580980450544663508855519787873678405424892286765992494536050356284346644\
688084857014152472234035836197509395093067545074824968933792302195996561990938\
75955204096 #^12 #2^6 + 
                    3759812744520452435900877206209255261465351014963696045854\
782332888672938365004084537129297211650574901655901979086587019979926272864911\
939685436181635794189930984600027298228682860761512145074024839376342629039399\
623153118717636183281394291340424307633215452771125184093030763085347585765781\
531333283943810303103211036611059552031984619538099348462610678839764389861013\
279972713961122003870955154344576809175033945789599255574494700006468776946405\
9660136873984 #^13 #2^6 + 
                    3536876616789969839455534172430578230623311542864710291437\
967814390156434771523489587876373802450282889356031220619433772739790490751529\
672671087454018192334184625431651663836499956680493979733241530368482338737365\
389112482932328478461914450020788864030105075474748055480348958211672289746928\
187473161526745618951840388900541116170077553048466006381995538410459162210059\
643450464936252853672559629541244448844721606732716179943105483593286911037408\
254318084096 #^14 #2^6 - 
                    1323877943460827187673006098179869161479010798577216088526\
051550624945637764200481414656010391228180158120737188090478537831509153185914\
658901466219342535862776426667755318431267304951989663908419946105312709063111\
322371700077039134442225448729717216087562357494445236774626484165558370532478\
104753896793020706897428450580357613487635381020951373544563707525944401112328\
343973074030369951637265108954587566675776616148198130025968084513836765218005\
03843762470912 #^15 #2^6 - 
                    2324416601762705993621000755239350649651874685164211877080\
769750424095376401316144680460557144192827011006077043547251831277419284727838\
484553225112519108124201996067740456926406110328498258543676903588077070784193\
513396038732969011190780301503204159998268056745013777158032774333057206368973\
403331030799891294754152159462509258141499519629965661163420720519080776690684\
120853207437401921250989034251436728726231856056286741036588763502154345612594\
6204545613824 #^16 #2^6 + 
                    3138959678924268670907935930163395745172504479581629788142\
889562070626171450137807859281265852104713605794798623023299368922453279205073\
899356876818160815943726497635844587448878382843045794668815070416968048678621\
601404203981503321173533499953482594186274184037092266870289504057167184715329\
285600712791738538450407663093143187342469132944907417932898848192807224170559\
220394631774758656734254102127434193780609305246499410873002051344853079370616\
55098263863296 #^17 #2^6 + 
                    5436862039849451110486308703153605226935772586470965847098\
030923864300182550525272512031117149892379598423036528117567282141502615336168\
326162481549678047935684560229620452599544786295233210384072706113263157124866\
360853671839332995407253220076529007513761366394187143630094822390455400724682\
717543785250974639438896911730607530391987717394095669937581277202632354362974\
951649146237430811834685873381525918720622933173646415152669877702368935555606\
9045081997312 #^18 #2^6 - 
                    5035212137819790126805283169774655668709455636897390309817\
298019492973611978750039047064460244417361255178507581272958295947342805867367\
541841192901596144033489748912352203185940788375887553220245370559494308503613\
673020979302628915670433992632032379723327764387321939872498816161137988701634\
341437848795274339381910016467298753982918099408237441710576554607539534529281\
568675334974398650396228854042305973264470826032589393458431453063387407974018\
44416780435456 #^19 #2^6 - 
                    4111767727558880020052580863562033799730971754110986019690\
925096280612704888956717339516151512519188283782611530787980615312553206188662\
627220063025327435397084035763998421832337233244260625934511893706079026378282\
857202789729074694085228496308530091780875493227262000958510504318332723691354\
572465341772073289149023815467067720374813580386632104382250839586072596295166\
666567782640894283963013588358695204181278186968089921538766723229196763113640\
996854824960 #^20 #2^6 + 
                    5439039143245492641009528597292875560886782216506370077049\
623285322639463075199185666470174641769499421078110198247316472695167288130872\
209941956277999706472266702879443155227260969234315232437732278046923825915957\
851808266730705318308339549837751251407261772975761622594204039166950079959144\
438309377557563332844728992849410042186956922006573090245569388516425816608826\
256064623936776110151780579364967966333676399317778619674992406980981074411219\
06895028748288 #^21 #2^6 - 
                    2835799252825733821103659648768832453263594916323886459073\
124038011574509209755965211425988504428885761269943232097723231145696013603791\
553132266999179849528447304778411734460320663964952664983756905961583973653510\
450174734272074197312179492102789619101544566407147872652125077496354047076128\
592540776790875226253924948691912277159581573976796752807566116020804839924166\
757991873730622760578104867689493783942991538899855234435785872077990809624242\
23303007731712 #^22 #2^6 - 
                    3910012895856339765714260457142236283884660370960426369451\
814254434129589810364190566430258029543719427273199543760170062625110866050765\
615795870710653566826061556201225900730512050608562371551120517602783379305096\
364057147009873023228186149035242773397062507887896091177766865757593127700310\
156741917293861166930538006706038583658091379978521139292740367596442508430802\
309711210021984936508672712298095923725368979059494250114835798988157899705887\
96747656462336 #^23 #2^6 + 
                    7958715716725670540816196497449018851136539483092582727453\
831416361090928498983744827832137034868184652239002276189176325674432851629136\
858458359402077906531985007843959691312782069844154539600866216692047398060628\
571617223851200649273481811421655953407201455863421780401159529924282254605073\
662142407257846231834519915054985533138765005235263902302712465772306354717719\
669943520434566990027001498055971026260864790931164512225574124902706361430632\
82506822320128 #^24 #2^6 + 
                    1882544487256538122707547844869870391957594933676088397121\
284546656873218944717112549114553464194743151814914218436224560543168851946238\
447902889809502802169583238692101749051266970300181522996351844573496303316127\
512273885875949112029650133017193159274460185722055380011427208484445731452382\
999276384581826270116593962852302837034073661325752909388254652492808999300387\
995653143039265164189185209346648326635005235801961723251138151511505592145138\
93912940118016 #^25 #2^6 - 
                    1235592620870359679103814896289016810662416775338782102586\
438937768950934024749814219661893088450665672815112105191373437596729106548302\
681880642542556459768649162952520992190336597145617759517005426670521946531964\
625234351829766863094770887654952508479558158839723338214724591922620556412371\
544866923909172485034575341781501152851255536103857349158170859603992172212318\
679601211941730508729205637570620034575817383325393458465152876308482975190095\
795694109458432 #^26 #2^6 - 
                    7499432856200508499571651868889809920522126139192921722670\
369387475832679769823822720296300766700686686251995897942640714631177617141258\
800995290534551835558854686742460573747521372935892942097131434732231413956010\
523868436678262624331577788928519840160356882748510588544137905494457610287019\
276365771178824370507754191450715515807360542462682894089398011609108641209570\
753625368101152636504246143594242573533953383423696939681859943312011948900900\
1813996732416 #^27 #2^6 + 
                    1308210722277135153083290876487986628843553945566543693614\
940224890827536713756774374507849430835177607707361835230802101174901397005425\
982728959389130981930740707176603960075262306056716191754412560958999127070523\
704061498263014033336273047396557910526754187680298333463405488439998205790581\
885075210487855634758405263187205488330741793299783777432374791577917988153634\
745163676322996195797769984694765843692857479106436659710949810413118741604919\
021857765588992 #^28 #2^6 + 
                    4675794212654442169283830336355489283839681268387427311351\
476229914340157382256802964944268079052072123039860930534970086149914313590301\
329198698461878840832188547909243450491273784385870141890453970680037317578452\
425944970545161208408744078676841156197727060287392186342904737257934898561125\
935073240136401638066368855618210781602939001898982196229240887183473760427549\
077298031988965432704278157397078667302681601333504043969845266052592375648717\
4557121118208 #^29 #2^6 - 
                    1025674247944095074435051745518935488942295795637967919576\
393977214635230417539020247853552058367012557284600368003278663088945086776144\
527648695237724240911159570947037924292776861036353360157169505817155688877910\
640285250060391844113890546015439750048471642456470636719599350999921141058858\
337544138944012418411337085284074600428165392220799846990344313238095989084366\
601363466923783920949419380882483520452753653452524995903335291228697339538224\
266449088675840 #^30 #2^6 - 
                    3668089628285124934243814466520418100831439683699999705767\
809344713700959427676787196904694925470045321323701917281669570689659628311881\
362981357372945295145242315709692215853999523533634970451412757820154852291290\
444125782638753444387395376746931933841780079388710367597731200557398542771684\
805206038798267204025976003190479431900632849801666751940150403393842946953335\
683094589118686425067577863255106563364115811503983445237284574077875422783118\
1113749929984 #^31 #2^6 + 
                    6260474885964264429006457015238880493018614909595830323021\
110110257274804977315558100406880971344769813836122368201247657257437337972228\
383950315646129454996364560436019209699261720908891959973820217960832926752926\
785183488865751876211954224391903716799760734284850231770215667538427928008549\
636204236695783583115779019431636546374336363234339745305558822924623658989087\
531152354280167580710600427071606518202189980794474829222914648421721973330735\
49209165103104 #^32 #2^6 + 
                    2006771309637318032358295122210153927665505722883591493464\
911435556910428185205313849253558247306654045443799960557479363567710322518116\
816094628765406163686193402674919762092036963525616553252536854614039619626072\
975295204147415355017629230124755607231088779774460164771157465461345739139116\
235209008166047379689952911609022005234772857238020381084668118519548578097269\
619858554560382801885433830432654785013901099597817552471614486307528193962771\
6322453880832 #^33 #2^6 - 
                    3087999117389635410889921876579814544477475464384288214825\
787463411265302781236286811560240660441168841938707438562568029255048099473643\
044990230354657702868648901740598613081347024619139760463785282734318371850914\
162313635260260461118873566856673315629498157656029726646614215900191767428010\
476128631257469546858378069581381766401218953168465516036458303456880431935239\
248393235342434505755659194568394271489028473353290580973997464637860669762622\
86892546916352 #^34 #2^6 - 
                    8076314464300627406100705599626871961534752028133949162483\
622209918383758529157292276949128116261238170755335992352657804418353498039577\
790704584814068773823626989029536271549347943868536092196246520805793707140324\
586482915818000665408297504752392589702212584700769233417886358867863846664296\
651464935606978240119506187569806902460679409025605517618203857431719897125460\
153081030690537453376125053178809663227612446672069715394940109455124561181709\
103009890304 #^35 #2^6 + 
                    1250542695620448032023738777942048295981218490895183996230\
024099525219726806560066120907519934670038680508878223584435747056091256057916\
618383400931017691290079636242539031356549312139945794162515784090707063466380\
053168659587478376777213080438586280458955299599331308779617243541726424089343\
769361636298121902701771136159352216106761529544790843144287266512834699010336\
515773321371328216343090799755764010558720243877524108831328610967699902489505\
88180986331136 #^36 #2^6 + 
                    3901387966426846391581631952971174637200364599060813158774\
838794205058650442542482083242432232595051979594024373726267299207940146955975\
267914976763335962428235165098620340589942970332968426488886440848433025073200\
040020424245771832864537997992717611529424546816300290602840362283293361128220\
561782246631709557541923068704197245984925217316749559905656616299459717101306\
739159873416404201714907044405389974288741206669867700708367294021406482291976\
160457785344 #^37 #2^6 - 
                    4075758747999041177859335966378366082499725626874099080894\
268684625378726439367537252061138355349682257268692492627185300716650445311749\
553258481286365284484652375860707041841271630370813448028025408470865214746724\
455294869855737656568600999501002968902782571641751008935727259195224872334625\
533290048877304066204932776204933064013075135726898300600621788582248884840869\
367016715533015645009229231864992848698338920196154625931267415300528868788312\
2379472240640 #^38 #2^6 - 
                    2176702361497243682452863400751588610096110224432132200175\
053023342622197226079482333720150255240243880251699653007142004369281220522400\
786742746827931645535285621222153009684142451006660847767374857405638190622083\
309506275620313635651306486840672910557499232542317428863182721023522453832950\
635551384911075994473805902506581866643578474554328616039366649797696341687932\
747124485113910956905850676213859905017958102247501106993364619392989084285517\
329114071040 #^39 #2^6 + 
                    1013509673459619853592501660654881997376401016152330933334\
806571277041174351699835375260294807817044958750880302062314930662700616971703\
159395013922299912914543792848886947892493398371703181215300715624394940267570\
739689120653029003665574903351128310883883781269988353612695128413625823693666\
978801349013211821199158679022590134541483067315870854758894567674218325183173\
536266753413618032140164874542823288708212146978580488776806000673057765199879\
1728470425600 #^40 #2^6 + 
                    8470667795293956986559654124924713484457659267852645952248\
145911995503905402139463518281636101341268632113496320110702422812280449790008\
251941050571303782664354328258737886087098202921119702449013048375674587124549\
207434380069996796944630319355578584859983527389307147731373956532482029282116\
994058981271185088951360307807147361440469404110690834800318243176185475460966\
982876361077492707491330298771796978800581157972391046073474797710430917419142\
07092736000 #^41 #2^6 - 
                    1770645790225524404481842491260888346798802966588579254503\
070645511820278210999376585301200569244287480823525945368925700661499235329349\
019880435484820488086133280510603590083505035414077610378391719006938553400979\
663926836308945794997358172488796981265063399200704315060114231914829083696173\
488838480213428441464291689976534949342478736736104024893595628258681704620871\
105650050960721300308403099178903408428173553438964826019103091036862795960095\
909997445120 #^42 #2^6 - 
                    1364728431610845551746842075023310997339015763849509681250\
232489704798040993493958326189930628096991342980014658649153484262727376715212\
785242345911305003996818081023186481213543692299395128889479019705166854581316\
507247174002790913105764723324553529841653620972149045655726784162269972389004\
305148537116691286666142174817747357742668767202158077307756270303020885675567\
982197371306826048383195123716944561674042738745773514026394483691349367215144\
96524288000 #^43 #2^6 + 
                    2498723955362755544405590587000290398644808264872387478730\
262935848650964888594884997644050811021566781143451406634084566987227626483059\
636661270426164352727745352967414257296769925163868229706796655777301855516054\
593807650655186187300915656491480895824038721590169850882730898429234887134083\
484438798167897503271745595870159409727401718173891527450566998813543722915773\
409070106158555163433089620980493238191578712392304405815750881425072781520975\
80292505600 #^44 #2^6 + 
                    2931721572114417041662380622759268715867536771785957719635\
466759876821954351397231137179071629006137771120301908745919092206900647185860\
533355168561380200562973702546651576117395248881300586843812010796341693367678\
600531349161446041592958407081909412277288248104887319933704772510650195950162\
343974646589472234650120958776750626850606356131569557226921395081105471226501\
392817931762751091460304441003677453801492573110741288258602505917063102222019\
9319306240 #^45 #2^6 - 
                    1869253812341059051003181019833418434880359183164761446655\
971006019743349959338502282962729226707567487275022452746378593049897915873096\
157653933568504903268745796338874683786964506250903521169303875105769796632353\
654851097876311537441657047270807294919274534224531461686708298403842196140692\
600149077422444835548049026365862806772961258406933110348679724045517980917355\
909277239804757318278014613982921247292846145624252215068519977216546334018594\
5532006400 #^46 #2^6 - 
                    7357509385646835843902773142105626087905685017019078029786\
065449322203459585567014866824012381521904387448624007498013206379353330419228\
924707997143353759524374444811457522671712981202726180978316379422118999985677\
032400694894598913675726966057871525807506130619942597359415456409165339063393\
074048373667817721886755036420352545002018515618378585980709292506564113111840\
003992837547263912574564750253366338597151288626175689542572373227759411868014\
21516800 #^47 #2^6 + 
                    2207069590774690468173601892658196202255702606255783085807\
059814447646398043184912199382114495400772117681708403017423486571740388617552\
444617540304381911728676407081094377824424414752027982007517919278512574316184\
797850273432055061747367502605085412179373130875871225061489397002573421357836\
443167489342963234965134129454066127043844841435450990630407794222467449934770\
632031794542388335601226408634337855596178038507753758713095994380708849779075\
553689600 #^48 #2^6 + 
                    5037391465583093535756706238518312951770281500597560121075\
425658558994012660957521890637297615842273930423639291513332112818827086175382\
399970060365228170171172395853979976882288846385412606122240980558057481554055\
034222964544204771821926685660449206825952579349454621086290409552519979084873\
116724987875777441803273190122152015541999143332410736407747252989521480220796\
781411293403009009671555070830527083627710104566355592991826229367086846031077\
31046400 #^49 #2^6 + 
                    7557885155480240294973608382450963332532717426125341824879\
330823099157108970866697116519654486704168569050335790362444520906206031489257\
231425978150940206809231784847180567802367964108241166588977311217166027984812\
462794287716634926256086503704613646205196162144694977128901620350178264960636\
007687758988538028140840027276933208008000095655253577065322736405899304959986\
745767442142999891820859287846083874355341548369934961651112246179637713701419\
 #3& }, {1, 1, 1}]]], "]"}], "+", 
                 RowBox[{"2", " ", "\[Pi]", " ", 
                  TemplateBox[{"1"},
                   "C"]}]}], ",", 
                RowBox[{
                 TemplateBox[{"1"},
                  "C"], "\[Element]", 
                 TemplateBox[{},
                  "Integers"]}]}], "]"}]}], ",", 
             RowBox[{"a2", "\[Rule]", 
              RowBox[{"ConditionalExpression", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"-", "\[Pi]"}], "-", 
                 RowBox[{"ArcTan", "[", 
                  FractionBox[
                   InterpretationBox[
                    TemplateBox[{"Root",TemplateBox[{"\"0.282\"", 
                    DynamicBox[
                    FEPrivate`FrontEndResource[
                    "FEExpressions", "NumericalApproximationElider"]]}, 
                    "RowDefault"],TagBox[
                    RowBox[{"Root", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"1", "+", 
                    RowBox[{"6", " ", "#1"}], "-", 
                    RowBox[{"12", " ", 
                    SuperscriptBox["#1", "2"]}], "-", 
                    RowBox[{"32", " ", 
                    SuperscriptBox["#1", "3"]}], "+", 
                    RowBox[{"16", " ", 
                    SuperscriptBox["#1", "4"]}], "+", 
                    RowBox[{"32", " ", 
                    SuperscriptBox["#1", "5"]}]}], "&"}], ",", 
                    RowBox[{
                    RowBox[{"\[LeftSkeleton]", "1", "\[RightSkeleton]"}], 
                    "&"}], ",", 
                    RowBox[{
                    RowBox[{"\[LeftSkeleton]", "1", "\[RightSkeleton]"}], 
                    "&"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], "]"}], 
                    Short[#, 7]& ],0.28173255684142967`},
                    "NumericalApproximation"],
                    
                    Root[{1 + 6 # - 12 #^2 - 32 #^3 + 16 #^4 + 
                    32 #^5& , \
-70200316271507168397912526370140457916036103806045166974767911468991623992259\
303317425914536086227228818264393292358730270199995473975184965846679256103733\
574485402032360453961494198824241067649963501192172182571377104102659710931477\
581840743413949560249094047960678660134816055939745822577947736867189402551129\
308415502483229366695545754973296837234394091272033109242928320708274729957495\
4746812331186830777661766505 - 
                    1107494235866334714617362865936722194223786092156026154859\
040187453768861818871579481706065771883354740184027162799515762612691597958748\
717568435588330022963449939744604705558287926994636861354538174648657685319799\
318354828829089452100720910187586410672751175449763559948764818714214554901635\
536182776147075091170082523925126383608323439946664132850529136070437415206724\
4473178013912957254025784180168914580147488146050 # + 
                    8161892701345983118896913182906365640877423994940570024668\
202933711983610844806294451471059349656351171753051198615057782997785846985067\
650765770137889498053099663796178101938684196248100771750834546768313373572664\
271604122103366763262734294507072035860248576650294358190570143793042577378276\
660008431459707332230823677263608434405005926336429838085721911290173423871484\
4566845559094093798126064292142416027089092229548 #^2 + 
                    1637613586138376157408239098939167209144404235110057115814\
496186881370388139721017302674413823947150489894457553796529884563485003013067\
045554271483811847260710591266953965597688968693973658986935599152734690403579\
754565471042736498582411402161631142733961026288763614162550563591541182303279\
410713137402262445773689972572018578397178782121046763420107264147101546290760\
167707633640074640737156322158644705274662372707928 #^3 - 
                    2078835843287125803800280293860407523924968258687456724717\
859194122272133029822634112862494096703735202813945811068715178870311057666143\
412969119041976482932077249487077165397174718296059691011665290127986313506591\
563305067436699077066600968325333446697539559388900045428015586502241991444005\
095758052587544644490519882931022329665485544563309261305638272166807976161466\
000301289173685460142464077209321633986061102358304 #^4 - 
                    8967977845793281319981690689126192404765175188323484857153\
871849719964285185181505366126023602669306496921379052629447013986690511884541\
217777879709272272684786999855466443341039100929708099015160633799631978543743\
088373621920901068679284718526744534258494063934757739841965623074409731504829\
035309871485463827003465290201247366304933708011319622980776800372327665618199\
9673895370967396746818344515812052711126173991977472 #^5 + 
                    5016990045060500293416800056629012344843845336721694240980\
844687257921550072504111010808341382813030463572644796482661359077896191929064\
643676229509963673055369108196658165192539606411486640778634150032987904058571\
282638594173241748979728533575468559226426560551691685488154197330675442376746\
155320893144732042085981592496704624909392364922520681869315352775334238381654\
100921993803547444711741733726888322757828170026304 #^6 + 
                    2476544937975174960510621182113291780707132885913092173851\
306281219809237300116283469307272246192040665896674398522432529281143675899836\
181871640661827032735837733785951173494977514665604411731342287902569926334946\
429892431154242401281058734575862712886410371378577881249053627684755146193220\
747998729257311925460811655268169878106359962217064827728045954529191635591248\
878990360028979667260028394918187478456183817383683584 #^7 - 
                    1584188293222855423736970894284398411633827029539431791982\
109942610329611792351062284505163780485609869104539996933537261323153782552391\
508355959857909589891707977277284367355231497773326219493697273780894499617146\
980305207875878821621313275246695865510032424934767697834366801103410738962887\
100096075184008162247136979742261631392020842787072387466521598493172271322792\
46375671725450028608610150471239215995052899772563200 #^8 - 
                    3535077510540415798394816608780792439039270524552470978966\
644757531227177099752672606866762983952327054627311329190814747481744544223651\
733215726440421015856453176406638040953926937752060594722534470583637173198157\
172181079622299395116073618144791998546425387286343152260886830415218546195876\
355855290922849700505636945878510391472204854651713596110798022616565888323683\
7325572364296143119030433349936901709269907363124397568 #^9 + 
                    1821032414045522701476339308297829044674195545243502152151\
079117651374875517817395678471236750277938348617409242377531898725757560834474\
570967020311382218532543018383689839411737188409039237842935882213160117015106\
020144489247102025537181958909870746285537029644925827829199758350240730636763\
959212613224966010592888027729273981498478900053488347610207693814078456374344\
541619131324511436650214153226238769820445892490437632 #^10 + 
                    2971867654883783184470410626226100980076786194360105557444\
990218765225815127077938647300246222732441600935844804645352084145769279810364\
608025850067439827137748370437794401745558939450846624900083194573887542471598\
295821871151756311024183222213532039629524401811931092760754407401389295146755\
192912322123207703692849804814898277910535400083371877176035535904975375440495\
85107134633114837177473850864754823022508298681124714496 #^11 + 
                    1047261287785172827807703452991682472244987892037459105655\
450918580965125908815220254720230143674827243940305591435218603330148844568974\
838308043271116666797057778477224816498882688816502296339151297077831200629653\
967229494447429595530054993665520182741437203191853673688566994429998369492772\
308639453839220807317456049472007951937645941986091332423765792778329243924660\
1983171579877152711451739621298722842865144316149698560 #^12 - 
                    1590095238072539654957835940334890132141787529639135618217\
581287285938909541278229487743921276673269821411267486740658546746490387266323\
665696907603729850512584680872909877872479278630592916136220302498454309194220\
683779431384630067644396310918718248104354911610460170954590232815950340673142\
900237161598610378128540845591176183073190139781381924483701874890335399314277\
595720323803247702880508954265221117232589575242922590208 #^13 - 
                    2213345344968006177062625142375223653836824098256286734325\
504417848041373265288773277779089819491402940517322723512976835846775312323644\
674685353227867758259697670594925798204164395179288088351440278430712129508939\
674551311198174740306323818617159102569618273206022682288269281047021748076864\
662029304164579215213525963130049514190591424772759878213708083100521611753615\
52668405001145322152869465432871942258261609129960570880 #^14 + 
                    5628125612294033455599282202855532954816410661553050145521\
503722195631810248609832138388645890975832494556994181389212361645552925259314\
748768756041820513932789243168500210872166594448896085305695675343235362296509\
256415575141841083931143377223305147116491484776361127109430784476936514994627\
170963429467334344100442404003207600893329068550100751717552933330584477402977\
540372522906534124994112429316828891791537659016313962496 #^15 + 
                    1183251538935159554675501642705781919520899625973902702412\
817317611484016194562311432678236166395352019103551806735187872815262670545929\
829993668741188486343316461468087045837378272537644547954952916241184340597945\
118537201416193428797255399650708006725035404296422317875839806601227199163055\
764835724767864238414563434063926920548233650291831497338186357463552396225165\
168621558737812036623363750227065252162359308179363397632 #^16 - 
                    1341371074051876113047390259953684641741343963582367804931\
383742586734682794504410592808076420761807423526778577291253078440668405331925\
837152569911005538733682881971713193148472524848724799127736085239846425597158\
776640760631884200393743959291930397927704054170006176214281711807719319286791\
647161124278289679462409984228728566399957478585850371834171964366257608641210\
2288748312865574074468757080017947623593444662367539429376 #^17 - 
                    2688811270587464635319704845046921813481312497850911005163\
327985130908547280978320838572484418785824617432425550693711283757010467675214\
145549709353009937396041930714824646812252007614908968608716092861537180456093\
490000395763963800120309280607197633380743187092192928356555759021320361231441\
296772688933960126591132995820695003779667878099784516903375708021358986913597\
810855340278816139103667173981136444244124274035664093184 #^18 + 
                    2165829639575826398723920772972159713600128350544190422139\
365105782207260701532704998187051129266716312198718285829064886212407951955310\
894956407506216025813293760644090692403296929977395766489904290271433788190951\
971344120263481325295552938546639664112159790666759809640900637865643098794520\
243063787928056876817282536531483322616472811749099137359863761596725590511163\
7481400945401605946855728229435309909295396297307479605248 #^19 + 
                    6616378821629947816034435013820960721012763830050706206221\
259745883319997078621280771113431216929405302322621393652650649461902496925788\
603349951815686770828731658147389412492246968191616360745419132324195447780266\
592174044809949946937313041505231429803691640300162248397211416274553467953629\
558004564708589023409741329462861503851340278496870055230528103955227534564210\
33655795559296489786567376256207752305722800062653792256 #^20 - 
                    2366113865247323567098306028956019413100021118053666005016\
019964521058414736033392392792941848328647496959919627920499287641194269196334\
760464351925209595509805383497354427560561730541896936910271466449734279321498\
294927268966197555708869646534109370845192354137375381055605393357620510684686\
225564681212380677963129914217070694973687520718842654937185394723621588315681\
5542974867680826655934097021289653183428001679971373285376 #^21 + 
                    1173279185674675498033835347941584629275390496032317100104\
485181891439812988377660454932629257238605789262702377097504622203792217145895\
292651787201947757382278381540568456556957272159419721771616701094932292341881\
101395097349404930118572312376207672027333586678900138667882228912411533006591\
711094975377300224062238565828542364679921030850350175006214741490496500364971\
9894782228474823521561804108032987206777128030659867049984 #^22 + 
                    1745547619311404141788686767894543489115132508276059780544\
835160038520771662987179749014472735211094459297361102553752484407384703410896\
988420401257537131648246330268207250928529253302519943115691592587169588323481\
531870259952256671679832999372590761972910010037160121591953896607048081182991\
697449736220747340494838937042470230571982573460973978643237584451289247259020\
8707982405650327416051199093376120516564525812484224843776 #^23 - 
                    3397924297846484791782347797191505650622843294074868124507\
541302449164343389715295544996048108738713269346383794829225086633634203447060\
329837186527535297962299336108364329590874408410083507130518206686286687559439\
740873973413781218762610301555403541464807375077897190351926547503088055208513\
151068319578242080958330193314023713370071002079220985611695454231454952874904\
1149331265325106979484325466870805194700509864264653078528 #^24 - 
                    9015208851415440182301923761031655951003046824323274369483\
858159867791481688094599888199997143229083911132564120442351555451578469260840\
110677890340124944729658281419001497031908999820068822415998248177168980591808\
871629826637286740821002996457131597401507429862600972845209915784594755938256\
278417316982603429708932484677639133378210916768748016740198792479748855781021\
116452514089154498031005142165255729119902977862358007808 #^25 + 
                    5317764005447858637183508544068833579221250330475455480562\
509866502922668039490724815127487738411908027328818879686620126519832045784162\
484393133939219320392158993337157323657028361377543816169946561668803086905795\
609147123003663601416510051211948543845440246558480587509089066344962607290840\
767635414733717460076750085934416967414349445167358136597968539674620887024076\
1302204278738247278212609210859408260951090861173343518720 #^26 + 
                    4178891894976772134117927825611216570582791015233972673260\
527090548622200450526620886659713839805270505949201965206853042654417221728984\
012872066360183289233070305997490076033139175395901416155514365240972752367650\
873316841374192489226166188934401551620144830267296640911621418670392930189040\
928593569763663304184704236853262669336791500159105273194101103483943216435561\
311323892238453626156991605242583117451924231570682019840 #^27 - 
                    5649353696032195878158380391472851541337751424849555439354\
617538620162246583073076488629433095539252283093668001577324710378691028802259\
450840459560690174943158922430396906154876185741263523381036484350158656404208\
024637052270196358200420407902427080272458249725190928783121133080340241075551\
274166784015947780273286126970055905897139302491311426747744590033478068503971\
8801613692509130345358901510558831478530278711113803628544 #^28 - 
                    2770606585559965532778752510613217099909608235550679642254\
018997656388742499746199303010690945295422228639472343139739096919659831692844\
489917535413862826423576049717469626915174706243213831990525004681973137836995\
869282624105794531290026566180781551624954601595251885314141245096816744325674\
490007647547747152957286806763173863640393258625296993079222171100229739612705\
804195566285349578456460257550358938728660910889005744128 #^29 + 
                    4437862404204595673978865244941183201753662916389709481153\
833778821271210142318403767715089533134322476577509343696589660430580710408695\
153757018251254664162482864712507571734477753403561903714553975792092647100870\
253912484119870508899872722253421449345228800111028711535724077769533798399778\
633998393732998283708547468078502530045837220823336942104731869970422057057345\
0781448890085121319532041366013304671430203348107892097024 #^30 + 
                    2055954784080231161439957623963255327340839466745432648700\
803781733617168057644708679546937555838385841425866631784434188174358813416077\
739982191169225018759728317486336318240120174937431741079054716106225213228992\
811526424455422131261025225166388121402671620306847867260811856404109794807187\
445707439050665772585109934249210470647206495587827059447174234271305663589317\
812589877746541787005963671865691876737913451823759360000 #^31 - 
                    2712621828450100516477539737741208427456314681757885697176\
246095842067749927400710228937227200127097712315822466640238412777609145414541\
864501067216127859677831948484864755249960635594257158974485199057020248569406\
401853890148708324628677924460932598609631343211303448334016407686247804348484\
458024953166671459660029206182971508524357786936009945181605215308634341472631\
7248914906919514634493528522667575100899853660551288717312 #^32 - 
                    1104714444942948966127406337578189491979760015087506356430\
825520323145955113540445908470376554402549070759770720977201253802469923643794\
149135868912172401586843216520079559646307458246467119739755178287536173667280\
560993017951246122043802264920539518659303481856285168434630446281615781335962\
112807535271185762382222478803346800027338573855030900389487139072361889109523\
395552537195804713920049133006810185214224471964981919744 #^33 + 
                    1339569615525870320392488433437487229358082728473491333767\
773353309395763913004162610869101791379353036018834483885771100883298570456066\
815241529381614374115112153183055089772177820861649346069180646791899466785585\
483074219161232318294796012951256075548865816493155623204714396582063407428138\
578044156736571030054817934621703174998423076585399362423560753538049906115651\
7309681078701149139538498681457552262588751387177280077824 #^34 + 
                    4461081377037414715980066263784861049741843237959561538195\
696881077389377514453085407751083687354953525411349865458985555485035664831985\
257443272728105086109102508048938766304765224419184271020509410409829103567252\
444753520674815784654199853808314338805495582733655100976401577187438489932920\
001388016745372602883471879856031577094986837841269438352092602269859474316451\
41795962675266912011017256580629649245498928394401742848 #^35 - 
                    5429684566339924334660549129047593643503141136829472761742\
051792613959332947854731649346206018570195999463495028825186313944194664172394\
250095185814009302595663832747432160486460556905609669364810397024702257187889\
491765026681185587671292932926457408747007439996141652641036884824469351591712\
558125211185526740447122313097355176071044769327751943826502492384011899306890\
731645423369817103236844074926405552208772132944977330176 #^36 - 
                    2006413844944542675199993588316022965992007154543238272905\
587135606299180351017568931231714094651998766810869800112491982938416202252113\
820260189459888851634114639083270657396287802863299971001239369560489709797082\
444457603293509095676493508998987402639529368672712006246551942339770117868154\
772154155000081627394573696944589716359290478971435738801569908110705164616511\
37852175932846605951788037252938803415003504155553693696 #^37 + 
                    1770669581197360356719689136882185934575026512886425272241\
080419400867438504776655500228527286331897940223437710482953411829057420616845\
411222902732807560730162700436292776915422021608131535745830813393634469695232\
999686277314452789738825490368772286373011164742138963500597503994821284104812\
690025465737551940140618429711886851170887044213593532525844326048084008652234\
838400592574409576982578490990137962966432820557250560000 #^38 + 
                    1024384195841560786203803990261659864941415168828353963865\
514889429083788470409987439754590265618961816302022164464479931412307178243328\
940535200835545019885068896236440098283715281294336198006517282389405216538181\
057852552998133215228559571594024966998226660585642018033386696838705051060739\
400771644697766642486887646318531960901837703138849628511495283206470885727693\
89486428677379752559678729905125262333886212940706611200 #^39 - 
                    4404903188819469762250126285927225455462656966341232172185\
054947307913689096385995110810482590602971793490232236915320465893059674569599\
690156297998655932272241814936015983195747871277485677230191263453241159058478\
335119906579096367551385973276858920532903872985067196552640080965268215346678\
869087133583327933077986244602027661458014868411019054535425228969278238834353\
95874208305015827959466442644322238838780872893703127040 #^40 - 
                    3827987770860919491233684840407289481741771535732531474965\
750463930603038239510027829371105769635461764402277898787160901926580927888897\
574350818492212960002037391048238182286099024785420704529537214387961257277563\
837094194602572561628536141756449403788212894934490365843229239370973613467170\
498521853912020284220969998561645201242753388609912554504523815593683477740744\
0839048501956946811462225367017616433006800804323000320 #^41 + 
                    7699915284162094579185611026585840631037843178805113294306\
205566927573946273628740978477009206308570863015020777641689524265821485789684\
487671786906160745633768926817014196544455181908086706622716282432451619372261\
617465860117148432669545752506667592432871773112494459033677808208034415802365\
843519554636517457156189723584860323006997919736895264265889840824246106250719\
6169620637094918813896695436116768973706857767942225920 #^42 + 
                    6136512664922345768573038016807349795804300759444703208305\
755695353037731250689799425612980184299100771859553223985356798248232756751885\
217516937449568651333045922939998620576367629644077040950012108629408507240653\
630825722294319581797227755112271453240728244574119367953883868041086929695317\
029687963002420241785421255056506685304833840406273915326724502171608496733077\
172830844968881190438346800370011711777556667354316800 #^43 - 
                    1086771210996007289420930388171010450514240601052792407820\
278138212935550469792720145053498236330762274623168545846732562188045786387457\
393524601518515691316261171674447575598089147440003951748666421000629000572075\
427131692536218867882782780750659052549028008235266699307039955278544979144470\
489101077058527378506476176589328476674265936215725876287567624621537182513113\
7178287978349020655210256884784420835935861354707025920 #^44 - 
                    1293662224449047757694709741532758028316076909416427479387\
578201575024109654051165756001463578955702650947413401324034490835473226143326\
295781661787429409015925921658008300606543694839321850507472387802071639127113\
064362721030591918588413450219142555128854687668505883158834167608011941972400\
987486464907600538253076031880675185862589235650044752045926678645715052695733\
975477967577166092013082885619076546823437083119452160 #^45 + 
                    8137118353676547864478219449655128570966401590191503181465\
461878453283229499004394503065250161415568200897382692966184371683716788928348\
688097692499323315547678506533514266331714138566217834905184232299648442851758\
830803229467242829662428939813001376997516514885753932622990847742033492125794\
740639259598780662643172383896789375537032722875584368986292952340951860314301\
67767306706812804784750013655567795696967883318886400 #^46 + 
                    3357801967207691926498313831191559413490860278111372617051\
700331929265170978057732259769304803461334217739206961970794790100710733006319\
638412117027030221521027654381203670096016009184750357084927288124352252428242\
067192193802906990454467381400674479511761732627155698293129844483773010945952\
351835761325843581676255960364506094797500653827830034991584845157069690013010\
0717955563337615190391241908915168475182048634470400 #^47 - 
                    9589302765777780981376455521392141604228629829534006604680\
817940198881717272255841556102401023206209978722206382917915105732642255292269\
959490917940818086249389229009699113680555480767060039776418407495995573573502\
514928406937505439198966584241787686779310739514732473924180252054272484971875\
127949873727927354512357405401609255358835826462254552304925950310083199562544\
4961528659739798528319737879177967436065668700569600 #^48 - 
                    2197974725743681967691251586436657632256566199106247335157\
067692619697547241193057028298544704304903693842939851218599458399293457365615\
245849456617105394577805792051598092965920050216457081446147607679354471423388\
346542588792633062099481543762299084839291500859013112712556145010998348493429\
120886341351078307654648780710736768486515638331766901594773023597082023750820\
1648891055799080230134794862584840887336642910617600 #^49 + 
                    5697718805878897726797326176342762806598302479385350886647\
346910123828440711163908076595908107290386822794753190872515088382641569787951\
586230909478097003352416374695219623979806167568056733349653367241209219665524\
019614954693475116347361123192849636729378825752029780969325757007361737403889\
504588162143224917139800832929463666594772962537777206088721379176774973716748\
71503163437776854875444240098451489416455629800 #2^2 + 
                    8961434820162424750138759862041841932021766263453929715221\
735649214472565735101401316197755977772565075132662184229766075856305578654683\
406203055691940043821776550435584309336953933434349437688448709950341797035748\
914391031218868847212259079913638092622790921248481743837421167991567585662579\
376344044890757260229675429209427517802006669475484461851169182176985736061308\
504980399069464955988541360189141236980441004280 # #2^2 - 
                    6645963225750524318019125682358128463958779774708385435541\
842165853598500755155417968756945512385300665557193126973715597604478774260789\
091046831747156628836860781897977651029202558180002429058763191202709311378319\
520139174136885189854191498891532647934052196443232870539812359277610502461342\
038069279413091847706412731896354146991147118038104473846882815247363457796038\
9644651250507240527492968742868191521514818476800 #^2 #2^2 - 
                    1321115335501725338329552859441545484162707764130161160624\
403499576817837062388118476056590362100107995890344582951756508285493858442110\
862312248116382123890606139350715013316438838789173706197837969227495827087839\
410006144262005250255337527907707030339901484566018650500523966316143963268342\
900158926571714619771088335910163668261533276284807225294665721869823636321404\
288631932087216178688704954435888062960000072057120 #^3 #2^2 + 
                    1729109002701079538491896492831224099019779257788937882649\
232943974681025975369744748328239215223113972831021070074152664524558319843473\
573264792472776234453106692842692293668666336633870722484692001929728874852927\
471729632080823533244441312403879131377079977441193730798256134403249925340950\
058044240241561321497140270568935406113974246667970231817620439749841488683098\
682703889237665637490088020530825822395351293539520 #^4 #2^2 + 
                    7207826976816184881891602881620546223047176133112084683838\
251942038189678131999287970399545655785316630821107508544528957639614022211391\
140818257779483402625228439727783466212179574978491825107876349807205409163448\
049506155562616883535520635628464491932729116027932797491719195158793943998856\
950232133356216044411558466255932979652517544246807573789677987856986250883406\
9398882789278330416399603860019443612969037425020160 #^5 #2^2 - 
                    7568861429057063648611554584131921357045282573392180313003\
231283246050731495558656921310384521226355970795066859108610793372276159919318\
568508876053372585311533377401391439543105707240767593846122066594238248914095\
681569532581269059322106531530677253026254607260618937510509840232358002254511\
465939571661631972609489166053371195939322236900834621225500090778695973537298\
151766575996647891527543794397925406614807746643200 #^6 #2^2 - 
                    1981369543524059945205835368449796103224323061250411240407\
036343204948731219100486391379455919463644597374497541662936335826374424603691\
327398049794513272001205946176474252034528521676195619277720205888564665214601\
763733720259564223482666542723676833595079185928256530265942019586928367729363\
297823683464649954629112847016460589159139528231042952368288024490780458656391\
851815164921216027606370310577393095166184017474045440 #^7 #2^2 + 
                    2418463508743495657920126081826715273626903502241124992485\
748491812150904697411145041657176156399544533576505867620902687413834450295516\
632883387732038606331275182535794057001519602045811930202119733991343432184349\
229977951831710961953587037919718071225968611617253308760690730350646826098281\
423610179481512480527905018557487793498565819732143834752732116949418738749464\
61767545627110789721135153835914088230752188866872320 #^8 #2^2 + 
                    2803237840510556782153012672706099828756873748300407108324\
900515826931133143533849495339681214271736452061661688969601641005287230753668\
769998297187625412000146005729590978961175328929493488760880730954489135058384\
066947043560206742454233129905689714882714319152913476049303058323888481958996\
496284130189229316591407698301086708876631384811365098111194292949607259562700\
1803637620234750492318461770035177601046486304912281600 #^9 #2^2 - 
                    2925158489762943108614801470883924456779858312226457239113\
014013451006121003475728783045443142745816095131960948599582375035987827526868\
066701941544574488715294485948349023865452106143090653049564220122855619649539\
680147405457828140098916531891180391533271802449806618906702982734981722384992\
389960590609342306290796302712762762035793784708020291234457573208704533278130\
538799350229523348088611350750344605738251007162716160 #^10 #2^2 - 
                    2336802799093628300459383207001730294197372087226084721956\
388098002586376436483295711511848318032847825085918416027657037650187053907672\
389519585437268182133113324400868134573289522731185872993472463858103821163361\
734431534678236137785672624591760097116675228375603468537707576877389642423890\
086817174997020847367791448564344549054204738832789520450057716816273049459070\
94015026949218363640081109625883341175435587621988392960 #^11 #2^2 + 
                    2181201629248788104584281467043703242290658877441798147150\
358065392940177612446202697157657990438479390334243912330169751772309714532318\
775762840018907230594956386145231096982018786605414817592064764110052333274538\
347202991572951132448125083418855067294276787724213531916345444184315358061617\
362299677378771600129584200944705521280908253173190545994126734373718867424306\
448518128192035440192151374755159844635686065100472320 #^12 #2^2 + 
                    1241487918296131974257149344815961347759764420706868507646\
831115105038662217576942666619090692823516073844066947555769575981510729290693\
962726109841684648780778498799101026365453534632364222725695362874620836268046\
305548511238789186174126770628948638449308581939507349441193638868061055102371\
783889165472578685768555986499593385788027358415215164643130812817065518650330\
119931360824108650616945653002314084139562703343649095680 #^13 #2^2 + 
                    1271935841766502496077101405394079695348565415498913640158\
135202660254157227935631824547200673757308213384241977409058333623119562203724\
307672589582927881639064071535130762305485372121711013132953645395767722732131\
063376564683536002694727651286648661457916796264883575470653879745754227137428\
830211079772184404570047439901015864260811817661956551994267047590178058266021\
08495386686433474028581648173256236577990698259697500160 #^14 #2^2 - 
                    4367874224041846582231288029371001485038333659506732777485\
858378192811773638067952662773652893286752258161845909079688413848733697249410\
551250453817792589169861634359856088891365901174371544359331562071520499986645\
238074132229090196807697538233564672810310822247319276890367329977791346217788\
404576425952986354384623977349746972787080711369596673186600397456149616008341\
454057809564860985275144921812177310513859383983101706240 #^15 #2^2 - 
                    7858241018115764667283342324125189646494265001352530197000\
108881763528027410824243710386476559428890946720292558944307220600701722992260\
260216284406211690159942922144753042976170139269084739989979821826143994778375\
639902059195666584192898129552446963011039514611633392387772898091939547345085\
172066622497251203436396686118102914135797421709588672201869051800549061886324\
67541847252539302988016695288797921605880945490459361280 #^16 #2^2 + 
                    1035125950164194640304228130468344919098803516577199191588\
757955242184402949856098215825537481834016243038926235988133455745250373349011\
527412733000465883938383762124139146427676137468729899479842379677403304284354\
077274314757746100921169760618951627612385907892350370503422098020940905575244\
354311218246714598383686398498587673523865430736318924452684325379121158887118\
7876317238796997896093120479087879390064363593132010373120 #^17 #2^2 + 
                    1812579835841173868369732383854182383005546414949022350918\
407737236678296503725553356024390373383701904916953059262927212960924109900276\
699056593926885228834360769821282290619263934745349949424734085179082435062540\
671048290270402325127234266857759621761963389414096170796513341289932223925994\
438919844228089949532358189229044525867827968924087977015600799477365184084110\
920025289800341069735346024608605077362967570293241937920 #^18 #2^2 - 
                    1660260361698495149783790370277318177419548817107909776797\
610867472435886345697670959744481995206415550565613404477110820130686481688724\
869323182366182299452632811070167329483116885062076776203862509064590359225882\
363636042680612896790058065126891349825064712950780500496990300065835646976495\
745891275759685613650259728286097616632056290065167184332549541467259053570124\
9665669020470415474906858819084582733698764333354812702720 #^19 #2^2 - 
                    1409917596038888925857750478439334232311936139597103064357\
657038782750733506828610803004952932505476832480645456137145877451548543995626\
250093286797995490131171996920135824167563248012053829320633182759382937721188\
668828625781248328173043729710770202280242865615924334621611665532520575072217\
927304697923212853076405187705532123409698975436899398238353547812004601397887\
56496447951014185083134637245394200034889901009188945920 #^20 #2^2 + 
                    1794201847821415906561895010756170727850292987803665465830\
889981960867492731876167289936033704968934491177003183023140320133989138893072\
603333322842295679785440637425806375267318401011184320418064485505139985099478\
788141248499002446273136495358033332778903884225290913180096891128786970652835\
969108635491335298701080959698554127962301404921371334006964655820245099567580\
9367148841268975146505991333650308739939043989028811571200 #^21 #2^2 - 
                    9360282021988057124442074917718238787612035452381129003260\
833398845444712731330483003252304437982681964688507563960998869048467590760151\
903202872935785187274247238299677170386606353750514882443519282987392478677958\
434400146813692759334461290912238848421532838473008874432522160712504785379629\
225988038403106800192124203758047725640277125264686857960840462126974129071978\
426247856216218950820409000266884029243603842439084769280 #^22 #2^2 - 
                    1291798073967409796534666079865119749790740096368338495912\
786363671784362917822318695141573387461138367016017325675633308058565497630471\
314021810608286226514921719098629609993147022549281193910401651946152143665828\
272077257195851566758800750911058638533317857781977346290515940057841110820810\
761750700225287962127729433047723238413848089977382217964685542008033367967535\
2398089151246101542961675801235470083432142818292625571840 #^23 #2^2 + 
                    2624606109406444992529348923107802382935213933017294006027\
799206452317780703388698144020018556266732113778600141262953028297867299816505\
602732979799618825008968479880602320678192858108015295878407518675988639839070\
965639503565487477714756047696255243120230537808897792642046191846577550489699\
303165570264016590230996355388960180990454783026547055571612443305795105270252\
0992569272872101916801990028642182782421412071600029696000 #^24 #2^2 + 
                    6245929620209587436559110677818450322935094845497096188058\
208429331992029216801542893926298601653071968569574218412417150240007457155338\
765502286027181600829993862682414694385550378583665460789937144830236785360275\
645106553874847980667679056881721678783948076307581006728000031111419156529805\
042942355452411342183951188821678058669083660448011360493439579672880281224176\
091390175004012351234790188699954043163021001444588257280 #^25 #2^2 - 
                    4071990726193482896861770591944552149075985378300709364322\
928002906462546164224289481476422586417413787595761382326809288264639443993038\
248419308807783458492638280101104617270059933936365314115978891938590789865105\
130329156795494754583471218778963762699302477477790407517814364325968641078959\
703744717353543733357822862029017055962602851514993537902681571414079107395029\
7497285926884290322867135084521324377274801997575146700800 #^26 #2^2 - 
                    2508712670871471129888473271323796915632091319885110499353\
277514146755314784772795180347263874991274680549789146363324276836788563070941\
722321059708189314974363820827068886452194832371053183775748091341783790046839\
929603757629238871689853653332815007424185299400923591008583744228214998855374\
669030547003625279102435626458931014996423174498199822764946138666769487157463\
524173728596797081993059187426321564670219057481845309440 #^27 #2^2 + 
                    4309399084546788061526525427531360973133786651397221624535\
945682633658785417878323727585748351694025600641546954050620674426347964623605\
929695913939097298119569232448414414899836071495183826960959056742739516428447\
498341959091331883638648639479623449753181554814754860039340240876570217986592\
617881707728442915068059380695122521413693589816525579819660386975339552015117\
8817662435282132128612257399009307053232202898350234664960 #^28 #2^2 + 
                    1564276898777823507007180870708461658728475433648121078939\
851883960231981873673845979961457840360323355944292867075415324290713401175641\
420900906691103171006489687510403024871148513938523480288959174651029034177862\
090805358386484823943131146406634656378314853289117684644314719355962930207722\
303543328948800030913358386297148629524581747989009475058568733575745367969858\
484772220447809564352389360982903896188374529029670174720 #^29 #2^2 - 
                    3377685121327134312476548990341421286227773449916702345661\
978147904020546422404978930119225807020159853341927811223666822564152102674854\
205559352246573645632550952662274653583233590997895036040227208170769881376321\
967220360654745020440227022923430955887820382076320659498153307645589765497387\
275660048097617208106223783094147721879666185703251327041282276985901514723323\
7505378991912793228303530779436699079885895893920451133440 #^30 #2^2 - 
                    1219561642596567079313966787823742353246982813449577013707\
054277726347503571385110233862197728862176029733353480361577652937173005405078\
711816480551641377076088576215932093416213919720411724609941147562638372964666\
964781378753388789378671391202312791886835105715241393300934163121464182167566\
055797965054990102324855427572792057497083917419108654136339413278779226382369\
079668084062559609627845179769734820682325236053568389120 #^31 #2^2 + 
                    2061229972884006501667146263817344899450191544757523663946\
463286636945143400212692784473970888066511251459141010263588867755453831494522\
996006715141384691385222121437684147864582433173365333999412885152664205249198\
281210039234523919696796143081458637953462973333308622539985691341533980885493\
946133953753830494546648552558496499179023930096028160403352296560038320184495\
3005827162563454888345797532733233099985402977286650593280 #^32 #2^2 + 
                    6652606353521246667552720622733658870541218848710286816248\
392537838087508310950418834681550072691356481627357629325619111614432107454385\
207847518750383085446696198330875774764727113654102577052373368462531219870119\
270043030220323971852137035636389706861280584681402786342216086432540485667190\
709893074166916901035952902062438761878671958440059258575068173205420232896763\
60797420860679366492084772482285815217664356284398305280 #^33 #2^2 - 
                    1016537283496134741076845984276620532014859197226928726580\
916371269170186899728511248411557463758748352671428305927619952087112484600021\
920034602367274472591322052159402867633429320570834852644409427711513389135360\
424530944062043509356256468272246402876207257265686014422208437035967623973976\
205483323247687411640005714465370572254162836207291993384309311711781204006695\
9139394434078938000865877226748340147467370844212124712960 #^34 #2^2 - 
                    2673739614136351779813493119146423760583163894971929113350\
010753356766378511322292588283616460584336550313918021278867507671212931351791\
353605294604843259185562798211234284729926950353367319558867823014941188818363\
011713976640966235553275638844833481538492350216844243101105053524983571043931\
077465867683151523801674593980076426109623924740866518456630842005990956152008\
97540861999204663667949051548813788078033469254443991040 #^35 #2^2 + 
                    4115988146300436802249731562084095509222463209055064420739\
304445601603745987691041666441522241363815454255220758916507258651415813126295\
710160356918618556194233624652598545723552303285321495781584723726988763288379\
964706112527671973631279268734959172453027873036125902188455772901103444275939\
383491731053984737159417679774287435628662501955412961684590903406335005913128\
959334551662250557084357321493205587636360150761917644800 #^36 #2^2 + 
                    1288168965762356762276590386262682226982799175582566548875\
449023200550962755335819784411440065085768456747452389273270115398928511921150\
507648026092520675782606453346181389368325137261885031869934292437117235833794\
059236730102384009422867693963315118521049169629533489092905400029768420916466\
970258825823314167585155061867733109316215455774488274200461569825788458187764\
99887149016773871516739215894133285932207026121694248960 #^37 #2^2 - 
                    1341260722848533990804332255868979067064434963486041378225\
610948485156258432711469040909289715126132033064806157131419888070643595548162\
924696996912598651922819531124053411718296553724948874105753855855557813381341\
044094645037986376454548199787463256728509150391236938701387051140251626108268\
555832082973240200618591138883687687380541574941709903578783334907163980513404\
737555793743219412250597616906777626992083477767127040000 #^38 #2^2 - 
                    7170810393432050748840914912347269905780325913213268245951\
791526314674871444335142227495846941276858753787093311452529183516913108199162\
128395884946550162812332439712414614644684977107228981001962189544140952702760\
690323994564370353582930735898741174020444099153789089893491941981656589516021\
930785686628051942347383486986485973289361897111446337845732023165263692733224\
4231203039398851883414449775324740035416583653713510400 #^39 #2^2 + 
                    3334782380528030238398330808602474541770391811653450648913\
325001576336932366355473535966611865969602386257118361693578407612263279869087\
812494807017184293595742644118453498157322058738932713273523372327544589326191\
583208360749428841768133316387846364677951436533163757233259933638420532329741\
691070057263309143462266676913006848355330707532581632485956702856558727472522\
33374141601273380461209062520983221948768456394617651200 #^40 #2^2 + 
                    2787698816408618786165024109142573580888470349244535147343\
782879234016149517010608670702919946992776660884581697963910491398148332673863\
154491690017143534454595476135059397720235109459810652215694073417059153858860\
728810559585331194155508492292134926674484301480260295087475131597348817752564\
249826381645603747243885240705769344302052854229936615387287397204939491202455\
6502988337680376597549503926919518155178654659143270400 #^41 #2^2 - 
                    5825566465843295750141286873416310682129376766325617405490\
851511350752468716976868555363512629751212390915718672105262571986084193930037\
138531523671754272249239216476454609880457485469811777795170511967579265442928\
778978342463506927236545151766913352571537645604148109176265078581173334614513\
040442018187911907259323166318069774511498589865955440010936457218333888864500\
1074311833586530452892569372293251615538399151338291200 #^42 #2^2 - 
                    4491060397302454265148416428337879073802487650052172833815\
656090478579567373098710555904190060924835021911765003495864078123281498771768\
327896690616720804086781535701314260799312015716076335460239290715828817724743\
507521105563525681406768104013769182792597460881308552427172824992492588709970\
573337133140103437888766999968580088935820526945692212865019764060706094458753\
175343379691545520327404576809279251270546683540275200 #^43 #2^2 + 
                    8219917043445185818792053132011594981442256334198491695692\
741274090417961722703361804080087522340540212773762554082129328477845334719288\
706024941576648628950340981174326885958329127132766423053979750693265206895614\
717462389338078505273278360172713012733412483460265923612747647643861186962030\
034950674943415239854578109018956510179116626542749073361449052640028546804738\
104258746561349177396812810166550517875119150963097600 #^44 #2^2 + 
                    9643562062770076012237409630957425251298387612802705796345\
347920859023770603203259614887993905179542188272945231648913343701802960013794\
976146929144581566234138423986503722882709119172796783581509543433616700621548\
099085277848069463500373434995568956021118870075302259545329954752648418298606\
121725322268340753407585183142791226417100277133320537032947116752191179826543\
51542916161881002125312694138434117177064507939225600 #^45 #2^2 - 
                    6149584901068987390671707347770923064147406315693754795111\
471051300655739717020833422766648394669339472724722334206943571395687734343093\
639325960199340817831477595066155829441696357155545274179068967081239704919909\
739693653357384050169556773973018899336026954560157368938177962897826898735435\
296490024527747062489369722823945929833142996445636940948515173764740986289449\
65434022949954245221637908729392541747113550151680000 #^46 #2^2 - 
                    2423183441795446911289185736208283777597973830260011448667\
599429020300808941978611045811028759333044192447252671324615065539511620816432\
498340386831832349013919171641539807040741649486824539230259967023834712594436\
645568881926667095838982629412331151068658031668434802732866110351718240853255\
509233167966167068856487801277558825151454936326584079944798669788818527351981\
8005311570333773911234257281000148030515451002880000 #^47 #2^2 + 
                    7259333607306256776796209789443942522918666878601577674610\
757389650294364961358969489415456125272784951069675205302402224437658270108457\
624417393479102496716649123211005140464553515208783414502296869361177046917438\
123560906731227182433480133328076606146876435982160010952374762280288014252006\
923970051613164401312550501551615623610923298532861800882827374873979181325616\
0170665300347764995746767594661339031739165573120000 #^48 #2^2 + 
                    1656827345437638621112955036177704208783644346843921999693\
051554767166090071647899498878688020347698454218993533223357708761025531930744\
827851260041597143721540948508607520771912213626955814561725612378589627339698\
928391263160548137483781284915841901792537176022837749156117512898978863523509\
142833577214005971909098840214003824689294406954190286866730907873931710407234\
3005632573698295174981361879700327199268642226176000 #^49 #2^2 - 
                    7450313049899177641782547075454736152108878258205360794322\
129221344306553050971676190004861869010187231022646715393209800866928820807479\
054854886380145176749641580363580947566710184538677794347686003255445320214575\
606603032759974537008932259180027955682103382135525597691908714863870073899578\
440818349597179333111877865515802993637014060141827443104185796844910388363362\
04091658890445912115129474069295459544313282400 #2^4 - 
                    1171864264225089062222921133417512770615364521833102208889\
320475811266394135475235978560147045576940811630959534211983788354491663803642\
015867474593574228251609183368613652570739459607836206736150455067990688973121\
257710758717552482403545407024001659602382676635910809966777027542509799497611\
516495681055153705521353383966427513890903591082711419015123746223060115095529\
8678711525854454377326637374497875542570324828480 # #2^4 + 
                    8800943020932889106978218883477502267181861213544314570898\
531792220078404020614006610030325353758957390085424716979298207333457145016660\
443663093677365535413093118056232615397467416289717084060151962168161179371889\
921634398464616361882116741835112511398638049261497071283957543640633678094213\
793327213323898116418939730321773741882566209438743808139689582141351768449383\
3984157302991706209785786459990910496156576058560 #^2 #2^4 + 
                    1734231411453011406270548110743743340124066359268697747014\
050424792314372573189582488508452164992115057611475536989613339813752307644209\
870004120495756513583649844596563955429742820875328916240121987903983509839995\
861641456569648429508328374485347993015287588881495716857718320330070707613186\
996051436012669259005931005576138388795823374355260262532181139428344827764785\
304097075139740365363685982745186822296091003002880 #^3 #2^4 - 
                    2362321944037610559197362160921106142040250763458647807743\
357967201317495877342904822239513957453134900271042114894332225605640329473182\
375970055566386009689426907702451677808199651942414219844877269841048240096252\
296601299256679737796057338176491675761325664687464759233634144614810534042744\
028064490364442839162995793086398661304116498917126884977045682019105237222882\
418285441720136578742283684298022250290473146707200 #^4 #2^4 - 
                    9511202197042378200080859395583969785990852948633048242766\
038039263409284440603827059821165554120953718577561084952115754513332338980668\
393559548584106221041213000581585340407523365286289207951827089365928751379596\
066406759244094658917147233884821084593031516895263471781212543311156109349199\
153467497120603359905385442049810943536469388092669677615490157306336046693950\
4154742617257428907803931742451516062488201427456000 #^5 #2^4 + 
                    1279494066002026330613546848923415477379434185442101637050\
060863385820226420733330097666227042980046803572699678311505214505809491426143\
878354288474236120695211818488118922561603780559534243678577111789881158254197\
135508829844065901157925979140384774564315871072614185866420657551934587425587\
818689975512673304727865650457724991864889012770926761994188173201300987814928\
4540698039513611177868086257605805831933206678906880 #^6 #2^4 + 
                    2624942543577359741020368390413763349635300245261163228600\
092378717990449266945862062585496539566526200764947171333748375250917330385475\
500567787742618628564239110973842435910452910008247255905687145982188128481113\
387393695495929915011022795199309829028970824842753674971930638240410713107426\
614627535221924003578576043931722637319470887014950727489912604106679504042674\
895126315639772035907398560209946761851824825671045120 #^7 #2^4 - 
                    3546573716592186429804019485966787359250713990724595057490\
500196096210314650852262100823768994069790029131103760610840755062971708033693\
764204062467352923785075421976386406412244663073116016638573371683108845745264\
112051809085777309290974376593474082568343506434327509308489040778056448532081\
106315382027223624919930884928402851025738071052762215158139732970466043164464\
67647354783410494472563094467634866679999698989342720 #^8 #2^4 - 
                    3727957879774611683334047619967079626946280327318534542746\
028978127215863774786586138476403587724746549698601205562160781518546515298321\
119097395435719593319777732926275433758837607670310436676928686243559213996284\
623313564635697192969595355620012430737904651527123141847211970462988350627167\
378680691342640611658465102194726542077714985321799838454385810292976770785857\
6326941292371150216828589319018154524393058228797276160 #^9 #2^4 + 
                    4096818306692283466564926788028732882441862639756283471767\
613621965809781618885994263029083849819432961666441285629679205002580099156588\
108171715915945119912427365614548586803989581538745649527303782148161603207302\
779674441514766593015886398613060137977219415612538045765854209462307085634993\
349878241115316213490863250306081852433134254506284020939472488697060206673454\
957819894863986351823852522712159984453724511729254400 #^10 #2^4 + 
                    3117706629669376311237194264595991115687540813304801992845\
786536022925362913421392027518549726273949100332403785881858444695729781551697\
995881463171207191885615820657587380244479709528652759242263507394600210316550\
916496972614979515488831399890021481933293522652333243860565206983322141580975\
060277042523072016201911712793271553744764680002140621539551111135359698707757\
85937202406629649089916650780717229518995925879151329280 #^11 #2^4 - 
                    3467664158671676162538756922396629711756497456023510721816\
201495750074007382332190737946775307901728231489037190937467130318885872085173\
970239503686553756263659256354423678470903204100652513609466534227789087661865\
447459040955710392717407599178245655460947785892973100976991065142344255695214\
079069080900525228930287324149066697040500041642555933954247588400649460832105\
229301372091244608135517127315666729501445121256325120 #^12 #2^4 - 
                    1660638388141242081260523208393338700333794213664372929909\
542798633328851217789029114116342414095924066420020801123850569264947390616680\
205358585456373687396181124055733740281305335406281599312627470745451093955188\
739690328879693774411107861148873864894362597311472607842835458777532652864625\
117832802885022903195525618018176835324713578279729487945815010301833000153791\
598676814208422288991297017689431515484441115246398013440 #^13 #2^4 - 
                    1704523379985293606862550976811179244008623599457167863984\
146284297522736196874773004936157278348401268724658942642350723250995965525910\
456661368364166656934035599115535860952074110143530937526362321453704690498442\
524808287038677303946061345156605799554431361463743631082964596393610933391558\
478118085869863521927427783480089518857638261137966090235001445858374812775767\
75170340926224319553896246942487851032729528861324738560 #^14 #2^4 + 
                    5854297183266625703464757019063275620218024797747277201531\
984650909755151548079631885265722465144717784704823440353210036151458476770564\
095309184722791440834135537283622111881701259699910957517698361314668578068159\
485211000286914217616856150577284161572844673365111467630202797244338989435197\
190540195143734640228624720255543608725112572173690357529854285540263216169141\
738013143510921844448912420544217708926591760178489589760 #^15 #2^4 + 
                    1060678476826174210013361965469229688715367929369779357409\
146258605518187707033520861074894949355508902879920541275927442983117557652285\
676646242757305582214542140387174734100484379967219638049715207429609921103020\
889607241758045329354560006303077225572326037489192178420869628142388277538216\
177962697533004885462773937908763224067656878770529214646214187186694611415315\
193791999677443232266936182743675022309462167457806417920 #^16 #2^4 - 
                    1389567469204915078478215054095571801784775616797614930107\
678837129767054808303308417970712527618807543621346737388902115940101861847159\
034123913706810409849078813770035637292306660110700236830063099111006941547868\
544453230294668259301269487639084336947262295237824536599702891734101455163079\
244992562708561700190871551478291883188607559742128858133862274260957744657993\
1624235999431151135580463998902965288022890030265154928640 #^17 #2^4 - 
                    2460166521233080752276318095357115031108391735266840734290\
520218754778396474077456174903241973053573033286466373690627970858807215533025\
460124133514986359386375310031714866606453162732504636351276319695640114922310\
766336707279324799974614027697257743378675052187459538751534861565600851848558\
440997172459755257945471316766760216056686236572008091052482837158035931116943\
393618495306211719212977052677639962692100309908245708800 #^18 #2^4 + 
                    2231670502174680935287980250049200920375412478600543003053\
062463819644018937353838167567044500399000718508400912437193711804540219844273\
602191912689951608575206942597763564871115729663765770535313179212227670385144\
677144980574441068336128209782509770896251866806378576390393712058110161227974\
871739010704342627390452871435385559355018252417399049179213082422435402685123\
6843286474790833525408483020092471312222952698599366983680 #^19 #2^4 + 
                    2466378008632139729306495366089305449859712174261663271024\
217611302597702595269125836117018570290962121511026774839273444689133368565799\
306717344785105766390861694005246748743774274057077203393320873539783766973538\
197551308527029572281236978771130666303575836494312531913388304233704413222176\
296125843139204197580464661221932067042862190215774097420443184912401917753967\
89105367139205837177213135211169561067406385767660912640 #^20 #2^4 - 
                    2414937395919171343017202949737644288309982293349389735345\
734760708436152881271667646201057832705203163619000092908832242363066504329501\
072405534671079277845348754732584799848143907763482353723538150467434215486144\
135793938678577459275580215286958812799882576614330279352453262586740116916102\
553914792886941717048038406095253081889808789878037842497918575558981811215540\
5226089776974169973366192486282888064149628149669004574720 #^21 #2^4 + 
                    1250635900197675912191194077673591228361402988017364824576\
046845918734500802273911636507814679500052286313106072937455069740550011695928\
155846697008556515222283692407519741276413411597729161660327032940138774647258\
343961774898306891960094498384133504418234566454641120725030297089630706964714\
883957578449498209675446560117242872791290020997561693520336786781770794391884\
4905758726806010432328258013118969116639282056131887759360 #^22 #2^4 + 
                    1742356770658584159387221245724015954887460697007605126605\
675583783071789918346555701742894193930686845113385529909482234028950239397526\
188491835352171421219460027824701184821138748175130406874202714155244819396735\
981765487364715680694832809060053624689336689722671878872561611539378252259694\
151305176200454016648015002874399332541355661679462234410064173482687060351218\
7333022494228270591831350744470225918638593178064818012160 #^23 #2^4 - 
                    3523285536598507960441956830063153777970406668743552118583\
343786224915570667053089154297701162945827444289481301792012551353959548810007\
332306248428245732003036603096081685829859789246026594366689011420876723002507\
885015947132644880750120314895621130372379293889184398211982042600651508838603\
005877422770001440090523581443984830345190377996012529568077831597196780977462\
3236002984984672570665779009100782920234992543927013212160 #^24 #2^4 - 
                    8467465272339332273376191554902911766844691044444427698649\
025808894645304927809787814036264136322656588433030628656424021731027237533208\
431171579927583218852437593246552605535090843666048710860939489530477944817401\
272334649641301738294999945557665202620143987383148129285176822393220860036261\
050447496957826709869783276390504872195981607200660374333310127268108887246660\
187456864720480095912756626808937291784903832019130122240 #^25 #2^4 + 
                    5475183080350987258164556133975412732007859570433272819768\
601992019639806680331244785026350368113525944735857052778463888625586940449874\
482672709627159243887123032175450122022162901152134841814706295984139044114171\
747567031573165507256233340906419600328249081914080445558038437323386376998212\
639546366270171709562831833605443962196444939020568037739944328411038963177288\
5849696947832868476702942341090864914795659225365426995200 #^26 #2^4 + 
                    3442547313651953646305122942515024163627337651716998163204\
831609592637969100580165478869027028255122465549933346135044120437514525853915\
312067464453860134750751979459169798556587870929417900787936742101505852655832\
677925667907986864043613473166593334424626090105334394256399839367333876297237\
409793610637850351808228797689333010024503123132409618114746861988345449471243\
137909067991350709862021370449348462235272824145093591040 #^27 #2^4 - 
                    5799335607408051025692564634177067972111290787756594080095\
034553291642382028004483098375344178142874283445285717370536531854967006851928\
347942425342728223132224253965555013945118933599186208906926228051353515534154\
824682090360790017596361603553744298993093357758557080035598196874431389369089\
502735272312257833049995927525238994583371951570809648378982525198607791378559\
9151134860137828905118405457172574669510381442456344330240 #^28 #2^4 - 
                    2160895379407369596220275058435153049136758106082754451243\
697328632777180288776667402759443005829918496965465403495690600692941600167508\
799265095550337525445287022018689840877078192377224871850726316831036749015049\
477176435879861533211412164168706377720133243883604079232305373090844595399421\
521198548904036134245775374869884203535358286280044039184420975660668744209079\
484197652218584590615669693799713563025770877640853422080 #^29 #2^4 + 
                    4547911517676001070659551083456524495989387924564053280474\
049257577087158264800087685445815833012169381106778355643475677733401594146404\
553162123909954640831904329086054420478987995165675395938208296328148622484813\
162096390278522656630684003820183569845528357384797970782207811821332568588566\
016369396317527716150036263620670184524936574130628224118715785685377237141047\
0601746883173418603732553263314076041299672910121580625920 #^30 #2^4 + 
                    1678707344140082235920918800786530351969513526281504508027\
608905278787249833466548589031769173035256202046891345174628668291548527085038\
930591413071348309866146083072533497655805249726923065852525795553388065409102\
817005643425356287740970045384993327668326619516835298337365935195418689846970\
294837509599833600446921584320925488288023052390024100607720061991225016474647\
589703485837751717095054994986097657738983185629860331520 #^31 #2^4 - 
                    2776398188473084645186374672574512401680194560508750122740\
442478868895709705507490520711470449028908328777830299644447054127119848736858\
551349858956046558483596755123776029691045281409143577569683838861829077249916\
496484941222460004862005113222646978224047406106685733083496655077591620259490\
982108720710357688073036926434137208042816999637040159196474288187058468940367\
7324602137886842573259092855528754553486402457796786257920 #^32 #2^4 - 
                    9151212124823771418674621943466869862701454125394568161193\
590865755449640882091283749601073638572654862800242613626647483864940261406085\
243015298706941901058408127641610214484841917619458896891628482646256216200457\
514785491939301252974087416470499211005120997935213800956693272316084533973807\
014644628700823129893493574461887336717346070775255972690391760241072825395545\
16555208128389688186055401994101560953073658127722741760 #^33 #2^4 + 
                    1369640937386679282479132011262734786600281335300011461884\
079928003355767577403011356703031541789629578317311515024038290960892240875132\
029426740165557311429488744922004195964845456599164673869265327641834980246241\
031233906347835372129728692995448776321594284212823164493126732753600051522153\
624078175713871002578988806711817131049299705590124852776510144105551798690838\
2609531069144541360003084739840342534814477553661053501440 #^34 #2^4 + 
                    3680700918915067855019080235090760857086648796567821119145\
100164840170616381701667635233480522350966525123098746803027572804812402561219\
596639260856668451599767610336295614203241738495643612313545556657006266518735\
917065244146518440568188622921879144554497936196920887743026475386805560107436\
457223518533274527857802181521878515022354111306942948436188031365400850900963\
93385742254055124353350860874150838213314668097070694400 #^35 #2^4 - 
                    5547134205340392528533135545781439076489770824981170807184\
116811979709417110954723158919558250312640712087110857005036208065471188829868\
683841874476757402630055851652491246463579376279942427231897659405596573005287\
217321017208716982318784261230703438089089839162707507404667795481977783346927\
339216081769478613394210882320347162100370136775541960586677546107370153688666\
426802186889318133400310362835112636672579367147478712320 #^36 #2^4 - 
                    1761495201591019686355225059076032220883446678065330743105\
496233422672535424460114121913314496891199318957854259604830585337368885601866\
157023203582997578288182581993434363033070352150751149206899891441909334651625\
338881393614350756293266286118529118325186236088852904233730918057583657290362\
596223214720944440392779821430742332990215216179808006677366955995342493179536\
59445368600893952047331660176779596566698193586728468480 #^37 #2^4 + 
                    1808033156568664893352883962290936102385575512043901612998\
963514829566624606515654529461437592468907536628159177295504743466385064162036\
925055203092957706400528322207577631169697070596253964041502094061446938390130\
924182445717762226260358803622900941367910889610175374026795298498098178305406\
328671548477632337247959477524575160537056295121896659259033818795284743755333\
029998052165892865147484383776013024199410718229921792000 #^38 #2^4 + 
                    9730957112514325724307124905974784904277045641687280632569\
203869697315167912421734951587934105185435435935349918543190759275022159508843\
883025175892538560099102231663829190848154471576028464115034292702604908903440\
677403325430086325747360929500322977714478325032354654878920457714956734547572\
901611023588815494642208001787810710877961888833638191284715553568546953380344\
1970689375902162413813980445982177445568031008122470400 #^39 #2^4 - 
                    4496240163032759120499504548345680016466344880078004582784\
703393901206142348478265148681934133281725939877193109725393928804403841683998\
633076211581512862821410331245796074465622560043688895608822314745195693155785\
253948626065303031956062611848812687874562011764703244875960667850644264202358\
215804050709867674377274695131381534311526386214835157887656251290092253327555\
24474432816442693187735214760145503280182377746268160000 #^40 #2^4 - 
                    3771512270323502225022420998112702008546107158659665335974\
086088532592255391266178769696596249339993625312940406138129916293182564749615\
331625274602007748489321129325116827376688938323180229713524047802569581450586\
512213779905156956700334784210407743291995129090519805167972139925265827910951\
808218138510694432742690316640208154322780723380657543596013766426412681619037\
7941764051409401595288010243557892361788826231557324800 #^41 #2^4 + 
                    7855533937197682954735736406899392664317781819321571873855\
709331373918224032600125340876798275433106312996891655721699957125824311244471\
420337254837099055823219382138220533541077290002728341651638374033803109320423\
805743256599914945926565462883888296691543329450676784772199867155251923659198\
486781638115538509205693123606099929200355109230349757777591327563330578908398\
7504531451006311502212512733907096776168279444658585600 #^42 #2^4 + 
                    6072821033746696868459410730138038834109605652193378570495\
135998254757300880514360712687428188565954155605407741198067348806004632010047\
412522708589129594856895509996533735427386826707998939251008411799857022899925\
877381794130578731749572154262336710629439766031393530030372698622262897567694\
893249512758190418462246883086035281416622990963611329333148658845714820692572\
853684267501165282564691286661840184266075829121843200 #^43 #2^4 - 
                    1108604197346258161950086354030334721437987061849775270656\
907507440947298235170543922057677756513659930097633943662429662622899275690122\
046303745674611335791973299634670183091601734261268975381124291720552437712914\
228976478769927591604000473236440022662690773843529640026983757200814020183604\
687980265020868142894890515051871494517004850302201029381494706506276136395733\
5985458139665681319891503239327319575182068145979392000 #^44 #2^4 - 
                    1302403192320601969115375005899168656603019515645147224080\
929808139044484452597308074025197312797840556029507743088440529251666486276827\
204149830990845243143408940848058839565229944322623144026926343700388542297648\
548791943499454580720510712650616732545869099789251968320257348647307373493292\
702687557344332615425649847109006370260002081270845032784068951496427500227582\
752807299938167652373712099326991036015450641976524800 #^45 #2^4 + 
                    8293690296918295662256211326321130255782424704495056616951\
124367052738613196626928241844238691843867351170516815385515225309080175089850\
240708289322721087300873261208689369871228475774178089712398810766606683853604\
195050666374365017201443713405065615056906614340841860631941344317039691541405\
344884543257590551362366155981434855424043899016056320811091416294986979915727\
18601450706395683599539701603767995346378710581248000 #^46 #2^4 + 
                    3277659623586383800332295346562460482597199598172885610167\
835857306607598415277803333535426060475236525992908018260643409950122616503304\
072987574333140071118772389660948186142730140728766586654387659767106771135022\
895368143767114955455295885905658433982201321338385198150557023068419705255362\
493282731392815408383191604269837176422817126537008789303626512898406943941134\
6538392412691105739682457019799496056360967077888000 #^47 #2^4 - 
                    9791330256769693184125601255010728306708063968332361120073\
322844843608278626778294413905756993377761562581204608996538548800766311031676\
086472852783776779263789116146450998879957945814572807771791993166161038687371\
265460895631705972522277042667548724641004824399646048788657867130162386386224\
854001330282827146785239901987394344795476439885291184323226670389228431390980\
3638106871296398328434774514119138327153199808512000 #^48 #2^4 - 
                    2235560368863662970752561140668799045178972710356196489568\
342146695099585115312565097861918076149114503683922649797836535256815967005262\
724852029715518859007426024163391296309468915069694219858286084413794055569431\
799692508268941236729632565798051656929569705146538244195225341783410441246221\
302938394580565635709321004829031138663832833205972560165495713251430736948994\
4013909871186881562750868092287802208679769407488000 #^49 #2^4 - 
                    5443456939671115046790982780018602623533085504860674177998\
765262132935817862259333096253392319277713361302045273049903940085847036060811\
583198700133766062842770971544439769907272657803573274440411118649373414157148\
000169261373464965962276186206411253570628858634527467370238476375106876519115\
468176126784140446819503811579523578293750531931948693332860183589863746588932\
031859861362916423403738598267291759423380800 #2^6 - 
                    3110546822669208598166275874296344356304620288491813815999\
294435504534753064148190340716224182444407635029740156028516537191912592034749\
476113542933580607338726269453965582804155804459184728251663496371070522375513\
142953863641979980549872106403663573468930776362587124211564843642918215153780\
267529215305223112468287892331156330453571732532542110475920104908493569479389\
732491349350237956230707770438452433956217600 #^2 #2^6 + 
                    3110546822669208598166275874296344356304620288491813815999\
294435504534753064148190340716224182444407635029740156028516537191912592034749\
476113542933580607338726269453965582804155804459184728251663496371070522375513\
142953863641979980549872106403663573468930776362587124211564843642918215153780\
267529215305223112468287892331156330453571732532542110475920104908493569479389\
732491349350237956230707770438452433956217600 #2^8& , \
(-6584670597111882493471144335166094740557186357747552580200912685384833587764\
727478339915505460785629933273305131175142846284649668869581472936407934866548\
376009088375712113073622302484169599138747012648745852142839473560163499214688\
654572836481485553602776905743283227602448737497059794348225865557994650181415\
665035423189674548760278068324218425447703450021113800900482170337270014812880\
87346655353660420509925792389891926391476065948164324544898274111884823) #2 - 
                    1085074011767044035780273077739382048967914417721948241793\
886275401640478549515122019129742182559303016817672106511185247249873419081987\
601164904663300416858828896161704978794356941402383327057744650538160142670498\
910939601823715199794956557646798545489437665239794333632038026298375004607966\
146261942143708814379533016759206604393744268254942951782893382898337219565831\
416571125455497463337187680084889814804545944622289702262316191868668377005532\
6550528695898 # #2 + 
                    7846414317824738328171154300257999388705474974044069239480\
969762570257287642624562952974932415097240138948946055179814932599046447816266\
260256283455598845994118248417272513682871908875304926611352261493197790409882\
901195804041701263058745128670872610318680457255995192245565944474934475665091\
619198299367469320217111331508527929632446915790215914203551952297150512180877\
295845892317995640384004680644138318823361870741578349700233640284182957050912\
8530367763412 #^2 #2 + 
                    1619840399538090060086522446533788061250655637871440920541\
447011705612070055283046277925996372205815934354592482442026962668799278484482\
220683322252994523377814094682502472767994269050577856402253075813122782725578\
119927154454446287600233124552416298394934543769169240952945150106705241941308\
483396814738530455394735745780750897730793967921883822552567293918554528223768\
981288346715083178982665068566538321811685605231313549302584404645210737114071\
557775345191360 #^3 #2 - 
                    2012575353334596726477700324082236106597086481383792099484\
023634375470857029671314491165508038769157397252884102313164860096060569785870\
802857348278569340771216063216353990402632878750523297341334556973076723538347\
442753478129727505987199819228362371717959827419724469433461164197607688211441\
051049066928819540098987738274996798830589518460635893972786097800324040749663\
239623441734922971773303971163564168696517992235638020623512488763210858592047\
659331645209408 #^4 #2 - 
                    8935726926250887742315704320145409095811888033222371705060\
034685784429928561751623884224686872986198624300825102423514110947856323576668\
285689174887024317338678857848513388111513549018035310693921604518251602558388\
238325290235950350416623410092362690928494152888550242346535312851234873741482\
066760473864971849426052041601307338258408792624953509509268633603211827221317\
355508130355913435383910531307896867529906856610158708458789987041305368642347\
4415857811044448 #^5 #2 + 
                    6610663481964930691606891208406832438156264082696167936884\
509649001618275229365213574681555700733803437659724192241305549979320993726139\
114056571787136693642040722686611987210155081974888760737223945456955974898297\
605237685736386281741078603276338649620283197144581560115688896515241040907937\
163559792132037091998960378780496424664049633039021113249116539925878894277939\
239048615937853543698414776966704534802256107370928675976767057452591806064381\
981081365434816 #^6 #2 + 
                    2475573533680938784343183761037289802076056197127568655234\
378603189862634427729845665228787186793729564347404655846347985412300391608004\
348556791002922326674045875804373485811918043024554146481538202619259974484210\
025628793672595160851714234553968839368994876042730332072776984819123004097992\
406816686043280927663240525816510754313436948875824378685209687484667208953110\
066201830353492643897591281582011203064244598456630705237075461370416624578367\
901477193189089280 #^7 #2 - 
                    2644537965221976406313160237242582200888095282784527889079\
337388653039969995190493357585065103130721927493968897031647040965607327229151\
382512230621812558988180850305274929119147743046100982651281252397065746801653\
289877349351026856170253322844542147779145917713625133187471004651708077884166\
120526570620045183171730195258550366423325262329784570715134478053174013286940\
643149873297451394109358242268489077605744102962700378869024929948763910560562\
48057807398021120 #^8 #2 - 
                    3520981282674031967584663388171639265251981166090190636695\
249130991156910518606817875755606627800128444507272737249384626392780982568144\
578947070498698365318685253429274413470958488619891154088552503427493025124072\
683345878473345669031968718398931045457782713248574616089767951144308223861439\
828172379737151009564688836136402505089774891491467510546707184647680113327273\
342426327783677687163170328248304150983269297194156095523449015369320819681848\
6014231042829404672 #^9 #2 + 
                    3320684292032622956836649754501929911968225297373792194072\
804218969135178943519909304668828852746292751134938725833384921030140385454117\
712960969005728530373841125807067465379263401819438891220536142030831391515735\
529232658380409762129494697078788014623996735204500363614221785635280885422734\
062082533370382997731284170141147543113953838647455467956203342618129212001035\
805799600547350144340405197709831237606586931857582177761560295502846028795348\
141849198720167936 #^10 #2 + 
                    2946376112418522621693950243233131548119606963433614834613\
147223839551637850739726891404276326229218888913922304376794657560425892344158\
973741336861385772292345727929281367338352115683524275397988848251559112765131\
559368203094880855415178324998134235271959883795188240495936893766122717171678\
778269168299420194869395705392049248468444593658475818262491381342722920617401\
072804265543497857388432085304960851361346575600814815021793893091314431297908\
92955558990230605824 #^11 #2 - 
                    4381838580124336030751130078798965904478679812483985240938\
406438106566645348302278139696497320534665564523673608708424702463868418749006\
852140624823742640401604240825000158853403066965626582462521308547774133441272\
419191981747253668994905913067401869590743155866625729554217895864742262493460\
504183508557395173994571118088876818089695978528238006659448539724732336292184\
867139544159167383250372613109214522730508068115907405690560446155519982950338\
37376626213638144 #^12 #2 - 
                    1569827758546603500426435870939692101902049182233406260192\
934750785501993480732660696256554494523085198387322987031565839185688625526148\
426089979633418936968601385146342155740746567452124261441723805113142031369795\
411494232767040774550533416962208898130547180018763403772440182642694236393980\
810879443395732581113753080338923505167144223165949785948458184858601047279943\
994815419038153123172735025999548104756677111076162478234440736643214788659973\
460088645358556135424 #^13 #2 - 
                    1712101390625087109807256670719912382250541696835900484507\
258464669408274559809486806882537947888960768079160035038439392617913652109858\
744218496995460646809642742122942591358608245552129175010788429118741425088897\
167569055965704249613228941549750948082168471720900476851363305847607110042626\
871457349537667021572494436438655406968916269934320374910457034514848103297396\
462083511394648636715868853377539383950316265585357865583402889287096345147009\
48286637000529903616 #^14 #2 + 
                    5535231358848778022094089094679298455469611092679136261332\
926151377798652916116485775148021216560800923178870262514399495507946451008362\
998015340564443441845406094030633544422429300385088723326895322668461138929004\
295282385094584318740073659761279557866871189093310989816481230974224619466868\
356958062619890176679530480561444205578891809608880532026139163093969278402163\
779495161223922713774285676296120790797806384402260330484790330517443246633772\
030108388073086418944 #^15 #2 + 
                    1027760598952600269589868234147737667978533008160332532678\
852672002448128972240427446550346358290988558786741712173047140951172082413260\
245999284872003203775498576563349816350689644995513068294431720628130168890870\
640266644137066790140094194170924129421230605282459983808271987966602410043765\
819033629316740025398673349132094870059948012145809873449912979688800196814823\
413033984112319855106660952211061722366664585983699876701110714709264190530377\
938599935644198567936 #^16 #2 - 
                    1314153753918578062539811425421993780356508923585659519190\
349682527905617044514447341022414439259329035621219234346294125655906191327724\
812482667240656326824216713822540979024847310704490531224836336145779432713010\
911159993641159548555367368782690527636223404645754630873789185465744914552221\
332076912359442729675083351195941567576195703715879912185480135596890050943476\
102719070436718735816705137294507147504543883813416181227089824195260423010299\
7736063373853448077312 #^17 #2 - 
                    2369069822553980768028104950932366719304876276562885475375\
192927494354808281265112343322837090589611860950333639559274162429795266376952\
114363687317519746931218099981721678906798459334040470117954713771927800709655\
102926005824142243758744584569757142559727301349834760850508309323708477051769\
944135232530727167381481202864176072330710497948802720729952811120689722959302\
879871513449523685990405867474254314324870400400634410997736695797675166353565\
512672862357471625216 #^18 #2 + 
                    2111561386779636832574452550031193370298775175815025285809\
312808643224359003297661392337939430756266134453814783679846876908387153256415\
944232687802890934994306947228925717794339345108989280190342498831020967224670\
878370877826590159209674494981261547202413912513113372081522190724663042309914\
189062426410260259817008415489966370670616595913937067499122700288587483823129\
028183684214727206533644792332238867609521883857834717505711740646130556181431\
7075996745956067901440 #^19 #2 + 
                    2829514403651194050753349280791196952201560380553953567720\
847001746156316547322675064959069584405502797347532127223835822371128692228278\
982389663226459982923024019958246614806716017623148731045807961747947026891078\
210604163392803093037035267842978904691388473320932107185722391651510492646719\
771430372622154311994764402045794306395265394226752381028306767668499827661860\
891865800489825633035257276214614375940991884339330217193226267547337488431868\
10899907003515142144 #^20 #2 - 
                    2287540811989032591037729904303959778105501520224954567050\
532509152674546273718595791316100209512601042554999224504786025031280442103113\
452267985953698116552072598294546099568207754580784571172305429782071932713341\
643324616642067972466410506167043047920379793135449835315008101327569825007353\
406999187238726680815879764872197876467966499813551165966362395785235980725815\
098235783681827842564119564132955144989191431523221443769488377130413133025830\
7294315780688601677824 #^21 #2 + 
                    1179221607852447831116063459252009109111968224226636131469\
766317770942553626081285659139413269261049030814141470020872820739283215827845\
480571667312540801719035412111050188995181142119858454920146335279688647102758\
424867399828259091574490578985380683654056140797720621503742570896581564535329\
765574495074187014008206351281428882159136043352384754091174454729397381105990\
217626404400970100051473573006977116370163555296220248801188586191949312899826\
2297972681230761590784 #^22 #2 + 
                    1655398282345588192327879725293951093360593644042498429512\
400719246426006049389391713986804163019622947793669518895311522169213227252080\
067445537463882358989256963368962844748094822509773981076483193089191880272037\
156235668062482216080938682017140488698922622953638317617684073617589311664370\
912746466108451667217752450198981234587768126051025817380113532931601113186036\
099391140306608676629008608368856527237322448914528434141911075568122127955169\
5078633571349673541632 #^23 #2 - 
                    3331524247946917762417454756779488550813212285402630755798\
509142667852577086091817832532872908223894545741398992019819127264288920178141\
517363200894516157899325965054095214236998918446451777965123632780704021178207\
736017771960860542084903659620298855891520208473519929097936254378921467455362\
326564015758408000045771409279883471078105086584763878498114751520594467971194\
327309805290045441470229076190353418425041488216901679179626047490754424970772\
6186500757483985829888 #^24 #2 - 
                    8115633511450566899981256499008444490556820520762637275533\
623346123299831881884804585012153992051756346109770880431952707556216862394271\
024478573362290809690504237895452025089430111492243279131884976901331772536168\
670529538930437753630171227775771863338916926824642444576427462281877902870051\
976580092878377755497777906509844171661350853113817797605939251687644224195262\
308308602950462047803963268603913410324455247701061623873959768008329374914281\
565666363905000079360 #^25 #2 + 
                    5180197741419568812698942305182627718666515497908465497119\
354647667412479378642185979678191677010494193556800289046529280351740799411524\
346462672161006313675633597617422222620304036693329828492170597813859258851769\
713803754152805663336570484673745930416274367328626805085241119141476869885540\
705196422173998726065682459907936876209885259983486706985098871216301579018877\
988897254968476637956855699045881121699055152408107294624864516222268962818076\
0888495804209512316928 #^26 #2 + 
                    3367549906036163221619864053823717651774996292537040004521\
057077565944058663485385728583216581353544990605452174006812248689238155099034\
085249579979262189367690484102933463729273180204793188948601120448774946543623\
537254693713968313359767021334133877078465247849280879207062890714643376723682\
500456848470157942614467867682978813699364313991700197527850426570389425326125\
290959410948953536892621421267653243194068393987645056754829880932097683259801\
969460540646526812160 #^27 #2 - 
                    5487887180355046653128983110527599226951036587478008310436\
143850876699649267247007816681295533049203398236186572749705403512908266840561\
736226971906398139503288320371473997377406679869816418307400172717934745034311\
487377801828837516776544972919720184456476121505662662961432754386327007512871\
407064839418772763782087439755179762864187359896173165109052467050521219532968\
553935852723938726801305734775729355410411248513604238753006911592154061533554\
0228903015648482820096 #^28 #2 - 
                    2132292055546068416806490579530618951948673479644363364811\
519244611160183617113102166086255964281480310984410749817174205298541896252683\
145419881210573080057397746800610307827325595692221534944036091877010061397816\
443978136735628641591719819872355943010895714805060049866015872039041316057542\
921770905552452887303945059547088521073396878008238266825467462062226261175792\
077346044977192907179688875284381565647810186457082865082711614985343442316582\
400657293598705844224 #^29 #2 + 
                    4304039489547260148256252484555579874461371002638892485673\
682734315136494224463576109103626875880618847762508321868908954643897441435752\
401400052167356476402456366979892388811119128573575832590513150386581027835517\
826297856972996401806861381052331202183907203102139754830496426449399615679498\
526143183646446641471757391805567604886055110518286292679195907972740236012828\
203098931755551367650202195010889169821935462501281711749730400224579777030915\
6546809050354044370944 #^30 #2 + 
                    1642873757223505025199374311808114288329238309168948169938\
570129197388671774730562877014531183348041501772017968085181689523736747591461\
023374397378537550445953070157775836509529366171491197307737623213320373792613\
196001340909216709888747186516253230095712491478661304063353481785294696637405\
657662941936080912447390199424267490541107170491048429093693299487050676147604\
786272158181712418309430293526130544572274061835297511268431701099259458070706\
387212336058444283904 #^31 #2 - 
                    2627698735884312553202342635760369140180528385357483662040\
823927430739857516952682013735278201312732047878299736829138047823034408496462\
174438545449612649310637868439312239176098707554198920357562018485508773706508\
527962099709653348324165613538164073373529271154936303359878650304427784117713\
019221673400624912778025228983799186715573015332510410692561443609945697929839\
881697853826437150315988992461689184065863885662949786240580786894024828102777\
3561734976821065154560 #^32 #2 - 
                    8931537106070082919697988730119577823787255934849778050537\
582052962847774592991641010107245362536747372049032835872508438387832160385810\
657599026367059311593043301569132039499654956405331485844825281867964562275265\
409402167737243126719077397106819136737876394126985527903117449165913028593393\
278911151741384294728667073272202176981582199935929670377298921513742743005579\
764040585606712814539009992562824701360435752247588909478975075181676435436616\
72812761279358828544 #^33 #2 + 
                    1296364049292746601595885789382669490257785272420634658887\
092668744969523831951017873095018603941288973749929709273963657292796579069427\
834025804303749953462443327977244643716939691959813194202343424016405722046492\
044326118095514375429021935746289609914840090332767760976173382936530577966603\
392189860063538899090228672338827162423305024341531329731666689327099317111787\
593292264106221650834701829182611244349934311250434178505956185864177513073796\
6575101832974066253824 #^34 #2 + 
                    3594084734033043157366736942012627773888159695636847549254\
053057523503605221852628897736705942543520963899230181692917374468412016496274\
092323662823043082986934595600456024517173494313377608510125936441238571794472\
922793754209990437597138242006873898516778926901254819568181627743881738556743\
284171946461918100861796428546326527770189786859524722036556151376102383579421\
189540533261665454593491379821239104763554492451476768109102594752508669706766\
94067199449128501248 #^35 #2 - 
                    5250543529392050030537509099845791572912164801016995270083\
216097457181249690354775680846427985849717335038765446460620441948345989849499\
677538879097471334740977577724936352912029778591267982628112485905267537970695\
584012301455797117774863855590251851593509624606849718029927695844335584312926\
685245299007239028715628523855304087950417605012094721760842317012070617018674\
975250507808379458893238015049297532795853814684591216064195055642862635741315\
877830062029645283328 #^36 #2 - 
                    1703511874797422371073612900226585535552509349645814178695\
161476927984434913208126578304701009836490047654133093937322080119034058131155\
347820857072442890054561974769846920030888245249058329789814890846280560339888\
600032294056747058613822563967555223353557202294552153632441889388437291001271\
421195697966650686400513303601965110158167855886456736969339351728448212651184\
084996578281552751565329101641966976353047575703987656843107550481119743002171\
04489337603464626176 #^37 #2 + 
                    1711360183966858942981205763021079196858658683315906664836\
931331223542218038231456782667983066267333505466947147649541557756343467586342\
590728189912324185675119966878286622384750835152342111286709590532859874827509\
811439011112375259013950788943854422452529286820369998572828494759686080531238\
149425688132470883042603426951559083150307721261685147322979662023043820651502\
025422479805002822087559282029012432929061623344015639656499197417436464706581\
772113744887849943040 #^38 #2 + 
                    9302165350346246664286455230829455216419433851981493702230\
669294178461564199186725761315335539263266458332930788932677688740049151569515\
235207452802946380608233165451478469644282209292178641908954399087337024941333\
031340438994102729639816214368881954753158245332845329041154598586052217708389\
005770507299593111232995081943901016627162409248798781798392970462064084315436\
097530769481183732230573495322243811246510646952868899788970214248017596507144\
1332227460258856960 #^39 #2 - 
                    4255740971042800250475058294503048640486547802559431790103\
484588636780928315889912519910004183013256388199145794144716679660849943616086\
779229808885895686250358762576056409151215276817619649603956929098125276296517\
005342739452981261987071617923167398448212922501164824840326385975929250729425\
430611317219631743887625536619486049052663370745556381690710178335094633134966\
676770152246673012771471207675068013876046355898554487797301772157448975134341\
11686854805521694720 #^40 #2 - 
                    3586501980000506221598283423953588544954601938074548135345\
839712027506494997879272501126307760992827697469416540647043498956441667749290\
364350505923405427849990909808085477190740132279718442468059000897827568360723\
195109152599255005247812831725256488371087735389826093854026193562115322355301\
074461247064063443876430505349191053610571980569432727409466423836459040547209\
860487250404344472635312039636004540523676817055345035473881235962340671374375\
1474456214089236480 #^41 #2 + 
                    7435619741045293097547737875009048577917228331634597223154\
505020740526872871389252445962569575259080815371669667195996604190829595703343\
624684298528738730888798037199100043648520375103834212938552062932988343394781\
955833908141340551935565927115229985483758315128085745876026087720408939886073\
659224395921722611814205138609068825917229790491516798802580896492925747636081\
768958427675134653030497616909019215930429482457773271801042441207300232400415\
9711250663268679680 #^42 #2 + 
                    5771736900408906868482511121861110016903985695136481859760\
157642177460212013708802417131388003915307633447982791578750951385599811953355\
037568100793675672362392821112093718369561953592412135499734807110540458230757\
831985598955588341968816648470473576617752642548504813911497657381131292397721\
123320272948489430516721921353520221475288932625295487736595327329314946775396\
002298868164951394560274805280738818556407250727258598532380876929744481983793\
395890348391137280 #^43 #2 - 
                    1049293917690836271512548087741091734178775839254522987586\
676973635251305158569524626098913768703344324225986056609083006268238176747952\
001873346928222799050302621769567852152105450909993786973841179993317564720990\
641397190747766650238026552754205524243503936230244392746918518106609032474857\
780348681711623486994340594313026964600368617583795073291583820797362628872355\
620383933819185650400177866863125406343998992737839449205354083222307119259675\
0644837277855907840 #^44 #2 - 
                    1234788050083313419085550318339866464164981009591140090344\
406614310342739819371384274451135761765663624584564112367068310534282549555725\
005588996784607718835905786219798552364098697200450310447342827928862542900834\
636540174888673156836393063735962450333557378003957839848069440314797274610972\
686921859442740778652868372617248665752297825616408489687417030264053122114142\
296929505472751851402000778846710952374190338585938512871995637741178957357195\
941579901905141760 #^45 #2 + 
                    7851149508530145581883093515331862319135521973613990823723\
133714925949707608792685166424700608063562219723733514321787438180195307228375\
284890701320902217212522722009837648039412517539845212167466198050322979513210\
523403433790436932510900918114860063890691785496280427755501542568445787375869\
170276336209156377552849063744977919991519957927691672783510939112289515626600\
556545922438668870167484011724510849189167625632461634716995237723615330048833\
77603714062745600 #^46 #2 + 
                    3122247412474659202339246953626733176716822759666468708749\
386298575584738632832637238882342597567192332078379968652818596654552822043922\
896303132604916977654670227141571099170904044599717408305711258281640821808033\
577939223615172730683594707058383765647026769288886744361430006534536749853505\
850491821289057166157030222125796327656159764116220674190949242845607897982545\
988593813929325177857400256674719541584254561627927590587700337609246510757876\
9703954703974400 #^47 #2 - 
                    9265686192080249553508032752814748230877013934898687191149\
537470483529813734040324117848879972905166490662738304967007434920268946883160\
091989986382626289571514551509695845876209633918258922614674617310799125897502\
611738135678760404215106770501975293336236107517432464061214074598609371208518\
467134177891426615521543357044613533789813037283577897971422882173450351757984\
467034819862676673928757298524204542738686359006119212214744682887458471044697\
8307996830924800 #^48 #2 - 
                    2116612660987286385011420360167926124308551867674973685901\
590461481433029958704487060984006931948951737380784007385162276164127635133950\
808805063980658871879203364145385031903206430299879654280516700461359454333885\
588082584202027937296129726081606622141684547640924884589862231591789031784930\
148654989594433341566948225110265820924290279153572663025537717115694843577297\
888212525091271079603838175213179377965759527134349014779027633623887264662793\
1974115367321600 #^49 #2 + 
                    5083248802529599125969249851362618174366696973008616896611\
019126958396396197377500471326111924547241133420271869184678881788905299545609\
156571343313119438590326384737482643983606293839133968557054941309870198614497\
212773077664611158967817182899898109188412054290505827667136417201363351704981\
057408207690487145787870996273110758006365912594075595159385850449018557845586\
391237139927932524263852382570059658692629455284413487103497730492712003372506\
897000686360 #2^3 + 
                    8362540334322431593070290828677874797339113173939943024062\
434467276110181048846303592640823162875673795899992847265544296272770284357037\
771910990364756721591840157898389299639854048715987643768517948432677961397056\
449954028815074373299871130315449334268100291900523036309849443901986467898918\
281017997764634274734066224260936283933453135391960059323547403518892374219932\
788389303071527718109243467624050156380128207074638413022569003765758695588267\
9605857747328 # #2^3 - 
                    6055624847358651523471063709090078007302331178692799425047\
389584095590196649533572254040420949493040596040907027579632731301144494027398\
609490331292808535613202071290245807367122672780741691307871487438684741037767\
482993022419639665048545704488495303587964153961830721199029108612457760884090\
565013837747936547706094523004439521768302218976035946884849687314863920344995\
287280631912742976631259716526310314300787479959932412463990526991853889833343\
45989494300320 #^2 #2^3 - 
                    1248101446813908091284785955188405838133661050918677800760\
913587221612918877926806873764132915106647499265680407754594905486939670623909\
043046641058178145522172694310595299850564760367077800707105339165532617525653\
169408313052036131273841669659502987307006158318209363632836712379079707140770\
551586123255679312012678464798527225001092384133039824100784626158835935521706\
081302783034558482135902751848891113898619437014562063343050146125258923581336\
3040805573653504 #^3 #2^3 + 
                    1551978507870106398026020801329784851753791111750880517820\
101355935531629853164275559392617340949179927098707683476463616447253275643246\
435416470026406040250705566102934540856757241990194287671906589304158848039831\
579817859237698077063651808304383945953533141020907786244677460319803242713569\
725229686414511405024734888776154744580911774056512664487235204709639647399969\
094947474730552819152198878459677533563160834485185188137339079447747429352160\
3574697606070528 #^4 #2^3 + 
                    6885211511688416142872112541320874268694717410341537332663\
530923185967252708006892951983003238965735095202102204229966399630084314355578\
442723984383147469088038361799664642700107599695346255414663249168139386078009\
698144392817457663062605101508954250487447172061175077008258803603785108095765\
777978301515395230096544120796293854694826556549051760297306310533196101957479\
127475466310369808422845209304702270015956769637071800757057780124923879735187\
37842738030967936 #^5 #2^3 - 
                    4775922789597217332536381314189433186635864176126595025975\
836831348691847415536685829351755027327305066861999025818734557710293524998235\
785061657614186263979899530270568153424285154073722010072844779199833693349078\
673377716250972828184647496085569870057850998103346433417994794665062916009012\
347038341703334982515068472739185175339923966686833410750803057239955475948267\
773679709743085035780589366513174508424295987522640936439679721029061583793438\
7117471997592064 #^6 #2^3 - 
                    1908926864762029894571531903889192163057519467160063741599\
121946709613305975161950898288633122120664743594922834442966670071735882491902\
487838079265304258258789585799966657790276538223112346959069121974325816647477\
845006247974939720809078235242824499629114133658293277907049974542474012818554\
935463747303279111538859416741247892744471884237487226389578269124776456847311\
604841674509828687805831122086370310474496654569235554101450923800492495370977\
6606279682312927232 #^7 #2^3 + 
                    1978989969383090719913855862405690667503132395987541214373\
816242698563016908546837995610942112586355812755159001101722349972525653145063\
934800656530121045154557061219058845644288331421016538461574801126812148598051\
162485316602859731178278532584561661083791732733972209905243008127884015376029\
839454068465881129878425479105319300295142877230599062459110648990085892638266\
672109414753749599277563906020820326285505324916759651113513760885055560044059\
873384925134893056 #^8 #2^3 + 
                    2715905220672204520380369405930302798401817903456129313128\
319525325116968593684611516247441545424370632630099167774252708564888318204561\
142141454226014442418006561131942459932751633038172731069995543034377575474615\
654490953546286894809776209928862770511374683569257560721771067096609816116700\
275491323628530445622305149339250986733941428739201266540766860634084730039911\
850419340326352976479393346036350795752388020661149649102945381406875579495816\
31251201785940750336 #^9 #2^3 - 
                    2507839614469352013020854298131526991269399783657205946336\
992330954619140237302927947688600449434088107632774671682739298235257281009921\
756312566753805652338777865257039859821285157991983933761233186768182705446849\
662846098662115813203361388257437162749369294756504286300756314033989197422078\
355668895913776741477311355267222721077131899345531104990498440158691037091319\
092978823242289460026522426037963017456548100662679106815762162509833545916034\
7546144258327527424 #^10 #2^3 - 
                    2272845741838609032380097314042462599991028405240547360526\
411505988054293590300441245091738020179128898823002787272297699064438125440663\
397075300636254435460236181548859699742778207316324415479531734611995372247620\
267750641715313518692209187180545708973463000493129941212722709867767260540784\
595107335838616347721514842223864866015336695132175351420282911923652632145851\
025362992647988898766425736890799937464526930191501954381168870450630032346415\
568361742532372668416 #^11 #2^3 + 
                    5629642205383851969577760403232757526968577576053435806730\
367309916752075982917780672324889566968186947524946252873471781786644116622511\
630518875074312793832786173345123799787936307125242578199437333157741985378071\
548739705595857005083358517905373014138314437786976334697301159795687020941957\
337319236156739776877776359369473265037166101603124833229016504363576560810953\
215320464181014362830352733287479166455820082896159431250557820487548009024707\
03210591908511744 #^12 #2^3 + 
                    1210927698852104134400446330393922422515178024882602563499\
100798193461538324485890289574194807388703694088342100110161331429354975477154\
692311519953588565416541063756930293523921416150707505385786425012274609850478\
487258663464978088236589784976043843491830249280351300882820911643162168055523\
506116264784860091185413299604071371692430186458455653246782289132786704640045\
189808901304767291817001806372082648893313857351133912792605334580469284441185\
0155489490750960533504 #^13 #2^3 + 
                    1329933506061712023191782528330128110146189236728236547996\
762315857546411496564974391056723192593792869449984479131094773995730458952164\
902721757186806237495149904803278747130429683090036980215956981594526113119178\
862362953129904871051500535963878994483651085786458923685630611182569727999338\
166954856659526731977310498961198031955075406924625854669792327082626983671937\
818081432052182086084645542186110277510967443676317720913913331309938555022180\
229649114648727453696 #^14 #2^3 - 
                    4269450329390783393828610900796210266048043533300608083944\
076865638698338838728084406248657888992511710078720995270783033616965147681871\
470480407621711324004734678564014650251823166405260791770539389475487206995360\
094053723479248858892466526847020389727344543441160971171412855982996320835845\
592689944107565340747330126906483036446563849504152434845241348846908488398973\
088310670855363649733100569386414144333402880536246087323115001517823473435111\
3617652735316245348352 #^15 #2^3 - 
                    7946403831709326029055875486462515812688427886361034010517\
472937106001144146620251546001322839200036188090227111457139874249401446487007\
192849642977493280890191531121860352120301934918136840963072060393255205217532\
215671779578460057522996722373855256027401449898706040537493461558168981964649\
869008161129655460987575083432383397059905784714656174766641582974836452132334\
849134061125427803818795736295193968493563594097547039717514331498659494297855\
513306708665146802176 #^16 #2^3 + 
                    1013572841690462885913325629914719043457444585855792806784\
054708760781336925240276105300824421661737219608080024741225331922456290376173\
643760057430226810752740286649420801885060081238519290727331197111439670307541\
508904933773849232677940732283996098329983975772889466775656905859508297498348\
167925072032350805453910102281535442062658460294311927631234884864755313295486\
063607591357024922652213926299183401307622266304309638868265246652568767052979\
12474019653940678754304 #^17 #2^3 + 
                    1829443532689272220030925151072307746538725908440144076446\
567630084595367696488126951842628804132932426972097908883485074075908632316751\
940009665274308173749727191067354988430677751348459326250568562234474058815143\
177586509549788284503416750711627856444355227545493981018240979558905244678788\
242235374513854098865753427343425104476001460305291744913056451905972878682920\
723995782427074232354639390437792024196792086543618781392320610011449636953647\
8922463352622496612352 #^18 #2^3 - 
                    1628539625510042402556667395415846131612156125901927638029\
219833045394210474697051297005266909986204686822347405532698847404116827652281\
593959169415845305102077572714768406180192306037526186405995358433024405356417\
242268204367640868130889422802387960768947026759561559443456453636985443471829\
342850978338825856887590346785481281735074684159373455716022916957924153810169\
221187912305587586679231955052338529910477972697943411628792316691778115635331\
54226229614026273325056 #^19 #2^3 - 
                    2190020275184602323811474908858573351740777480854750028966\
346268965889320889559197365496087465784614303849698116748429030134014968129007\
471886945880027079354740285891084402624217924764453133865466829682025538588586\
532295511663957772124953833685259558311613460336299047465346626101737909097958\
150159543055756995232069749079393245543887294187417377152269152730748273084986\
587104697212119810634688183607995502580751441726090358780343853471265012207319\
914073375419496660992 #^20 #2^3 + 
                    1764309974420164433487106779276638043888596595188969372395\
709511240859824318396961414573946769986940673096840062571019012731467113749300\
111485374138354192851078825361617506750078343090324796338471826638015612623736\
229367447980328535605148435066247031229531035590071435683918852558971039729902\
423671794617886504167219346777614547377376335116148160538376898856364367885850\
067421237650812393833659071940589186179732238677992275088757636643975174973962\
13289166577372105801728 #^21 #2^3 - 
                    9096058160854757029788974684281485765372423574496470933036\
093310868348271630958836890840919221608158506944292512043789027004374897063890\
892417090739508478152758984784135128807705535951645083732386859789556489377113\
685205065068538068909122668793568336032829691738005408275957779462026678989247\
512957515697657842022955429586182079185676678167444985391680141069141682738864\
870348290316150738608628895448199582294661354684164242172625872790888733529492\
8580239420851381862400 #^22 #2^3 - 
                    1276950854134530839512534536010614749741340522372315785163\
829521932017272962887708386817463117148002276522649637117679480002688743371124\
140582835613750491158793667537217821506623174599532858397559953148674292198985\
611668966638339430422104667238473476318276966358695886762409500856318842754645\
880569337232676465640376268501920263024278451718771496966732303200975050549021\
241890163735460396079709039669695379870378976519245650453998981773829384305912\
09640944576079708815360 #^23 #2^3 + 
                    2569548262204861340689661182490209248045780372906739323651\
342022104736467059437003903174556143732047618138706363708558209521192306685845\
698119419169609450943675930937957813441453734428239803870492521785171505662741\
962906299844829791897377683629219113391929870799000425285048549248562689631436\
627070360444292313825471723817853487269271336574352136487958694051846111018535\
374476368900680696132353406080274869949243279269793065513502752052857126497424\
06860785153853372760064 #^24 #2^3 + 
                    6263146397132414058626650362237337774771124103801211961088\
240161322769725382191884256884219250631898015591822777952505179104963944836526\
920109515244682132326009771593403095916819951105574802981245005977966085331030\
221001708978765806134485457689848158596900929193754975814113607164796590431109\
364268324164651710062377734289752578762878476214289659938608274718765826138884\
973768026072966581178182861386459946260116635294911735939318210351061384531811\
0245817974440721383424 #^25 #2^3 - 
                    3995056395135222814564092927593590744132217852119823643697\
539507643553794706652820141861256212843018721261501864075307968853155467828433\
204489591983806754286351378941631264566738057350294549591009741373416180821901\
834044847536815014469922117930809917856661852712680033300735261472408716072802\
490495762871620782299367038175198991915146812190595473072101968418551339162007\
111604425738568761906960925179880904938003512306958251633769839977523114300589\
32663157228422563889152 #^26 #2^3 - 
                    
                    2601211740681704034759387856915211926331088434373993494857\
604897125340032268970854758594235929121175045797725203236384585683457999460355\
051230094112416959151286199495376948137711299819448924681867199771185568747563\
901545359919298253102646094915708080957531042982259128578364587105705066455264\
303831169809222611056055273579672834295598732712686223952603782144262578902600\
058918580433060806372542127755346019506698339352518632930811412335876665802947\
3218083328765886201856 #^27 #2^3 + 
                    4232094048013498405283392463043374107454203913674024877914\
131741605493307153117773466107716036852103916047099316249947752192295279140005\
802746835072346173839919344216248687438326627351647219102356499005524823377321\
846524874847311299546856088607132890492879029254082686417698384892425812761018\
416683446751483758103171180810508786836059640658111794975384005227497874936831\
706737855267509000964035395372172441791480421689412382011833730715719045871927\
46696897159562704977920 #^28 #2^3 + 
                    1647149321099906080015177270165262909597691374310968045744\
632205532056431813326645722235667885012029973646171292036772231095977814496970\
648447686644944543647452518752456681068758354220481455011512883892095543426808\
827276940383366435768382529037355579557411645885088695572402256040330814322935\
253230056534625401254552517994507992257902478790518311954146290463554249103735\
304447704957150485190125243907194719101695721271730220591003705893279462488256\
9479370300014762917888 #^29 #2^3 - 
                    3319004039562422244600861818658315396061183739625879847090\
568248740982930196185044153106508795543380365457905509174763454230552345363751\
984945906593063371546975937365821303257178558544569993021795174302690287150328\
274784962243491711926860137803521817273897585986610615432293032074730560053882\
568692500405555677900900638183216007564746234124749272128219419633823629483743\
717666710998372298922832457909003699387863767735833788710880598706428253098729\
13025938657981461692416 #^30 #2^3 - 
                    1268266698934148535041172345589021002451371625914027553386\
345817432418921826203610286216679084144733016813272106744389081000771112116505\
541657233085173962564213771041729185792015455490134752453605928860739659098067\
055859317813203916406430434199875498026023033522898485401738336437832463143736\
445935000566367215252655255665268878059736936849417948128939738966947471645631\
152571690678409112693715221940201188411388863861783480161783563207460131060359\
5421136871819678056448 #^31 #2^3 + 
                    2026253537050282557100629127588487370248164020117693063364\
191172480107780949964873422675578865776640926362185493020417326189723299286146\
602061367007020169190182055605240955701881170843768341157324211666206219858314\
778758716560895898141939809798334915636764445921869031606307236398521215102346\
623877210431014795409298108936275508506362567301640712521717421110592369577600\
998094512013843390452898902492245651695298157732304303176170050207407410131650\
08015008049414822428672 #^32 #2^3 + 
                    6892762161672967814852981733343155267236160252188550613610\
282350920344511261357402869756434982698173159902930108554390133299489342669753\
606882627906409465102061092650851519821942760508727144400859579248375043608794\
568181151222532217998345878470356633382734928725646179927963555781338571233764\
943806754616212157561164262564038320598057267688754818138416078187859587830469\
939825625561620992017191266267560355966140352043329006490427859024387927638855\
030684406052676435968 #^33 #2^3 - 
                    9996187984932052687753349403872263090589256187883681451648\
042303908779813303925681931252959352326060398342667767343996456037684599423939\
258484019305230042285392387621140402381305539650809660749940303077583249709106\
547727380679402595087186868560318269988231197162199029511847780068377723785539\
698401443118675378352529045334131140673334430767488975059253106178095745240839\
909504743016951186064499237234449932148992459475770133335900549309699874616076\
6967042439690196090880 #^34 #2^3 - 
                    2773291496376792609367354939438651229755455302842121751141\
018326697152352725514127521031644258361353894278272225456156790444701021585313\
981998581207408456945459153157573639538823709997966715235933552087058275697235\
844300505263062633794605794399516504250704475580154723115482147372157856369418\
517337459945694977682664236275159044053359583605713888111103462476717083867631\
514564355077671063301731058550120375695734410114807602179273317050868293088458\
405129493186741272576 #^35 #2^3 + 
                    4048565291286861563745708827931721558618793074808091682891\
164379217109108085738998417584684719382143843814668009123047718445950009061384\
129386106013338569532581575046486429388916132006644522481182477489719078003427\
293220061022321896930790192377869669778997836299774258902258243446945431395196\
661768822581539815662917895818574641863612294068645051860008084289870806726596\
207193583966581020178681927564287024857108021422670484106343279134952659398254\
2737203161570679455744 #^36 #2^3 + 
                    1314088201876022166973470098559779797662067734908772202702\
218817071064609472631737516833383162332953876166810180250128422766531914423116\
866428606337385224861996801642209803916747659315186706642538656685202199969125\
691993696041357255920087144281181766583229937245125149741648073227242969213393\
562101465275149301826934665666078176750603555207950086913229270097658939440458\
848291382530840290170950965747854692970706037616645361640336427347627175432041\
755067520311741120512 #^37 #2^3 - 
                    1319554587842205436636589557120162295904174024657567618130\
257582112597271953393312873626260336526179642302830742532468420072229489355125\
299853876911413786984898983211914459105533588301355692524325733787031354204486\
447496548707121660365626215175139279430419957417617832748627078101483510172176\
163906454308041423285451960676457274441763317346355224129826513451602998521581\
850533244645478771652949800183521333496963349153469716940664417349637157648248\
6395897961294604533760 #^38 #2^3 - 
                    7173624814640898394305349059230247441558290859891342696346\
037793839904818406137010683657129212816696399215509218480741594852173407812826\
524985621294607704201440654864247575752723680244436684596028149730209357813644\
964356307212903254994740678442150169455729066553923050626239608948480024051491\
073489894016920589961076655824516618397746064047899788785331850208782979654853\
388700836922716182324388151004002038160151951416441134107226039514918566678132\
17073178452175093760 #^39 #2^3 + 
                    3281333954884210908956977353215332148395763304881897527787\
444422975126110812925860296768534684544112036072867168163680334042973846950664\
819465531243084259069863136382560954103677742768676534425411019268558426803867\
925375692357561873556911409606990997396832143576509233876346711767518351313316\
392022765335699161963202661053706416341768832830604463719914887229031689112839\
191452207918085548092312828805211448873979360817357078011161228348526275936421\
575455470675474513920 #^40 #2^3 + 
                    2765410863828356388181226596714963538263821989712003168231\
724998527504776615745921874419003911257672123000023559855151680071380088533694\
808644613293433598967463715088150878075395928157820270219911731857047274455814\
894349371968756259444716532643083323215790914859239217658713720816064587449916\
091787346642449543876453805560050215185682524252434755323645384082394463266991\
578269364039272684013060492891051101938205038842104690479058671063571096872222\
42282057114929070080 #^41 #2^3 - 
                    5733071081817244106330161102152212078719366579379483687841\
091889607280111301280323598741380977583951828002791946916393938704055215968837\
485438717238796007621908597876143643604565454020885709487632295355869341262897\
524515875500635451826172409877067107897302755442643559214592351147193397194245\
168921910207629532341089005950243549168622626044778378383333073076996537070321\
013856586232431898676199720007823413510859449523116713172717729369997218183937\
24848489696770129920 #^42 #2^3 - 
                    4450356115553618912822724908108572967151800164536203445430\
809834687274860878107247217224433182409139142595217990720761725485735150550410\
702053043591979564022904820310537482153658234106323862440154373981992189620987\
054987095145409400582774173937528198283634580600954126563455475274294179369000\
871687203199843839345573671404773135327202737279550178451103836810556809877360\
124196738513129680579939618978763416049536099002831552814029519100450122296044\
3683005936623943680 #^43 #2^3 + 
                    8090164358433082926688887799318581844163332156276917414296\
548885917969942348038654318779867274317565736716500921157378033822556614292853\
243007288734816068852593314386870762278724054827779550019927208061141612737604\
863488393465560205557075445693913165802662312820913170854446151479735540383648\
428522244746334369703323405480719861884711102385300007697646364839891463904705\
473718854399659542443644056246587376737314868224922352817399784495649733181256\
6549588830700175360 #^44 #2^3 + 
                    9520222415704550596662847644794127777137783323570717317582\
500806047992039167945841702544285666089877129340206501177291560901870672664546\
880599815930633162518966306340083949838468482480862431393413560679666230144135\
950881172640948168498561397024203759812775747719825339129607247124036436097164\
781493133137134023477633273245637953053657369631116105657865156083896920888490\
207164664764698966539828456868720678262097446682296519511008069761927225938087\
788010635861688320 #^45 #2^3 - 
                    6053397642559345082802492279398671710590218123608315945967\
374322549112789560088459431139262850912237731770749477830082597997688724480803\
921160959283312296500532500701085670588228674040047627453478113892111152372537\
088842552146410832975097834633679471845439339958258990182728745665207254532167\
992224550603409216292501963290023728714911099999856635098532024263515264758612\
538858084270144663098007874478944163099120096976056298485145820479487025652899\
402709535503155200 #^46 #2^3 - 
                    2407802895943251587423149658856651873647394728702418573520\
612267491816262184237496243321737093349418044738333632368443951987873174979579\
938010898528039656532343864323194331763598111854993933335708000488420763941286\
609124298670563566732923244640297799961136375445876530295574787545197063408538\
082979205460212009215848645517014585815429365314335515096264327916832452044703\
102028958738346203932757405087035815021556547604194803609336948016085963840321\
37331738463436800 #^47 #2^3 + 
                    7143748422789871994052085555992553591936601838203973711106\
683602210400413364848957615680847890250648148570702677384539072763823510737232\
363369252742778841240503460771332347418287012832141353530047550205458502537551\
300647111932801417877176847740263221173266077200777193352517325146837688212696\
698524102502405467578141503560675157983345897911140723412046599402245425879482\
074993599930947786959572042596738137502359865509604843549775930836691997710158\
09740271150694400 #^48 #2^3 + 
                    1631883445646742719769934506185215459502811957741842796564\
256353521019955733070404982046275356179065169314366280328149129863128210214500\
813469855418336828768685478937041756889407577342435774798718348294064868909602\
549707651856330709768372848260963976618007380277931712853198063242924466255847\
277972069490179478728966581731455981546918154917319428688260122432286755532080\
989166568232689100527282579407321426305005961578833123179733326758970256124590\
24726153704243200 #^49 #2^3 - 
                    8133030208302459678673747712181832018129522631212941176357\
077687209841587694900007789741163165614551091011450346565645706166908452383021\
506036072592531080557810021919797324628858016601053447102444348017312779943137\
077472313396662049775035639309403130165067380980141321527704091482771618071394\
033975327906191352272073980221719650936695278157572253941836026702464372520768\
426642035919338638015561009311515422103054406124457600705187022764803691871938\
089804349040 #2^5 - 
                    1346384581324221614566367586624215276912514518954567293619\
716184134265446975261496163743381551367721476115840040743166236800160696021054\
347397862023146222693188593632159444123291268580160809757762830826328959906324\
859458785844061547058899775628121897903396531180421799539361976274665918580572\
346633980282791907567009459043547871426300442913914348014051546269644220123009\
870739155562018273754361481530548683664148774929741089878601215807802439301168\
19678793399072 # #2^5 + 
                    9713894009524141085937383499620785099923167208111874182514\
516326327065135877029249976693665991538197814776622244889724702423263686798573\
962890768578348149266914861156198618262669733363393089664693707580444333607802\
444495722562428125760410913783328545142788085426325869979488081458904441809092\
720913477451944159986848076900012295261069927929648985159199249587453376239174\
227506733218250750852281778601124456009744855613307634043179977610732227194989\
77941178063552 #^2 #2^5 + 
                    2011452242075906029806614391700987914717023675745626620499\
842545356650806237015945303491291494473922742283031518283203198270125928340646\
799118753969562891892084714803043372795963229842128524098904227765561138617282\
975903405305111817778151749225028925472146775621385683285820655919083440229641\
337888790206971261608276506337116659969349559378595923176393092008867680803204\
742070814844476045218545682019136922290887602020401863782442472007181252167039\
6983645392881792 #^3 #2^5 - 
                    2479460110107291234933918229750908390180996038547393067526\
953615038867399280918446440156022338480069987734228209254617196719932993275120\
891034405459468495459296963492750367001404374923092618852770656075633389725064\
445430135580842690167310789827318614346795168487943965677342556314909456863571\
561406974011355051509999380814344380566026368799534041286635938754571447850910\
045090795506839838889210774493668716978968617523003680665520642199907845569753\
0405224946812928 #^4 #2^5 - 
                    1110429339533416224324450868244247512076075340803998671064\
579739508158793986649929420112942160836424697765200744442198537787156947978624\
389471650661989361952813962956491044847873726287317745210740366017400454258740\
766243669107365328591872028443832133699069397511178835209818924653693921681940\
153740049102702475982912843360090759101004311600839665806673691432642949872354\
502788615675870806055324159165961802000742204629620968797340551013820435005340\
396705109104517120 #^5 #2^5 + 
                    7129792273131622211074032318647110560050744528099980973465\
034661400923484387163542150594386967214467861700456422925399610585127376945431\
221716444823568304142771253188689234181278788059200928346027710118077623774759\
026600723773160993105832674954906937864263588543623962258894946873989529840485\
851650827605212115004325740303119738631925178910308339681763604029970987293130\
036011668803419697194826839955656465893253525069661296524411470320810727186787\
5164053343804416 #^6 #2^5 + 
                    3080054147400202697821813968267001588538522627105670079629\
030960783084516469697117220715841551692394981274212265221422378114418659837623\
129171967617378556145136474314703027638512710622032729351413134577746669535656\
651540461561036096151788495968047088764182801032708157331759363512372923557981\
348341545011959390019214746394329293894094771718264477278980008263260248297773\
863538076660605864999601387390037415285965649898240261373997454542953738544317\
7390137690087231488 #^7 #2^5 - 
                    3132587892019939982642116284467809566025123649298588441126\
920672557025478295205299782849620903531768984265009381686930552319899777339144\
139305441132877182077594450844396416429020582936297463174778261213249368167883\
060726581193051801375570662921737708554813126497089704232288102598805316043367\
522085160457734335728138045758394847729568682869952171559185217961391239763724\
418267338584275302928900300096352314907163994058629942894752089020544226874163\
551012349004861440 #^8 #2^5 - 
                    4382713081029843521987250159815848547277311026457480547504\
476814500830030665557385892801636107845171184891443098441221826996986595272388\
533684958113781433828827516830942441223259320378303415643819355131325828554845\
965505914696241252878098355333107917275135097877997782110637057627515190635594\
875271616121142581662880352589714130749777900221368785397918831860240896721922\
883245837119330616802500353532947547140143124344080860406256746923435711981550\
70908312512227401728 #^9 #2^5 + 
                    4013576856247089346000964093055917205512233866733109134106\
174453445346905338321310445277265116420178288025155761186261579285474334691453\
808988650578315311200925355805208314285973402048181035751427108690101219456774\
233400760782121813096997188587930300456033230481110360065849829897622183674319\
713659616574040694985267812940326437219534357471148330718790874782527869963682\
012505005468254135970239369164220089728496651104436814784083921383408539711635\
5020864650939170816 #^10 #2^5 + 
                    3667827244010103596327155067756613635339122976060652048180\
383880313664654974230889669990071967110650163232041696815984004657377054082219\
075955721253866186980909245448576883331513343734845755039971781915910053211597\
429496422514484942164446701394316377510982582638548925944038119071043439700944\
002248754314433882851153142436288680245172289430119454570178293841704044799758\
971814492181201763508441088719534215616691000767145565717454625090283436710079\
264725480310858547200 #^11 #2^5 - 
                    1838890613693468474567982038951170089089139883355538187974\
131696490737435327711111070405801404663152961163108809094002420558025085981704\
789173958611317564678327880801410033891820948316251618160198368139491411911650\
203480778894137917301673794146040059057557504606951090081771212177034775216100\
650827328180191304680674648768862162998348275448797647671178093135405411999058\
381767274326479886242917613932142285234308899550165834049174698329190268151427\
676828637134848 #^12 #2^5 - 
                    1954124155371832387361204784604058070991049280711421788427\
701169910161147646411371912807905785946956735492998980236378226606003777051515\
558781810640466858223681934570638178235336547898169084064262342795139626023304\
082533074650256080646581470080738736295545922910652905742993030507785077448971\
402208195032834016496897553946104778025890910814403890991859287120662777429960\
533182162820751057837513783978919102991493271908298683498980180126638882001790\
1384067093102495137792 #^13 #2^5 - 
                    2146340861218501478041760686783486786730867917900059336871\
600643635971731700980599128000880955494759382342321456869506707148865393687794\
627275720029583186311385473564203463965253482024070681681683354018879284600046\
785400541399124195786474771136866881570117115040642715978343271397225689065249\
954968721517626263879530240665921693400326598147916091988647188762412545569440\
031734852824040634411871825048569325978130136178005594887617710722518291635508\
081192271822833844224 #^14 #2^5 + 
                    6889650013362157773928597065503731205519744302477164192380\
018579907344937618268787581836849687885640414906527607601966952633144504402485\
418241293929462058184638546352874678940076456691833162639728670823730883561550\
011267949811650717600961622531036177589709938342801314953702014555806147942982\
949446371572166179481066263874045565614894377584100636280259555534385999764825\
757385653516959551990460693024353988449290173017162536403884292541153754383519\
9072225061743651979264 #^15 #2^5 + 
                    1281600541258328393012693623518781141969871275563538275715\
334779366978498712177928003795691729807475535606181907012223196800318186560608\
148254087240528281029152668424085941163661953507742542619210323546989068204175\
808801202175310955352998488289389960139524281818846209997651748308722751555217\
036520313257851491894692508508798751846233252310539412903877417774160281994324\
255181165774950346086359568222311756517897224627978225674654892262193012653967\
8960885979174102106112 #^16 #2^5 - 
                    1635575106390471779587700468868796780941506147831099976648\
416159127991142743304126566036672496878880234351653217742888261110261442087517\
375154970922868212889951938431575873260021081180997341620277135875138314552997\
336086695573140914362127760337030509084585803061269915631206593568510127188316\
848423794730062799580887007613383552698457687593658123110248836531679440015885\
968747193824624526600527817156938533782262947385261240168286891096152277841517\
77470931356471242260480 #^17 #2^5 - 
                    2949556621948105941123723262528867550474170362026623079410\
012708059737685983231674877409861656669046883058365162382737142139923762636373\
058053626094170676106367151597843618962414246256167594694847775390816065674718\
434935645673735434589285054564575841613817211949167642468096442209100090408338\
354507101010867711487302497231720581978983375299513474841914405424767881092597\
282190877179962506306384776226597618801260892222384734722733661826972306662742\
8114995750174086660096 #^18 #2^5 + 
                    2627852263344644802398411481554982512276338993408427762020\
751907757728823562667716801822315841523553440128935005763508484393804126567127\
282410826218376161908164443663496119570824669601580155678896998375213271675488\
714362530470753233045553729160222263987878984220245614500740185689383055830428\
547272670702876264680730920616769231033312235659139814165865288831125412082438\
841711361032751466844377704142953703027107595816560880614381298763157387355950\
50013183657627587969024 #^19 #2^5 + 
                    3486586027064373227165806292776397521161371851486792222572\
138363337489654754130263907464582433805310956875060706257838755454669026945306\
324816506696281922552085601844496703050121509258316523083057050899838735702752\
443468998499937934046091639434921334715318815476411686272425648119590163298740\
485395445615327382071560634605570941408543491792871718747443226199931250702510\
843782552558589770938499619752054694508507068477003686987824898177879105406999\
602813659284208877568 #^20 #2^5 - 
                    2846762813998703140457011534104813972066337631331465851005\
526460341491868507460965749958644862054496851116801965409257033118493116759556\
230462326485749251520985253687546713641162012644061647100159712891484437577603\
188332956027221787842387749470714349827939337238264134480598881238975494571730\
554546526348865775424257703126679389229046075431481419777407017411024638614005\
690928913823471122021110118995444497456131688270952136625883757843899751735774\
61871103026350996324352 #^21 #2^5 + 
                    1468274686504131747590159761704959354270360811140601852354\
131634702256860885893924157939091038377940777971912978762701522313698323606512\
392317200936547423284132266939924303358252928302375806186815837080701001253622\
725235552869211279293632610839658184927615165507310414270963446396436439798597\
267779581433618160106731662798889645687095647399060557533107350538275603509479\
759904962270056995887019838410527310971110420684056783841121984379135058053329\
29081262233018343358464 #^22 #2^5 + 
                    2060047229089692814065487285766503757492839381620071931847\
530853597836789631859819966774266501677254420011137799665778488947113326644099\
370622200435460266688566964610576698124394287980641696683406554859366441200377\
322666368761557347255658756166387732248236237643113044411985960668294687789148\
574618719702404965836516311368986734364917158091110195910162879473293172383536\
783267532115617548331267425020555388188424753883625565208067422796278556623453\
19738174008981052194816 #^23 #2^5 - 
                    4146511331786815494797935538319126834899050945875298970380\
596159069416545102688974368865050868092219174785059931881110412432746096477421\
587378659784137888389953576950650508554270162787751324865013840670323158486898\
232151773515119813305290539378679726796679614544117732014854718354505644938076\
447898550714731650645771132441389359086527613156148025530263393731055244993719\
550712565472791971579909570114526274905650383033202849142888023292009244224936\
29820363644704422625280 #^24 #2^5 - 
                    1009850341170611758674789755847354599303215717394123281197\
628773869458750926266432763415379296896244774452868869464214358143314958489900\
665496575523176002901326454945379210574559586197223771062033836522589925937864\
511689999417203118070457084338982274731058103620764414184750594071983727725164\
795226524756984752849084048565704485250950325874742275336687438877238166038624\
458794289882598825093619545115304762264023812806570770606256994729079169570015\
10590786148916218822656 #^25 #2^5 + 
                    6446300575711630167983661951382424750893765215219529771910\
468520156237859365043781467902922830177992696953312831686768888031053387464190\
462618986651313697812790131559337231280817249643349663612030672179060836061027\
651300011928244861971766181644525953507592836855772649281829096116938143550484\
211639619839551242506851398831143710773636749282223345732124428050832425868405\
631176417275717002229183571868109240018988634990684183125845325213086050671487\
58379532267710826151936 #^26 #2^5 + 
                    4188069921079544948630823648726999522118066523837168840228\
249399712535335054107201713546929669586874196830149745455000192326741239171689\
536473729981690914787677132780130746868798438319481936576229358799746527218208\
835356976697027725410812071688517175305566121668997673954514657457221190311311\
051923553086715784925961533575548800903396460662892109738268419106050856517061\
872364870449008808196813292614105114431132616604907715663532889078955119487386\
6025938901370654425088 #^27 #2^5 - 
                    
                    6828493717691958664883868791469919716569082718765942130546\
122790021667084439794439900690930534328940410122665020855122643768352034778040\
496067376585096896071615479963640463083442057609241693666632104222703503967481\
829789590068090101514627887253505322724901815867307571750185247401876671883518\
642486809939690131108749830825610162904920959456915436128201885041432114810882\
291636756017960105869083380917016830796856463354017886671461140214663033088159\
28008407005649396826112 #^28 #2^5 - 
                    2649623298350376757000145776207261418849058065336926077701\
104582855698121616841801085382919111304393553980902804284517273457381450202170\
209646311230017530702435293757266845260769946945801490328834906876504710463065\
889998628810440032140652041154633194411509409415662856970589365846412322618201\
647238143781070862388863312036759975354574253664123890597448613618324059226168\
343258971381997643241252192321077010465693105113811350865846919588300026761016\
2757527020265088745472 #^29 #2^5 + 
                    5355086371354065528452643415723534386802558578756425515494\
210512962368740726374749536079523086117843341490412689548432426078768052950578\
031627140810724726833008178829135573136327779655388979988588360738385407493958\
539968967119461686877420725160256128132905324171255059056811445003976210873585\
305886098252676761424254450006015736497959450040928189638419548205460234801343\
175521793792137014073364031588080180008521191402913832427157638668869180115267\
98684473410075177779200 #^30 #2^5 + 
                    2040866108221037118536705227174917362137659705841596992754\
106292162721695983190426219226934804284467635639048198201665710398613726822912\
050415179165570415804259189742292982645698020003722482450037046875068334914334\
101924022259039840462024702260015861751286245590688673152720062414325550659963\
545434086780627275609514521980212469118540809557290657769129639319660736972895\
062124534351876872317254268940892814062020668241436304367081772936158390753230\
5651111601773672923136 #^31 #2^5 - 
                    3269221152131574174186336132842659643206514256708176764153\
395628985341751276012231937196376032385476850077768501544192000958578446561423\
350145143093346181209890739622168904485520341449080714809479267076750335920715\
905388147783225010608494719961216771823458291634110962058443625552322144794545\
612484234797064679077982973020709253437728456611484826637153312847747652211052\
239290427337474622309531333657506764420747929764559901907184268588223255899987\
43163231222075240742912 #^32 #2^5 - 
                    1109214243985105751040081908835233014335205134642664668990\
018350961238615327683202547465620022281754245467011766943007389019336750016916\
698864412669169964314614347416526701453102376662271877535717834685548879913913\
780383757247596292101802138173666160050324067788817881159824327345389673896026\
679559265334997189865094614138903500170717695604740239644578110525906907009214\
410449072961277314195023024025377450213984670664328449463493760349066497155368\
6965610027677059645440 #^33 #2^5 + 
                    1612790147892499418894061253679331532636229377610828641792\
914229880986089313211575317021078731101557477780083956241234184300663491984040\
420470923387690997549569335722605496993057694983656718833125319203192864245353\
366554527351183775037006347332465410139777628715552904485548448468722682846586\
816531727106545254081745917720131916319315926072610174722128190234215084213591\
858583576298301603259042894481925182564584310637510432837382636047572077295292\
47283795841660491923456 #^34 #2^5 + 
                    4462150824935337667408143861204422609097186738379416701299\
291524771891342953862892933647847912507737550076062199444556578455528604419388\
844147835682289860129406309057255789356549688929635518323705306587664947335059\
628741835363019066456589025467916709445723829720197063522615758330007285899301\
776492934956234936920601865077220846233535664728116919892831268321063611026619\
816365842952245523133145716102211601593045873378484433961117628036900818662851\
857635353365045051392 #^35 #2^5 - 
                    6531886290046038791025686768272499824744335652536822791890\
143054900408601781924637625524981388597124133454069097632062002667500614271322\
458139217089035177344021059330950410548270285105109794318726274804921743498696\
445040715237139972226150594038348977381774520036867371178762066438666558199078\
213862836095661400163473208617787818632026371176755455206459051662656998707446\
131079549198855443824627172476194299126741561247840755190402795469913929067046\
2011531477150804738048 #^36 #2^5 - 
                    2115949936182274957746770875854563678673457206169288438257\
369481012933857283127729792666846186790214536840245343182256860580058934259615\
237128579391740820177016884103917922323810102447967884463379418542182316823766\
134353827347399246537594285480139640936632265518713834611456077722989649797637\
362459057278134430668779544739216641945029460964577449923702822592429771367831\
395288552145759398125873909498300438825237191819194562501685226137877625342721\
248364326541234012160 #^37 #2^5 + 
                    2128925004696279292362865539455120797952193272103699792633\
659585960547122610649561274322342018352655435126204086825713058893966610360693\
839096721692037139868381993657496507984282421346333030708085711858916918005546\
364040443324504870650665530393938184616672405002434231149583987645840294979168\
855080663410552112101462698391120420250347039562103630016842846286447207566893\
466634706050589536469795235676569961233240874080758352922502699207864612575032\
5319374940999841218560 #^38 #2^5 + 
                    1156272729345845395130426378646645309698517382383522810636\
847090150845709619639526452357311792506731033167731349162701717878574742105713\
369874953251489816024211599792698232239934526637655121091807642984044915996965\
179454354290127413757079131689311198482777942521344356234446838993818200903962\
175815254453669648545185052703711904675240810749103011597701728585620721517403\
218226645681477047656937997215911447232589787084089311687789114968750983959759\
748900369900209438720 #^39 #2^5 - 
                    5293954604749875960068561953594810889507161478300463025647\
104973247811073552685448169032067606330549606837464718095860311334535438637826\
802218290195569227178323365617966438704935688919594573932569943940583583146466\
517079997420469799723366337787119515202009198050238004987045318838042984144059\
909026234302769983517231794379221405671772074283001304601462462105332153995087\
555895569668402830292516266764285336421958653956580435608208933802387017322931\
414497683132215459840 #^40 #2^5 - 
                    4459481184298678675872810788058223603925495927247164576383\
667907285355445127210092610606437714667495094549544640881041120570846930213353\
343519016374666412723410994305941688873201969238727871159015789731703193984848\
667414663268399633377519090808408924111040598756364859240367195783121433829883\
040225273790723699738407978685794951126564185573324628911860824321083660101929\
443606338337495569326389838591459946568190759327843170940614992809978624617581\
67423425231810723840 #^41 #2^5 + 
                    9249393223711906296569950421545465623112399346018529782912\
294523538159731415442674814191294006280906194676299660305810922170446473620542\
618403298295672681263269397576683825173056103008235241914671324567290138714259\
000807192541557202387293259510259529016962867569104728410340151072560123058475\
614408915698055560283221488519822315178171777242148779335511524085319592096185\
046853306777678492293648709779872944531957557555505071890446299890254323123338\
85847200465860689920 #^42 #2^5 + 
                    7176970768238784856240706019243475553959767608669076278821\
825111726347607283835684027831159237092287138540250886284844848216821952103451\
283270277042462324247884943713553540760529648512357791201621149622632049477399\
780565517560685918572754658940248497282467805621295824372623064014283813979024\
472689217157589817754033772860096928477541331669023533141431149574601104341040\
122139648058334709950119666860986687807785071925312227831758893233528270917986\
6914950358488842240 #^43 #2^5 - 
                    1305213818363115207957446401191957283981048364865623550382\
562281963651255035792170733975022859181286886773201506527830728671983762206459\
741642476708195716170817115353276754515496702343713838703479064415686048944341\
840728404067646017951278314430233860602254249353117536664515746938121295965770\
807692957610578285691036802315600954769763358022505850055833965658370189485385\
699110266250378134403077873479935097228972074914404130529314932570699383238937\
16740434034352455680 #^44 #2^5 - 
                    1535651780527761427560152758269319695392040846542015277847\
633551683535716478809672319196691966323546750656216095128330260990114186086497\
881543681648015074943470376521192981736989202853522397521699013763274412885944\
473050706725509777568988026130855683901653808709571651473512328141090021033659\
827290914679860444124356763041028334927855931162921207032333992327989391392179\
507268107419521572103496706605322531794859384000829099642832062710556457990830\
5039025994570137600 #^45 #2^5 + 
                    9766037601711440866492436077995222490742709532029880797458\
649357038442593355010378189673687604540718372678971922872341205095907092813375\
045263112831339229947609791956483872017334390495147648354218278060583537176909\
095161551928809907906572977795877591549925621730764552659644850353243757007288\
239977657130324503296069689157912842619106182662068646287907149776057877481518\
088101560974503700978680270691521671438267033928190224548757343411183545632336\
126536738825830400 #^46 #2^5 + 
                    3882269059613599204081635738069351062615997744383268888136\
319997136174294039599225736133067875055560790302600298295461106111609275548278\
511509260819568003772559020746754314145648828671311955762333641400382166514781\
809341436991922821594428726362811112560562146908059851282378432701577966597221\
767686135619458804272670558814716978373928922339010244065664415530348829443499\
320787395298428863448474191572329744345207578466143041707530466008331950985159\
56390142620467200 #^47 #2^5 - 
                    1152536842639028477291627160737893913801430062590044966242\
703786188452889526147360363771145573171674326702563043090317691107682503023116\
198196349483101511861452667000499799371493724107530978681966827473079706244059\
256725968543057956910762276488016689508683498443765294469421048739663195876243\
056318060041709031569504819573155268806414318132736470466243067555708248240024\
361122742030156683993722030215165693227047228748426689361851455570218534976546\
406163857329356800 #^48 #2^5 - 
                    2632654225326515937553174841989267282683788572362123714166\
083654178837796690889595068531134668073047129424836375785251575636483776385521\
022148849292729580606650522587986462206046090544567665940013884971890316790640\
148745535403908225813329758962250900700108182863483215141334141092892680904701\
464915126407456899434244338513373921912142264495625441565135940221280964196577\
681645308929314427056821497217617352703586002937778629708590995886669150872053\
47922318196736000 #^49 #2^5 + 
                    3721191024632232988742582658309274603228194347037830504599\
935311724360477802216099179634792746425769190818012445120699710135979181291298\
164937848647711077240434391298522924897516025155400960691503215124576059777430\
781388763490630467058019785415542172168059373113537118065864517417489681816600\
833171010832752873466580784374501023571079426177983960170867805406531329111764\
994410855231009411242462329919942331330636436658467597891810391016892070112367\
890194274240 #2^7 + 
                    6198719377689360831319423446885734056661481298261980543359\
909839607459153316718591664644869460107555897318824286968002336746637263515289\
061381218756464576893840967268660552617987398160854631783414816196151472435049\
472315782263709724707934938870630185622406624758873990964354292503611583590486\
360395939089386233924808979272853868562505943886446469092389606528520946364023\
072392434626315571417169325290916373340874340221825953779360871463365705951360\
7307630113920 # #2^7 - 
                    4462728655865098614384244838861401470299204449270586567634\
865468019940856243112110584855181483586787014500447618534344567040130054656695\
584868645473260631201767548251078930602485117227610551742448474783284037507622\
685459590400819031472599560576395796056933638831587321363835876931239152054297\
262492451675014929979291678289451813501062546985084354600627740393791413642946\
853063991990675137037750495450220123645521290204592458357223920455981455781156\
47369576463360 #^2 #2^7 - 
                    9269414010855338594755521072837358237241370808286508498028\
567439490659409539754073180676558130350067446989817321113283529234263737619431\
660407476770314060109496261757709244306537973081851035385653384944363284551152\
490249194738411956603013106383172468695724062374931385504591335222684320883097\
296270059286448321761639784721898995258367135909359008067532228290107604189758\
300212713665036976944704993379622004042910847606282800143018433822948625790024\
916169799007744 #^3 #2^7 + 
                    1139274073805203896292056717201245472991528417024242931355\
276792812332418879534137789996664726926312426623363175901949480077445370492925\
707613870165210296490491955631692656351731429180924382587039124067633442844923\
666930633734245380636911604874283307592214003426063222715368391621805346335749\
253394032249090885076223639366784767875527540229547534217299552290998969468391\
789689774670795321998440864919065315106324632832230453613445204523620869820049\
5058590444676096 #^4 #2^7 + 
                    5120959541688373369508933694756037404021049276840706112599\
008748179401129542787240136788459900683164487650385860640907575892294902791946\
322609448655263834703763865415911963192631195884855381814745328874618159345122\
990300498915772980702948822703324804722470239342031302268695898359484392032172\
729579223645810301187994412503848574819443025322698349427125056859043364212596\
398209645401951790617651936330236650973316533286704693978276543040597526306301\
54801492980948992 #^5 #2^7 - 
                    3346053942630550214863295194532877425222497160106432983929\
401750757525099221912362155783492531075732695846020807533761831305080884924092\
502861819735316683696667730377933131106747028210216488478878243207779262769459\
336625913970128891258403761979359417854488546219221413882320090770929398142883\
531274587080317653226724538575981435068948869608917600838928653073374663287696\
642307381635412855056572314917142338246153745073608642274153642827346854236860\
7204119215714304 #^6 #2^7 - 
                    1420507329088373492716216183782374206510391031399820202233\
576380843903781250445107570348899510642037538477293039557474332874875660181167\
811770329511748430730026871902315444350166947794279993159656926512079483011761\
705605965190752928650981415201421806177283884003329962513633981101713053452569\
710584713452311005963412847819390065661553243843599752727076513556897299960955\
524550308515965505007264155237070426580772558530364449963479545641944602242240\
8755632345968041984 #^7 #2^7 + 
                    1470803445621423088579621799702380633698112982181491505817\
036789305869766361802720955857562542393247529965983151078623154395420130448723\
088558908684351632056227806981090023613057491520620471376391479238493707541932\
102053801187157727378790813978057974308752209843073818602833314237851585745276\
708869131267204927837770583302107600991967388350975525262688420398972556307888\
630239305161421595427167349322668662713589852447013035827170535593404940532260\
892669124550443008 #^8 #2^7 + 
                    2021149891688368425067392132931273283951080481696903775010\
308795965616844305934965395132441250937516030989737899795794713345737479025674\
649922974977521269257128901738552555395903736323385006130495935316119306233940\
063918442864602600189953714115240133774739390074730184702330810482704443229733\
068289762373306302390269552698068135211906288500215688662285875062983213210393\
433919201001625885103472309223309803461462984837509891969768485466180242776947\
90418787553612496896 #^9 #2^7 - 
                    1884440279065281818002087791599617423143247986742151816228\
891795494882671992958499291956907704959188919137501036521667023526089783084786\
498145815693483513676437442344858141585199804746260285434408102680726697478671\
300576557204262313005637518124145305171161049843470577479745774783764795969093\
953409971042373555245356738092380161779586151331451744981909616037470740019751\
700489271638890613989634860329428056884387689666145839250950784761641122970059\
2365263714999402496 #^10 #2^7 - 
                    1691362775943267398869420061070660167108582024375879523736\
735236816430948503567239265216657158180781541351466489058749205391397801087052\
127198296813409247930985873995888391388589401587632348169538735070424300472501\
861618259874082353675356234045891539744831766252712395188609599432508535020782\
324090567364139294498880997295575203218253654447058169599834677163911267939828\
606677458035859616821298318135678920502158898178135834276505842310518304118154\
031321127026570035200 #^11 #2^7 + 
                    2335172684787765807903251689102793797862785917934871205944\
333624586808064610727324919851070622030415886672595001440364671299337312625500\
999995995276910093731353113778035947594527424570999382351168083679487352390530\
163964715686066863081144452716350280405823142235557708579083618913405317461181\
110976226781566177330182906345907008357101791375578606859325762983243867855067\
531589918991677065378638509488328132771436836822819099615226507709422584129284\
350971947588255744 #^12 #2^7 + 
                    9010741873466887732079876623810976315184676427820923859439\
585636969818334377328522140729165846108041199925016463804187519962230308770903\
988355899681348876443259194922797120210529144022436357324988054242742551727279\
099648945510820857103365163986445546323031729016825540302507652912257218388315\
092096150949078350642902484484564518456786005724270099431996588069616752160911\
755577963350667255662294663865919210665318763181623486920588079356081466213831\
260912894125680885760 #^13 #2^7 + 
                    9796004997733435375776309829765725124376343257887220664917\
130023341923106743927006606727779157652973321237342927770796681029812721687004\
994388300398622973926553280598049272104482819162464095250020601174608430894455\
816676636920306168467018643438558933549957299849974170324125586710352590791640\
071448480632184193430814836401777954763799293224952932558435888941796875433069\
105298480919280856690361977322049792952729521902804262384605379475301842197714\
74566374703737339904 #^14 #2^7 - 
                    3176796678741791645989614385116797104502682983429671759869\
931810119181131401692485134145439530457345069891211977152675841814976924064122\
373617673721416500352814000783699039528736726504442769161846486986254079280925\
860819862725742146503115461158030352969916517377173898802962066233864991599901\
483578278965278144596834166608610382094390971269064135311627812141110465389461\
004730607391256235718217495310775979903250389105262826492287914582128092670577\
7131959930918023462912 #^15 #2^7 - 
                    5880650943142643848037325615624421330703201996455309411537\
118634640793003224796551070761104182824092843340062230543804104130312564359039\
646702457510958651915313978652457175372608437904142252000885677514330022787129\
090418102068314989363292128276627826208994879682662097932809191750072043709800\
620438313865292273934996062274958920452512352374829811174932901322039343991673\
892632425643879973861697230973384634954756596164169855816640318346911260181537\
169613132930354249728 #^16 #2^7 + 
                    7541207522861769787938185124930166778963914797469417307332\
944191740654190253284618291175886788526175136590460450318317658074381535411851\
258784585141794208565743032563974592418705063491019574300447232171367179005375\
169602673645204998436867084197591323256375155742285969660846352404183625188311\
085710393291040864965867411202348476805361627890988252853872402240584852180356\
588839370813199137726344859517580134601477364604965162278241955187121466215290\
7246966869085936156672 #^17 #2^7 + 
                    1354486214760404102729717331140099732239836972035657323348\
758015569895118928900006820471282716886662665639892677604495906488632525592376\
911642176731114385130825637327552036822492499141561327903170314133599679333922\
014050971236847071970279027320247719078506333754189225384814394473846410175542\
096480246608319658101868902144881065454078411161612272168109531393768809015073\
312173121190492853728562497567224762574976359297570720426883208090032776244079\
4798514256536206835712 #^18 #2^7 - 
                    1211509479900391432881734545354536431154812201810437652382\
077645786600780093490069077889262079254609925547204578978530563412365376867900\
288447057876291743841005786195995124783297340447537965793835690066305765278823\
156168583806702932930351503277747610804435309471691201138315259999513031828996\
303566824613440105921235065626729875544127224584941194475653165896099041265101\
935874206927407486043382658677125038708749056533103443222820233442088997560642\
39587321060617011331072 #^19 #2^7 - 
                    1537234444981814414511669774282919326847477707422476739212\
430599131358641350800494367888081813191393690231122009204706053047802739082341\
859560932217485374356722077424134451765609663024822910438185797657727085666480\
388693701872309821997673691576461433811829193497184924669327543997446153700179\
092192028528144841487309013004477493193300683214292684881602152903889396554672\
977826717681101325443063403148555935284569769641995848052576255920916383031839\
622557535231807586304 #^20 #2^7 + 
                    1312104032470673535744781575808531873438996580590536736421\
833385663662553138361767455870986409274297072226402713463922847501485656674832\
887858204395561754108334047410825446512511921660816822783795495212116093428214\
142742602670553544854427688011773373152390593953078015495792214435442036307154\
715122780482851676401613389290001113662084205723667927470704297470117081298757\
211429094696468217139820758067850320154510060447654017018808597661463946144788\
85932136089114822836224 #^21 #2^7 - 
                    6775241532022185414261585297758795546434607837933440647884\
318960972211995244810903863031274994271350101441010500536113080393439041560776\
101002576861347265615221039291424100396539167461101434431358348257188363145833\
423002423927730660944030762019260235012502511951828957295596301282738899724374\
686960296722190592341339873605243526558310209426148073725875632486266836528637\
120414872781220883443919780005434125214265035730204009177763692744551639950040\
4245816784861855219712 #^22 #2^7 - 
                    9488445091365311244781448915340461637879177109699214995685\
230324877319743550392379747436051267849401475287937848629685613319152069071357\
273281650229918925614073513451858777992360768368266720601939902963579905225929\
342591420252246746006090659971122098718315762899846704188326500818315914798727\
595885920095338195418226433080441091750181699643226225856966626502348305291178\
337855178566032365483961294176706056710504724520479070527085805074672631579169\
3549007081364648886272 #^23 #2^7 + 
                    1911934093039102021266623431727120541519396423827925596988\
144121944286840024995121184911677493824710795810802425050033187594173470984250\
539560953906283546883611853101278299533716924592338329471618196498819806076305\
427643326024028935027328508846939781925515016716023842438455701205124784826976\
280782983685786884941863460871433794958173566451158490790421801171725150090416\
392911423409198843775716395820424575007101033776210948494076244124907366333286\
52335702777852606808064 #^24 #2^7 + 
                    
                    4641711336554092298147595634484058751704156267218563671915\
805473612757854488535910087020933033055800713487028052767540575597005938360351\
224081851684617242568835525439389986808736701314216038365545448395088849485985\
522651111184861981019426231229343549000848515097837285416624601501687273731231\
390452436662671906256510559121113503710109551448347396440461771758244179387507\
257464381504726809872221686042185071519622136988525512163023495065425020061554\
9444771942367240388608 #^25 #2^7 - 
                    2971840862268003772320318109574547080778860479979348528953\
984608964392146456488475071232762265627344734369865694501798585042651675694493\
846398190247923610772514979359677045110807939546386646573557837467321483592069\
434506927047806035706897025524559827382337631671387026315030085297749721282459\
672372939054589429213228453111242390775477502877815618425150230533773465644738\
143917614346884205261489390951792145804693182669290345870512678274763220744183\
22864360053269944336384 #^26 #2^7 - 
                    1915565215455052141650627328529212100594599785754044095950\
097242443971765263955434980458987872662262048801212927159365363454304956899392\
647758092344601522291619134299852491823249193292100763498835461377447972266881\
447524688529588646784430428447482516642628551911000140089956795950470240827988\
426129492335018385994303480380298645364246096560151315274770903667488069840227\
373690907767628372751889439438915391347038855025938083068809485598323119883534\
3219648492899500294144 #^27 #2^7 + 
                    3147840232816656952104213867357187949951668212637871087302\
761097159259389688217859350244859591983834834407013103366987640286013201273747\
232175546309470405970049410064350556799329152723971683902206884318160900453950\
374157178161287025780311517646480425826678009928387696948279001533014118220886\
994947316563197005348023520193725805097355860459810104639605614864644728358664\
165779530929375637632344553996138084408365207499731660128768269338957799901480\
62205015605926982320128 #^28 #2^7 + 
                    1209091551593278433124726005122017682081168553097804057939\
130408634717530765216028289905756167854269582809380401520552393894370411323915\
009390165027976992604865895796413657127154877594855733757133479144264485618883\
201649404077640640366908764935993463714848274611032157608069181597557292442864\
432845561329491116688196969016038616102979931853268577507671021165356148503197\
250170777505690829798876508796755588807266587597406848187088615791475249415812\
9078422419159342120960 #^29 #2^7 - 
                    2468538971404913912318408050605866811417340627708154361520\
297138281281567293453519334746619774003703938484734826683944744450806372388932\
570214724487990993990395855475248664557654369609476821974223728270309290205114\
671782720133595303342085530318315813105852550463489780588800641143250144690365\
233831856759345943069814129059205901683212352527452156124434937558994884491210\
885060621801985470938507544250519053149346408977294377757086506863056202344470\
72279018595940403511296 #^30 #2^7 - 
                    9329670412671756886379666203946250242936119409422978844692\
349632440022687688859871520003028921285821700887663864283487943339935273395724\
729338397402549226345431939052757282746365692240324003251850106613327399952608\
967485313270281909724735873449706230418293760932834237845687046060584022713597\
457885986837605134603382166195038589100934240025167419052343956591746700332559\
454311992827018944421143636230186644436238617217485683923799356851826521463495\
661013049401222889472 #^31 #2^7 + 
                    1506977511003619068846057462674435955041937117830958130598\
933994136998071042784006922935410350974956109320865504279378744624640808077676\
569747171956207987936395846432487233508238810491619803164016456314286276588760\
423450806956198227347434408494701763297488067781865571041098528653940122946255\
526561912907197229525328916694392487237535229342526781221891462929587105730212\
905314730287162363813985074896163540365248771552909333497505115495621821014943\
11446464590113702674432 #^32 #2^7 + 
                    5073407826997226590442793453121293110215787143569997816127\
728958751835863218785357626013217543841994436741766369094246747465692253162018\
991482074286255056963221424622461756376037050650996816566479636907687845630175\
009896689753452082081706117272814354322481164162874660326685206296545428763921\
595360723340120739922355313114810853346605519455349264018394470438351604079767\
843771707725916474923090768542440374441189156813535359465452753763959757088556\
227434268910424162304 #^33 #2^7 - 
                    7434137297765828352616537651030072697484036924308243350216\
383796407033921280896606124081844435466083211074318098760572396046790827775699\
158239085860237061538692239356018486061953372630579491314634767176689822986604\
712376140044605885050343681683058480859260810371033753432822280524981576572466\
857397687721135340323457481539579873679675032170227048045463138517164561960595\
781683628006042497944126983056346151651813441520420786207012566756551043831429\
2181204208647357333504 #^34 #2^7 - 
                    2040473395816017167996935851545935971228189675581128965326\
714622419777360772724049599418770982978575773992650882571749215515033569284322\
167836132285762854226762402594391705609091078597925450925810754135445125718321\
419529839995912371895173573734183151019285971814369921964855183612243659157760\
046614505233732420043655356253642764260437898249644894297710905689653014789790\
731306223118251487324710455053112034954590197842134207387282724664347532217265\
004425742625754054656 #^35 #2^7 + 
                    3010818008834401549867858808700129589836714537275296062255\
614505531747432337787627962541488437007196644310747049352656482027916590154967\
333941295560216611787519626124178901501550201804390393124543968503654258894173\
140767007532097112278600581476246233785013199805868579773267198501151131642383\
531213927639276004040265619511505520776554370196000177280145804755676957611293\
694767861670167373661667536445226192419166118720861610217711122990781122516987\
6412512789180134195200 #^36 #2^7 + 
                    9699098912223982971077206777024643311843640143367092317011\
432285723396070150131454987066013342783397983356031487962581904104805692239968\
983219430058386228555816223030876869443444324649692712521273010119293479108180\
472854419062071833362624648494892074348535566673840208380567929595387449848026\
821504664838202905828899771674495266223099151008588068788362738918699911598630\
199833409754366968784921080824772569801668504711347083137774907849635109123058\
83065134814980997120 #^37 #2^7 - 
                    9813042026832819214254130927141126307914756085279044276788\
614156885638375415968970986288525333640118426166053209360944505872162587455330\
542904053169294810570554270930984946295210590868752735247742635087298461989307\
627130776256281485498131736379207699583061929910115727622087713317429087689526\
816626124452432702719756879940536199012055927233009046878698034286026161724872\
217697334444530255680226228916340185880776422290534253661558491376492207711372\
021016394744956190720 #^38 #2^7 - 
                    5315869312004624429193546068920160137205742925936211601135\
564002204323602902136587127224142332464569455675924805326266179684543770153147\
257941932562778275637911674829996885924780242111195972897798751657034076518574\
698257534432305837089793249395544712361247668471729560833480578213764678050879\
882635455267609683549569641129499306394201755749326026875012046304244869782240\
310942909757822105267393143684760644653308495637013471005767209840257386367790\
27291270181594071040 #^39 #2^7 + 
                    2440189521194348449415187779757741821835321510326478921665\
375785073474709767416657896815261058102589989899037718562531104841899170947978\
691376922380899486452551984505267868690116189577285957708643459377233266325215\
797186440210523957492852323634075734860568102172542497026159458789545569682548\
671596997792383564367479849176371857702641868393103673206632596460858706534882\
584180366488558120210809845308388037551287650310567166136626853440009938710089\
328063342952054784000 #^40 #2^7 + 
                    2052987133102590193037941172900838599971525733729993219108\
177377903187251000905107814848644999372515390657022723078632076742857539323856\
460909329090613657438141210852519631310320851148029205342978237793423112792319\
044240673746426753652260856928809077400946335318030261305614498267516548505988\
193680462633819734415544366454153830687894535999087382502412852140767683811261\
780069323272986197573526308003133564492366841639356453806084303885228372844926\
24546285070088929280 #^41 #2^7 - 
                    4263349942876244318218716862833802479140941128035138066097\
166760974419921865480406046164589627596172851288722745300162669681368021164121\
162664301457602967519020791262419310733388252220855853651484127933949028395985\
221368379157586661831264817477275252587674541832795293056018485618490760599124\
448265080645127824116325238615346959553416388305561738545250455677577705502367\
845473077781943440665103375410862277635462604492891483366139539251765178670314\
99575416027139276800 #^42 #2^7 - 
                    3304491480062893899573732492931355008108709479938302617675\
867391750609156437841849216714273180498119520501816165522232104562201131243164\
600038065200112537684079284255406408357936425872438204483394127627501630806871\
662479260371472672279744414422339559783414364216206200960567771058563756751672\
673349411704567106695316935108454084103662340279826934143734882315069562045668\
888697149857650580394520106876629658161518208283951878237307585552672729433493\
4016165705374760960 #^43 #2^7 + 
                    6016208148691982621322703800471765212957448398305373951412\
257017709868273733877782953854599488786644488182186313087020261103592964441314\
403057688508594682901042591933894610349850623764073401597793030699453410192132\
979135417732068751411672021595114332352489590346254853717673189341307479222358\
719405858588850831876963344298003287726189026078133137445149596121475000691251\
116265963697795811483119744373768086654134906155436486485236736076291562990629\
6291547810050867200 #^44 #2^7 + 
                    7075167386208730136186615586794100208182985419926046847235\
313515638365540997479871945326755332113275303458674376112681171617483647674911\
884114477703971688389535991861561903003468739056919783136116512402321164719323\
373009810753154004357732372721095241886342216953345961843645806791065013450243\
762015518683954480656327741728873399948967126719312138984290164653043075391482\
442651455527665151208033284000465776914077166394238139599509184721683511983352\
996317094530252800 #^45 #2^7 - 
                    4501351325459441643553628480941646122597561169132690425140\
140449020345594447432224608000951106710906871534218841445618421756524916724359\
950665441254511633931010896503443630902693290045448929338716981772932836474255\
285556667304671681892169989372059452021585656716311038659565305779127288893946\
326991530042251039169583892484244279880147152702296410999740037747953311534722\
087841310494506210305148955399810811382768548561758146253728377325518817260411\
317500349146726400 #^46 #2^7 - 
                    1786466690717444925995368447814309798587823317753590535545\
293953896986358206408670332765619289861057850109616950164870582940372712246043\
728415292629205729918528077867767287419353467709505300490321503458263671463840\
827495640622314945248782411172000747563269485128343574779403082219498114724075\
039244187134814911201387781169539448571612269630328845157066357760218427943221\
647353613093583453470359622741722620693620479551193489703985588359004968722118\
37896770558361600 #^47 #2^7 + 
                    5312711390461787831327734747441204738995385906659709842650\
785070157530733761671965682237288918637766108129062306903319198411067919436159\
896883584756542389383150353372149404936087409342987258058847149167973572607039\
938671874216101621818357840821393882796204239315122742275915721123647598978726\
917109316513649790907850264224484998014350082739264404365186892493117923090017\
579369979672664547677450215013151325057879235108619682625357883332716975200095\
64920693653504000 #^48 #2^7 + 
                    1213376052528233182347174240947472475537375141021962666518\
681824185651679567858929915438765467102067003028013389007537984655420596782546\
778720376716262214689698263329823165364755266098282567907252823141566454274240\
771261177786950216365903340025489668575192887131566839575768484941536520219461\
015052920698668991329673876583388359425476250227555910497864138082105916903459\
464850889244051237001684888684686667017306064003342091137880189453339283370580\
85525539258368000 #^49 #2^7 + 
                    1226615220043505353441799727902237254090378181084777454901\
107587175304128336433839734695372371864156818035160120115425050184269269359748\
981236621588237882978399555421011344006256254198617821848472165700605760518845\
843481345893976398666484233025035201974051693657666412087479086595104733559732\
817480275793920598719434279769629894303999355834578027785588980547340212572212\
794587125455713101252114262592556862048216923558976345498093401054904492783211\
432803113 #3& }, {1, 1, 1}]], 
                   InterpretationBox[
                    TemplateBox[{"Root",TemplateBox[{"\"-0.959\"", 
                    DynamicBox[
                    FEPrivate`FrontEndResource[
                    "FEExpressions", "NumericalApproximationElider"]]}, 
                    "RowDefault"],TagBox[
                    RowBox[{"Root", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"1", "+", 
                    RowBox[{"6", " ", "#1"}], "-", 
                    RowBox[{"12", " ", 
                    SuperscriptBox["#1", "2"]}], "-", 
                    RowBox[{"32", " ", 
                    SuperscriptBox["#1", "3"]}], "+", 
                    RowBox[{"16", " ", 
                    SuperscriptBox["#1", "4"]}], "+", 
                    RowBox[{"32", " ", 
                    SuperscriptBox["#1", "5"]}]}], "&"}], ",", "1"}], "]"}], 
                    Short[#, 7]& ],-0.9594929736144974},
                    "NumericalApproximation"],
                    Root[
                    1 + 6 # - 12 #^2 - 32 #^3 + 16 #^4 + 32 #^5& , 1, 0]]], 
                  "]"}], "-", 
                 RowBox[{"2", " ", "\[Pi]", " ", 
                  TemplateBox[{"2"},
                   "C"]}]}], ",", 
                RowBox[{
                 TemplateBox[{"2"},
                  "C"], "\[Element]", 
                 TemplateBox[{},
                  "Integers"]}]}], "]"}]}], ",", 
             RowBox[{"a3", "\[Rule]", 
              RowBox[{"ConditionalExpression", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"-", 
                  RowBox[{"ArcTan", "[", 
                   FractionBox[
                    InterpretationBox[
                    TemplateBox[{"Root",TemplateBox[{"\"0.541\"", 
                    DynamicBox[
                    FEPrivate`FrontEndResource[
                    "FEExpressions", "NumericalApproximationElider"]]}, 
                    "RowDefault"],TagBox[
                    RowBox[{"Root", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"1", "+", 
                    RowBox[{"6", " ", "#1"}], "-", 
                    RowBox[{"12", " ", 
                    SuperscriptBox["#1", "2"]}], "-", 
                    RowBox[{"32", " ", 
                    SuperscriptBox["#1", "3"]}], "+", 
                    RowBox[{"16", " ", 
                    SuperscriptBox["#1", "4"]}], "+", 
                    RowBox[{"32", " ", 
                    SuperscriptBox["#1", "5"]}]}], "&"}], ",", 
                    RowBox[{
                    RowBox[{"\[LeftSkeleton]", "1", "\[RightSkeleton]"}], 
                    "&"}], ",", 
                    RowBox[{
                    RowBox[{"\[LeftSkeleton]", "1", "\[RightSkeleton]"}], 
                    "&"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], "]"}], 
                    Short[#, 7]& ],0.5406408174555976},
                    "NumericalApproximation"],
                    
                    Root[{1 + 6 # - 12 #^2 - 32 #^3 + 16 #^4 + 
                    32 #^5& , \
-70200316271507168397912526370140457916036103806045166974767911468991623992259\
303317425914536086227228818264393292358730270199995473975184965846679256103733\
574485402032360453961494198824241067649963501192172182571377104102659710931477\
581840743413949560249094047960678660134816055939745822577947736867189402551129\
308415502483229366695545754973296837234394091272033109242928320708274729957495\
4746812331186830777661766505 - 
                    1107494235866334714617362865936722194223786092156026154859\
040187453768861818871579481706065771883354740184027162799515762612691597958748\
717568435588330022963449939744604705558287926994636861354538174648657685319799\
318354828829089452100720910187586410672751175449763559948764818714214554901635\
536182776147075091170082523925126383608323439946664132850529136070437415206724\
4473178013912957254025784180168914580147488146050 # + 
                    8161892701345983118896913182906365640877423994940570024668\
202933711983610844806294451471059349656351171753051198615057782997785846985067\
650765770137889498053099663796178101938684196248100771750834546768313373572664\
271604122103366763262734294507072035860248576650294358190570143793042577378276\
660008431459707332230823677263608434405005926336429838085721911290173423871484\
4566845559094093798126064292142416027089092229548 #^2 + 
                    1637613586138376157408239098939167209144404235110057115814\
496186881370388139721017302674413823947150489894457553796529884563485003013067\
045554271483811847260710591266953965597688968693973658986935599152734690403579\
754565471042736498582411402161631142733961026288763614162550563591541182303279\
410713137402262445773689972572018578397178782121046763420107264147101546290760\
167707633640074640737156322158644705274662372707928 #^3 - 
                    2078835843287125803800280293860407523924968258687456724717\
859194122272133029822634112862494096703735202813945811068715178870311057666143\
412969119041976482932077249487077165397174718296059691011665290127986313506591\
563305067436699077066600968325333446697539559388900045428015586502241991444005\
095758052587544644490519882931022329665485544563309261305638272166807976161466\
000301289173685460142464077209321633986061102358304 #^4 - 
                    8967977845793281319981690689126192404765175188323484857153\
871849719964285185181505366126023602669306496921379052629447013986690511884541\
217777879709272272684786999855466443341039100929708099015160633799631978543743\
088373621920901068679284718526744534258494063934757739841965623074409731504829\
035309871485463827003465290201247366304933708011319622980776800372327665618199\
9673895370967396746818344515812052711126173991977472 #^5 + 
                    5016990045060500293416800056629012344843845336721694240980\
844687257921550072504111010808341382813030463572644796482661359077896191929064\
643676229509963673055369108196658165192539606411486640778634150032987904058571\
282638594173241748979728533575468559226426560551691685488154197330675442376746\
155320893144732042085981592496704624909392364922520681869315352775334238381654\
100921993803547444711741733726888322757828170026304 #^6 + 
                    2476544937975174960510621182113291780707132885913092173851\
306281219809237300116283469307272246192040665896674398522432529281143675899836\
181871640661827032735837733785951173494977514665604411731342287902569926334946\
429892431154242401281058734575862712886410371378577881249053627684755146193220\
747998729257311925460811655268169878106359962217064827728045954529191635591248\
878990360028979667260028394918187478456183817383683584 #^7 - 
                    1584188293222855423736970894284398411633827029539431791982\
109942610329611792351062284505163780485609869104539996933537261323153782552391\
508355959857909589891707977277284367355231497773326219493697273780894499617146\
980305207875878821621313275246695865510032424934767697834366801103410738962887\
100096075184008162247136979742261631392020842787072387466521598493172271322792\
46375671725450028608610150471239215995052899772563200 #^8 - 
                    3535077510540415798394816608780792439039270524552470978966\
644757531227177099752672606866762983952327054627311329190814747481744544223651\
733215726440421015856453176406638040953926937752060594722534470583637173198157\
172181079622299395116073618144791998546425387286343152260886830415218546195876\
355855290922849700505636945878510391472204854651713596110798022616565888323683\
7325572364296143119030433349936901709269907363124397568 #^9 + 
                    1821032414045522701476339308297829044674195545243502152151\
079117651374875517817395678471236750277938348617409242377531898725757560834474\
570967020311382218532543018383689839411737188409039237842935882213160117015106\
020144489247102025537181958909870746285537029644925827829199758350240730636763\
959212613224966010592888027729273981498478900053488347610207693814078456374344\
541619131324511436650214153226238769820445892490437632 #^10 + 
                    2971867654883783184470410626226100980076786194360105557444\
990218765225815127077938647300246222732441600935844804645352084145769279810364\
608025850067439827137748370437794401745558939450846624900083194573887542471598\
295821871151756311024183222213532039629524401811931092760754407401389295146755\
192912322123207703692849804814898277910535400083371877176035535904975375440495\
85107134633114837177473850864754823022508298681124714496 #^11 + 
                    1047261287785172827807703452991682472244987892037459105655\
450918580965125908815220254720230143674827243940305591435218603330148844568974\
838308043271116666797057778477224816498882688816502296339151297077831200629653\
967229494447429595530054993665520182741437203191853673688566994429998369492772\
308639453839220807317456049472007951937645941986091332423765792778329243924660\
1983171579877152711451739621298722842865144316149698560 #^12 - 
                    1590095238072539654957835940334890132141787529639135618217\
581287285938909541278229487743921276673269821411267486740658546746490387266323\
665696907603729850512584680872909877872479278630592916136220302498454309194220\
683779431384630067644396310918718248104354911610460170954590232815950340673142\
900237161598610378128540845591176183073190139781381924483701874890335399314277\
595720323803247702880508954265221117232589575242922590208 #^13 - 
                    2213345344968006177062625142375223653836824098256286734325\
504417848041373265288773277779089819491402940517322723512976835846775312323644\
674685353227867758259697670594925798204164395179288088351440278430712129508939\
674551311198174740306323818617159102569618273206022682288269281047021748076864\
662029304164579215213525963130049514190591424772759878213708083100521611753615\
52668405001145322152869465432871942258261609129960570880 #^14 + 
                    5628125612294033455599282202855532954816410661553050145521\
503722195631810248609832138388645890975832494556994181389212361645552925259314\
748768756041820513932789243168500210872166594448896085305695675343235362296509\
256415575141841083931143377223305147116491484776361127109430784476936514994627\
170963429467334344100442404003207600893329068550100751717552933330584477402977\
540372522906534124994112429316828891791537659016313962496 #^15 + 
                    1183251538935159554675501642705781919520899625973902702412\
817317611484016194562311432678236166395352019103551806735187872815262670545929\
829993668741188486343316461468087045837378272537644547954952916241184340597945\
118537201416193428797255399650708006725035404296422317875839806601227199163055\
764835724767864238414563434063926920548233650291831497338186357463552396225165\
168621558737812036623363750227065252162359308179363397632 #^16 - 
                    1341371074051876113047390259953684641741343963582367804931\
383742586734682794504410592808076420761807423526778577291253078440668405331925\
837152569911005538733682881971713193148472524848724799127736085239846425597158\
776640760631884200393743959291930397927704054170006176214281711807719319286791\
647161124278289679462409984228728566399957478585850371834171964366257608641210\
2288748312865574074468757080017947623593444662367539429376 #^17 - 
                    2688811270587464635319704845046921813481312497850911005163\
327985130908547280978320838572484418785824617432425550693711283757010467675214\
145549709353009937396041930714824646812252007614908968608716092861537180456093\
490000395763963800120309280607197633380743187092192928356555759021320361231441\
296772688933960126591132995820695003779667878099784516903375708021358986913597\
810855340278816139103667173981136444244124274035664093184 #^18 + 
                    2165829639575826398723920772972159713600128350544190422139\
365105782207260701532704998187051129266716312198718285829064886212407951955310\
894956407506216025813293760644090692403296929977395766489904290271433788190951\
971344120263481325295552938546639664112159790666759809640900637865643098794520\
243063787928056876817282536531483322616472811749099137359863761596725590511163\
7481400945401605946855728229435309909295396297307479605248 #^19 + 
                    6616378821629947816034435013820960721012763830050706206221\
259745883319997078621280771113431216929405302322621393652650649461902496925788\
603349951815686770828731658147389412492246968191616360745419132324195447780266\
592174044809949946937313041505231429803691640300162248397211416274553467953629\
558004564708589023409741329462861503851340278496870055230528103955227534564210\
33655795559296489786567376256207752305722800062653792256 #^20 - 
                    2366113865247323567098306028956019413100021118053666005016\
019964521058414736033392392792941848328647496959919627920499287641194269196334\
760464351925209595509805383497354427560561730541896936910271466449734279321498\
294927268966197555708869646534109370845192354137375381055605393357620510684686\
225564681212380677963129914217070694973687520718842654937185394723621588315681\
5542974867680826655934097021289653183428001679971373285376 #^21 + 
                    1173279185674675498033835347941584629275390496032317100104\
485181891439812988377660454932629257238605789262702377097504622203792217145895\
292651787201947757382278381540568456556957272159419721771616701094932292341881\
101395097349404930118572312376207672027333586678900138667882228912411533006591\
711094975377300224062238565828542364679921030850350175006214741490496500364971\
9894782228474823521561804108032987206777128030659867049984 #^22 + 
                    1745547619311404141788686767894543489115132508276059780544\
835160038520771662987179749014472735211094459297361102553752484407384703410896\
988420401257537131648246330268207250928529253302519943115691592587169588323481\
531870259952256671679832999372590761972910010037160121591953896607048081182991\
697449736220747340494838937042470230571982573460973978643237584451289247259020\
8707982405650327416051199093376120516564525812484224843776 #^23 - 
                    3397924297846484791782347797191505650622843294074868124507\
541302449164343389715295544996048108738713269346383794829225086633634203447060\
329837186527535297962299336108364329590874408410083507130518206686286687559439\
740873973413781218762610301555403541464807375077897190351926547503088055208513\
151068319578242080958330193314023713370071002079220985611695454231454952874904\
1149331265325106979484325466870805194700509864264653078528 #^24 - 
                    9015208851415440182301923761031655951003046824323274369483\
858159867791481688094599888199997143229083911132564120442351555451578469260840\
110677890340124944729658281419001497031908999820068822415998248177168980591808\
871629826637286740821002996457131597401507429862600972845209915784594755938256\
278417316982603429708932484677639133378210916768748016740198792479748855781021\
116452514089154498031005142165255729119902977862358007808 #^25 + 
                    5317764005447858637183508544068833579221250330475455480562\
509866502922668039490724815127487738411908027328818879686620126519832045784162\
484393133939219320392158993337157323657028361377543816169946561668803086905795\
609147123003663601416510051211948543845440246558480587509089066344962607290840\
767635414733717460076750085934416967414349445167358136597968539674620887024076\
1302204278738247278212609210859408260951090861173343518720 #^26 + 
                    4178891894976772134117927825611216570582791015233972673260\
527090548622200450526620886659713839805270505949201965206853042654417221728984\
012872066360183289233070305997490076033139175395901416155514365240972752367650\
873316841374192489226166188934401551620144830267296640911621418670392930189040\
928593569763663304184704236853262669336791500159105273194101103483943216435561\
311323892238453626156991605242583117451924231570682019840 #^27 - 
                    5649353696032195878158380391472851541337751424849555439354\
617538620162246583073076488629433095539252283093668001577324710378691028802259\
450840459560690174943158922430396906154876185741263523381036484350158656404208\
024637052270196358200420407902427080272458249725190928783121133080340241075551\
274166784015947780273286126970055905897139302491311426747744590033478068503971\
8801613692509130345358901510558831478530278711113803628544 #^28 - 
                    2770606585559965532778752510613217099909608235550679642254\
018997656388742499746199303010690945295422228639472343139739096919659831692844\
489917535413862826423576049717469626915174706243213831990525004681973137836995\
869282624105794531290026566180781551624954601595251885314141245096816744325674\
490007647547747152957286806763173863640393258625296993079222171100229739612705\
804195566285349578456460257550358938728660910889005744128 #^29 + 
                    4437862404204595673978865244941183201753662916389709481153\
833778821271210142318403767715089533134322476577509343696589660430580710408695\
153757018251254664162482864712507571734477753403561903714553975792092647100870\
253912484119870508899872722253421449345228800111028711535724077769533798399778\
633998393732998283708547468078502530045837220823336942104731869970422057057345\
0781448890085121319532041366013304671430203348107892097024 #^30 + 
                    2055954784080231161439957623963255327340839466745432648700\
803781733617168057644708679546937555838385841425866631784434188174358813416077\
739982191169225018759728317486336318240120174937431741079054716106225213228992\
811526424455422131261025225166388121402671620306847867260811856404109794807187\
445707439050665772585109934249210470647206495587827059447174234271305663589317\
812589877746541787005963671865691876737913451823759360000 #^31 - 
                    2712621828450100516477539737741208427456314681757885697176\
246095842067749927400710228937227200127097712315822466640238412777609145414541\
864501067216127859677831948484864755249960635594257158974485199057020248569406\
401853890148708324628677924460932598609631343211303448334016407686247804348484\
458024953166671459660029206182971508524357786936009945181605215308634341472631\
7248914906919514634493528522667575100899853660551288717312 #^32 - 
                    1104714444942948966127406337578189491979760015087506356430\
825520323145955113540445908470376554402549070759770720977201253802469923643794\
149135868912172401586843216520079559646307458246467119739755178287536173667280\
560993017951246122043802264920539518659303481856285168434630446281615781335962\
112807535271185762382222478803346800027338573855030900389487139072361889109523\
395552537195804713920049133006810185214224471964981919744 #^33 + 
                    1339569615525870320392488433437487229358082728473491333767\
773353309395763913004162610869101791379353036018834483885771100883298570456066\
815241529381614374115112153183055089772177820861649346069180646791899466785585\
483074219161232318294796012951256075548865816493155623204714396582063407428138\
578044156736571030054817934621703174998423076585399362423560753538049906115651\
7309681078701149139538498681457552262588751387177280077824 #^34 + 
                    4461081377037414715980066263784861049741843237959561538195\
696881077389377514453085407751083687354953525411349865458985555485035664831985\
257443272728105086109102508048938766304765224419184271020509410409829103567252\
444753520674815784654199853808314338805495582733655100976401577187438489932920\
001388016745372602883471879856031577094986837841269438352092602269859474316451\
41795962675266912011017256580629649245498928394401742848 #^35 - 
                    5429684566339924334660549129047593643503141136829472761742\
051792613959332947854731649346206018570195999463495028825186313944194664172394\
250095185814009302595663832747432160486460556905609669364810397024702257187889\
491765026681185587671292932926457408747007439996141652641036884824469351591712\
558125211185526740447122313097355176071044769327751943826502492384011899306890\
731645423369817103236844074926405552208772132944977330176 #^36 - 
                    2006413844944542675199993588316022965992007154543238272905\
587135606299180351017568931231714094651998766810869800112491982938416202252113\
820260189459888851634114639083270657396287802863299971001239369560489709797082\
444457603293509095676493508998987402639529368672712006246551942339770117868154\
772154155000081627394573696944589716359290478971435738801569908110705164616511\
37852175932846605951788037252938803415003504155553693696 #^37 + 
                    1770669581197360356719689136882185934575026512886425272241\
080419400867438504776655500228527286331897940223437710482953411829057420616845\
411222902732807560730162700436292776915422021608131535745830813393634469695232\
999686277314452789738825490368772286373011164742138963500597503994821284104812\
690025465737551940140618429711886851170887044213593532525844326048084008652234\
838400592574409576982578490990137962966432820557250560000 #^38 + 
                    1024384195841560786203803990261659864941415168828353963865\
514889429083788470409987439754590265618961816302022164464479931412307178243328\
940535200835545019885068896236440098283715281294336198006517282389405216538181\
057852552998133215228559571594024966998226660585642018033386696838705051060739\
400771644697766642486887646318531960901837703138849628511495283206470885727693\
89486428677379752559678729905125262333886212940706611200 #^39 - 
                    4404903188819469762250126285927225455462656966341232172185\
054947307913689096385995110810482590602971793490232236915320465893059674569599\
690156297998655932272241814936015983195747871277485677230191263453241159058478\
335119906579096367551385973276858920532903872985067196552640080965268215346678\
869087133583327933077986244602027661458014868411019054535425228969278238834353\
95874208305015827959466442644322238838780872893703127040 #^40 - 
                    3827987770860919491233684840407289481741771535732531474965\
750463930603038239510027829371105769635461764402277898787160901926580927888897\
574350818492212960002037391048238182286099024785420704529537214387961257277563\
837094194602572561628536141756449403788212894934490365843229239370973613467170\
498521853912020284220969998561645201242753388609912554504523815593683477740744\
0839048501956946811462225367017616433006800804323000320 #^41 + 
                    7699915284162094579185611026585840631037843178805113294306\
205566927573946273628740978477009206308570863015020777641689524265821485789684\
487671786906160745633768926817014196544455181908086706622716282432451619372261\
617465860117148432669545752506667592432871773112494459033677808208034415802365\
843519554636517457156189723584860323006997919736895264265889840824246106250719\
6169620637094918813896695436116768973706857767942225920 #^42 + 
                    6136512664922345768573038016807349795804300759444703208305\
755695353037731250689799425612980184299100771859553223985356798248232756751885\
217516937449568651333045922939998620576367629644077040950012108629408507240653\
630825722294319581797227755112271453240728244574119367953883868041086929695317\
029687963002420241785421255056506685304833840406273915326724502171608496733077\
172830844968881190438346800370011711777556667354316800 #^43 - 
                    1086771210996007289420930388171010450514240601052792407820\
278138212935550469792720145053498236330762274623168545846732562188045786387457\
393524601518515691316261171674447575598089147440003951748666421000629000572075\
427131692536218867882782780750659052549028008235266699307039955278544979144470\
489101077058527378506476176589328476674265936215725876287567624621537182513113\
7178287978349020655210256884784420835935861354707025920 #^44 - 
                    1293662224449047757694709741532758028316076909416427479387\
578201575024109654051165756001463578955702650947413401324034490835473226143326\
295781661787429409015925921658008300606543694839321850507472387802071639127113\
064362721030591918588413450219142555128854687668505883158834167608011941972400\
987486464907600538253076031880675185862589235650044752045926678645715052695733\
975477967577166092013082885619076546823437083119452160 #^45 + 
                    8137118353676547864478219449655128570966401590191503181465\
461878453283229499004394503065250161415568200897382692966184371683716788928348\
688097692499323315547678506533514266331714138566217834905184232299648442851758\
830803229467242829662428939813001376997516514885753932622990847742033492125794\
740639259598780662643172383896789375537032722875584368986292952340951860314301\
67767306706812804784750013655567795696967883318886400 #^46 + 
                    3357801967207691926498313831191559413490860278111372617051\
700331929265170978057732259769304803461334217739206961970794790100710733006319\
638412117027030221521027654381203670096016009184750357084927288124352252428242\
067192193802906990454467381400674479511761732627155698293129844483773010945952\
351835761325843581676255960364506094797500653827830034991584845157069690013010\
0717955563337615190391241908915168475182048634470400 #^47 - 
                    9589302765777780981376455521392141604228629829534006604680\
817940198881717272255841556102401023206209978722206382917915105732642255292269\
959490917940818086249389229009699113680555480767060039776418407495995573573502\
514928406937505439198966584241787686779310739514732473924180252054272484971875\
127949873727927354512357405401609255358835826462254552304925950310083199562544\
4961528659739798528319737879177967436065668700569600 #^48 - 
                    2197974725743681967691251586436657632256566199106247335157\
067692619697547241193057028298544704304903693842939851218599458399293457365615\
245849456617105394577805792051598092965920050216457081446147607679354471423388\
346542588792633062099481543762299084839291500859013112712556145010998348493429\
120886341351078307654648780710736768486515638331766901594773023597082023750820\
1648891055799080230134794862584840887336642910617600 #^49 + 
                    5697718805878897726797326176342762806598302479385350886647\
346910123828440711163908076595908107290386822794753190872515088382641569787951\
586230909478097003352416374695219623979806167568056733349653367241209219665524\
019614954693475116347361123192849636729378825752029780969325757007361737403889\
504588162143224917139800832929463666594772962537777206088721379176774973716748\
71503163437776854875444240098451489416455629800 #2^2 + 
                    8961434820162424750138759862041841932021766263453929715221\
735649214472565735101401316197755977772565075132662184229766075856305578654683\
406203055691940043821776550435584309336953933434349437688448709950341797035748\
914391031218868847212259079913638092622790921248481743837421167991567585662579\
376344044890757260229675429209427517802006669475484461851169182176985736061308\
504980399069464955988541360189141236980441004280 # #2^2 - 
                    6645963225750524318019125682358128463958779774708385435541\
842165853598500755155417968756945512385300665557193126973715597604478774260789\
091046831747156628836860781897977651029202558180002429058763191202709311378319\
520139174136885189854191498891532647934052196443232870539812359277610502461342\
038069279413091847706412731896354146991147118038104473846882815247363457796038\
9644651250507240527492968742868191521514818476800 #^2 #2^2 - 
                    1321115335501725338329552859441545484162707764130161160624\
403499576817837062388118476056590362100107995890344582951756508285493858442110\
862312248116382123890606139350715013316438838789173706197837969227495827087839\
410006144262005250255337527907707030339901484566018650500523966316143963268342\
900158926571714619771088335910163668261533276284807225294665721869823636321404\
288631932087216178688704954435888062960000072057120 #^3 #2^2 + 
                    1729109002701079538491896492831224099019779257788937882649\
232943974681025975369744748328239215223113972831021070074152664524558319843473\
573264792472776234453106692842692293668666336633870722484692001929728874852927\
471729632080823533244441312403879131377079977441193730798256134403249925340950\
058044240241561321497140270568935406113974246667970231817620439749841488683098\
682703889237665637490088020530825822395351293539520 #^4 #2^2 + 
                    7207826976816184881891602881620546223047176133112084683838\
251942038189678131999287970399545655785316630821107508544528957639614022211391\
140818257779483402625228439727783466212179574978491825107876349807205409163448\
049506155562616883535520635628464491932729116027932797491719195158793943998856\
950232133356216044411558466255932979652517544246807573789677987856986250883406\
9398882789278330416399603860019443612969037425020160 #^5 #2^2 - 
                    7568861429057063648611554584131921357045282573392180313003\
231283246050731495558656921310384521226355970795066859108610793372276159919318\
568508876053372585311533377401391439543105707240767593846122066594238248914095\
681569532581269059322106531530677253026254607260618937510509840232358002254511\
465939571661631972609489166053371195939322236900834621225500090778695973537298\
151766575996647891527543794397925406614807746643200 #^6 #2^2 - 
                    1981369543524059945205835368449796103224323061250411240407\
036343204948731219100486391379455919463644597374497541662936335826374424603691\
327398049794513272001205946176474252034528521676195619277720205888564665214601\
763733720259564223482666542723676833595079185928256530265942019586928367729363\
297823683464649954629112847016460589159139528231042952368288024490780458656391\
851815164921216027606370310577393095166184017474045440 #^7 #2^2 + 
                    2418463508743495657920126081826715273626903502241124992485\
748491812150904697411145041657176156399544533576505867620902687413834450295516\
632883387732038606331275182535794057001519602045811930202119733991343432184349\
229977951831710961953587037919718071225968611617253308760690730350646826098281\
423610179481512480527905018557487793498565819732143834752732116949418738749464\
61767545627110789721135153835914088230752188866872320 #^8 #2^2 + 
                    2803237840510556782153012672706099828756873748300407108324\
900515826931133143533849495339681214271736452061661688969601641005287230753668\
769998297187625412000146005729590978961175328929493488760880730954489135058384\
066947043560206742454233129905689714882714319152913476049303058323888481958996\
496284130189229316591407698301086708876631384811365098111194292949607259562700\
1803637620234750492318461770035177601046486304912281600 #^9 #2^2 - 
                    
                    2925158489762943108614801470883924456779858312226457239113\
014013451006121003475728783045443142745816095131960948599582375035987827526868\
066701941544574488715294485948349023865452106143090653049564220122855619649539\
680147405457828140098916531891180391533271802449806618906702982734981722384992\
389960590609342306290796302712762762035793784708020291234457573208704533278130\
538799350229523348088611350750344605738251007162716160 #^10 #2^2 - 
                    2336802799093628300459383207001730294197372087226084721956\
388098002586376436483295711511848318032847825085918416027657037650187053907672\
389519585437268182133113324400868134573289522731185872993472463858103821163361\
734431534678236137785672624591760097116675228375603468537707576877389642423890\
086817174997020847367791448564344549054204738832789520450057716816273049459070\
94015026949218363640081109625883341175435587621988392960 #^11 #2^2 + 
                    2181201629248788104584281467043703242290658877441798147150\
358065392940177612446202697157657990438479390334243912330169751772309714532318\
775762840018907230594956386145231096982018786605414817592064764110052333274538\
347202991572951132448125083418855067294276787724213531916345444184315358061617\
362299677378771600129584200944705521280908253173190545994126734373718867424306\
448518128192035440192151374755159844635686065100472320 #^12 #2^2 + 
                    1241487918296131974257149344815961347759764420706868507646\
831115105038662217576942666619090692823516073844066947555769575981510729290693\
962726109841684648780778498799101026365453534632364222725695362874620836268046\
305548511238789186174126770628948638449308581939507349441193638868061055102371\
783889165472578685768555986499593385788027358415215164643130812817065518650330\
119931360824108650616945653002314084139562703343649095680 #^13 #2^2 + 
                    1271935841766502496077101405394079695348565415498913640158\
135202660254157227935631824547200673757308213384241977409058333623119562203724\
307672589582927881639064071535130762305485372121711013132953645395767722732131\
063376564683536002694727651286648661457916796264883575470653879745754227137428\
830211079772184404570047439901015864260811817661956551994267047590178058266021\
08495386686433474028581648173256236577990698259697500160 #^14 #2^2 - 
                    4367874224041846582231288029371001485038333659506732777485\
858378192811773638067952662773652893286752258161845909079688413848733697249410\
551250453817792589169861634359856088891365901174371544359331562071520499986645\
238074132229090196807697538233564672810310822247319276890367329977791346217788\
404576425952986354384623977349746972787080711369596673186600397456149616008341\
454057809564860985275144921812177310513859383983101706240 #^15 #2^2 - 
                    7858241018115764667283342324125189646494265001352530197000\
108881763528027410824243710386476559428890946720292558944307220600701722992260\
260216284406211690159942922144753042976170139269084739989979821826143994778375\
639902059195666584192898129552446963011039514611633392387772898091939547345085\
172066622497251203436396686118102914135797421709588672201869051800549061886324\
67541847252539302988016695288797921605880945490459361280 #^16 #2^2 + 
                    1035125950164194640304228130468344919098803516577199191588\
757955242184402949856098215825537481834016243038926235988133455745250373349011\
527412733000465883938383762124139146427676137468729899479842379677403304284354\
077274314757746100921169760618951627612385907892350370503422098020940905575244\
354311218246714598383686398498587673523865430736318924452684325379121158887118\
7876317238796997896093120479087879390064363593132010373120 #^17 #2^2 + 
                    1812579835841173868369732383854182383005546414949022350918\
407737236678296503725553356024390373383701904916953059262927212960924109900276\
699056593926885228834360769821282290619263934745349949424734085179082435062540\
671048290270402325127234266857759621761963389414096170796513341289932223925994\
438919844228089949532358189229044525867827968924087977015600799477365184084110\
920025289800341069735346024608605077362967570293241937920 #^18 #2^2 - 
                    1660260361698495149783790370277318177419548817107909776797\
610867472435886345697670959744481995206415550565613404477110820130686481688724\
869323182366182299452632811070167329483116885062076776203862509064590359225882\
363636042680612896790058065126891349825064712950780500496990300065835646976495\
745891275759685613650259728286097616632056290065167184332549541467259053570124\
9665669020470415474906858819084582733698764333354812702720 #^19 #2^2 - 
                    1409917596038888925857750478439334232311936139597103064357\
657038782750733506828610803004952932505476832480645456137145877451548543995626\
250093286797995490131171996920135824167563248012053829320633182759382937721188\
668828625781248328173043729710770202280242865615924334621611665532520575072217\
927304697923212853076405187705532123409698975436899398238353547812004601397887\
56496447951014185083134637245394200034889901009188945920 #^20 #2^2 + 
                    1794201847821415906561895010756170727850292987803665465830\
889981960867492731876167289936033704968934491177003183023140320133989138893072\
603333322842295679785440637425806375267318401011184320418064485505139985099478\
788141248499002446273136495358033332778903884225290913180096891128786970652835\
969108635491335298701080959698554127962301404921371334006964655820245099567580\
9367148841268975146505991333650308739939043989028811571200 #^21 #2^2 - 
                    9360282021988057124442074917718238787612035452381129003260\
833398845444712731330483003252304437982681964688507563960998869048467590760151\
903202872935785187274247238299677170386606353750514882443519282987392478677958\
434400146813692759334461290912238848421532838473008874432522160712504785379629\
225988038403106800192124203758047725640277125264686857960840462126974129071978\
426247856216218950820409000266884029243603842439084769280 #^22 #2^2 - 
                    
                    1291798073967409796534666079865119749790740096368338495912\
786363671784362917822318695141573387461138367016017325675633308058565497630471\
314021810608286226514921719098629609993147022549281193910401651946152143665828\
272077257195851566758800750911058638533317857781977346290515940057841110820810\
761750700225287962127729433047723238413848089977382217964685542008033367967535\
2398089151246101542961675801235470083432142818292625571840 #^23 #2^2 + 
                    2624606109406444992529348923107802382935213933017294006027\
799206452317780703388698144020018556266732113778600141262953028297867299816505\
602732979799618825008968479880602320678192858108015295878407518675988639839070\
965639503565487477714756047696255243120230537808897792642046191846577550489699\
303165570264016590230996355388960180990454783026547055571612443305795105270252\
0992569272872101916801990028642182782421412071600029696000 #^24 #2^2 + 
                    6245929620209587436559110677818450322935094845497096188058\
208429331992029216801542893926298601653071968569574218412417150240007457155338\
765502286027181600829993862682414694385550378583665460789937144830236785360275\
645106553874847980667679056881721678783948076307581006728000031111419156529805\
042942355452411342183951188821678058669083660448011360493439579672880281224176\
091390175004012351234790188699954043163021001444588257280 #^25 #2^2 - 
                    4071990726193482896861770591944552149075985378300709364322\
928002906462546164224289481476422586417413787595761382326809288264639443993038\
248419308807783458492638280101104617270059933936365314115978891938590789865105\
130329156795494754583471218778963762699302477477790407517814364325968641078959\
703744717353543733357822862029017055962602851514993537902681571414079107395029\
7497285926884290322867135084521324377274801997575146700800 #^26 #2^2 - 
                    2508712670871471129888473271323796915632091319885110499353\
277514146755314784772795180347263874991274680549789146363324276836788563070941\
722321059708189314974363820827068886452194832371053183775748091341783790046839\
929603757629238871689853653332815007424185299400923591008583744228214998855374\
669030547003625279102435626458931014996423174498199822764946138666769487157463\
524173728596797081993059187426321564670219057481845309440 #^27 #2^2 + 
                    4309399084546788061526525427531360973133786651397221624535\
945682633658785417878323727585748351694025600641546954050620674426347964623605\
929695913939097298119569232448414414899836071495183826960959056742739516428447\
498341959091331883638648639479623449753181554814754860039340240876570217986592\
617881707728442915068059380695122521413693589816525579819660386975339552015117\
8817662435282132128612257399009307053232202898350234664960 #^28 #2^2 + 
                    1564276898777823507007180870708461658728475433648121078939\
851883960231981873673845979961457840360323355944292867075415324290713401175641\
420900906691103171006489687510403024871148513938523480288959174651029034177862\
090805358386484823943131146406634656378314853289117684644314719355962930207722\
303543328948800030913358386297148629524581747989009475058568733575745367969858\
484772220447809564352389360982903896188374529029670174720 #^29 #2^2 - 
                    3377685121327134312476548990341421286227773449916702345661\
978147904020546422404978930119225807020159853341927811223666822564152102674854\
205559352246573645632550952662274653583233590997895036040227208170769881376321\
967220360654745020440227022923430955887820382076320659498153307645589765497387\
275660048097617208106223783094147721879666185703251327041282276985901514723323\
7505378991912793228303530779436699079885895893920451133440 #^30 #2^2 - 
                    1219561642596567079313966787823742353246982813449577013707\
054277726347503571385110233862197728862176029733353480361577652937173005405078\
711816480551641377076088576215932093416213919720411724609941147562638372964666\
964781378753388789378671391202312791886835105715241393300934163121464182167566\
055797965054990102324855427572792057497083917419108654136339413278779226382369\
079668084062559609627845179769734820682325236053568389120 #^31 #2^2 + 
                    2061229972884006501667146263817344899450191544757523663946\
463286636945143400212692784473970888066511251459141010263588867755453831494522\
996006715141384691385222121437684147864582433173365333999412885152664205249198\
281210039234523919696796143081458637953462973333308622539985691341533980885493\
946133953753830494546648552558496499179023930096028160403352296560038320184495\
3005827162563454888345797532733233099985402977286650593280 #^32 #2^2 + 
                    6652606353521246667552720622733658870541218848710286816248\
392537838087508310950418834681550072691356481627357629325619111614432107454385\
207847518750383085446696198330875774764727113654102577052373368462531219870119\
270043030220323971852137035636389706861280584681402786342216086432540485667190\
709893074166916901035952902062438761878671958440059258575068173205420232896763\
60797420860679366492084772482285815217664356284398305280 #^33 #2^2 - 
                    1016537283496134741076845984276620532014859197226928726580\
916371269170186899728511248411557463758748352671428305927619952087112484600021\
920034602367274472591322052159402867633429320570834852644409427711513389135360\
424530944062043509356256468272246402876207257265686014422208437035967623973976\
205483323247687411640005714465370572254162836207291993384309311711781204006695\
9139394434078938000865877226748340147467370844212124712960 #^34 #2^2 - 
                    2673739614136351779813493119146423760583163894971929113350\
010753356766378511322292588283616460584336550313918021278867507671212931351791\
353605294604843259185562798211234284729926950353367319558867823014941188818363\
011713976640966235553275638844833481538492350216844243101105053524983571043931\
077465867683151523801674593980076426109623924740866518456630842005990956152008\
97540861999204663667949051548813788078033469254443991040 #^35 #2^2 + 
                    
                    4115988146300436802249731562084095509222463209055064420739\
304445601603745987691041666441522241363815454255220758916507258651415813126295\
710160356918618556194233624652598545723552303285321495781584723726988763288379\
964706112527671973631279268734959172453027873036125902188455772901103444275939\
383491731053984737159417679774287435628662501955412961684590903406335005913128\
959334551662250557084357321493205587636360150761917644800 #^36 #2^2 + 
                    1288168965762356762276590386262682226982799175582566548875\
449023200550962755335819784411440065085768456747452389273270115398928511921150\
507648026092520675782606453346181389368325137261885031869934292437117235833794\
059236730102384009422867693963315118521049169629533489092905400029768420916466\
970258825823314167585155061867733109316215455774488274200461569825788458187764\
99887149016773871516739215894133285932207026121694248960 #^37 #2^2 - 
                    1341260722848533990804332255868979067064434963486041378225\
610948485156258432711469040909289715126132033064806157131419888070643595548162\
924696996912598651922819531124053411718296553724948874105753855855557813381341\
044094645037986376454548199787463256728509150391236938701387051140251626108268\
555832082973240200618591138883687687380541574941709903578783334907163980513404\
737555793743219412250597616906777626992083477767127040000 #^38 #2^2 - 
                    7170810393432050748840914912347269905780325913213268245951\
791526314674871444335142227495846941276858753787093311452529183516913108199162\
128395884946550162812332439712414614644684977107228981001962189544140952702760\
690323994564370353582930735898741174020444099153789089893491941981656589516021\
930785686628051942347383486986485973289361897111446337845732023165263692733224\
4231203039398851883414449775324740035416583653713510400 #^39 #2^2 + 
                    3334782380528030238398330808602474541770391811653450648913\
325001576336932366355473535966611865969602386257118361693578407612263279869087\
812494807017184293595742644118453498157322058738932713273523372327544589326191\
583208360749428841768133316387846364677951436533163757233259933638420532329741\
691070057263309143462266676913006848355330707532581632485956702856558727472522\
33374141601273380461209062520983221948768456394617651200 #^40 #2^2 + 
                    2787698816408618786165024109142573580888470349244535147343\
782879234016149517010608670702919946992776660884581697963910491398148332673863\
154491690017143534454595476135059397720235109459810652215694073417059153858860\
728810559585331194155508492292134926674484301480260295087475131597348817752564\
249826381645603747243885240705769344302052854229936615387287397204939491202455\
6502988337680376597549503926919518155178654659143270400 #^41 #2^2 - 
                    5825566465843295750141286873416310682129376766325617405490\
851511350752468716976868555363512629751212390915718672105262571986084193930037\
138531523671754272249239216476454609880457485469811777795170511967579265442928\
778978342463506927236545151766913352571537645604148109176265078581173334614513\
040442018187911907259323166318069774511498589865955440010936457218333888864500\
1074311833586530452892569372293251615538399151338291200 #^42 #2^2 - 
                    4491060397302454265148416428337879073802487650052172833815\
656090478579567373098710555904190060924835021911765003495864078123281498771768\
327896690616720804086781535701314260799312015716076335460239290715828817724743\
507521105563525681406768104013769182792597460881308552427172824992492588709970\
573337133140103437888766999968580088935820526945692212865019764060706094458753\
175343379691545520327404576809279251270546683540275200 #^43 #2^2 + 
                    8219917043445185818792053132011594981442256334198491695692\
741274090417961722703361804080087522340540212773762554082129328477845334719288\
706024941576648628950340981174326885958329127132766423053979750693265206895614\
717462389338078505273278360172713012733412483460265923612747647643861186962030\
034950674943415239854578109018956510179116626542749073361449052640028546804738\
104258746561349177396812810166550517875119150963097600 #^44 #2^2 + 
                    9643562062770076012237409630957425251298387612802705796345\
347920859023770603203259614887993905179542188272945231648913343701802960013794\
976146929144581566234138423986503722882709119172796783581509543433616700621548\
099085277848069463500373434995568956021118870075302259545329954752648418298606\
121725322268340753407585183142791226417100277133320537032947116752191179826543\
51542916161881002125312694138434117177064507939225600 #^45 #2^2 - 
                    6149584901068987390671707347770923064147406315693754795111\
471051300655739717020833422766648394669339472724722334206943571395687734343093\
639325960199340817831477595066155829441696357155545274179068967081239704919909\
739693653357384050169556773973018899336026954560157368938177962897826898735435\
296490024527747062489369722823945929833142996445636940948515173764740986289449\
65434022949954245221637908729392541747113550151680000 #^46 #2^2 - 
                    2423183441795446911289185736208283777597973830260011448667\
599429020300808941978611045811028759333044192447252671324615065539511620816432\
498340386831832349013919171641539807040741649486824539230259967023834712594436\
645568881926667095838982629412331151068658031668434802732866110351718240853255\
509233167966167068856487801277558825151454936326584079944798669788818527351981\
8005311570333773911234257281000148030515451002880000 #^47 #2^2 + 
                    7259333607306256776796209789443942522918666878601577674610\
757389650294364961358969489415456125272784951069675205302402224437658270108457\
624417393479102496716649123211005140464553515208783414502296869361177046917438\
123560906731227182433480133328076606146876435982160010952374762280288014252006\
923970051613164401312550501551615623610923298532861800882827374873979181325616\
0170665300347764995746767594661339031739165573120000 #^48 #2^2 + 
                    
                    1656827345437638621112955036177704208783644346843921999693\
051554767166090071647899498878688020347698454218993533223357708761025531930744\
827851260041597143721540948508607520771912213626955814561725612378589627339698\
928391263160548137483781284915841901792537176022837749156117512898978863523509\
142833577214005971909098840214003824689294406954190286866730907873931710407234\
3005632573698295174981361879700327199268642226176000 #^49 #2^2 - 
                    7450313049899177641782547075454736152108878258205360794322\
129221344306553050971676190004861869010187231022646715393209800866928820807479\
054854886380145176749641580363580947566710184538677794347686003255445320214575\
606603032759974537008932259180027955682103382135525597691908714863870073899578\
440818349597179333111877865515802993637014060141827443104185796844910388363362\
04091658890445912115129474069295459544313282400 #2^4 - 
                    1171864264225089062222921133417512770615364521833102208889\
320475811266394135475235978560147045576940811630959534211983788354491663803642\
015867474593574228251609183368613652570739459607836206736150455067990688973121\
257710758717552482403545407024001659602382676635910809966777027542509799497611\
516495681055153705521353383966427513890903591082711419015123746223060115095529\
8678711525854454377326637374497875542570324828480 # #2^4 + 
                    8800943020932889106978218883477502267181861213544314570898\
531792220078404020614006610030325353758957390085424716979298207333457145016660\
443663093677365535413093118056232615397467416289717084060151962168161179371889\
921634398464616361882116741835112511398638049261497071283957543640633678094213\
793327213323898116418939730321773741882566209438743808139689582141351768449383\
3984157302991706209785786459990910496156576058560 #^2 #2^4 + 
                    1734231411453011406270548110743743340124066359268697747014\
050424792314372573189582488508452164992115057611475536989613339813752307644209\
870004120495756513583649844596563955429742820875328916240121987903983509839995\
861641456569648429508328374485347993015287588881495716857718320330070707613186\
996051436012669259005931005576138388795823374355260262532181139428344827764785\
304097075139740365363685982745186822296091003002880 #^3 #2^4 - 
                    2362321944037610559197362160921106142040250763458647807743\
357967201317495877342904822239513957453134900271042114894332225605640329473182\
375970055566386009689426907702451677808199651942414219844877269841048240096252\
296601299256679737796057338176491675761325664687464759233634144614810534042744\
028064490364442839162995793086398661304116498917126884977045682019105237222882\
418285441720136578742283684298022250290473146707200 #^4 #2^4 - 
                    9511202197042378200080859395583969785990852948633048242766\
038039263409284440603827059821165554120953718577561084952115754513332338980668\
393559548584106221041213000581585340407523365286289207951827089365928751379596\
066406759244094658917147233884821084593031516895263471781212543311156109349199\
153467497120603359905385442049810943536469388092669677615490157306336046693950\
4154742617257428907803931742451516062488201427456000 #^5 #2^4 + 
                    1279494066002026330613546848923415477379434185442101637050\
060863385820226420733330097666227042980046803572699678311505214505809491426143\
878354288474236120695211818488118922561603780559534243678577111789881158254197\
135508829844065901157925979140384774564315871072614185866420657551934587425587\
818689975512673304727865650457724991864889012770926761994188173201300987814928\
4540698039513611177868086257605805831933206678906880 #^6 #2^4 + 
                    2624942543577359741020368390413763349635300245261163228600\
092378717990449266945862062585496539566526200764947171333748375250917330385475\
500567787742618628564239110973842435910452910008247255905687145982188128481113\
387393695495929915011022795199309829028970824842753674971930638240410713107426\
614627535221924003578576043931722637319470887014950727489912604106679504042674\
895126315639772035907398560209946761851824825671045120 #^7 #2^4 - 
                    3546573716592186429804019485966787359250713990724595057490\
500196096210314650852262100823768994069790029131103760610840755062971708033693\
764204062467352923785075421976386406412244663073116016638573371683108845745264\
112051809085777309290974376593474082568343506434327509308489040778056448532081\
106315382027223624919930884928402851025738071052762215158139732970466043164464\
67647354783410494472563094467634866679999698989342720 #^8 #2^4 - 
                    3727957879774611683334047619967079626946280327318534542746\
028978127215863774786586138476403587724746549698601205562160781518546515298321\
119097395435719593319777732926275433758837607670310436676928686243559213996284\
623313564635697192969595355620012430737904651527123141847211970462988350627167\
378680691342640611658465102194726542077714985321799838454385810292976770785857\
6326941292371150216828589319018154524393058228797276160 #^9 #2^4 + 
                    4096818306692283466564926788028732882441862639756283471767\
613621965809781618885994263029083849819432961666441285629679205002580099156588\
108171715915945119912427365614548586803989581538745649527303782148161603207302\
779674441514766593015886398613060137977219415612538045765854209462307085634993\
349878241115316213490863250306081852433134254506284020939472488697060206673454\
957819894863986351823852522712159984453724511729254400 #^10 #2^4 + 
                    3117706629669376311237194264595991115687540813304801992845\
786536022925362913421392027518549726273949100332403785881858444695729781551697\
995881463171207191885615820657587380244479709528652759242263507394600210316550\
916496972614979515488831399890021481933293522652333243860565206983322141580975\
060277042523072016201911712793271553744764680002140621539551111135359698707757\
85937202406629649089916650780717229518995925879151329280 #^11 #2^4 - 
                    
                    3467664158671676162538756922396629711756497456023510721816\
201495750074007382332190737946775307901728231489037190937467130318885872085173\
970239503686553756263659256354423678470903204100652513609466534227789087661865\
447459040955710392717407599178245655460947785892973100976991065142344255695214\
079069080900525228930287324149066697040500041642555933954247588400649460832105\
229301372091244608135517127315666729501445121256325120 #^12 #2^4 - 
                    1660638388141242081260523208393338700333794213664372929909\
542798633328851217789029114116342414095924066420020801123850569264947390616680\
205358585456373687396181124055733740281305335406281599312627470745451093955188\
739690328879693774411107861148873864894362597311472607842835458777532652864625\
117832802885022903195525618018176835324713578279729487945815010301833000153791\
598676814208422288991297017689431515484441115246398013440 #^13 #2^4 - 
                    1704523379985293606862550976811179244008623599457167863984\
146284297522736196874773004936157278348401268724658942642350723250995965525910\
456661368364166656934035599115535860952074110143530937526362321453704690498442\
524808287038677303946061345156605799554431361463743631082964596393610933391558\
478118085869863521927427783480089518857638261137966090235001445858374812775767\
75170340926224319553896246942487851032729528861324738560 #^14 #2^4 + 
                    5854297183266625703464757019063275620218024797747277201531\
984650909755151548079631885265722465144717784704823440353210036151458476770564\
095309184722791440834135537283622111881701259699910957517698361314668578068159\
485211000286914217616856150577284161572844673365111467630202797244338989435197\
190540195143734640228624720255543608725112572173690357529854285540263216169141\
738013143510921844448912420544217708926591760178489589760 #^15 #2^4 + 
                    1060678476826174210013361965469229688715367929369779357409\
146258605518187707033520861074894949355508902879920541275927442983117557652285\
676646242757305582214542140387174734100484379967219638049715207429609921103020\
889607241758045329354560006303077225572326037489192178420869628142388277538216\
177962697533004885462773937908763224067656878770529214646214187186694611415315\
193791999677443232266936182743675022309462167457806417920 #^16 #2^4 - 
                    1389567469204915078478215054095571801784775616797614930107\
678837129767054808303308417970712527618807543621346737388902115940101861847159\
034123913706810409849078813770035637292306660110700236830063099111006941547868\
544453230294668259301269487639084336947262295237824536599702891734101455163079\
244992562708561700190871551478291883188607559742128858133862274260957744657993\
1624235999431151135580463998902965288022890030265154928640 #^17 #2^4 - 
                    2460166521233080752276318095357115031108391735266840734290\
520218754778396474077456174903241973053573033286466373690627970858807215533025\
460124133514986359386375310031714866606453162732504636351276319695640114922310\
766336707279324799974614027697257743378675052187459538751534861565600851848558\
440997172459755257945471316766760216056686236572008091052482837158035931116943\
393618495306211719212977052677639962692100309908245708800 #^18 #2^4 + 
                    2231670502174680935287980250049200920375412478600543003053\
062463819644018937353838167567044500399000718508400912437193711804540219844273\
602191912689951608575206942597763564871115729663765770535313179212227670385144\
677144980574441068336128209782509770896251866806378576390393712058110161227974\
871739010704342627390452871435385559355018252417399049179213082422435402685123\
6843286474790833525408483020092471312222952698599366983680 #^19 #2^4 + 
                    2466378008632139729306495366089305449859712174261663271024\
217611302597702595269125836117018570290962121511026774839273444689133368565799\
306717344785105766390861694005246748743774274057077203393320873539783766973538\
197551308527029572281236978771130666303575836494312531913388304233704413222176\
296125843139204197580464661221932067042862190215774097420443184912401917753967\
89105367139205837177213135211169561067406385767660912640 #^20 #2^4 - 
                    2414937395919171343017202949737644288309982293349389735345\
734760708436152881271667646201057832705203163619000092908832242363066504329501\
072405534671079277845348754732584799848143907763482353723538150467434215486144\
135793938678577459275580215286958812799882576614330279352453262586740116916102\
553914792886941717048038406095253081889808789878037842497918575558981811215540\
5226089776974169973366192486282888064149628149669004574720 #^21 #2^4 + 
                    1250635900197675912191194077673591228361402988017364824576\
046845918734500802273911636507814679500052286313106072937455069740550011695928\
155846697008556515222283692407519741276413411597729161660327032940138774647258\
343961774898306891960094498384133504418234566454641120725030297089630706964714\
883957578449498209675446560117242872791290020997561693520336786781770794391884\
4905758726806010432328258013118969116639282056131887759360 #^22 #2^4 + 
                    1742356770658584159387221245724015954887460697007605126605\
675583783071789918346555701742894193930686845113385529909482234028950239397526\
188491835352171421219460027824701184821138748175130406874202714155244819396735\
981765487364715680694832809060053624689336689722671878872561611539378252259694\
151305176200454016648015002874399332541355661679462234410064173482687060351218\
7333022494228270591831350744470225918638593178064818012160 #^23 #2^4 - 
                    3523285536598507960441956830063153777970406668743552118583\
343786224915570667053089154297701162945827444289481301792012551353959548810007\
332306248428245732003036603096081685829859789246026594366689011420876723002507\
885015947132644880750120314895621130372379293889184398211982042600651508838603\
005877422770001440090523581443984830345190377996012529568077831597196780977462\
3236002984984672570665779009100782920234992543927013212160 #^24 #2^4 - 
                    
                    8467465272339332273376191554902911766844691044444427698649\
025808894645304927809787814036264136322656588433030628656424021731027237533208\
431171579927583218852437593246552605535090843666048710860939489530477944817401\
272334649641301738294999945557665202620143987383148129285176822393220860036261\
050447496957826709869783276390504872195981607200660374333310127268108887246660\
187456864720480095912756626808937291784903832019130122240 #^25 #2^4 + 
                    5475183080350987258164556133975412732007859570433272819768\
601992019639806680331244785026350368113525944735857052778463888625586940449874\
482672709627159243887123032175450122022162901152134841814706295984139044114171\
747567031573165507256233340906419600328249081914080445558038437323386376998212\
639546366270171709562831833605443962196444939020568037739944328411038963177288\
5849696947832868476702942341090864914795659225365426995200 #^26 #2^4 + 
                    3442547313651953646305122942515024163627337651716998163204\
831609592637969100580165478869027028255122465549933346135044120437514525853915\
312067464453860134750751979459169798556587870929417900787936742101505852655832\
677925667907986864043613473166593334424626090105334394256399839367333876297237\
409793610637850351808228797689333010024503123132409618114746861988345449471243\
137909067991350709862021370449348462235272824145093591040 #^27 #2^4 - 
                    5799335607408051025692564634177067972111290787756594080095\
034553291642382028004483098375344178142874283445285717370536531854967006851928\
347942425342728223132224253965555013945118933599186208906926228051353515534154\
824682090360790017596361603553744298993093357758557080035598196874431389369089\
502735272312257833049995927525238994583371951570809648378982525198607791378559\
9151134860137828905118405457172574669510381442456344330240 #^28 #2^4 - 
                    2160895379407369596220275058435153049136758106082754451243\
697328632777180288776667402759443005829918496965465403495690600692941600167508\
799265095550337525445287022018689840877078192377224871850726316831036749015049\
477176435879861533211412164168706377720133243883604079232305373090844595399421\
521198548904036134245775374869884203535358286280044039184420975660668744209079\
484197652218584590615669693799713563025770877640853422080 #^29 #2^4 + 
                    4547911517676001070659551083456524495989387924564053280474\
049257577087158264800087685445815833012169381106778355643475677733401594146404\
553162123909954640831904329086054420478987995165675395938208296328148622484813\
162096390278522656630684003820183569845528357384797970782207811821332568588566\
016369396317527716150036263620670184524936574130628224118715785685377237141047\
0601746883173418603732553263314076041299672910121580625920 #^30 #2^4 + 
                    1678707344140082235920918800786530351969513526281504508027\
608905278787249833466548589031769173035256202046891345174628668291548527085038\
930591413071348309866146083072533497655805249726923065852525795553388065409102\
817005643425356287740970045384993327668326619516835298337365935195418689846970\
294837509599833600446921584320925488288023052390024100607720061991225016474647\
589703485837751717095054994986097657738983185629860331520 #^31 #2^4 - 
                    2776398188473084645186374672574512401680194560508750122740\
442478868895709705507490520711470449028908328777830299644447054127119848736858\
551349858956046558483596755123776029691045281409143577569683838861829077249916\
496484941222460004862005113222646978224047406106685733083496655077591620259490\
982108720710357688073036926434137208042816999637040159196474288187058468940367\
7324602137886842573259092855528754553486402457796786257920 #^32 #2^4 - 
                    9151212124823771418674621943466869862701454125394568161193\
590865755449640882091283749601073638572654862800242613626647483864940261406085\
243015298706941901058408127641610214484841917619458896891628482646256216200457\
514785491939301252974087416470499211005120997935213800956693272316084533973807\
014644628700823129893493574461887336717346070775255972690391760241072825395545\
16555208128389688186055401994101560953073658127722741760 #^33 #2^4 + 
                    1369640937386679282479132011262734786600281335300011461884\
079928003355767577403011356703031541789629578317311515024038290960892240875132\
029426740165557311429488744922004195964845456599164673869265327641834980246241\
031233906347835372129728692995448776321594284212823164493126732753600051522153\
624078175713871002578988806711817131049299705590124852776510144105551798690838\
2609531069144541360003084739840342534814477553661053501440 #^34 #2^4 + 
                    3680700918915067855019080235090760857086648796567821119145\
100164840170616381701667635233480522350966525123098746803027572804812402561219\
596639260856668451599767610336295614203241738495643612313545556657006266518735\
917065244146518440568188622921879144554497936196920887743026475386805560107436\
457223518533274527857802181521878515022354111306942948436188031365400850900963\
93385742254055124353350860874150838213314668097070694400 #^35 #2^4 - 
                    5547134205340392528533135545781439076489770824981170807184\
116811979709417110954723158919558250312640712087110857005036208065471188829868\
683841874476757402630055851652491246463579376279942427231897659405596573005287\
217321017208716982318784261230703438089089839162707507404667795481977783346927\
339216081769478613394210882320347162100370136775541960586677546107370153688666\
426802186889318133400310362835112636672579367147478712320 #^36 #2^4 - 
                    1761495201591019686355225059076032220883446678065330743105\
496233422672535424460114121913314496891199318957854259604830585337368885601866\
157023203582997578288182581993434363033070352150751149206899891441909334651625\
338881393614350756293266286118529118325186236088852904233730918057583657290362\
596223214720944440392779821430742332990215216179808006677366955995342493179536\
59445368600893952047331660176779596566698193586728468480 #^37 #2^4 + 
                    
                    1808033156568664893352883962290936102385575512043901612998\
963514829566624606515654529461437592468907536628159177295504743466385064162036\
925055203092957706400528322207577631169697070596253964041502094061446938390130\
924182445717762226260358803622900941367910889610175374026795298498098178305406\
328671548477632337247959477524575160537056295121896659259033818795284743755333\
029998052165892865147484383776013024199410718229921792000 #^38 #2^4 + 
                    9730957112514325724307124905974784904277045641687280632569\
203869697315167912421734951587934105185435435935349918543190759275022159508843\
883025175892538560099102231663829190848154471576028464115034292702604908903440\
677403325430086325747360929500322977714478325032354654878920457714956734547572\
901611023588815494642208001787810710877961888833638191284715553568546953380344\
1970689375902162413813980445982177445568031008122470400 #^39 #2^4 - 
                    4496240163032759120499504548345680016466344880078004582784\
703393901206142348478265148681934133281725939877193109725393928804403841683998\
633076211581512862821410331245796074465622560043688895608822314745195693155785\
253948626065303031956062611848812687874562011764703244875960667850644264202358\
215804050709867674377274695131381534311526386214835157887656251290092253327555\
24474432816442693187735214760145503280182377746268160000 #^40 #2^4 - 
                    3771512270323502225022420998112702008546107158659665335974\
086088532592255391266178769696596249339993625312940406138129916293182564749615\
331625274602007748489321129325116827376688938323180229713524047802569581450586\
512213779905156956700334784210407743291995129090519805167972139925265827910951\
808218138510694432742690316640208154322780723380657543596013766426412681619037\
7941764051409401595288010243557892361788826231557324800 #^41 #2^4 + 
                    7855533937197682954735736406899392664317781819321571873855\
709331373918224032600125340876798275433106312996891655721699957125824311244471\
420337254837099055823219382138220533541077290002728341651638374033803109320423\
805743256599914945926565462883888296691543329450676784772199867155251923659198\
486781638115538509205693123606099929200355109230349757777591327563330578908398\
7504531451006311502212512733907096776168279444658585600 #^42 #2^4 + 
                    6072821033746696868459410730138038834109605652193378570495\
135998254757300880514360712687428188565954155605407741198067348806004632010047\
412522708589129594856895509996533735427386826707998939251008411799857022899925\
877381794130578731749572154262336710629439766031393530030372698622262897567694\
893249512758190418462246883086035281416622990963611329333148658845714820692572\
853684267501165282564691286661840184266075829121843200 #^43 #2^4 - 
                    1108604197346258161950086354030334721437987061849775270656\
907507440947298235170543922057677756513659930097633943662429662622899275690122\
046303745674611335791973299634670183091601734261268975381124291720552437712914\
228976478769927591604000473236440022662690773843529640026983757200814020183604\
687980265020868142894890515051871494517004850302201029381494706506276136395733\
5985458139665681319891503239327319575182068145979392000 #^44 #2^4 - 
                    1302403192320601969115375005899168656603019515645147224080\
929808139044484452597308074025197312797840556029507743088440529251666486276827\
204149830990845243143408940848058839565229944322623144026926343700388542297648\
548791943499454580720510712650616732545869099789251968320257348647307373493292\
702687557344332615425649847109006370260002081270845032784068951496427500227582\
752807299938167652373712099326991036015450641976524800 #^45 #2^4 + 
                    8293690296918295662256211326321130255782424704495056616951\
124367052738613196626928241844238691843867351170516815385515225309080175089850\
240708289322721087300873261208689369871228475774178089712398810766606683853604\
195050666374365017201443713405065615056906614340841860631941344317039691541405\
344884543257590551362366155981434855424043899016056320811091416294986979915727\
18601450706395683599539701603767995346378710581248000 #^46 #2^4 + 
                    3277659623586383800332295346562460482597199598172885610167\
835857306607598415277803333535426060475236525992908018260643409950122616503304\
072987574333140071118772389660948186142730140728766586654387659767106771135022\
895368143767114955455295885905658433982201321338385198150557023068419705255362\
493282731392815408383191604269837176422817126537008789303626512898406943941134\
6538392412691105739682457019799496056360967077888000 #^47 #2^4 - 
                    9791330256769693184125601255010728306708063968332361120073\
322844843608278626778294413905756993377761562581204608996538548800766311031676\
086472852783776779263789116146450998879957945814572807771791993166161038687371\
265460895631705972522277042667548724641004824399646048788657867130162386386224\
854001330282827146785239901987394344795476439885291184323226670389228431390980\
3638106871296398328434774514119138327153199808512000 #^48 #2^4 - 
                    2235560368863662970752561140668799045178972710356196489568\
342146695099585115312565097861918076149114503683922649797836535256815967005262\
724852029715518859007426024163391296309468915069694219858286084413794055569431\
799692508268941236729632565798051656929569705146538244195225341783410441246221\
302938394580565635709321004829031138663832833205972560165495713251430736948994\
4013909871186881562750868092287802208679769407488000 #^49 #2^4 - 
                    5443456939671115046790982780018602623533085504860674177998\
765262132935817862259333096253392319277713361302045273049903940085847036060811\
583198700133766062842770971544439769907272657803573274440411118649373414157148\
000169261373464965962276186206411253570628858634527467370238476375106876519115\
468176126784140446819503811579523578293750531931948693332860183589863746588932\
031859861362916423403738598267291759423380800 #2^6 - 
                    
                    3110546822669208598166275874296344356304620288491813815999\
294435504534753064148190340716224182444407635029740156028516537191912592034749\
476113542933580607338726269453965582804155804459184728251663496371070522375513\
142953863641979980549872106403663573468930776362587124211564843642918215153780\
267529215305223112468287892331156330453571732532542110475920104908493569479389\
732491349350237956230707770438452433956217600 #^2 #2^6 + 
                    3110546822669208598166275874296344356304620288491813815999\
294435504534753064148190340716224182444407635029740156028516537191912592034749\
476113542933580607338726269453965582804155804459184728251663496371070522375513\
142953863641979980549872106403663573468930776362587124211564843642918215153780\
267529215305223112468287892331156330453571732532542110475920104908493569479389\
732491349350237956230707770438452433956217600 #2^8& , 
                    4140319360840316164191837667823026529029536781443102427909\
919109500831956279959124519472860021807342483926646017338928994759822006109519\
914710737776490073785247927619927462636732565409656541983170168027282498624953\
592366041996154167050631873186604340095805652926374515152656836766151376409986\
244092291998164902472346437409809559813743830049958457706501360910617809330741\
671111676154674772774517849444325723466172669537867282823786868265273332672062\
395738022551700345397893471310607907988820071 #2 + 
                    6270846049861571068735533452251044433837893139739612486452\
317026619933051972247266127211917689774162810336761771668531545677234621359289\
972324755352200668136785828426202459719078244739600203858070946303876918298981\
902703686625798982706421703801232897229914935281857465798335414108618503748261\
782325245876471009397935486442420146395091190664437081861512363032548467149040\
297345570773362113531160785240520035633398789756667005913543198397181153176203\
7918762439446257137630949438945246796845387282 # #2 - 
                    
                    4870213141071824741023001852307932119974736745313108947958\
745249874406814808549270544630370234792981662050105362220681597647586053742019\
012306227364971283425279099180413830528375677433570545520891444153072218898554\
546283816147390317557296038322859048051457107577018191716573353024345474177280\
696481986550387151373559822221840589279389878219246978468052894092223939187178\
178762278506784047721591807569644927281865223366067119360756639479386368984242\
81700986169441100456779774473543276002368353308 #^2 #2 - 
                    9293278358858538784089108403122072422256149615292010040799\
666822738301732075293689363484850607438643248899311868935401948659334516876944\
229788091237828506666027197793445098965943625050906541647456433686037190761933\
276307841156606981296758166458071230343035931907546927558962785134068795509418\
413093041143045020481904103860447120488673337773353064509430665603224712565078\
562172450890569018595464142785368727437308425932588649591396829575633927882744\
967758855494281337701689235753286841231259782624 #^3 #2 + 
                    1362812185030987816893333416330044038305563394211311689511\
374146446950686743107017212653480544881608085926742275498012034871374150516997\
711462474084986306939193223889697419022036011473275421587574801219991454835078\
130596669020984281312961780868122285867518426865773095739776742692010278384038\
168727252153895496906949081836168433150942406479422912061051442209478561082067\
702922893645697772597923580165012882449053354245463633980562314658587961818681\
5241477468178978896607932019391119689474508297520 #^4 #2 + 
                    5095976405053209082814855860374530725665208613993758851165\
412001552657095231782139827540141892007097067742970162675177292920462431886353\
479051663405054409850052883823775309689637013513266882025836706143451664616736\
072734271759949320407131464986912407835763726870540835681207636421980971885283\
070628383117556726072084411767514628938205640704730206246211182140319998982133\
622632520017196699408884236267624869440243608856019254948937388659854800215595\
24590791116203449204514468797693565697480050663552 #^5 #2 - 
                    9916616714136049504048514628634599304949633921262122071052\
811120391265712895319117308776973767718392468659179811438271088728051396871990\
861298779403304712998282534627790704739405896627948157145066378883386532184351\
449708709501863444320041046267399796895517363718805053537428662279412909546682\
676448768537250961787170130300050160050987835741776255467373942110612776674651\
929254630096301218166643409722039737245107280663107892308433409367398202997547\
5451382653101611095943096769351346474407633596160 #^6 #2 - 
                    1405309001985654661647654481069844868963919373007090911788\
256093780744415127921177405839364103283067452990584339732880706737647284676023\
428736756753615923327244085627654374258544781022575422672853274821016954390536\
894375785085877492127693959842165582241067964384871617341177035873290945231581\
090156409702729578847690953952936893336423225375641946983860285373340060226498\
670369585640246809851462300844358134757713615162050407684319205219739875334982\
3038624649854442833650321689416422348322536701189760 #^7 #2 + 
                    2381263686939185124820118144755697318521424802200569298944\
400357728788828577095098396842246146461821308332826020661632174855683044536065\
444598610473580862730197496162594146682214357259892818332827138925948682138848\
518027375990871484566699391103341346100160973949229745159529810812789405492342\
790625387551310472879126264045896245370499735287765976759337686917759130308198\
231132264133514430035941835836112576384995228683337918087623649690724029377170\
102101787158880365625159941118098767287103514371840 #^8 #2 + 
                    1995282071885896243731673969396050560138042642139489880180\
040634086132411066813265642887681725360526133237025507236075897655462064464963\
446220455244574235040399629749214248957306918963916578210643888430382741733542\
972137721389975911449482832440967427412829822627590107584106417419657342722115\
714276669823293015216004232815556764868153170455412422056488530218259669547205\
156349255278462712829481188207277544186470136112448433954835719225371096348609\
88838335684167120181503350617040744037330390824079360 #^9 #2 - 
                    2626010809350603973738358286469792635118904603258076219627\
081931298487865599654556691844486126611753272934523125525597849788776239051025\
825010904079407192505449927429543660304007759541977041274760573305557871305859\
073265040160440499099168844425654744884326571885580876886389744579048369188090\
145556993655611803945371784455711201323870503242274838716173036479322831394301\
141926209699469260347288930296654155292696106945374795747624187755080531203661\
0844906066964527984982137824855946001152022719363072 #^10 #2 - 
                    1668827847458939803449213573939504632142671916411857405187\
015916563462860378969792034931429281184905721091517028322007545326947597402903\
239417594300774884722691403341914739054647081362034063498940112545188440938329\
181497455227633282247314732970610819962630012463827077554047939472611221706391\
557266803977422224661515268667072119420696110995732813648335018766318371861313\
166479357886621980677832392069589968172938880318423548031712993632069868634615\
829643642490209083415404552011190223201601529076410368 #^11 #2 + 
                    4269297529034452859173242908224267662089980832172541928006\
882476011733164273155898819599070359108547712212836017555109625750691111326624\
281747225490783436605366044413704603280860425391423119275125747598101316840831\
307042384641500750385428633076917572467632932603761333342922232507522526658782\
529045279229658324320027758444032782383916090682799911459777974036476040573171\
624811521102017646357296719687643838141395176894438392290686454334812548033816\
1444753914481233596746777398909523443602160545562624 #^12 #2 + 
                    8891039093927227235159502596550795709338783065242563124750\
355800053653040727520410000085152202655260713251491733644594216902194469470157\
773031255055895990574579208078299450110633622294014144115728720139835476697038\
113778497700712119093177597231913194198612688854254464326281252890387341344010\
383857789387975775963963506167331645671752950481567078508897806179201658617016\
807324540038519405600430125474542032892684285019379901014075339428571730845286\
464508616645091280813144342462662079223325398183575552 #^13 #2 + 
                    8248636151815531094795236642012854254331801603071304297675\
053180280661534313780471645674066849475619172607180486567448872372989354985685\
033684392541666644224556103723353386154343694553194897300629039634888962993066\
431180590110697900367160154091136082035250435150748264997174385309616944430929\
103168519448666171417488643127985407380812278813159648686216039604002314832943\
731336853194024371197029690956983934204424543289240249665577497688194734539260\
17601865697430075781513145865346924137107908503470080 #^14 #2 - 
                    3134934845084740887245517796991656508897687138663238636362\
394547075462785203422512645268426057350372887524090678955965737946109408960533\
993997529318171051252290580857726146504300659335635113947670259052179292630972\
720772840909931948738252464094960912202148122970071782327466831475798780269334\
114387248417739144471903458773290843120051493153265468184228849816397720070289\
056992951161086349870766352851763332331988634645287900657492302838460923726113\
7347033415256445497423595495384373059696798354307088384 #^15 #2 - 
                    5465899127466222530607655739341208552900321526067890111191\
329201433955234461791729632408330152164439948773621816470440223987030407476587\
069158840221700502981552563468172632671221731098983002709344171021866150526707\
410054357687720165849730069903419396964506096932758222814922578166950916886476\
103493010487886510829824453286896580173846701738620047340769903784843849435878\
567828164174145192527343871940027622600700560442234812746977446846251272588910\
191750854497337889228658401177546518081811414162276352 #^16 #2 + 
                    7440718352487429660099627645973573686116224470007286439032\
728535047904482445888367505582674875708791031529205565127599947464604951595753\
700678049471712564319269174556063432274057514273505567420919729152520434719988\
866439141894243353750116825209137257061077725202315938093564593133424318021876\
426297900133767048778256518056891196286550858052480079610851953714490805960383\
642522485659643365904558861088447750428108000790023815954071550254604445994462\
7823888380189808386813890253071001997268253341478027264 #^17 #2 + 
                    1282449834333749841126326275183870773989030328070401928819\
688513056534945741605476292869549728901158843760695688278825067373268318232883\
259568050210493848152743463523424400918988548510577387772558440686896984610578\
715028286923189867037521793081218289895590840102485570399688079621787893934578\
365233492337708951130920496284733006951614475475086970735098258749136797142384\
732686342124572336701773353884003074785128376399820305385006618724938955460626\
5699578972190037829370262470219263816475127673780699136 #^18 #2 - 
                    1194398420643602547150016932126347705250696880821083570585\
841418565345822914348287329916333183364694422408060017830514149107412557246610\
264052296251393902082603715213137292171019244990362343216529234160831393564044\
858635378962155756032178373708507562007157199699947038234792626509859128985866\
475484524691280013717217628776735010491542065188852841098751255141561114868167\
324652700540009758719270987382343737989735205876433815375573836870430507001215\
00191185969921281490116059967838240295758251500918276096 #^19 #2 - 
                    9468528420085745290038202491485110828687538211790377962484\
777819660583870407305281401169517061809187260479509641029387868002353460855691\
143402155790170559233544156822837380240496298103189038683867568986392511594944\
016974302352625280422237728343666369563037062667206190081764526409764057046261\
889312333992328532585897654090261576278553963489873935384945173288133070633072\
158634934967815249323592792351744463779059638711197344252326682321403240396629\
16012661601965929859573583403822235832178210200616960 #^20 #2 + 
                    1290507133355589617642725129585925750529770420902905322676\
935939349426522012791250456012007381722390452362777906894052435232505707008063\
218146407457012147398352320241193983809767005861206560813293891996750909305131\
656620206235106983393653384086573306360360334773390674819044373509479276828056\
391192854356616655799392147403880888851845043196979810116349500931279817615828\
080738042289828313111021757030971997249399785836340158809672833453616335281859\
29038021255734680089936886610935863379306638240592691200 #^21 #2 - 
                    6720258904534580072876120205537895193774403069614476145277\
912899715173109420055233387635380883090386469952969395963483228337319500588813\
929752144241383723261196653350884887619094402732349473180831694367363274088255\
151377759297661705316492867897054157926188053935285714718517174508591072140186\
750606006913960907010673741993144601977853798582618478362314312672266470281346\
358739247282599500049573781059557082826286945195089342665477252121863632342912\
0974731206321067379586376420387109025435155598155972608 #^22 #2 - 
                    9270753242913790243833396938234761742795874519470454694261\
064327404377564196674124071750908307262282907726752051059037349797030168254522\
576196220501991632302848756156803417132789056019943438952385331152145315395655\
168925822653975701731558318818460624851255954121369599568186366544197904739399\
054916985866452105357395085927510707752828805844388575361019355640284567284919\
361588981146371598278915109537239543901736638077724545137342941560128302583514\
8080341477597306531095681681669242262664843316351205376 #^23 #2 + 
                    1886895341611251780357446750425047438259381159493115609808\
488472655680939632249182663965511923772448559902264653009955515426956346287203\
918824712983355137631699592968543149206266614231457861938661156410987459306247\
170393285535889847177593048014313320472618629911967131399513959389304734486816\
401858734402034469550660354857273797751869193325362957574241042739002944975429\
490334569680852208721935764956629988216189552118486693260943910821463602035525\
85276229768922539186756639418634215630447075497756065792 #^24 #2 + 
                    4447976862276380096164208950579012987597340095849007529979\
714995978137230702449622066988735458631893399218345143017092630771666972249301\
208581432401369950924735489972149162640465192449007215741403231239931382499284\
644490062635129918773666385604099075069630426301744780264742302705456199390760\
779385345666588476123375493867864222178318030296181067559593005195886072335521\
832435939284479570480862412004059071660470720967575060450338812132013946031502\
5770227898308227235711888132188243158463791050623287296 #^25 #2 - 
                    2930683543632882103396254954764063873475898532155151916685\
549606965368892629340351832429927397478978899915625630600680987886745900680403\
121380496515610008313085090777941197721795179646751759139148929607800311140070\
179972447384841564272314102476113135933495771485772755889749569225620668799667\
990036035463131789513588229686079063343740536815474789456502216560825129879246\
009609628402078743260766539876751042462126413235394886961682050555714106951077\
63498149165960839886083336623347369522707619702280028160 #^26 #2 - 
                    1754004484494993145097749457515902441072408362279203110914\
141211700902387309324395058604359177884136757636725909729608235018800415283767\
193248254530437202732570788112579307299063344017151612696299101800101283019925\
974554225246709400167925124720409831229014231175855478972957058827273666809507\
196425839203304077301572798012849842111381717541791720521529195289926181213851\
715703395175552208447682655802695430876360837949010501755019361220530192835914\
9805847039027742488763875649269669092563282056582266880 #^27 #2 + 
                    3103930362415483617454264172344689489844017986404143451383\
957389932091222176462476071664812596753772190525537713657678406354975646473012\
146748265109175782288207921055860413729159506359204600567081503533597591677788\
337542051214895105628148565329395689870866953163797522527347791876633035387707\
991963567510690049434961856238137514247666947890864045800754536988962183237846\
897536111088250170292188758222879019387335559235547755474563457423533496611450\
57794455474378828036423674908729513391037178432771325952 #^28 #2 + 
                    1087280648701691628160212252945738835497798248548581602586\
879844470187684186413202717599637104825479582534105228270388194498230527968350\
481741803431048988347655512542863184730423060266177382001763105550478507120372\
386870875095230705201058774420045187822891883052291536568337566774809233420388\
399125108106023650177434232255530376900158264483862079135504110009149588742708\
514033842980590140759897212825222154082985932184049103649201586565437191375464\
6796573729020710152606952123381629729505691085815414784 #^29 #2 - 
                    2434123102612319107369804483146173339810804624584864364068\
399484859657658993306287727885568648534145387865723536917089964254523129983396\
326912044935936563801944436130188544315819285478319664553294102178469709855684\
730296846591214647880196586603144145063195925425447257509561074585050158371366\
578286949507902847367259835222619161096729450751714581805026316618941413602238\
710501192627602344991852566940264417295577312049094865236274720834672058470558\
21137090984012179271013819039845157800529655144046919680 #^30 #2 - 
                    8562299356766885745641883500795937177191776611021228395495\
994056469912862278408053513497900379443952203907450847308530272502785009863993\
207159059696620439184769010339193921430162181783761646215639652095264321313646\
335882249834135309561393101418807534108051722922571136873612138807018660351973\
890983568987173047041136057131660790071733754111825173542671354342349067252813\
063731725266678425651034815684947072849156577514044286435902942293393849042580\
419961050625122947459165599675659867870343517605724160 #^31 #2 + 
                    1485955478190172971975787122491723625519757234236088402701\
470103997971878087590293447562636186741058596652330266098469207488236061537355\
564726566736080807610344309864148329214928909870111589955125069047233673378915\
858679617674883119330941618893936845105222207102773556868625917410031784448128\
926205846162664482352109431990007076724478017131189303739027084827548306246262\
358802571935377384963708256944566423515583747173667441075336929314556749311423\
99891442734429319420925584082716524668229859768801427456 #^32 #2 + 
                    4689759488935330825269456693803037133262733657767274473369\
299456912115305418110117115796892104410779549801390025365588047771787079328070\
048094509947172600743801331559862652897481589108464529042080367049414869509214\
106720747622227615845262076831956481949944532502508661168608781563748174411170\
352007396019647660537321263733872085746708253034059956198560869967436289547252\
600422746460016732298017922024270182729861763675084314501541101672456517839335\
967648080972021591486263120258669899024114461668540416 #^33 #2 - 
                    7330311079927600826393020258206250245028410994976650328847\
110538649779000890949916228631902893139023409846112566492649960927418403541372\
880171423036667263858510739050169909089682987331321144596809385412847216337422\
857363756515610679093638966119937381253316456672403313505583699592824799907429\
611589846110550108750907806955030385249113100842173234283243450748961565801096\
904240276492082972824835313502823416774023808121591582747375693501069525783966\
5731443221595003131309022591879446136006654494840455168 #^34 #2 - 
                    1885825764426481986786905380506583629761057596467577124450\
666731227790663349926860299634956517936321620189095144078004883589130964596270\
436903088804268059671923108124436272617646737355555193605731690286532812637406\
006574961086475172230023645634351885815093135841436136514402379130347793781675\
287634929982715859447967462790098950495287047555202952328873822175002379513794\
030732021622367134298042099698708970604729283917042369432449072434673298016293\
711487543671558460125427706569143219888023087471394816 #^35 #2 + 
                    2968861315664669797231877601925168362720185654430017743976\
186820439021017891252027404275024138752329426240555723026517296208391550625797\
887961486988032049593472326181983847915442562201778904944323858696508875941600\
973455425360630725065962470268280830650024587341787796563821316808481253053929\
452793593046442102058699020268023977464590532027318263987038726210936207767740\
542495026486653388855068930641277470016087624376063022319127410386369348723021\
2237282251265552202357142907844768084214639680370507776 #^36 #2 + 
                    9153735760496661940238587615678578471531028992828226326093\
524210411331961284837953478246097961854950025400235801502221896854258684046235\
823838165566714651487576955650166573691060843850359930535097415554849943313163\
012544328577953498566599941415735891244163736288283762467610035011578745625929\
045730933799207408541565431698164069088137020960455578936074016558261339988244\
376072718535149421699275129481038416650158093359876537103045109665965217184792\
79667265185424687882979438004822456252553847185080320 #^37 #2 - 
                    9677306069139862476326612161552436140589604429696961143909\
703613765817997933389942126535441919942273400315399719763447347434562368155321\
211389373383038032179664170791697515907424819947560298261213425871786780534149\
063565225043849317360283024870880459637472818881715347541492341488993512995588\
413778493329958139696003583174021454573974671837848558117301688404081744606757\
587155385107474698989568916237100789603809290649936378435502988305436219015697\
624189212034645703021295936823812576560845585414881280 #^38 #2 - 
                    5139841752810831051439533097602296371063916908754776120860\
091738828368823199963330010224454887794917306995941727692640097282498462966721\
223706113627271719244342808550068746615673299691293214324520270491503248148671\
678973263230124923718368632162755192491534500502856608777094469144305187317036\
878081260434060624433513055133682904152710990784134101165940939955010154745983\
613023613229573065943783025328677385077884390987702233308949904678115746039757\
29341033564672780580718534041774962298985952061685760 #^39 #2 + 
                    2406767051972095095536966506329847769148180385297271780301\
281330441531377469561185554237894941859948528268979828357889967662405422230500\
034024972835792631930376273285887154866768871283830143309128529126899448297454\
293417910832791711077549018014631799185314699386724218701749461641318801476869\
962872999462062308280118828259943281393250305569027762786144236695856348131985\
721793897821511688456762900997609245231849879975307552785400420619247721704895\
443668635973324557742338589594735594001693752877383680 #^40 #2 + 
                    2006534431175094978668962898967446964428841052837512299740\
268881080962356299141847691509173616939319497605543421956420069936903527830637\
896426260035108879219021542642679552643600821543935799426324228793212150130651\
140260787051069442721953605899044473709878531624925678555112919476999041679727\
274725401481590179631805057534234566015997050849227690841178200269020243340969\
114790906248571823495262695365370693098330132656530039511633424765808661638487\
31802590460750571732335162362804143320406295828234240 #^41 #2 - 
                    4204869195212100555274470536795260326041791433769608450157\
688876084377584473451261917225649300092158481147934172622093993803170382553411\
757159749714266318366942224632369432908994877840663929840733554131960078784965\
759109215490039184386598180814635203867234975054135039881940340555635974311926\
828402686174326983613258288159581958120586592371651568746829442624238087243163\
705227439891489537132943943192731568577416857846992327270099145517509057539012\
64058219060733540053870192562849653390412139640913920 #^42 #2 - 
                    3233271377064778932281921037994054623094038784088749037904\
010584056873701115205648964088956453689287157878242961471587134286480443422090\
111136133763046344142969689579585864534433496884011043574748788775061690420892\
070314630019509461131210020231089276684882711717952679904646772871731731536063\
721485621536711402549916072439192889085546008110666624993321287170913859594162\
757691313946947959326058116601415532170516695975210882727622582827601390910626\
1829544675375539095800425615236326455202103164928000 #^43 #2 + 
                    5934746149371851642710594199068357237314209155744378937284\
237047600463178632680560324737632541279200749023125809853169052349264291773616\
405521491606995600802834764770487357530859757317715733726874967281704172043320\
449071906703276880899322655049254173305702581354066026876994776996832610234752\
977781970897679211925370808581090839753654701719402130368833743038250109610019\
713925660527453632991358828203960263007667351022622546283627259726494410409871\
1412382930203818225603122827412320732583844548444160 #^44 #2 + 
                    6957471390121280951559461118162984099376168817528055160421\
708000870152725416631776091389814863448484863353945173321367395560308084030566\
645773893256779420893381063775138354633202196389028295822275428848533815609520\
953088241396835809913380171927353413392626554561509655738907749908453207931920\
353665776276212640862884459784467289414850082290682714346807841586635150412918\
130359327322604357722763995030116357913514408765042950910502321812172398627694\
870551569025954715633974809433003527176538449510400 #^45 #2 - 
                    4438939522825733185493874639559360339791274718656072028435\
832136099537737459410332892296018744497266031889004665925617546396058529288084\
030638882644990100403973542814485943561021168355504980277170728468795696231847\
351793083834465832853489222919770428937251942541636184124633818703888854592686\
341487256950488246971119276906443865110085391950077707691037221746377972059967\
965253980589616933621303625700562896520736027280954906134630033678869568676367\
276722438325349825011438948870359059907809273446400 #^46 #2 - 
                    1739381943111480647262199771218465359087370986639504696096\
280673345271616770622152358077828725561446770504307160816985373801295267433436\
151421133420927914334588534384675827288895498770040782456890337111344063442002\
295331274539916166619332234770436467485963689084584650992971548108462730457983\
534168064417271196029386415318125623073991819391932551443905829648605790870269\
920125023069118732918238887343834082354171684350929285973031708748457630867749\
09979588528857699999040241837372241909915425177600 #^47 #2 + 
                    5243273483158922870846009446775774858770088938222175170223\
308358834055077403191982384405771036530813654335315326956904226889651119487601\
123157853590744528591473282892747714850799509653817639515578196973157014237382\
820729034114555935226444535400659355546886841144541938454963669411775384567814\
517320916718515306166952287678358131806937525387871359562626147454449278880924\
266760982542645035818972581277627291102998794451058999656321960506414735087312\
01518369914552997231918853472375516748475636121600 #^48 #2 + 
                    1196382581598719800135481079071566544551680367039976109191\
121617017558560964635724618168077140307301612428867824157651783480676595284639\
165722233890912182590861677008791199096635050228040533347313403096461591361702\
543044691531456279976566352344283535404920033021607458500878920801995492576751\
803646269029105504714907643899443304204564445809976270783788994330889029297596\
139013211837372309845789063058452775185272784209417783488808136537310074390226\
46961576466556088719463289735865016164303241216000 #^49 #2 - 
                    3323035311405206916333801824257048888144021482922852676884\
485386262457787523465184903006711268352891024744208170323840491804102163402191\
572285359744809734338339352445238595944699678034351306623036721964353807710534\
340625320204219491988333004150637458492813469362188775745836973175680982121554\
347421042835327578533866506044325743771670249552529273465635842362800859155769\
664834207238133211317537877443534504362457703436488111453554874295193689616561\
3864469852250284166362480179174313826530246320 #2^3 - 
                    4967131396619557326085970936654321206437110569376245830035\
502661565685939826828490060996661118763698701546367421969895801801497768047975\
327286092888796892013622917108056435365318372789159707564962626106119924874229\
075756654873976068618445447775356431947089394478450148234799586076961138905176\
826690279117940928520057643503528825247118891648953018602985989716495869366128\
289581412411511899147274403764619776678871989468747828675210121808788701915779\
09466898124972044609612718536690602299015456888 # #2^3 + 
                    3907978178959949343294056226981033763989943010410360055558\
254523529646625189183853179450625566173626627961494346041606605535171497668966\
291391142855102393639596378279805788629603405673193636676818488664419536209164\
979562973597141076510736476971956361447009736474201362672116323426010712790720\
385360155941570037784601109316562130464884376927546948588137058191118074150025\
063685619503608214280980651514310581574015678957642423460713522610570133734400\
925887503214458827991552354149484343716104439472 #^2 #2^3 + 
                    7355332006372644065195059435837952424567147859725810587373\
954065872273321572896233177235415404290600984140669472537647184675706435431761\
305281129569739324484130052837801258679168266401672315645115714941288570524505\
187669926755279871465204101275459186411623224600109901982432848886823191552075\
185392126724808620821856017448287147290524280742175011832180328527852148803798\
487479766453383316647232740541155800955942985561514171012834112267617548216242\
0695421743135453089330101721484515905016594573152 #^3 #2^3 - 
                    1102249538541842873114813570937528682210209484147350282649\
479945192921679350613270775909504778999604621292811670250624577609357991891923\
299553854260548893002757194150558570169975927351291836347540435099129687742033\
590818691216347966053482871268100223358941430064697232207391609852058603987846\
190098772653193416745653716330815156996974786236618099271007035350296951725064\
880601714642980963935777929127639443004588940808951886766943793424461978506692\
35387167897333224450779312389817463370989315578048 #^4 #2^3 - 
                    4025627334282955749924292631766541073441528248627675253218\
982627872707628121166563686085916243560545988894564210244493292575411854351795\
812836032128544994560558695893582362015057760806146505523689025844531896194524\
146982381653882833447399598238368723166928102307954509111775443980957290544462\
905423995810655105582909856411509828126675356397848949522717142127000865265375\
759055538286930589453267243064645569976895783380089512446951796892164629128457\
830051494015952111056559426136755643154690349561984 #^5 #2^3 + 
                    8362090726280562148887554397176789962090505646733016539729\
504463811896885380784416209836815802204623695007665799578211526761508377845393\
220737535223393605219225532330057307969310792126505903145467883051049918592579\
125130935764742759834902773297848118660838825658852025297295037900916169027280\
212227495598350074875102258238761003218990916931393450883377396064346395244381\
005560089827288332021370901349776723026962109071696149340821891315545059063320\
11448175859510091956924548353780383372817388035584 #^6 #2^3 + 
                    1108370176412490503356101017195598388101504611317880964657\
165285588921711084740162879710042316094994345985609196077950914858085013147786\
432054035359208585908994490246824347795360846210606960845241869681777152863305\
725238804796347565661659469585468789480626298327349248249797556967556433546853\
589021603091681338524817057149974381725560570552663867588189913401740776860601\
766570508747324062130267333776649854806238457870990873882157138278926814145406\
92386823875360236845555346555381852763857178233947136 #^7 #2^3 - 
                    1924980765717362645697086894435095634490430755227496484925\
237926106898934059679189707144981697204065917160635251002517830571498363527604\
688475018605755116521879693817206249455907904218683802349412585107148405831824\
225181889789040908255572626719906843551313045244953880355384628999698340985259\
603898703505253301185645069599486557483474667380235282791517463038970573866783\
123580007448978712285796972469592885129745498315706518373706384376295245106804\
8255453224837406445600703741078835972277278132487168 #^8 #2^3 - 
                    1572345480592874220438429056736746868784683510752619949374\
676681137650402555620449978011320769478908508185761212150862263181154589337742\
626289467918306240479259289081593269378486274689345465115451748093157019126477\
939575788309207415967487915246873158648743404976457478097506244620634616274989\
610884019878875401504335388887468935440759945982290166143203869517498007287418\
926375245621598764080371796163350017949956233534392280743856855064988740263437\
661681663119009447713660982274412286847766107047878656 #^9 #2^3 + 
                    2089382750173190340176902732150097717409914180507893812771\
646048056917805862621822431581779399045900648075157898221415793336184938206174\
735956227275262540041476873868274806615079322995540347093102141705438303268408\
443310102210820012404773678324091727666608673268582695542256860850140432251303\
040123118133922795486007420710927269097550991501301373689449597569071657654809\
810434036989898596192151845233831976717359413059306944269285480060127689844792\
39886067729565301439622313918651555811343699669864448 #^10 #2^3 + 
                    1314376910174646895786090474842851282970551170187629163665\
500468179413968746593031081089230407255162435190675739730200704587512143791608\
088506499765401611096854131185022023199605146679036953340157434412212241714191\
612792962103463747133248817588229439076924769776609718632973089486459362354732\
757441660641161702211920529632345906189333911413151570331338317298688086953018\
743637683174585607536281268886327918264542842206311114319246067495159297334912\
1547786708526467051397079592700501594568989808302194688 #^11 #2^3 - 
                    3396836600703013366312071380943090740176311394414661272167\
316086825696323752876691205701550792617805584958132309408686007410398805935536\
621115551530897242717580054269071527734058422202968200876824722489603436124046\
250431036851076827405623009587989959830365027026203371520306093977874582330342\
596746058889523646280327564295876116640828508721777079074988659205306671187824\
271447536156419190804027189918377494859627231730766092050933392595212057680533\
62460437604707427405373474955715425602269800695300096 #^12 #2^3 - 
                    6999843296159492986266642940046465163025493591344443536058\
281885472328444424062784646233918203841645919274752636602937253578818571344915\
755414294820380402636028531013777256204558843052639721331289025418809380456275\
649169121614474243983524432917153431912809503284521959581700091379694515332312\
186892564765932660502197239332179999372588154522024902161221530109645189201458\
997752311240711185575959251720663307090539942706975653527712989731088648048051\
9842893619579605057162510696904696727781172425865625600 #^13 #2^3 - 
                    6498033196597610326041401294640658667352775723306091411187\
118682192429097058136100355913086817431533374629171412020903823304465592852863\
135419635472898780642049395589685920559643557938357701681378221550362907444749\
660948462995712568091033347207435253152398168180482043633554749628092467859624\
141631970903290645302751575659984216647473917788137901837964542937074901517450\
702331827283129586022981624810844759077260150718397452707879258029064724632140\
174054880298547412486960296234476707222712018883051520 #^14 #2^3 + 
                    2467356280561100111910615342316235416159315137967877721909\
246309343543254030768289086354640628654199718946739979496589911998770760801278\
415495710471459246374438062559798272122196681049154407463272433524814822725459\
689081553551441242739505027915024150747949447121873921134456288548560786690289\
042565003267112321800234747846725454254152769575667928392058686919543105175862\
616824477414767980411725528729671383940718014069622145250446906250457081365018\
11049839215473675880059059106795519295465258769644912640 #^15 #2^3 + 
                    4304819426034781553940495386331005885919759764660802139952\
135850071510445629040282475068643996695525552747988334910772300275328426477396\
302881962895309594747422108498919082340066378077180416914087039747031718737006\
981226740111245377008541767795987702386397277414639416330067657121526524806099\
429742708161288072106262354808142551712602166332178861723642564496545194916402\
898218350791887398194593853669562425441495201601935527760645661885236958306622\
2482655805799101060549012046824060313418887593259433984 #^16 #2^3 - 
                    5854877985274745788853477593110323252014398990815405483660\
474662607308004445333568818032010499001898136763199013682172583145549907784218\
191696659166024528618702094016130051398185811524283351878229722363644774567350\
679241943608318268166537537237738985843219358568910601487981631493494740792357\
861028246310816098381728575646061317821928286810963249456551989125104571721804\
606735093686001749632298551511184193939521400164168609361950128670956825715793\
99587499801266032700901349683830328707080994280060223488 #^17 #2^3 - 
                    1009552829034736689402849428186179660448950091268014503245\
231600845766547388411852229792288444511479758196463271016539373317424661414854\
353614909087037058874149987084511421619744273493512697485567450776591716882665\
143873984663653235512925078704321954610552791184787768726683499738169732789717\
789839409091208529210421252136557757166113172562648915346539920386735886001676\
892923801315404205710077509655013394262937914231444462585845825383730651306787\
75804041756172301893742007319415143811666442451715883008 #^18 #2^3 + 
                    9396818896320819312460238567732138780071910100445693894244\
582976148604531606893457413897817334559148279408280374591908244920969908303256\
127363325790603507610805983353240262380825099617970772217231483193779700351756\
555002959949351631683012102166960667812777460438564919615921769861921716614054\
602631819913526757818440735842281109510096822460760163890790920032582635396154\
968275592898567531277484464763226867888273127852538084557520396701305379738167\
13438642563860688609771406066598037021118640436583333888 #^19 #2^3 + 
                    7415388635014082061420635307917114940005454400367527515159\
762865237016473719753542167589910249771937058556501879812838575018836235953865\
535350032589484980675792220535661030164722942581062744832116068970986719205515\
498026615274585169873783059900738055407308951216081969497009798317524706332108\
717712630644837561218952014668756862739531492783449624210301606431249598566550\
246096734624151695046429022545024486584349284725849194621146260255713208543755\
162004141371407055767817336854083748574328626840862720 #^20 #2^3 - 
                    1015203882437844894732089567272491552513315048274731866156\
818501103498988998220767924186234409826871659896524070273303320446422686704682\
426346344722510495068618326525754237709437340445273734710194329374594240119426\
821565410391505479743457581145531152670038470409356799113747301909886256869329\
869108798898103366062151111286879024662046950776850738482440586075805158703778\
426029554656132524617208396233930073515622158516150023658844147260379349347845\
077252287542492348657537315873229488428572898028635029504 #^21 #2^3 + 
                    5288967934353316244351595088703917113224090847045404529800\
621583571149371633922471605127291077724963033792054696548569085056757837407732\
910834279523942173380723042056422864062967375098667253191164192357762485403413\
956581065255008002915600479338366262834486450201079907434194869362683265801476\
990427275510759463782553734013908935872498447913651350148547257505039775096838\
555626966175947778676319423682984898302436557747631256798143845424297543322024\
11643019030800956155589381641049930999838342692600807424 #^22 #2^3 + 
                    7293345253198008807862436130215469767323118081885188969798\
093907447065616822626147679919442527791615788908364613741523217971594314507627\
360290767213388806178500494315129151321904197286680304811485554438409306251361\
513236022460592880842251535526456134628305299769230668307660886170463324450973\
242307848294604954798425100940361767026830749972513498939210540900701069744279\
193403095209145677733555288331276672289529964383813464006011987778330017843414\
34677623313257028524654924164984637570126436128755023872 #^23 #2^3 - 
                    1484709928326257564446332781804527850743596381988135212267\
991171474513254623737254109348287191736965339251585352159520769631645522203894\
605857569797727096926241296833539399630135436114676169273038261018230806763978\
514077917335546807088153941486915106494493914623858996621382232797653023098027\
841030838235778870928260209484353729694912075607518650781316603090004181803569\
878677169105346729494814855103519707355905381162697406251777141369372037672551\
742808445453844587756848215716143141092734752142823260160 #^24 #2^3 - 
                    3500706884422231493313475233744259160378653941580845026041\
405581716749891624017862898336507864650599063581353870824256159623984491840646\
176214216088989650968717325777790444041112484047454316361830592495569967986501\
778454252442406733780310044102651829830086950280406320073296578977000652686597\
389747366416394092852854636238485308426046665009141405502036084314254160552405\
638316916680124520162372235048561271170227217981886522282196215384449078803954\
84684926542018546142702881365293664136524452931288694784 #^25 #2^3 + 
                    2305740960366751072931345754139509278796443168447880098500\
512025194995616867776307336073025621688440730404646891358988835296189510421029\
221272709903373875619748298810988392697877844236165924935680850342966944173740\
531930996243346352835867453436398877466298796485329226761583668995863296646714\
032282216355338372399559296804916473025883284725511860538375325300767080996080\
785114341998959589907616458067656467118847978867081187190406754040560657388658\
373001661603175147593166565523032649779600511408564862976 #^26 #2^3 + 
                    1382293239802587865373381130015118127573374514355495673270\
624369851021736469075228617891675431397782865214105788946103854221440193529370\
634359559925987564670811216064949259669441832613007451976455009618313327561266\
324557499970770678535228041487827309569867217226681449197604802517060993818244\
670657761720437188153333954337621637196462807462179301052299933525767354244686\
182221237994794073777398029007407015805643165910937931711731230451069759216957\
82895074310883650610399965986767530980417075686309625856 #^27 #2^3 - 
                    2441850028710505008553057126269755510976511355772924014478\
699351928096294262331841303977530309970736169155444227744419518567834235590277\
203124317302998510823833914737032477014840193804668614364445622020504985098039\
067445352023273001924446288698487638323919658269140013799928704721660847503573\
046342747573480264109749553877756708391763724557555298798987754011642445609706\
957975395006958371906922491257119498613974566246045742753190502779724819133064\
217690516556199466864501751944149868648245867666296799232 #^28 #2^3 - 
                    8575495747705326699941437886847668289548545543192942498890\
562410542831795009248327290594059173027811117900227597365352768453014763218635\
067780843029240686049337944568784463624481796693321292404279483144227034409236\
256856737936054418063255843648812595834776249585560067894880472022081936927711\
729775434755200379035512634395994311433974709332510805075796305247344862634518\
306218318734958616461455760260385704147059084375723306599911312611639237594894\
5153790124226181392765738023078199715281366552531697664 #^29 #2^3 + 
                    1914811309746826347122438070545671079678193058292108374746\
651624542896123600829632695316287620077090552514387227907628824537823805830369\
698404213247412682549640828853557301983518346170782068222168393039722203550268\
670548901236918959396618724355596701708597758792166649779853255325757993136869\
217871506490845109356076650371616855502276075393554869891748834245509860860520\
795708669680809601008400381925736462815713657371428519122440337022400696873252\
041235166260365148196214304101214430569998139154895994880 #^30 #2^3 + 
                    6749728641873346877648504733720755177075650011894816646111\
368699115922902025612805579963346514471815921975463179902238556943699116719420\
254404725335633394421936521782128239244013434113956043988136571613032852085594\
688994128409606270734304726178720887528000436725916798315671942512804329400326\
256938226929239365458345448838880030151523352310588822882767913181275262660555\
782424334583760010219383001344458413992015621205271889239846975806263176599426\
0021020786350027464031117481369796772589518925049364480 #^31 #2^3 - 
                    1168889124516923642040483268144683739083250616782588450308\
727952760032089671528646216348892576163286305039508289104109935345114185253777\
362598845741932362458056641607425968218893611497577863184453229632212359357351\
555513348257364783229987890418020005373759806687771206794742777560580657149018\
172986888957735424444331475302990525184645267369138214455333680995251094557931\
163378223072664886023512971708969935944540232903659975472292410773662565159833\
071892029359587814754603129216340918606023485429244755968 #^32 #2^3 - 
                    3696359360012140149490298136559692176554440686077323593992\
994902775853527633817689002858909058753959687273123583858952737830601143491895\
974373219571356377546977830931384858689105947937211033162389508797811327677388\
675243230988303724115370270571570642576913859734572655177933573442745833071991\
142386778980994182391589222876545310053573069870165377217814285336080512292485\
069853002619200632307594388290122070177162585368980099648641907217817043979920\
8497314338806800133501972418172399289524075904058261504 #^33 #2^3 + 
                    5766046714046824285459184029854686797365502699617358977987\
043532121779560740252096891834618044914044592186688186612645420858707801474497\
168793419066416669231676101040595000758337235518710178511858542096736656751070\
775666700596625132557600436978948546706129679421394472585089790172171453339743\
329224623796197415774296189011106691053060067021553296195778758269226957628535\
373467447549826897609208284014814165191616071394905507869514389849339373661880\
88068804627103421681183939021253057545929556560000843776 #^34 #2^3 + 
                    1486546804926087736258835668251983878750286410864398553353\
166237207351467655701535041337211548418443810928201225439552561507203136424928\
265078087722273421092225543630372249790815789188436182256870566245481590728189\
689956103573317248207613991476623910675323807615661785300929999143177548347844\
176280608365336045915826226923530126755456462814179625024553852071427782342276\
673223261335440818122545825901133524045723395301604760926349581649261860057156\
8886133810260801899805620562843333132621207369238446080 #^35 #2^3 - 
                    2335255650703600348734357368085201188462061573713519990576\
506853810154936709763027727957665867232548650414586545704425389068766134529077\
227338195214529619376943546289751412918615691355545747504173188649237827420119\
620160971102070264936436199855363672207330303261703283396570785008966967549147\
668367106331243224369189549986813417051743167366592373597622292975446419606780\
932169011434444579627402566279927766607951237849764309914394597091284967161551\
73623017666146789763962056038991909625574458121389080576 #^36 #2^3 - 
                    7211278545210255714767882659963852670148660827709429212732\
564794466785635490027098130197118972923619249531843333011033935027449118440141\
542679456993399371748497344015724578512803179598339490569390871598423745768201\
815135815618100328486820335316739770459917627468436920834736909405562156453429\
337029089897163431091898784985108512050534645821627757057656133954363670933837\
902760877151577640706786794707098646131393477909531018119206657889582234447744\
729518037917940512230928259395961114209367683925803008 #^37 #2^3 + 
                    7611787097633221769624811500570629830027372505308905505443\
997167827969548141343342367640544888407581701153265669380892197191638266125119\
632572183396178988068019430429121294261063908169464087990216824127272125137602\
711056381502439263709303406286804697775450891484646168688495996352540411506882\
639089258886487064615924431045977831711937483587551359759222328334754712170157\
513305816359726475442362011446441189846501548551893505006209001264271507908740\
2379931725110139445302284746600269897026930540774686720 #^38 #2^3 + 
                    4045730833565157399159605665409635474246374307891178007296\
255608534139295113775656778012749476523151817650807914461970486664976353616390\
909354278894691358139740171424306322637272980134612001472594729307222312539252\
414514371049134476721153350316727740290764982007123341357706215717983029785022\
571023188723772631582979234245107384936379231808432567333604593380490902819391\
080306055754388358368673609174540309581132753874532231631785369934536513467943\
546457054322023345798073178568910693507079024788111360 #^39 #2^3 - 
                    1893011150781418665516346104701737623737785914148258815340\
096706439291826284231156925849704241322484137552705299608923403525482233033814\
708559681769948991233582740944201265959212044855432764156516660706319994472893\
762129047519516413588873569028201701396422290689248591342870711867413280192895\
570780772435357439486144781335690874699940061997338528043096213455153403361377\
222284998237193841482475030873687560523395926362535983797531432565878863446179\
6207315070268106137917826148064338533690045670778470400 #^40 #2^3 - 
                    1578705082175563749849311325819230488791086431932647041890\
013035816203404371221139803745519025893615614691161958273801833806913002348005\
811124423570376495817772111329107275059505256687318688004997833574347180417754\
004074026285812028286517604882115103863590332257176491903187130824524715116391\
636924546424465319230434011017921499860679314458917242676797954849929567456225\
195198758459813435533411627634756938181569295020955477293783735773332023732132\
533767062263164925186722609008907582880709330348277760 #^41 #2^3 + 
                    3307252306619899358755899375006109806877990135356204408928\
768891892659842522645487125315495054129577507415662863882997082222529489805392\
888612328098394743835318885234952399570930840762733626497211207173452444034019\
100031433390384733985515732868947681778016905335292701970580929258418100856658\
076070176211851004486620499023231961535624246851969118588463574402451415036713\
294024679329573149835318179984440965154629431453119955431549342316900417699315\
915805710347657989727259224902570246421044261604556800 #^42 #2^3 + 
                    2543854137430662932744530953542047701932132256128962836545\
188567429271932620981858543475315051080147007611000661090013417519790510656693\
690308083630474570016791443201008802964375392648379332741000714742184709687459\
450126681866479625732189742204952855675992159968954052827456648353672793828982\
445077050852687410407262454112342871124333472552874785625981970462161319880181\
011383655838861015880889052077925503049495517035725071978953021476111557136239\
97724412007970897348469188329449330154976650230497280 #^43 #2^3 - 
                    4667710734759060225170954887495216510891359132867049995568\
738396570296990130312148149579936618595104327300964073838755986273158461469829\
290258151059634483774805468650453071270834909524194051530619744878713343500901\
627438181222492500858246221734010275055815993432448240087555059026913582154586\
929470003098963434149215020918608933900287849015428777883096087451309737340746\
015571855046437929895185507584467468408938189675771295401000656155415563370091\
40044028852913026348071709158397551192863620192010240 #^44 #2^3 - 
                    5472603941678424841512246961154663020228770197541570710121\
982058466690563872081794220849690338122689913901206346709602944107239415138127\
625707235745337306704640201258736138818315798106328097625860343294365784847358\
399758597871676977956214293109653798126465792603059199257314724586640847604237\
676524267938933541086363294456952072499636811125726378616516046220535020681434\
924322006035078783756226621530446022516541027143700016975131906197745064331537\
7990578823326690124667358523883652349794238469242880 #^45 #2^3 + 
                    3491351749842313628447803134316054914837208841662878347602\
503350484728699870447541382436373705104066759024704295262051389034895691110004\
499798805680613965071174174748215464474206094069832911947786266883699492891040\
861604031393688588481847031231125419295147384177063057244744980511658896897411\
055293235987523799525461241641685993533083685063638933059434204744491636953311\
003599021517136169975700197691585497819607223117494421691980405310624298154890\
0385517709072831601516154107729057363711849031270400 #^46 #2^3 + 
                    1368986437840032987858481450916347123862890766989831271534\
442471382280636089178515946486673422767881223698280500921014441599496675728610\
126463290617016756286431991420241557530529456448613517030884209241197742855743\
582045678283087352571047344145790328925019000522972111948899752399400128508516\
956791655796744296888484218775371121319534484270958041224468523580388087449972\
745988220272542999727064708501095822997883645869828854665909937654448975570640\
995240452113025809770169939407095740003961851084800 #^47 #2^3 - 
                    4123686724880801761800264629940877374942764333849172976915\
385975663002801313484773810632741895335937919719805604139359258512573535468311\
725473278045747435511781797496195283363906722900520874646165064134837398387831\
758638987349243625890354489316501610998959939215099670566163941285526016140424\
921980923868320412767518417940133989973700340959115177658529187901297207130264\
592079763413845500596580470056597920986569566849050049485104477301682441843354\
573417534199705888028692132282433384756645829017600 #^48 #2^3 - 
                    9409542959054474136824291068019106999967057607528431987970\
000291606227378454843650642675229292843826355443887862622896766523952535452101\
350719449230703882949909807773984407323505278081901385085023730038463475407874\
003150037573097539377482249093343269633462937312080860103089125232890411629553\
015555569041966436087505513804705794798573333196260101308082740070106135404756\
571504970075507906349340731964459891267183749917871851702314820361102389444871\
64851104159928932670004585193339629328537537740800 #^49 #2^3 + 
                    6571735040076262520271370914413265446678855106550850768286\
648057076365438499548361807061093279139426122532332765626558589112378129910829\
025623850034975610221204981983550463448624584328316767116051522051688024962455\
470343331009335816785214404011867729233765470150956187249595330963258193577041\
864707818023769528803716440834097379361229326638822659511634142892173310047790\
705505418543318533038615510154071503600548661680751706406139603419402617555617\
2555648740307055764222173547529339610155567920 #2^5 + 
                    9790995658447795369819751395051615596310630951200544338817\
026852697784142789893847784993971392306070715271573572803394061662724455346611\
757253822178319498267400218330568262515126763165225808298537001607173794370522\
703844722540166360700281826923983946376097167402616993277542938293705884207294\
346027814815851086822040702706128440049376223093369208995906727420525949983107\
880792172185453146742425696768104798971524296669507911764490355787793650053671\
48595706126527953170063385580296526570427892768 # #2^5 - 
                    7727895826628028760689104790455733543168765263021754865651\
113488755082123347011898382274411533320409290344659420108599679153489275445406\
214335037224835841465371840552699341455914177616482704210599861785675774672279\
645009643623237797661328598315478209927689808369794767355810581127115175507716\
114282883575203661369033294303667139489296849541511249446075676644978429885134\
740011709322636975916109105425351336733668576078300578169696528735948032906700\
204413577022725721346819271897131858970869148352 #^2 #2^5 - 
                    1450406717694225422186524355903559473713468113430247399275\
374263766792038704601603185055120810257297564468368601879644816977180029113172\
789616145770786043587695406188000320555010326342801031406413886646315960106820\
193377484513264392643773695842632030144127764405277193491393636380426631287252\
044089392800092594065912819179994071127425660854345178297747965414336790065927\
784946366177015018880227615692431391832986632734190255517959833570709166633468\
43122605525137349684987355944947381324674343376128 #^3 #2^5 + 
                    2182090415026716048559721084898994525323886562388110060984\
622604735398163270410060676017585029606143890462406611779911390959247674587947\
666190700198059763552079086299303751317145376315249513117379402329745149624960\
311618793729225143157449825459085362936664983615670184376221824967109822242239\
309180993071055557313927691262092822995875789734762958619722475767203115056138\
538232685841438808743773112461082284516024754928643823993017770694319232706432\
74346137005086497605345906854688517040433338116864 #^4 #2^5 + 
                    
                    7937079653463797958285996114307689760638398489932233713980\
244759276897339231254929055688206738804540506861745138365576814024619144170127\
758025610356215380487493439416339169583907844714465878389311515883566501947738\
641873184094397235388071929241924345835876527391872505734092845758813180382559\
233020527302620961992709556525708814232884958002131305255969141047215991331496\
759430293855774330501125404251519735337009838397396123365549820643487761178157\
218919198881168415010844816454701227072142029883392 #^5 #2^5 - 
                    1653803121378381235904187188863480584669707427474092213966\
025330743849043228614497374399088448386361411341803589278235959836725225999031\
043680017823578611808439929987759416268545183610709336719403478351174494517647\
578162476325654207823312129298475136508897067171984176326653744852476501893419\
431024446945214249084683982406330361584629772502638455329286429019072486203155\
628510976529989250446074417183282102040494218135264147200254986285580085777662\
347147993705855386132401756222427589763921635604480 #^6 #2^5 - 
                    2185264234847715561963816290549655118389218008907293970380\
300677216973667613477008735323561053740894227642953782745234878873048404074720\
147475985275429128223955532864917751166821672338306849463822398269366085221828\
926725161221172912294969304489866409442571404728696112696073590315471905856942\
994117477246663727434022385057613761670229505457869567217469425920591227520758\
844851442890517551758276940904206168437509854019585798499553198464449367115404\
17775281852953304409532935791358933535961538330322944 #^7 #2^5 + 
                    3777257943652597053757738968137400343448268830633511949489\
414688579341029844002494337260939892861628497294580568635420409758814590638045\
466463601947186575044717106977335605686160532011717880307593891720539471016348\
631495838780277872163303289796700416414828411810583555458057140898666616097652\
662760022075371197263472283162897330425125466029249676093085382668046156076557\
154162184847724629443387970080580862528296535163415237272103204456286141392007\
8258021321977512501710833315846859607423151455797248 #^8 #2^5 + 
                    3099958457204799836463637701102181344157932316961801556267\
178271024911044427433259778641123788958693891334097427534770614216068060346297\
617837223796806116675706760331911721716905004465763705345417102804669777714565\
086710282054284536735732732417265858018224145358313153896491695634707669113835\
083358353253974081847171196368732481652822741233961547437171205684006885236312\
453525211005092736103259288689764067363971501532579652186749167933118443337959\
380475997754625042060158956990013359236052078341144576 #^9 #2^5 - 
                    4085189215490589162598201229996139260278672373449684974066\
273522898345022795044690868893900770216895648695351403788720182091868411083582\
753352462256709635000459549436553333284758989601281230494725210806448899449016\
157279068812790622974675459375387703337206463019347488775939473229506808638986\
882128560822289070139343724846252023507197099858890911740430844020155797618253\
266587324934260054264574746324599001530389553981296972610984274365391249931328\
37818314604219714834984099981151966479421400174936064 #^10 #2^5 - 
                    2591206649359346509615969845480886444639262362422749228726\
494067600860420563731344174963944719647268018115036708696654702459684992951055\
395561106868353037933376537137820048060208561572154927364547187163920415036431\
016303473895518798145407341637078509006248157251506425430391062666477175525540\
818479590359692439549086509373956228503924345616981163487156461705894643896790\
808760223542040400318256602743323812722874243014995486624258062669363012174418\
1050064560522670171625032267446162260075975214336442368 #^11 #2^5 + 
                    6428275844933877978117855251905754013346620284544784317211\
019782276246861364008359595964171034912593944924801021420759641665509453582951\
579921662649332718624587349819046556993054171369987861635217378865457751713356\
806633754536317379061323715054357439787483681006521918175478679522949273072073\
887367332177656613962140962751781976211611128078001740465875141609903030938032\
218036372414815891696581577050452325932563353868267933417753841356023333678928\
65455263114341853238061642762033256789707165176823808 #^12 #2^5 + 
                    1379862576412619992011727944167810402852036016192733963398\
564212043256017926281445375959112541300919125083542469980148305585464555473389\
836753487242152930304466176368324285689995164306661025450098864763248632311615\
051459674911476562979301576911359945152398266997946398309278962810651499093950\
361414249520303773045139232697719639573311145368338895369903818539821694328591\
116465408029170326145855113883125467930807058397917012026552961372096484590720\
83173738020572985630767021871364685200727763557176705024 #^13 #2^5 + 
                    1292916856873712391203829850505141673056195193793580230745\
626024914725351066234026582899356267118920353109638697638405283737951076375286\
447874707722329888828472883514657614331547714411399687066904620520593235941820\
224249165056946708097623045682822407364063713144767404425504458261409508752266\
990507652623647707163561917556326350185347494333446315242968135663835479679447\
358509730408219679428097284242929016592408245757582655131129539517746903317160\
8457124362988964655385922228222757740964027390866227200 #^14 #2^5 - 
                    4863464604836007079163253339052991433977231749973600231542\
632065680431740449699306515596716897200618671802999840942312317919658622289454\
738736196503964240543300555354570860457950500936770792471234037319575134634755\
123385369916772778233984555461262994488864873493732909085319303356428481864261\
869404694822415851129288658853905726994048248841207713967269156226185129575958\
301944113705882828501052652608182252374173350293789623263051134344758340494265\
48807848617202196282859978720118717851887715196056633344 #^15 #2^5 - 
                    8518744239554981163555581238896834008973821774960849649930\
365048845772631179545895227684022639884308590118881652600082521721058536393695\
913024636091896354395033283724707738188377285569941726093322568667071236017758\
730551076678254236924358846997625998066226993401109714744428257012759055762517\
081154540566610503062194583563470261840642749306962329143957786848974114958456\
347319794105285099786424036184908222863128528385737208572441394385355395086807\
1886192939171142861433031022377057441040657259677351936 #^16 #2^5 + 
                    1154008908316331562636535174215605814423982142112783823310\
651890117993754820344582326445080060517647280492396819109053207674275565235680\
530171642098484761540764023912417365083038176883782069615606800477960291404778\
858683601640377163194365460844841500879653336440323975610922585283271929145557\
580678976392549666923253187933404477285723602911151161664399478321539780144977\
312600049853732653276904840288261990120563744562675197726211044759359388675311\
796950829901129670499106422475630780715803892284917809152 #^17 #2^5 + 
                    1995818159350846298933384320861437318596509959762822133910\
592451968853434714366780015865596609072805701831376224307994708559146450566511\
785029324319895899935598634711171228530279813831426878639009178040079307652950\
377179738300304380498785503978056678362693748145751324324767147253030217923770\
282251467048506474150110569905424407752892851921531869937581927697608744459298\
999797548886361685351672719814795614620770337012175731234766626343675059241838\
34856396483776387027024784366114251368605419312594812928 #^18 #2^5 - 
                    1852140911740730966962006302135552936802623026263628136975\
185522630269837467828258018257943666840431777012952818425969773009091932545521\
264331269299694033818946545028214545803426557111628736804930438789911891885544\
379662411890967115259143423427743800597654295543968928698581214625959120857500\
261126747368913916642113223608899399871696919265522449159075150683395060318365\
527524767995722194416740349977143019663134814830167882757439934104570204617650\
751774446773705902968838826582893305819905738299605516288 #^19 #2^5 - 
                    1527665859662706876502262335126784126494730950882126004545\
421179327913104198694106194836577278483819603105774540209305555412997504954418\
347242580974057863264971125809775983906158250751839612848658254344664429238727\
246611806869000581146495133224090777670299317554764050557375233519085222279964\
362172082342610750490616418878320713682404827737096765939869790675102981757924\
502780780356513179995493118302048641059959645565487966493111657393197426397346\
1234645197807781092306452769446008510168228800432701440 #^20 #2^5 + 
                    2001258112350256626352840089839693297422153994006368168811\
380172032707821489953858007598788949112667126115559839787255818296398572178347\
727456907875961476546117654257971956161481254168269338555809956112188296577848\
557204788187279640073311935758574270402435262037824913791582372299249544733707\
788653116573616650172747294299008159595886769630389843564898863985374761666781\
208418596440885049410068130471856524334660476632785078346602025082641359808401\
552314935326352785233946969244446444152147260143973695488 #^21 #2^5 - 
                    1042041667657632644752269284030358257330591809803418839028\
777107745586154835362045294227178881903458315332078017826051420470247286196822\
636700363000044677707502974862205388283416627771436713272063881966806596108906\
374593159321102435227970664921107829063293149535377021325278536786818595472183\
690029413017616209343727089659466596611722912869444313340500623391542175854290\
545508381585081416432986945429426963854130560454565894448665501836535156932127\
811599889997980286756354098755304308788118727230375329792 #^22 #2^5 - 
                    1438406764729376784834639776204652016725546076703404531437\
542507074198573540751348624297327297946787218237978888861666004394265182074312\
276082292975716199271475127438307043177018420260710367631781633614507248309371\
609074442026262544384786006891424985103114498799965342975130772946513235072285\
110239750031745963044940799821635693545012056158952135046971433093210201993906\
399952963204171389188477507654927510093083897636479697813510374805739145853118\
071059608917555422729938598986828641533325807922576359424 #^23 #2^5 + 
                    2926297543534714712122474139687929437479605253114618968339\
315724683235614642479780815352359197588729759914500775880370588713700128876528\
785991980535689297836642792972611631551834707998068243400255694649440308948460\
810562022248927779738746846564885767783134107971859901081011288913710808980469\
330334369162394340721564265037819793264179108340633339738746623092408407704821\
222651919532542233157735679642393573081818496540726906186384003388553207059329\
609063253166289435124357893851607642842961425834996400128 #^24 #2^5 + 
                    6914848877439613672184253234373125280828755887368751429357\
025066388062710344588853530577632023764676626822557112759000270830967471635350\
933405557658574508902233173300236695773441832441692541595601119309817755535705\
676626494558957185116331472413555024810436008046571152668713296550747607243394\
534988043300972087923455773613537061392832655239668980226140983098426712888683\
873510782004803072256898596147305652266877273022734763948385063855949243442239\
05217278143975194681186935260286022605002581369983860736 #^25 #2^5 - 
                    4544740934408631223272765677595918289970670443635011154195\
503001132687576558686005247827944847480580737895480780767974122839226870249955\
734104207354829864197512241198210868708245340966567730259685586336744546050787\
005216975702051109989744367740937238236336128104991455610975796671275505363482\
265899630256663161241428993776805680588320517941336227212257161289406383295881\
036194551801258460279358169117774955278640761936660243701215936732081231827444\
412724433820384884457753231462413401357559438707798310912 #^26 #2^5 - 
                    2741277221845610543647439345894888186405128098184743449619\
956203040863737929646922697778280165453158056054707211451653684650723910153157\
543826173905600013983586374370531805575458127100646517830521557663275670348528\
955407978809912485097577104059937025924465604867896023730501662086999055237939\
761528338907821979944333128932964800538563324359351704513040883911625017417063\
062597311066893902504261666149230826735428051771752215837563497121678783418990\
23726613337617746162333027812048955272584712554167664640 #^27 #2^5 + 
                    4813019920232476319712347237484240422562373424963883456040\
709992054515495804150861374627139124520895193682389501100295782005746532610350\
490792894592953587380019090562827835629760234779934387070835465025891122616266\
027735880255241126378015412043057851761119444539440866637413409853606104735537\
855528055304493092658322547638259996915584120542786812674115057762813346315638\
661594761295905182324502329949341315864971328275031036063797540368438754245197\
823425262417498403458604383683548205080524059669046493184 #^28 #2^5 + 
                    1703928068949956847084070102237666210042348868610402236254\
483644381051274478553440865631017878392904039983250105010751508370534890387907\
485150339085338030522563314833064407011900021676590658787290760700363392894936\
063411051937975077726673816525712632447911776427973186931573296715301042466454\
795257816234311751764906274153352956642775650540313689500498319472374171099505\
577429450937030007767009129186992931429673099643981863069862930788265917402402\
45096408627383890626695244512644678920438007004642934784 #^29 #2^5 - 
                    3774173369761215000756445027415885598938259364265130737298\
739995390093485545332300321319425943758281144150104576830577562473953236154056\
121871702608858376830140475615360157119415919892368864424848141789173893635452\
437850487589239414980317099060243576827437383267401079594841206328346366945401\
135116821565147153777960457351737815160667914648401743053832203971418688987751\
726643974244216889155602925050017928017778229009549231239221190802815233716054\
725449208281680096425583912163937784749972954856386723840 #^30 #2^5 - 
                    1338971299455744567876452123623218659973680234149569168989\
626147725729109289771952656515428662975782825545658451288265391525011687732546\
335331028952601765620819838618925027532169441447493929596865306150680818108426\
016839649631833825796886085760969312188683441900361098547865666627996459777165\
199156900163139361012121908385314731538624148845967789356629011519039861888732\
147860237005720785747717797611315986373311766535243550057688747605179550195291\
24582067081165736828166270400571238608198822116554964992 #^31 #2^5 + 
                    2303922974113112931137424437608908129446718436391608299019\
587412047233072385020785670492026945762959721302507537819946011984798347472430\
478908924523752665737634640781983370139718426800480042536511719972001678887947\
209260232697170854950870110286815259663218564918956994548171728090893049277090\
978650466189759586005571749960075364348661767680554864138360938771214382809781\
050932993534263511875748853548311551544727704261922796978261110162871008484843\
168978429876679194769746843504740766437636262159945039872 #^32 #2^5 + 
                    7328845855821155979932697111817531122215583634365278537006\
965509166704716078761625519639557427022731939611827591221237893370921637071134\
067342027832869600895699355027190158082798752112994923832598599264288736247455\
131180628651193009404391177609952860256221304592102646025542501812051462402619\
230687529466335574172268555891558875252857321410017377343363880726256959184631\
171815135879510053423928883146327294352715659603856686938577709992019917370473\
2915595827421496388807038837410822670811689948641492992 #^33 #2^5 - 
                    1136508447917557113646665965133574437468931026607511927292\
692124722459823610506794442236852453238013021325550924328051192633956758010990\
210027520805741997685560444545583631633429743530251062129398223069812615736736\
141770310985704331548101312149807161294085273475344872667627933457049325211579\
781398302118148919727001807519782671125295970630269851301539735155163359289266\
306889866758672259268769198112742950424217624347991679214917792375523952361789\
481408460476688997751864968659172948448271817121124581376 #^34 #2^5 - 
                    2947874011080139800687529121339147945978871670764105359944\
961004519643989640385437865140789862876366045871250330585533080421152931243507\
092358800879181510911231003108206582180808778545469898008860780363928490617725\
462966390841402477006840464317595313010423412357799738315732782526322319912281\
056550196344748559647326979346373675444078024743122693888726841906988513863109\
461502443825087342837255537733169219015899352577284887684027878665120143052097\
0711315826436645572443800732994517675713491007562579968 #^35 #2^5 + 
                    4602854376171785251715724694072579195909986375866122550506\
435618240345890580114453100658869182456141892030713180948095914823741744241770\
302789513916300365019544376801950614173685988346070067805370035843201097419899\
094609049342597878302190177250668772813683008001133012332959789816973486672496\
449455129044214880096914772901763774709596596577894892287825707939722562745728\
059086578178060520239820657596272717197234604655879476964624209724251125889901\
56825844367416562728906839661732705492482193543363821568 #^36 #2^5 + 
                    1427302092761456916812948209921577131451171874645899636792\
847182908359041369296653264109856133699723248684978618182876945903294950592215\
545659070746211475777726817441296708957219286521555389131363899938632765193122\
233270528082707318518660920788090210693276806877130050272668465410819925044589\
967773070633078184028272663289367868766111739616031236649837561844036960456278\
071259834699622809176260522859283395544419287616690652069054733142168435273006\
0831489930514779941151538698123976933699480851008454656 #^37 #2^5 - 
                    1500288063700600375019381273959100409335444970562773160411\
061473046941367344820675939152208014901183317566777542778472342006133443072048\
019273610034914981956448803380578894221327153684723513982490799487740303665894\
999099650624278178027263931363918219144056869713075870749910030392064063851406\
996876225827913137843201745501977514829244309461629868153267744028956998306199\
569762856269597290716350961662284817180202259174538138329939018419701408350338\
00048729979729011690710785343669952966768530038980608000 #^38 #2^5 - 
                    7989334725981174731388563173699553763961615916420954895602\
973110096819634102810024618445737434896829237543914101730475430515715280877067\
011939233105488833409427754115101067470912584738408620327573715391928511991952\
435950049269842026066075735196807002582077262200899595772894268092961133723807\
825499111633364688773845663821368565459503133061824592883408916524147214413891\
328936798114991305094970426154754352046457291278719284559569408870680537269334\
039596206704848968936508579623919238556702209076101120 #^39 #2^5 + 
                    3731080155727168439305421041660953387262289396579963520847\
375911346033723820628398562507542345573537258023198367292185191624042457791438\
252929087023798542393023365097702534537534857722667719970403910622738172042056\
603280520169074585620681110260178005273469581796460073758242996921771341514189\
534716217919775422920493430602801343899131979866378750123839254323506707116015\
287258121817699159229980024402949865533420666727564908525526070455199619408070\
2072548350517064790782320001158874393300396505384878080 #^40 #2^5 + 
                    3114335083164029308063847817040895870686668236842727234111\
530537320375789005289708690319439013663358606811540244631921701658805041770665\
452276060618743057711043371689507112995024276634720055282569767454731307481908\
396536113448273051929242322451786949934912443317852773102725659022941489058490\
949148971625319122897655476607898281605948288360486211713936013028130303579605\
765463658733388129700276977208812922369095947514744373771903279770390431100439\
758147519504049106362460418369259390861186950013911040 #^41 #2^5 - 
                    6518530529075834021319146227280823760468409219926634694914\
623443050217456581435305887239421398577374462052204281313842319807053584849709\
799782525695938227309705266897601336808291124127581721038556468418264160714302\
509885716121645774898088552005588606564727923523622190440018543870962493242470\
908573410098370778149537430165131820125551992741558871076350074817650282338085\
624625991492385748872855113876692644642345646607993699690080233354637027269990\
843726692340410171821828540977677688140957539211673600 #^42 #2^5 - 
                    5017839819533379088235084665768235609908710609640318299365\
450652207596057388969328014676069780849315915019039553613988551889984848390786\
849708469863891813145344741341584131394661332752038511753298143763880418967316\
319072163377227465921526809637616477682269596167277158496428262122449210477891\
158773456604248366917501988654939586280742303672059151011729938369631273344866\
780820294979672069481740307280787496898640587557491024580422669870662774012559\
60398463249038339938503659274567721322276264901345280 #^43 #2^5 + 
                    9199786045074443630598567244483696449285276441494887021702\
449299279304792624028463167967919987346908129208386531510871857785879125926404\
186541868989799406547876219520352661914450891536803624728373927208490387032768\
716681910002856143891487714084495126370460963689243090660294938307840963702820\
588455621852307814540537353210985885327865049918996510344504431392718465844343\
525641222805445088787354427903073193441263322184241810305498131908237733270870\
64949714169294061656654325148617025806698469906186240 #^44 #2^5 + 
                    1078950669184821039681073045768082244317043009588337345897\
081271508015814602076469364940167249099947638404079684368775418231249939630796\
799965575149133471983416736813979114027333207114964023420805437180129258356578\
100838602319965096297872475195448910192373680784690812221318010206620784704869\
862875854740333936087747035177769977119904057777207285828245423908462582340351\
436821773092777551826699643822413438351575917850271965811971703411480379014721\
09773206666508410780239188640710603363779429227560960 #^45 #2^5 - 
                    6881499649703048876917570886210711233544422408260629652047\
215601374782136094857974044087080764287889084810989285579002976626279294678537\
821968875344864991342645406545788328984307436794730261140490766422236342396136\
014621405919761957497444373159138844537814190809610475356907912202230917846103\
335500157802778621917191575417384405224834599821088852466044055901233812934763\
843664479542998613314585392371818013803891641317904244971987386328922682654814\
0339078727465729442053274186457319915983609842892800 #^46 #2^5 - 
                    2701771099836257049652047023029933476321592514894069125837\
081063807430612953709331567472865023554658522294020381183976769140092986777288\
528891510842208443505083285856341902825094655325830073119651793709781048451514\
484763305973922296503043959975625019551410795094432403681059045353711491508816\
199763017889238655373917288493267977444871839426031941316260218416113464984928\
692801580874095987460196519275248683247082999231355564322290989217978239935034\
222180666990543276196237068628825375744977167974400 #^47 #2^5 + 
                    8127152476540311197301521390681757097766037193939115353542\
808255074918471677894965342732920420419416610914137639168497943195500352215315\
885601608982194862158006331861396822791344298214683744622047286568001724229045\
783514989802832427567311219575785020984067087523302195567078969965978081922588\
962434222738660764638846432192211374618907313161139799772757888279617828933805\
305625770463978302932609894597967158283970830185389631718533088534626086675839\
741315615311756228436925983044149974139027639500800 #^48 #2^5 + 
                    1854654101769054885582259360255323675774564045212939212669\
809607783551443346310768702097087968791605552626994589951383540769537088633940\
088398392709218644510638631735654316315709542251687044208924213560741777637719\
730971219461343147027341067528294003734807760430886765607812825686820616149420\
766899014674093101230836022324356010338953959757518994921595020076139942812802\
230960769708559857120535377584308268076100893501869421758783938610842743609170\
452619556477012974590096133527230334443722480025600 #^49 #2^5 - 
                    3646555749316307958705567123943852732120119830621320489152\
132611230074593437467805433108011947127341171698034105539456227025793447291363\
243536404020743429073903834270205297573564138063832961397525121863201580252088\
282403869912111955757520714291700053352793926631157528816156290899560132216657\
356008491181817640344888778515764404403884838946898520920902674350191921255283\
659214815618645062057293164827589507448205469179429920163252336224725011702060\
5143348554044045078566250533778036764396831680 #2^7 - 
                    5428073740526053831404803221212374501633066441432472214364\
241217364060400823616715602294096464734528139279904000107677448933390494806086\
260252819778955825784014272763582932896788487781097701093272528007918772574149\
077781404619742013132824787907833904292011406801288855152252407960594877532493\
550577193685146984021301180186497323315818635994862648851648692032020771103652\
485268835389768917861432151828993570998472746700247071522372689692879799571700\
48365066815130600674067243716381696888021155200 # #2^7 + 
                    4283716215178592896245903283376035347875256437705935391927\
178529875642859106165057046057448656159467398061668537728922520644326199030669\
506699279724119783735636667606578584885543812936023118255647190029345334217195\
845668324752736517505989004978176845109662463631820633833515423593952599651722\
243870288545170370983786392120211411521865907497946628923017520209745392806920\
407639900275545685310860158593767178204696673846090593643801958376219102526591\
210306257746865248121023519431257356215557014784 #^2 #2^7 + 
                    8043988943716677250027036554369076361610756532597646496980\
495534619899358354634295221795428872089552005243239665090416132603689076458678\
615203046297882998358520723589133135651108711740843281587470840891387500618515\
628554794420959707948206482806029505294715777785308391114642042128020410812910\
525465712446382138102820971920885306055011953407548571514127897830438507457604\
852911710229718732997968613486156848392040725162138546305628551102469601867014\
6701089220205970032632936569003279980239620648960 #^3 #2^7 - 
                    1206333428769591478283024781492602659088563501070662360983\
001174084116633169102609924711538161497864315418958609667009796619071845774550\
875655164348177680782449065553837002121386386199362544555134499961630388023053\
827110551918346024711039645208764020388401260146437534406771607594528290996457\
098873958012570655252183090344695916843714387396970858452827280960377955566750\
945454707339768233364150773411017588958496530024335263428138170747411103481445\
14825028093673906650930560654442370753197408975872 #^4 #2^7 - 
                    4401884536867843648103004008552327839396651239736708587667\
633681988207162620119289995998215655969800732145288848583586141125411141718745\
444599688690670404608573056359744963701839366257781251381614720804951680082809\
089646570119209655579959489534034835986937420167976654854027686753179460237803\
161651307069145792866141910746855863455062765876145476462390006146782411556930\
568870199488956943262341011836678885802015632399884509359742254269347526784394\
271918923222112030579178245389398670740240254820352 #^5 #2^7 + 
                    8933527961357111145040782848720173222966957643678047405938\
659345031041414379357284326834555053261861977769814038186738802279630429057967\
384988703993761899425942173963989037226988241832072526262127474164556590607985\
144476144420447948170591600629389096459235401026246503383912887195053216407523\
158564029043714443124416380774107946689537029564048271911882532323499701566546\
869583740545125044699729450581548835145286440092927648579378478306960867531933\
19028004574672348024045627605367948618139784839168 #^6 #2^7 + 
                    1212262868897027630599728769334189997688429215569421128830\
258191605502334762230784780231128952572283366125896735148779533214562548383561\
878052903508032835499785057984398622920425748965787582512415098629809152865906\
860091852394459540670633845267275559960559821118866270375306477976416576983322\
609793432337505781100244391025209317290934537875506892504024259199705953799613\
759818824338292661771633252924296145298904829750465588350659061701055272003290\
28811474855349137086228587470617222917196713062645760 #^7 #2^7 - 
                    2048826269017816739134317621348640503220355137759795453966\
009771686293176242658266755245393337923684755214927754644905609933065314406903\
041135580151312201841534205709326977461427496263876825178506920601932247868091\
190834345427374106187853129192005031546335468114702464441121155418006682934274\
808511638292479832978013133022895280294514255584013860486287626215944040135126\
213088603138042538810072478126743528920586674668415522173970199482029791730901\
3125167278611931201621374050408424776846092904579072 #^8 #2^7 - 
                    1719872912115807682382918513682953654406995221526995506329\
198606305229756113384829010941664879881603058871725655710791160146453740309581\
333682031731304277343989073922329782716012285913546101755316080841688521563325\
361305976420277796650080946954058981110508339074498157337748431462663009426273\
425999129534758171354464813224428759528590967979739400697686669433955674521819\
916801295747558572872193208842049969877446564589357397303782776649305840189689\
314586888160789164358653059610415211015052103147290624 #^9 #2^7 + 
                    2219123239853793233782692636302252822672696658695208095124\
758416877043685052042547285667744568426286245116350416752601714523712546067584\
389420887161072469851575620871526702331361874592585241907543193626462881220586\
014661107710432280488828270866766810802658592634676393720127061067445094472144\
347303588928200347759053154075353308765116749794544418862954503625169899625591\
144247373545352785017261255258423157514414877740465541208022983116529538886899\
54254880514335683981142399048326946240768204197003264 #^10 #2^7 + 
                    1437620307259487141134387860154212291223708642927059638531\
073189960440700203267735962165233236602418541905475588442498203573168875996238\
605222436850651858515241162410717065026370931976061280619387182713809935102171\
715063348878220851608944182005926603794831357942743684976764547705917380082307\
821346473349562034942556916175232592022953299972462188965590499196069085914482\
399249885311258182477682296804403001947788388359325106750889823262724903091567\
8148288358830462718531248778197626478260470040545722368 #^11 #2^7 - 
                    3277699301397544584404125349384271428824803856519007834009\
979801287020046055046058261264271667820065469480315379638358869224427590523815\
380437375619406545510553875371561744708726938241147584637219232854538246668846\
283438229488347365666388407560641820343290632236366445555790568852630487555353\
906502837685791065261639239004157786226995198246093319507462498557389518255170\
769388532928732478055468959579187845145379724399201817929632211014690301912293\
38197645352900390499491944373002225512134952201486336 #^12 #2^7 - 
                    7655236413791979012405058622488732469791629722528887313007\
320134871200965361765214841699952149746047104904250193934801885702781454085357\
036947549854156130301860756428574957402111042146104176826438765953437205600968\
665864923415401770951483994256284726449312971162851916310600061642520305265426\
310744022771801408714187856391234537157540964924103681900183479524232404026704\
716749992748343391627079594352040453943171142518051815000080824656554154617551\
8924479937641397854274134913409873131698783601591582720 #^13 #2^7 - 
                    7285414349163167812907980273975345613266010158333422592198\
871326512328524179038816793544414902692481714172881134775750659111041385499389\
888943550741701768090062658047044218257355620807523948575511647002068056733672\
554400264752897093812312098571694110525341691379738141982219354726809407405804\
492973489472296078325428779905272231254450803479871681900255335210650094684579\
481555908607538000337735065269989192679807370653563988728425987510917239805342\
269792156421038727684357516751239342828810319311142912 #^14 #2^7 + 
                    2698029438882665393994972626640150696082558852700595767528\
867612566528235003828181051482880790462444413914374035382376011917316549925984\
082064814708625890082683951972944992059687356755034322375046206592477899855997\
725325768496184130163429758160558676754789448374557138953039907050876324044241\
159072233296088978930060660139711350915481501032173124076877734396367539565010\
835567991958265609613297996998025074698115653705634082077154166095048289534045\
66585364504048366316265607723998250640300720679532101632 #^15 #2^7 + 
                    4754788971164610025701176473014727707467264126525725177512\
079716521574505594584842207475801454169338128118860543278700015117704198057172\
215956620436143402060369744718102426439656479993030779056767327423682927339649\
675106582771162661647356973328841718291811498524120069145408019038841003685156\
522293971833973963443597499122650685799351501841463756778956196152177366186630\
616744426577474949074741943752605358495848950799983687201493720438495657461083\
1052387926445824792053332735389877947684068974177288192 #^16 #2^7 - 
                    6401783028729456954731262326685756566810262983076784744511\
955227555128957241173476458626853255119866025977147927883636413226761568778684\
071201690290904992630387204765944835613267589077164688303910458793385369400210\
556661468826296764327483015011955923672994133684137189721419084895045864854015\
855291244784809727150284625900344700645527367976880992231934330459383333767128\
224035264947304284760365205240442158219239664364636586102504232951999663863714\
71235667353392334289047275831879175913155377256149811200 #^17 #2^7 - 
                    1112097993116352804924255589529696401268594193130183232018\
974065870831938337760164422837253069725071330891225380467525623044306887074126\
168815597011191924928764843968525309522060629397922701857443071069157118167723\
978286703585400234905545537818861245319903996840786930921440819815807963000191\
150859753402643481600631528782622653446874822860713090270909684165839680497256\
167865293077148486461361179856675148184998699374632614487727282807840595034734\
79108085749191888510023046229963386137413469828083089408 #^18 #2^7 + 
                    1027516600223346355988095145857461526909457993406489977283\
029224276186165061409095674356005380161273938879256177329184137588870254007254\
798152665423876323204274180651126393013615470509632027920986252149647902375128\
981861243515209044589106892119991156326606096789222022441114804139164522216997\
240775864846849740963670467297717037816398316194938184111571727348497736389457\
307625913098538605992958538827522486380796038841843328271381129561401375686276\
291356282130032571598649179497525161887315379210726408192 #^19 #2^7 + 
                    9015424607835119553141165560368528139241196324848298895694\
419178608798379808378864221929899931019009339965006449794404229485257697790382\
851612705000271773808627401898607060050364787489328735003012174285140074162557\
228615738574389104817931017082729882983665965651969603176255874556180977676340\
247476990915629544071647166585621144524577961752086474623854322540690901963560\
405536513896361878130929810354059415691244972608373369163187256516440344770898\
879471501594706651759486391856302269846470339707535360 #^20 #2^7 - 
                    1110495472941189825129130353831883285904829109070313257103\
174430669425545731754924748533454621457859656354319570725359023567780043883705\
456641711433844116552772568639110818895608594604729679068075323984371608339784\
202446090658439277382472219752975905809324374939224205911797395073102062372145\
033682188811030891273649313432860069139485181249590180541790746629259724505808\
603651914157978601065371113478888724536890870755383566704532186574933389682263\
072406636304304568123968103015651960643239775800739758080 #^21 #2^7 + 
                    5777177321448065266574051087663292740427484618792554805440\
863199250869599197747625121794497915709605545022931557037650323695921494467925\
813518788568978122329592162210462265413519683200113778939418037048416336462544\
320208465379391497050176404574849739555447083911046543282642395797042704806777\
437793025634032637241139554023316512709463742613595874560778613052956464642819\
697506647085360108207528343579889589771055500342066209177481571291054859357060\
82535643969915304474443995611796929397566270352696279040 #^22 #2^7 + 
                    7987336182187907958893236441566461699976044529970182199948\
911925076313189537560963922325332075062819692761884894154907783801155773784415\
744802077174708438961942039218780590362628871425338841089850540168133813464312\
986450497223100777941985920126166328593727033233067248667033009918448315520077\
180263361439015260273533278518509786441735674632664935917337237688206297829766\
868288845060993493164634170774825926043159374310185382859144173025347894155707\
31519208725261291934616881282507326635105322726707953664 #^23 #2^7 - 
                    1623283714216325343755478226502418072477117514008366293458\
600288624680506142073081693105103268469213957789435793583549660140727364238700\
845372299078333728089214194505234641767094658444845026411537349980954630874400\
678055333117173713276847080831373005802187836329001117153266519767377092576466\
584072269008823830461219387344650915080352594994738189043094258129083714008947\
402329751760012173697809696564803843292310443582073023238414055741161413197093\
916132893396132478166145074193908321730684404615176257536 #^24 #2^7 - 
                    3848174546184241412362861962167569750777807942980756558374\
232340542161249432589147426028577211618773669928792706443399009168880601992730\
554053798058997642466708803309065328292415738133613670088353076429536947548924\
150456052580099637975854912922620414178780523878557156531277873771329190578736\
088872790553200754839940687216050000796068942400707444350421065732085820100054\
777162958027216933120709905142372828769466554328684819622729624165388327540477\
32814395820805786284927038022438276525893456567992320000 #^25 #2^7 + 
                    2521287819328028490685365644828114396396386696467602610877\
501265709210903102883392342867644254103292703790134345052374166032441407919777\
384698599046825498479459478817162318970162941522250063348123543150863061627237\
824880870568133658292804922889647767209211615650719880318079517438724481510343\
413705372976750552719784729467928919072424784038806802609848162787710979042783\
379907247871112374053106595184400955774295774814323959040043205711101643407329\
372476019635903100004407100775711928086399152361549332480 #^26 #2^7 + 
                    1533842133382097108546847447872322219332636637322837847245\
464064802744767673560693250512390610610137727109364483568923619154400803173654\
810580901185214057969008451576413284299166784665378590986443617431309265590396\
704677525768452356385506593912856601383393130723708949526632836192913821241644\
479943812239409701622746595661397559839066174261455410514285853606625115413499\
661044157374775958629008654242192200485812825285627611219725622790287080308732\
34912954912841992372816282652821090065293833528315740160 #^27 #2^7 - 
                    2670148360968835170079190495924203475144075283975710569922\
187743609970281593065254009273159119495432320109098600596592796620006425963297\
492979660534302219484001875161885867400264372156076161935658974852636375484338\
943885911157264179015509077341466649850292738656653918058748085383715416185674\
135124598170346191608240602155684833907560410626279173622239351034371208221264\
464435585782146368653537367810830106557047918211311264411565751335679112038713\
126868450574972252828540151669153763082624541376169115648 #^28 #2^7 - 
                    9557300484626261494881827772009249094826018641699891128396\
231143096690541521311517823287055305352628430239338416647669731126953237162951\
476962853065029937804031794823036860857635202381755698488353316086579645593607\
655987445907736222498862202388938107346298450024423320430567879352030763854139\
914069634634169702951266980345992748299585505270858055729282330206167146842774\
016181842287568385670343350823378641969545524724864594206528716906832910288779\
1262554886990772100150406992058041596154639741991518208 #^29 #2^7 + 
                    2093816646083541454613406224631928279046712179638241086958\
190016782265060276970122313306224662401240956923248754877313467539025398001273\
879734268825019121006389548669073415350646540363937449454566810619097881850480\
215379397800025434159549676734646926660964739189562936333663531388132930340086\
055299477840283034095946336950812731142996027030543772230984905338561616680735\
144080641867284817736828547084765010752051824726187593257467483645384414005930\
997099435281965817566077715864607259060461422913890811904 #^30 #2^7 + 
                    7492847507593005964801275907942682946690470156570816428671\
166732627818558218705046521128179270647539765786771469338378381871459508773590\
859171127899956715485195497920429335215241615937449871200438138473426530012507\
117831785736760509634338020700229117026208897450745649870438897546201533954792\
203289085380155098765090367054095415997468569961163510819262942172503217500784\
116236029442897569667650324687020371678259135337874992582010368612873283361250\
6259529609658082429536758978593641561030152603123580928 #^31 #2^7 - 
                    1278159216282116319469855698012190848819243511955511806340\
198724489531957979320494611141400216270139833568912715264160844518625739079660\
093681584439014350734474367455916848073422248260403293094611550331170938858047\
407964003166671878697510276794714404580224094343615667653986705885660939631588\
001780293331707359896981381810146960557580807847393083065851237039260166182142\
300764034165963588338937610687783566373304413505891066254689623647783648446591\
728575936250510251962908867160258337977234836889331040256 #^32 #2^7 - 
                    4098042493770675764458606358018441547034263124238684764124\
214481425048643256368683880362590444822822567988978040975834995359957222820479\
645990644113336652112228341174189157365724492796366750607291352781742581197559\
223985184658384981919846557284850080851901222766586296991642317452017534398074\
583134369338730155015133590380238248275471189133859436510165911970154447021455\
465314035064326117921555938083864881896857156594190959399890183573374466632084\
4010387058659259927062516352941791829378369556009975808 #^33 #2^7 + 
                    6305081052163816704932979834898811710588013166370828371240\
498420474242639543692328114354267785831022573262810201887736090090263862362809\
194263016554732198407802693532909370319250851376500886679049113609471459080035\
991533295874877416288944613602754155843029403153052547411188682198838547065748\
191716285799179602190547791673612055206510431754517246757298949705868120713650\
438106224626015544829103608712830370907441187306698352905196282343066553602622\
88756787799420742446985821208148007382415537382828802048 #^34 #2^7 + 
                    1648563811896326210148357542823906464247426364916133301561\
968499327995710632962846717285918759771688344812762596562346639692983689583705\
195105677109675821457601277501350681058616286029193984794623534838265130200006\
537056479609304359426945001761882816013448733354326311847719915008674241886358\
593112713292751584444677127876526333157326006594086777991298699740341700324593\
213158601851285641094377517541877200342633005964603765903009740233728508085576\
0157370565722907436436261101420746689763206621044932608 #^35 #2^7 - 
                    2553547263661174380734635472363982071897576222492030849678\
193464416641920384163194511304317188955638888131471975750258894397705982894935\
505132771717793908380424114401846791999948661795904411180025980181856315218184\
113626726113851574992536519105480523523389552421018526639816666748430074428723\
203595427440685029541982457250992687265299236869462977371902283712537674801320\
554546386537999790401069378552443763615047447469294877691584506854306421353150\
71454950746017313300407124114324749253378136390292733952 #^36 #2^7 - 
                    7961648564443809329484829400417761402932585046545869176208\
147945105821027895815234833476717297873660102982188825008374168608962013791948\
099631839033250938060223075940965722561458575467943581852508591386849728962445\
011673462778000735223390769407952011734726248688748426717526484974884389399860\
428972535405404648118687217980200017403648501679735242064525328402124643140529\
069315610186779476476719087248509068034508206431600339006959442479432803753074\
484052106278500454392567489693683350027164914169151488 #^37 #2^7 + 
                    8323116702353704901503379360977740621303149490126947333735\
438255109338323724690204070122082197553313366084402511506431299250920786457763\
777723502513670624455450157054942341884637969558616582667788253048980404069822\
857656166966416681571067658634822289220134495087373451362926877624507059436413\
598372314944628334236792850910593965892149205001596566271465404373521621994985\
647730687002096291820163528194322376150542216208560608848160085541200676368849\
4806629842459201078824307042610766509742681662884413440 #^38 #2^7 + 
                    4443194922746924045811355744479707214656135567168344561760\
620793062516741599065858631292189671895908922327108183009681152671662676736476\
247596377692321594105529713047658750886800057344930820238453457688758207954371\
666231493522012196906214211061539521739747227398289174178100438832045833561963\
174979991660313769880350793605418666262438264794684141543419157029214907443947\
157953175568645530819545993298850242400086331294385152877949332522903708765694\
924754521574160181814524424316988154741407820797706240 #^39 #2^7 - 
                    2069847842590093490424188416952045951226944409807465880209\
702216568562977188790419612162045197543534205106645178514950302529719384667575\
742455546370327444092959746915845834438643829738453185696320814218938182128786\
578848709038252686124996859805475491932487620216696944704716724632599280520480\
061722137319416229674830923102381321400340908216059138147697828390305759237691\
035658806629295676360036256695423125806992108530652500562305899127285561077775\
6715997040364296446384378835840909911743146664960983040 #^40 #2^7 - 
                    1729681266090307360345727364929068978750092956711852294341\
242416083124312652196663831913894103342219623691207187545415938979860967061077\
711706339202096954242297659176990676462847867224151791732573046749743609394114\
612617013794581216232300175784062966159202390596083277189995313423163455823081\
092272441630842328245091736038703939339646298865545380400740712060600851611120\
704620691068665729763020790064860436344179591631084953229547192503050285288644\
924822868661807267108845619747085884272290378337484800 #^41 #2^7 + 
                    3616221660960588837277990734168768539901600726026566398395\
607215694599077369219640404242726701730068778165868506461525611574000421568933\
613359969686241945370746275960371243682700246513950599168956979172895321324842\
218618301720403863262524103963329600914645976209058874788628014218577851956868\
855245041237138454390941168080759577143184257684782462951150719701713399073894\
724465561468217316718903973653127623653472680149645426526134171022529723198220\
197784918370955211053777655426961531469095165524705280 #^42 #2^7 + 
                    2786519067893885490424333747719651436871535127898254541813\
152846908176762465152577437243702295818550925679950125619056368702958155009428\
612988804502541717038419923473423992163954221318408248047952751060989211643301\
700502448082887059115291491027785484804481229393946201414249331398138544459530\
343993502381618467682049154203750682269483329845950562927691012843201434945791\
866958611174976432138531565348028510293473808316792325356569517475361384312987\
22187082962940474917984989675754822579002441046425600 #^43 #2^7 - 
                    5103558356390589202639982207029329721364543490275307134516\
394025424292871645923223932022399307615205152658130371450045379961345438784356\
548506262380596219607110052611247921276360162988814810963168275179163624278358\
862851208001687058082711091004708996209332596439681396138722344789717308384029\
163659188092310943346285627989218643810401627851727349415595185173832927039611\
129321560890031564873479505235234794350011772220946677163411309782758172443584\
80487437691522339421272952067506961055760944988160000 #^44 #2^7 - 
                    5987839107496568358505610588034404955113038238553363654326\
839707446396291160085121468998946704619128400787576755518492826145355871202472\
586401160149126911872705417348482341674211704679050947696775681528941594807888\
938391355867630731111692109813719700399412190566916821923263624948666097409978\
432346807573831080034275649593483600927376601338206696121414771213625415178155\
730597961963874066232244313776331991442850723837861683610878357669260967964361\
4717777838537131748635481973600823250391909720391680 #^45 #2^7 + 
                    3817661685616139711071779793016821259572881671928006099270\
665857013249409109402176324165421345733238927743590944182493897666431427706409\
411425836907902511092294570707416465686005612929241209116278097222488213636946\
442310238875090348456717846678339150739300572863083165635097016464339845166290\
232940189836098236716473330309206471080723209687673420835936892688984980373623\
767697515362548683594916866503831870333583898763449878109049283803021205167188\
3476907867721438375764088215224309266848058389299200 #^46 #2^7 + 
                    1501315671168940224876395412703564644091563586390840111326\
185268376779009852507501861599373530176120580909024521122145710563008375064070\
947089042718017766016453348294539748544549299392700546880903557524073559307659\
627805174483393935101313005169451475448784842686775247974728915261587383738445\
704766601368859667138346885303143818279534512627444150155320821627160107634112\
590231720513440258822663171774644587919275908655234698137511296603124506630697\
472970132138085684461642322660994166437260663193600 #^47 #2^7 - 
                    4508246542396971958375758298914816339207920636281123361671\
795380816299513720166692608800718941440145473093928436177335959310198281155000\
735559049202653447111773196980249496184772113379450737993859851394931224572933\
502156115538831069921586808165774114608637178775403692329127889947684054055466\
691088098951480787841788876655286673608063381102862737695257557673696547838464\
278963881209429351677176030706789065201686307868054011266472171704382802534442\
369177463549491783303350201209292319164766303027200 #^48 #2^7 - 
                    1028928679517137553646909949864578148838608810638441135391\
508293289480739820312423982442747598505688665886342243605865778552645660841069\
881861481930545295619477122876559000699457889074462521031708589621912872183598\
448715044982467147973462002851601654514742093042983877432809681843147264437310\
915671482220825957521809893136570920276078030753750741921770986456855198969376\
324328249258774781931797221306151497648542385823044568247336985944531362905490\
694755515641651409129123470836320309435035339980800 #^49 #2^7 + 
                    5252270275802418859264117995503347641713573403459619260276\
872819925436399985394874833266691859632428428170725868499651820633401728265089\
096762099799317882337219210376300518178370492481292478424887846138158671938271\
239785028586412948391670327227185432293243111473546238055358111830345755637573\
056912321352863439508460197807018951838550093158530518284577718454383073319379\
313765793511286704106476256543913199536283801676550622725837925179313736941643\
905033727040557533366886975220816991805791 #3& }, {1, 1, 1}]], 
                    InterpretationBox[
                    TemplateBox[{"Root",TemplateBox[{"\"0.841\"", 
                    DynamicBox[
                    FEPrivate`FrontEndResource[
                    "FEExpressions", "NumericalApproximationElider"]]}, 
                    "RowDefault"],TagBox[
                    RowBox[{"Root", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"1", "+", 
                    RowBox[{"6", " ", "#1"}], "-", 
                    RowBox[{"12", " ", 
                    SuperscriptBox["#1", "2"]}], "-", 
                    RowBox[{"32", " ", 
                    SuperscriptBox["#1", "3"]}], "+", 
                    RowBox[{"16", " ", 
                    SuperscriptBox["#1", "4"]}], "+", 
                    RowBox[{"32", " ", 
                    SuperscriptBox["#1", "5"]}]}], "&"}], ",", 
                    RowBox[{
                    RowBox[{"\[LeftSkeleton]", "1", "\[RightSkeleton]"}], 
                    "&"}], ",", 
                    RowBox[{
                    RowBox[{"\[LeftSkeleton]", "1", "\[RightSkeleton]"}], 
                    "&"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], "]"}], 
                    Short[#, 7]& ],0.8412535328311812},
                    "NumericalApproximation"],
                    
                    Root[{1 + 6 # - 12 #^2 - 32 #^3 + 16 #^4 + 
                    32 #^5& , \
-70200316271507168397912526370140457916036103806045166974767911468991623992259\
303317425914536086227228818264393292358730270199995473975184965846679256103733\
574485402032360453961494198824241067649963501192172182571377104102659710931477\
581840743413949560249094047960678660134816055939745822577947736867189402551129\
308415502483229366695545754973296837234394091272033109242928320708274729957495\
4746812331186830777661766505 - 
                    1107494235866334714617362865936722194223786092156026154859\
040187453768861818871579481706065771883354740184027162799515762612691597958748\
717568435588330022963449939744604705558287926994636861354538174648657685319799\
318354828829089452100720910187586410672751175449763559948764818714214554901635\
536182776147075091170082523925126383608323439946664132850529136070437415206724\
4473178013912957254025784180168914580147488146050 # + 
                    8161892701345983118896913182906365640877423994940570024668\
202933711983610844806294451471059349656351171753051198615057782997785846985067\
650765770137889498053099663796178101938684196248100771750834546768313373572664\
271604122103366763262734294507072035860248576650294358190570143793042577378276\
660008431459707332230823677263608434405005926336429838085721911290173423871484\
4566845559094093798126064292142416027089092229548 #^2 + 
                    1637613586138376157408239098939167209144404235110057115814\
496186881370388139721017302674413823947150489894457553796529884563485003013067\
045554271483811847260710591266953965597688968693973658986935599152734690403579\
754565471042736498582411402161631142733961026288763614162550563591541182303279\
410713137402262445773689972572018578397178782121046763420107264147101546290760\
167707633640074640737156322158644705274662372707928 #^3 - 
                    2078835843287125803800280293860407523924968258687456724717\
859194122272133029822634112862494096703735202813945811068715178870311057666143\
412969119041976482932077249487077165397174718296059691011665290127986313506591\
563305067436699077066600968325333446697539559388900045428015586502241991444005\
095758052587544644490519882931022329665485544563309261305638272166807976161466\
000301289173685460142464077209321633986061102358304 #^4 - 
                    
                    8967977845793281319981690689126192404765175188323484857153\
871849719964285185181505366126023602669306496921379052629447013986690511884541\
217777879709272272684786999855466443341039100929708099015160633799631978543743\
088373621920901068679284718526744534258494063934757739841965623074409731504829\
035309871485463827003465290201247366304933708011319622980776800372327665618199\
9673895370967396746818344515812052711126173991977472 #^5 + 
                    5016990045060500293416800056629012344843845336721694240980\
844687257921550072504111010808341382813030463572644796482661359077896191929064\
643676229509963673055369108196658165192539606411486640778634150032987904058571\
282638594173241748979728533575468559226426560551691685488154197330675442376746\
155320893144732042085981592496704624909392364922520681869315352775334238381654\
100921993803547444711741733726888322757828170026304 #^6 + 
                    2476544937975174960510621182113291780707132885913092173851\
306281219809237300116283469307272246192040665896674398522432529281143675899836\
181871640661827032735837733785951173494977514665604411731342287902569926334946\
429892431154242401281058734575862712886410371378577881249053627684755146193220\
747998729257311925460811655268169878106359962217064827728045954529191635591248\
878990360028979667260028394918187478456183817383683584 #^7 - 
                    1584188293222855423736970894284398411633827029539431791982\
109942610329611792351062284505163780485609869104539996933537261323153782552391\
508355959857909589891707977277284367355231497773326219493697273780894499617146\
980305207875878821621313275246695865510032424934767697834366801103410738962887\
100096075184008162247136979742261631392020842787072387466521598493172271322792\
46375671725450028608610150471239215995052899772563200 #^8 - 
                    3535077510540415798394816608780792439039270524552470978966\
644757531227177099752672606866762983952327054627311329190814747481744544223651\
733215726440421015856453176406638040953926937752060594722534470583637173198157\
172181079622299395116073618144791998546425387286343152260886830415218546195876\
355855290922849700505636945878510391472204854651713596110798022616565888323683\
7325572364296143119030433349936901709269907363124397568 #^9 + 
                    1821032414045522701476339308297829044674195545243502152151\
079117651374875517817395678471236750277938348617409242377531898725757560834474\
570967020311382218532543018383689839411737188409039237842935882213160117015106\
020144489247102025537181958909870746285537029644925827829199758350240730636763\
959212613224966010592888027729273981498478900053488347610207693814078456374344\
541619131324511436650214153226238769820445892490437632 #^10 + 
                    2971867654883783184470410626226100980076786194360105557444\
990218765225815127077938647300246222732441600935844804645352084145769279810364\
608025850067439827137748370437794401745558939450846624900083194573887542471598\
295821871151756311024183222213532039629524401811931092760754407401389295146755\
192912322123207703692849804814898277910535400083371877176035535904975375440495\
85107134633114837177473850864754823022508298681124714496 #^11 + 
                    1047261287785172827807703452991682472244987892037459105655\
450918580965125908815220254720230143674827243940305591435218603330148844568974\
838308043271116666797057778477224816498882688816502296339151297077831200629653\
967229494447429595530054993665520182741437203191853673688566994429998369492772\
308639453839220807317456049472007951937645941986091332423765792778329243924660\
1983171579877152711451739621298722842865144316149698560 #^12 - 
                    1590095238072539654957835940334890132141787529639135618217\
581287285938909541278229487743921276673269821411267486740658546746490387266323\
665696907603729850512584680872909877872479278630592916136220302498454309194220\
683779431384630067644396310918718248104354911610460170954590232815950340673142\
900237161598610378128540845591176183073190139781381924483701874890335399314277\
595720323803247702880508954265221117232589575242922590208 #^13 - 
                    2213345344968006177062625142375223653836824098256286734325\
504417848041373265288773277779089819491402940517322723512976835846775312323644\
674685353227867758259697670594925798204164395179288088351440278430712129508939\
674551311198174740306323818617159102569618273206022682288269281047021748076864\
662029304164579215213525963130049514190591424772759878213708083100521611753615\
52668405001145322152869465432871942258261609129960570880 #^14 + 
                    5628125612294033455599282202855532954816410661553050145521\
503722195631810248609832138388645890975832494556994181389212361645552925259314\
748768756041820513932789243168500210872166594448896085305695675343235362296509\
256415575141841083931143377223305147116491484776361127109430784476936514994627\
170963429467334344100442404003207600893329068550100751717552933330584477402977\
540372522906534124994112429316828891791537659016313962496 #^15 + 
                    1183251538935159554675501642705781919520899625973902702412\
817317611484016194562311432678236166395352019103551806735187872815262670545929\
829993668741188486343316461468087045837378272537644547954952916241184340597945\
118537201416193428797255399650708006725035404296422317875839806601227199163055\
764835724767864238414563434063926920548233650291831497338186357463552396225165\
168621558737812036623363750227065252162359308179363397632 #^16 - 
                    1341371074051876113047390259953684641741343963582367804931\
383742586734682794504410592808076420761807423526778577291253078440668405331925\
837152569911005538733682881971713193148472524848724799127736085239846425597158\
776640760631884200393743959291930397927704054170006176214281711807719319286791\
647161124278289679462409984228728566399957478585850371834171964366257608641210\
2288748312865574074468757080017947623593444662367539429376 #^17 - 
                    
                    2688811270587464635319704845046921813481312497850911005163\
327985130908547280978320838572484418785824617432425550693711283757010467675214\
145549709353009937396041930714824646812252007614908968608716092861537180456093\
490000395763963800120309280607197633380743187092192928356555759021320361231441\
296772688933960126591132995820695003779667878099784516903375708021358986913597\
810855340278816139103667173981136444244124274035664093184 #^18 + 
                    2165829639575826398723920772972159713600128350544190422139\
365105782207260701532704998187051129266716312198718285829064886212407951955310\
894956407506216025813293760644090692403296929977395766489904290271433788190951\
971344120263481325295552938546639664112159790666759809640900637865643098794520\
243063787928056876817282536531483322616472811749099137359863761596725590511163\
7481400945401605946855728229435309909295396297307479605248 #^19 + 
                    6616378821629947816034435013820960721012763830050706206221\
259745883319997078621280771113431216929405302322621393652650649461902496925788\
603349951815686770828731658147389412492246968191616360745419132324195447780266\
592174044809949946937313041505231429803691640300162248397211416274553467953629\
558004564708589023409741329462861503851340278496870055230528103955227534564210\
33655795559296489786567376256207752305722800062653792256 #^20 - 
                    2366113865247323567098306028956019413100021118053666005016\
019964521058414736033392392792941848328647496959919627920499287641194269196334\
760464351925209595509805383497354427560561730541896936910271466449734279321498\
294927268966197555708869646534109370845192354137375381055605393357620510684686\
225564681212380677963129914217070694973687520718842654937185394723621588315681\
5542974867680826655934097021289653183428001679971373285376 #^21 + 
                    1173279185674675498033835347941584629275390496032317100104\
485181891439812988377660454932629257238605789262702377097504622203792217145895\
292651787201947757382278381540568456556957272159419721771616701094932292341881\
101395097349404930118572312376207672027333586678900138667882228912411533006591\
711094975377300224062238565828542364679921030850350175006214741490496500364971\
9894782228474823521561804108032987206777128030659867049984 #^22 + 
                    1745547619311404141788686767894543489115132508276059780544\
835160038520771662987179749014472735211094459297361102553752484407384703410896\
988420401257537131648246330268207250928529253302519943115691592587169588323481\
531870259952256671679832999372590761972910010037160121591953896607048081182991\
697449736220747340494838937042470230571982573460973978643237584451289247259020\
8707982405650327416051199093376120516564525812484224843776 #^23 - 
                    3397924297846484791782347797191505650622843294074868124507\
541302449164343389715295544996048108738713269346383794829225086633634203447060\
329837186527535297962299336108364329590874408410083507130518206686286687559439\
740873973413781218762610301555403541464807375077897190351926547503088055208513\
151068319578242080958330193314023713370071002079220985611695454231454952874904\
1149331265325106979484325466870805194700509864264653078528 #^24 - 
                    9015208851415440182301923761031655951003046824323274369483\
858159867791481688094599888199997143229083911132564120442351555451578469260840\
110677890340124944729658281419001497031908999820068822415998248177168980591808\
871629826637286740821002996457131597401507429862600972845209915784594755938256\
278417316982603429708932484677639133378210916768748016740198792479748855781021\
116452514089154498031005142165255729119902977862358007808 #^25 + 
                    5317764005447858637183508544068833579221250330475455480562\
509866502922668039490724815127487738411908027328818879686620126519832045784162\
484393133939219320392158993337157323657028361377543816169946561668803086905795\
609147123003663601416510051211948543845440246558480587509089066344962607290840\
767635414733717460076750085934416967414349445167358136597968539674620887024076\
1302204278738247278212609210859408260951090861173343518720 #^26 + 
                    4178891894976772134117927825611216570582791015233972673260\
527090548622200450526620886659713839805270505949201965206853042654417221728984\
012872066360183289233070305997490076033139175395901416155514365240972752367650\
873316841374192489226166188934401551620144830267296640911621418670392930189040\
928593569763663304184704236853262669336791500159105273194101103483943216435561\
311323892238453626156991605242583117451924231570682019840 #^27 - 
                    5649353696032195878158380391472851541337751424849555439354\
617538620162246583073076488629433095539252283093668001577324710378691028802259\
450840459560690174943158922430396906154876185741263523381036484350158656404208\
024637052270196358200420407902427080272458249725190928783121133080340241075551\
274166784015947780273286126970055905897139302491311426747744590033478068503971\
8801613692509130345358901510558831478530278711113803628544 #^28 - 
                    2770606585559965532778752510613217099909608235550679642254\
018997656388742499746199303010690945295422228639472343139739096919659831692844\
489917535413862826423576049717469626915174706243213831990525004681973137836995\
869282624105794531290026566180781551624954601595251885314141245096816744325674\
490007647547747152957286806763173863640393258625296993079222171100229739612705\
804195566285349578456460257550358938728660910889005744128 #^29 + 
                    4437862404204595673978865244941183201753662916389709481153\
833778821271210142318403767715089533134322476577509343696589660430580710408695\
153757018251254664162482864712507571734477753403561903714553975792092647100870\
253912484119870508899872722253421449345228800111028711535724077769533798399778\
633998393732998283708547468078502530045837220823336942104731869970422057057345\
0781448890085121319532041366013304671430203348107892097024 #^30 + 
                    
                    2055954784080231161439957623963255327340839466745432648700\
803781733617168057644708679546937555838385841425866631784434188174358813416077\
739982191169225018759728317486336318240120174937431741079054716106225213228992\
811526424455422131261025225166388121402671620306847867260811856404109794807187\
445707439050665772585109934249210470647206495587827059447174234271305663589317\
812589877746541787005963671865691876737913451823759360000 #^31 - 
                    2712621828450100516477539737741208427456314681757885697176\
246095842067749927400710228937227200127097712315822466640238412777609145414541\
864501067216127859677831948484864755249960635594257158974485199057020248569406\
401853890148708324628677924460932598609631343211303448334016407686247804348484\
458024953166671459660029206182971508524357786936009945181605215308634341472631\
7248914906919514634493528522667575100899853660551288717312 #^32 - 
                    1104714444942948966127406337578189491979760015087506356430\
825520323145955113540445908470376554402549070759770720977201253802469923643794\
149135868912172401586843216520079559646307458246467119739755178287536173667280\
560993017951246122043802264920539518659303481856285168434630446281615781335962\
112807535271185762382222478803346800027338573855030900389487139072361889109523\
395552537195804713920049133006810185214224471964981919744 #^33 + 
                    1339569615525870320392488433437487229358082728473491333767\
773353309395763913004162610869101791379353036018834483885771100883298570456066\
815241529381614374115112153183055089772177820861649346069180646791899466785585\
483074219161232318294796012951256075548865816493155623204714396582063407428138\
578044156736571030054817934621703174998423076585399362423560753538049906115651\
7309681078701149139538498681457552262588751387177280077824 #^34 + 
                    4461081377037414715980066263784861049741843237959561538195\
696881077389377514453085407751083687354953525411349865458985555485035664831985\
257443272728105086109102508048938766304765224419184271020509410409829103567252\
444753520674815784654199853808314338805495582733655100976401577187438489932920\
001388016745372602883471879856031577094986837841269438352092602269859474316451\
41795962675266912011017256580629649245498928394401742848 #^35 - 
                    5429684566339924334660549129047593643503141136829472761742\
051792613959332947854731649346206018570195999463495028825186313944194664172394\
250095185814009302595663832747432160486460556905609669364810397024702257187889\
491765026681185587671292932926457408747007439996141652641036884824469351591712\
558125211185526740447122313097355176071044769327751943826502492384011899306890\
731645423369817103236844074926405552208772132944977330176 #^36 - 
                    2006413844944542675199993588316022965992007154543238272905\
587135606299180351017568931231714094651998766810869800112491982938416202252113\
820260189459888851634114639083270657396287802863299971001239369560489709797082\
444457603293509095676493508998987402639529368672712006246551942339770117868154\
772154155000081627394573696944589716359290478971435738801569908110705164616511\
37852175932846605951788037252938803415003504155553693696 #^37 + 
                    1770669581197360356719689136882185934575026512886425272241\
080419400867438504776655500228527286331897940223437710482953411829057420616845\
411222902732807560730162700436292776915422021608131535745830813393634469695232\
999686277314452789738825490368772286373011164742138963500597503994821284104812\
690025465737551940140618429711886851170887044213593532525844326048084008652234\
838400592574409576982578490990137962966432820557250560000 #^38 + 
                    1024384195841560786203803990261659864941415168828353963865\
514889429083788470409987439754590265618961816302022164464479931412307178243328\
940535200835545019885068896236440098283715281294336198006517282389405216538181\
057852552998133215228559571594024966998226660585642018033386696838705051060739\
400771644697766642486887646318531960901837703138849628511495283206470885727693\
89486428677379752559678729905125262333886212940706611200 #^39 - 
                    4404903188819469762250126285927225455462656966341232172185\
054947307913689096385995110810482590602971793490232236915320465893059674569599\
690156297998655932272241814936015983195747871277485677230191263453241159058478\
335119906579096367551385973276858920532903872985067196552640080965268215346678\
869087133583327933077986244602027661458014868411019054535425228969278238834353\
95874208305015827959466442644322238838780872893703127040 #^40 - 
                    3827987770860919491233684840407289481741771535732531474965\
750463930603038239510027829371105769635461764402277898787160901926580927888897\
574350818492212960002037391048238182286099024785420704529537214387961257277563\
837094194602572561628536141756449403788212894934490365843229239370973613467170\
498521853912020284220969998561645201242753388609912554504523815593683477740744\
0839048501956946811462225367017616433006800804323000320 #^41 + 
                    7699915284162094579185611026585840631037843178805113294306\
205566927573946273628740978477009206308570863015020777641689524265821485789684\
487671786906160745633768926817014196544455181908086706622716282432451619372261\
617465860117148432669545752506667592432871773112494459033677808208034415802365\
843519554636517457156189723584860323006997919736895264265889840824246106250719\
6169620637094918813896695436116768973706857767942225920 #^42 + 
                    6136512664922345768573038016807349795804300759444703208305\
755695353037731250689799425612980184299100771859553223985356798248232756751885\
217516937449568651333045922939998620576367629644077040950012108629408507240653\
630825722294319581797227755112271453240728244574119367953883868041086929695317\
029687963002420241785421255056506685304833840406273915326724502171608496733077\
172830844968881190438346800370011711777556667354316800 #^43 - 
                    
                    1086771210996007289420930388171010450514240601052792407820\
278138212935550469792720145053498236330762274623168545846732562188045786387457\
393524601518515691316261171674447575598089147440003951748666421000629000572075\
427131692536218867882782780750659052549028008235266699307039955278544979144470\
489101077058527378506476176589328476674265936215725876287567624621537182513113\
7178287978349020655210256884784420835935861354707025920 #^44 - 
                    1293662224449047757694709741532758028316076909416427479387\
578201575024109654051165756001463578955702650947413401324034490835473226143326\
295781661787429409015925921658008300606543694839321850507472387802071639127113\
064362721030591918588413450219142555128854687668505883158834167608011941972400\
987486464907600538253076031880675185862589235650044752045926678645715052695733\
975477967577166092013082885619076546823437083119452160 #^45 + 
                    8137118353676547864478219449655128570966401590191503181465\
461878453283229499004394503065250161415568200897382692966184371683716788928348\
688097692499323315547678506533514266331714138566217834905184232299648442851758\
830803229467242829662428939813001376997516514885753932622990847742033492125794\
740639259598780662643172383896789375537032722875584368986292952340951860314301\
67767306706812804784750013655567795696967883318886400 #^46 + 
                    3357801967207691926498313831191559413490860278111372617051\
700331929265170978057732259769304803461334217739206961970794790100710733006319\
638412117027030221521027654381203670096016009184750357084927288124352252428242\
067192193802906990454467381400674479511761732627155698293129844483773010945952\
351835761325843581676255960364506094797500653827830034991584845157069690013010\
0717955563337615190391241908915168475182048634470400 #^47 - 
                    9589302765777780981376455521392141604228629829534006604680\
817940198881717272255841556102401023206209978722206382917915105732642255292269\
959490917940818086249389229009699113680555480767060039776418407495995573573502\
514928406937505439198966584241787686779310739514732473924180252054272484971875\
127949873727927354512357405401609255358835826462254552304925950310083199562544\
4961528659739798528319737879177967436065668700569600 #^48 - 
                    2197974725743681967691251586436657632256566199106247335157\
067692619697547241193057028298544704304903693842939851218599458399293457365615\
245849456617105394577805792051598092965920050216457081446147607679354471423388\
346542588792633062099481543762299084839291500859013112712556145010998348493429\
120886341351078307654648780710736768486515638331766901594773023597082023750820\
1648891055799080230134794862584840887336642910617600 #^49 + 
                    5697718805878897726797326176342762806598302479385350886647\
346910123828440711163908076595908107290386822794753190872515088382641569787951\
586230909478097003352416374695219623979806167568056733349653367241209219665524\
019614954693475116347361123192849636729378825752029780969325757007361737403889\
504588162143224917139800832929463666594772962537777206088721379176774973716748\
71503163437776854875444240098451489416455629800 #2^2 + 
                    8961434820162424750138759862041841932021766263453929715221\
735649214472565735101401316197755977772565075132662184229766075856305578654683\
406203055691940043821776550435584309336953933434349437688448709950341797035748\
914391031218868847212259079913638092622790921248481743837421167991567585662579\
376344044890757260229675429209427517802006669475484461851169182176985736061308\
504980399069464955988541360189141236980441004280 # #2^2 - 
                    6645963225750524318019125682358128463958779774708385435541\
842165853598500755155417968756945512385300665557193126973715597604478774260789\
091046831747156628836860781897977651029202558180002429058763191202709311378319\
520139174136885189854191498891532647934052196443232870539812359277610502461342\
038069279413091847706412731896354146991147118038104473846882815247363457796038\
9644651250507240527492968742868191521514818476800 #^2 #2^2 - 
                    1321115335501725338329552859441545484162707764130161160624\
403499576817837062388118476056590362100107995890344582951756508285493858442110\
862312248116382123890606139350715013316438838789173706197837969227495827087839\
410006144262005250255337527907707030339901484566018650500523966316143963268342\
900158926571714619771088335910163668261533276284807225294665721869823636321404\
288631932087216178688704954435888062960000072057120 #^3 #2^2 + 
                    1729109002701079538491896492831224099019779257788937882649\
232943974681025975369744748328239215223113972831021070074152664524558319843473\
573264792472776234453106692842692293668666336633870722484692001929728874852927\
471729632080823533244441312403879131377079977441193730798256134403249925340950\
058044240241561321497140270568935406113974246667970231817620439749841488683098\
682703889237665637490088020530825822395351293539520 #^4 #2^2 + 
                    7207826976816184881891602881620546223047176133112084683838\
251942038189678131999287970399545655785316630821107508544528957639614022211391\
140818257779483402625228439727783466212179574978491825107876349807205409163448\
049506155562616883535520635628464491932729116027932797491719195158793943998856\
950232133356216044411558466255932979652517544246807573789677987856986250883406\
9398882789278330416399603860019443612969037425020160 #^5 #2^2 - 
                    7568861429057063648611554584131921357045282573392180313003\
231283246050731495558656921310384521226355970795066859108610793372276159919318\
568508876053372585311533377401391439543105707240767593846122066594238248914095\
681569532581269059322106531530677253026254607260618937510509840232358002254511\
465939571661631972609489166053371195939322236900834621225500090778695973537298\
151766575996647891527543794397925406614807746643200 #^6 #2^2 - 
                    
                    1981369543524059945205835368449796103224323061250411240407\
036343204948731219100486391379455919463644597374497541662936335826374424603691\
327398049794513272001205946176474252034528521676195619277720205888564665214601\
763733720259564223482666542723676833595079185928256530265942019586928367729363\
297823683464649954629112847016460589159139528231042952368288024490780458656391\
851815164921216027606370310577393095166184017474045440 #^7 #2^2 + 
                    2418463508743495657920126081826715273626903502241124992485\
748491812150904697411145041657176156399544533576505867620902687413834450295516\
632883387732038606331275182535794057001519602045811930202119733991343432184349\
229977951831710961953587037919718071225968611617253308760690730350646826098281\
423610179481512480527905018557487793498565819732143834752732116949418738749464\
61767545627110789721135153835914088230752188866872320 #^8 #2^2 + 
                    2803237840510556782153012672706099828756873748300407108324\
900515826931133143533849495339681214271736452061661688969601641005287230753668\
769998297187625412000146005729590978961175328929493488760880730954489135058384\
066947043560206742454233129905689714882714319152913476049303058323888481958996\
496284130189229316591407698301086708876631384811365098111194292949607259562700\
1803637620234750492318461770035177601046486304912281600 #^9 #2^2 - 
                    2925158489762943108614801470883924456779858312226457239113\
014013451006121003475728783045443142745816095131960948599582375035987827526868\
066701941544574488715294485948349023865452106143090653049564220122855619649539\
680147405457828140098916531891180391533271802449806618906702982734981722384992\
389960590609342306290796302712762762035793784708020291234457573208704533278130\
538799350229523348088611350750344605738251007162716160 #^10 #2^2 - 
                    2336802799093628300459383207001730294197372087226084721956\
388098002586376436483295711511848318032847825085918416027657037650187053907672\
389519585437268182133113324400868134573289522731185872993472463858103821163361\
734431534678236137785672624591760097116675228375603468537707576877389642423890\
086817174997020847367791448564344549054204738832789520450057716816273049459070\
94015026949218363640081109625883341175435587621988392960 #^11 #2^2 + 
                    2181201629248788104584281467043703242290658877441798147150\
358065392940177612446202697157657990438479390334243912330169751772309714532318\
775762840018907230594956386145231096982018786605414817592064764110052333274538\
347202991572951132448125083418855067294276787724213531916345444184315358061617\
362299677378771600129584200944705521280908253173190545994126734373718867424306\
448518128192035440192151374755159844635686065100472320 #^12 #2^2 + 
                    1241487918296131974257149344815961347759764420706868507646\
831115105038662217576942666619090692823516073844066947555769575981510729290693\
962726109841684648780778498799101026365453534632364222725695362874620836268046\
305548511238789186174126770628948638449308581939507349441193638868061055102371\
783889165472578685768555986499593385788027358415215164643130812817065518650330\
119931360824108650616945653002314084139562703343649095680 #^13 #2^2 + 
                    1271935841766502496077101405394079695348565415498913640158\
135202660254157227935631824547200673757308213384241977409058333623119562203724\
307672589582927881639064071535130762305485372121711013132953645395767722732131\
063376564683536002694727651286648661457916796264883575470653879745754227137428\
830211079772184404570047439901015864260811817661956551994267047590178058266021\
08495386686433474028581648173256236577990698259697500160 #^14 #2^2 - 
                    4367874224041846582231288029371001485038333659506732777485\
858378192811773638067952662773652893286752258161845909079688413848733697249410\
551250453817792589169861634359856088891365901174371544359331562071520499986645\
238074132229090196807697538233564672810310822247319276890367329977791346217788\
404576425952986354384623977349746972787080711369596673186600397456149616008341\
454057809564860985275144921812177310513859383983101706240 #^15 #2^2 - 
                    7858241018115764667283342324125189646494265001352530197000\
108881763528027410824243710386476559428890946720292558944307220600701722992260\
260216284406211690159942922144753042976170139269084739989979821826143994778375\
639902059195666584192898129552446963011039514611633392387772898091939547345085\
172066622497251203436396686118102914135797421709588672201869051800549061886324\
67541847252539302988016695288797921605880945490459361280 #^16 #2^2 + 
                    1035125950164194640304228130468344919098803516577199191588\
757955242184402949856098215825537481834016243038926235988133455745250373349011\
527412733000465883938383762124139146427676137468729899479842379677403304284354\
077274314757746100921169760618951627612385907892350370503422098020940905575244\
354311218246714598383686398498587673523865430736318924452684325379121158887118\
7876317238796997896093120479087879390064363593132010373120 #^17 #2^2 + 
                    1812579835841173868369732383854182383005546414949022350918\
407737236678296503725553356024390373383701904916953059262927212960924109900276\
699056593926885228834360769821282290619263934745349949424734085179082435062540\
671048290270402325127234266857759621761963389414096170796513341289932223925994\
438919844228089949532358189229044525867827968924087977015600799477365184084110\
920025289800341069735346024608605077362967570293241937920 #^18 #2^2 - 
                    1660260361698495149783790370277318177419548817107909776797\
610867472435886345697670959744481995206415550565613404477110820130686481688724\
869323182366182299452632811070167329483116885062076776203862509064590359225882\
363636042680612896790058065126891349825064712950780500496990300065835646976495\
745891275759685613650259728286097616632056290065167184332549541467259053570124\
9665669020470415474906858819084582733698764333354812702720 #^19 #2^2 - 
                    
                    1409917596038888925857750478439334232311936139597103064357\
657038782750733506828610803004952932505476832480645456137145877451548543995626\
250093286797995490131171996920135824167563248012053829320633182759382937721188\
668828625781248328173043729710770202280242865615924334621611665532520575072217\
927304697923212853076405187705532123409698975436899398238353547812004601397887\
56496447951014185083134637245394200034889901009188945920 #^20 #2^2 + 
                    1794201847821415906561895010756170727850292987803665465830\
889981960867492731876167289936033704968934491177003183023140320133989138893072\
603333322842295679785440637425806375267318401011184320418064485505139985099478\
788141248499002446273136495358033332778903884225290913180096891128786970652835\
969108635491335298701080959698554127962301404921371334006964655820245099567580\
9367148841268975146505991333650308739939043989028811571200 #^21 #2^2 - 
                    9360282021988057124442074917718238787612035452381129003260\
833398845444712731330483003252304437982681964688507563960998869048467590760151\
903202872935785187274247238299677170386606353750514882443519282987392478677958\
434400146813692759334461290912238848421532838473008874432522160712504785379629\
225988038403106800192124203758047725640277125264686857960840462126974129071978\
426247856216218950820409000266884029243603842439084769280 #^22 #2^2 - 
                    1291798073967409796534666079865119749790740096368338495912\
786363671784362917822318695141573387461138367016017325675633308058565497630471\
314021810608286226514921719098629609993147022549281193910401651946152143665828\
272077257195851566758800750911058638533317857781977346290515940057841110820810\
761750700225287962127729433047723238413848089977382217964685542008033367967535\
2398089151246101542961675801235470083432142818292625571840 #^23 #2^2 + 
                    2624606109406444992529348923107802382935213933017294006027\
799206452317780703388698144020018556266732113778600141262953028297867299816505\
602732979799618825008968479880602320678192858108015295878407518675988639839070\
965639503565487477714756047696255243120230537808897792642046191846577550489699\
303165570264016590230996355388960180990454783026547055571612443305795105270252\
0992569272872101916801990028642182782421412071600029696000 #^24 #2^2 + 
                    6245929620209587436559110677818450322935094845497096188058\
208429331992029216801542893926298601653071968569574218412417150240007457155338\
765502286027181600829993862682414694385550378583665460789937144830236785360275\
645106553874847980667679056881721678783948076307581006728000031111419156529805\
042942355452411342183951188821678058669083660448011360493439579672880281224176\
091390175004012351234790188699954043163021001444588257280 #^25 #2^2 - 
                    4071990726193482896861770591944552149075985378300709364322\
928002906462546164224289481476422586417413787595761382326809288264639443993038\
248419308807783458492638280101104617270059933936365314115978891938590789865105\
130329156795494754583471218778963762699302477477790407517814364325968641078959\
703744717353543733357822862029017055962602851514993537902681571414079107395029\
7497285926884290322867135084521324377274801997575146700800 #^26 #2^2 - 
                    2508712670871471129888473271323796915632091319885110499353\
277514146755314784772795180347263874991274680549789146363324276836788563070941\
722321059708189314974363820827068886452194832371053183775748091341783790046839\
929603757629238871689853653332815007424185299400923591008583744228214998855374\
669030547003625279102435626458931014996423174498199822764946138666769487157463\
524173728596797081993059187426321564670219057481845309440 #^27 #2^2 + 
                    4309399084546788061526525427531360973133786651397221624535\
945682633658785417878323727585748351694025600641546954050620674426347964623605\
929695913939097298119569232448414414899836071495183826960959056742739516428447\
498341959091331883638648639479623449753181554814754860039340240876570217986592\
617881707728442915068059380695122521413693589816525579819660386975339552015117\
8817662435282132128612257399009307053232202898350234664960 #^28 #2^2 + 
                    1564276898777823507007180870708461658728475433648121078939\
851883960231981873673845979961457840360323355944292867075415324290713401175641\
420900906691103171006489687510403024871148513938523480288959174651029034177862\
090805358386484823943131146406634656378314853289117684644314719355962930207722\
303543328948800030913358386297148629524581747989009475058568733575745367969858\
484772220447809564352389360982903896188374529029670174720 #^29 #2^2 - 
                    3377685121327134312476548990341421286227773449916702345661\
978147904020546422404978930119225807020159853341927811223666822564152102674854\
205559352246573645632550952662274653583233590997895036040227208170769881376321\
967220360654745020440227022923430955887820382076320659498153307645589765497387\
275660048097617208106223783094147721879666185703251327041282276985901514723323\
7505378991912793228303530779436699079885895893920451133440 #^30 #2^2 - 
                    1219561642596567079313966787823742353246982813449577013707\
054277726347503571385110233862197728862176029733353480361577652937173005405078\
711816480551641377076088576215932093416213919720411724609941147562638372964666\
964781378753388789378671391202312791886835105715241393300934163121464182167566\
055797965054990102324855427572792057497083917419108654136339413278779226382369\
079668084062559609627845179769734820682325236053568389120 #^31 #2^2 + 
                    2061229972884006501667146263817344899450191544757523663946\
463286636945143400212692784473970888066511251459141010263588867755453831494522\
996006715141384691385222121437684147864582433173365333999412885152664205249198\
281210039234523919696796143081458637953462973333308622539985691341533980885493\
946133953753830494546648552558496499179023930096028160403352296560038320184495\
3005827162563454888345797532733233099985402977286650593280 #^32 #2^2 + 
                    
                    6652606353521246667552720622733658870541218848710286816248\
392537838087508310950418834681550072691356481627357629325619111614432107454385\
207847518750383085446696198330875774764727113654102577052373368462531219870119\
270043030220323971852137035636389706861280584681402786342216086432540485667190\
709893074166916901035952902062438761878671958440059258575068173205420232896763\
60797420860679366492084772482285815217664356284398305280 #^33 #2^2 - 
                    1016537283496134741076845984276620532014859197226928726580\
916371269170186899728511248411557463758748352671428305927619952087112484600021\
920034602367274472591322052159402867633429320570834852644409427711513389135360\
424530944062043509356256468272246402876207257265686014422208437035967623973976\
205483323247687411640005714465370572254162836207291993384309311711781204006695\
9139394434078938000865877226748340147467370844212124712960 #^34 #2^2 - 
                    2673739614136351779813493119146423760583163894971929113350\
010753356766378511322292588283616460584336550313918021278867507671212931351791\
353605294604843259185562798211234284729926950353367319558867823014941188818363\
011713976640966235553275638844833481538492350216844243101105053524983571043931\
077465867683151523801674593980076426109623924740866518456630842005990956152008\
97540861999204663667949051548813788078033469254443991040 #^35 #2^2 + 
                    4115988146300436802249731562084095509222463209055064420739\
304445601603745987691041666441522241363815454255220758916507258651415813126295\
710160356918618556194233624652598545723552303285321495781584723726988763288379\
964706112527671973631279268734959172453027873036125902188455772901103444275939\
383491731053984737159417679774287435628662501955412961684590903406335005913128\
959334551662250557084357321493205587636360150761917644800 #^36 #2^2 + 
                    1288168965762356762276590386262682226982799175582566548875\
449023200550962755335819784411440065085768456747452389273270115398928511921150\
507648026092520675782606453346181389368325137261885031869934292437117235833794\
059236730102384009422867693963315118521049169629533489092905400029768420916466\
970258825823314167585155061867733109316215455774488274200461569825788458187764\
99887149016773871516739215894133285932207026121694248960 #^37 #2^2 - 
                    1341260722848533990804332255868979067064434963486041378225\
610948485156258432711469040909289715126132033064806157131419888070643595548162\
924696996912598651922819531124053411718296553724948874105753855855557813381341\
044094645037986376454548199787463256728509150391236938701387051140251626108268\
555832082973240200618591138883687687380541574941709903578783334907163980513404\
737555793743219412250597616906777626992083477767127040000 #^38 #2^2 - 
                    7170810393432050748840914912347269905780325913213268245951\
791526314674871444335142227495846941276858753787093311452529183516913108199162\
128395884946550162812332439712414614644684977107228981001962189544140952702760\
690323994564370353582930735898741174020444099153789089893491941981656589516021\
930785686628051942347383486986485973289361897111446337845732023165263692733224\
4231203039398851883414449775324740035416583653713510400 #^39 #2^2 + 
                    3334782380528030238398330808602474541770391811653450648913\
325001576336932366355473535966611865969602386257118361693578407612263279869087\
812494807017184293595742644118453498157322058738932713273523372327544589326191\
583208360749428841768133316387846364677951436533163757233259933638420532329741\
691070057263309143462266676913006848355330707532581632485956702856558727472522\
33374141601273380461209062520983221948768456394617651200 #^40 #2^2 + 
                    2787698816408618786165024109142573580888470349244535147343\
782879234016149517010608670702919946992776660884581697963910491398148332673863\
154491690017143534454595476135059397720235109459810652215694073417059153858860\
728810559585331194155508492292134926674484301480260295087475131597348817752564\
249826381645603747243885240705769344302052854229936615387287397204939491202455\
6502988337680376597549503926919518155178654659143270400 #^41 #2^2 - 
                    5825566465843295750141286873416310682129376766325617405490\
851511350752468716976868555363512629751212390915718672105262571986084193930037\
138531523671754272249239216476454609880457485469811777795170511967579265442928\
778978342463506927236545151766913352571537645604148109176265078581173334614513\
040442018187911907259323166318069774511498589865955440010936457218333888864500\
1074311833586530452892569372293251615538399151338291200 #^42 #2^2 - 
                    4491060397302454265148416428337879073802487650052172833815\
656090478579567373098710555904190060924835021911765003495864078123281498771768\
327896690616720804086781535701314260799312015716076335460239290715828817724743\
507521105563525681406768104013769182792597460881308552427172824992492588709970\
573337133140103437888766999968580088935820526945692212865019764060706094458753\
175343379691545520327404576809279251270546683540275200 #^43 #2^2 + 
                    8219917043445185818792053132011594981442256334198491695692\
741274090417961722703361804080087522340540212773762554082129328477845334719288\
706024941576648628950340981174326885958329127132766423053979750693265206895614\
717462389338078505273278360172713012733412483460265923612747647643861186962030\
034950674943415239854578109018956510179116626542749073361449052640028546804738\
104258746561349177396812810166550517875119150963097600 #^44 #2^2 + 
                    9643562062770076012237409630957425251298387612802705796345\
347920859023770603203259614887993905179542188272945231648913343701802960013794\
976146929144581566234138423986503722882709119172796783581509543433616700621548\
099085277848069463500373434995568956021118870075302259545329954752648418298606\
121725322268340753407585183142791226417100277133320537032947116752191179826543\
51542916161881002125312694138434117177064507939225600 #^45 #2^2 - 
                    
                    6149584901068987390671707347770923064147406315693754795111\
471051300655739717020833422766648394669339472724722334206943571395687734343093\
639325960199340817831477595066155829441696357155545274179068967081239704919909\
739693653357384050169556773973018899336026954560157368938177962897826898735435\
296490024527747062489369722823945929833142996445636940948515173764740986289449\
65434022949954245221637908729392541747113550151680000 #^46 #2^2 - 
                    2423183441795446911289185736208283777597973830260011448667\
599429020300808941978611045811028759333044192447252671324615065539511620816432\
498340386831832349013919171641539807040741649486824539230259967023834712594436\
645568881926667095838982629412331151068658031668434802732866110351718240853255\
509233167966167068856487801277558825151454936326584079944798669788818527351981\
8005311570333773911234257281000148030515451002880000 #^47 #2^2 + 
                    7259333607306256776796209789443942522918666878601577674610\
757389650294364961358969489415456125272784951069675205302402224437658270108457\
624417393479102496716649123211005140464553515208783414502296869361177046917438\
123560906731227182433480133328076606146876435982160010952374762280288014252006\
923970051613164401312550501551615623610923298532861800882827374873979181325616\
0170665300347764995746767594661339031739165573120000 #^48 #2^2 + 
                    1656827345437638621112955036177704208783644346843921999693\
051554767166090071647899498878688020347698454218993533223357708761025531930744\
827851260041597143721540948508607520771912213626955814561725612378589627339698\
928391263160548137483781284915841901792537176022837749156117512898978863523509\
142833577214005971909098840214003824689294406954190286866730907873931710407234\
3005632573698295174981361879700327199268642226176000 #^49 #2^2 - 
                    7450313049899177641782547075454736152108878258205360794322\
129221344306553050971676190004861869010187231022646715393209800866928820807479\
054854886380145176749641580363580947566710184538677794347686003255445320214575\
606603032759974537008932259180027955682103382135525597691908714863870073899578\
440818349597179333111877865515802993637014060141827443104185796844910388363362\
04091658890445912115129474069295459544313282400 #2^4 - 
                    1171864264225089062222921133417512770615364521833102208889\
320475811266394135475235978560147045576940811630959534211983788354491663803642\
015867474593574228251609183368613652570739459607836206736150455067990688973121\
257710758717552482403545407024001659602382676635910809966777027542509799497611\
516495681055153705521353383966427513890903591082711419015123746223060115095529\
8678711525854454377326637374497875542570324828480 # #2^4 + 
                    8800943020932889106978218883477502267181861213544314570898\
531792220078404020614006610030325353758957390085424716979298207333457145016660\
443663093677365535413093118056232615397467416289717084060151962168161179371889\
921634398464616361882116741835112511398638049261497071283957543640633678094213\
793327213323898116418939730321773741882566209438743808139689582141351768449383\
3984157302991706209785786459990910496156576058560 #^2 #2^4 + 
                    1734231411453011406270548110743743340124066359268697747014\
050424792314372573189582488508452164992115057611475536989613339813752307644209\
870004120495756513583649844596563955429742820875328916240121987903983509839995\
861641456569648429508328374485347993015287588881495716857718320330070707613186\
996051436012669259005931005576138388795823374355260262532181139428344827764785\
304097075139740365363685982745186822296091003002880 #^3 #2^4 - 
                    2362321944037610559197362160921106142040250763458647807743\
357967201317495877342904822239513957453134900271042114894332225605640329473182\
375970055566386009689426907702451677808199651942414219844877269841048240096252\
296601299256679737796057338176491675761325664687464759233634144614810534042744\
028064490364442839162995793086398661304116498917126884977045682019105237222882\
418285441720136578742283684298022250290473146707200 #^4 #2^4 - 
                    9511202197042378200080859395583969785990852948633048242766\
038039263409284440603827059821165554120953718577561084952115754513332338980668\
393559548584106221041213000581585340407523365286289207951827089365928751379596\
066406759244094658917147233884821084593031516895263471781212543311156109349199\
153467497120603359905385442049810943536469388092669677615490157306336046693950\
4154742617257428907803931742451516062488201427456000 #^5 #2^4 + 
                    1279494066002026330613546848923415477379434185442101637050\
060863385820226420733330097666227042980046803572699678311505214505809491426143\
878354288474236120695211818488118922561603780559534243678577111789881158254197\
135508829844065901157925979140384774564315871072614185866420657551934587425587\
818689975512673304727865650457724991864889012770926761994188173201300987814928\
4540698039513611177868086257605805831933206678906880 #^6 #2^4 + 
                    2624942543577359741020368390413763349635300245261163228600\
092378717990449266945862062585496539566526200764947171333748375250917330385475\
500567787742618628564239110973842435910452910008247255905687145982188128481113\
387393695495929915011022795199309829028970824842753674971930638240410713107426\
614627535221924003578576043931722637319470887014950727489912604106679504042674\
895126315639772035907398560209946761851824825671045120 #^7 #2^4 - 
                    3546573716592186429804019485966787359250713990724595057490\
500196096210314650852262100823768994069790029131103760610840755062971708033693\
764204062467352923785075421976386406412244663073116016638573371683108845745264\
112051809085777309290974376593474082568343506434327509308489040778056448532081\
106315382027223624919930884928402851025738071052762215158139732970466043164464\
67647354783410494472563094467634866679999698989342720 #^8 #2^4 - 
                    
                    3727957879774611683334047619967079626946280327318534542746\
028978127215863774786586138476403587724746549698601205562160781518546515298321\
119097395435719593319777732926275433758837607670310436676928686243559213996284\
623313564635697192969595355620012430737904651527123141847211970462988350627167\
378680691342640611658465102194726542077714985321799838454385810292976770785857\
6326941292371150216828589319018154524393058228797276160 #^9 #2^4 + 
                    4096818306692283466564926788028732882441862639756283471767\
613621965809781618885994263029083849819432961666441285629679205002580099156588\
108171715915945119912427365614548586803989581538745649527303782148161603207302\
779674441514766593015886398613060137977219415612538045765854209462307085634993\
349878241115316213490863250306081852433134254506284020939472488697060206673454\
957819894863986351823852522712159984453724511729254400 #^10 #2^4 + 
                    3117706629669376311237194264595991115687540813304801992845\
786536022925362913421392027518549726273949100332403785881858444695729781551697\
995881463171207191885615820657587380244479709528652759242263507394600210316550\
916496972614979515488831399890021481933293522652333243860565206983322141580975\
060277042523072016201911712793271553744764680002140621539551111135359698707757\
85937202406629649089916650780717229518995925879151329280 #^11 #2^4 - 
                    3467664158671676162538756922396629711756497456023510721816\
201495750074007382332190737946775307901728231489037190937467130318885872085173\
970239503686553756263659256354423678470903204100652513609466534227789087661865\
447459040955710392717407599178245655460947785892973100976991065142344255695214\
079069080900525228930287324149066697040500041642555933954247588400649460832105\
229301372091244608135517127315666729501445121256325120 #^12 #2^4 - 
                    1660638388141242081260523208393338700333794213664372929909\
542798633328851217789029114116342414095924066420020801123850569264947390616680\
205358585456373687396181124055733740281305335406281599312627470745451093955188\
739690328879693774411107861148873864894362597311472607842835458777532652864625\
117832802885022903195525618018176835324713578279729487945815010301833000153791\
598676814208422288991297017689431515484441115246398013440 #^13 #2^4 - 
                    1704523379985293606862550976811179244008623599457167863984\
146284297522736196874773004936157278348401268724658942642350723250995965525910\
456661368364166656934035599115535860952074110143530937526362321453704690498442\
524808287038677303946061345156605799554431361463743631082964596393610933391558\
478118085869863521927427783480089518857638261137966090235001445858374812775767\
75170340926224319553896246942487851032729528861324738560 #^14 #2^4 + 
                    5854297183266625703464757019063275620218024797747277201531\
984650909755151548079631885265722465144717784704823440353210036151458476770564\
095309184722791440834135537283622111881701259699910957517698361314668578068159\
485211000286914217616856150577284161572844673365111467630202797244338989435197\
190540195143734640228624720255543608725112572173690357529854285540263216169141\
738013143510921844448912420544217708926591760178489589760 #^15 #2^4 + 
                    1060678476826174210013361965469229688715367929369779357409\
146258605518187707033520861074894949355508902879920541275927442983117557652285\
676646242757305582214542140387174734100484379967219638049715207429609921103020\
889607241758045329354560006303077225572326037489192178420869628142388277538216\
177962697533004885462773937908763224067656878770529214646214187186694611415315\
193791999677443232266936182743675022309462167457806417920 #^16 #2^4 - 
                    1389567469204915078478215054095571801784775616797614930107\
678837129767054808303308417970712527618807543621346737388902115940101861847159\
034123913706810409849078813770035637292306660110700236830063099111006941547868\
544453230294668259301269487639084336947262295237824536599702891734101455163079\
244992562708561700190871551478291883188607559742128858133862274260957744657993\
1624235999431151135580463998902965288022890030265154928640 #^17 #2^4 - 
                    2460166521233080752276318095357115031108391735266840734290\
520218754778396474077456174903241973053573033286466373690627970858807215533025\
460124133514986359386375310031714866606453162732504636351276319695640114922310\
766336707279324799974614027697257743378675052187459538751534861565600851848558\
440997172459755257945471316766760216056686236572008091052482837158035931116943\
393618495306211719212977052677639962692100309908245708800 #^18 #2^4 + 
                    2231670502174680935287980250049200920375412478600543003053\
062463819644018937353838167567044500399000718508400912437193711804540219844273\
602191912689951608575206942597763564871115729663765770535313179212227670385144\
677144980574441068336128209782509770896251866806378576390393712058110161227974\
871739010704342627390452871435385559355018252417399049179213082422435402685123\
6843286474790833525408483020092471312222952698599366983680 #^19 #2^4 + 
                    2466378008632139729306495366089305449859712174261663271024\
217611302597702595269125836117018570290962121511026774839273444689133368565799\
306717344785105766390861694005246748743774274057077203393320873539783766973538\
197551308527029572281236978771130666303575836494312531913388304233704413222176\
296125843139204197580464661221932067042862190215774097420443184912401917753967\
89105367139205837177213135211169561067406385767660912640 #^20 #2^4 - 
                    2414937395919171343017202949737644288309982293349389735345\
734760708436152881271667646201057832705203163619000092908832242363066504329501\
072405534671079277845348754732584799848143907763482353723538150467434215486144\
135793938678577459275580215286958812799882576614330279352453262586740116916102\
553914792886941717048038406095253081889808789878037842497918575558981811215540\
5226089776974169973366192486282888064149628149669004574720 #^21 #2^4 + 
                    
                    1250635900197675912191194077673591228361402988017364824576\
046845918734500802273911636507814679500052286313106072937455069740550011695928\
155846697008556515222283692407519741276413411597729161660327032940138774647258\
343961774898306891960094498384133504418234566454641120725030297089630706964714\
883957578449498209675446560117242872791290020997561693520336786781770794391884\
4905758726806010432328258013118969116639282056131887759360 #^22 #2^4 + 
                    1742356770658584159387221245724015954887460697007605126605\
675583783071789918346555701742894193930686845113385529909482234028950239397526\
188491835352171421219460027824701184821138748175130406874202714155244819396735\
981765487364715680694832809060053624689336689722671878872561611539378252259694\
151305176200454016648015002874399332541355661679462234410064173482687060351218\
7333022494228270591831350744470225918638593178064818012160 #^23 #2^4 - 
                    3523285536598507960441956830063153777970406668743552118583\
343786224915570667053089154297701162945827444289481301792012551353959548810007\
332306248428245732003036603096081685829859789246026594366689011420876723002507\
885015947132644880750120314895621130372379293889184398211982042600651508838603\
005877422770001440090523581443984830345190377996012529568077831597196780977462\
3236002984984672570665779009100782920234992543927013212160 #^24 #2^4 - 
                    8467465272339332273376191554902911766844691044444427698649\
025808894645304927809787814036264136322656588433030628656424021731027237533208\
431171579927583218852437593246552605535090843666048710860939489530477944817401\
272334649641301738294999945557665202620143987383148129285176822393220860036261\
050447496957826709869783276390504872195981607200660374333310127268108887246660\
187456864720480095912756626808937291784903832019130122240 #^25 #2^4 + 
                    5475183080350987258164556133975412732007859570433272819768\
601992019639806680331244785026350368113525944735857052778463888625586940449874\
482672709627159243887123032175450122022162901152134841814706295984139044114171\
747567031573165507256233340906419600328249081914080445558038437323386376998212\
639546366270171709562831833605443962196444939020568037739944328411038963177288\
5849696947832868476702942341090864914795659225365426995200 #^26 #2^4 + 
                    3442547313651953646305122942515024163627337651716998163204\
831609592637969100580165478869027028255122465549933346135044120437514525853915\
312067464453860134750751979459169798556587870929417900787936742101505852655832\
677925667907986864043613473166593334424626090105334394256399839367333876297237\
409793610637850351808228797689333010024503123132409618114746861988345449471243\
137909067991350709862021370449348462235272824145093591040 #^27 #2^4 - 
                    5799335607408051025692564634177067972111290787756594080095\
034553291642382028004483098375344178142874283445285717370536531854967006851928\
347942425342728223132224253965555013945118933599186208906926228051353515534154\
824682090360790017596361603553744298993093357758557080035598196874431389369089\
502735272312257833049995927525238994583371951570809648378982525198607791378559\
9151134860137828905118405457172574669510381442456344330240 #^28 #2^4 - 
                    2160895379407369596220275058435153049136758106082754451243\
697328632777180288776667402759443005829918496965465403495690600692941600167508\
799265095550337525445287022018689840877078192377224871850726316831036749015049\
477176435879861533211412164168706377720133243883604079232305373090844595399421\
521198548904036134245775374869884203535358286280044039184420975660668744209079\
484197652218584590615669693799713563025770877640853422080 #^29 #2^4 + 
                    4547911517676001070659551083456524495989387924564053280474\
049257577087158264800087685445815833012169381106778355643475677733401594146404\
553162123909954640831904329086054420478987995165675395938208296328148622484813\
162096390278522656630684003820183569845528357384797970782207811821332568588566\
016369396317527716150036263620670184524936574130628224118715785685377237141047\
0601746883173418603732553263314076041299672910121580625920 #^30 #2^4 + 
                    1678707344140082235920918800786530351969513526281504508027\
608905278787249833466548589031769173035256202046891345174628668291548527085038\
930591413071348309866146083072533497655805249726923065852525795553388065409102\
817005643425356287740970045384993327668326619516835298337365935195418689846970\
294837509599833600446921584320925488288023052390024100607720061991225016474647\
589703485837751717095054994986097657738983185629860331520 #^31 #2^4 - 
                    2776398188473084645186374672574512401680194560508750122740\
442478868895709705507490520711470449028908328777830299644447054127119848736858\
551349858956046558483596755123776029691045281409143577569683838861829077249916\
496484941222460004862005113222646978224047406106685733083496655077591620259490\
982108720710357688073036926434137208042816999637040159196474288187058468940367\
7324602137886842573259092855528754553486402457796786257920 #^32 #2^4 - 
                    9151212124823771418674621943466869862701454125394568161193\
590865755449640882091283749601073638572654862800242613626647483864940261406085\
243015298706941901058408127641610214484841917619458896891628482646256216200457\
514785491939301252974087416470499211005120997935213800956693272316084533973807\
014644628700823129893493574461887336717346070775255972690391760241072825395545\
16555208128389688186055401994101560953073658127722741760 #^33 #2^4 + 
                    1369640937386679282479132011262734786600281335300011461884\
079928003355767577403011356703031541789629578317311515024038290960892240875132\
029426740165557311429488744922004195964845456599164673869265327641834980246241\
031233906347835372129728692995448776321594284212823164493126732753600051522153\
624078175713871002578988806711817131049299705590124852776510144105551798690838\
2609531069144541360003084739840342534814477553661053501440 #^34 #2^4 + 
                    
                    3680700918915067855019080235090760857086648796567821119145\
100164840170616381701667635233480522350966525123098746803027572804812402561219\
596639260856668451599767610336295614203241738495643612313545556657006266518735\
917065244146518440568188622921879144554497936196920887743026475386805560107436\
457223518533274527857802181521878515022354111306942948436188031365400850900963\
93385742254055124353350860874150838213314668097070694400 #^35 #2^4 - 
                    5547134205340392528533135545781439076489770824981170807184\
116811979709417110954723158919558250312640712087110857005036208065471188829868\
683841874476757402630055851652491246463579376279942427231897659405596573005287\
217321017208716982318784261230703438089089839162707507404667795481977783346927\
339216081769478613394210882320347162100370136775541960586677546107370153688666\
426802186889318133400310362835112636672579367147478712320 #^36 #2^4 - 
                    1761495201591019686355225059076032220883446678065330743105\
496233422672535424460114121913314496891199318957854259604830585337368885601866\
157023203582997578288182581993434363033070352150751149206899891441909334651625\
338881393614350756293266286118529118325186236088852904233730918057583657290362\
596223214720944440392779821430742332990215216179808006677366955995342493179536\
59445368600893952047331660176779596566698193586728468480 #^37 #2^4 + 
                    1808033156568664893352883962290936102385575512043901612998\
963514829566624606515654529461437592468907536628159177295504743466385064162036\
925055203092957706400528322207577631169697070596253964041502094061446938390130\
924182445717762226260358803622900941367910889610175374026795298498098178305406\
328671548477632337247959477524575160537056295121896659259033818795284743755333\
029998052165892865147484383776013024199410718229921792000 #^38 #2^4 + 
                    9730957112514325724307124905974784904277045641687280632569\
203869697315167912421734951587934105185435435935349918543190759275022159508843\
883025175892538560099102231663829190848154471576028464115034292702604908903440\
677403325430086325747360929500322977714478325032354654878920457714956734547572\
901611023588815494642208001787810710877961888833638191284715553568546953380344\
1970689375902162413813980445982177445568031008122470400 #^39 #2^4 - 
                    4496240163032759120499504548345680016466344880078004582784\
703393901206142348478265148681934133281725939877193109725393928804403841683998\
633076211581512862821410331245796074465622560043688895608822314745195693155785\
253948626065303031956062611848812687874562011764703244875960667850644264202358\
215804050709867674377274695131381534311526386214835157887656251290092253327555\
24474432816442693187735214760145503280182377746268160000 #^40 #2^4 - 
                    3771512270323502225022420998112702008546107158659665335974\
086088532592255391266178769696596249339993625312940406138129916293182564749615\
331625274602007748489321129325116827376688938323180229713524047802569581450586\
512213779905156956700334784210407743291995129090519805167972139925265827910951\
808218138510694432742690316640208154322780723380657543596013766426412681619037\
7941764051409401595288010243557892361788826231557324800 #^41 #2^4 + 
                    7855533937197682954735736406899392664317781819321571873855\
709331373918224032600125340876798275433106312996891655721699957125824311244471\
420337254837099055823219382138220533541077290002728341651638374033803109320423\
805743256599914945926565462883888296691543329450676784772199867155251923659198\
486781638115538509205693123606099929200355109230349757777591327563330578908398\
7504531451006311502212512733907096776168279444658585600 #^42 #2^4 + 
                    6072821033746696868459410730138038834109605652193378570495\
135998254757300880514360712687428188565954155605407741198067348806004632010047\
412522708589129594856895509996533735427386826707998939251008411799857022899925\
877381794130578731749572154262336710629439766031393530030372698622262897567694\
893249512758190418462246883086035281416622990963611329333148658845714820692572\
853684267501165282564691286661840184266075829121843200 #^43 #2^4 - 
                    1108604197346258161950086354030334721437987061849775270656\
907507440947298235170543922057677756513659930097633943662429662622899275690122\
046303745674611335791973299634670183091601734261268975381124291720552437712914\
228976478769927591604000473236440022662690773843529640026983757200814020183604\
687980265020868142894890515051871494517004850302201029381494706506276136395733\
5985458139665681319891503239327319575182068145979392000 #^44 #2^4 - 
                    1302403192320601969115375005899168656603019515645147224080\
929808139044484452597308074025197312797840556029507743088440529251666486276827\
204149830990845243143408940848058839565229944322623144026926343700388542297648\
548791943499454580720510712650616732545869099789251968320257348647307373493292\
702687557344332615425649847109006370260002081270845032784068951496427500227582\
752807299938167652373712099326991036015450641976524800 #^45 #2^4 + 
                    8293690296918295662256211326321130255782424704495056616951\
124367052738613196626928241844238691843867351170516815385515225309080175089850\
240708289322721087300873261208689369871228475774178089712398810766606683853604\
195050666374365017201443713405065615056906614340841860631941344317039691541405\
344884543257590551362366155981434855424043899016056320811091416294986979915727\
18601450706395683599539701603767995346378710581248000 #^46 #2^4 + 
                    3277659623586383800332295346562460482597199598172885610167\
835857306607598415277803333535426060475236525992908018260643409950122616503304\
072987574333140071118772389660948186142730140728766586654387659767106771135022\
895368143767114955455295885905658433982201321338385198150557023068419705255362\
493282731392815408383191604269837176422817126537008789303626512898406943941134\
6538392412691105739682457019799496056360967077888000 #^47 #2^4 - 
                    
                    9791330256769693184125601255010728306708063968332361120073\
322844843608278626778294413905756993377761562581204608996538548800766311031676\
086472852783776779263789116146450998879957945814572807771791993166161038687371\
265460895631705972522277042667548724641004824399646048788657867130162386386224\
854001330282827146785239901987394344795476439885291184323226670389228431390980\
3638106871296398328434774514119138327153199808512000 #^48 #2^4 - 
                    2235560368863662970752561140668799045178972710356196489568\
342146695099585115312565097861918076149114503683922649797836535256815967005262\
724852029715518859007426024163391296309468915069694219858286084413794055569431\
799692508268941236729632565798051656929569705146538244195225341783410441246221\
302938394580565635709321004829031138663832833205972560165495713251430736948994\
4013909871186881562750868092287802208679769407488000 #^49 #2^4 - 
                    5443456939671115046790982780018602623533085504860674177998\
765262132935817862259333096253392319277713361302045273049903940085847036060811\
583198700133766062842770971544439769907272657803573274440411118649373414157148\
000169261373464965962276186206411253570628858634527467370238476375106876519115\
468176126784140446819503811579523578293750531931948693332860183589863746588932\
031859861362916423403738598267291759423380800 #2^6 - 
                    3110546822669208598166275874296344356304620288491813815999\
294435504534753064148190340716224182444407635029740156028516537191912592034749\
476113542933580607338726269453965582804155804459184728251663496371070522375513\
142953863641979980549872106403663573468930776362587124211564843642918215153780\
267529215305223112468287892331156330453571732532542110475920104908493569479389\
732491349350237956230707770438452433956217600 #^2 #2^6 + 
                    3110546822669208598166275874296344356304620288491813815999\
294435504534753064148190340716224182444407635029740156028516537191912592034749\
476113542933580607338726269453965582804155804459184728251663496371070522375513\
142953863641979980549872106403663573468930776362587124211564843642918215153780\
267529215305223112468287892331156330453571732532542110475920104908493569479389\
732491349350237956230707770438452433956217600 #2^8& , 
                    3765761854371808470581755410168615361290295768475570688012\
832512746098824207195654323505971612680052645196632871179298180477521971512005\
593863307532098572338056211336912098437225881741075296629368679404738156924011\
900778057462519268687240530669427670997564244366472147834407077166074370582833\
000195341551431281292182856958293480260317175820742367690264953779410478228481\
153008563972922210515023724011357797074445228483279155332968129272517138569450\
80136183147733421886173755557373 + 
                    6047387845036520809383961296814198527548599647609280802573\
050882958727944784970198619238501099382729886649415270086200173701162652270742\
486641739856813333393667851353916091691193302323787674081527024177730492049751\
625093341304939559708480819048390901338373563688489899091154981672997740990013\
412367326398421573538202708199131872691810608080032246415683580669899840548863\
041086452278695075436461616253605274416410741258903635212655727664883757193446\
531416083623745525650467779145176 # - 
                    4248713031836918765124663778723859581925994628308779971718\
496942817892170446696183504520768416499051905748797788157490104541749816278436\
136597993074289978767674999152114549067206648450261843895186336071232229514541\
924445905994310324716472246593531922902780491224550321275728536181302556634955\
970381830035769143215787960273103397399072104607149368217213769593658694989860\
527153957527581078860213504306301649604644823895141825254663988781410154099860\
7931056293028172182578413370865492 #^2 - 
                    8824396324633952611443878007446569669006306054382753212462\
166815860794002712607709664847429102137208982912112012535129435008309847745577\
328072773452187143809188191448636624756699679413668983227556173905837446636179\
258709468126077343028320732393755055807173873782398371655299671842207019405157\
767556566170662689621509344438290508146051326901478161004870367162358058910966\
988643403689071210309321709617805827319842287696616701416429336566217144239393\
75482768038099028180340437627449952 #^3 + 
                    9927443709817594870058033327229609589131759778144043502495\
732575891995941836177934415007188886176481749417689429555038361916777719958723\
918208467439320326731074217361945719407996938277312994499496243702328393789089\
280097305731246905999374238293238298975895113555981533819371253923838334349146\
869773281172327730127152937850503953991194690230713000509334689185958427110271\
815323932613517534913772493189371943374541114278705511135887993771241394596279\
95992280680636623325729167415094256 #^4 + 
                    4784797358936876105783910731799407195979754982175427866189\
717034708403323929253005125946207330042145838120485895458945350756746006686121\
915614809815101924648253485989574999167191490371340138983737019124905979953173\
132403586069670941539923096020142783366252281365398815075116375675062213655189\
008013800913876013291780302013028557774249119209248211634768811044473800082581\
678812391478581001058750826535781953938918065142657994464671035389995078926207\
4420746130199480836889972129167399232 #^5 + 
                    4137432905968351629160585034557977295961774166897127493033\
437128822416442313939654788336748879626967307018369594758649446632587061835719\
237784185715078557809978425287567874486315591240596217420880904993732979842046\
393240896730109093418925342300836722459249069971510311871416103567779816694718\
401102474385113514320937057894224918934225203782750879237454485123180524745206\
807686236506331883169075692462686925874638192546045937775824595773477618015997\
030447812746869162828095319995673472 #^6 - 
                    1321893830863322432900140843015647682309699322853542120865\
107711410496444247496470812885639631796729179514882233325125690225911111772992\
689624965312615713937131239231938893519295483457572183472329097360829965560321\
649534340457404777946944772980341066757483172055620276059182578846790937966540\
101781092828256955670737562927436279901314417349156886342299431883105453038917\
965838747628703869146585279103532925278073956366950059124611216957900482767061\
958199036332344007032415096499781166080 #^7 - 
                    3497960626923059313020215788981628110816277590545788342705\
223440522869777601784327609981966782286090632226274688504546588842873344507510\
733331489975724107221770371820874925742550732211364752297136910991050668623585\
586076632271995571609599461166400679716047867870022682862431624578286823119345\
281651200319439343877464328933267807744973178351906364733497494011458393349262\
035667566632593329135152871301060447973510763817681739174723551472678107766438\
7910964000576500808065448695609634304 #^8 + 
                    1875545242104023913063955435502178061074242728602430866065\
670427389621234006644390338176561533517004126296520634909563949123451238778513\
446596366046755770299614004662609813136450562691834151575832798080268508333522\
018037895324249807714022687539788543270601854423130597725430834292293176696098\
060698268396167691891569075285157810108329305543367914583953997640763778490870\
075145878181352229643779571609580942674235077879487056343345959346894988743876\
1992536243453118639823271291573781470208 #^9 + 
                    1951083165648556428074065304339120324937243319739965652516\
274940153275397290388164848299210812309622314604069673358819399787544261223087\
739155342197798179947222309270663958776834208460962995346816189148135578244073\
219265663500436681860436491254693715678494901432254673345660444302276249694542\
187644746801529640543477634169988766882739690529911585675197183596612247568856\
563362340462636991450962198077194538357947049760723316416217128166880287739024\
95420412122213764361053966927105296384 #^10 - 
                    1563211905933522497802901199312114153536227162948772337670\
447434766950831604882195838284970845389531917326356823439281853303945663245261\
413328555411924321519285212601270059457988402310270890758509541717145552632572\
600601014851152651220202187161254356867937699669378875734930881571683899417299\
388034399651710401729656933825508030039847878341601396748406912276999220087713\
945695661156437189887850728157251635060141764464129010242356662466169698767048\
07745154160237781224652370150969880381440 #^11 - 
                    1240734140192997323082617482624208515388860298047098564142\
001308610970474116896922702367032462233455275239487940212916218709454354181308\
850245901562381199237881828277541890789299637034124463029666332806960330500689\
118954668761032301446911756477948860706733682187049280938933926168370144613229\
597817304589615764674266731049717317085722737759138973254051643252478953470612\
897643734918140954329347018761254626758341451196587578892844695515201313510796\
0304231547001223408985432442819957682176 #^12 + 
                    8289045550180875551189438171575703300408698533061115915396\
480235451529919788373512042306056353951590222638868705687478382836396280509895\
544561741456183978576774523009145301492457305430428571489337560931151054798244\
809274619647244882800273255591946187380961582846471130616156945670545163265020\
835631134991483153569793583861837198101008283622603326368067660500300237945251\
907772687219080542206878148561624911210803278258259441689734460880945940734916\
43956043858367795165124584571338180583424 #^13 + 
                    1412553239135693205894407376218054657599946888201087376815\
053158774568714974191589365568826215546220496568719743989979269039074563207978\
591918191102345198797850438298901432374078557491175231934204809109212750461745\
215973194843014155706234455604116528321181661109081268995390713377042246457889\
330905523221217825345666783072909976813086251761326890396828180341777845645998\
531732624227824660833837031678595205739588168679911059729775015517525115589621\
28522434472410897576072246130673462919168 #^14 - 
                    2910099064389296172881938833873619324460382093534910183888\
526289159437301165996460975666969085324719127372908007479250787589202174358638\
528114918896571142875766117108023375134785176178495963468186372595537827005712\
665850449438795016113477724919223303877229115325105482917947292206816094510073\
784226608396761562324377551059762539664423597572554886457682961111436415288439\
449214073782173435774148798871436452392238444628473262216306760601270677811628\
942758719620741379242064778978778348027904 #^15 - 
                    6735570912642526380113687857867538468314032089476069196361\
033971109852023338263555689231768742271856366601438802923619580974407743030592\
534548174517265488113885947626212463298417115511295614623948865645182380714455\
913153507143065391152018653896746473832204478741731954101450124894101589305325\
503952518690622851332894715862274069657111750795957504902084495571058363779906\
242965584907533303693688526086776764029014473602334942867098134201560480754235\
45467260458827823927417687859648465534976 #^16 + 
                    6891233690692189086451535056923630072310168725459676228291\
643651918567519228631139660468271962638578460158414741473509170129105190532710\
283419691787147013413810562115695709278369148735174623153401881922312462787466\
235096431307486201259971774972852019084223095534139645327465550995283529671016\
062673298222781485408736575992929762476433103585003493117413497624936999649721\
533007438890628503135652217006321887796701950169735062816433409441677721419861\
940606138257977306663783754566823523385344 #^17 + 
                    1470072134976207737755499405776810873340803497567038608908\
462125983650558789752270018571040097975824122127181710289814433522579239367166\
530887708507579831630764751795636487449363243377478019492481088016326558329846\
938069066687739838895338830014425176339861181434057216241804933456146568743793\
064099970773450341019841910445092113904081905454607420899792341989486768082410\
990181492466335239187595750986194473919560521193348385694244952656975070200488\
859011741343363140283524845351133681811456 #^18 - 
                    1108392963181164471449919328325262601499879965024458617946\
660031557262546411758278110567252324769233275981960511283317398952562154749158\
070664914973207285008584476840894798139396715700109914039739748889600712819287\
555894424303047988605637501558126953540445045097616402829273526952599316702396\
069264498224742403379604515296394813058775664817819537279375909006158371542629\
734789631157539974696731149393868308078264012980720391231109558789101922235389\
4862902106309117652109541775536371449462784 #^19 - 
                    3930893062181549288647354269420678952266801534712127882945\
552258393272899194118005796791941956620034179757104136173154676748495475022003\
424381019138523659122292432953808044848359469382131430191391624957753362111748\
374027374670498294786565095009789585834295265050970763477221205035035411156435\
709651538479782589949782941699962103522720114924159391460132058618755722892963\
191594259001219357500307084146072320226819266807697134887973740213495479049746\
68127336314626921957938766049317243322368 #^20 + 
                    1211442756840453370666980254599366647190870509609901869520\
469690596484691063042948289303457205172324530864052946455875651124402183836777\
472252163563708903361066045889378081142343901229897858332937483350336854152127\
917319278515753526729821802847056910623465879957293929171501236101040922880379\
563356264543952994434627966905807938004303463719853798252233348272065988809126\
678208258490607065287114829632866612499115271406903277133576316412711584707992\
5903945830103076239834292121793061535612928 #^21 - 
                    6030930103044582915291088066803631249446188975662349476902\
244902398536592677187138532317818130246438975663096781408269718334659329789495\
863794912200679826133978614213673623845541947293120520021650456371186306321100\
185829514024511415944400593272733711534979812292352928746333690209296115335161\
548428601483372016453804285577711197775409845086616438837849078866258522666144\
362685919725178021373939126275467120065372733785483660908162591344523439990648\
223926242881201918577500415541444746412032 #^22 - 
                    9025498652591382514399556933472988534995972331243903291349\
784121668248320388262493819291487336972212159646861132851246400095364941919810\
944350331102122612418061957508029557257547827426564694735444952233636843094764\
081794241506880184890426033215530200891229772732050877584185307558856697720723\
002280694521217308689485091676608462417527130763998971713850827536031882903785\
344963344238659219856460839011112388656303846237679041288860221646523631652427\
257950301206021348876718453360080969531392 #^23 + 
                    1743827455367950254113331608306372088181156395649294591310\
260436054467352791074147231194073494094284711569802144994266771109869982391894\
230166515218836078277608418700795621586003668920348163525519091590508388147082\
959206753298886483660468288357033148186976278023312287883491147909771046142453\
429205912394450437053371997307121588230167857221479283741182537594816267639333\
494290500195453438175642218001206193079619089631886474200114832683424934920304\
6839235328234999711275433284751346609684480 #^24 + 
                    4819043134322433155747686919700199683627254520160700814962\
155099239718425535740002703617537292101726707247287320154161477349596700375100\
915301846674272581730842283713492639416703821759155668516608290471856993256772\
063957328996577173056127505617289534364616051560074088766411288530750239431492\
634789752569512082263377313153867855659335894213459651231179806228271155929317\
817591336868298168544999646531303299649846136612903915730160620625176974600545\
699970471794688475896906217129339229569024 #^25 - 
                    2719393966482332669388494823109611875478242146889829152455\
499849580944814565289187613090865636070281831835845935449113356400382097231407\
216346286133077233167244618158351639740339207095401101378244719745703536922008\
890575350900844634400080356823166741047647965555078221953051264336914429468642\
625475393982770456401108817685127448863639994457120005701432193584786108308503\
513498218677521117961685384789880935734081792066338230591546286769110640808038\
3903973239902494220946541137003370009067520 #^26 - 
                    2385461807296131321547814284038505395589889143131797286998\
642859059469831983343238234634986923005837562211049876386914490416326557939503\
031246589291956456518208603484638404825885717643242935520215868908291269879032\
568469384473533724697093664039462820138117235235729083761292439340350483674230\
511294116255921345061010661419555751196375507126255346078132779687172241878762\
970142697847019897970937038797654817925052275148234908874882490453221926075451\
764688047169370671598926690426270479548416 #^27 + 
                    2880734049527661711991945681838672519507709005422294265296\
568905849170903723932143371366049924045144892509224889934929376757570520546639\
550106675204218627591247659860993193684282848741050831612195411101433866741587\
658852586439994929485183884568067083192625444339539891849411131054146695221720\
265443693187323642237332910578374668524747964648883118040689896618309422688875\
378379617358276607064490136669898598981102815126280367944976890616554188504697\
6963501709479618721666252809204932032856064 #^28 + 
                    1616876156365383283214352195381440453162097994323558813700\
688445258520482701216673596787880474072155757529754996382226388345584123209654\
053031945032267732763627896135961589473076397324426749913617978243190087947702\
239563796269170719189313792803396121813584383753311318644698210021236107996033\
789040234494061669366156092148527756385119748097956695436179976616926402410308\
705031708453708480849217526674841856448625116331933080070453765883369351487614\
341894184388629676495670379427709268787200 #^29 - 
                    2258328339224512152508606321940379280713584170375270702580\
440226569503896769982593697018901525678382259839694780809960618677964504990513\
139649915384114415421072127274584622613897001396915057020467117116319946825710\
016056590259732841042075487089957142608424856701024955235512973569104177760144\
705635312062027962134300519794534867910304054106157395668882983697350467385825\
367960349091975206368698168037598004719218748836430701347709698853189990025764\
1337209763833095489012051566981685771763712 #^30 - 
                    1171340883971195264713145749611888681915511648288008784173\
033825557051387803085547659186178072446937073495271816977140994438832224557564\
910079249770315376607563432120200518267621375786393868402811079556238167692851\
837304246954856480207967055782066974574988793834814574896431773002976198316303\
024415634737191059087867096913885449245020701491733335251020903756513191833662\
018011706660668332470265456570395723376699421853150341423054898842947840079207\
804627236974854607738471322969141336342528 #^31 + 
                    1378469815096540132808862938897024030634403809412544386348\
673266742469752223281940848920354694984841503268368078522020277917699617590395\
720522142340903512970086247222308424837722679613951348109319285700937191314726\
617163413438853984199222980047144159685253069640075288899417065461217604209184\
217227307645202479949691108664546503503046017856673316605574987511330971915959\
070198758205328823224677592274063469660065528565448306114589528022569432818159\
8279573849130922599074503031239723687346176 #^32 + 
                    6232133952978038385084180673258707457603726765739818214042\
015451459547089929831244791956103272309469704242971562967167656795160520635364\
333261949209781768371185159134789562498335458885298206654403661888594545275443\
008699864407173689118953001973054594254195572910968241954880440041595678625556\
393015158440107221623331016891618278264831342567284516156951553587486833271545\
848307588954840313530848038310779773355937535950748464354024542878977495558395\
88935013531954742019219484517005787136000 #^33 - 
                    6800209706727191241396195649034727791980815160164340047064\
294978358873222811507693157217320743278885540892639900865255097573590184692189\
973496860847526332439724638730777022626784589960167906250112802280400015960408\
602334801777816442969763706514921672900382622505117830012144100746165976392305\
839761786371897478555675450515951134679891321355592560231135828725280717005526\
698127890961359483024732712333936001198506158719891459643249734078851772042982\
791096890135173294734363302106994183241728 #^34 - 
                    2520017816234624202376592209993807736668340006015616292991\
770275165890919813546575009849170511487507816460095039984801532177248057025373\
601700678856298677737691413021047289512772466944148748854498555433504046034261\
563537699841222112294860488928365891172402718180972711569727976442495409464251\
702227787643916329313756116260725890620385466119792759759527051968256575877874\
679605959870841444168414599736934112685291194271919993611167964190317608700029\
87030920321180744855881413854016871333888 #^35 + 
                    2753449350062750235219855700710663591913632520194695728555\
775451916317482250001302566582639438751811617954806752956736077096688019191041\
936910886582433723303103612325536576029995889623758031655616469742363702193589\
085501426615269365364897201569784838196686032857953502091541369964061924915469\
377393338320588934564005710153566821823877167298485773140945259140807352473025\
394742724027461574176951078206126562479400978501631402535179401213484849982567\
950988715563422138128209963819648180813824 #^36 + 
                    1103410326592609259045729879144611401886850075974118799877\
342371885046709764914804697380311464956420443473430675937620992884523762158944\
985577333998056384843208474120178489057289953460930747129305301819402393546360\
571559739719571266494695456130654399782596781387793288289541380937676816222117\
575157834213873057446623041851263829486608155786782846922867155512097955918537\
630500614824105156795097295023137621616945469516567677618519616418791831522076\
07334155421027141837140072750115356409856 #^37 - 
                    8968342582406711760709349467826289303265362536237514096639\
622380829767863594669521478759499363666672715459401619029383799314795861389944\
281829094360763207922993361007000571017315794750161341737303303945226492165229\
142405042991947497117427361334164402715184651042465023458233807458640994791804\
608908334184788056076817695686875478723747594806017699359166799031800806931562\
247551583908002586009086439245193002421799796350923808620270096873415970695107\
12356111531494628009232308010367362007040 #^38 - 
                    5408419936481307504930581294384917958336568445678147797992\
810427795991225281727780030604593055389103619376636278995836449878674474766858\
657925791433440613142339039706774079152988711933559591936944706467326992937421\
143559645134542615463833653731514272054640493252772479185892594458745449045653\
411259694662129233888762361849591934841580350068904092558602034247402491380613\
010334881738102365953814854711685527972116888789611720881534203806691995054810\
6420325863797047725904668114232687984640 #^39 + 
                    2228149398298977119465066787889724103626845354095628335705\
403916586732496135746868879479173274434372326281945811485446908826576598370718\
908268998829141883726384968622963305221278747998172290773139309163543295930686\
379891416621849835072922303295995333534969856416397120392433313220349677448480\
315766033288588460945115298420041399313806673203779093447691587675617254435099\
158696145479071051528591143098644873554920753860209949299287532996367226165980\
77833828667974846517700859771802626293760 #^40 + 
                    1973883351798829006941303761419187100459961376096626087196\
385415534113638260273214375086044656682776583133694878409988359044166008256453\
340014862200829939851016516598356587361683854868136719120889659735011711938621\
099099769932846951565222559653907389225023435585169842867176302539085659360825\
786954139736679850024389530569305647743898355979049019118827438199992715550797\
801785689055697059227141252123351423012930384220238876135510612735399265275887\
5422745239532266137059313075546992148480 #^41 - 
                    3893401552317245090892056798422141639123822125655018770738\
677313940038964392999870909467478293928120184376179010291503480938476981342922\
564546376795582239798697830852194690181300198118869638123960895938007287527149\
035934903408857287118180845086853239951527544941071374161242103645589773337006\
155576389225814522104266304338883295976712180406916191385007702230809155304849\
982484138575816567647323502367265117375404060337799370482037657772173269927146\
8653460290540694791288977566650597376000 #^42 - 
                    3160082351499564356506914550414571465767964645143482219911\
195782814165995054321712617053339564174653889787518473148985597728310531761822\
652204795641448122386961723925190285812354302453017116418737070284293987900333\
743619316689303277082803235719194850181936584975732311540333037829488886891336\
963176523343657927056239886358628657907241058582383936351495841961954179233260\
971680450444547302282611166588785328889999451254270798889331453184417748788070\
889946756523548257416729353375574917120 #^43 + 
                    5487792347678657612473587782192301509350087846509684598426\
829278296680673706753985789063481407725066875543795984635084214776666295131649\
529481234909272231039210833799726973435905896830706443327535760244153885206211\
116817453986784682388603581515764866320545660464869968446582285306763826266205\
484589123482650525818495028802465796148269331293220362303770897632954026962406\
456141156951234801788635455857263860013072264352746598007323649826624023783710\
069913827842507469464610140133838028800 #^44 + 
                    6573639638801755219518282984350109149189794663907763017368\
048754611312633012740389379883311940104725609378477446422624749989649797398540\
089649949844171257729709487597466936985273973294262752508509562715770520702509\
089117830399441363570316384213706603988333014147060967841488816583787124676202\
316716103523832998196222669092002261247301979068378766242263408045024727690133\
710094578437702878942497770699134532082900064421835166558851787645612358015579\
68120970089861909024268021245788815360 #^45 - 
                    4114723301491042342419348912336137361332429446601464960607\
333108367031068390900651792634129811053637370439849265354173659526267277723728\
030006523062243484897806060138961119681710822654818390227466041653900459575359\
444646642241392828212033707597330511962708495563238804522237939986403670938890\
053139674410700427662303394890164225582272705282949861336318182059692994792877\
105453675805377085692843790001469528893319292660549782145229399240597875149942\
55211844161994011608750312643991961600 #^46 - 
                    1757722620460464109349324348060908214996868566009153138919\
398092761959772807317792767610896683338887618390862694258546517719263405205974\
903496655363242610463367266702628527089852550232338408479181105292125890334900\
736804402219786229105787996161673409979928203323918766649726411501170192242661\
540912624230126683078605337713648512853091953754229022783565193035428658268513\
284287071848238622705176336232774811523204489030042702259085312051357902760046\
6321839341931628138198737887848038400 #^47 + 
                    4832017710666026326103636373496184226566337023805106241488\
093264120858791019756001925289930335790898377037492352566449741389927839837240\
387862594714879317141961044803166850105638243285549904725061499354066167418690\
399876319722776744184990563475419579309417870557124067251320953634682927631885\
868547655504606098222296213718498992488395527795574183013406902442962924410481\
403414550737529812988797675649572971401533680827779498397028028480232856376928\
0038555639437972203253574050145894400 #^48 + 
                    1109963027655655306976698832229360858969047219369304468816\
571116808578715011931128775868403304246150274205215376273438878633644085015024\
662684282969966903993378400790099406885347038778757411461433943315647355151695\
090213511060663971127468540297347931060376280117451036681169210789287542278155\
286596600367297287086271650000779494353252822485738665304859832767361036907205\
566955466857417143854798698326909349609927158747930950910124809833875708456924\
2175020566988987042254241310284185600 #^49 - 
                    2245205272460521596513417714934796370769281293029161359432\
422216201892450736223735969950987353115689994814567223577404601204590034223438\
210779776656114077868896465943561398693425497437727150468340342881171026352823\
592730901334300787429811436961596333760746406789405220646843719950484073502174\
086466378336609881316977285859727359174697956472110011986782197242102498610358\
541846252162585079344257625554385355402237247714134035795679687949992460680265\
4936884487310653374402894884801996 #2^2 - 
                    3562126146411320408603885274816874906710068928533156900912\
088920679050543365748371022990241380593881800503413861396655349235585280572351\
989344261660619308153177601045626925918270118777767609305138466545831741874759\
419604573404127572083449552442387173947291068645133046685116231145582750160019\
823637325161930667517292673606498216784643491249008348906579005479730046737018\
919471880732901181178354688806626884511193579064191141315052831377901253580630\
44253285856501457146211127318704816 # #2^2 + 
                    2606643207135133321251033030830510838173490130678794966553\
967993128961962419075416694505645433056821396780801446379118890942464973290027\
734209768604501713373672169242577463620792204966154263172934016466304471049303\
532370945345602464884813939949315119584372142833628008776887521161123322967542\
551152229429444617855151576892226711252482022052140203776437638753203062671680\
437929769203533928200728026010283009932147675315340285987564461309023635786385\
301594161621551387294576694415045968 #^2 #2^2 + 
                    5253761592573322991883925811924024232547852770738998710720\
472063272169254415648058056663334147123306592016451943429107278695018255825113\
565572760904966666070183154514201921936154183860891248520849216329964652995273\
649575843209761140973435117666745666643990471214190378323842433193110262912999\
173536588152012684953540573958120280154979241914774596275925456394033921970266\
323984528222029821550523495911038484612734407140598112486156624295568969231716\
4435805200441602164423536549699477408 #^3 #2^2 - 
                    6731409169853294552897303469268187514637453602449693341631\
140650942417559629159686061525832190043734956071176168983862583726016761495879\
908153487206312547345843819236195451049538130866977810074428215741355113433611\
264180356315366701163185044297793162519886793846866318159856785005709787010122\
200222206751531611098637577842375200125521746872612223458090036802584513076279\
677384952557932061382923794265871280604837874690649001303862794109970147975328\
7005282840097614181227860041936148160 #^4 #2^2 - 
                    2877240787788838383164493470424577584808088124474630044526\
540227533252678665816984595569831190104241020793609439502066147578217780231960\
548578839826193999468277274830708769913624269144773124307126470995093523723335\
048378961799515874702823596778816911225518468217070086461752343138087950245813\
284082462820533312897199436094860744852966947370665052780548340774054010356295\
702753884191046754007172644638450301262898925103146814248856965124802164252977\
590271399242308359647529016084543703552 #^5 #2^2 + 
                    2265522599681325240253927250613542001246573266365122018653\
032005909063889134249802771347703055197508145713800376052957572073985404858127\
004765768463106015167772328276864022888488978982950612017679157116813974017460\
351294722463406619514443543038035843692305090032234765563311420900409443425391\
265696344458258021623435005503549934104208664654108398092906398325640725518497\
388841455871372865266513655508192340646816577327855414395821124613120541191496\
73600173536653151690439848509336811264 #^6 #2^2 + 
                    7951759013994684751233792871036471957330615165431735927224\
499188276427630919386018956609984213895309572529026437030563972411759924289157\
379819808380922152392884557252211005231673852885637501235548529324836574062011\
689555654658234994714935102551067974045209233898942442636508196014172850412833\
980036326815505243261491504401815799462249265826323525004547299396612341135300\
237949274790797197767525175199470512357331809338744294294406691540948322892695\
4817919377010918120076255591272605170176 #^7 #2^2 - 
                    8063491744467797997298151006748345907067721805744190974038\
445704208996915408443269075175222117734137675196595076424506560114502085430708\
968721618951088634905024011450140508022246577220572039652524120321187769669685\
272405201355888652784991785523023106319448477675639618842185810153744807168349\
053749222800946470727642679000675684949136572467749455084316838134671317644600\
217056516475750782681482866856360651650027458706552185559596437036851550853758\
232966668437130470252012643104778402816 #^8 #2^2 - 
                    1129863971025484713740486450584348726986070756933918587613\
682172268216725169831140652594052920125965522901483284625892851751473711662367\
714920338929168927709637250253787160624083352212779815340419460692153040671186\
912157336392650403059667759619119008851683272725028166887952246736144496445994\
586959735972240689307840021157225440451773107628198500180792440821500276300900\
045283006802246716925230904261786937368798580552888063371314014629598715009952\
561352487983490324200550318863031860826112 #^9 #2^2 + 
                    9888970767477859059453645040555086392836952160334249236696\
228526152832113775460521566415823106694677680726043817120752739673744168293972\
860370120000578903784915507020990270694810610595090859824367564401272602728674\
701789621510527251494686672638175056411238605331481510158654399375124881195225\
652939063459780873566395751022955502347588908146420249289716260099147250262997\
057755582548167639158041132643098201873597783543126942166977338216413339530807\
9319804792477084150009340243907433766912 #^10 #2^2 + 
                    9448089029584834887561808391150990306354444105771822662862\
733908692144859001352210664055704814671487609381911256400710884408004268170489\
867137238737282428112845397398975748545324628913394044226256497401727732502013\
336138963542786760088729248379852351416060487022155734164203712459360967418610\
702920098953267136308364171370534187845174796762444387622775302408451982262348\
745402436020880819442350597813553330359543304760343585021413922188360969826873\
392007152205739004978116130979109957689344 #^11 #2^2 + 
                    4372032627512254063250310753314722454394740002477422868346\
512420616376527152358272342194146169528805501882699530106177704722134157367411\
590963385896335719141433664071001714052863088884435586391099385482778359522839\
274902693199988816970235710647583484482107206460751393351211108571194847117919\
004944845476231203953281047406169646350099758684784350721622999065330125547744\
528083249198467829032487172931050413852430184999284111649859138097194686361930\
3256138839223884794787916616179259736064 #^12 #2^2 - 
                    5030705068509137447644528571600664469606927317090172526048\
542409314207496683160115970273404118283215016017503858845646967772906867281718\
230346646304741984502350410968113333266132442133386624295198137006469427591582\
350230375024002937874134445458900519562437306719932414005829053509433578148354\
857373817532922063542219459370069139685104122714257765278964640299988878620882\
350953848007440232692558146357789446749208535130334418766578944729448467168595\
4142415301677840286850620719031893034467328 #^13 #2^2 - 
                    5736949516251000408932365894561944458968779974551707142642\
378276824943885258344743807580333883755234161577373109524087106881028555184048\
634657752639978334203934340842063003661996120852768013738950034652979283069985\
512492453575651963229313213739618740633508629960346236043413318058598629312447\
688499141238086975251126217810012007414477252241022554628524216422159646849675\
200911149548330422038515948320336163493716789431492391628360936735216889004962\
763980382501368004567116723421170934415360 #^14 #2^2 + 
                    1772862632349377937044480673131349872433688803799325000349\
826598080698212114632776705972108147039679857311423443647942561046987760597244\
189958471594547211910825512230853021313873421893917527751477090154833674965080\
784274619585297854947834054695738199913348316212287207629558782315765745048224\
423842776653848553447285871497808073528267234883294071048172096157242434479146\
637850514632410905173574887837184393504672357144253655452127148592632415929848\
66353207409156518021969499248023443949355008 #^15 #2^2 + 
                    3359997679637362846673800512707907699023100141145281134696\
648327837500676518133027091854359986400890687604336120238663117845843324326045\
387782358540493788713397860936760670060629991802506268700410448114928023710889\
380044892216534254260474861082405363489690621514704583737259305959924343802575\
917815807276673810121627200723830510809232438596368106501639721089602637163661\
018131913340727835758884343322905032896811043816257121272033218418347338904680\
6984750595349012285579007507525151045189632 #^16 #2^2 - 
                    4207542219353740477198764341378631841282864146603494803070\
732074571326651889139645518029226189911949560180306202305884092000862359592743\
676782216737053733248314251726982676071414012523868054826058378507588289045648\
430202822951774019615833694053652690440431879388300752046934969096020238217045\
930061228915545980791370681218872162049009956606671053928622380265943276056829\
262506752233409899175742818911482690146269041595165759279225047770518832689545\
58551520724889824441169460485019743930023936 #^17 #2^2 - 
                    7703967661130791265608913018237874446780927097908171255471\
235692294418579508718309719256740712109552271261497791905868248379690806819696\
987639417080356071423105485122869783674177537944999543046909448685421256897008\
160156499714366561153683583323056703615614058111598702149982496276915372629980\
005122989887013097713909962816658380848912531650201068983579361778669064659278\
940394960084197363042804917789449475149815033611716748129985439783014525792695\
3432550200843807317041328392579443719143424 #^18 #2^2 + 
                    6760448975115582069021933431132172644700771123140150107779\
824558445186594501155451574876772220709195546586204257704154253199114096441472\
810760756411744712004673702926079510147035833642861858166334165266137586869127\
171348596462306535278166428606052938023220910529344623663932344269736480491750\
198830351083472351265892672728992851516731299294478946640879731589955833093054\
530476563268195771012443216739850631832920141367094563948765730294123358757289\
72121319995982677406106991591244423982219264 #^19 #2^2 + 
                    1032613080242325971589531863662951803134523639335773928681\
171278595966702033502902947022170819093381363794496106079366820179244654056640\
223947656753542428604544561388348590119304622329165006455257191590755614006183\
651567153590278896458533107556457544033169680852805685282502904953384486765671\
268872509214359152813540669544464992417297882086258667860599222954443336695531\
182874583033068545824660719796976926092079414627780695785414500251640670301346\
8197469253339541323882163736146830086373376 #^20 #2^2 - 
                    7328884010317536179494811014136898032469649435935332544877\
173415769911728148552504485696739102930920888840211532918629693567125604665552\
958439507948265674661849398167718365643533729514579376756558246933590836603930\
853983574038327599272206198530853570968387031236882259316524247896935858635263\
484728235132253582412530713232806842632249633007298696349525913670510581174957\
046437926433417488860681503829099176287743155003935414818128834810104544989900\
37703697282830683391571154923429093435244544 #^21 #2^2 + 
                    3767781553219431086981097077172518299265825489147625665194\
254724368037750934524728407837170443006375593839925648673616390666105725356281\
949263313778589847483951051546068283050532664240233076012598062518449744580389\
726007688981128577566543821584777439471150130800532352799496055114616606874472\
081782952132650930029198300571606210494631007629577369204290049239799110250932\
824430738442898003557771755197165759538496185683068204580777458908569866617633\
88535990224836033440458876995570958407303168 #^22 #2^2 + 
                    5317062468768273695537033485253212601562344728222083585724\
972642040751154932230843202852500033716991953500198006019062714383524311827844\
918092408241469858933122663248822779077975107368702605128052773622161590691169\
904399593277663688364356589796458528320002753450930818883450805822512846717320\
945725072483811019025509737576025830889761412194170872493326600354806896447132\
371509079078770880084369519444415408037526581154455757410935374990193283841414\
76960061398572766482186251461099793351180288 #^23 #2^2 - 
                    1066471538996712195765467386629965478925627920515742210987\
629038499178635772004606350519952990402075463855912395532764150944288250571765\
206394655255687423459069517627143932959775816780703559732477985365178551516376\
652624339044232607035109977589180839917719054662983547686007265663623706552992\
630769136486315398505450195751762446640565867173359333892282198146426472159349\
179924977024725353180792614860877703073614705584264297698092507579687364740345\
727176088336782446818602227016076037692850176 #^24 #2^2 - 
                    2627801468124730622879403695169236740580913436814401332340\
014493907336020721254083120506810777519685914876231580594280768686832520992046\
153137579913195394282225312115055482457758789783490791014074909504523931813004\
477507290265781066577300432085754497665911985889163281865411525013947988461321\
261707616141133176963411483233157724370581655809351993964816865256306799965695\
041477940123057098755141865170690773485293172646572089836843090312515839542825\
57850404701577827775622805595493402109018112 #^25 #2^2 + 
                    1658588682756259451204406402657010342636762908744901302847\
642307635309496376258451155183586353016996145265685790464058886841981731147744\
699277858657058771034084020967937815366529628861367275032455838463986064562054\
410729972347214145792458217696871616794685973257412141065411539049974439330251\
562521056394201674304521493122104895430328705172914741287688558251929716536138\
194773068007205212066163561932163369112732631737524452866735830584127278571993\
215980656805770014551376715576005811813482496 #^26 #2^2 + 
                    1111358145441900466560227264028768669628063647065184002337\
445685471772351778427698895907413897248052497312454204501429405571099737609171\
842813088242928986525482880720344757779402235245576038184527041928732560199322\
223803743951863127385352028845825107316087930462374689855883064789860494952342\
410245477066295442052470968514030201147578539668569244410068881030902323648423\
836989606767430515028445111812977648957003904154959338727120348546843346454220\
98653241986115597911525400567735757878329344 #^27 #2^2 - 
                    1757030872773203504813167052409470316031653174884734373395\
642458445613366540495801007527529405831059670068631671550902734408579597987690\
494605045612917314276126620470675790637153089730291748814764266046182586148151\
342383029154385477651919938334937631258965282598621190892119250961955989313257\
126962566250945629647298951367516416642612627555667040296309582949706871552172\
445799637307755770505079272733216996578232148287052617925245651920947194919823\
155595667152758800226524600457246794017931264 #^28 #2^2 - 
                    7096851414240824993159122723403523499831645420269885102763\
340087613464983801762471511893353283594197899836735799240680302794124072609346\
086863660040289834091998363745161256804477291961975746043329763677918679116073\
556077369397545397744195869291505245425922096914908703434909868188943576082142\
640819327738138772258933576950743660709406852778049364935095388925001940500288\
886014164269421824180204184355000691316020101493643701973439442582811505978190\
7549059523188553545989062455352868605001728 #^29 #2^2 + 
                    1377917842815741514633253660801151610696930305406456001442\
003220859648790125457646523785936244499007041220123789740003324901568530272151\
920913984935203121250864597525567600419053762463112673408833004465283903282005\
151159966714028574182961327377004495374948497159308628786829739427559677985537\
285313278181023060325138101868227503773672690525124917659502422620332144233343\
739959087754580940175275273182406282467789380250560620707733714138735615542368\
762210313408072106879260935912926087913406464 #^30 #2^2 + 
                    5428435827225008157732673671677438521287147313442355310615\
292530125352595162203872979146263430034085009392462827480976318471791838498178\
335298433244549611742452537421037118307958639276527494647452603797954884941982\
115687038526358889062035747339115534243593531265624304797754500231505275773977\
279231207679936117298121981213268286859656484302839578357291631013470687953065\
468795691196941902354534968155419359578614130142903728843835585356530577275021\
3420713919784295740998342705589071843950592 #^31 #2^2 - 
                    8412162991888020607669296827905919305604722852593719899174\
852447111677643353124860630790865640881862763683675232510187021013161897614756\
363352571597932307827841414894601821444865612061731115328436665583530991567877\
736189950877152040376092989593822442471739300713289501199628412230927110398886\
392345238089280330418578340043042518372906064479805473601082273289117853002439\
570446015911568811566343898320800165768611756902449995187763661458795734288497\
03493952591927620798600884522734502639828992 #^32 #2^2 - 
                    
                    2944102598900108918889654872266346051138746795256041403919\
859145000490301917564866429013056547671240888970713247388055281485260301256017\
555131795263552418994943072979398251295902452038476331199100624489151659939021\
425314351931984125047873080842920495636776618237824858820456799028018604432693\
853536329249163208003784211146109344058162394389602694026868413670833535150244\
669768224238456992243978176098712951237670130469568596870107758888710355750065\
8436179014903812452640125181770054615695360 #^33 #2^2 + 
                    4150035070112431580044653405297893436579120109675648687929\
262129449722555538855542595966861397771044938368880294262971437317156761989637\
762295319462703088689852751802883857373103285522804689584875619294498354871839\
261605160324114987858534158202221499956744760163925298434415561471061677367317\
352366917882707186977994133718458514113471913279488661828042923497826315672676\
404834692259707807108308323367850241874180995924149700163771581207987809304076\
61573527410155648854546078073862593106149376 #^34 #2^2 + 
                    1185540038815216540832433883871000584454152378114034878464\
666584749178639772940119927887505170350478107195447807144588510856410375583747\
242473122937652145136522223443971883925151430891504951371862700890632860166552\
250030970955263103577717666293770501908628046719683881176672624593437187928890\
661345235106118753046586690995054579627708929406919895313381666921669890793044\
175541497591345547571297868171278488596855925758094673622012016423186060731530\
1845777928969416575924705188022392270618624 #^35 #2^2 - 
                    1680790888216792421378699158049389751559125583779271977180\
282306212938532456119169398700745943140874223385264112360914022602747750919896\
558590994773521462857778550114481760009262391668131042829544480894215503671304\
874887638478476759842134269497560829797050470221604885978026234179474719128415\
505005771512722967149109621638641144977826727751331120075889970722874302823819\
914549167312963897323776489729411058108732746126732271610603913100853970394632\
81326336404536518792567677215826164163018752 #^36 #2^2 - 
                    5569561358662990246385365796283056248387260705382161859893\
300067688980290695470455759690042488306476103463986880666868370544293727766223\
831479087360894571315478158450110527734494986991678583631028885337732952997881\
033785871225451452322158199864251867920367245445067504800798698913933908328329\
824769306318782861627430081754296176273703267231595716086023551339169575202540\
635911120833368877878933933241417747032079723671968667493509047125928246856204\
775840460393826619239336226796591395110912 #^37 #2^2 + 
                    5477962916936068857842055173154997855127422125090256331665\
349488669242334483005907092338734623678960528286602069159484374451598789041252\
577315849515604211011932626586031845270824511356831832423607713939899997535662\
777263634343287040422427629816450811036848823987380864539381190516080275648200\
341518565023854320218725656523336346605351283537724453043358566703459152013060\
702621078422288450239132881127605778683694797599276580499972878121468375049451\
7797396457965180416019555355888543187599360 #^38 #2^2 + 
                    3007243876739985154029425232918376276551724288206796262028\
028087636648706075219453214399919677336682383155627559965069100626769574086138\
393868570403839142047209990690464416919156103388390396697340476289562541717154\
623520594184004386108947753102509052785018128421281620011022961878521953553181\
842252202133064201985109371880638102106708109489300231512980490408105357203023\
733277800294275771942648418529339166168315741099437673094032749549437927284043\
433889163619783168971762192781403844771840 #^39 #2^2 - 
                    1362108267947677502565329564604560766814017149224054882619\
280389396346755448675732293139620096250493686329917162815580528457746105807520\
479125002273763892503643225025798012423966035305231919508671422023086877271097\
408667898956051887230701831532275480241146798308463892469069146417794661225908\
061905958599199041660902318394489320711099096369769824760699030680055463237609\
832077773022337875623433302598979651154048753513927481246219145415951208435099\
7474469916421886616376923111356041873326080 #^40 #2^2 - 
                    1153252833659802368887321632797990238486378717978307986992\
901387480023794037601219033430179426047664689229954909408998310514980973067548\
763125854318253167568482028066788197191052640924893885420348508526808714296149\
988190194684004142737795196736511882645450979195771724146559836874447843933122\
235871785685084533458964963299939990394343054998041323234588470455026317022162\
563805840471530928642488990076113184294940229500307194009974775742475711857222\
687101187476198905643413748585269737553920 #^41 #2^2 + 
                    2379884512553511209750088438655350101321462536980917457930\
721812756859991623360201191923210474211268272277860430006450053078610204405464\
767377354415279985512420067073951918774417574834382128715030344743492657228837\
224274702955811496548889664315194035528053740525396996983212809524357464959320\
583111253814055000468619011218533008763770096395899099562160348871028905063410\
728751993661118048605464805745556008704722449968924230694289274428234462210150\
330656583862185706060729099884193172684800 #^42 #2^2 + 
                    1855045050425308870034641488716545460326613534642189259249\
268527054929148602319053502065254130806489382406341486984810017059962480071338\
178281772680465319915116050785366399138960542813815281595785533815153883257010\
620625836957141581894350467086736827717772138729410023953647350408479773748064\
707735699591979716623089775600435096948095129880235683865907674483615270454020\
648349633282997137640300508993043616480277107062055089208814068142968703669601\
34722391524630314810615685751224800378880 #^43 #2^2 - 
                    3358031177985924167813380434274488083846068203030922622770\
636579272541630779357801734124935550054901539526839556426186299050885740507829\
358071252344967978151603886475498352272423750145693739137977413123013373000411\
533084157986751359020140232670799464296564626525445897820652179458421162590901\
542185282131500734712724592338891946639354683016516345933244930038178717350606\
902095322630157935944738960827896442006688575073140915864214200062557343354398\
92136498918225910159337778528362157834240 #^44 #2^2 - 
                    3958087494223673330706008917498024642458767009072527716064\
921962858329782097711733407376478100100799160729437375651724013479383593989465\
754261335749516877139426643515203781572572116283836668240020566198629366704832\
980059120559725191249657490877803077258612278737764766135573961176894392515776\
003734956992643086642446157347230796092787544058358915384283026411301218376929\
391760845166925260540960026961795167328259237518635326616615493681959506348102\
3862958923007855486187938747017351659520 #^45 #2^2 + 
                    2513086681859015473470157744237367804118873539253202624840\
997478212427112877064870775685090560400955982232060761178677377997976897615962\
269891441875482243715588049575426638300740761993282552583204304953056113119628\
232612087704722891926973971853976509246217819309209334465238059534904073480607\
074911947240542218352398334145525600934069235031323807868420637197773427844722\
324322219755823382569597029470386405809554934784940440378640954802478898775997\
9852680551439469209892319264299915673600 #^46 #2^2 + 
                    1006271971471542385468943914707470814067305216445455435784\
327902776731580455300960885927398409414200024412766622473633611993071913979195\
675750507573814234742199269680722643663414545410488503773293721419811908945447\
306005995626955029708436720538803785346042173147904243898807303119119732446113\
004103386784908168435322214790221642961692644708392398439172265444944193506092\
455327111803447837747359731337380795613899832622285069874296883136615173871018\
140266225060989790023513115599673753600 #^47 #2^2 - 
                    2964467582927942924654307984113242166182294232286427033269\
089271591528033868558973812535011791660911264458227656436057887640064600716260\
780076408690366131565622586448003344008193518760872028211778859338825874727294\
466427384581346568395166074833852919280756014395289122337161685998628565306036\
723576585453896883072877495367127206466118948305154370749660940182002003196818\
369163698498983554721577476817945450159428759815995165099692173885499155634975\
083821122061906736393510095812768563200 #^48 #2^2 - 
                    6775349871184339250442488250062390745846848008498970802673\
418571487758594470675004458490750409541648782564915317346700615959742225701605\
975060753719143335173139323947735194234892465825390873977755729221047612032921\
080935978111848003088032170776791766713658437740558871736693069073056500773194\
871697454815313756523703650141671635628932229031029817645196771842012670873921\
347583995967482057358665081017047495000275745960804376935582122823366531232830\
19204495669420966666778266595177267200 #^49 #2^2 + 
                    1649077466989212540712330397732798643219627936759085523716\
952850025718907478870484758262101349732299787540888848046812255360521249992821\
861167196681131537150552566783309887480269412762959989377655170375837852741508\
596969492698311293855669912235892597646452941318114380664834581924175787447718\
221340440562969912976794255207113082256737800078957379064791803564556820681825\
446925267593686284540997476976049583906860000098510073923780128377332539517488\
38552640848424045602983615769735440 #2^4 + 
                    2594819434087734305644992533432380114755506242596546122126\
356276473861734424268376541200254119399800699730211755262603524546530539491501\
211416193540793076000145212843325251488784728483557249789791353971689882496752\
946157414722357761169219674308177225670870808586782541980707352496267012889642\
935456371188291396394025764694735805966197016448465154950665241767973305512913\
113353793497360097730689250143399635583177113929092355285904181643336437750459\
524908682209114877338642394017203712 # #2^4 - 
                    1931545449922230177462419664807171240409875431317077783749\
714732707173888821413964743537764048289056839310531089074903903880813526610217\
557451691731953695416337502992225441283812274045472408434282641019803057625155\
782688410462727093087529900811780796555564768165152853601738508876005364262132\
393242988172994342142341102532711387112475065073628750453065983989820871422149\
223254153930231577948304384973485821622337585559408775879393334090027184973359\
9453094241781141065282520732848551552 #^2 #2^4 - 
                    3837264908025433078393541044420348098049923909499819665977\
406337759988546473944296177905491150074650072885067826974203358705562567492238\
809364209673865839261900805911080482573165117834262663626724322742959211538198\
124252662508370130086526249469259590808278475920406911106882087645044600252144\
950454474184080135537578324064281470613557788517765184903652163065736960422305\
665051056870316174190635079950342849677755398326498286397101590965987330445694\
87653468145037193213241959500933672576 #^3 #2^4 + 
                    5119235904291637873767439890386447125335544721232293910487\
449012528944952595876796324028652336920536300654381557465129151132129554448589\
995816972356827680030536308003248516166503740644086295294792812610171730262310\
591827750286130892707859228899262840246623847113059473276886205909991840480778\
009809622462970272723808262414085240417547062207883980182532369681634721643161\
322114376850310794726568827993131892323310687246659799813316879335794835164868\
07630471981489099236563582304165639424 #^4 #2^4 + 
                    2103880979927740280600149229796385020415392131512115995233\
610396883800342880085690304184728650130897238428220638384189718544185286223060\
977539677945022204162689182535404186403106557557347829636718143560690640412266\
776288422190514749543010923667920581788348974940419833225111002858817503004183\
142415338176451160672062996189151841777512600338437721426353616699979502338558\
436931294596690520911998845777409854747266541230254625104111786209601408018021\
5877415410101945286263059966312274869248 #^5 #2^4 - 
                    2439837703641195036288608521289125140569626840251650216999\
162098545599949402085931836515233944521434975285554923718243802952540738168436\
912292922758677200145889757807008143624011801624463026643512340582791879215218\
467617739260378574405654118434668232467780288043938235113146281720854232743840\
317477126233707812083891923224141217303821820518660172330281259832430318541687\
371674523910927041593877010663007332050131309800750005875283497556443400739813\
743441548236995243678309407662359651328 #^6 #2^4 - 
                    5809628773855179339753341946996639639006210039262308561720\
254406173125674415251108168273114119215987045970867421562119576440433017537089\
415266641942868655329060241123679173027374953834103205096138870901616560768068\
108952501844853718325151092845332594731150327329951584519917523092283869144502\
432200632993330201790787000612009443471496239808377106132362216798857646811192\
627607889527237166058749087712322500987133815308967497378107369097465194503345\
28811161469226740840395409676114684102656 #^7 #2^4 + 
                    7246186704035776886849128378330325051172119788414984872996\
502182393850151682916688491101961367915011115840753014783978434227055847522482\
648948546431174165759079786720980097686029124772678356607441905206579583577519\
242863434493432532730392663778351074853155135110474619526688484053420331194368\
114759103950966359824048172848304589227956131748767209709791141886639753994038\
481622579643511110873805689100166653689570139727031737016074156018572433698369\
6982450090447723389415643308428910116864 #^8 #2^4 + 
                    8251381024140707477263751604791819280833151778964180537426\
256561558957930731939419784729043916298346590639733994607617258984577365402629\
537647065837794840769007214977043873253054410335163583734698049521615520809220\
467981937061862640479231050026961944032239284808187823423277547788636792002639\
915695663208919299909130758346664003439224849686324260675224885215843625564986\
280453408376703017881745014115848599829868837887701663060129224605550783105535\
459949486285374760063319546034303942475776 #^9 #2^4 - 
                    8524425684132199453425426684156068669502860376519011924346\
742465714202246989653873234913305397287346452674663258244515203104892148893890\
257600859231043474847378441911096578851340775900235642211279499092532931226577\
467447841761553871461860841528703389882882141291746407633145647393081821595576\
316280573389812938375845035216565589591409501830609974656702187592868055576329\
625632713883072507863830876821678841020512969666774832264898232861785880304543\
98224481839712904052250524854942628528128 #^10 #2^4 - 
                    6899616270798289398216028555314914090151151017888133996653\
333111091685631820257766168556717734813379400442195462826543969925213640420879\
634658069453667826645031001883924947836192366641860374275385026319983417443059\
067727166251165081519065541375395132168465589058340918361312931144258366234684\
884155693956085893629910950656561301400643531428978480933544715816090932938592\
275476332519756057274319014153072024889904420459213134572916655347066244453778\
1097276548160325017587678895586489086771200 #^11 #2^4 + 
                    4534220919203535006068464438008947272104835545427172145749\
911820716953666473167940000554087692110070854878707063317408090824028553295688\
174737667592521985983397597659036340405727571188272831854927152791689142812778\
993283408774620988039035108936698499516243345442029774057188340439459380993038\
195528043604015915746990574537818273535394639498782716242863700124186323355965\
004012537983377809325962432560717761301235993630569622814055053784818720019783\
28889906367181897070778112414397545447424 #^12 #2^4 + 
                    3674261638774404032410712019634024213657669752297875079941\
502916368969166759514607075242896609203974458837980444715634694994618694715886\
513476173691308453211462518656699967117187279012452541265017642342970348094920\
174695693115584267258340961710793964921539074445791944172429249956530220684758\
007094475380820541382866396168120866558224700047238015763146137206570031433664\
505966906602683473541955538549498581001058174695627017540064318901601614633909\
86776160693476159852580165976440040080932864 #^13 #2^4 + 
                    3891937344043962932234706733635082959898052733495670814334\
341135308135368539918104215018838406485766188628412199692917360600295485146488\
961551310916303789770568438251048912458940860153093370712228498945332550990153\
524637843564118994905942564652327767600979099812059121754554885010246384049458\
253656864013304699022914377726408548014648358336255857726910939455430207533792\
956640971316562257084524180074551671893992182019024551410921940053763828762946\
0264516626939500830613095040872853532835840 #^14 #2^4 - 
                    1295032213574533310673861771524703838446413376796846593682\
303214422308200640760503070500912972358998219301589746268549349604661851378498\
672875956032862769808106330033041786646522175022033509441513997396814189607136\
366418163401964269597726257621804453517657403076210159382660561992937464800848\
620631409133401802842721786082369026125740112617238696660629459427589916004457\
155557978237763641924532864307687081237493719431735921959533595402474273840621\
495775949094828734265336260865758349492224000 #^15 #2^4 - 
                    2377507695054194218056782422829093692925614836110009986799\
846474036467398013882692237153996087635318141910205293616355948475576056545845\
400942232381150756553683422436714820338434194005751310986931909116430614167635\
194155049096964135837873716440603025013184445971030327082825663084761757930252\
923933368638296346078559227098035251344418190930134612902406544447686571504825\
314102787187719326398715454813100603551198858169824890362307780842140757787434\
01616921336738431629605634704944963046604800 #^16 #2^4 + 
                    3073485479912328161191474790358585197822117137858338202901\
572200405049210837815137236952270518439949443314844107093528191957694744824184\
791645680383822481241005276923285164125059615561617687673056950220195173023280\
499034879750843043106508643635599375215989909265115866528199925327276770949606\
332052290212793402408288620243332326502983570735988983424342203372626447125028\
046434424991332936926125718797887915014523053893428158565961749226555006829659\
950309209966575330429972465051080528293265408 #^17 #2^4 + 
                    5495077100253286299331379723185415152622132335674348448824\
710827898375664524810955460512699519645107782452016037815526508302077905667073\
947620653364350494784756996769438116381532647108541128311753952756955065632990\
453588304223815817861793202839202241389107669851529932810002487701497686831885\
846015450342854113806045598282457719475498719518588231424455893525510674093534\
271642184188470070843413496114260398544245201916252822111399039933142423076411\
46614699339666435314160825162274399741542400 #^18 #2^4 - 
                    4936342302218535522470795412314739785040309598712444590596\
745252469668857113962946792421224447917500149907861152944293170077740808946402\
469960044935641890959084699373208437859816063764275987650102880527563523735249\
933496515216479172732624648047884346909162436403777673920173615878222371549402\
863664687341461528997501148336130698572669122611533576544793396918646439194288\
318354717546777649035160892388580495586402586107836247641311397652593720000475\
726292420997974647139452724062743917638975488 #^19 #2^4 - 
                    6043754690471753498309293913765028194745996069262576580476\
943741819083419456091882786076251762798662871020084575436246985610137882153463\
729306086974870986335541971527650136379471451325848667553265025142616860252651\
227480843011513560715280018999593367919589998692862883929009104711087359984612\
561739972246280397704855069493185111425914282988173483443313263461300915128798\
836869433861685205762049311068236557989590977203165413824216823709400229939619\
3038898421060686932079975760734642403016704 #^20 #2^4 + 
                    5344213277413127632378455243964642267415705967509067627039\
582648478314016647077469835737205051799692080667271884150406453186269706995704\
065253845720318370395840495545952774326056423507430141865388564667898862530091\
085568845549803725068884618820997489577679430041029917501132331804071049859883\
445218372037720884710215440562839077453293956042338684859370464102821918793276\
320790056776878395321250979785885742005773722953508577027466802644354747371681\
406150821307717680536308952677255764173127680 #^21 #2^4 - 
                    2762340543126657531402734855108702590303329912171157763154\
497057515840893518751256890635272547488757026346686152289548103531862697303952\
632710945668843791690929539074343589903981869983532066980368365672714084792467\
760038828479983268882677828355165010948824497503046927628423987873873624807686\
344527530823844985199731820160782540984779988922479261727771427936489131194639\
366928162777304390529491923003402813432383308543570397919960229124919970723934\
309140899728675828191688195200774134011265024 #^22 #2^4 - 
                    3861926829376333906870818186376904762205436381347046374952\
029176484629038540731555681602177017334824942720673162783897928248645233074737\
143724212171068163181473078493286768995638931608666832951606143815723479176616\
480410239815683270795803665590395668821422636752008493738188195148079526733775\
393488551020863462425124205713926270210380598457086131484627191621352407139600\
914011677927168776417213221930425282162317566985679686308879387655084768611682\
615469323998871762096291641390038833757683712 #^23 #2^4 + 
                    7791916832360344805282320748643506107546583565624635920738\
776500455582299144796801743354961359780553353326062259213553189643394766916252\
451020563142343397378228824301782945829661896053307254318506514415601318741177\
993278886442660407670560695622339853179563446621447672134429587093504879289347\
594738237908486568030664124950574144670788839486849128043165151978895368119272\
775922770906410558326837088921835383648736434203293956454354118511017621944461\
686087961344626518114224307869355962850607104 #^24 #2^4 + 
                    1886265236172094453795105853423413874304539776085578464778\
569238130464264129013310806674250732561308872985405742138971588122752568862993\
475523550389120446342527908191458767217116642460840961433566918646708198907519\
620824664962637396216784931670179970626278163718162079008910592538775456735290\
296156766093231657333396665753136226790104274844812176094949951704820842515711\
761083243092441824548696664477532838527543610427079092339151878614696487792421\
769319289698631616030173583343129317525684224 #^25 #2^4 - 
                    1211079047734095168223690519299821494155597512171132293254\
650707984999181540681170042650107709367976978928946817525402915066616595646400\
077420515719692796836146952980255950486298848683092291874492871877352953794391\
047197221783793850536317147929908560759860130562066341879845030500540659993336\
891700235038708750664764208522772721032378031805008066028758272285790494956786\
072956938883573693035497426757373195597153806943431393061786721819163345857771\
4251485059487341466049957402408273945554845696 #^26 #2^4 - 
                    7763164836078704646500292136130083793446524570145252042473\
879791307072628719922807541316878065866938941529702367474825109628907147693018\
160691576053226480569153536978985095151063893630557246155893266713453019798028\
699399163825533833614083849071354577145876315311382276913892802860581960409234\
685883234324381944400741889772503278963531740959576055910907156691560712016476\
858671933324080452238771937073328600636274419305506666205008321308523170788363\
72459409757899321267815374158108024585060352 #^27 #2^4 + 
                    
                    1282792432925225254909466184251200352091028884324316408980\
100922084211965454228579914003631613637032201109810997241070286350778830185864\
064022079709226779092840651787876946330443294372896100497274633263371695392810\
680952227656006025271090610109014031229854064922764407344261728540957421092112\
561601577029863359322965867111450062250050609983256163190876742664329203145918\
269138449150402416349482172262876067461163507241095401351803838494124729265303\
7528040896252544547219012774970081456957685760 #^28 #2^4 + 
                    4900434491086179202079710059171107348744534072423243251968\
156035097020046181193809214641218244893702321395596231418880873477193407040038\
228315329246446294726312862281460051988376295022472103863309466768843818099835\
176694801466545753829163971785217873892879118388895063025299392173791905900027\
698072009388837526398502365151094215313168397555259469105839953028278553179207\
542157821923178826126597048849674628560249397795292016526028258953148310609349\
81377595858832724666587958922095132216918016 #^29 #2^4 - 
                    1005967498309126651071915486561399784078037728338891537681\
119186362780123456169907255573394856156108525928075824369464784412425741895485\
086694734906825303593098983367211845535587752415325436123398783721603489916356\
839125644610369852520335998786810326368771562378118023805771405100040312377189\
930913941404736088295453047729679661312172667452415394368127699940614863985289\
085251210717769377881965974078003269919310401976122624758715935459129143653755\
1845699289463910264767136376122593045771190272 #^30 #2^4 - 
                    3788757825377243213781376338347710955493989063295184587524\
210400304145352198666948314987422834852984065335984514027262153273445481557597\
257845162370422030096987789806408428887192776087518922689606712841332746765243\
986106671468372976031876940228803111948181744596493160930013019798066741380143\
857531530413445320673151685818742870011023518964749906513805576892051190484230\
865341740012176285031036389238899902460118284724130891026028327862814791811521\
09910322723060119550119569821473044607008768 #^31 #2^4 + 
                    6141180607925884902975618206896806792954554607617018835106\
153728178775631160608339287287961516363066153896525799952421791863460263508926\
518303183448485181004373536610063469117450005205139386957374159555307936019949\
987478005435830827997931797494258586157400642344844941151220361587476347619055\
698415844467473904394971262821342920358694439763287957231333621291950479210741\
673688111743892874712004827783218124775191287115889488420102586687550006546869\
963615448367991190083611974169753684612743168 #^32 #2^4 + 
                    2062215293218812744345063032832786927978357516965483732324\
917295235374920115078443005230416941317041296347266165497124988972234040394947\
832003281137772057035031108154658369880857826947131254280858365059176316631644\
167614902912929127206822898701607261854415471264225714754500285838002035311710\
613770558434992326638810305643228008412545011022141546045198400261589153060849\
229974329218067585894230570071096574357506252882294723164063455107883770400478\
60909663373691303093312519494794292011991040 #^33 #2^4 - 
                    3029550545713729783103366744153155082754796922899089236744\
053053957060324482389540163477227548453966005544234471463625194758024088860366\
538204717629171444910227376919332054519054375830547003084258400233006692355902\
085891729564500730351913301228708576354593426361228969993551487100427961942000\
377788639477820300713289720679899931400911714717585188837794962045679865361657\
936784081625318400461122955988015056440029645016893815318117436067986398620516\
436061279867612123443283348606266877327441920 #^34 #2^4 - 
                    8298390145693878964868742038722660090516863231950006885337\
971028176642892749992728295644969687830877692151807560412537423003225780100584\
559731441612274725889273892807346755456512516338030970205908900099621519766629\
754463415805405759221475938800004525109709118395826672151627629711175445680547\
119441567887905278244679996998830133175803047637970928384033105854303302981431\
162332716822101567808863119704140944454205553355761852886848930850360972999753\
2479319963899557366227085362319280574562304 #^35 #2^4 + 
                    1226976666797232864151592244638948945051721526093039019130\
519913985808646797486561214499371876513441723190726676509781746999942358682796\
488574465335577634743609520639539252006881650160005696840073008086976458065561\
442280602790799969447686281288411528694945919600800515137999493286116922257267\
953305216737602531110794562968187906616417717750076423691806517701906744529512\
761477433297204087895420569954949287629942047466138701118449132786149837403033\
724885609041561907974327496836546686818975744 #^36 #2^4 + 
                    3948471861529112183166386258440504054899468319095675660983\
843544227317063898419707862190739347594801270902862125806267170706712623210244\
663616335426610466854227711219973918541800558315491662202455111896870982451835\
759911348842411597833215138874056117909376017991948675258113551889756832469776\
962612346665200179651190793481099241798231925466191739021614583336481411387591\
307433410776398063681211264409877511152242716430121873755639194285677027163173\
3660342519195741994606644984105369048449024 #^37 #2^4 - 
                    3999081560937207772388383697962269957941235374489795755348\
585325801869290082000186604289491664686871903195143788770202097215010962059042\
620035486232921514731793507639763174146303235207419275193008958682772239550766\
086417276225881457188688304642818372703027566568344050072825425031083280663798\
631837992038705635138135829364787998914298946841625399742660191725987837024993\
602163074820286266890254380080286836747990622595605262502670712274986645359202\
01174208733585868112864084551790831253585920 #^38 #2^4 - 
                    2165670284890024111315515196617671167398905259293926471060\
571277911597303725859812162775884990020297848831810377947078667131555279641664\
262250085168696734406261762778100068837786255076184663250639589712223400783965\
656150230451006090889810343514031765110774744701939756413524190480366124813969\
122026025597194921989427503830812547295851840010806785929134922271989272315319\
298255174393030249162313678818396667229969216979862936994151731325107815079615\
7769965087777296660364905016440220517662720 #^39 #2^4 + 
                    9944515218451956427460056050207001859533079048669432262714\
919962671500963747246517300654604742580241978087404068403995061610901718042066\
342913527687351966515115278992347646109788489969464573467543285593654895147173\
809213539633833692504020295381721849671339367863509752845937720978511766517757\
230522708998778640222865890294295226374822396876803059465016401241254728687735\
779671266150062179222357394019896763445909015706585872567270376301615830034386\
6459224865045645028777136980099257556008960 #^40 #2^4 + 
                    8365793463362061212093933362512019300698712871289338828847\
752745951825662004529750569615420626700347410274476528063450019102618270781010\
907203711466805891895811166437341529912809004733626976703037634461692533990845\
300130060424045551554562871516558056155956635561312832263630443828468050364283\
002647727939114497693708076091041219103059190919183636458888903350092900668726\
401785450573898077421452355881057270779280973307154229946293448247139298313350\
735191020291975384690004469127490190704640 #^41 #2^4 - 
                    1737456854542484805567703363756855887131854831769165299340\
683299562721641871750841767773581708091596957414662477888650370220043982471896\
471210560302648255741317807107537974661779530362776075377033957630992761296062\
327038515033272766840951254955001551325677111765901854532641280288947285477456\
444179357844912798213982338371506089942904293772603466423611465518941007995575\
330999221417093600540644872458650979664092814022288883735508144074054746709617\
1112437531511768887190484415794373921341440 #^42 #2^4 - 
                    1346640169358971181963564516899631667226455178087871059268\
065510390596388263043281197639940900538662273087527173620034174379195289233942\
089555674771018442314168478464975919097236875076158772652913396391121195087747\
552967605500211794306112632853697178422100556320651713382418141546781747025464\
883087504795910861473232612275508296228103843731464798158204673325060181277443\
846495658443094023013969096941997790330750886106999574199114329251235280391517\
894951196644847001487981473642477172817920 #^43 #2^4 + 
                    2451819788697749047920335042172726166812963916731311430302\
048887530597257289709170953646467166699788330844210059470623256373739972870368\
352336179149484552056714635130415592683751649796506705075202254442096980441457\
596660511179426430630054728017989626945867804389195262355709839567099379329283\
360541191170670737688316615745167533427669225191294191783050370443419303877093\
800351283975526112396831605433898690788457881287113056964061613154836731112919\
078138925952789642199905581697246880071680 #^44 #2^4 + 
                    2883373091536192078909365247256652292594082682521435847126\
350349237176532439725083457795817875132415452802664387178671974548143204988626\
078769623522634334246964285204848353601848131978957962252639168654039141183235\
951713083138796552421144934214588391073479200168488314132947971688604376446540\
786800621934449687522048540923572838618787540254309036397179387198924629031192\
111017191778255115535571287342705784159124934281329317158752778356696971477605\
87867065435753119974735073931696107683840 #^45 #2^4 - 
                    1834469249087839208716588750272933714805320983652220053855\
878257819972744007563310556698444536663162181642906349288386365872902107120943\
080071877625475420614875979545293204909947677651996044016461772428161085967287\
930489084542079372102880423282690823241516720289542700088247142452961903665110\
963739001285920325517104423746683035782483586805551441588113937059856452389195\
386313995961171870776735172138606572567118605609154142735944383581697471907751\
45877263427013779337347635075178561536000 #^46 #2^4 - 
                    7280197291636947476388824290653006851021740063809019452026\
848559521100853948277207666187391814454760302648266467161688792477806426179138\
481050434040684912547635216551228015548399147025939693202725462742963916419792\
329313009297529959549844871188868634256498028132557735735655198362007392917845\
365550704362686135148013111907418193371305127723364946175063951664617390117765\
049324287943514920845462106994246181979521899611544667692459576469239771282984\
650456557029825250605866206679059660800 #^47 #2^4 + 
                    2165142471793849744552967923431359598093598670295229214291\
060793471171445608913939940416545391452898567947654669741537750244956486695178\
003926841861116857457233290903898285101985574667123328536000162655129286491087\
289124123772061295986703009194716270404657849832338719546401578537451179374411\
277868403801055463549451991190599422843542768976451294800372576989237631733077\
676656889406675076283913361344443927909005848660832366490767946793218212123589\
1599635644520459514917735283430942310400 #^48 #2^4 + 
                    4945033609332452899139840638870384869864686755250544459702\
454285469280253285462846111226584454560072828795995033182491311916873649280958\
459185932350536746776444780958366805579287627602872949994496684309703114817180\
609738357656980485345865653562484566997156818666944798686575068762667393499905\
474893790604006596095399564389259317033891754130537931675606750774320592997928\
976840800086443877626691005428384231039599813779201589236719715827371419206819\
340946491009221044054666001489749606400 #^49 #2^4 - 
                    1432099608867840605053143804209020789601265176683664138143\
544217512659235492555014715335449436394127224543043458626343186468810149715143\
978475917517709053932811757427207298629329300015110041335461210555444112894116\
899785227295975984519788275617689968620338665554015362417858392169089213272198\
663120087729832277671778141939177836028449845199505261006507556900110357859328\
568950062844713520936425855114235821218058541971357376205930882171798638371608\
82740104403375311044583973043388480 #2^6 - 
                    2250739210616920921127685513374885961702384481157842489284\
755471128025394646442712316946408929051989568302556003559903227558501091083582\
076852380310236373597278823015066535107156231661872712588211781146537725202069\
944909930793538095313353422254909746667559006168279113309972789756438367315116\
681378663838861773643178984776210590545202834598452026924409782434265152131233\
720312986899128428133193685373362288751761905545606396242431991930909991957871\
384064134947011359986567816900987264 # #2^6 + 
                    1679276693727811644992247320974506821704798697191004675577\
720712457955493963070618926639352235533075328193562734111408640505926544607179\
327731048834545139797746446087058133693180474929123741725629200724101061396720\
345032932504322732571611351852345130332420804857481187112865267507106611533325\
320530784232551510137246197575371417923152267887533749579636467867020764356140\
041944562348647311796069453564775809477824038428246453840943287306746624388217\
5098596661613739959581003815460691712 #^2 #2^6 + 
                    3330016157850648833767832026799255429135119123837779824746\
420396222507097205185054785294863292314415257632451599033972380499075329057356\
961191521781627429001111117250365491901690823694739643197817854380687223639553\
131229651193986877379028754752512674203785336253269102718723293482782622586519\
889897622417172023600844338079757701637333976326267375539511081106322494053794\
853962224158661366624418965097864241779056390483868667440700908382278635798873\
38313892896055959852410168561324718080 #^3 #2^6 - 
                    4464772011175625132171489442065657001513540814384237609901\
688367738937305465560289894862993867905709459794742107190924900145841233344004\
856344944266214350410728772450149261586480794518446795795131785972067955819166\
875865265961598579708127560234014943249248150474691835178450620377587976515492\
523810959956791711624657911554735665386587736472201101164585806055943310172713\
999914494716063503122948447642228430313053296367297402629881261560248766346996\
28226096978971795697956714844449554432 #^4 #2^6 - 
                    1826111693915129686201972795293694160686140783410612322707\
330083512232806334496700781612122433269460813298593211136564203826099715975128\
103573523113644821334912529656650063709794501050458928981028531763744698494896\
989816897955120868749835067089545578182093571521085967231296090000749779285124\
689085786204529644894192874189583996075862275222269340508380720642130686219098\
919997820018719220000992233395032042429901855085143670597439473753279376609238\
4075775330988139301569621078816857559040 #^5 #2^6 + 
                    2199469019421735805746486151120687499908135234495795548663\
068514298379309254622394207164402129145957801709514323780148819673390764044044\
415879952399623524042506899498839124204216674008391672220150794876575548329582\
025108619624947992821590807889827283762172126919690662961358814989216324419268\
656105236569327634975558884668988324575539534798257208280743562494863046159602\
851437978866627363537814996312755552156486897617113026870152678909810724958118\
683960471540232282244902529924287590400 #^6 #2^6 + 
                    5042333654454673697764139235091919455298577154628484251655\
269259394467915590528731044594629948300811182647778372138902623543288660393812\
265921960387675475529701007911647178134911257261499671344530792739901661115199\
041693180474306965942349982704632518146145988290941506384805160876068324969609\
191227075359901246077670809670376045545487007984954445663736174914014987655640\
202839329772629814044552385024242910493827227598689121863716747079995923373173\
76896008198702034552818247812199995686912 #^7 #2^6 - 
                    6430083324438750379868663483493791807304111666065247584137\
367842517142729897882382704087735407516288036751881354835546411178136116498616\
126897231770685923951082939652814756219602107490240902775210145597776447183913\
174244354178915331607376467243525758267783558946346607233316465258582323292601\
896729704073254406249204720022922042280247694577386069919627778668467299071792\
388958489548255957764711403386108309160952395814646602600824666469178719985597\
4744703131156165421290394526601618718720 #^8 #2^6 - 
                    7161381759201148888943000695574244613577384255461980988192\
345779867384294816582469346122062617182507655494024036456843412259441757788422\
587081930778239308576950313662948241707215213449882086873143364840845092795510\
022906321086491050939841351160054383852221981765775391897870927091369309996052\
702261539297298651305915218840052157773903314803596772327659194778789554850915\
879965162898792295186350302413147533036603635773782232263115366291157010498186\
041225268049089522187817335767902549966848 #^9 #2^6 + 
                    7534023845610934360071408833422962526002900218663631944248\
293795552467532373704223047075942740281750126146961307483743585095956768818271\
412905843160815419153527574561753518420687984165383915707617057525014126666811\
165353723172681941859981913949841644355587622332292252693079685623453925678132\
017934530177975181796090114582835310111265119401330499201209138233994413146069\
804181313915240974521903126122679438856546648047403152392068225769707497592840\
20933362853154669247537873251254171009024 #^10 #2^6 + 
                    5988206952121912272471019919773798866218371625632749177655\
885042582057171914923925716065666026173490335029465439129871296305206061034775\
027852573032392050495062870040512477439223651009871872313559544896832417121027\
356926145015843044936440704481913855714092874209952972049422575085868099377641\
980912994760824947076837153057005035654977142765053941558453567777559214036419\
884990378297848272462372553628712175444052782917938311353090387628788956595289\
5660351954516685007352922575380923759067136 #^11 #2^6 - 
                    4741667725865662415247427551248338446808259507050704360138\
276892454844560235919977788804342202321388001230940445715025987252180919268502\
055584600405094430832242513820208511427966770434405668276648930528098683106541\
401891517541754239981929045994027392091989502015373289263445830215778647497211\
579440810451210284495895381135881682146510581418951199398998158049945755936418\
331694077492142651008235243580563107984884643501428466159648024865195479707475\
05874475688917326066635639966964944207872 #^12 #2^6 - 
                    3188973309508418168974718923846082036989037790382932288609\
238209974025563406977344700373312992536603800904773217509445651937519248865237\
339890420017977066881863045102229821641719181684028490028514458018392448731857\
765238364839337521360689285141011515018398816804463677965576304196418136794138\
638863532208857994132563395822318974481748146669997916881051694599057367812929\
784907502289867248989043695231310433967891669713495460529152535756059992585133\
12694351770258983311979563222274578774491136 #^13 #2^6 - 
                    3346708123102715427665908323690595718330167385276608982619\
974960546354434250864731932319102030897683912310423872802634562826062355146359\
506800856506739452791708243072839387449786598613861397153164358585697333096422\
807935874131741655347928752515427152038284777353199675670146390444514847387054\
193268031151692053775663772711917031871749025845024109524047671734198095586934\
675420322899211815917650178587552655637843442748878048223897281105932122740370\
5481052272249620667427852120486295581491200 #^14 #2^6 + 
                    1124008834465926830876486396866236565836975909304040592553\
563976821256916335231032308663629486894080430812141949270768545550560268160213\
396498389962721347467789014740582006144678688437377743986570694359561267468430\
700736128376645843076583378300178969077772385102785156544305860527069923597304\
451217749146384782529072491083989313987686152496088336384962237089122266284046\
988739807077924734476538429140243923721049726396889599321271032557192486355104\
934728880238620302879618029259832564092239872 #^15 #2^6 + 
                    2055462609291383536677090769079085950313838850994986723646\
223880847548096771014117219209099457401413474194687197294382543245568190804921\
572659301289960743602481249132479663506672122227442493668714999818065605393057\
824750771252566807987011898080453990674587308903923622606167027483131532233355\
313175346107283959341001258067422335049231469118543647936086989618165756012938\
292965249834490979610379458783695932503858048645905179108004918738862317382786\
28907998436816881811428060157477734624264192 #^16 #2^6 - 
                    2667596139976048157427907869712353570489175129215934029316\
364773036192267776569016192799917335466195675950495968551419165762257466034832\
977773932960010857168425433979523031976398480592694660636465920464656462246445\
948951067894733457579378070905652352920363395917661993240691022377179312309800\
450143411280910550923132697815796103976094653109845865029261784976220103974138\
659785231700497906276267819616836668377790291187464106034500929840122235027012\
717306087172564734112447779752998217118121984 #^17 #2^6 - 
                    4755432382945836412574724096857234270580533621143180332703\
255951384208408025145521131693818115876387891717183856015195205788500100129791\
391543846191366181668459668962769335913908973135389208162602909024565452836136\
022627729369064078509895254632807463733224318176658061789446176234088373556364\
414509887782807095802442423664966655168846624593359686247569464182065053170774\
650501845490733002903615720256592936666949331390940416837465266967940993401461\
24258481364221786296609058803625203677003776 #^18 #2^6 + 
                    4284233340788479402307121508182985012363746349984173232741\
951376614429537047595011681288912733580602876789154216769996213726490607662935\
533678778391516919259609245776622719034187284693599559420954379702835589276643\
392454324772099511756259683313673632958856289654865635665455720066527246770337\
921178462787461671926519741373679135195744549170379927047292298685711603887027\
547854306122087620744822465166934593071075117875987085357055908607932398651298\
278537784969142555813221142172789603934666752 #^19 #2^6 + 
                    5086755041822823499464220221022999875078058019541943229274\
844271986530034407069395706202239758223903676433545678626485782208970948655621\
660140361901157092308453690426602569621750403111417479434417654168325987444505\
996479324336823914385482489680285904272431158620611650516754592153132856891827\
872573486681756379763393086550595284543668561890647398676268445749699431328727\
242949293127388392824316345575731674435769666022435481706544257753070812612984\
0211357984385684093690428877410342258343936 #^20 #2^6 - 
                    4637463267117404520841554652930691169765826877724487783459\
096653891465090198341247489267841898197891461194871139256687042835355124486593\
787919213525533589459884165900495447633725459853722910418396906710176065090428\
650378320134719097695513570866801139299820172381079514580187276024557540523007\
402201327168068574142933321477813882313572101602700907964147178528685909607972\
641662039292692572203502474350511332739836578458607017176673127529069865930364\
501904919378083231681748927744123584454328320 #^21 #2^6 + 
                    2398618958555635248784322586673561777476485596243205083559\
545507462525181145539781225086904840225919141479065962221924327293656344606182\
448748598983035536288056399765873715551820916511402498702451570320956072464310\
369484385997020800848704370280145617166880152055373943460253174250810933590223\
248158661803853711575057719199813945931711504153784868933375263464133484758862\
043674151442320719408309178509587969476385504226555254734017437133982571874988\
030733881287202333477309503996334075879096320 #^22 #2^6 + 
                    
                    3349586353299573388383036973593421779437072042516759959759\
205068042709214780083724582684248581564066175487284536516983184440753497664819\
914659748140684849814330070195269353376276886249988414436322441063470581340591\
176465157300015522271269534701537186602977135705804512489585628506123470116014\
180121429889871082146042587895510641536099708692680193602327415951710419765709\
295363461662572237994300268333456620430292061833260344512636514538512356867519\
042553325245885965694162914675829516667977728 #^23 #2^6 - 
                    6763085095113008504096337899026159745776778006420667617833\
039633439309476297189613561079785814985651926784914222991185997213424740552999\
103580568945899824659880452970029668623951617259828363452223224100718046351211\
337943479405091653542110000821358865666156238084482079316411108926511254339657\
209502210991498496907797166760294712176012454827082711100336846920769025503321\
225118279520621572842195164822639091686008545314850478696149973264687490628715\
088904625530370976765812152902815575781146624 #^24 #2^6 - 
                    1633643023998308062319818498122793139592829756804652229433\
157923995653777214603932047259804957412546126299137965920744882112744733606935\
414535624773291271034567108145269388202370271780773883377259862831351751337480\
062806951575780611105772665194996217635157370911830338040774080381163248396447\
190711834220271563845136123933664869176024281298317646668760971586733699361268\
542981962665305403358410624075549675213676730298796869132099536001980821403627\
496260956797815756386504029011511831389274112 #^25 #2^6 + 
                    1051091195658820213878252053486206328440017209110602558322\
980040470561018001910309780371920109320331669266358937829175304404790617808107\
480972166043785125133550875194725176074481846381439846670762712970560726120530\
912761849966440038809261385953045346208327689372913428972834538961168900838303\
504777525576890935105171451219049086257352348322647031653677810781482989513354\
446699816650401264237315837810222833538737025258080589021161714336649622729629\
7444533556847269945344568901915263186881216512 #^26 #2^6 + 
                    6700345425700709789163022498753417892903000026160078101289\
293680848929124375909199806401947668740862479778131545468573746210099673220397\
272677756778902629692984030756634174015153975042340917552119890109417195179023\
392365294435433698008798073968248761118831474109467280881799837542261820510875\
749896335247285934365388771439819269145555803895541420107378656086794803846487\
668175978402567881310178138094515254356333552646606687736947585183242622039497\
96463534279361721371276271270936869878104064 #^27 #2^6 - 
                    1113311939315762631883320713443947721980871981931145244856\
221053308400294292211998720383501519482880688199721304245952823802257075206805\
080267804581630543461139784428245885121529624036506503270576736266299720736620\
913494333785951150948342009240303175827097141768531563117921536354660428242024\
395585000488194498972441770862064017341964584997650703709122061739709112797983\
751133224824651139204080123931766613537268483652910437197150238092457772765624\
5443170511161964269985310072677896584425373696 #^28 #2^6 - 
                    4223182534194775197332479307150863051795023726389245739349\
605541607222124100883663250138989932406140482077778368526095641601088033091336\
007446489628235603634801707199033556018028431182360974377678238832451571679977\
537741735920728355424077043616531385158967168605872603719210827429804215129935\
871533898803296377279967646906825854029561111260392481333565306453958955855762\
692705974463265750803957533205693641408685297722492551665167582059313258095627\
15278491082472069468005567165810287866544128 #^29 #2^6 + 
                    8730559527935380764545999809948107064045864697991636165935\
132219458502596247785181928468916739063266735190186132877674303290751197637479\
391104526451892978051829760140637142513172406926895787467052231152985565419746\
225875211950122584769528685247132800430434096622422631805555115562033154963745\
791816672697823699199031792505384892868263271211082628410423087684902934133767\
400065118838303207045134957310781722209351985275181494736668348726369826117199\
310577319915615524525565680584274892224987136 #^30 #2^6 + 
                    3269643230530229654592497242093455904454488736640072334638\
547123144355211603045900981315477106581710441872772930729640206429771177050200\
605852453833532387475398081825128867135198031003285840617892275197743439894277\
839654612008947523699878132227367339428477745267836695166365753671627587347739\
784746449185124437710903558998529208482464067655962973023432203587667123075976\
651379026671617563977548478589352327179272479759545931976354964484519367718909\
85537293302514098910603563839647414103310336 #^31 #2^6 - 
                    5329760893951477309016773499046549736650734082768070357983\
873084268606096746774731935100040557026239637872357642085417793065264189556738\
236660836063374280959154524426098918095762658442291676284987117390516177941498\
113844833116502019257370239067622746528849819466709205445102836339112305996024\
071222113510134336463464124576127584407782710933444809181071093511633809842753\
503344177219127262080745072876915211089383051452856691182142648219727388916709\
875712913584556602491932278140354761133654016 #^32 #2^6 - 
                    1780471229216089624271375722497134928461159052778197982498\
657616979867859025333074428465175771189764235872705122258966090687211245118515\
298612750949719073772704516480202810374814986883720663403589766906805663376687\
487447475952800222013203222436068859928607914544874211516719762175042344288499\
481261593951197634180406855478011521569728082885827047615236938648376766159738\
432411511458231297655554646819582194146292970186464695014116906577680878131820\
74272323693691273994290894202738175775866880 #^33 #2^6 + 
                    2629248659418122217131153115596779807688449355792811948191\
301384129804422159855864489286583672440010898517757212638492308317241585473302\
958635739013623266124893515732346618323695487419273705584325683124415632615231\
673901512776294988112364333022559085378963966464448837993402922051858702770798\
001766707011752997581777515790382378038477208150823648062822915611719250112942\
942443640824496845456180261827227682812644915130524610391022679295666064302991\
775407713610190835479920078406793062065897472 #^34 #2^6 + 
                    7163966935266206049807830330862570128451713739917256989742\
469568816280211401534913889484955635859785665237759729631163682441386658660814\
575675930449401940660568884570708583380153908428759742021389513714611443848911\
742151230194514431288049996161833211809966656324286971048144722955744747523184\
664934425071382632078816357200371074397779267750878084937078677654001044103762\
760370717543304399221413438238085380455173124326864614666032714124162744942459\
5194731284187593252760575221577059861004288 #^35 #2^6 - 
                    1064851569502796926577660202746867567622909893922458676964\
833851483889326694605121165141429735450026280053088245654443858809661623943594\
926602839968899347556331321128707438713943146371315600918858886291772969860896\
256440169842003408515398742032221001136790218989400855249624176584809762237650\
258954025267658727651554064645504150726694810464039519403212409382875122185805\
840935450581880756079375312472630390794145264486836483079143476831961787966823\
503376060654668517307953537984626992875569152 #^36 #2^6 - 
                    3414240207313794146335479888621224781706394985041904993157\
692192625498625083350539017304287261612106698803162667309725793489064748962855\
085837770022622372983942713675173194267607767497467460927092141916713447979327\
455270157633835375510817832634694779273591462827892437726348261375833507259477\
901885536806996352207363930412377569854332073844407055074321929001948336390490\
886615439577418051106233245279322434260428938253013323456902676285121828475829\
4986792665566110045657780324277285680054272 #^37 #2^6 + 
                    3470684112752422317780790906689714940782618721784478672015\
465896184399765162038775827780981449675992588773963147031132876806408078788700\
595575045329049375316487619030983157888960975279760725443103395024734929875462\
257994798313233595509712460980360462893690720103361923129219261041840516330318\
810462107644581434676871518091649937382669800677613134357885882967720939090630\
767279822303830741965061475260574055903541837280645418267773609558762941950262\
53851404357633545841101424778396129548042240 #^38 #2^6 + 
                    1876351363638889862901389732475370171400624944436172101595\
718132788049453180304844982097477205472786300581252377916688117971283026577628\
870574327229682521233190469420975980607976325470596918393995660901581573023410\
676314646504033106406402298516951678860428562049000454509458741257951446177476\
692610886043741039395326004937150673371404085235838755165731335491599791644783\
601043683263469129464716275941892695614278311443972037546332121136831905854510\
5344536003694244756290659936319834916126720 #^39 #2^6 - 
                    8630620331410523119762550755768459757293605889373733811360\
624357596862889941108554013237123096522592081984922824903203315916055822060161\
743078579830493419613043031748059055305662419551167231245362524755495781220159\
181731737813883036239408505718331262292092919622229957747462973240600785870914\
202847713002257525525188256509600838685504169456034735517400557574998146706822\
305206461040600459990075945909725855487940554610820003991457052815971069197413\
7738449100931001216293120242605824336199680 #^40 #2^6 - 
                    7254724844959269842080485564155290026308775377343042346057\
374732659172163654915637916139121246798922711129403686168295196027557904249640\
139901326634485321814962403824971502345151639819933006015028008769018305791556\
035692451523776110738293001337601426155528823607324455161703904506632716384902\
524720337646769591775193173345414175689680632526501614436574925335185868634672\
488776296523520648023000463668185931790035085946524463877494769264733690534412\
744129902762799971754694967624341525626880 #^41 #2^6 + 
                    1507893280403749534871801367467371968698544122051276806939\
672358148284857505334702124090481827719811500034037572600690804078326495984640\
158224407553668119935830201048426550129595468778803334265255034195228852457716\
303606695939046517364241605807429791701195114124570452170678108524461125725499\
774572504841021553674937459401251680323323491820723505408577743392926513137287\
032174680921765050418672419525258184431495363446700444048414597035920994190441\
6221459579883837321411571946704504199577600 #^42 #2^6 + 
                    1167896342407981018706879878438625610230226370523049755940\
116001544138368515182404054965240181395838710353089820751310648003436097442762\
850656639412161686268039202747985956267073909814852400337336725132107537880213\
967210985371228889287049117294078398853947521012354405904305887832852072985902\
973828510928601268366934190381007583145292828484625454204399532429845532900258\
122121712116746041082845926052774771487417477450284928218025489421085990244776\
598003337202301529434619054681255281950720 #^43 #2^6 - 
                    2127896670462123056599373422868173847531841260802764927333\
503922337584200578885231285215485175212261129929771763624866647575426059304389\
551490735633382224549410857433887493682611120994307377478775986007228550051308\
533993206705436348444987353621288360667043816919732804804236988495581898057288\
710336153768239734349957855821181416523547198743394429611684261884603923845633\
462315342965878366320115735536280007124680626118309367652613736017932334739028\
565338435769497981660179985412142441431040 #^44 #2^6 - 
                    2501731869821200087101456098711819071773856845314781326111\
207860765493376332535345404551193672985131440928956947304505061742799342590332\
339671961865451245102139840102547593059991608273898464026556717470414878683276\
323145683945392965773031548123097028474089859201771954786711510156782861847311\
598547541109806580986291640436907350707456152748895700859580910665659966147260\
527261239231996611360019133364072142281748365545319556635168338030508761068901\
92990891994969742385777272810412043141120 #^45 #2^6 + 
                    1592062493255239751236106799875196060063642103005630108183\
891726865410994730360686101446827864836058728560791211354149440005322577567599\
792734878419799566714577330264506721084537302511706437493574258456770298271839\
567830308497484822243004845936388316570734089678373872383454212742778323504453\
725011682124243545634938464042477198721349848004656658430740968138435841345146\
297360090007280027158967492415938989442292058885290223286435981456054737668225\
43105949478327669732675873915161228083200 #^46 #2^6 + 
                    6311239396969614290948145293774140269030463244958951283191\
714601118746343715499711093862620765427367787512260376447649779969838151408470\
071600643105020147707299510146375916685587434306762267985231284440471953288434\
552504967631166382735245505599937244262372646920020510156120211302206012038889\
265894971708786265525138620479154771941661108421794808802889052026615473328594\
796515251408320566055973186982117255084806962656929923702466895369734702668451\
930613740532274654139719278902902784000 #^47 #2^6 - 
                    1879165204476819335325274786873815745831012512328377332634\
306990194935492985457774638419153898789349368744721710546327944701998571768827\
558484855124960829868617558946001063515136355887426477767295556627583778550662\
406002036140677101837097808351242712673696184470341892392180969999316728043399\
291056347256673716109740054087200368653115204156908036188224526500790468889611\
242053296264361756332634639952161776219584356372930065674849723275215807571262\
7556837686780478150851842724995478323200 #^48 #2^6 - 
                    
                    4291513170666326546452945481951939327253841775137194795388\
460230290412190680439718498703736396978156010769146518146358042854287869726978\
641365825373724034842267145757016429700341565377483261502411067308314323927621\
081705937502830191758360432665646137052950349622054196540210429268207804257743\
856054904652458122219563690473841664070135589260701876277590768423902484198448\
447899844296435106192972256450805741246136249687391981300221031142684218123876\
364365564906251077068657390454518579200 #^49 #2^6 + 
                    1028356607345303560999189195621583800179662397743134819093\
469029007561552202367372206248137098749077130584515903302822021685845761526966\
086131250282236844190484389145479913226424384485510222464590768925100268111106\
338545240645848322156141233171383396985568289094249946653261860368209364818422\
322747771197980559409976600377652897066183535038072119506900864080783928171146\
700634136851651774194834477106886736705467648017865526066300370203443872872895\
6069379232718591657452906407018 #3& }, {1, 1, 1}]]], "]"}]}], "-", 
                 RowBox[{"2", " ", "\[Pi]", " ", 
                  TemplateBox[{"3"},
                   "C"]}]}], ",", 
                RowBox[{
                 TemplateBox[{"3"},
                  "C"], "\[Element]", 
                 TemplateBox[{},
                  "Integers"]}]}], "]"}]}], ",", 
             RowBox[{"a4", "\[Rule]", 
              RowBox[{"ConditionalExpression", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"-", 
                  RowBox[{"ArcTan", "[", 
                   FractionBox[
                    InterpretationBox[
                    TemplateBox[{"Root",TemplateBox[{"\"-0.910\"", 
                    DynamicBox[
                    FEPrivate`FrontEndResource[
                    "FEExpressions", "NumericalApproximationElider"]]}, 
                    "RowDefault"],TagBox[
                    RowBox[{"Root", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"1", "+", 
                    RowBox[{"6", " ", "#1"}], "-", 
                    RowBox[{"12", " ", 
                    SuperscriptBox["#1", "2"]}], "-", 
                    RowBox[{"32", " ", 
                    SuperscriptBox["#1", "3"]}], "+", 
                    RowBox[{"16", " ", 
                    SuperscriptBox["#1", "4"]}], "+", 
                    RowBox[{"32", " ", 
                    SuperscriptBox["#1", "5"]}]}], "&"}], ",", 
                    RowBox[{
                    RowBox[{"\[LeftSkeleton]", "1", "\[RightSkeleton]"}], 
                    "&"}], ",", 
                    RowBox[{
                    RowBox[{"\[LeftSkeleton]", "1", "\[RightSkeleton]"}], 
                    "&"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], "]"}], 
                    Short[#, 7]& ],-0.9096319953545183},
                    "NumericalApproximation"],
                    
                    Root[{1 + 6 # - 12 #^2 - 32 #^3 + 16 #^4 + 
                    32 #^5& , \
-70200316271507168397912526370140457916036103806045166974767911468991623992259\
303317425914536086227228818264393292358730270199995473975184965846679256103733\
574485402032360453961494198824241067649963501192172182571377104102659710931477\
581840743413949560249094047960678660134816055939745822577947736867189402551129\
308415502483229366695545754973296837234394091272033109242928320708274729957495\
4746812331186830777661766505 - 
                    1107494235866334714617362865936722194223786092156026154859\
040187453768861818871579481706065771883354740184027162799515762612691597958748\
717568435588330022963449939744604705558287926994636861354538174648657685319799\
318354828829089452100720910187586410672751175449763559948764818714214554901635\
536182776147075091170082523925126383608323439946664132850529136070437415206724\
4473178013912957254025784180168914580147488146050 # + 
                    8161892701345983118896913182906365640877423994940570024668\
202933711983610844806294451471059349656351171753051198615057782997785846985067\
650765770137889498053099663796178101938684196248100771750834546768313373572664\
271604122103366763262734294507072035860248576650294358190570143793042577378276\
660008431459707332230823677263608434405005926336429838085721911290173423871484\
4566845559094093798126064292142416027089092229548 #^2 + 
                    1637613586138376157408239098939167209144404235110057115814\
496186881370388139721017302674413823947150489894457553796529884563485003013067\
045554271483811847260710591266953965597688968693973658986935599152734690403579\
754565471042736498582411402161631142733961026288763614162550563591541182303279\
410713137402262445773689972572018578397178782121046763420107264147101546290760\
167707633640074640737156322158644705274662372707928 #^3 - 
                    2078835843287125803800280293860407523924968258687456724717\
859194122272133029822634112862494096703735202813945811068715178870311057666143\
412969119041976482932077249487077165397174718296059691011665290127986313506591\
563305067436699077066600968325333446697539559388900045428015586502241991444005\
095758052587544644490519882931022329665485544563309261305638272166807976161466\
000301289173685460142464077209321633986061102358304 #^4 - 
                    8967977845793281319981690689126192404765175188323484857153\
871849719964285185181505366126023602669306496921379052629447013986690511884541\
217777879709272272684786999855466443341039100929708099015160633799631978543743\
088373621920901068679284718526744534258494063934757739841965623074409731504829\
035309871485463827003465290201247366304933708011319622980776800372327665618199\
9673895370967396746818344515812052711126173991977472 #^5 + 
                    5016990045060500293416800056629012344843845336721694240980\
844687257921550072504111010808341382813030463572644796482661359077896191929064\
643676229509963673055369108196658165192539606411486640778634150032987904058571\
282638594173241748979728533575468559226426560551691685488154197330675442376746\
155320893144732042085981592496704624909392364922520681869315352775334238381654\
100921993803547444711741733726888322757828170026304 #^6 + 
                    2476544937975174960510621182113291780707132885913092173851\
306281219809237300116283469307272246192040665896674398522432529281143675899836\
181871640661827032735837733785951173494977514665604411731342287902569926334946\
429892431154242401281058734575862712886410371378577881249053627684755146193220\
747998729257311925460811655268169878106359962217064827728045954529191635591248\
878990360028979667260028394918187478456183817383683584 #^7 - 
                    1584188293222855423736970894284398411633827029539431791982\
109942610329611792351062284505163780485609869104539996933537261323153782552391\
508355959857909589891707977277284367355231497773326219493697273780894499617146\
980305207875878821621313275246695865510032424934767697834366801103410738962887\
100096075184008162247136979742261631392020842787072387466521598493172271322792\
46375671725450028608610150471239215995052899772563200 #^8 - 
                    3535077510540415798394816608780792439039270524552470978966\
644757531227177099752672606866762983952327054627311329190814747481744544223651\
733215726440421015856453176406638040953926937752060594722534470583637173198157\
172181079622299395116073618144791998546425387286343152260886830415218546195876\
355855290922849700505636945878510391472204854651713596110798022616565888323683\
7325572364296143119030433349936901709269907363124397568 #^9 + 
                    1821032414045522701476339308297829044674195545243502152151\
079117651374875517817395678471236750277938348617409242377531898725757560834474\
570967020311382218532543018383689839411737188409039237842935882213160117015106\
020144489247102025537181958909870746285537029644925827829199758350240730636763\
959212613224966010592888027729273981498478900053488347610207693814078456374344\
541619131324511436650214153226238769820445892490437632 #^10 + 
                    2971867654883783184470410626226100980076786194360105557444\
990218765225815127077938647300246222732441600935844804645352084145769279810364\
608025850067439827137748370437794401745558939450846624900083194573887542471598\
295821871151756311024183222213532039629524401811931092760754407401389295146755\
192912322123207703692849804814898277910535400083371877176035535904975375440495\
85107134633114837177473850864754823022508298681124714496 #^11 + 
                    1047261287785172827807703452991682472244987892037459105655\
450918580965125908815220254720230143674827243940305591435218603330148844568974\
838308043271116666797057778477224816498882688816502296339151297077831200629653\
967229494447429595530054993665520182741437203191853673688566994429998369492772\
308639453839220807317456049472007951937645941986091332423765792778329243924660\
1983171579877152711451739621298722842865144316149698560 #^12 - 
                    1590095238072539654957835940334890132141787529639135618217\
581287285938909541278229487743921276673269821411267486740658546746490387266323\
665696907603729850512584680872909877872479278630592916136220302498454309194220\
683779431384630067644396310918718248104354911610460170954590232815950340673142\
900237161598610378128540845591176183073190139781381924483701874890335399314277\
595720323803247702880508954265221117232589575242922590208 #^13 - 
                    2213345344968006177062625142375223653836824098256286734325\
504417848041373265288773277779089819491402940517322723512976835846775312323644\
674685353227867758259697670594925798204164395179288088351440278430712129508939\
674551311198174740306323818617159102569618273206022682288269281047021748076864\
662029304164579215213525963130049514190591424772759878213708083100521611753615\
52668405001145322152869465432871942258261609129960570880 #^14 + 
                    5628125612294033455599282202855532954816410661553050145521\
503722195631810248609832138388645890975832494556994181389212361645552925259314\
748768756041820513932789243168500210872166594448896085305695675343235362296509\
256415575141841083931143377223305147116491484776361127109430784476936514994627\
170963429467334344100442404003207600893329068550100751717552933330584477402977\
540372522906534124994112429316828891791537659016313962496 #^15 + 
                    1183251538935159554675501642705781919520899625973902702412\
817317611484016194562311432678236166395352019103551806735187872815262670545929\
829993668741188486343316461468087045837378272537644547954952916241184340597945\
118537201416193428797255399650708006725035404296422317875839806601227199163055\
764835724767864238414563434063926920548233650291831497338186357463552396225165\
168621558737812036623363750227065252162359308179363397632 #^16 - 
                    1341371074051876113047390259953684641741343963582367804931\
383742586734682794504410592808076420761807423526778577291253078440668405331925\
837152569911005538733682881971713193148472524848724799127736085239846425597158\
776640760631884200393743959291930397927704054170006176214281711807719319286791\
647161124278289679462409984228728566399957478585850371834171964366257608641210\
2288748312865574074468757080017947623593444662367539429376 #^17 - 
                    2688811270587464635319704845046921813481312497850911005163\
327985130908547280978320838572484418785824617432425550693711283757010467675214\
145549709353009937396041930714824646812252007614908968608716092861537180456093\
490000395763963800120309280607197633380743187092192928356555759021320361231441\
296772688933960126591132995820695003779667878099784516903375708021358986913597\
810855340278816139103667173981136444244124274035664093184 #^18 + 
                    2165829639575826398723920772972159713600128350544190422139\
365105782207260701532704998187051129266716312198718285829064886212407951955310\
894956407506216025813293760644090692403296929977395766489904290271433788190951\
971344120263481325295552938546639664112159790666759809640900637865643098794520\
243063787928056876817282536531483322616472811749099137359863761596725590511163\
7481400945401605946855728229435309909295396297307479605248 #^19 + 
                    6616378821629947816034435013820960721012763830050706206221\
259745883319997078621280771113431216929405302322621393652650649461902496925788\
603349951815686770828731658147389412492246968191616360745419132324195447780266\
592174044809949946937313041505231429803691640300162248397211416274553467953629\
558004564708589023409741329462861503851340278496870055230528103955227534564210\
33655795559296489786567376256207752305722800062653792256 #^20 - 
                    2366113865247323567098306028956019413100021118053666005016\
019964521058414736033392392792941848328647496959919627920499287641194269196334\
760464351925209595509805383497354427560561730541896936910271466449734279321498\
294927268966197555708869646534109370845192354137375381055605393357620510684686\
225564681212380677963129914217070694973687520718842654937185394723621588315681\
5542974867680826655934097021289653183428001679971373285376 #^21 + 
                    1173279185674675498033835347941584629275390496032317100104\
485181891439812988377660454932629257238605789262702377097504622203792217145895\
292651787201947757382278381540568456556957272159419721771616701094932292341881\
101395097349404930118572312376207672027333586678900138667882228912411533006591\
711094975377300224062238565828542364679921030850350175006214741490496500364971\
9894782228474823521561804108032987206777128030659867049984 #^22 + 
                    1745547619311404141788686767894543489115132508276059780544\
835160038520771662987179749014472735211094459297361102553752484407384703410896\
988420401257537131648246330268207250928529253302519943115691592587169588323481\
531870259952256671679832999372590761972910010037160121591953896607048081182991\
697449736220747340494838937042470230571982573460973978643237584451289247259020\
8707982405650327416051199093376120516564525812484224843776 #^23 - 
                    3397924297846484791782347797191505650622843294074868124507\
541302449164343389715295544996048108738713269346383794829225086633634203447060\
329837186527535297962299336108364329590874408410083507130518206686286687559439\
740873973413781218762610301555403541464807375077897190351926547503088055208513\
151068319578242080958330193314023713370071002079220985611695454231454952874904\
1149331265325106979484325466870805194700509864264653078528 #^24 - 
                    9015208851415440182301923761031655951003046824323274369483\
858159867791481688094599888199997143229083911132564120442351555451578469260840\
110677890340124944729658281419001497031908999820068822415998248177168980591808\
871629826637286740821002996457131597401507429862600972845209915784594755938256\
278417316982603429708932484677639133378210916768748016740198792479748855781021\
116452514089154498031005142165255729119902977862358007808 #^25 + 
                    5317764005447858637183508544068833579221250330475455480562\
509866502922668039490724815127487738411908027328818879686620126519832045784162\
484393133939219320392158993337157323657028361377543816169946561668803086905795\
609147123003663601416510051211948543845440246558480587509089066344962607290840\
767635414733717460076750085934416967414349445167358136597968539674620887024076\
1302204278738247278212609210859408260951090861173343518720 #^26 + 
                    4178891894976772134117927825611216570582791015233972673260\
527090548622200450526620886659713839805270505949201965206853042654417221728984\
012872066360183289233070305997490076033139175395901416155514365240972752367650\
873316841374192489226166188934401551620144830267296640911621418670392930189040\
928593569763663304184704236853262669336791500159105273194101103483943216435561\
311323892238453626156991605242583117451924231570682019840 #^27 - 
                    5649353696032195878158380391472851541337751424849555439354\
617538620162246583073076488629433095539252283093668001577324710378691028802259\
450840459560690174943158922430396906154876185741263523381036484350158656404208\
024637052270196358200420407902427080272458249725190928783121133080340241075551\
274166784015947780273286126970055905897139302491311426747744590033478068503971\
8801613692509130345358901510558831478530278711113803628544 #^28 - 
                    2770606585559965532778752510613217099909608235550679642254\
018997656388742499746199303010690945295422228639472343139739096919659831692844\
489917535413862826423576049717469626915174706243213831990525004681973137836995\
869282624105794531290026566180781551624954601595251885314141245096816744325674\
490007647547747152957286806763173863640393258625296993079222171100229739612705\
804195566285349578456460257550358938728660910889005744128 #^29 + 
                    4437862404204595673978865244941183201753662916389709481153\
833778821271210142318403767715089533134322476577509343696589660430580710408695\
153757018251254664162482864712507571734477753403561903714553975792092647100870\
253912484119870508899872722253421449345228800111028711535724077769533798399778\
633998393732998283708547468078502530045837220823336942104731869970422057057345\
0781448890085121319532041366013304671430203348107892097024 #^30 + 
                    2055954784080231161439957623963255327340839466745432648700\
803781733617168057644708679546937555838385841425866631784434188174358813416077\
739982191169225018759728317486336318240120174937431741079054716106225213228992\
811526424455422131261025225166388121402671620306847867260811856404109794807187\
445707439050665772585109934249210470647206495587827059447174234271305663589317\
812589877746541787005963671865691876737913451823759360000 #^31 - 
                    2712621828450100516477539737741208427456314681757885697176\
246095842067749927400710228937227200127097712315822466640238412777609145414541\
864501067216127859677831948484864755249960635594257158974485199057020248569406\
401853890148708324628677924460932598609631343211303448334016407686247804348484\
458024953166671459660029206182971508524357786936009945181605215308634341472631\
7248914906919514634493528522667575100899853660551288717312 #^32 - 
                    1104714444942948966127406337578189491979760015087506356430\
825520323145955113540445908470376554402549070759770720977201253802469923643794\
149135868912172401586843216520079559646307458246467119739755178287536173667280\
560993017951246122043802264920539518659303481856285168434630446281615781335962\
112807535271185762382222478803346800027338573855030900389487139072361889109523\
395552537195804713920049133006810185214224471964981919744 #^33 + 
                    1339569615525870320392488433437487229358082728473491333767\
773353309395763913004162610869101791379353036018834483885771100883298570456066\
815241529381614374115112153183055089772177820861649346069180646791899466785585\
483074219161232318294796012951256075548865816493155623204714396582063407428138\
578044156736571030054817934621703174998423076585399362423560753538049906115651\
7309681078701149139538498681457552262588751387177280077824 #^34 + 
                    4461081377037414715980066263784861049741843237959561538195\
696881077389377514453085407751083687354953525411349865458985555485035664831985\
257443272728105086109102508048938766304765224419184271020509410409829103567252\
444753520674815784654199853808314338805495582733655100976401577187438489932920\
001388016745372602883471879856031577094986837841269438352092602269859474316451\
41795962675266912011017256580629649245498928394401742848 #^35 - 
                    5429684566339924334660549129047593643503141136829472761742\
051792613959332947854731649346206018570195999463495028825186313944194664172394\
250095185814009302595663832747432160486460556905609669364810397024702257187889\
491765026681185587671292932926457408747007439996141652641036884824469351591712\
558125211185526740447122313097355176071044769327751943826502492384011899306890\
731645423369817103236844074926405552208772132944977330176 #^36 - 
                    2006413844944542675199993588316022965992007154543238272905\
587135606299180351017568931231714094651998766810869800112491982938416202252113\
820260189459888851634114639083270657396287802863299971001239369560489709797082\
444457603293509095676493508998987402639529368672712006246551942339770117868154\
772154155000081627394573696944589716359290478971435738801569908110705164616511\
37852175932846605951788037252938803415003504155553693696 #^37 + 
                    1770669581197360356719689136882185934575026512886425272241\
080419400867438504776655500228527286331897940223437710482953411829057420616845\
411222902732807560730162700436292776915422021608131535745830813393634469695232\
999686277314452789738825490368772286373011164742138963500597503994821284104812\
690025465737551940140618429711886851170887044213593532525844326048084008652234\
838400592574409576982578490990137962966432820557250560000 #^38 + 
                    1024384195841560786203803990261659864941415168828353963865\
514889429083788470409987439754590265618961816302022164464479931412307178243328\
940535200835545019885068896236440098283715281294336198006517282389405216538181\
057852552998133215228559571594024966998226660585642018033386696838705051060739\
400771644697766642486887646318531960901837703138849628511495283206470885727693\
89486428677379752559678729905125262333886212940706611200 #^39 - 
                    4404903188819469762250126285927225455462656966341232172185\
054947307913689096385995110810482590602971793490232236915320465893059674569599\
690156297998655932272241814936015983195747871277485677230191263453241159058478\
335119906579096367551385973276858920532903872985067196552640080965268215346678\
869087133583327933077986244602027661458014868411019054535425228969278238834353\
95874208305015827959466442644322238838780872893703127040 #^40 - 
                    3827987770860919491233684840407289481741771535732531474965\
750463930603038239510027829371105769635461764402277898787160901926580927888897\
574350818492212960002037391048238182286099024785420704529537214387961257277563\
837094194602572561628536141756449403788212894934490365843229239370973613467170\
498521853912020284220969998561645201242753388609912554504523815593683477740744\
0839048501956946811462225367017616433006800804323000320 #^41 + 
                    7699915284162094579185611026585840631037843178805113294306\
205566927573946273628740978477009206308570863015020777641689524265821485789684\
487671786906160745633768926817014196544455181908086706622716282432451619372261\
617465860117148432669545752506667592432871773112494459033677808208034415802365\
843519554636517457156189723584860323006997919736895264265889840824246106250719\
6169620637094918813896695436116768973706857767942225920 #^42 + 
                    6136512664922345768573038016807349795804300759444703208305\
755695353037731250689799425612980184299100771859553223985356798248232756751885\
217516937449568651333045922939998620576367629644077040950012108629408507240653\
630825722294319581797227755112271453240728244574119367953883868041086929695317\
029687963002420241785421255056506685304833840406273915326724502171608496733077\
172830844968881190438346800370011711777556667354316800 #^43 - 
                    1086771210996007289420930388171010450514240601052792407820\
278138212935550469792720145053498236330762274623168545846732562188045786387457\
393524601518515691316261171674447575598089147440003951748666421000629000572075\
427131692536218867882782780750659052549028008235266699307039955278544979144470\
489101077058527378506476176589328476674265936215725876287567624621537182513113\
7178287978349020655210256884784420835935861354707025920 #^44 - 
                    1293662224449047757694709741532758028316076909416427479387\
578201575024109654051165756001463578955702650947413401324034490835473226143326\
295781661787429409015925921658008300606543694839321850507472387802071639127113\
064362721030591918588413450219142555128854687668505883158834167608011941972400\
987486464907600538253076031880675185862589235650044752045926678645715052695733\
975477967577166092013082885619076546823437083119452160 #^45 + 
                    8137118353676547864478219449655128570966401590191503181465\
461878453283229499004394503065250161415568200897382692966184371683716788928348\
688097692499323315547678506533514266331714138566217834905184232299648442851758\
830803229467242829662428939813001376997516514885753932622990847742033492125794\
740639259598780662643172383896789375537032722875584368986292952340951860314301\
67767306706812804784750013655567795696967883318886400 #^46 + 
                    3357801967207691926498313831191559413490860278111372617051\
700331929265170978057732259769304803461334217739206961970794790100710733006319\
638412117027030221521027654381203670096016009184750357084927288124352252428242\
067192193802906990454467381400674479511761732627155698293129844483773010945952\
351835761325843581676255960364506094797500653827830034991584845157069690013010\
0717955563337615190391241908915168475182048634470400 #^47 - 
                    9589302765777780981376455521392141604228629829534006604680\
817940198881717272255841556102401023206209978722206382917915105732642255292269\
959490917940818086249389229009699113680555480767060039776418407495995573573502\
514928406937505439198966584241787686779310739514732473924180252054272484971875\
127949873727927354512357405401609255358835826462254552304925950310083199562544\
4961528659739798528319737879177967436065668700569600 #^48 - 
                    2197974725743681967691251586436657632256566199106247335157\
067692619697547241193057028298544704304903693842939851218599458399293457365615\
245849456617105394577805792051598092965920050216457081446147607679354471423388\
346542588792633062099481543762299084839291500859013112712556145010998348493429\
120886341351078307654648780710736768486515638331766901594773023597082023750820\
1648891055799080230134794862584840887336642910617600 #^49 + 
                    5697718805878897726797326176342762806598302479385350886647\
346910123828440711163908076595908107290386822794753190872515088382641569787951\
586230909478097003352416374695219623979806167568056733349653367241209219665524\
019614954693475116347361123192849636729378825752029780969325757007361737403889\
504588162143224917139800832929463666594772962537777206088721379176774973716748\
71503163437776854875444240098451489416455629800 #2^2 + 
                    8961434820162424750138759862041841932021766263453929715221\
735649214472565735101401316197755977772565075132662184229766075856305578654683\
406203055691940043821776550435584309336953933434349437688448709950341797035748\
914391031218868847212259079913638092622790921248481743837421167991567585662579\
376344044890757260229675429209427517802006669475484461851169182176985736061308\
504980399069464955988541360189141236980441004280 # #2^2 - 
                    6645963225750524318019125682358128463958779774708385435541\
842165853598500755155417968756945512385300665557193126973715597604478774260789\
091046831747156628836860781897977651029202558180002429058763191202709311378319\
520139174136885189854191498891532647934052196443232870539812359277610502461342\
038069279413091847706412731896354146991147118038104473846882815247363457796038\
9644651250507240527492968742868191521514818476800 #^2 #2^2 - 
                    1321115335501725338329552859441545484162707764130161160624\
403499576817837062388118476056590362100107995890344582951756508285493858442110\
862312248116382123890606139350715013316438838789173706197837969227495827087839\
410006144262005250255337527907707030339901484566018650500523966316143963268342\
900158926571714619771088335910163668261533276284807225294665721869823636321404\
288631932087216178688704954435888062960000072057120 #^3 #2^2 + 
                    1729109002701079538491896492831224099019779257788937882649\
232943974681025975369744748328239215223113972831021070074152664524558319843473\
573264792472776234453106692842692293668666336633870722484692001929728874852927\
471729632080823533244441312403879131377079977441193730798256134403249925340950\
058044240241561321497140270568935406113974246667970231817620439749841488683098\
682703889237665637490088020530825822395351293539520 #^4 #2^2 + 
                    7207826976816184881891602881620546223047176133112084683838\
251942038189678131999287970399545655785316630821107508544528957639614022211391\
140818257779483402625228439727783466212179574978491825107876349807205409163448\
049506155562616883535520635628464491932729116027932797491719195158793943998856\
950232133356216044411558466255932979652517544246807573789677987856986250883406\
9398882789278330416399603860019443612969037425020160 #^5 #2^2 - 
                    7568861429057063648611554584131921357045282573392180313003\
231283246050731495558656921310384521226355970795066859108610793372276159919318\
568508876053372585311533377401391439543105707240767593846122066594238248914095\
681569532581269059322106531530677253026254607260618937510509840232358002254511\
465939571661631972609489166053371195939322236900834621225500090778695973537298\
151766575996647891527543794397925406614807746643200 #^6 #2^2 - 
                    1981369543524059945205835368449796103224323061250411240407\
036343204948731219100486391379455919463644597374497541662936335826374424603691\
327398049794513272001205946176474252034528521676195619277720205888564665214601\
763733720259564223482666542723676833595079185928256530265942019586928367729363\
297823683464649954629112847016460589159139528231042952368288024490780458656391\
851815164921216027606370310577393095166184017474045440 #^7 #2^2 + 
                    2418463508743495657920126081826715273626903502241124992485\
748491812150904697411145041657176156399544533576505867620902687413834450295516\
632883387732038606331275182535794057001519602045811930202119733991343432184349\
229977951831710961953587037919718071225968611617253308760690730350646826098281\
423610179481512480527905018557487793498565819732143834752732116949418738749464\
61767545627110789721135153835914088230752188866872320 #^8 #2^2 + 
                    2803237840510556782153012672706099828756873748300407108324\
900515826931133143533849495339681214271736452061661688969601641005287230753668\
769998297187625412000146005729590978961175328929493488760880730954489135058384\
066947043560206742454233129905689714882714319152913476049303058323888481958996\
496284130189229316591407698301086708876631384811365098111194292949607259562700\
1803637620234750492318461770035177601046486304912281600 #^9 #2^2 - 
                    2925158489762943108614801470883924456779858312226457239113\
014013451006121003475728783045443142745816095131960948599582375035987827526868\
066701941544574488715294485948349023865452106143090653049564220122855619649539\
680147405457828140098916531891180391533271802449806618906702982734981722384992\
389960590609342306290796302712762762035793784708020291234457573208704533278130\
538799350229523348088611350750344605738251007162716160 #^10 #2^2 - 
                    2336802799093628300459383207001730294197372087226084721956\
388098002586376436483295711511848318032847825085918416027657037650187053907672\
389519585437268182133113324400868134573289522731185872993472463858103821163361\
734431534678236137785672624591760097116675228375603468537707576877389642423890\
086817174997020847367791448564344549054204738832789520450057716816273049459070\
94015026949218363640081109625883341175435587621988392960 #^11 #2^2 + 
                    2181201629248788104584281467043703242290658877441798147150\
358065392940177612446202697157657990438479390334243912330169751772309714532318\
775762840018907230594956386145231096982018786605414817592064764110052333274538\
347202991572951132448125083418855067294276787724213531916345444184315358061617\
362299677378771600129584200944705521280908253173190545994126734373718867424306\
448518128192035440192151374755159844635686065100472320 #^12 #2^2 + 
                    1241487918296131974257149344815961347759764420706868507646\
831115105038662217576942666619090692823516073844066947555769575981510729290693\
962726109841684648780778498799101026365453534632364222725695362874620836268046\
305548511238789186174126770628948638449308581939507349441193638868061055102371\
783889165472578685768555986499593385788027358415215164643130812817065518650330\
119931360824108650616945653002314084139562703343649095680 #^13 #2^2 + 
                    1271935841766502496077101405394079695348565415498913640158\
135202660254157227935631824547200673757308213384241977409058333623119562203724\
307672589582927881639064071535130762305485372121711013132953645395767722732131\
063376564683536002694727651286648661457916796264883575470653879745754227137428\
830211079772184404570047439901015864260811817661956551994267047590178058266021\
08495386686433474028581648173256236577990698259697500160 #^14 #2^2 - 
                    4367874224041846582231288029371001485038333659506732777485\
858378192811773638067952662773652893286752258161845909079688413848733697249410\
551250453817792589169861634359856088891365901174371544359331562071520499986645\
238074132229090196807697538233564672810310822247319276890367329977791346217788\
404576425952986354384623977349746972787080711369596673186600397456149616008341\
454057809564860985275144921812177310513859383983101706240 #^15 #2^2 - 
                    7858241018115764667283342324125189646494265001352530197000\
108881763528027410824243710386476559428890946720292558944307220600701722992260\
260216284406211690159942922144753042976170139269084739989979821826143994778375\
639902059195666584192898129552446963011039514611633392387772898091939547345085\
172066622497251203436396686118102914135797421709588672201869051800549061886324\
67541847252539302988016695288797921605880945490459361280 #^16 #2^2 + 
                    1035125950164194640304228130468344919098803516577199191588\
757955242184402949856098215825537481834016243038926235988133455745250373349011\
527412733000465883938383762124139146427676137468729899479842379677403304284354\
077274314757746100921169760618951627612385907892350370503422098020940905575244\
354311218246714598383686398498587673523865430736318924452684325379121158887118\
7876317238796997896093120479087879390064363593132010373120 #^17 #2^2 + 
                    1812579835841173868369732383854182383005546414949022350918\
407737236678296503725553356024390373383701904916953059262927212960924109900276\
699056593926885228834360769821282290619263934745349949424734085179082435062540\
671048290270402325127234266857759621761963389414096170796513341289932223925994\
438919844228089949532358189229044525867827968924087977015600799477365184084110\
920025289800341069735346024608605077362967570293241937920 #^18 #2^2 - 
                    1660260361698495149783790370277318177419548817107909776797\
610867472435886345697670959744481995206415550565613404477110820130686481688724\
869323182366182299452632811070167329483116885062076776203862509064590359225882\
363636042680612896790058065126891349825064712950780500496990300065835646976495\
745891275759685613650259728286097616632056290065167184332549541467259053570124\
9665669020470415474906858819084582733698764333354812702720 #^19 #2^2 - 
                    1409917596038888925857750478439334232311936139597103064357\
657038782750733506828610803004952932505476832480645456137145877451548543995626\
250093286797995490131171996920135824167563248012053829320633182759382937721188\
668828625781248328173043729710770202280242865615924334621611665532520575072217\
927304697923212853076405187705532123409698975436899398238353547812004601397887\
56496447951014185083134637245394200034889901009188945920 #^20 #2^2 + 
                    1794201847821415906561895010756170727850292987803665465830\
889981960867492731876167289936033704968934491177003183023140320133989138893072\
603333322842295679785440637425806375267318401011184320418064485505139985099478\
788141248499002446273136495358033332778903884225290913180096891128786970652835\
969108635491335298701080959698554127962301404921371334006964655820245099567580\
9367148841268975146505991333650308739939043989028811571200 #^21 #2^2 - 
                    9360282021988057124442074917718238787612035452381129003260\
833398845444712731330483003252304437982681964688507563960998869048467590760151\
903202872935785187274247238299677170386606353750514882443519282987392478677958\
434400146813692759334461290912238848421532838473008874432522160712504785379629\
225988038403106800192124203758047725640277125264686857960840462126974129071978\
426247856216218950820409000266884029243603842439084769280 #^22 #2^2 - 
                    1291798073967409796534666079865119749790740096368338495912\
786363671784362917822318695141573387461138367016017325675633308058565497630471\
314021810608286226514921719098629609993147022549281193910401651946152143665828\
272077257195851566758800750911058638533317857781977346290515940057841110820810\
761750700225287962127729433047723238413848089977382217964685542008033367967535\
2398089151246101542961675801235470083432142818292625571840 #^23 #2^2 + 
                    2624606109406444992529348923107802382935213933017294006027\
799206452317780703388698144020018556266732113778600141262953028297867299816505\
602732979799618825008968479880602320678192858108015295878407518675988639839070\
965639503565487477714756047696255243120230537808897792642046191846577550489699\
303165570264016590230996355388960180990454783026547055571612443305795105270252\
0992569272872101916801990028642182782421412071600029696000 #^24 #2^2 + 
                    6245929620209587436559110677818450322935094845497096188058\
208429331992029216801542893926298601653071968569574218412417150240007457155338\
765502286027181600829993862682414694385550378583665460789937144830236785360275\
645106553874847980667679056881721678783948076307581006728000031111419156529805\
042942355452411342183951188821678058669083660448011360493439579672880281224176\
091390175004012351234790188699954043163021001444588257280 #^25 #2^2 - 
                    4071990726193482896861770591944552149075985378300709364322\
928002906462546164224289481476422586417413787595761382326809288264639443993038\
248419308807783458492638280101104617270059933936365314115978891938590789865105\
130329156795494754583471218778963762699302477477790407517814364325968641078959\
703744717353543733357822862029017055962602851514993537902681571414079107395029\
7497285926884290322867135084521324377274801997575146700800 #^26 #2^2 - 
                    2508712670871471129888473271323796915632091319885110499353\
277514146755314784772795180347263874991274680549789146363324276836788563070941\
722321059708189314974363820827068886452194832371053183775748091341783790046839\
929603757629238871689853653332815007424185299400923591008583744228214998855374\
669030547003625279102435626458931014996423174498199822764946138666769487157463\
524173728596797081993059187426321564670219057481845309440 #^27 #2^2 + 
                    4309399084546788061526525427531360973133786651397221624535\
945682633658785417878323727585748351694025600641546954050620674426347964623605\
929695913939097298119569232448414414899836071495183826960959056742739516428447\
498341959091331883638648639479623449753181554814754860039340240876570217986592\
617881707728442915068059380695122521413693589816525579819660386975339552015117\
8817662435282132128612257399009307053232202898350234664960 #^28 #2^2 + 
                    1564276898777823507007180870708461658728475433648121078939\
851883960231981873673845979961457840360323355944292867075415324290713401175641\
420900906691103171006489687510403024871148513938523480288959174651029034177862\
090805358386484823943131146406634656378314853289117684644314719355962930207722\
303543328948800030913358386297148629524581747989009475058568733575745367969858\
484772220447809564352389360982903896188374529029670174720 #^29 #2^2 - 
                    3377685121327134312476548990341421286227773449916702345661\
978147904020546422404978930119225807020159853341927811223666822564152102674854\
205559352246573645632550952662274653583233590997895036040227208170769881376321\
967220360654745020440227022923430955887820382076320659498153307645589765497387\
275660048097617208106223783094147721879666185703251327041282276985901514723323\
7505378991912793228303530779436699079885895893920451133440 #^30 #2^2 - 
                    1219561642596567079313966787823742353246982813449577013707\
054277726347503571385110233862197728862176029733353480361577652937173005405078\
711816480551641377076088576215932093416213919720411724609941147562638372964666\
964781378753388789378671391202312791886835105715241393300934163121464182167566\
055797965054990102324855427572792057497083917419108654136339413278779226382369\
079668084062559609627845179769734820682325236053568389120 #^31 #2^2 + 
                    2061229972884006501667146263817344899450191544757523663946\
463286636945143400212692784473970888066511251459141010263588867755453831494522\
996006715141384691385222121437684147864582433173365333999412885152664205249198\
281210039234523919696796143081458637953462973333308622539985691341533980885493\
946133953753830494546648552558496499179023930096028160403352296560038320184495\
3005827162563454888345797532733233099985402977286650593280 #^32 #2^2 + 
                    6652606353521246667552720622733658870541218848710286816248\
392537838087508310950418834681550072691356481627357629325619111614432107454385\
207847518750383085446696198330875774764727113654102577052373368462531219870119\
270043030220323971852137035636389706861280584681402786342216086432540485667190\
709893074166916901035952902062438761878671958440059258575068173205420232896763\
60797420860679366492084772482285815217664356284398305280 #^33 #2^2 - 
                    1016537283496134741076845984276620532014859197226928726580\
916371269170186899728511248411557463758748352671428305927619952087112484600021\
920034602367274472591322052159402867633429320570834852644409427711513389135360\
424530944062043509356256468272246402876207257265686014422208437035967623973976\
205483323247687411640005714465370572254162836207291993384309311711781204006695\
9139394434078938000865877226748340147467370844212124712960 #^34 #2^2 - 
                    2673739614136351779813493119146423760583163894971929113350\
010753356766378511322292588283616460584336550313918021278867507671212931351791\
353605294604843259185562798211234284729926950353367319558867823014941188818363\
011713976640966235553275638844833481538492350216844243101105053524983571043931\
077465867683151523801674593980076426109623924740866518456630842005990956152008\
97540861999204663667949051548813788078033469254443991040 #^35 #2^2 + 
                    4115988146300436802249731562084095509222463209055064420739\
304445601603745987691041666441522241363815454255220758916507258651415813126295\
710160356918618556194233624652598545723552303285321495781584723726988763288379\
964706112527671973631279268734959172453027873036125902188455772901103444275939\
383491731053984737159417679774287435628662501955412961684590903406335005913128\
959334551662250557084357321493205587636360150761917644800 #^36 #2^2 + 
                    1288168965762356762276590386262682226982799175582566548875\
449023200550962755335819784411440065085768456747452389273270115398928511921150\
507648026092520675782606453346181389368325137261885031869934292437117235833794\
059236730102384009422867693963315118521049169629533489092905400029768420916466\
970258825823314167585155061867733109316215455774488274200461569825788458187764\
99887149016773871516739215894133285932207026121694248960 #^37 #2^2 - 
                    1341260722848533990804332255868979067064434963486041378225\
610948485156258432711469040909289715126132033064806157131419888070643595548162\
924696996912598651922819531124053411718296553724948874105753855855557813381341\
044094645037986376454548199787463256728509150391236938701387051140251626108268\
555832082973240200618591138883687687380541574941709903578783334907163980513404\
737555793743219412250597616906777626992083477767127040000 #^38 #2^2 - 
                    7170810393432050748840914912347269905780325913213268245951\
791526314674871444335142227495846941276858753787093311452529183516913108199162\
128395884946550162812332439712414614644684977107228981001962189544140952702760\
690323994564370353582930735898741174020444099153789089893491941981656589516021\
930785686628051942347383486986485973289361897111446337845732023165263692733224\
4231203039398851883414449775324740035416583653713510400 #^39 #2^2 + 
                    3334782380528030238398330808602474541770391811653450648913\
325001576336932366355473535966611865969602386257118361693578407612263279869087\
812494807017184293595742644118453498157322058738932713273523372327544589326191\
583208360749428841768133316387846364677951436533163757233259933638420532329741\
691070057263309143462266676913006848355330707532581632485956702856558727472522\
33374141601273380461209062520983221948768456394617651200 #^40 #2^2 + 
                    2787698816408618786165024109142573580888470349244535147343\
782879234016149517010608670702919946992776660884581697963910491398148332673863\
154491690017143534454595476135059397720235109459810652215694073417059153858860\
728810559585331194155508492292134926674484301480260295087475131597348817752564\
249826381645603747243885240705769344302052854229936615387287397204939491202455\
6502988337680376597549503926919518155178654659143270400 #^41 #2^2 - 
                    5825566465843295750141286873416310682129376766325617405490\
851511350752468716976868555363512629751212390915718672105262571986084193930037\
138531523671754272249239216476454609880457485469811777795170511967579265442928\
778978342463506927236545151766913352571537645604148109176265078581173334614513\
040442018187911907259323166318069774511498589865955440010936457218333888864500\
1074311833586530452892569372293251615538399151338291200 #^42 #2^2 - 
                    4491060397302454265148416428337879073802487650052172833815\
656090478579567373098710555904190060924835021911765003495864078123281498771768\
327896690616720804086781535701314260799312015716076335460239290715828817724743\
507521105563525681406768104013769182792597460881308552427172824992492588709970\
573337133140103437888766999968580088935820526945692212865019764060706094458753\
175343379691545520327404576809279251270546683540275200 #^43 #2^2 + 
                    8219917043445185818792053132011594981442256334198491695692\
741274090417961722703361804080087522340540212773762554082129328477845334719288\
706024941576648628950340981174326885958329127132766423053979750693265206895614\
717462389338078505273278360172713012733412483460265923612747647643861186962030\
034950674943415239854578109018956510179116626542749073361449052640028546804738\
104258746561349177396812810166550517875119150963097600 #^44 #2^2 + 
                    9643562062770076012237409630957425251298387612802705796345\
347920859023770603203259614887993905179542188272945231648913343701802960013794\
976146929144581566234138423986503722882709119172796783581509543433616700621548\
099085277848069463500373434995568956021118870075302259545329954752648418298606\
121725322268340753407585183142791226417100277133320537032947116752191179826543\
51542916161881002125312694138434117177064507939225600 #^45 #2^2 - 
                    6149584901068987390671707347770923064147406315693754795111\
471051300655739717020833422766648394669339472724722334206943571395687734343093\
639325960199340817831477595066155829441696357155545274179068967081239704919909\
739693653357384050169556773973018899336026954560157368938177962897826898735435\
296490024527747062489369722823945929833142996445636940948515173764740986289449\
65434022949954245221637908729392541747113550151680000 #^46 #2^2 - 
                    2423183441795446911289185736208283777597973830260011448667\
599429020300808941978611045811028759333044192447252671324615065539511620816432\
498340386831832349013919171641539807040741649486824539230259967023834712594436\
645568881926667095838982629412331151068658031668434802732866110351718240853255\
509233167966167068856487801277558825151454936326584079944798669788818527351981\
8005311570333773911234257281000148030515451002880000 #^47 #2^2 + 
                    7259333607306256776796209789443942522918666878601577674610\
757389650294364961358969489415456125272784951069675205302402224437658270108457\
624417393479102496716649123211005140464553515208783414502296869361177046917438\
123560906731227182433480133328076606146876435982160010952374762280288014252006\
923970051613164401312550501551615623610923298532861800882827374873979181325616\
0170665300347764995746767594661339031739165573120000 #^48 #2^2 + 
                    1656827345437638621112955036177704208783644346843921999693\
051554767166090071647899498878688020347698454218993533223357708761025531930744\
827851260041597143721540948508607520771912213626955814561725612378589627339698\
928391263160548137483781284915841901792537176022837749156117512898978863523509\
142833577214005971909098840214003824689294406954190286866730907873931710407234\
3005632573698295174981361879700327199268642226176000 #^49 #2^2 - 
                    7450313049899177641782547075454736152108878258205360794322\
129221344306553050971676190004861869010187231022646715393209800866928820807479\
054854886380145176749641580363580947566710184538677794347686003255445320214575\
606603032759974537008932259180027955682103382135525597691908714863870073899578\
440818349597179333111877865515802993637014060141827443104185796844910388363362\
04091658890445912115129474069295459544313282400 #2^4 - 
                    1171864264225089062222921133417512770615364521833102208889\
320475811266394135475235978560147045576940811630959534211983788354491663803642\
015867474593574228251609183368613652570739459607836206736150455067990688973121\
257710758717552482403545407024001659602382676635910809966777027542509799497611\
516495681055153705521353383966427513890903591082711419015123746223060115095529\
8678711525854454377326637374497875542570324828480 # #2^4 + 
                    8800943020932889106978218883477502267181861213544314570898\
531792220078404020614006610030325353758957390085424716979298207333457145016660\
443663093677365535413093118056232615397467416289717084060151962168161179371889\
921634398464616361882116741835112511398638049261497071283957543640633678094213\
793327213323898116418939730321773741882566209438743808139689582141351768449383\
3984157302991706209785786459990910496156576058560 #^2 #2^4 + 
                    1734231411453011406270548110743743340124066359268697747014\
050424792314372573189582488508452164992115057611475536989613339813752307644209\
870004120495756513583649844596563955429742820875328916240121987903983509839995\
861641456569648429508328374485347993015287588881495716857718320330070707613186\
996051436012669259005931005576138388795823374355260262532181139428344827764785\
304097075139740365363685982745186822296091003002880 #^3 #2^4 - 
                    2362321944037610559197362160921106142040250763458647807743\
357967201317495877342904822239513957453134900271042114894332225605640329473182\
375970055566386009689426907702451677808199651942414219844877269841048240096252\
296601299256679737796057338176491675761325664687464759233634144614810534042744\
028064490364442839162995793086398661304116498917126884977045682019105237222882\
418285441720136578742283684298022250290473146707200 #^4 #2^4 - 
                    9511202197042378200080859395583969785990852948633048242766\
038039263409284440603827059821165554120953718577561084952115754513332338980668\
393559548584106221041213000581585340407523365286289207951827089365928751379596\
066406759244094658917147233884821084593031516895263471781212543311156109349199\
153467497120603359905385442049810943536469388092669677615490157306336046693950\
4154742617257428907803931742451516062488201427456000 #^5 #2^4 + 
                    1279494066002026330613546848923415477379434185442101637050\
060863385820226420733330097666227042980046803572699678311505214505809491426143\
878354288474236120695211818488118922561603780559534243678577111789881158254197\
135508829844065901157925979140384774564315871072614185866420657551934587425587\
818689975512673304727865650457724991864889012770926761994188173201300987814928\
4540698039513611177868086257605805831933206678906880 #^6 #2^4 + 
                    2624942543577359741020368390413763349635300245261163228600\
092378717990449266945862062585496539566526200764947171333748375250917330385475\
500567787742618628564239110973842435910452910008247255905687145982188128481113\
387393695495929915011022795199309829028970824842753674971930638240410713107426\
614627535221924003578576043931722637319470887014950727489912604106679504042674\
895126315639772035907398560209946761851824825671045120 #^7 #2^4 - 
                    3546573716592186429804019485966787359250713990724595057490\
500196096210314650852262100823768994069790029131103760610840755062971708033693\
764204062467352923785075421976386406412244663073116016638573371683108845745264\
112051809085777309290974376593474082568343506434327509308489040778056448532081\
106315382027223624919930884928402851025738071052762215158139732970466043164464\
67647354783410494472563094467634866679999698989342720 #^8 #2^4 - 
                    3727957879774611683334047619967079626946280327318534542746\
028978127215863774786586138476403587724746549698601205562160781518546515298321\
119097395435719593319777732926275433758837607670310436676928686243559213996284\
623313564635697192969595355620012430737904651527123141847211970462988350627167\
378680691342640611658465102194726542077714985321799838454385810292976770785857\
6326941292371150216828589319018154524393058228797276160 #^9 #2^4 + 
                    4096818306692283466564926788028732882441862639756283471767\
613621965809781618885994263029083849819432961666441285629679205002580099156588\
108171715915945119912427365614548586803989581538745649527303782148161603207302\
779674441514766593015886398613060137977219415612538045765854209462307085634993\
349878241115316213490863250306081852433134254506284020939472488697060206673454\
957819894863986351823852522712159984453724511729254400 #^10 #2^4 + 
                    3117706629669376311237194264595991115687540813304801992845\
786536022925362913421392027518549726273949100332403785881858444695729781551697\
995881463171207191885615820657587380244479709528652759242263507394600210316550\
916496972614979515488831399890021481933293522652333243860565206983322141580975\
060277042523072016201911712793271553744764680002140621539551111135359698707757\
85937202406629649089916650780717229518995925879151329280 #^11 #2^4 - 
                    3467664158671676162538756922396629711756497456023510721816\
201495750074007382332190737946775307901728231489037190937467130318885872085173\
970239503686553756263659256354423678470903204100652513609466534227789087661865\
447459040955710392717407599178245655460947785892973100976991065142344255695214\
079069080900525228930287324149066697040500041642555933954247588400649460832105\
229301372091244608135517127315666729501445121256325120 #^12 #2^4 - 
                    1660638388141242081260523208393338700333794213664372929909\
542798633328851217789029114116342414095924066420020801123850569264947390616680\
205358585456373687396181124055733740281305335406281599312627470745451093955188\
739690328879693774411107861148873864894362597311472607842835458777532652864625\
117832802885022903195525618018176835324713578279729487945815010301833000153791\
598676814208422288991297017689431515484441115246398013440 #^13 #2^4 - 
                    1704523379985293606862550976811179244008623599457167863984\
146284297522736196874773004936157278348401268724658942642350723250995965525910\
456661368364166656934035599115535860952074110143530937526362321453704690498442\
524808287038677303946061345156605799554431361463743631082964596393610933391558\
478118085869863521927427783480089518857638261137966090235001445858374812775767\
75170340926224319553896246942487851032729528861324738560 #^14 #2^4 + 
                    5854297183266625703464757019063275620218024797747277201531\
984650909755151548079631885265722465144717784704823440353210036151458476770564\
095309184722791440834135537283622111881701259699910957517698361314668578068159\
485211000286914217616856150577284161572844673365111467630202797244338989435197\
190540195143734640228624720255543608725112572173690357529854285540263216169141\
738013143510921844448912420544217708926591760178489589760 #^15 #2^4 + 
                    1060678476826174210013361965469229688715367929369779357409\
146258605518187707033520861074894949355508902879920541275927442983117557652285\
676646242757305582214542140387174734100484379967219638049715207429609921103020\
889607241758045329354560006303077225572326037489192178420869628142388277538216\
177962697533004885462773937908763224067656878770529214646214187186694611415315\
193791999677443232266936182743675022309462167457806417920 #^16 #2^4 - 
                    1389567469204915078478215054095571801784775616797614930107\
678837129767054808303308417970712527618807543621346737388902115940101861847159\
034123913706810409849078813770035637292306660110700236830063099111006941547868\
544453230294668259301269487639084336947262295237824536599702891734101455163079\
244992562708561700190871551478291883188607559742128858133862274260957744657993\
1624235999431151135580463998902965288022890030265154928640 #^17 #2^4 - 
                    2460166521233080752276318095357115031108391735266840734290\
520218754778396474077456174903241973053573033286466373690627970858807215533025\
460124133514986359386375310031714866606453162732504636351276319695640114922310\
766336707279324799974614027697257743378675052187459538751534861565600851848558\
440997172459755257945471316766760216056686236572008091052482837158035931116943\
393618495306211719212977052677639962692100309908245708800 #^18 #2^4 + 
                    2231670502174680935287980250049200920375412478600543003053\
062463819644018937353838167567044500399000718508400912437193711804540219844273\
602191912689951608575206942597763564871115729663765770535313179212227670385144\
677144980574441068336128209782509770896251866806378576390393712058110161227974\
871739010704342627390452871435385559355018252417399049179213082422435402685123\
6843286474790833525408483020092471312222952698599366983680 #^19 #2^4 + 
                    2466378008632139729306495366089305449859712174261663271024\
217611302597702595269125836117018570290962121511026774839273444689133368565799\
306717344785105766390861694005246748743774274057077203393320873539783766973538\
197551308527029572281236978771130666303575836494312531913388304233704413222176\
296125843139204197580464661221932067042862190215774097420443184912401917753967\
89105367139205837177213135211169561067406385767660912640 #^20 #2^4 - 
                    2414937395919171343017202949737644288309982293349389735345\
734760708436152881271667646201057832705203163619000092908832242363066504329501\
072405534671079277845348754732584799848143907763482353723538150467434215486144\
135793938678577459275580215286958812799882576614330279352453262586740116916102\
553914792886941717048038406095253081889808789878037842497918575558981811215540\
5226089776974169973366192486282888064149628149669004574720 #^21 #2^4 + 
                    1250635900197675912191194077673591228361402988017364824576\
046845918734500802273911636507814679500052286313106072937455069740550011695928\
155846697008556515222283692407519741276413411597729161660327032940138774647258\
343961774898306891960094498384133504418234566454641120725030297089630706964714\
883957578449498209675446560117242872791290020997561693520336786781770794391884\
4905758726806010432328258013118969116639282056131887759360 #^22 #2^4 + 
                    1742356770658584159387221245724015954887460697007605126605\
675583783071789918346555701742894193930686845113385529909482234028950239397526\
188491835352171421219460027824701184821138748175130406874202714155244819396735\
981765487364715680694832809060053624689336689722671878872561611539378252259694\
151305176200454016648015002874399332541355661679462234410064173482687060351218\
7333022494228270591831350744470225918638593178064818012160 #^23 #2^4 - 
                    3523285536598507960441956830063153777970406668743552118583\
343786224915570667053089154297701162945827444289481301792012551353959548810007\
332306248428245732003036603096081685829859789246026594366689011420876723002507\
885015947132644880750120314895621130372379293889184398211982042600651508838603\
005877422770001440090523581443984830345190377996012529568077831597196780977462\
3236002984984672570665779009100782920234992543927013212160 #^24 #2^4 - 
                    8467465272339332273376191554902911766844691044444427698649\
025808894645304927809787814036264136322656588433030628656424021731027237533208\
431171579927583218852437593246552605535090843666048710860939489530477944817401\
272334649641301738294999945557665202620143987383148129285176822393220860036261\
050447496957826709869783276390504872195981607200660374333310127268108887246660\
187456864720480095912756626808937291784903832019130122240 #^25 #2^4 + 
                    5475183080350987258164556133975412732007859570433272819768\
601992019639806680331244785026350368113525944735857052778463888625586940449874\
482672709627159243887123032175450122022162901152134841814706295984139044114171\
747567031573165507256233340906419600328249081914080445558038437323386376998212\
639546366270171709562831833605443962196444939020568037739944328411038963177288\
5849696947832868476702942341090864914795659225365426995200 #^26 #2^4 + 
                    3442547313651953646305122942515024163627337651716998163204\
831609592637969100580165478869027028255122465549933346135044120437514525853915\
312067464453860134750751979459169798556587870929417900787936742101505852655832\
677925667907986864043613473166593334424626090105334394256399839367333876297237\
409793610637850351808228797689333010024503123132409618114746861988345449471243\
137909067991350709862021370449348462235272824145093591040 #^27 #2^4 - 
                    5799335607408051025692564634177067972111290787756594080095\
034553291642382028004483098375344178142874283445285717370536531854967006851928\
347942425342728223132224253965555013945118933599186208906926228051353515534154\
824682090360790017596361603553744298993093357758557080035598196874431389369089\
502735272312257833049995927525238994583371951570809648378982525198607791378559\
9151134860137828905118405457172574669510381442456344330240 #^28 #2^4 - 
                    2160895379407369596220275058435153049136758106082754451243\
697328632777180288776667402759443005829918496965465403495690600692941600167508\
799265095550337525445287022018689840877078192377224871850726316831036749015049\
477176435879861533211412164168706377720133243883604079232305373090844595399421\
521198548904036134245775374869884203535358286280044039184420975660668744209079\
484197652218584590615669693799713563025770877640853422080 #^29 #2^4 + 
                    4547911517676001070659551083456524495989387924564053280474\
049257577087158264800087685445815833012169381106778355643475677733401594146404\
553162123909954640831904329086054420478987995165675395938208296328148622484813\
162096390278522656630684003820183569845528357384797970782207811821332568588566\
016369396317527716150036263620670184524936574130628224118715785685377237141047\
0601746883173418603732553263314076041299672910121580625920 #^30 #2^4 + 
                    1678707344140082235920918800786530351969513526281504508027\
608905278787249833466548589031769173035256202046891345174628668291548527085038\
930591413071348309866146083072533497655805249726923065852525795553388065409102\
817005643425356287740970045384993327668326619516835298337365935195418689846970\
294837509599833600446921584320925488288023052390024100607720061991225016474647\
589703485837751717095054994986097657738983185629860331520 #^31 #2^4 - 
                    2776398188473084645186374672574512401680194560508750122740\
442478868895709705507490520711470449028908328777830299644447054127119848736858\
551349858956046558483596755123776029691045281409143577569683838861829077249916\
496484941222460004862005113222646978224047406106685733083496655077591620259490\
982108720710357688073036926434137208042816999637040159196474288187058468940367\
7324602137886842573259092855528754553486402457796786257920 #^32 #2^4 - 
                    9151212124823771418674621943466869862701454125394568161193\
590865755449640882091283749601073638572654862800242613626647483864940261406085\
243015298706941901058408127641610214484841917619458896891628482646256216200457\
514785491939301252974087416470499211005120997935213800956693272316084533973807\
014644628700823129893493574461887336717346070775255972690391760241072825395545\
16555208128389688186055401994101560953073658127722741760 #^33 #2^4 + 
                    1369640937386679282479132011262734786600281335300011461884\
079928003355767577403011356703031541789629578317311515024038290960892240875132\
029426740165557311429488744922004195964845456599164673869265327641834980246241\
031233906347835372129728692995448776321594284212823164493126732753600051522153\
624078175713871002578988806711817131049299705590124852776510144105551798690838\
2609531069144541360003084739840342534814477553661053501440 #^34 #2^4 + 
                    3680700918915067855019080235090760857086648796567821119145\
100164840170616381701667635233480522350966525123098746803027572804812402561219\
596639260856668451599767610336295614203241738495643612313545556657006266518735\
917065244146518440568188622921879144554497936196920887743026475386805560107436\
457223518533274527857802181521878515022354111306942948436188031365400850900963\
93385742254055124353350860874150838213314668097070694400 #^35 #2^4 - 
                    5547134205340392528533135545781439076489770824981170807184\
116811979709417110954723158919558250312640712087110857005036208065471188829868\
683841874476757402630055851652491246463579376279942427231897659405596573005287\
217321017208716982318784261230703438089089839162707507404667795481977783346927\
339216081769478613394210882320347162100370136775541960586677546107370153688666\
426802186889318133400310362835112636672579367147478712320 #^36 #2^4 - 
                    1761495201591019686355225059076032220883446678065330743105\
496233422672535424460114121913314496891199318957854259604830585337368885601866\
157023203582997578288182581993434363033070352150751149206899891441909334651625\
338881393614350756293266286118529118325186236088852904233730918057583657290362\
596223214720944440392779821430742332990215216179808006677366955995342493179536\
59445368600893952047331660176779596566698193586728468480 #^37 #2^4 + 
                    1808033156568664893352883962290936102385575512043901612998\
963514829566624606515654529461437592468907536628159177295504743466385064162036\
925055203092957706400528322207577631169697070596253964041502094061446938390130\
924182445717762226260358803622900941367910889610175374026795298498098178305406\
328671548477632337247959477524575160537056295121896659259033818795284743755333\
029998052165892865147484383776013024199410718229921792000 #^38 #2^4 + 
                    9730957112514325724307124905974784904277045641687280632569\
203869697315167912421734951587934105185435435935349918543190759275022159508843\
883025175892538560099102231663829190848154471576028464115034292702604908903440\
677403325430086325747360929500322977714478325032354654878920457714956734547572\
901611023588815494642208001787810710877961888833638191284715553568546953380344\
1970689375902162413813980445982177445568031008122470400 #^39 #2^4 - 
                    4496240163032759120499504548345680016466344880078004582784\
703393901206142348478265148681934133281725939877193109725393928804403841683998\
633076211581512862821410331245796074465622560043688895608822314745195693155785\
253948626065303031956062611848812687874562011764703244875960667850644264202358\
215804050709867674377274695131381534311526386214835157887656251290092253327555\
24474432816442693187735214760145503280182377746268160000 #^40 #2^4 - 
                    3771512270323502225022420998112702008546107158659665335974\
086088532592255391266178769696596249339993625312940406138129916293182564749615\
331625274602007748489321129325116827376688938323180229713524047802569581450586\
512213779905156956700334784210407743291995129090519805167972139925265827910951\
808218138510694432742690316640208154322780723380657543596013766426412681619037\
7941764051409401595288010243557892361788826231557324800 #^41 #2^4 + 
                    7855533937197682954735736406899392664317781819321571873855\
709331373918224032600125340876798275433106312996891655721699957125824311244471\
420337254837099055823219382138220533541077290002728341651638374033803109320423\
805743256599914945926565462883888296691543329450676784772199867155251923659198\
486781638115538509205693123606099929200355109230349757777591327563330578908398\
7504531451006311502212512733907096776168279444658585600 #^42 #2^4 + 
                    6072821033746696868459410730138038834109605652193378570495\
135998254757300880514360712687428188565954155605407741198067348806004632010047\
412522708589129594856895509996533735427386826707998939251008411799857022899925\
877381794130578731749572154262336710629439766031393530030372698622262897567694\
893249512758190418462246883086035281416622990963611329333148658845714820692572\
853684267501165282564691286661840184266075829121843200 #^43 #2^4 - 
                    1108604197346258161950086354030334721437987061849775270656\
907507440947298235170543922057677756513659930097633943662429662622899275690122\
046303745674611335791973299634670183091601734261268975381124291720552437712914\
228976478769927591604000473236440022662690773843529640026983757200814020183604\
687980265020868142894890515051871494517004850302201029381494706506276136395733\
5985458139665681319891503239327319575182068145979392000 #^44 #2^4 - 
                    1302403192320601969115375005899168656603019515645147224080\
929808139044484452597308074025197312797840556029507743088440529251666486276827\
204149830990845243143408940848058839565229944322623144026926343700388542297648\
548791943499454580720510712650616732545869099789251968320257348647307373493292\
702687557344332615425649847109006370260002081270845032784068951496427500227582\
752807299938167652373712099326991036015450641976524800 #^45 #2^4 + 
                    8293690296918295662256211326321130255782424704495056616951\
124367052738613196626928241844238691843867351170516815385515225309080175089850\
240708289322721087300873261208689369871228475774178089712398810766606683853604\
195050666374365017201443713405065615056906614340841860631941344317039691541405\
344884543257590551362366155981434855424043899016056320811091416294986979915727\
18601450706395683599539701603767995346378710581248000 #^46 #2^4 + 
                    3277659623586383800332295346562460482597199598172885610167\
835857306607598415277803333535426060475236525992908018260643409950122616503304\
072987574333140071118772389660948186142730140728766586654387659767106771135022\
895368143767114955455295885905658433982201321338385198150557023068419705255362\
493282731392815408383191604269837176422817126537008789303626512898406943941134\
6538392412691105739682457019799496056360967077888000 #^47 #2^4 - 
                    9791330256769693184125601255010728306708063968332361120073\
322844843608278626778294413905756993377761562581204608996538548800766311031676\
086472852783776779263789116146450998879957945814572807771791993166161038687371\
265460895631705972522277042667548724641004824399646048788657867130162386386224\
854001330282827146785239901987394344795476439885291184323226670389228431390980\
3638106871296398328434774514119138327153199808512000 #^48 #2^4 - 
                    2235560368863662970752561140668799045178972710356196489568\
342146695099585115312565097861918076149114503683922649797836535256815967005262\
724852029715518859007426024163391296309468915069694219858286084413794055569431\
799692508268941236729632565798051656929569705146538244195225341783410441246221\
302938394580565635709321004829031138663832833205972560165495713251430736948994\
4013909871186881562750868092287802208679769407488000 #^49 #2^4 - 
                    5443456939671115046790982780018602623533085504860674177998\
765262132935817862259333096253392319277713361302045273049903940085847036060811\
583198700133766062842770971544439769907272657803573274440411118649373414157148\
000169261373464965962276186206411253570628858634527467370238476375106876519115\
468176126784140446819503811579523578293750531931948693332860183589863746588932\
031859861362916423403738598267291759423380800 #2^6 - 
                    3110546822669208598166275874296344356304620288491813815999\
294435504534753064148190340716224182444407635029740156028516537191912592034749\
476113542933580607338726269453965582804155804459184728251663496371070522375513\
142953863641979980549872106403663573468930776362587124211564843642918215153780\
267529215305223112468287892331156330453571732532542110475920104908493569479389\
732491349350237956230707770438452433956217600 #^2 #2^6 + 
                    3110546822669208598166275874296344356304620288491813815999\
294435504534753064148190340716224182444407635029740156028516537191912592034749\
476113542933580607338726269453965582804155804459184728251663496371070522375513\
142953863641979980549872106403663573468930776362587124211564843642918215153780\
267529215305223112468287892331156330453571732532542110475920104908493569479389\
732491349350237956230707770438452433956217600 #2^8& , 
                    1688421829745617486539535563533781252019044599017664635926\
723478140826032966796908563476172732185038450018796351567358838329036832102079\
187774862186124103530032519194266186745504086079694347772369752397441356539123\
306074749545191552335193990935340715555617850155545281174879645166418610578626\
643601066152645945656160733268293333740548934435921760624151336611170840673707\
528631985916678718787891935483170506467105885004381837297320230010573922817900\
041497149094013325761917681954806902663442341 #2 + 
                    2876150448196845129043650818831075840496236907728331637474\
197661370601803781909691799797305731973409859030181268559955856879475479912726\
349470714128854109253148800085404957133823216258465626179734688472005659289708\
113699874574363463510382357879673618714958993340871574045331319556096711565910\
953356618810466754194581946129625156666518220097344508338937604789957288289376\
763244463695798640109380450953605837760473228253145740955376998126154324580616\
2152989647335719303277717411954617773673833288 # #2 - 
                    1883194307023652874764294995331778463687498130440949785767\
870466333415188971136263725025167144781341844365656748793673938079343747842117\
707044363041995016259208413659837684645135581204835126331896401912374306887195\
720994876878501330787034244304141989507009549747690883556068122132203995236043\
339730595117906890191076952911965372289942303640980675070422083024438834125231\
583148590709077337248925289512276896165163971697153814421336288866772935833917\
31272822716905761910443565175990891668374973496 #^2 #2 - 
                    4159283355244875855609481785462018521699054441507694485911\
920515444055171185615684207273224528049809037817803435565543195122138894359457\
227265223565716683352854413792323332551828886472650754106199335389149135323258\
501438951568716805531637590749163220613378654588088204525252059337090567539760\
698916608906171894189320949329480198694577813810251880973923644858402330985024\
560462096482711696321401324128517760238508214338679160390203908933592082793999\
372211887558685417362511856284862560161418613392 #^3 #2 + 
                    4270493997801316702092935547033681416337972733846502125881\
936413836698180758656313608607201140515238023512840386899474056064778411896907\
088561613426764119408578660265731673338791483924200060272200438752614181057155\
709972121708706123071312639307304398985869153875195217903296676397560257720903\
370311392874783925118915465808608994647924925090591374063231114012160024751923\
478561704251921832453830346781696527714444694269239188873146946658514317759770\
117206194416168323376994688592437236225256289840 #^4 #2 + 
                    2268426122099106729713680162502332036581813806859666969270\
510721722775121967199948020563917339809620235435176289206924547986177947955225\
267623338055191336661162384529652279128627103788173683303073562347932675075138\
039871751287683442742267978618756176134827633933954999557858535018268156256435\
317385879797075621313921133729535771724843484024526780326261880732874097225212\
350741940816349165723283077778730270463166076228705224466245468840599332386244\
60342464316298526711930419612196525622007430183488 #^5 #2 + 
                    6707940427503476531674924969268462016209954263158412387594\
777905046123226444607074929858635664134184817345292356568360777783429428695956\
486129056986937991694055837901184398575245646021465308688211324608825532140416\
363333811191080814207552868489300719126251149882177414658839743529113639509456\
359585550173089693246499650737229390661611819725406858860178282047227663895066\
514408711725161166519394573391306507038307337592198933721551477959469283688923\
474595047470605816320662650478711235310952865088 #^6 #2 - 
                    6257549576677916003417144740734990156552130738202864730606\
798479234228740053396378421418725143403521853695157142078165998405351919369319\
837577014490982321376919103279659894715522352773761753649884354041880378563855\
754579791802072446187459417442655424718130432808609348575566469656209323872025\
362944319123908948988146120657281943309171102223297994078922810573476005230249\
529100388094735821364030951559386651586820200357303590117831175270507582122410\
916886919712582404837952000439481819806675108113920 #^7 #2 + 
                    3513677689320821775639032263359366209419328684410006941698\
993018713093579828142612411710135101443764058243156881462307429505859835683510\
950213444533039555126667655898084571814002435654787092551565935867877111564903\
825547910508478743088853264219323407765097080010011595680587997950099975423356\
697185971318791112996359575794842716766016117731381385215827203632909198545821\
219576465149481648086884081906610431566915599389931919944854475909993431721362\
01234500853347132369277470143262897359540306712576 #^8 #2 + 
                    8877684548021395124636701239020224652747700143770957613956\
161578743925140236657484802016207178022773460669716190925003403604024278112774\
056682778448120153282703855819022714169100850257138666589663076277523421947339\
885965418929628795973949706606421237771605807359009520537914644090463672797025\
305674715140234021529886103227516072195865820326504153468245887090426094190496\
481922629450478161945814387081371291413608987416739366437985434009058520040098\
0881941291032785036543413553673199099021458797126144 #^9 #2 - 
                    5980568571160399171607701630603894336894442952321640870439\
850722298407053270740184198362511795673360706641382271411814395222595235421993\
491073103794160095406874986833770433806851618738948288990483039740260733399036\
640852143834315886326924500392057294095663580780816286722330321824700971242468\
735895556849270272555524175077562488028680152819812225501834108051505693593947\
250721684451132797584725027398978110016106329111329163192445163438122625394952\
448392795434638070498909568272963960067348111300608 #^10 #2 - 
                    7415240934456258866284423413908254940953777659057384864842\
876772615678339976688027895533106054680928518763233169332179028516387297084408\
535526393062099683889293535894453373302075420138197523833390816097736297908480\
200721253188494215608689210730518413929186069600239063466988727722600742127414\
382797455087576760979015935338259785536289536923843104929131255802718010827746\
925409147985310114031965338514782716765920151094043309961824484198467701661483\
96994140640235779567849134306238145426965094435360768 #^11 #2 - 
                    9878693340321420186995100999188923583109696063863440768272\
767910866308728995623379839178610933046773639954505777854842012828857603980586\
758625863225986186162851012356123895956766547269087057628695132648083021130489\
483104993473278691424467690284340843043687143635976344640431335274840106951744\
507104345030563807697810085444793971850814505489801178002618025306072739774401\
001606471762454838578501653274737163965877702534229592663165092577824626861887\
763743568180746698488261986737150178894802029707264 #^12 #2 + 
                    3945612251542160053254435459603059183231589922845421192409\
808897477331509977502272675388935092640543089043520413147523077297381961286741\
904544177963649378107773420928067402471979854907574014687491553124042100062100\
117280522333267130690817589396401405545456275609230824825395170517801398026121\
387364599173961415797675357428344306360218206230797954038153662855285233215130\
754114166682414003445840001197781199703863536047432002108020225057020977537456\
924494428263661599513708067737784754157663053012393984 #^13 #2 + 
                    4624338599498610928948641532102665518198010524979202043063\
546808580472834507559537100360949583987062327155227381639905061237040557440145\
752688845758392130956187674079221744203522387599740079685346738205297878783639\
588807023830225036001366286438809902272824170639433728691389374011519434332621\
942735420054630509835195535700967426291713529872556797425398881575717807968046\
313788661660254002075545116341493448092688022874482531165075829591357949154833\
69954091733532927741197443195049703502338742324084736 #^14 #2 - 
                    1390021160439842420591156484623768553066863567290811750027\
956246250717508617509264219085320959329615945711568443874396558422833933132409\
163851599315664378690823727023693667827106276752797157243157285798630756497784\
577599399309681006781857093533565517717321539633847103466999039469654373038750\
483248125211640954615373155811419654094280179250733567427759640184820904172563\
573952345500495948213632354618387281497147298851787036180330168412184170211683\
3771308461854398863815765773895918619900197744129703936 #^15 #2 - 
                    2640868223534919235503728484727197444673681826337288386119\
581583444387366331778616196003994189940059943354723426523879759027704104299045\
793413951842265458834266621163525382567465231798431251057979389873460558013505\
259714600534616910370176180339696473456286084827524657198852378619724934631937\
672945694039245231596815859031704228042394687253134094653866205731129579775317\
751779892478217342925258180749076676802310607066118300590876994676626451237490\
726611968022604632663574035113300612317151218040766464 #^16 #2 + 
                    3298618085077415104987350424875348850813533097211083340584\
415074095321768199730062004701100010898213757782597782406620483873489724746387\
972011004197780725578040271995224309169722263195764827342022370407807352551383\
048104290367112559592691686146176354961273304893841299975052080691621449780907\
104429004553047500295987787805426451104249661314300103694969542223123057811451\
241071924269205260872258096230348258022854090280279335847792555996048459822196\
3600397495378492512848967545453238605650492406887743488 #^17 #2 + 
                    6011613167286942637560401548254673849165789263133656150517\
142934143566231528879281475748547925563238295844530779344804482671016552528646\
231335848697897650680601503146252167315234224279374572796253721184929587900528\
150071102965485711611555095589491016477842452237008767073299558678754214510507\
561232634405774411544961268193793932787043456497821877865039806797016458948351\
452818452894488321836427336831467778897476811660620298484376206317696057123506\
679723949278809856462073886548567747409173369353142272 #^18 #2 - 
                    5299926821833254441357756141875633520095944397363452404340\
976051012683745040810116242471472665591540944412413483305385135199837298140037\
020228052172600245222834686569465450977959317502830014405834240640996589440376\
605911197472429320332630683045829550928680300706997600229887750438783708135509\
150460729489282090128967210429097154681633630349762356780139265210046373561533\
263107948414774495741558109274948614612832037072434993511430663340865865516009\
8344338734783568555698262748049158697421456554884333568 #^19 #2 - 
                    7336362839999148005394626907849759050043339545461545727054\
043974728115219214141101692500677856024807230668741868763947816035600688172282\
965712203079239053641663454447153600482599408616458822427576761555166705722741\
427408391470108817266383022944525939645112206244776151210168932783971659359617\
415578410169840651042942452853264476690409092729065014806790125654122096803827\
336490522816351629030861051685636510412099068968066089079120691061554432688381\
90215877955115607831472605972402261220063866358071296 #^20 #2 + 
                    5744644596171254852048361617640540079033498961663781205995\
000878365393763208621669621549779997848438007459679728039384372718454313386931\
288096390785824242062795351411231446484184729944761475233114839627440015837148\
847007422337175003074305023422776443290347549189433571742730191177878253605547\
188311591967709071815320794581302443847584613594635379962096704764612406395480\
257966003889799841212942350911310053929601554005324314218509832504408115497703\
2084562618960400534284746575602896196872072561694867456 #^21 #2 - 
                    2962157526326706363438987423843678162894814572543087221331\
006018245860355105059094334198281276356108510611058191827048941676414089186319\
793014959635262321814589223810659866509923170465279985844743471995625993839410\
847011696418163300053802914624231519110654246491922284351521967396758972039306\
208466874198793994573907480588238253387923424146661417738559561812040663087443\
812023812182090742374368884828184472143726479819800056588270169963358942129958\
7378732424423285890692773973735842625770399620069851136 #^22 #2 - 
                    4164005530797513449312459214047219399140569411252166207999\
762015270050715389077672931377485386054997276751175832076736478938035503834714\
924243336238783792970859216363979015981487722077960145530448664877037624146174\
356760699197293356888411478127548642546175044701157745618862988189089865892817\
407777929188865616288513457327713992958924003169431338009925604933232941078677\
345957779251624906335334089674408948275637542408662508956906491864515244219577\
1887522982601242348587689041359597854015217169059545088 #^23 #2 + 
                    8362992102184323407937443010421875072188637697455309927811\
857430096742040093146740380092354832369721737091504770606374149932483605248949\
933438638471382718259979433790449765521071414482881684782766328413960627298760\
993948150505156454040726901628235206870097699761456689081465939268454432480889\
389504401136821282179511150670904296528016132585901785133713672179952594758392\
851358058487021050087803745414081442314401967304507922139097184489149427874528\
8304739473205167650141123936337867580964467056018718720 #^24 #2 + 
                    2050228281134618856909381548219046377531590559282366089336\
014049353055485853711038351046142225889432465917527586545137384524605814733272\
380227432812491370267457193020051331727363624226592994027172950332638620469680\
271167647281177793549489630570441274958688810056444074805982583896564261411918\
101234190133175693981075827191284178813617277482669097635552234127344907769556\
015845130106792703495185298025791948436023426725557657134662717341328278775937\
0361769097541325200544495674514002508977066669514948608 #^25 #2 - 
                    1299608638271055719943547409674364128852045289124581839644\
817143672125686862519536753669602793498643669077290558494417557503023481087946\
193382736329165288470932349541788124989954663269097774839427855008937985831922\
934161257520471741666332943528884374446851842244624004851528581926018151013296\
555314978128892927965433017028380048158077958766900693293702553424540233500426\
482713772202202640801858661349351145367591801214066473898478960344401914660718\
91787002199136407587281525251821983229774255677826400256 #^26 #2 - 
                    8574103733412708101974623829843454450409909933663306106060\
245081602425273032552522652492604569493243403943762290822386268303146273323626\
207114291959093516944637671862003831348584212070917931505854207459711005188392\
266699766189703201296023280558446323321301209374774101446223716991197186377490\
147429401557741022687977670146535169682647840679503745260535763215517399237006\
131627645230729569365501303168177244746564934653427760978640447546403323977295\
189298527171182116860427715894949989784544598189670400 #^27 #2 + 
                    1376256347550140240192824548896258069116076657014487299677\
381798458966395744776265921122178870159145091574721070988548367570982644472557\
903149126451364365654116709091158685757780905644718556370424866396258446961177\
832521253014789133376703372644693952097484138316946059457680175503812816121691\
282914135308658524519287788646723609077054828074291448839093716507803456021404\
901742006398425388852669266707862449301339503269689258848114371231131896319610\
70227076108043878257933620713422347882964726063367716864 #^28 #2 + 
                    5428473640697327604031785968132193146671014799155757970747\
742318990491089385937769653862134971868082103255690941039674880337939226697547\
801866276723093212651954579315874372789624443617557519953017304023705538625713\
506746508338056020363355511037262206775975227796807104902211807976112777514010\
898209096127601748299796958969492975362679738078149716175299473449694264736593\
077577474051071799032417671746860154890548739220732526874434554036127898231516\
071933182888902004768073453258215637794904317882269696 #^29 #2 - 
                    1079081079776667807392979785888906016411920994187619191959\
069879020616111325726205084128779387312120866750049005316405694746968245865094\
675878908311336883517076296533143677891883460364842122440334391789064068699837\
144120425937064892515370918210750383841102636506977441138581946534987525484855\
673261809282720650146210793571489818162852580538409696621295586269808774324100\
453684255338529582230074974483485121116010853260943777644146835138089048163236\
59856282884259268025689489129206915204993490613216215040 #^30 #2 - 
                    4158327147353555419769495965324883632171123012744310288085\
721942386370058680167062608623108575806794176448792908846465680705890684184225\
334369697899628808942584774246817844383395679570256402132598865285254082777438\
097739630059285949972027096131816019040413319001917923719038757368164150227294\
224665955896563086773912434231399973663981494039481789797947155923965791701039\
027844323501373163513622253975457116050215955655885349314126079958764147503859\
174035805840597730125538947073061396029612770394636288 #^31 #2 + 
                    6586757189003372364490865468275281789291999112539908591553\
506844112865867579965968060668689069678085325451136080971443618478249922303344\
743956545349845401257128343634841434290819127523790266010373891406142250689299\
684505899682895037306756726523191213559681969565992389328814250685070339271707\
647538877693223069161806762388955038520922816047586124629908520453780500672290\
929852826464359482470889246569723867052700276931523817951524065665594727804848\
0041932375529234367361888608023223260257303513238863872 #^32 #2 + 
                    2254291275857750396781678446044548644688334497514613253693\
035482003477199508514800541644573923194392410358943393515423005899549363469071\
833057499753256525252995397294798843437931325229329361118605621832129053003420\
297735811291236899197053511427718109834644765943618999011498369781408677583874\
433682505713768918312889115327904108577025006395761937686295114531310074529568\
105009299500591188876570000011896852905499280415578967544481515624469943974238\
391652698320920172096952734669969742217616441879822336 #^33 #2 - 
                    3249049190644972228015132953408273478436287581787984967495\
029895694290228207513562371447459601558399511513588919062918704556553773671204\
917380368073592457568752580712847029770183339514521627040497905218139108541990\
614878465543605802374052514294870100978297014396670968693032980693491469346471\
787302427778402014822980865343986042205140713757777779629166966240743102693434\
756219802105079727767724247043528741313543347615992390479079710306972995278163\
3031342136911106197551845999913365410823624848964583424 #^34 #2 - 
                    9058627429950677892975709865209324644829515376029027560979\
904641066629634749581059063222436400264315314499277423364497765303910993756992\
438524413190120127972546888435331066521191723443639668059697296929119584461597\
658867343582775885543847378657269567778221803846619694944523345336286642624874\
245343875837848833825566480554390334686537159779070146237336990748369460598928\
725416848980598077409211365953142109598644272924849272372868668830342628703523\
31755505962163552079342231593537577916969216727056384 #^35 #2 + 
                    1315733679090112146731489057596759493916442693022723320084\
126367902516875330256380615220564130627971879033573076263482064258247742746706\
702005958057597477665198460402498530632574062011290249854649231878563103456176\
083145136391335042016459315284754918946747998458738552702078222118091985136991\
159842753487403767956289534695177903224599244648242695507336128958444898033032\
139602306785286256922800156995355552393593845258116023165737473220975872259323\
6638399410544481778549487642712926299174838948318937088 #^36 #2 + 
                    4282222333838762238659078476085312717735909569936435174753\
818829946998123830224631468374402646354273187575961191578849688749403461188999\
571134055972433023303265278745969784030347911697363036810174490916462226669843\
928642665827069398876198813794596802947530168287594888672328546552625368698138\
330032521603274165605021051241854222111447116863413107299881972612504454621418\
591957165600477570050337086299518171174119912897403851445832360583228215498591\
63371904101597921497765339580635094754406358763700224 #^37 #2 - 
                    4287841935052071957270503237843614568804611081518734171476\
468206183730133362682751721205807179928502270418157752073277850137965464996034\
431662360662739234921324894270912731650520388007079744872636265019541545595823\
324550631752046047695414374796067639203523258165276988072487943313132588944416\
555771823221594884312975807866068825777143772681556765090986906352250637819064\
383927451043778210828130375083580184328321558530915398349776359508539126444160\
011344500741706943869296562681382291495337358167900160 #^38 #2 - 
                    2333083295505406860765689268262841815406387349163738336014\
111485493083739690255735883608799662799878587364500586933792624916599011445357\
440312908779851370137097081526962059721291065806622465667906724939374781364408\
313684832356381899588071855955344195279371486052571053970383064233832847960023\
043089836289661121763648707465168855212707075623422270464598444474784683939818\
193552355387732368279504377439654532696239903843430595102483537882043770051131\
20026136322284765525356064372974010345486943759892480 #^39 #2 + 
                    1066134540524462092247348515622405478693383194937233650271\
186784229397163854526704400425265120765632521071083595120792488487272577839731\
689920591719216368210062574673563009441477646063585082969544162608859614858023\
250425695165222345847239349356159564301539391660426382052168111508366444282331\
524340539527359169243776102896450362656866581927194340295930026961953887289452\
157356664241675004849288315025327530418618788922648464179603863789928737952797\
434928424091326041247564283677507671621523352091361280 #^40 #2 + 
                    8986470778841413828666081069093207516953895071272041444480\
269568816765879951684034897907857129900499244458912729679152359021706001778277\
184013946810128988912016547072756089471583816349177922796497477992198187761653\
244879107920345063495083107027447567544101766014204105722067063983461372425370\
981073974257030690052993088414282230247749109519482459081623437949715949518774\
800942369007561138569604485578668465983517430668889112354496641910932284544072\
1476582691689933780164553620064382429307650053242880 #^41 #2 - 
                    1862611219990138887381989243934990037525339357582592131255\
405985237541679882981422662062820096102645447374696087488690424834754160479222\
932153659286361115436340649347985950289088214950757927994520609200140143207034\
862567436875391778346769784506426634963696588969953147601070764860551287960609\
540643298204296625995187190003300486035250877993241430260445164898691340631289\
536066379917751697885106279802860226467468756828166019077834278203795807064170\
58933510713876199801995113056476739057286116907417600 #^42 #2 - 
                    1446066442519788893319507109337397013085885076720426390590\
819767926739980480693369189095694600650229462343965555919930911297260317274361\
583525360440543345634403137514122422446754978034896002103472274338441611037646\
452288872551895607826603714235134628521227579115618276326684696242940684301281\
217404124876558377208163999169200483250248478968626262660946114762966032199846\
542194535729998583894858791382506830003960860168228269710047759861624896198776\
4415187556357301504968450594916384487646957330759680 #^43 #2 + 
                    2628143238364934310306993755939400602384812966431996815697\
723457751863582054595344063328570350649230074716631560599592151049728221866040\
148107013615607511168418035208112955834969949021206781738207962325421383896521\
276030074304172574075241413922172252351732563338930261555669798188265519441139\
247687258370238280385079206560579153594034991164598125591769189028084439137123\
421514153850450572261862694523403288378587752962970450587726415586272460914326\
4846375104749253932379468214157882348227625977118720 #^44 #2 + 
                    3092473381097587349542442568384291374594833435432514034416\
409150021006091962905878808356161137175873275736383590755419804492407085883134\
817706828206909732458594820360472887608165508564219138870010023444592682879950\
672066884345310950149332633031945798237262122326578833440940271062141438765737\
998890679742706928394999500083283549532084715992076063071582947567339142662532\
883827281978775587055785710018191921357781261229205372109569950816939282663475\
545093293106259001770609036336919988614064022487040 #^45 #2 - 
                    1966567846032111861224179024023813192912888173627997215074\
545702967533218750166491385386542646968546868219416305022206454840143860668229\
780076508788413168125494065283808006543180630664741832920244146707221719488208\
056241341710470725434389680850933396614289284729666095717358500521974701787750\
742311911781653280390489445136667312223704477285246867892388474404771304297336\
003372994184897203011268295581851119131494036903887301799078701118918071251715\
958220260465232707485672683728109122985365654732800 #^46 #2 - 
                    7828046614575565982320146528362040078713430267260633197428\
634970473931527348479828446618596107393876830017692646679164294005126514064042\
542599075737851723956037108701687823983226098384136054537753555948202555033252\
453492321178561958894077596713976312131007151673891633357616614912148812684697\
041296573855090138485220327823827217121520573637167807162910420870839160998688\
553683848358853730540721967312248868549681978264926830990490831002120262751320\
5978181702280568953957871155255290869582712012800 #^47 #2 + 
                    2320415021611060274566553003984856957288859467097442059237\
120517561945568133792257492698506011782498026834029165079439112685538011449997\
943609828059576684696039850918442086913468310753640835406213441882444969373061\
009987574802958046212850729729208146559083330939822062725722799462318834234247\
635166291535168596188931140851022326507373760370828948239623767792451608776182\
503363130340641573144876959410797794239475341904862431508165864584334487161750\
18767708936521141272078257454124600577435159756800 #^48 #2 + 
                    5300494006895279675848168698838371323978920127516150607222\
854130777247464020361743687708442960021104944721554321521910475664817337163902\
589535353620382854193821464970134792081876324364310364061290304291146293987300\
865209594772453774232556753613710856655459713745492469777669088977272373400418\
724286770805104509670696163735245726299935340794151052870916652325584472888601\
139777397429009054456627609607419223654371499160043423107925207988498742469291\
6495807940888042061582462529326831978538231398400 #^49 #2 - 
                    6110446864121841162138519623272758788460241536763878018096\
101390478778485712730723305254226717075932972146166110177957816495197931898156\
232036101319751725447603617951060574738577773258659311715712255273089366200762\
085172711884408561894972428188220581316329385714451860069471037825952706845839\
953264311807203047481976989589626823931262040909924369359464075203975348338879\
532516907132841117906649861244211394619511914541822922996804413871399149984360\
46300173126729592387860160362229672264950020 #2^3 - 
                    3188239601514232916667056325436307201837765022696674861439\
972788376681301277910118229636196097501249132855605416298946019726518031038359\
273206439982467823451216810786284209223805911489884258341796547790231344245052\
952832528984403159831076583904126750111648094371855637903399432600047597200537\
260962468319916794544998558971701250351207810224394540695364055408704708940036\
455022544839752038928864411382877350059160335345038611307141418732228426188529\
2521870900582987762112938257114374163814916560 # #2^3 - 
                    
                    3447729679043657575816537357921278616890258895566753427580\
420172817375925738872510711165054230959530409859084807563809395093078194091584\
687885380090053434725311777897034913838206060975190585356791572727421003112003\
514357373674751508256847632102736281116936758424869644903499679860701595988482\
953956990919011506562382231921636741943988957935224512385780676098230309216027\
245695346266603465324966181078604109030576820685800871645564479337631459239674\
2913467818679402742560876035164040642781475408 #^2 #2^3 + 
                    3710467028101220334625894874652349853521666054176756719443\
834108386592853306871469116417254470850668904254522699584939207112550180856010\
045157479588922232597538294070781196051383792658002505134448340267626930547387\
993888499385064097526764974603017300480498134987697488582506897762219969731330\
198391507176074209125967201702504217451865629070659465727946220400846524914070\
850153395872674223933835302802357269533728227816501950664347611048817957359020\
429453122838226157352518990999928200971345728992 #^3 #2^3 + 
                    8766667945495987045473909069528304161907640079598973816517\
181271620454223453763423060478223284321339249617797280109704827183946090521279\
563588957731091669482984868709329153356725689856172627069922064904879741162944\
815808613081302151355463525512793980402654952050966373476401399011096194225986\
701470401501015053255706568151859212395547679228962592408292006432562558642636\
773743034472010866202450022132744764894552400847828772957174584748124856903088\
202775967144076340177531280683576542122068732416 #^4 #2^3 - 
                    1903199215808433908422178498349502621898903823162581574187\
751061751129288769039505619359737564321926958420786947116455382005317349024049\
339945714765648613846749762485884787341764498627389466659849511670036487110364\
952032471264967151064179627630153247438129440690181552007215112789403880588854\
681309552940654651065596113833985074027200285280405550866338584710479451803785\
741269549369281461239783408719177574480795665118302084432213693366571950881398\
39535304703656480659615027105511410139290239113600 #^5 #2^3 - 
                    3623747775390305422903169342527790772882998279810751484079\
976112923077602285583222851323663189564752519932050323905888402723138167441697\
615564762597029919369799627397182597434559734107157589180599921344217148277164\
181437596770953061469046728872022558005064661277319531979796868711217378711023\
217514148656008516195572605736710953462135873735216663103919035197943565514119\
636878444067825446433165029523141123427024701015904727902294057861701041830575\
86461336828451927940076330622658463133968631754240 #^6 #2^3 + 
                    5276168836761842081997657114197781532441158313390744666322\
911652511584035588896430845570899239192984279070609535418952466429183686615445\
244412935036829680858821677999936605692469474582121548860859919355059152028074\
721245668680547319538717823010040952083339190427618145805058758616799080800905\
137620216109097363269543088848799904172085507129764708133530062632702098118516\
907305310267431524082338409653420557509568436418024741633760800842697513907070\
937809791362670398677356110361369177055118062238208 #^7 #2^3 + 
                    4729352247211501598164601426315580784671293035020284530916\
168824769729863199209955765094566250807534295565163840277278783787042828245737\
579249247466083186952993010687644042359823306879368013976863957894530985615854\
427760298214447755811863406873789560222920559428782075176646864399622546057857\
639262902976215013219056865794074706773664923519559572458793491860581170110475\
850530125112544666583895346416869650496452801888280353038141027453229503061159\
627215833711605990691135443333696627805461445997568 #^8 #2^3 - 
                    7465459582409658045455462749508441530447968838330747173134\
183030370761226233338864163538585088585830664287808683507849770693718679789373\
071308189682345182503150930794913579953757305341732959773553284292164932538106\
451078298104735778362688102979016922951989100939442641707490220777993234870900\
353943300482232467936467415529800025554535484689823406977801899789595377278784\
678196499410411190937125690999977409506837128885276478077106240249388297039558\
2659131624287771033580690230607951545465152452753408 #^9 #2^3 - 
                    3584346564281063735616532459032364196074686986416586213374\
071383551500271866847704381361429860661231716610629371380098230865972126237582\
820054531944525446073100254508715532572827939728087906687001209013044020067793\
171404073919979659868548282404132284475932049292415643007800523026849531149043\
386034765219921786391408507082457887668830076172649570458261361990329157696299\
501272465930245438228091323535771339720722636193276090220132918207632538303464\
2965565263731611183775930029707493458616140190887936 #^10 #2^3 + 
                    6182869992657279673610474528965048247439307975483033058354\
809683869817184956312084630414903678625113593626758973882111963894589045207563\
157190840072969361468927601099312139036675398175945480452561113825025927847833\
924249906189656368035758094068425035887077052762839537023393457232256266591115\
949888757315912983742943641712535606154909080848340659340302011461386209487957\
534710043941939752603563695088572860250698189684724700021436053901105326378805\
42009809770873748478462443303075228820878657885061120 #^11 #2^3 + 
                    2178441582687185865765830306489650427737573349223978968910\
174094203028712142050394631302823638565235078269571591971621134628317535380558\
292557525895506022705122396890874474512377292851727470762536944297452313204783\
390816945137792208834124606227859964906749970079003288999426437777102629162160\
110494770704758904531700680765249193212063301880971477437295364261650523981106\
938994507084546830556089648767440390215847726418005458214748654295008604216552\
56826415568869592486524635050895425544698966864216064 #^12 #2^3 - 
                    3260108675512703516725503270182839348426867475219214862395\
232357334705624589792841915248639076371814473866341771155406956431898425915131\
004357365294888426130371367679298421023290645364149864071736553754706338225672\
469429152790118951319204424408821566203395376564869736542173795307618473686034\
254885506447128129980706484077657718856383011923310945208173858893286809294461\
468520836124528758541572254646820401256700335955105117996652663615966795795644\
899846840172289608869272002751347977674224722658754560 #^13 #2^3 - 
                    1093570203147912453473193708651285079146969702666172524383\
958314732248561462878969228511778189687838274193471736738395494723750871921284\
616009157359616682996030479869182302910088931962463874250242949767622339754294\
716510697631962556604055504606313055990743959478772171990520373005148238758671\
008005892809789426606334912371719281850193680177028320200305013717780306586625\
856219721501906385772202098578380988288680121378102276954601113132825959220632\
023588592034147786205141759952855973307714995726516224 #^14 #2^3 + 
                    1141348275089215522480634045606801260127355528738064511321\
587168822363618281419626552922025325566799226561503290971059962753238061448302\
600238388176204360773254839387281968757960981223925167688902268433617470443236\
486409192420550326095112440929647594291454898915558678294303809266701393521973\
845314436674775345744336468324307266372898151604431471279659699213697604428260\
013205546121686445045258192977905651309451770695901774698601330378599905064807\
9880187551822073657872518367771859664229660819182583808 #^15 #2^3 + 
                    3801017638980707251874181613710130260828537461694959935996\
616233144474642659711105017596532588693191515273502240233200341648588380141031\
476452119867070983186498103045369066159492452773733498967193403322227985799200\
116467175394712477565433906010630954530961778357988671238529918691602809689132\
323804463648368610168953467485575904597820227707399718280668108146297283923530\
337103145860151508747019891021442458990435675190828692300820004248856987489346\
725775503874759538159758528633211855979927488786857984 #^16 #2^3 - 
                    2706519383870475054688130959270348077666798141984066528175\
109604429993453097320047888804692450195345661393621607707072765898150954983448\
057894683963346837578954106374923516533503017057285004365221815748119216201139\
042885288156447583742487772566630699414818940965721667538271582908279296255493\
048556243454042526285187621174450503260158124505658637565099265141374295109620\
306420586236137457829868102526830576200955524332343502208450081006302352913685\
2474499338876652095249479558106925561918218055551811584 #^17 #2^3 - 
                    7435523100799326171774044484416465006157587954664469608763\
459377446851508533720884861995163504769982508508161834532816208506324423593915\
909461970019432305866661298872223065287935939237792413752877775869367776838914\
600746573734061486655554822291216769217703056743081128935690407086364725559154\
196539088019389871874047476225406898607585942656173879609641075750698802159462\
612671404212195483048100299410876369144672522236676065962214534464582551965591\
160844002432231225390093757239676380546423014399410176 #^18 #2^3 + 
                    4388045902745733135686560481665556421816268060456187973165\
194888524147223713840219370339905796360085914081599452578936257434214738600546\
884042304153687862688661394852472523028111345253472393746515072680411735076570\
290493525038521549369378238805712496490773115709984708752184643713901382623675\
537325177134078875726860539991150346194530879856324420971548800278866918151888\
792890980714091593483086014622139855779908570063642212385682886136984702009351\
2421371437399259944426489198831277124114028678474629120 #^19 #2^3 + 
                    3085602062109730134501198760641593220088740378013053097527\
527755597972822989556410797962338175789524301669210410228608414580369969096419\
383615574652519368409617738374404296667902175555579368793124582404895550647597\
092407728661499624138957633329945434451380528623307542803976023589222273148873\
713036410311401261104421348947883498507509876757036926518794015264026489864833\
142003827960036841937995004595021393839606385407306172187310253905689101580979\
577073416926804077958087959192094676608057938869747712 #^20 #2^3 - 
                    4896588856480190183316187374580967822534671084675133515287\
123178379929586198935499283186462866376048687599721157983539983814290823472917\
437309427514551255786941639558867086567471776549594430960569634255712976947694\
781320123781144161294812742965135766266888540968875431971945228914421474905388\
686044493726265319013984876493658838426298954613153334092471093923624122535376\
744682602875529957606804425599259963536659517011304107490035148367807611440676\
8078947306073288306425548277761112734293162929703354368 #^21 #2^3 + 
                    2288895499184112331980353236112480882090735560978446001507\
268069474855073510142959560648420121391726019023884044845750715810425324803150\
823003032389213989785381903348590865811214421592222170561444978820414073181965\
772708067356249479884567315558839800769805246612422752096022114918911442625324\
504381569191688455752636350582051634942683012484374421560981126200479003770663\
690442477445526185510451562979381721926932243136864092670381493059949079086431\
7785427308621553273252877382563221892927202402978758656 #^22 #2^3 + 
                    3833848649800541420387445940718836293823585934038821892965\
345214476035735743500714962938698251342632220799596263065588780907805500053327\
859521657151173307294257439115934930346263640359764297048390911452128473180124\
167777893244702146775746756220472927954103666912873094940599270234721417824729\
429001734999638135498033574430363384136771038356140517649320567108410681718128\
787250787212060080927019839917980214224448292329641326324930791064216043908176\
1897168771688270161295063702031984256883636871026966528 #^23 #2^3 - 
                    6844585800137326693559789447768080837067668529980044285146\
470474245107939102823367015791411591087524817703783500729275842781161580611668\
431006025111657250669282912309058268838735227403375965142712756918765533116262\
589068586703017747888239733421311407274730049250589392332209384401774304958757\
626051067639077357356736343647170933048956469257789805630169612688259539462263\
638416192526363496825364766291407688069472756798820634586012987211471134357828\
2054467215767261044615267671181516128376477015223566336 #^24 #2^3 - 
                    2287407472135892501731358559846470064549556835126949841522\
082398869673584774315953415700447136156272216376425316614108847960084814605824\
529928582713513736487181642831376072769679749732936945951759854641618997992776\
674595749385787169604284188202474425999430709991514179954099841928282706541927\
898572600898378819036479968463346833425957612434984365165467538073572769958170\
381494120774560729361213362520668216744946279834586995256832532478101374576113\
5045495145788889047994091807462509017787559441804034048 #^25 #2^3 + 
                    1070545268583901830505151460504534329646059429266456844619\
791315786290486623703712883012692879087591225240146223619579579132816641687316\
085374535516315119744302995993494965373694515551411792563869793762558790218013\
947749590532472807303623440332556812303181131037047286403402112374112792661614\
901778860097947658984139569005723693109718541878136974914742729019864168685241\
646805153194709554030330392999596607377858203201203693290610237556385047209684\
50816421554447036923691628009385984146891749536655474688 #^26 #2^3 + 
                    1323322543662186629695767334429181997323076626871650035939\
401282343628703393984208121264364952424767902239326893798614709358387299946337\
608390971463605756084914779231732121247651547355861964815407463829602077210060\
085277203920574403420694403734968705784251802835604631374858116830902521471048\
448808133850261140582040374050933646563795507693261621873350922262698491464113\
263333858544456296747579656450776005486823068042458447638557873198931506299037\
1523629695677275899393505104779991467582631080229863424 #^27 #2^3 - 
                    1133209890542606639067339324637998896803529951086251679460\
080666990297857956432548337259509337935655497073315603046710384821798535381869\
907802081905245308084600754024000999458402763395895035067632827084599513210983\
169739338590802216038274660299078148884072839846870813148804732218785613485105\
187002386568754996497616492738752892323241104380469957048707244463624345373666\
591192287337169961818319538833446196486732128416874844735907690205384893559951\
52984234067099092335151924123721515632251501291094671360 #^28 #2^3 - 
                    9211620378106790145808407311935133417169339430236580959997\
407967388988841593581743238331165848220664701654271016997130694878084199881046\
343159900282775323285681219267847212687842763358768843141547423912135225541835\
232967150710679792970186050498330314405478877927776083457985689130745102455588\
356971760784774345278426049911047820791838973294887658655395303211558227586621\
120376558857181851641581281951595229386013510448088674704023416056682302580280\
347949549373881543571386436508007859283535043296755712 #^29 #2^3 + 
                    8875008367541147929906911803804495293336724658276761156211\
943478727417590825283995184432767213475763605732388947321568725624497389495908\
003025532915493797213289468147861316231824994361267302849438157250117781342304\
423530634313055270647620472097581249854123162016256562248514566206791898220867\
049764498165781459677645316350032749429295388419854909282967827272957888184895\
883854524178386857655409120426780619451779468010468638826891286479760308668663\
5013997300659233472475815414298025028854019627652481024 #^30 #2^3 + 
                    6268144632945423936442340219637510088585272569799000226217\
618984027420675979480157000258892312291450369301037278634914627046632136448949\
099563122392702884083964479112487237472032681811340066979157878304671285651787\
068594117678817389266913924866477319409661538849825123648088003228429749829067\
462369427489401841750648230361287038195200693415535653534732046197146175930657\
569800859697072463543263733564400853618626335367573825439845127296447481139435\
344527436346174351192475123142931110886710300184150016 #^31 #2^3 - 
                    5413905894341355837233189420972568579286254773109706337240\
392682175927209436269826427910669454231998685353584129164748636936093779535498\
947242610682150675912366069553669688735526617158594577959175552710765726676342\
383179450703285489219715378419772478989719020495667365575788976895486458852326\
618713884602956964276825868261073885437813830136266524185235343172214600810545\
319630271901153439813541846262914671210558247864412156476979131591882609337387\
4981002228740296378695839001056144787073373130937335808 #^32 #2^3 - 
                    3238791024451748675080547312591788904168379017889612666563\
707963502964006591396965878704394843646519303775056247820405845247154093165809\
138540019090963879900508715931180069948782979116801495503161169769792387733646\
227349707829878180136925164815051550105937307963920103632112853138336001983688\
600124663742583050859294873434092579037665990965631448836193397100461310876918\
047933324644139946617772907308637886937416966023028651714277096567278441557151\
423455839866365523357366217078832855049405348964204544 #^33 #2^3 + 
                    2669458596424693214222631679205991616595886179460713237030\
902315492287697256775813218703322352007865071622968050501791476411686373458463\
719775949680994111248654359262581774908572834782432956396522098583422557619917\
916765562093353919751691454120973496829086957200596111086148212335794788343858\
166970921979337112089623111355461489693463692904095865000419727124770144133230\
247368260488093079450413934200502720107348110441852365853844639081582266122148\
7009806693966488135697856703485271168485435278593359872 #^34 #2^3 + 
                    1299407564962427231141737472830068313187264731477813193408\
180099768901156048679651069023581947562111259824906606602501668112178696798432\
480517773442807058500765931233099148997162087534900170945538356465482443681101\
448411282223518167513911214562640531353980562892013845039025925654848030402966\
806770974129689426614910371939305271588952868279380689071131588592275430214383\
602355010027916845557664525274191506516000813499742350526259707425383946660057\
291668236536912908188348887820648100238854060075122688 #^35 #2^3 - 
                    1080006154206209141164352998796060608016219066234392232799\
224314509639904887251171063948294806350099126445430535714174676122363584265495\
791630817582696816111095266845433285431438349499996504897588422221083967029691\
397936350403455107556117894398782297308908372004428912299736582358678544792851\
700671419677908633537917473606036092376647180747732232481179388925859947300301\
684624896920727382992255252547081991850955356448675037684035262128987569763542\
9285029488570054163170685247733224917450646160127557632 #^36 #2^3 - 
                    5309970313853825692565704945830095918106487937138739566467\
802301762549515328457121416803365459199661261464087027030984600716863562526134\
535164665384427444622071951450600898547087160451710280064006504011637504731118\
833876365864050491679888033688167760228647540053227427549603788201146711757837\
055737617159795141829911130623223656492566964480904443297664504419270488292413\
669396438526424992049403423851580773640217059040674430967073481416536820501999\
86987676682198644804481827787340383030193530867810304 #^37 #2^3 + 
                    3513290952508230788577538744422519359938659575617410807415\
482244119013404814170705169963444217121549489707770258254771999643864548556088\
431894593624896711153654725846514909777011461205602193510003883995545232345668\
181024241163429088601029387120512619836962488318537361107789996579907999501047\
843047799143878754636782111574122593702360928758768274756320522080733278997239\
509150883589709721539365366704959862333644280220876741580181081833269187871860\
268868917669892873285500336810418160367062726884720640 #^38 #2^3 + 
                    2357095722634058531334517675184539245448155441216417809879\
079507495573449457865468166382402297948506379184962498819289552546095469625772\
313209913064062336070959651808745418355818675826657433169493200768723588513816\
469209066099821683200581908047815515664841632047118004941913767951473104161417\
927504952616058607226423602018240898667383874935010431122712666076753233612174\
066056413765398435831633326414368216052763885568435454562414944449379696753298\
03473720369324193563440416054592103763558460691578880 #^39 #2^3 - 
                    8716910856432629755269113881010797394256777219660335779881\
474807040849310593908141252563424378382125565876878120475209264860893118107905\
350848227764853811886537775921022089746954439904821817826075962829562475584582\
144006312808089839937589864852348014352042943390563734797376404006818319049222\
827380871258934070089856619191198754550709526686844214339013541743655127091275\
359426786007413655658508941917355929729629340270009855414524669613319935038827\
36339135981133602536336088189070347375656383744573440 #^40 #2^3 - 
                    8136349836147800745182161422151974618594984167947944414156\
478275838744085198116695959619282783840377689058587420891756409771668747086701\
012630051264376279835200360573576538396093051261620241449688784167477525491203\
593293483412676291802310655861218517533804275185220778811341432387758513467606\
946587742908879860589423350089952521429170016647829465577036989238855408343783\
054786354718601840750655702098549206269286061295430137997701113222769251775940\
9204788193008318513745530883109404533727009513144320 #^41 #2^3 + 
                    1522859132212716045200504721860758227349645881073151866544\
987887892871286412260434772819382910727549862710377918043504588798083891966593\
245038207296892955031092712367444515347842384400664415411265231372381830054419\
765791006780044264362803231205217214263470066555431623673205509859991240848450\
264289707634304746957824696581248498643351654093153040577435006997465146080192\
242396871174619693654788908997155859397452146352452753458802606438402601979474\
56753603814222560364625666573052291500249359360983040 #^42 #2^3 + 
                    1293689691908879868927869846179295131369892695652414820263\
521916580739031025100642537229725414152772280005324421344203018913343912910175\
102613374816095965074415929344210812311106679940732181823568266598484946114079\
209298255772209885666751109749115651641480464029341824113655291149238280920048\
356854618615250200697968527168591767776262268590163351420950745724462208790696\
645748312261869851030259173568304646505044699131117051642692069682293326384508\
1147109577324077885561519504161596218036753772052480 #^43 #2^3 - 
                    2143274033980865801703556517114852533875711607968190749571\
794657607735722249218745759345871236606416974632908474611808737960211661459056\
619689302064313727853870009788232926869150324892450798726075866242694452604655\
813148276402079150161609195204972044678014716256527853430132707910341081256330\
078715436205176531684004123969275413889198698054709386581979921750685110486772\
944051112134412282479460094904193818173457528549235277029138742758138838416746\
8139463448296030905858033672691051838325014459842560 #^44 #2^3 - 
                    2614733764095047518494165704330818150631875859978377928472\
672226142923845225372688633184510388390174960132091659639493009926980536815996\
943223437005532355531811011066940017987043004810382906684490133030021720493355\
017339239222927638391595460125353475833956180779053481106568247162314854179097\
689684452177723773334023164306700009239069931877300621091128165133683730465524\
895269720404622407261658793937138483916844809941677192786211264130105131649733\
661376175330447258860486328723088200778936420925440 #^45 #2^3 + 
                    1610289890851307066455485289287272480776850584248419729238\
297747074379061405960306677147311425984907611146270520469808500631380788978929\
577514744157339774875280764107954374416393467778072813788521560354712770574370\
878443463490951142625745214817090063586935710128593267759994802284341690144861\
694485910701505400031998475802358117721126403705549095813611468495331496678421\
996921193896342249522270876462269484280080804399355206164070386450988955618133\
084873288702793622093314802513361615634193973248000 #^46 #2^3 + 
                    7384707063048887061423589391771597528434442517125114554003\
091893581478248029061879619786619904366636147962870329889727035038512767628621\
086320374299737503050735254089888918383382201105841342206643794323219520530938\
978865627978063909497449940843430194602494574991207199491621850821935832413156\
057829962104305444231997353174401467163557495714065087447144866300011596755827\
741248646813760937766781312627281374666549930728455145461912604561436390952779\
4343784889983412597511715069079030490176107315200 #^47 #2^3 - 
                    1880633949389125758537126248134039527397166241208697069693\
784188931282401084709365226440589152631665502021495528173104316621261708102435\
795194253217238435407320378255990096731673847675060880423951306484875420844157\
404981923523057319453188040384680118585879479956250197974155838646739341297076\
179918961851515865821987775776292726921042295454762694628026550522814050983528\
914341627149978791892281474866118377031904093839102858030940819166410811438398\
14665390261602249255843626218490519091321975603200 #^48 #2^3 - 
                    4343889816102825579619759748595953752130292806629586331141\
288205736332878198560947236168660480478432716251625017917307392221986768959156\
615198464345948505237498390060986913662874433691520037330979148462578040085711\
875466170890744641878348958952458429171186367606049780563401981859221907484547\
490560522845214036252534838259803068671166126847797275399896089739132412557479\
137487093220025948934278715245818528730859326273235723388367906298088793792263\
4169736737764836145028738708608576119684621926400 #^49 #2^3 - 
                    3327529753497884278379626094554129725254842376475492497571\
497646658890221693872121414071527509830843953599599882288848114664161602326404\
506661723184730212531817613461543558778144077085825546373301026505933460331204\
672011361743336593774592571867821471326193326638864805857465109944334735123221\
261615360375090083210111887513961485441531462776354567371396465857358152555905\
705734366095325059602784341251876748878830630069929233022587568263262480480029\
7883500994444925659148303147659181329963536640 #2^5 - 
                    4731214354040436697934317514126497964730466398201028373761\
964372506592928271537441657382368158518461402360581182789178872095080265874822\
735053867521163478641828523716231763489955955748610419243582742655494669936378\
608315050104797816159435351252869972046920693297649366288009614834874895581479\
795509494829314040778216706658871220994659743239497947366410996336022972740746\
869875118219098204330776363665530664085432358362720982723302352257046675065769\
47217329169045428019526360718153332330950688608 # #2^5 + 
                    4146987077630443036784189318163797687620301810190444165353\
993597750509767931406627456041456268054351366109743130022968556081744099105444\
612781474181999841532510656940150123361812023453179495712020473597470528710037\
206193028966274386212269060307911148813912279326776287956716271985004435210680\
614852194802784344544101386033448363915708661869996064100624016183941019808970\
513971458039904285248757915709664680845306638352827428738980870454390977237391\
771933613627786837956807439922974319409649179456 #^2 #2^5 + 
                    7217284001865596519167633392848093586327098182996309891332\
158528593099760454948192873001516666323868507965483009902654361336934003268528\
488761366707266273923703713681223290765132758561990741172779707574990170516807\
346835680397990173752230848003918964840769028597381208741673856103963018399797\
184778259450670425790673879017338478956351249871361063653707510074947600955373\
395519757771918560184669516550073445688523904347033800965221425337887915837215\
6656370994597662760842478298446786854924043852160 #^3 #2^5 - 
                    1285703121362455290909665663916704022959970748609963300307\
496580965641904761163444565754735299245956970647580091666709528066941863126900\
356159226389522586368128994655707667955569674824721915183753234224231005957652\
614642707394380049996792808898215139492782405096048067576616007414648827975431\
461883083793266761799990124293096065351345045751330380823277167075717553204411\
605793947613621958795449069480506132878097795087229798975701241814705113975025\
52699913608429430403620645996011471230914811067904 #^4 #2^5 - 
                    3986506393805690125743699372520784890049042880771735450069\
651101782600878179323248951159294928898375930412030777914125055293096733312994\
852195156529926916810521339416170559326636011816494545428640685021364214303260\
953441482006536449930977489259041393231544039416117024709559992661258002940821\
881045578025870086428077498806447404810831226592744264779096681462552952329232\
176581566762728566170984441568122893035819177158686842272510682339215046734335\
762609593947992942703069400983172826498534503005696 #^5 #2^5 + 
                    1402273000592528166699472878791101215839713053291840543240\
723701610096182165329230222454232270917526094257590852647856999065177584331557\
566978950393456743814318853222872590253664653246422473372305816522593581350528\
433598676586443538119904281620952563699751105879923103026597888240227974252752\
397618644167920214656084329807407846645841339424199139403991480405695049575617\
139649867936975802339853233234115726833370910169815436420188110013464223178852\
901186877218584813865381995665325173765927957383168 #^6 #2^5 + 
                    1099062812105249571486434804881570824481613959656557024883\
697945146966140687477265851967063112655289880841574685768887531035425180071919\
113089238270999208054861721012380011038728577454298785736570803817130039054058\
596597495674944125548548125627541695227881116500123889954845842226697188625447\
259642516154351719355263393228212368799086416496723845790860587568944032257785\
822967655170791736774237020119695788508040422349272824410792249270555697877901\
45209090960751643126792850932258717648819543861837824 #^7 #2^5 - 
                    2723156886443998323872815188278884656955004208884417168049\
839622263987658286996153846783369126077881394151324722085746845218988277777701\
404277764816101018513370790019257046819736401673674653937426219577303688418932\
783154378712797313553820403270531639011429583684483036018435893756253577054379\
782341944963607347243744149196097359539600736023771251452471080463135292956417\
392170914644342561779886577490807816390228064669178267387393265526045882192742\
9903213801047216421753129554547898436808270471589888 #^8 #2^5 - 
                    1560513582644903824366471827684378349023307885580288010583\
361626213415352101630008293463544203804555932808990093340433421290660790200413\
271881354334317435416178291023401029181363583447629321633478900688737120371630\
074552210575852045831597804065678000583744148878943736932989265750872642403910\
614285297645722964895621513141052672421560533388586093504127211380537340390894\
730855309474461464809989561693337732260539951477988166331470162173724364417806\
633241314459860213032844324651246022192508125342711808 #^9 #2^5 + 
                    2732941472277993622014280092189557987043568031565146794289\
589821806492730867143605511387143782053787219916896341489362633128539006714328\
320832955783201040743843782678063513582281525627265581159852221464647646557371\
031797486875147079643397012303013966610521882041730230387406674322849532584850\
370013411001689295790498616546309900707163991671738330160616973399924293469382\
141617107970949004449265374788232358526657197970571081226418095928858597492431\
56060937467714077988281633250729530941087147945902080 #^10 #2^5 + 
                    1305743095130467232662623901162239203059238456255662285410\
217163598715398719896131886239719767478621910966786699089332368219275083612563\
564164565874627285105502266207228677649762755898400143280849271741542515382392\
134226401320961676766366555979254448824649525841391803648448804597002631161313\
949215674658752206073305394911692311232946805311555777455184485193573836338404\
240972938917332806208823244734559384120689419747557015762588818442899689277352\
7889345786024604142067239846380908775937971945247211520 #^11 #2^5 - 
                    6718178270803631648076789928106449662991794290405139042916\
068184398322154978357150251563203972925550925662070162292479649233377320654339\
025768412052268263786276360195265830563942300065850356327334189540276751382342\
606078261445945725220465666125442804244196722427981296795893351702773494781548\
545634872819255865866591101374325743819984068855946096439186100067869504343706\
124305719423698885394520317896188696718020878039267727563440494741540657159951\
80063450938698409911166291511544267726451041547059200 #^12 #2^5 - 
                    6959691364713489760080071735858160965851237578783869224088\
106710620182747323671907688998441458922934347629451328206701819100554521710296\
083227791950344893753524857579830650415407252961997553149416839048422006327956\
923775150211828408152941975860636236676497818131699519304762736050922463664759\
369878239816984267827716779442785336914470735285823068520453158679476348084755\
104164274345499424923579893347478292747523652292827395290200746550674558403995\
2842600367879466721300473842948391898636289795704619008 #^13 #2^5 - 
                    5341504905547188657878696626158636312587664049101616250330\
212404668009959442501816187710493192736658300735065674882147502577344964780075\
443913330070219091576735024412578140236276445396112632558655698707444734225159\
528151655940307439551904554348310377528600147073965989319908426109847403081564\
594648816947129481638426503778752488354300709575606276700524690244861268375975\
454863787013589059892794362465800638678096422356174793246999620442611203438867\
897314463053229337798902930653158555514476312016453632 #^14 #2^5 + 
                    2454528274055481275034990825464023184327656125967973686723\
478357120167013623159148133175555489117028016671490599659701824790459708073627\
205519762059557164679532277048492054533900918933608617281826350277596580233035\
768634262407304566413064276299989425322755326366877062538554364527001257445339\
963011504825195105003362368287013985519425725799424376108770514756621965386709\
286265671865085473383750762682505787192790077284321173037016846459800261907241\
23179208542170767817656250051540346522308952946587992064 #^15 #2^5 + 
                    4029534085456901228930789895664092463651263905222351372065\
496657006911017379470810746800318290645625384670968221447106237877209484501251\
640628395912495598823667578520789918201712252718736771615447112864356239298274\
436028837361470107621153999183520772340109497287432827155679358988220725753015\
741005864683198661231709951619568782685003778144321949057295738126609590757983\
754435291170118404072403108645399808226462350803203563634109294791328259931986\
2660065099257400791688539489719902754367380577395408896 #^16 #2^5 - 
                    5824980883447231662500838120349943804009749494799374108483\
554192798109852302590737868565175841298269630511629336144330916464285042611316\
893472009367195144330512812440805189362042498203171264461624451364087771021518\
179327931012830648052464631812249709947461447902344152420990114328302950640157\
446089217456275529761475942877415219753807679581896098343457806335853394587983\
230104874249077226588306689256735018706389550826284548313933462067723222407600\
78677102071997987413102712094216262665460862123916656640 #^17 #2^5 - 
                    9663088782011164425826567106763030522841459587546643570782\
718817034214016569442880518947191943158403316455176210495479802806367856918748\
301706260304956393876203924215844698247103573061956636656126357237298368997949\
210290628180884212751779944761358753551291211484414099373346220653803446490296\
819967311368843991825699982058439886137414397283013987069117545624171247196882\
372949448210472975245985609141657813745861034793284494700118803522359760223982\
2112252075063807069261788746972915732470284533442281472 #^18 #2^5 + 
                    9342927525200447999587456538469568276652133730308076558736\
984508921227608087573849880526683869904758435154908151715730779690218511409551\
121524205322041799659120746055532789663498851557268407563566157372706908212507\
667725415539442542033046876960411190880954913398595447879391194629452980757502\
224810982493316640778435375654690730870187187925542554870512899755738968604823\
194284995674944798258275696172944387923937840474792317460404198165236701512355\
06752546508707921415024373133065605927926818576470638592 #^19 #2^5 + 
                    3691363523963617859031518289548666955198582859972359203658\
630056460774262183521769950845183465433211441410899521750939792076857754770556\
225552414293439623619782557736293662837644497054021969934659668366409175001417\
931252777831693909911982263843202536767019422308519785310411111403799429004505\
699147041727313748966556798964659964909241122644948838045842372874191116347393\
073603429740517753806533049273067544577743308039308226493151366910262566600428\
621133465941855494085932347564308713770919656532475904 #^20 #2^5 - 
                    1007238322609828882025762335451642619714563040086727709161\
724277089545676590846537289442739350737486326408436370931721434178704071545467\
215979043628555905092957904531363285680578331536417944866747424680873453839199\
398716774634430365555657908620231054760862031110807584002779519046430785438979\
496894738548234676096503768401552468982903469402587497577207966727051946730861\
058528677298858038411318437201828367865667286355804142897345252991899805296762\
051139165076140212181530118569714306629168786967592173568 #^21 #2^5 + 
                    5282187503147657607964926804069992263035927024585165086088\
374209098534560111457418756918056425899893514421410980945296914607784237123047\
373947295939315709476550841524219304978418219864961803866777749533058048238603\
954551036278955320585928844424245165748808881941201137293427846924357778084142\
761819759009077356420948761981614314823936941364667866368928005877251726846390\
895474666560225585235572919307786289161011909111391240588653185130120329194612\
26291701794264640174658374816147889783272890142266753024 #^22 #2^5 + 
                    7192671454751071047311619620922853008022141060285987519495\
969092549971397896459651401522478595063080939412827413858965805792952524865768\
071042692173524944957362624293148344420712881531906269038959214623269588678392\
001175327087530831029494977938096853882519743325082650182635075282621148097621\
935923137689922222931145063851647112986870689992642009867493264497978411769931\
962844205478215865297932254123792349853362756619649225922198794221424901449075\
94371175362774495240866338232780096275861506488178573312 #^23 #2^5 - 
                    1477357708126964201807028385097086997408623546555284830782\
701949509915626729811804953322751797693018314897368770123080183255554468274477\
052288556700438383338067709142202383879584081607861109022481013654268898390292\
887159200304601204985078183446102949647266840203449001851713486686577494849207\
502536358948582636797903739628701113273557313656847756448563846102456201175097\
414939785898702489306718650486697958905733484404122368130681715231030369202636\
997348425883647191581102311245747914265544873141239545856 #^24 #2^5 - 
                    3391188560652323860276110163061472299472544603905963476368\
894344034925709685236712606034961964122818022877810692433263310582431057536680\
430385162494346728579896453161578387572361952211293530898871859631367847590354\
933466637770263967677345526757220787051434435793013225149553848348400713884566\
761151868613159036805343093903464845723147956812953807869747025167552648337408\
114586046602342352598513019094876485590908554913336661740766061416561338726562\
66676035494385760896285881848587032632938500271932178432 #^25 #2^5 + 
                    2293463475332252815757002085012024030259784085041544437903\
471659190610872108422201779644440059795490975365566003838221282502767330959142\
527471557011145969164057668752040869090688351545015491644655426049187761137505\
801871736672186267857912341721170663612127896867522638557314625500211840677951\
149417308700248312108347072186573421324752663505745591941156540658441040332338\
565746668199777395449711660279881651719229994858974717696061516879426340261161\
149370332877100672215606503860136548510481834193098637312 #^26 #2^5 + 
                    1281923715694352592590443090040032989822393963272030513696\
910493332134636538698358325326446913698275619844124477307528464811207133966853\
438708868649578908781180787886819741627935744705282204017483038154128145949714\
774046926178807867089533667798001795515693098558992453948292810912256368383066\
158984282099621212813690818589814792857471866322736063352607621442848801557523\
633890872550721462325614087155765721899153733809983854972147217549122878886411\
89443522317983163284532084623031065517548698598383812608 #^27 #2^5 - 
                    2429021726311665340639480123293530831159672525692624662187\
713073944898352477599380127143209840068884752122970318336456237849998921932122\
604675251769138100301103667915992342829948566131452680679992554136367693207319\
235879119077291142661986860713928544725994195450195535176525301472392185936883\
543103433579907666360090083543182018357204140959499585969102024081633902366313\
442462611566717276974266565583149567257377498466062274268523309479084528122745\
106310551627039404142741892758853616343334201316526260224 #^28 #2^5 - 
                    7820269385491246180343578135730685642026687668149962848801\
079733921493699589282228272175749796366686163875223320062900108464054999621542\
623744716506151589354930078034088082134333591523412902230722452258705250599761\
358336059023447622078506918467101741421832342187905878609548671926421647989582\
925716656489028156699404671244033196834493016123984350084733154716637913037755\
048940020642266561449281012091420676906900553396745431607423110749739520073160\
2291993762938720049813301402045724344835628332855853056 #^29 #2^5 + 
                    1904954487991758671030805178924397448911650201050400647390\
124828692595640345252235941836354815700979661180261447558572961724177086818394\
695909048942695350706442193909641000013559352303449468830692256101727754182984\
074722175558829168871498244797129210378186584534914455835924997427270271112609\
555250336996561606805608105826044427154368259563485619073676938439907433401037\
896418636555187451424681160063373651177651185224273913049592022487208864483770\
566767374938414747598797471455391084743068928405978218496 #^30 #2^5 + 
                    6290969943126396567787032658189806450306497492836438338159\
969359092314650957753899634781830516969992354410553534238970695939556807394212\
131131877315370999516391055196628062669063814092926184068181091209141430354630\
717619344301898310452590771921503727585230219511942983120331657657663869676375\
821187392938059947240812417371647154779335874253917109843777430000412245404841\
739589426620388678577823064191208157759826774455350167606966814153970154688088\
3594720935672736979908988737568627764451937504488062976 #^31 #2^5 - 
                    1162945615121855821543053694088950159181358148848873806196\
708177304829659240616083469933033456981551188159172325576115218507561978597728\
042530483490039961636400042103905915031990818988169883976000798087702120069562\
374793927195991580195599194180679388775352732115616914258284362532503495456337\
514693643754061131391725357078145666386605116217918635678276403587549545571141\
635435209612790625756960539712934667781634619356042552150079183006645023571702\
096126964308236886265701505616462033095411565696963837952 #^32 #2^5 - 
                    3472243375809815164244517588723477489205770557284184431724\
734019404855644745051777897041693626416138777898090959912828940749657188296961\
428537750100905075084840541945668538485718935143841937557383948659111879983621\
307961291223002161790542116828055396103916029555521904295353498029529255880416\
799888600336420737388455655763910111233548434694672706147973374085121682746924\
391520547890229267669367616931954627696088157853863203998917692695452768137379\
6834826468680578840601969071453847531638684072670134272 #^33 #2^5 + 
                    5736978714398444387152917125896589946940338449881569628088\
020726006190632479016921012301471701363341373192385034987246533764822576386660\
694202240557249024902203489729119787273527786993151625125718964719430546227514\
200873667171915358765834592220832545700647106791500692859311045842622995452039\
031280816797663554057707740241960011901794921351058043538971054289510539664347\
052387247409811627766865435452043719027981079127586250574490200058206807935633\
57194664471327409114915243952795100372960217778075205632 #^34 #2^5 + 
                    1397131092604902143116389631539255518732186323986333861240\
904952890786130661456383565108742849922076149042891860851567291704327227509441\
130951781983635467924989257244581103322874504649397449703988800011223402116235\
258618285603422887791684667319610657020418802983911712355698645923985256305706\
021203253498525227525238160505465917830533615768668909524524260364178188515062\
861701570617527889063224158967110789522996019051913110625370044581076680008268\
3721723185163286694638065653941955159938172223720783872 #^35 #2^5 - 
                    2323670146875623146099122762373325440368459302239332472058\
374792192004077344848318191476651477895372423809072664629299228522469765914539\
944583571200400633345862248678768962133898856537822014464103275320485217761219\
044530943798109747188459046191416443695523931128286968274606918183444741604157\
462891330770366399085132764743261396007712866029218328803046064841354017086842\
469850477609924369740763396092633940458301298348668751341499535694908132102108\
94366292367862443908924250912355537643945881366186426368 #^36 #2^5 - 
                    6911589876333242871788316474960426445937166314543254929038\
807018761949598558268380578941634890513377400033312473044845429938262191609854\
344060301282580562327156174347769303856795283153719272251606925074931398183058\
240672670854486079445509740306272601908182306669663143183212449608393310768998\
109519125589779001743372460208486287976909121188496952698228455483077840176873\
606210930055769196401214918437007210700505028445861445056889172544816831339551\
665233092910771496110666777653065500499634203563917312 #^37 #2^5 + 
                    7575073717939679136865247998026380756183903938388717046802\
558131357138953112597288003035359309747930351720402787680823300250381969731625\
106111922628499609666878483436119955529512031487197900574338807675040248101122\
051443933489768376291034868114063350068228115928554228438453349954384659083244\
785292606241963578320374910268781563539144779428834948959190515987930600043532\
533143535064629318572757177911691789929120174679057002686078201798470928463723\
7229338155349636264151670972707514790110578238491197440 #^38 #2^5 + 
                    3961000347435674206902270918138280403475386296192299557317\
073776185092224967512062078189672139697335902221692353791571061399757025811887\
206839088088452459470953501243391631731429127109737415504695582170855642963788\
012279442124808135992231059016681408225397763962741322819738087928894127295056\
930449463616926671962485035839947095320287614656259038240877033591155012080535\
309512855053703445960729062508529091578577253242856982514776309238897619499714\
318327740824962709984791184196724896260457102227537920 #^39 #2^5 - 
                    1884178364817726957370320833021212961805848163960126007269\
056636677308794383287763229524268035142986209978294819913817205191175113371979\
243406756050051138588293283588240967364106918456316748590956310057035306341106\
029442712559888035395470373135102285820489985947641854127885957965577474930747\
738469258459703462982277577830440527074400170795021988426400141084385627307439\
725228240778265855446021996658685844898050088175278711947966917721991295562838\
0607684131752593358376800164861155549855549896670576640 #^40 #2^5 - 
                    1559851056480996689618085917449835077882161621345323125306\
172719840912806288768187274088299618328465433093589554115445617141367738759224\
902760287104843418770765842487123932246779837523610840058086654021892852481823\
148764504096423911969617543829057729763616604563648783671394951765781064420428\
959155043170045939446954282345794304204489341715955810581242496816271489152775\
852994855348783082457629812455459337216687914182797827858780023438667373878992\
738758427061936272324999449090714855014125390528512000 #^41 #2^5 + 
                    3291855110953812959235047792033450011877540840436387874919\
538867454322927133090063446726595133163127683175644233023937859842114875781184\
810425707007030678025571823232221281761021775923475746160420833456440199476982\
540501336209170358299873552522386398754468164342428744338270682589979946472476\
214643033082031939666084203698327050255059891059630290217361828985352994889801\
708046055015470870948452232709272521187236755210768674215244949647958724901516\
602660910338951135335320747775088772634923182766161920 #^42 #2^5 + 
                    2515805436819365882937637076314995428085334762357727278666\
449666711491969236569326433825631930986164805225731331929148968255631445487524\
351913150612687477338441669219215415596165923879162712589256625719467114858508\
911456009097662606895641921938247150549600465561096072127875008643307304745776\
543076819984237268394594927598772667929110615490993865972553100499244805244855\
261993076288375898045348956834351767324964201394983481700249014821117710629362\
72921709166764755356086590162409296125576999862272000 #^43 #2^5 - 
                    4646833001504426282948720602654258194548540283171224077937\
282727071155269303617835592542834142058613059739887952972647982961440403208299\
704700722031538544917968239319925786017973450634979015891144073105080653761091\
210838942179501593685350731883634824503697779082975819840715034253729137504133\
245456347904888225118625321934562394456534231404377995724098959137015730117392\
094043414014984961307856506482471386959694860074404314093623940011502334290478\
60318395696427437675767876631913266306265114057113600 #^44 #2^5 - 
                    5434720508982335187197872065571722602525240490346669902778\
763152997287275388516587822073897652056014157790189251482484269473844193329401\
916279674878182466094566105094816921530110787091420114369154056088343395166461\
085684745537831481354029332399375816723693771699010944307200679468526173586089\
708744177492024336759300799271440982070976950768202522251400057510864682333033\
198790867962088898540862367918237287519187748245771728093709563666469166332145\
4601985444666671848781570163359351608095432580792320 #^45 #2^5 + 
                    3474773586361084776554347520096220656502291572656418615965\
109990241337437057636696343685709525035277634355063868438473519725897423364647\
983827294611125273029839626787788281392301005117853172579365748637464070975961\
122921382117879552914620029882888636277977116241990618683364596200924358963821\
357320489784464256111479422397628214196104831649625748008549751124967268532453\
224378743342862960410525612749082523490219062911331272464081439699806385465376\
5255587694131516788722883386646378819470249217228800 #^46 #2^5 + 
                    1348219039567573567492664106593224604177704086692747456241\
653958302142830055698762785690936382663186231977579453329427551534392180880015\
646922304222923413116524386721571976449571774096354787594995065775699056973077\
479050234475253909831316417311326957761246812189084415293960557362191906335107\
779928349099551933911249686441409893475924553569963789193214568181154194979642\
457267692928398786257249787687347618119931144215877192296752968684418943644878\
291452094122975455036487469535357123331218630246400 #^47 #2^5 - 
                    4107001018976837728441203951421300822286941920648105508832\
262827397250050894450760576333932276556372291347040027919166588689261251344270\
103679620099672786968052065717820097682256955559341659663268856698187185338010\
164197223629029485576356222968853171089834775581115374251776825722810109832622\
948120647884095630495824935511626564181349692830338882847187849104633100869511\
463957183060341721665761327646181060839946065302111690298906810275612143856335\
406913604359434823315274786865899189951330569420800 #^48 #2^5 - 
                    9364560505038336609210830761123070761829262270450388106695\
909765780500144542072754323346622310245884950230497684586768478999010819484287\
336942342058580133503999277826290939768304605993127239566252145520016574875249\
449900429242368271513615525488564124445228925239403524028556280305296632517081\
483072503587534700662546163245662314116210159388599150352913603961990028859480\
818967102948820861654548076504150341226902297365784446374135842015717865089166\
48311205028350664499922297520589197116345365299200 #^49 #2^5 + 
                    3265406078426107277518507762825888902700628776553512168351\
333801853768362465446149688118177995752229850487357034135806795073939370872580\
372826701187634247528490201299601977801419537519575304141271939770148015337349\
841803252000115425151141266157015252137012958255608803986630223366278124820261\
446374411818212460919428916673848963017574589821751611011640147964984261638111\
562533522874742411962396572431966223812842281918310623014018563059554858239532\
1124588426864374555738610299501865713607233920 #2^7 + 
                    4831860044786312959291256048095746950661124021655858298745\
967738847434344716188536692787414692544310250419429537939164409076123239009193\
349872520660619024852536601027606428764882106364309829605536598784730532268013\
551742882216943282029429708757286766201553238060960818101616707630649306292016\
381003323000418447417069612313879554691001828438252788039539703848203145944614\
624121515590139279518708351768501000417575916282559240128258187082394547318346\
70546997709806900569896392285729426166626117760 # #2^7 - 
                    3978097683955591204209212938013885977406173363910846931424\
077226253370458434588257660816287014904507462997040711713832565941016371415598\
715132017506614048795907560786279646857258217499305395492876971443455198737387\
649970509351293433338278926524539770602590597501021982870352138114962245907010\
168198641693097993611089533734963340811654827676219145349958101266422108866828\
873776155949412409394320940261527307600290849477308142061905319999250993801833\
058745515925493247815972883452320045637325736960 #^2 #2^7 - 
                    7274902385065501964488132061517127690018385259928665027284\
862317979302994506268550399300148317112761600907854907786109871490162984017850\
151473811306081187382117034901906980077214524636570987509783674339685583852158\
439001128633541978899153505618121732084327446789432768561374077529640421101545\
470841185806912787694525906878740840079506470997713315231419840134838736434975\
521897245454347237804151377886833143999105082166658130606529884384086018595586\
3886996110227964394534753663187496150954243179520 #^3 #2^7 + 
                    1170441162913344489130436544767311743686255313910588409775\
173562050313765683099018548964386552583436080931635152179335420024427410436053\
461542163710928456399468902700735430456705924708773192120654157389558523554938\
272664904656572013950015946185967649866475492638214867370984509925530853404196\
016208270215693651959187270111202162639545483658300046612754781965981905751784\
702849034955966133024938772944270848826248956026482237364992785310721534422539\
72277031404621511363609387674870841093439466618880 #^4 #2^7 + 
                    
                    4005871827879205627992762417109369644124405163906977773399\
989858703874541365623398515564315513710163694054395229270134088585838828867596\
606984074190699960207550292988446060558346547943904358901123334387206318270468\
240508636634044673348712696845673772504884466337093901455788296606391891544327\
363488656437532182537227292444324881856201170072687283225653031191958780337365\
506456806312754896674732396391765720843772863906063963718259605186784354317635\
189501015001353341565972921775141298202889349826560 #^5 #2^7 - 
                    1058794295190190168379587249613252735239337373537738042483\
813390758232456465506186073502261313121881667822925943769196903676556536803307\
266132285855838683755913081983422045999088859078816580324921200777574066479920\
323809171702851962987010822648534772796598494339962544951861138156462750595136\
624289449192298628501812438485278588106818318455187088618537185330862130891839\
240486658654601793446670841945557578708455591320931532809277718015807316134212\
303698767250884470919033670690669065149003053445120 #^6 #2^7 - 
                    1104546352804605063271352064955255059351899169486758249572\
704234682390887738658642910623068997388690982900341871447799753792199296606315\
439736544974345218912421443257227554438178732474623464228063084454729449935573\
609657622272050218482864089187585476069142071244290904152409396384387377637344\
701407389363849350079318324140015573647026529402268394708513373915609440382824\
039407313332410110081955348959784763470426975176114094011735182221357296818561\
31763812727364043396454413474280738067026422031441920 #^7 #2^7 + 
                    2243091703524405041694129970200531493924169720865878087791\
388803369922691386148810280523918117967345002470504171536500060512780839244299\
095415336629193133675743221972550778895090526452671352462750724660205198453870\
652168380018185543518181482342815240821664068990539788622190629365849637088176\
144719828102677255573979232895942605015463298008626333429062250283599901503953\
880939089851958737154100452656304135070666300393842093440194984620592045130128\
7500929190297049746667949649106131634858832339779584 #^8 #2^7 + 
                    1568018133019114651327850326545849493613894269534737878252\
413514887851200778207481448231731017805422279241858288034167886702305581465037\
559445173736148543567678205917644522930290250412766793242409823825366119757047\
672469989805667863411371944640918393559966718527282271277080770683944027167782\
447580867307356734943773098053629425564840824147233761980030119369915132259078\
790932677203027025566954653296868183009540897978172977345560245318115987697198\
446019547525923816284061503327235416197785632418988032 #^9 #2^7 - 
                    2344961598272168865632273265542418241046677211852881303519\
408892601922128157313673815772017405544459803910731646736426560125537328935468\
584492368893960265513127694614688178168395023786988885424930750123994971465171\
929553968721951790139512176523234388560827168706562180012993015265060119977229\
810596854163642597074666205887887670932659748882915252812472655937023608415670\
298152695975177099027269173585546054071704039625682213948344691092367509756836\
40046965528072205492415055351121202522264544169885696 #^10 #2^7 - 
                    1311461158173790540532228512787263639577953757836936983895\
284478446041514805437272056280686342151648690508755181166589242954544877498520\
604126417414549251106565270492677228365094585351563500738708128150978633379116\
872172556348779805333401276277606233741806759999728758162602784033272485736658\
095522261063635317876247820829212688229417822063284585713154298297267329872106\
000097721851834031911835153380522279437090010746060896277607354384212903684205\
7221709185347046617961816743052428276168779104468074496 #^11 #2^7 + 
                    4695047392910099179007532867649733618054793770171164242218\
498849911365511271888529503762453491696507189840801488248149940386711466159304\
492252324160636643269082250000776161203722043120876616792081228212451055071023\
375629381438937488514937292562124020483591355717292468120806268695155306164978\
997099419732843218569567092076182920123640793317602664666706653897179983103212\
521106593100487022731240978895915702255703796906415551979892385096842053428323\
32157790847237259231146709010984591139459558913343488 #^12 #2^7 + 
                    6987099832146119205272332754538827562643449041894833073027\
773824382445596802660833497238820231644946193820209519166399078454045872936381\
936248622469084674046444409087543173847695287481604246828994023631389701514018\
105174863288596868836800660003566609154950366533474390278780656223321670445250\
816354571013544865303108449479090874514163573587816342975597081120820063774568\
685679208124489102082435999070418528127588976609561970743084717965594133808262\
2416395420877044680923482363355625746574776816596156416 #^13 #2^7 + 
                    6057480849160969606335207304460076875221280383157614627457\
606370048717199604497332864582628269593173919502007194983597011204503137637582\
471518718349674309917898378649772187941809206357102775889396952048808740588745\
127220878038280988117013872619712427812284476850382160479162326551276801539648\
794816369910313453935896578993575738795054825554047718422977160712920094008820\
815702609277575028066481076040437238927381349764614078799324013342383571934517\
499523494048815123747537346118638436556568232433025024 #^14 #2^7 - 
                    2463455226155409834190155062443824306024137643166382408212\
720555066622545580097515031033199498859014361411495013342706054497311240842367\
972795272631140924792919527070609138176667179790691118282508911221925461434063\
966123939011045581663975808787231794165931140162300249148103651528959244033680\
351335776113355289208356123394324934723137035175674130366170764465522340814908\
845839987919070774444594044540796352989603620972422031059749765622910448037654\
72211074853371670709679314789478130434645345350358925312 #^15 #2^7 - 
                    4203280987302401928476659489061230330457975204660399380885\
374738783216285540528763207468253367617008128628999012147749407534155957398249\
879601717060336184650177111575319750041683463831821236130222684971266814672045\
653767554456026188780819030755439663642073585688271837167094038877092942230969\
375413570450484396439425157663004016850486029501646059612471185694132686684983\
095917972109822210816482964535152693705560344840317272598647182086754346158904\
1667642791500101201673512083898268647744782701558759424 #^16 #2^7 + 
                    5845905951491936884436944670660767973785319203673860797450\
351394693640729985889994525939534948676039549077385175881686339081389071307237\
786610686955614524770670627308691443576090223428938764252610521986226784365416\
215846490968753862672235531560246042157086716179040840485202968869689340457333\
272790456465970920911984951351028714250426762398920692849940389239239125149513\
834322596699919194117757227328429736860442222370370622169647261057525053992715\
33577753928945607492097584354626533937588193369299877888 #^17 #2^7 + 
                    9941214732845145697598696594658602107048956166582860471455\
409395465792446470265331671812314187063130226425687319743533250245114563319325\
254525690736693339586686668962307289017099478862335697922351377652667303185874\
954110396463486289378493166595741828962385863229079970373594415106252437205529\
906680429982299916182392325612360835029644397919625873503141194439679320900030\
624559943119581028402603708787521735306089918671461525324388284878973366652132\
2688325083652444159319174417572761869710090386234408960 #^18 #2^7 - 
                    9380254718464465852779656039929751823965513123783107494864\
412345067880629232765998009275274282827814076529327966597827850729227838331289\
458218486351336138922979710781410246365486565716550718263527585389314479337624\
633759638731147159725919498545482848944347726916623336107479007339269205889022\
649361854438454405512367442574378267444877909583554263611405491889951923033672\
533762505777711800017564611919650305352653381901256323049740573971832572649598\
26354656083072714977321860447001327730361646548833533952 #^19 #2^7 - 
                    6110691300269637865861285140847479026170635835028545806267\
724939539014172155567569316192387508600538277503230691137115852398593973692766\
981492458030762984570647096912365395374620318282007118768867574738152533429979\
897861526087936222600182341899924185142646659908213399265340842907653206767922\
305253557971338637533801709087329888918039706544779666487360780765454558522047\
473073623831370204602976081945393172156284784099651913064674913231110398893468\
709191054088032707056121093262894761980843768053497856 #^20 #2^7 + 
                    1012624876049768112735775863067476949727066901009396172376\
118183340183930403091938203377091401077874313506104832488421317052343431451468\
038010676783514789469912096789367614985043152305567475861156644794047958824040\
107358267962686608985952391924858706821197400025020873861324155311856503277231\
423393832800914580875896120832900865563649600322033578592142993783129009564232\
283795540398681898875804080996490492364769245358770324043560252662092550816164\
889447841263348541448126710458724351858093056551790051328 #^21 #2^7 - 
                    5287531630436686648150803808757778617964654272493072124749\
288520500859312774854592357513805458295910492245658961358246288098419828200676\
389573029733470449059575878749007864099119985527346092048566174669164626774547\
667347215962892784225740553265951767388243455707436658405226849497330735242645\
054866461017305570544435116950665034069576867158220410391471407865436242015379\
671255973991850141717900591839762443521728381391885821701951270270625429176636\
34172076598571759050582360114691101542693208088024973312 #^22 #2^7 - 
                    7258986939205158267107152762246299913266192545658729724795\
566787523127112952241825872220716002723605612602058128922116773444255744800268\
636915959278729728886824057444750779077828140501340666268234449112705812251187\
977025997295039967354460349765425356158958577891525214906637294988211713383339\
251286735380221195801501525213314910590006540199545202526327028171551966858653\
913493786368614467931394924894513672269018249561220158073963868825258022441328\
06938000532544520113676842219483612233806437540322869248 #^23 #2^7 + 
                    1482497530240115309690280391496131012093978332776620906459\
649749171398398011821854555697316282138666134525373512999793361194967736911306\
276265553593218635149128464633995836779769675680569473094370468444272547661492\
964648722120334317155519296722963663751217674696678414040775247466093989924977\
215480721545756517315640808810454258743695699221437744337992559578312754065983\
124396967521895529933216775992798661247702434415435787189249076318580733420535\
014984936590409123552738928806230148694940814776293392384 #^24 #2^7 + 
                    3462175667363565230582309627897995820018632588225181270170\
528403969697044555929373902751374862343497057339075842529807474412523592884608\
512554903266790416756252620822164660704678928169817958103698294566881849028555\
632563839004969341459217224314955929801471883572429248828052924014948507032580\
767457251529029262737318561453133335547182729253070970883726149049290524777811\
287723513754856671163540416129995394721032513489847518872578756234938867188108\
08660340798489428892352281893531013337910454315779096576 #^25 #2^7 - 
                    2302088585338593912377368614214081885294940702046376055051\
451579923453722873198760684669482095597928748593170017800478849889669161073045\
654698719116997453691958603676199915618165556230390515512070524013518071292324\
093143277851442500486893749647050870354884639700373374823678623103865955923391\
887754672866696778754253940302634841133584613068092932982297472219434548432724\
562915282046212822091969167165388144195125004645237939470160129897691010282785\
618237427383540695244121449557151076301300557400860786688 #^26 #2^7 - 
                    1346776761464512983269564119423394908057431634451962763215\
427166583122765913813065394656062199984776832330948536774509990781543968222889\
602433361450052474631393147950823237312988811201770627553552170357166968513970\
679737614466319245016059318379065244648574126700128876346804324752276199921713\
938242634983204373645174063577477475977673334268751827205282065384066700330866\
414250649438715991542450577126921819922789409405150595210854723498897410561382\
98317751051923760088815388197378825667004689121458257920 #^27 #2^7 + 
                    2438095721670045406495680069305121019188111296228595273543\
845704830569441550134309273863375593465029748939895418975276230563255767692416\
255429636066994115318875582915888604014883586677706391525637358568991325849102\
744258998250298141377939230155785550091239233040533665036592799159846270900321\
543531102959930374076946715295171797393715448869773317327722614968931932351303\
956147950316933607484053911420648956707057117501174608666818007100993209659501\
715435280079514280557769017724408313083758149373278552064 #^28 #2^7 + 
                    8310656211316970270101104569117142866109844407918360076871\
114020480991429607975115975407173068639194315774610299145989441838707772419512\
483792898284312732647207887293009631656679250014944480308319498036473631327434\
942082743984916436038835339171498303747362122784290179887940344978741505471023\
591014276492450606991871725626974405944927401418915513334780818101806570465551\
383762962419696779140425868461257077882300748610856970081131775805934027950857\
9242832684602741641486765939051613935489229581075873792 #^29 #2^7 - 
                    1911964488777154164718489900926975987128643506984172701989\
038421744894156045087547924810960482823313686167511225817059515733542278773740\
836029899964307074998105532387370819433073584647937032231492143826592574738879\
594693952446114819952992455137174334192986852236090889979643874708577555069418\
613884948293084638047203521919365125349172230582107306476384271092170621160099\
907762801796395338368526408560527835296405818741605227582071926897250909813170\
639222373310847626632592819615477233441924203895848960000 #^30 #2^7 - 
                    6590939406485577671220454487247728447154822778638058184213\
619289970917437100336902482938799574565527241646588452463135252960222211295460\
640053662681337067791975769313798034352104385412056709738243311344783896514005\
546136020884768269213991076671419189600161109903079407127892161678498884305348\
987970877154571797977918978003136750824138864473732274665281027866941635977632\
354336447144276378062409059248613758849045274629463066104662438140476126867549\
5577339427936616363430821277672614434099403622302351360 #^31 #2^7 + 
                    1167188470838036384015810244867895410202542720806651907806\
837995599121285417388137378746937262558488070073200197025306958072523870262368\
256620466028820516739185072678946757073160479139390479160072964405120276316245\
212438331913435505491499562923054549862899955734953766298019843639568015437209\
887740510800235199364648234222237113140025129682192343972618503493187776782411\
865964887132447724949608723036894851387585366927422561012047622396801350572518\
487177847760607850130235223819922190602970570942786306048 #^32 #2^7 + 
                    3619550612037267749618321919190426973954937271419003881443\
534356704028630348898473393832313900413905827996861671503777313262652621681797\
991923607233642460103599594435047675270324441425002653266667089048804161949768\
597365829618327534402513773070616657868958501535397602312836293117264483763781\
466208148638412631895148068622760617847396815366984723839677895406148568091303\
729745742781338667748463754776295737184840371785305224803902458552166139751741\
6671809417036947092161608799473906815347918737734893568 #^33 #2^7 - 
                    5757793868804142341912580505709881985341835300046134759268\
725820914352613622394493037601897989075054527482634509670625261930203323803011\
533055252202874012498483714339540156162463537320575642795591567896389612620209\
843296311498073646871809046080792571464868624842117622691145046715666304012307\
338281956656756522075867177449555840362821175728992145782618820742411694810677\
090900015354208373285783256757588572623992913643002048267403943491428344377902\
63889235011691701445217795581572928102671569295262089216 #^34 #2^7 - 
                    1456117222311082830270054320300001516378670336755898596340\
072941137417609704052664680648647549985650127967217246378880884009427525538197\
832555097098410906470834458180294438264072230253534266263738675136094044924644\
761050214602024075846068772571505364810702449307919855160241054074246232482229\
897370773636988042383713264612011218559034261476282279496781368604468291681020\
879088911094275626904649011528378060450144474158811175817612814862094052623915\
1525785044135755829113234288828188891089843803845033984 #^35 #2^7 + 
                    2331997459239182611232122793341281601851299879646524851337\
135062566964640340501183750807760239930721899091229380527817032472614963239076\
042113724495932144615203919878194566773003467941462554564881179235813567582140\
594027488660907435285166974726065071926567166105969649027660527504386749338658\
203267680663684186985453680365163707005311304739894766268439302279501083180543\
850388251131975910683729121964695589489839002897054691831264243017130458029186\
20625745843633868341925650866999169247770191922003443712 #^36 #2^7 + 
                    7110642302496066807668724253469060767809828426683356670456\
190478281759910444390500954122212274691985745871531155273933803182897509212876\
593998372026809823857356510508447603962756772760050528968342030031961570041840\
566467015342246751187091945504588285101345090982965822685953842425958605622316\
137887694649527416172988946369424121592070550519997048462912982212122882487022\
795568563606730935936135944125165915140743073351376202481454767795738044214125\
492913708289702165752404420117444338432881828130979840 #^37 #2^7 - 
                    7601589557931008629959498312346715869357290086870810984944\
804139795010515748789121138780604308632109411239678608053125877327129338453291\
686753786163549694787953953405914266140003635089152378231337598203340564654270\
293703467459969388724572050220728114229555315637880518420300968632611377706570\
446691624806321667948121659917720575106348999374586955956680816852861158729925\
269820981841006652645001527058511333967816220903423507183098959838878776117977\
2823746009268399011016408267418955645685087591580303360 #^38 #2^7 - 
                    4018095578875676981952917489214512633255295578963946427829\
780868024292547558062735838592695318545828302626466903965835372603627714162831\
526661635614488142735894879264382490801981900875111827461224156624764374691423\
233324993409758669208882433787810201995537970017014304257110297939675373534336\
870588258628893583460091906845498573402054522327129532925648042971852036601573\
270903217157539220775944699421383211683230261707864798405451791532949038134425\
207739328037752172976302055126901128276012058269450240 #^39 #2^7 + 
                    1890589806023977931632095416586875497136768631739808261864\
826801873127907765785092959997302054260249066809139790645386663484505708031715\
776625234532579206277677578169762493878998399457118158500670414275652541619303\
250315114239286011748271660232841941948705098384619175642615704948549757350998\
189565954833731655634796772727913882955755459879134422389300403957651432307309\
283580027665846445285453030034526986470219082649846067854187388673067947665342\
4560787232661332258923697497600157277807351718813368320 #^40 #2^7 + 
                    1572806620563011744776408857509915744565488302240570585821\
599456461616728732795108345555611611551925354030292933124415961132042477780596\
132265038018524976481998012105106344450468877022124611548968526878646559130516\
467738802544585233758632385438694388452554982515843384276722388997870656010529\
557434221773869602402942688289590755566001728761955280235227351846988093692775\
005617167710485799131061927756583783938317354916931959229211774073377062143837\
575357845024805789914329464649245923231084923636940800 #^41 #2^7 - 
                    3303048925454109722732279582412728442150035138157559217297\
426559352720151330579263701840325649758614916801710467413943847717184428440937\
990762799372251424831704486654804360988960985013771555507137606431514621971209\
400343250332117105716192076653446581476974445277684973987715329086089374828110\
014465362243806254022287691539617965593248922055090077287055301920008413278154\
507525879829251030600470303007531779153756302173565941945270275263405229316067\
307193684112297780409480726197475768917694035326402560 #^42 #2^7 - 
                    2535163196526579006218371506882712257132580565837182659241\
484931030042803621133602351271203195509566861184127496197283348358588471716350\
656988501140184433063599797985584208304829453234793571079134774963640192330712\
044510143627727128810058307015852175029178034834027360147937433267620438824195\
090681302772862144293721880569426575272018465143540513276901890481900008776774\
047864215300426596894215151341489099921795242469518296574141148360263996552068\
56606756740351185416349953738206010626417420790661120 #^43 #2^7 + 
                    4662094862271334214162449657348227055021257342667337634223\
243684113737477873098041591197531002314029338606646188108558903383501504377467\
929156473967751887694894837553643298824103878436624695341194611655171654337198\
617815657616260724164641779204796078792436598183056648978594854566991249832900\
310052627796447430027897992288499858380787845603916829849754449350813869653099\
216227624475663053423845928316639584775217591711381396916276414854728463423964\
85318187499029346118531911207515060174237771046584320 #^44 #2^7 + 
                    5461552952102964201902468950203237957817590206684787000396\
338530979240479953225954825311088917302682433161586263653284742122203590415979\
642304195733065584222933778941447126762436828274790022146977355176478938957915\
969065833861103369994435028103967282908146408368654697060120570817200719688154\
457481265928451507718502007555524354653898054065938693031732866395519207965497\
918852449137736636112088274601480660235292978355105275228111370012722706007649\
0282716265162129697310196034624640475946055158988800 #^45 #2^7 - 
                    3486822825127253723922363078675125832546902746592060435715\
622919879070629375917563867832374506594423719948938851401989158099205609574912\
029236171419062943864378482647963041071696901747818708668058284781235326960919\
196978652247638792535475583795358149721596714748479652761467004654125816524984\
314108897075723389366419682912013390082888807568370052299564643166739709954366\
994555549077053686116594587863468053696964752805326346900852754377717913617274\
4397669505179178653635291794403588340894158081228800 #^46 #2^7 - 
                    1362365608275220850921746928142376624183212836309999051150\
063905467513995601978179064898459235074566699317399051869086561226740838611607\
150268410819165256232802143364274353975181475150920805025143441243615656896548\
265743198788654072163771130373698749854888964455881699028627268254446128654455\
456834009031692711048371891632805567271265849678852563938454684529413964673448\
608769814137710306187565501603441066739785023954411542556452238826222859065536\
791309097813203303504337029357562783078084404838400 #^47 #2^7 + 
                    4119349206332416020043178598791115300537772380961187673814\
206286938939611497913016109315022635923307249076286670525170466688055375944801\
919938293661809731657190709962382995956476300090982578738484415878201966639778\
882498827648276514553855849136447842079937562194838774623525274700136263413956\
945426381823327165548727328462210739790743449629683411392118134849297336340061\
626246703956336807011764777539053425465343378618426822731688558726596305356920\
763310464494524767961525403533766947320991265587200 #^48 #2^7 + 
                    9397358128213377064127086157703274509289547581348942616454\
526496368334879693090234265224349715665507021303998238020837131051137063207964\
865847787489899439245275380884324329181151568092379041575331812856217262422099\
185447006769308051185553790510096720054265887846983672277502520858734136791804\
179082372581884997258659763036352913249727584683862960867479585650260963314219\
036361867735454918268135648207182546953697897030602002122488556247847152020222\
49387972246920159008579363170430729247904497664000 #^49 #2^7 + 
                    5252270275802418859264117995503347641713573403459619260276\
872819925436399985394874833266691859632428428170725868499651820633401728265089\
096762099799317882337219210376300518178370492481292478424887846138158671938271\
239785028586412948391670327227185432293243111473546238055358111830345755637573\
056912321352863439508460197807018951838550093158530518284577718454383073319379\
313765793511286704106476256543913199536283801676550622725837925179313736941643\
905033727040557533366886975220816991805791 #3& }, {1, 1, 1}]], 
                    InterpretationBox[
                    TemplateBox[{"Root",TemplateBox[{"\"0.415\"", 
                    DynamicBox[
                    FEPrivate`FrontEndResource[
                    "FEExpressions", "NumericalApproximationElider"]]}, 
                    "RowDefault"],TagBox[
                    RowBox[{"Root", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"1", "+", 
                    RowBox[{"6", " ", "#1"}], "-", 
                    RowBox[{"12", " ", 
                    SuperscriptBox["#1", "2"]}], "-", 
                    RowBox[{"32", " ", 
                    SuperscriptBox["#1", "3"]}], "+", 
                    RowBox[{"16", " ", 
                    SuperscriptBox["#1", "4"]}], "+", 
                    RowBox[{"32", " ", 
                    SuperscriptBox["#1", "5"]}]}], "&"}], ",", 
                    RowBox[{
                    RowBox[{"\[LeftSkeleton]", "1", "\[RightSkeleton]"}], 
                    "&"}], ",", 
                    RowBox[{
                    RowBox[{"\[LeftSkeleton]", "1", "\[RightSkeleton]"}], 
                    "&"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], "]"}], 
                    Short[#, 7]& ],0.41541501300188644`},
                    "NumericalApproximation"],
                    
                    Root[{1 + 6 # - 12 #^2 - 32 #^3 + 16 #^4 + 
                    32 #^5& , \
-70200316271507168397912526370140457916036103806045166974767911468991623992259\
303317425914536086227228818264393292358730270199995473975184965846679256103733\
574485402032360453961494198824241067649963501192172182571377104102659710931477\
581840743413949560249094047960678660134816055939745822577947736867189402551129\
308415502483229366695545754973296837234394091272033109242928320708274729957495\
4746812331186830777661766505 - 
                    1107494235866334714617362865936722194223786092156026154859\
040187453768861818871579481706065771883354740184027162799515762612691597958748\
717568435588330022963449939744604705558287926994636861354538174648657685319799\
318354828829089452100720910187586410672751175449763559948764818714214554901635\
536182776147075091170082523925126383608323439946664132850529136070437415206724\
4473178013912957254025784180168914580147488146050 # + 
                    8161892701345983118896913182906365640877423994940570024668\
202933711983610844806294451471059349656351171753051198615057782997785846985067\
650765770137889498053099663796178101938684196248100771750834546768313373572664\
271604122103366763262734294507072035860248576650294358190570143793042577378276\
660008431459707332230823677263608434405005926336429838085721911290173423871484\
4566845559094093798126064292142416027089092229548 #^2 + 
                    1637613586138376157408239098939167209144404235110057115814\
496186881370388139721017302674413823947150489894457553796529884563485003013067\
045554271483811847260710591266953965597688968693973658986935599152734690403579\
754565471042736498582411402161631142733961026288763614162550563591541182303279\
410713137402262445773689972572018578397178782121046763420107264147101546290760\
167707633640074640737156322158644705274662372707928 #^3 - 
                    2078835843287125803800280293860407523924968258687456724717\
859194122272133029822634112862494096703735202813945811068715178870311057666143\
412969119041976482932077249487077165397174718296059691011665290127986313506591\
563305067436699077066600968325333446697539559388900045428015586502241991444005\
095758052587544644490519882931022329665485544563309261305638272166807976161466\
000301289173685460142464077209321633986061102358304 #^4 - 
                    8967977845793281319981690689126192404765175188323484857153\
871849719964285185181505366126023602669306496921379052629447013986690511884541\
217777879709272272684786999855466443341039100929708099015160633799631978543743\
088373621920901068679284718526744534258494063934757739841965623074409731504829\
035309871485463827003465290201247366304933708011319622980776800372327665618199\
9673895370967396746818344515812052711126173991977472 #^5 + 
                    5016990045060500293416800056629012344843845336721694240980\
844687257921550072504111010808341382813030463572644796482661359077896191929064\
643676229509963673055369108196658165192539606411486640778634150032987904058571\
282638594173241748979728533575468559226426560551691685488154197330675442376746\
155320893144732042085981592496704624909392364922520681869315352775334238381654\
100921993803547444711741733726888322757828170026304 #^6 + 
                    2476544937975174960510621182113291780707132885913092173851\
306281219809237300116283469307272246192040665896674398522432529281143675899836\
181871640661827032735837733785951173494977514665604411731342287902569926334946\
429892431154242401281058734575862712886410371378577881249053627684755146193220\
747998729257311925460811655268169878106359962217064827728045954529191635591248\
878990360028979667260028394918187478456183817383683584 #^7 - 
                    1584188293222855423736970894284398411633827029539431791982\
109942610329611792351062284505163780485609869104539996933537261323153782552391\
508355959857909589891707977277284367355231497773326219493697273780894499617146\
980305207875878821621313275246695865510032424934767697834366801103410738962887\
100096075184008162247136979742261631392020842787072387466521598493172271322792\
46375671725450028608610150471239215995052899772563200 #^8 - 
                    3535077510540415798394816608780792439039270524552470978966\
644757531227177099752672606866762983952327054627311329190814747481744544223651\
733215726440421015856453176406638040953926937752060594722534470583637173198157\
172181079622299395116073618144791998546425387286343152260886830415218546195876\
355855290922849700505636945878510391472204854651713596110798022616565888323683\
7325572364296143119030433349936901709269907363124397568 #^9 + 
                    1821032414045522701476339308297829044674195545243502152151\
079117651374875517817395678471236750277938348617409242377531898725757560834474\
570967020311382218532543018383689839411737188409039237842935882213160117015106\
020144489247102025537181958909870746285537029644925827829199758350240730636763\
959212613224966010592888027729273981498478900053488347610207693814078456374344\
541619131324511436650214153226238769820445892490437632 #^10 + 
                    2971867654883783184470410626226100980076786194360105557444\
990218765225815127077938647300246222732441600935844804645352084145769279810364\
608025850067439827137748370437794401745558939450846624900083194573887542471598\
295821871151756311024183222213532039629524401811931092760754407401389295146755\
192912322123207703692849804814898277910535400083371877176035535904975375440495\
85107134633114837177473850864754823022508298681124714496 #^11 + 
                    1047261287785172827807703452991682472244987892037459105655\
450918580965125908815220254720230143674827243940305591435218603330148844568974\
838308043271116666797057778477224816498882688816502296339151297077831200629653\
967229494447429595530054993665520182741437203191853673688566994429998369492772\
308639453839220807317456049472007951937645941986091332423765792778329243924660\
1983171579877152711451739621298722842865144316149698560 #^12 - 
                    1590095238072539654957835940334890132141787529639135618217\
581287285938909541278229487743921276673269821411267486740658546746490387266323\
665696907603729850512584680872909877872479278630592916136220302498454309194220\
683779431384630067644396310918718248104354911610460170954590232815950340673142\
900237161598610378128540845591176183073190139781381924483701874890335399314277\
595720323803247702880508954265221117232589575242922590208 #^13 - 
                    2213345344968006177062625142375223653836824098256286734325\
504417848041373265288773277779089819491402940517322723512976835846775312323644\
674685353227867758259697670594925798204164395179288088351440278430712129508939\
674551311198174740306323818617159102569618273206022682288269281047021748076864\
662029304164579215213525963130049514190591424772759878213708083100521611753615\
52668405001145322152869465432871942258261609129960570880 #^14 + 
                    5628125612294033455599282202855532954816410661553050145521\
503722195631810248609832138388645890975832494556994181389212361645552925259314\
748768756041820513932789243168500210872166594448896085305695675343235362296509\
256415575141841083931143377223305147116491484776361127109430784476936514994627\
170963429467334344100442404003207600893329068550100751717552933330584477402977\
540372522906534124994112429316828891791537659016313962496 #^15 + 
                    1183251538935159554675501642705781919520899625973902702412\
817317611484016194562311432678236166395352019103551806735187872815262670545929\
829993668741188486343316461468087045837378272537644547954952916241184340597945\
118537201416193428797255399650708006725035404296422317875839806601227199163055\
764835724767864238414563434063926920548233650291831497338186357463552396225165\
168621558737812036623363750227065252162359308179363397632 #^16 - 
                    1341371074051876113047390259953684641741343963582367804931\
383742586734682794504410592808076420761807423526778577291253078440668405331925\
837152569911005538733682881971713193148472524848724799127736085239846425597158\
776640760631884200393743959291930397927704054170006176214281711807719319286791\
647161124278289679462409984228728566399957478585850371834171964366257608641210\
2288748312865574074468757080017947623593444662367539429376 #^17 - 
                    2688811270587464635319704845046921813481312497850911005163\
327985130908547280978320838572484418785824617432425550693711283757010467675214\
145549709353009937396041930714824646812252007614908968608716092861537180456093\
490000395763963800120309280607197633380743187092192928356555759021320361231441\
296772688933960126591132995820695003779667878099784516903375708021358986913597\
810855340278816139103667173981136444244124274035664093184 #^18 + 
                    2165829639575826398723920772972159713600128350544190422139\
365105782207260701532704998187051129266716312198718285829064886212407951955310\
894956407506216025813293760644090692403296929977395766489904290271433788190951\
971344120263481325295552938546639664112159790666759809640900637865643098794520\
243063787928056876817282536531483322616472811749099137359863761596725590511163\
7481400945401605946855728229435309909295396297307479605248 #^19 + 
                    6616378821629947816034435013820960721012763830050706206221\
259745883319997078621280771113431216929405302322621393652650649461902496925788\
603349951815686770828731658147389412492246968191616360745419132324195447780266\
592174044809949946937313041505231429803691640300162248397211416274553467953629\
558004564708589023409741329462861503851340278496870055230528103955227534564210\
33655795559296489786567376256207752305722800062653792256 #^20 - 
                    2366113865247323567098306028956019413100021118053666005016\
019964521058414736033392392792941848328647496959919627920499287641194269196334\
760464351925209595509805383497354427560561730541896936910271466449734279321498\
294927268966197555708869646534109370845192354137375381055605393357620510684686\
225564681212380677963129914217070694973687520718842654937185394723621588315681\
5542974867680826655934097021289653183428001679971373285376 #^21 + 
                    1173279185674675498033835347941584629275390496032317100104\
485181891439812988377660454932629257238605789262702377097504622203792217145895\
292651787201947757382278381540568456556957272159419721771616701094932292341881\
101395097349404930118572312376207672027333586678900138667882228912411533006591\
711094975377300224062238565828542364679921030850350175006214741490496500364971\
9894782228474823521561804108032987206777128030659867049984 #^22 + 
                    1745547619311404141788686767894543489115132508276059780544\
835160038520771662987179749014472735211094459297361102553752484407384703410896\
988420401257537131648246330268207250928529253302519943115691592587169588323481\
531870259952256671679832999372590761972910010037160121591953896607048081182991\
697449736220747340494838937042470230571982573460973978643237584451289247259020\
8707982405650327416051199093376120516564525812484224843776 #^23 - 
                    3397924297846484791782347797191505650622843294074868124507\
541302449164343389715295544996048108738713269346383794829225086633634203447060\
329837186527535297962299336108364329590874408410083507130518206686286687559439\
740873973413781218762610301555403541464807375077897190351926547503088055208513\
151068319578242080958330193314023713370071002079220985611695454231454952874904\
1149331265325106979484325466870805194700509864264653078528 #^24 - 
                    9015208851415440182301923761031655951003046824323274369483\
858159867791481688094599888199997143229083911132564120442351555451578469260840\
110677890340124944729658281419001497031908999820068822415998248177168980591808\
871629826637286740821002996457131597401507429862600972845209915784594755938256\
278417316982603429708932484677639133378210916768748016740198792479748855781021\
116452514089154498031005142165255729119902977862358007808 #^25 + 
                    5317764005447858637183508544068833579221250330475455480562\
509866502922668039490724815127487738411908027328818879686620126519832045784162\
484393133939219320392158993337157323657028361377543816169946561668803086905795\
609147123003663601416510051211948543845440246558480587509089066344962607290840\
767635414733717460076750085934416967414349445167358136597968539674620887024076\
1302204278738247278212609210859408260951090861173343518720 #^26 + 
                    4178891894976772134117927825611216570582791015233972673260\
527090548622200450526620886659713839805270505949201965206853042654417221728984\
012872066360183289233070305997490076033139175395901416155514365240972752367650\
873316841374192489226166188934401551620144830267296640911621418670392930189040\
928593569763663304184704236853262669336791500159105273194101103483943216435561\
311323892238453626156991605242583117451924231570682019840 #^27 - 
                    5649353696032195878158380391472851541337751424849555439354\
617538620162246583073076488629433095539252283093668001577324710378691028802259\
450840459560690174943158922430396906154876185741263523381036484350158656404208\
024637052270196358200420407902427080272458249725190928783121133080340241075551\
274166784015947780273286126970055905897139302491311426747744590033478068503971\
8801613692509130345358901510558831478530278711113803628544 #^28 - 
                    2770606585559965532778752510613217099909608235550679642254\
018997656388742499746199303010690945295422228639472343139739096919659831692844\
489917535413862826423576049717469626915174706243213831990525004681973137836995\
869282624105794531290026566180781551624954601595251885314141245096816744325674\
490007647547747152957286806763173863640393258625296993079222171100229739612705\
804195566285349578456460257550358938728660910889005744128 #^29 + 
                    4437862404204595673978865244941183201753662916389709481153\
833778821271210142318403767715089533134322476577509343696589660430580710408695\
153757018251254664162482864712507571734477753403561903714553975792092647100870\
253912484119870508899872722253421449345228800111028711535724077769533798399778\
633998393732998283708547468078502530045837220823336942104731869970422057057345\
0781448890085121319532041366013304671430203348107892097024 #^30 + 
                    2055954784080231161439957623963255327340839466745432648700\
803781733617168057644708679546937555838385841425866631784434188174358813416077\
739982191169225018759728317486336318240120174937431741079054716106225213228992\
811526424455422131261025225166388121402671620306847867260811856404109794807187\
445707439050665772585109934249210470647206495587827059447174234271305663589317\
812589877746541787005963671865691876737913451823759360000 #^31 - 
                    2712621828450100516477539737741208427456314681757885697176\
246095842067749927400710228937227200127097712315822466640238412777609145414541\
864501067216127859677831948484864755249960635594257158974485199057020248569406\
401853890148708324628677924460932598609631343211303448334016407686247804348484\
458024953166671459660029206182971508524357786936009945181605215308634341472631\
7248914906919514634493528522667575100899853660551288717312 #^32 - 
                    1104714444942948966127406337578189491979760015087506356430\
825520323145955113540445908470376554402549070759770720977201253802469923643794\
149135868912172401586843216520079559646307458246467119739755178287536173667280\
560993017951246122043802264920539518659303481856285168434630446281615781335962\
112807535271185762382222478803346800027338573855030900389487139072361889109523\
395552537195804713920049133006810185214224471964981919744 #^33 + 
                    1339569615525870320392488433437487229358082728473491333767\
773353309395763913004162610869101791379353036018834483885771100883298570456066\
815241529381614374115112153183055089772177820861649346069180646791899466785585\
483074219161232318294796012951256075548865816493155623204714396582063407428138\
578044156736571030054817934621703174998423076585399362423560753538049906115651\
7309681078701149139538498681457552262588751387177280077824 #^34 + 
                    4461081377037414715980066263784861049741843237959561538195\
696881077389377514453085407751083687354953525411349865458985555485035664831985\
257443272728105086109102508048938766304765224419184271020509410409829103567252\
444753520674815784654199853808314338805495582733655100976401577187438489932920\
001388016745372602883471879856031577094986837841269438352092602269859474316451\
41795962675266912011017256580629649245498928394401742848 #^35 - 
                    5429684566339924334660549129047593643503141136829472761742\
051792613959332947854731649346206018570195999463495028825186313944194664172394\
250095185814009302595663832747432160486460556905609669364810397024702257187889\
491765026681185587671292932926457408747007439996141652641036884824469351591712\
558125211185526740447122313097355176071044769327751943826502492384011899306890\
731645423369817103236844074926405552208772132944977330176 #^36 - 
                    2006413844944542675199993588316022965992007154543238272905\
587135606299180351017568931231714094651998766810869800112491982938416202252113\
820260189459888851634114639083270657396287802863299971001239369560489709797082\
444457603293509095676493508998987402639529368672712006246551942339770117868154\
772154155000081627394573696944589716359290478971435738801569908110705164616511\
37852175932846605951788037252938803415003504155553693696 #^37 + 
                    1770669581197360356719689136882185934575026512886425272241\
080419400867438504776655500228527286331897940223437710482953411829057420616845\
411222902732807560730162700436292776915422021608131535745830813393634469695232\
999686277314452789738825490368772286373011164742138963500597503994821284104812\
690025465737551940140618429711886851170887044213593532525844326048084008652234\
838400592574409576982578490990137962966432820557250560000 #^38 + 
                    1024384195841560786203803990261659864941415168828353963865\
514889429083788470409987439754590265618961816302022164464479931412307178243328\
940535200835545019885068896236440098283715281294336198006517282389405216538181\
057852552998133215228559571594024966998226660585642018033386696838705051060739\
400771644697766642486887646318531960901837703138849628511495283206470885727693\
89486428677379752559678729905125262333886212940706611200 #^39 - 
                    4404903188819469762250126285927225455462656966341232172185\
054947307913689096385995110810482590602971793490232236915320465893059674569599\
690156297998655932272241814936015983195747871277485677230191263453241159058478\
335119906579096367551385973276858920532903872985067196552640080965268215346678\
869087133583327933077986244602027661458014868411019054535425228969278238834353\
95874208305015827959466442644322238838780872893703127040 #^40 - 
                    3827987770860919491233684840407289481741771535732531474965\
750463930603038239510027829371105769635461764402277898787160901926580927888897\
574350818492212960002037391048238182286099024785420704529537214387961257277563\
837094194602572561628536141756449403788212894934490365843229239370973613467170\
498521853912020284220969998561645201242753388609912554504523815593683477740744\
0839048501956946811462225367017616433006800804323000320 #^41 + 
                    7699915284162094579185611026585840631037843178805113294306\
205566927573946273628740978477009206308570863015020777641689524265821485789684\
487671786906160745633768926817014196544455181908086706622716282432451619372261\
617465860117148432669545752506667592432871773112494459033677808208034415802365\
843519554636517457156189723584860323006997919736895264265889840824246106250719\
6169620637094918813896695436116768973706857767942225920 #^42 + 
                    6136512664922345768573038016807349795804300759444703208305\
755695353037731250689799425612980184299100771859553223985356798248232756751885\
217516937449568651333045922939998620576367629644077040950012108629408507240653\
630825722294319581797227755112271453240728244574119367953883868041086929695317\
029687963002420241785421255056506685304833840406273915326724502171608496733077\
172830844968881190438346800370011711777556667354316800 #^43 - 
                    1086771210996007289420930388171010450514240601052792407820\
278138212935550469792720145053498236330762274623168545846732562188045786387457\
393524601518515691316261171674447575598089147440003951748666421000629000572075\
427131692536218867882782780750659052549028008235266699307039955278544979144470\
489101077058527378506476176589328476674265936215725876287567624621537182513113\
7178287978349020655210256884784420835935861354707025920 #^44 - 
                    1293662224449047757694709741532758028316076909416427479387\
578201575024109654051165756001463578955702650947413401324034490835473226143326\
295781661787429409015925921658008300606543694839321850507472387802071639127113\
064362721030591918588413450219142555128854687668505883158834167608011941972400\
987486464907600538253076031880675185862589235650044752045926678645715052695733\
975477967577166092013082885619076546823437083119452160 #^45 + 
                    8137118353676547864478219449655128570966401590191503181465\
461878453283229499004394503065250161415568200897382692966184371683716788928348\
688097692499323315547678506533514266331714138566217834905184232299648442851758\
830803229467242829662428939813001376997516514885753932622990847742033492125794\
740639259598780662643172383896789375537032722875584368986292952340951860314301\
67767306706812804784750013655567795696967883318886400 #^46 + 
                    3357801967207691926498313831191559413490860278111372617051\
700331929265170978057732259769304803461334217739206961970794790100710733006319\
638412117027030221521027654381203670096016009184750357084927288124352252428242\
067192193802906990454467381400674479511761732627155698293129844483773010945952\
351835761325843581676255960364506094797500653827830034991584845157069690013010\
0717955563337615190391241908915168475182048634470400 #^47 - 
                    9589302765777780981376455521392141604228629829534006604680\
817940198881717272255841556102401023206209978722206382917915105732642255292269\
959490917940818086249389229009699113680555480767060039776418407495995573573502\
514928406937505439198966584241787686779310739514732473924180252054272484971875\
127949873727927354512357405401609255358835826462254552304925950310083199562544\
4961528659739798528319737879177967436065668700569600 #^48 - 
                    2197974725743681967691251586436657632256566199106247335157\
067692619697547241193057028298544704304903693842939851218599458399293457365615\
245849456617105394577805792051598092965920050216457081446147607679354471423388\
346542588792633062099481543762299084839291500859013112712556145010998348493429\
120886341351078307654648780710736768486515638331766901594773023597082023750820\
1648891055799080230134794862584840887336642910617600 #^49 + 
                    5697718805878897726797326176342762806598302479385350886647\
346910123828440711163908076595908107290386822794753190872515088382641569787951\
586230909478097003352416374695219623979806167568056733349653367241209219665524\
019614954693475116347361123192849636729378825752029780969325757007361737403889\
504588162143224917139800832929463666594772962537777206088721379176774973716748\
71503163437776854875444240098451489416455629800 #2^2 + 
                    8961434820162424750138759862041841932021766263453929715221\
735649214472565735101401316197755977772565075132662184229766075856305578654683\
406203055691940043821776550435584309336953933434349437688448709950341797035748\
914391031218868847212259079913638092622790921248481743837421167991567585662579\
376344044890757260229675429209427517802006669475484461851169182176985736061308\
504980399069464955988541360189141236980441004280 # #2^2 - 
                    6645963225750524318019125682358128463958779774708385435541\
842165853598500755155417968756945512385300665557193126973715597604478774260789\
091046831747156628836860781897977651029202558180002429058763191202709311378319\
520139174136885189854191498891532647934052196443232870539812359277610502461342\
038069279413091847706412731896354146991147118038104473846882815247363457796038\
9644651250507240527492968742868191521514818476800 #^2 #2^2 - 
                    1321115335501725338329552859441545484162707764130161160624\
403499576817837062388118476056590362100107995890344582951756508285493858442110\
862312248116382123890606139350715013316438838789173706197837969227495827087839\
410006144262005250255337527907707030339901484566018650500523966316143963268342\
900158926571714619771088335910163668261533276284807225294665721869823636321404\
288631932087216178688704954435888062960000072057120 #^3 #2^2 + 
                    1729109002701079538491896492831224099019779257788937882649\
232943974681025975369744748328239215223113972831021070074152664524558319843473\
573264792472776234453106692842692293668666336633870722484692001929728874852927\
471729632080823533244441312403879131377079977441193730798256134403249925340950\
058044240241561321497140270568935406113974246667970231817620439749841488683098\
682703889237665637490088020530825822395351293539520 #^4 #2^2 + 
                    7207826976816184881891602881620546223047176133112084683838\
251942038189678131999287970399545655785316630821107508544528957639614022211391\
140818257779483402625228439727783466212179574978491825107876349807205409163448\
049506155562616883535520635628464491932729116027932797491719195158793943998856\
950232133356216044411558466255932979652517544246807573789677987856986250883406\
9398882789278330416399603860019443612969037425020160 #^5 #2^2 - 
                    7568861429057063648611554584131921357045282573392180313003\
231283246050731495558656921310384521226355970795066859108610793372276159919318\
568508876053372585311533377401391439543105707240767593846122066594238248914095\
681569532581269059322106531530677253026254607260618937510509840232358002254511\
465939571661631972609489166053371195939322236900834621225500090778695973537298\
151766575996647891527543794397925406614807746643200 #^6 #2^2 - 
                    1981369543524059945205835368449796103224323061250411240407\
036343204948731219100486391379455919463644597374497541662936335826374424603691\
327398049794513272001205946176474252034528521676195619277720205888564665214601\
763733720259564223482666542723676833595079185928256530265942019586928367729363\
297823683464649954629112847016460589159139528231042952368288024490780458656391\
851815164921216027606370310577393095166184017474045440 #^7 #2^2 + 
                    2418463508743495657920126081826715273626903502241124992485\
748491812150904697411145041657176156399544533576505867620902687413834450295516\
632883387732038606331275182535794057001519602045811930202119733991343432184349\
229977951831710961953587037919718071225968611617253308760690730350646826098281\
423610179481512480527905018557487793498565819732143834752732116949418738749464\
61767545627110789721135153835914088230752188866872320 #^8 #2^2 + 
                    2803237840510556782153012672706099828756873748300407108324\
900515826931133143533849495339681214271736452061661688969601641005287230753668\
769998297187625412000146005729590978961175328929493488760880730954489135058384\
066947043560206742454233129905689714882714319152913476049303058323888481958996\
496284130189229316591407698301086708876631384811365098111194292949607259562700\
1803637620234750492318461770035177601046486304912281600 #^9 #2^2 - 
                    
                    2925158489762943108614801470883924456779858312226457239113\
014013451006121003475728783045443142745816095131960948599582375035987827526868\
066701941544574488715294485948349023865452106143090653049564220122855619649539\
680147405457828140098916531891180391533271802449806618906702982734981722384992\
389960590609342306290796302712762762035793784708020291234457573208704533278130\
538799350229523348088611350750344605738251007162716160 #^10 #2^2 - 
                    2336802799093628300459383207001730294197372087226084721956\
388098002586376436483295711511848318032847825085918416027657037650187053907672\
389519585437268182133113324400868134573289522731185872993472463858103821163361\
734431534678236137785672624591760097116675228375603468537707576877389642423890\
086817174997020847367791448564344549054204738832789520450057716816273049459070\
94015026949218363640081109625883341175435587621988392960 #^11 #2^2 + 
                    2181201629248788104584281467043703242290658877441798147150\
358065392940177612446202697157657990438479390334243912330169751772309714532318\
775762840018907230594956386145231096982018786605414817592064764110052333274538\
347202991572951132448125083418855067294276787724213531916345444184315358061617\
362299677378771600129584200944705521280908253173190545994126734373718867424306\
448518128192035440192151374755159844635686065100472320 #^12 #2^2 + 
                    1241487918296131974257149344815961347759764420706868507646\
831115105038662217576942666619090692823516073844066947555769575981510729290693\
962726109841684648780778498799101026365453534632364222725695362874620836268046\
305548511238789186174126770628948638449308581939507349441193638868061055102371\
783889165472578685768555986499593385788027358415215164643130812817065518650330\
119931360824108650616945653002314084139562703343649095680 #^13 #2^2 + 
                    1271935841766502496077101405394079695348565415498913640158\
135202660254157227935631824547200673757308213384241977409058333623119562203724\
307672589582927881639064071535130762305485372121711013132953645395767722732131\
063376564683536002694727651286648661457916796264883575470653879745754227137428\
830211079772184404570047439901015864260811817661956551994267047590178058266021\
08495386686433474028581648173256236577990698259697500160 #^14 #2^2 - 
                    4367874224041846582231288029371001485038333659506732777485\
858378192811773638067952662773652893286752258161845909079688413848733697249410\
551250453817792589169861634359856088891365901174371544359331562071520499986645\
238074132229090196807697538233564672810310822247319276890367329977791346217788\
404576425952986354384623977349746972787080711369596673186600397456149616008341\
454057809564860985275144921812177310513859383983101706240 #^15 #2^2 - 
                    7858241018115764667283342324125189646494265001352530197000\
108881763528027410824243710386476559428890946720292558944307220600701722992260\
260216284406211690159942922144753042976170139269084739989979821826143994778375\
639902059195666584192898129552446963011039514611633392387772898091939547345085\
172066622497251203436396686118102914135797421709588672201869051800549061886324\
67541847252539302988016695288797921605880945490459361280 #^16 #2^2 + 
                    1035125950164194640304228130468344919098803516577199191588\
757955242184402949856098215825537481834016243038926235988133455745250373349011\
527412733000465883938383762124139146427676137468729899479842379677403304284354\
077274314757746100921169760618951627612385907892350370503422098020940905575244\
354311218246714598383686398498587673523865430736318924452684325379121158887118\
7876317238796997896093120479087879390064363593132010373120 #^17 #2^2 + 
                    1812579835841173868369732383854182383005546414949022350918\
407737236678296503725553356024390373383701904916953059262927212960924109900276\
699056593926885228834360769821282290619263934745349949424734085179082435062540\
671048290270402325127234266857759621761963389414096170796513341289932223925994\
438919844228089949532358189229044525867827968924087977015600799477365184084110\
920025289800341069735346024608605077362967570293241937920 #^18 #2^2 - 
                    1660260361698495149783790370277318177419548817107909776797\
610867472435886345697670959744481995206415550565613404477110820130686481688724\
869323182366182299452632811070167329483116885062076776203862509064590359225882\
363636042680612896790058065126891349825064712950780500496990300065835646976495\
745891275759685613650259728286097616632056290065167184332549541467259053570124\
9665669020470415474906858819084582733698764333354812702720 #^19 #2^2 - 
                    1409917596038888925857750478439334232311936139597103064357\
657038782750733506828610803004952932505476832480645456137145877451548543995626\
250093286797995490131171996920135824167563248012053829320633182759382937721188\
668828625781248328173043729710770202280242865615924334621611665532520575072217\
927304697923212853076405187705532123409698975436899398238353547812004601397887\
56496447951014185083134637245394200034889901009188945920 #^20 #2^2 + 
                    1794201847821415906561895010756170727850292987803665465830\
889981960867492731876167289936033704968934491177003183023140320133989138893072\
603333322842295679785440637425806375267318401011184320418064485505139985099478\
788141248499002446273136495358033332778903884225290913180096891128786970652835\
969108635491335298701080959698554127962301404921371334006964655820245099567580\
9367148841268975146505991333650308739939043989028811571200 #^21 #2^2 - 
                    9360282021988057124442074917718238787612035452381129003260\
833398845444712731330483003252304437982681964688507563960998869048467590760151\
903202872935785187274247238299677170386606353750514882443519282987392478677958\
434400146813692759334461290912238848421532838473008874432522160712504785379629\
225988038403106800192124203758047725640277125264686857960840462126974129071978\
426247856216218950820409000266884029243603842439084769280 #^22 #2^2 - 
                    
                    1291798073967409796534666079865119749790740096368338495912\
786363671784362917822318695141573387461138367016017325675633308058565497630471\
314021810608286226514921719098629609993147022549281193910401651946152143665828\
272077257195851566758800750911058638533317857781977346290515940057841110820810\
761750700225287962127729433047723238413848089977382217964685542008033367967535\
2398089151246101542961675801235470083432142818292625571840 #^23 #2^2 + 
                    2624606109406444992529348923107802382935213933017294006027\
799206452317780703388698144020018556266732113778600141262953028297867299816505\
602732979799618825008968479880602320678192858108015295878407518675988639839070\
965639503565487477714756047696255243120230537808897792642046191846577550489699\
303165570264016590230996355388960180990454783026547055571612443305795105270252\
0992569272872101916801990028642182782421412071600029696000 #^24 #2^2 + 
                    6245929620209587436559110677818450322935094845497096188058\
208429331992029216801542893926298601653071968569574218412417150240007457155338\
765502286027181600829993862682414694385550378583665460789937144830236785360275\
645106553874847980667679056881721678783948076307581006728000031111419156529805\
042942355452411342183951188821678058669083660448011360493439579672880281224176\
091390175004012351234790188699954043163021001444588257280 #^25 #2^2 - 
                    4071990726193482896861770591944552149075985378300709364322\
928002906462546164224289481476422586417413787595761382326809288264639443993038\
248419308807783458492638280101104617270059933936365314115978891938590789865105\
130329156795494754583471218778963762699302477477790407517814364325968641078959\
703744717353543733357822862029017055962602851514993537902681571414079107395029\
7497285926884290322867135084521324377274801997575146700800 #^26 #2^2 - 
                    2508712670871471129888473271323796915632091319885110499353\
277514146755314784772795180347263874991274680549789146363324276836788563070941\
722321059708189314974363820827068886452194832371053183775748091341783790046839\
929603757629238871689853653332815007424185299400923591008583744228214998855374\
669030547003625279102435626458931014996423174498199822764946138666769487157463\
524173728596797081993059187426321564670219057481845309440 #^27 #2^2 + 
                    4309399084546788061526525427531360973133786651397221624535\
945682633658785417878323727585748351694025600641546954050620674426347964623605\
929695913939097298119569232448414414899836071495183826960959056742739516428447\
498341959091331883638648639479623449753181554814754860039340240876570217986592\
617881707728442915068059380695122521413693589816525579819660386975339552015117\
8817662435282132128612257399009307053232202898350234664960 #^28 #2^2 + 
                    1564276898777823507007180870708461658728475433648121078939\
851883960231981873673845979961457840360323355944292867075415324290713401175641\
420900906691103171006489687510403024871148513938523480288959174651029034177862\
090805358386484823943131146406634656378314853289117684644314719355962930207722\
303543328948800030913358386297148629524581747989009475058568733575745367969858\
484772220447809564352389360982903896188374529029670174720 #^29 #2^2 - 
                    3377685121327134312476548990341421286227773449916702345661\
978147904020546422404978930119225807020159853341927811223666822564152102674854\
205559352246573645632550952662274653583233590997895036040227208170769881376321\
967220360654745020440227022923430955887820382076320659498153307645589765497387\
275660048097617208106223783094147721879666185703251327041282276985901514723323\
7505378991912793228303530779436699079885895893920451133440 #^30 #2^2 - 
                    1219561642596567079313966787823742353246982813449577013707\
054277726347503571385110233862197728862176029733353480361577652937173005405078\
711816480551641377076088576215932093416213919720411724609941147562638372964666\
964781378753388789378671391202312791886835105715241393300934163121464182167566\
055797965054990102324855427572792057497083917419108654136339413278779226382369\
079668084062559609627845179769734820682325236053568389120 #^31 #2^2 + 
                    2061229972884006501667146263817344899450191544757523663946\
463286636945143400212692784473970888066511251459141010263588867755453831494522\
996006715141384691385222121437684147864582433173365333999412885152664205249198\
281210039234523919696796143081458637953462973333308622539985691341533980885493\
946133953753830494546648552558496499179023930096028160403352296560038320184495\
3005827162563454888345797532733233099985402977286650593280 #^32 #2^2 + 
                    6652606353521246667552720622733658870541218848710286816248\
392537838087508310950418834681550072691356481627357629325619111614432107454385\
207847518750383085446696198330875774764727113654102577052373368462531219870119\
270043030220323971852137035636389706861280584681402786342216086432540485667190\
709893074166916901035952902062438761878671958440059258575068173205420232896763\
60797420860679366492084772482285815217664356284398305280 #^33 #2^2 - 
                    1016537283496134741076845984276620532014859197226928726580\
916371269170186899728511248411557463758748352671428305927619952087112484600021\
920034602367274472591322052159402867633429320570834852644409427711513389135360\
424530944062043509356256468272246402876207257265686014422208437035967623973976\
205483323247687411640005714465370572254162836207291993384309311711781204006695\
9139394434078938000865877226748340147467370844212124712960 #^34 #2^2 - 
                    2673739614136351779813493119146423760583163894971929113350\
010753356766378511322292588283616460584336550313918021278867507671212931351791\
353605294604843259185562798211234284729926950353367319558867823014941188818363\
011713976640966235553275638844833481538492350216844243101105053524983571043931\
077465867683151523801674593980076426109623924740866518456630842005990956152008\
97540861999204663667949051548813788078033469254443991040 #^35 #2^2 + 
                    
                    4115988146300436802249731562084095509222463209055064420739\
304445601603745987691041666441522241363815454255220758916507258651415813126295\
710160356918618556194233624652598545723552303285321495781584723726988763288379\
964706112527671973631279268734959172453027873036125902188455772901103444275939\
383491731053984737159417679774287435628662501955412961684590903406335005913128\
959334551662250557084357321493205587636360150761917644800 #^36 #2^2 + 
                    1288168965762356762276590386262682226982799175582566548875\
449023200550962755335819784411440065085768456747452389273270115398928511921150\
507648026092520675782606453346181389368325137261885031869934292437117235833794\
059236730102384009422867693963315118521049169629533489092905400029768420916466\
970258825823314167585155061867733109316215455774488274200461569825788458187764\
99887149016773871516739215894133285932207026121694248960 #^37 #2^2 - 
                    1341260722848533990804332255868979067064434963486041378225\
610948485156258432711469040909289715126132033064806157131419888070643595548162\
924696996912598651922819531124053411718296553724948874105753855855557813381341\
044094645037986376454548199787463256728509150391236938701387051140251626108268\
555832082973240200618591138883687687380541574941709903578783334907163980513404\
737555793743219412250597616906777626992083477767127040000 #^38 #2^2 - 
                    7170810393432050748840914912347269905780325913213268245951\
791526314674871444335142227495846941276858753787093311452529183516913108199162\
128395884946550162812332439712414614644684977107228981001962189544140952702760\
690323994564370353582930735898741174020444099153789089893491941981656589516021\
930785686628051942347383486986485973289361897111446337845732023165263692733224\
4231203039398851883414449775324740035416583653713510400 #^39 #2^2 + 
                    3334782380528030238398330808602474541770391811653450648913\
325001576336932366355473535966611865969602386257118361693578407612263279869087\
812494807017184293595742644118453498157322058738932713273523372327544589326191\
583208360749428841768133316387846364677951436533163757233259933638420532329741\
691070057263309143462266676913006848355330707532581632485956702856558727472522\
33374141601273380461209062520983221948768456394617651200 #^40 #2^2 + 
                    2787698816408618786165024109142573580888470349244535147343\
782879234016149517010608670702919946992776660884581697963910491398148332673863\
154491690017143534454595476135059397720235109459810652215694073417059153858860\
728810559585331194155508492292134926674484301480260295087475131597348817752564\
249826381645603747243885240705769344302052854229936615387287397204939491202455\
6502988337680376597549503926919518155178654659143270400 #^41 #2^2 - 
                    5825566465843295750141286873416310682129376766325617405490\
851511350752468716976868555363512629751212390915718672105262571986084193930037\
138531523671754272249239216476454609880457485469811777795170511967579265442928\
778978342463506927236545151766913352571537645604148109176265078581173334614513\
040442018187911907259323166318069774511498589865955440010936457218333888864500\
1074311833586530452892569372293251615538399151338291200 #^42 #2^2 - 
                    4491060397302454265148416428337879073802487650052172833815\
656090478579567373098710555904190060924835021911765003495864078123281498771768\
327896690616720804086781535701314260799312015716076335460239290715828817724743\
507521105563525681406768104013769182792597460881308552427172824992492588709970\
573337133140103437888766999968580088935820526945692212865019764060706094458753\
175343379691545520327404576809279251270546683540275200 #^43 #2^2 + 
                    8219917043445185818792053132011594981442256334198491695692\
741274090417961722703361804080087522340540212773762554082129328477845334719288\
706024941576648628950340981174326885958329127132766423053979750693265206895614\
717462389338078505273278360172713012733412483460265923612747647643861186962030\
034950674943415239854578109018956510179116626542749073361449052640028546804738\
104258746561349177396812810166550517875119150963097600 #^44 #2^2 + 
                    9643562062770076012237409630957425251298387612802705796345\
347920859023770603203259614887993905179542188272945231648913343701802960013794\
976146929144581566234138423986503722882709119172796783581509543433616700621548\
099085277848069463500373434995568956021118870075302259545329954752648418298606\
121725322268340753407585183142791226417100277133320537032947116752191179826543\
51542916161881002125312694138434117177064507939225600 #^45 #2^2 - 
                    6149584901068987390671707347770923064147406315693754795111\
471051300655739717020833422766648394669339472724722334206943571395687734343093\
639325960199340817831477595066155829441696357155545274179068967081239704919909\
739693653357384050169556773973018899336026954560157368938177962897826898735435\
296490024527747062489369722823945929833142996445636940948515173764740986289449\
65434022949954245221637908729392541747113550151680000 #^46 #2^2 - 
                    2423183441795446911289185736208283777597973830260011448667\
599429020300808941978611045811028759333044192447252671324615065539511620816432\
498340386831832349013919171641539807040741649486824539230259967023834712594436\
645568881926667095838982629412331151068658031668434802732866110351718240853255\
509233167966167068856487801277558825151454936326584079944798669788818527351981\
8005311570333773911234257281000148030515451002880000 #^47 #2^2 + 
                    7259333607306256776796209789443942522918666878601577674610\
757389650294364961358969489415456125272784951069675205302402224437658270108457\
624417393479102496716649123211005140464553515208783414502296869361177046917438\
123560906731227182433480133328076606146876435982160010952374762280288014252006\
923970051613164401312550501551615623610923298532861800882827374873979181325616\
0170665300347764995746767594661339031739165573120000 #^48 #2^2 + 
                    
                    1656827345437638621112955036177704208783644346843921999693\
051554767166090071647899498878688020347698454218993533223357708761025531930744\
827851260041597143721540948508607520771912213626955814561725612378589627339698\
928391263160548137483781284915841901792537176022837749156117512898978863523509\
142833577214005971909098840214003824689294406954190286866730907873931710407234\
3005632573698295174981361879700327199268642226176000 #^49 #2^2 - 
                    7450313049899177641782547075454736152108878258205360794322\
129221344306553050971676190004861869010187231022646715393209800866928820807479\
054854886380145176749641580363580947566710184538677794347686003255445320214575\
606603032759974537008932259180027955682103382135525597691908714863870073899578\
440818349597179333111877865515802993637014060141827443104185796844910388363362\
04091658890445912115129474069295459544313282400 #2^4 - 
                    1171864264225089062222921133417512770615364521833102208889\
320475811266394135475235978560147045576940811630959534211983788354491663803642\
015867474593574228251609183368613652570739459607836206736150455067990688973121\
257710758717552482403545407024001659602382676635910809966777027542509799497611\
516495681055153705521353383966427513890903591082711419015123746223060115095529\
8678711525854454377326637374497875542570324828480 # #2^4 + 
                    8800943020932889106978218883477502267181861213544314570898\
531792220078404020614006610030325353758957390085424716979298207333457145016660\
443663093677365535413093118056232615397467416289717084060151962168161179371889\
921634398464616361882116741835112511398638049261497071283957543640633678094213\
793327213323898116418939730321773741882566209438743808139689582141351768449383\
3984157302991706209785786459990910496156576058560 #^2 #2^4 + 
                    1734231411453011406270548110743743340124066359268697747014\
050424792314372573189582488508452164992115057611475536989613339813752307644209\
870004120495756513583649844596563955429742820875328916240121987903983509839995\
861641456569648429508328374485347993015287588881495716857718320330070707613186\
996051436012669259005931005576138388795823374355260262532181139428344827764785\
304097075139740365363685982745186822296091003002880 #^3 #2^4 - 
                    2362321944037610559197362160921106142040250763458647807743\
357967201317495877342904822239513957453134900271042114894332225605640329473182\
375970055566386009689426907702451677808199651942414219844877269841048240096252\
296601299256679737796057338176491675761325664687464759233634144614810534042744\
028064490364442839162995793086398661304116498917126884977045682019105237222882\
418285441720136578742283684298022250290473146707200 #^4 #2^4 - 
                    9511202197042378200080859395583969785990852948633048242766\
038039263409284440603827059821165554120953718577561084952115754513332338980668\
393559548584106221041213000581585340407523365286289207951827089365928751379596\
066406759244094658917147233884821084593031516895263471781212543311156109349199\
153467497120603359905385442049810943536469388092669677615490157306336046693950\
4154742617257428907803931742451516062488201427456000 #^5 #2^4 + 
                    1279494066002026330613546848923415477379434185442101637050\
060863385820226420733330097666227042980046803572699678311505214505809491426143\
878354288474236120695211818488118922561603780559534243678577111789881158254197\
135508829844065901157925979140384774564315871072614185866420657551934587425587\
818689975512673304727865650457724991864889012770926761994188173201300987814928\
4540698039513611177868086257605805831933206678906880 #^6 #2^4 + 
                    2624942543577359741020368390413763349635300245261163228600\
092378717990449266945862062585496539566526200764947171333748375250917330385475\
500567787742618628564239110973842435910452910008247255905687145982188128481113\
387393695495929915011022795199309829028970824842753674971930638240410713107426\
614627535221924003578576043931722637319470887014950727489912604106679504042674\
895126315639772035907398560209946761851824825671045120 #^7 #2^4 - 
                    3546573716592186429804019485966787359250713990724595057490\
500196096210314650852262100823768994069790029131103760610840755062971708033693\
764204062467352923785075421976386406412244663073116016638573371683108845745264\
112051809085777309290974376593474082568343506434327509308489040778056448532081\
106315382027223624919930884928402851025738071052762215158139732970466043164464\
67647354783410494472563094467634866679999698989342720 #^8 #2^4 - 
                    3727957879774611683334047619967079626946280327318534542746\
028978127215863774786586138476403587724746549698601205562160781518546515298321\
119097395435719593319777732926275433758837607670310436676928686243559213996284\
623313564635697192969595355620012430737904651527123141847211970462988350627167\
378680691342640611658465102194726542077714985321799838454385810292976770785857\
6326941292371150216828589319018154524393058228797276160 #^9 #2^4 + 
                    4096818306692283466564926788028732882441862639756283471767\
613621965809781618885994263029083849819432961666441285629679205002580099156588\
108171715915945119912427365614548586803989581538745649527303782148161603207302\
779674441514766593015886398613060137977219415612538045765854209462307085634993\
349878241115316213490863250306081852433134254506284020939472488697060206673454\
957819894863986351823852522712159984453724511729254400 #^10 #2^4 + 
                    3117706629669376311237194264595991115687540813304801992845\
786536022925362913421392027518549726273949100332403785881858444695729781551697\
995881463171207191885615820657587380244479709528652759242263507394600210316550\
916496972614979515488831399890021481933293522652333243860565206983322141580975\
060277042523072016201911712793271553744764680002140621539551111135359698707757\
85937202406629649089916650780717229518995925879151329280 #^11 #2^4 - 
                    
                    3467664158671676162538756922396629711756497456023510721816\
201495750074007382332190737946775307901728231489037190937467130318885872085173\
970239503686553756263659256354423678470903204100652513609466534227789087661865\
447459040955710392717407599178245655460947785892973100976991065142344255695214\
079069080900525228930287324149066697040500041642555933954247588400649460832105\
229301372091244608135517127315666729501445121256325120 #^12 #2^4 - 
                    1660638388141242081260523208393338700333794213664372929909\
542798633328851217789029114116342414095924066420020801123850569264947390616680\
205358585456373687396181124055733740281305335406281599312627470745451093955188\
739690328879693774411107861148873864894362597311472607842835458777532652864625\
117832802885022903195525618018176835324713578279729487945815010301833000153791\
598676814208422288991297017689431515484441115246398013440 #^13 #2^4 - 
                    1704523379985293606862550976811179244008623599457167863984\
146284297522736196874773004936157278348401268724658942642350723250995965525910\
456661368364166656934035599115535860952074110143530937526362321453704690498442\
524808287038677303946061345156605799554431361463743631082964596393610933391558\
478118085869863521927427783480089518857638261137966090235001445858374812775767\
75170340926224319553896246942487851032729528861324738560 #^14 #2^4 + 
                    5854297183266625703464757019063275620218024797747277201531\
984650909755151548079631885265722465144717784704823440353210036151458476770564\
095309184722791440834135537283622111881701259699910957517698361314668578068159\
485211000286914217616856150577284161572844673365111467630202797244338989435197\
190540195143734640228624720255543608725112572173690357529854285540263216169141\
738013143510921844448912420544217708926591760178489589760 #^15 #2^4 + 
                    1060678476826174210013361965469229688715367929369779357409\
146258605518187707033520861074894949355508902879920541275927442983117557652285\
676646242757305582214542140387174734100484379967219638049715207429609921103020\
889607241758045329354560006303077225572326037489192178420869628142388277538216\
177962697533004885462773937908763224067656878770529214646214187186694611415315\
193791999677443232266936182743675022309462167457806417920 #^16 #2^4 - 
                    1389567469204915078478215054095571801784775616797614930107\
678837129767054808303308417970712527618807543621346737388902115940101861847159\
034123913706810409849078813770035637292306660110700236830063099111006941547868\
544453230294668259301269487639084336947262295237824536599702891734101455163079\
244992562708561700190871551478291883188607559742128858133862274260957744657993\
1624235999431151135580463998902965288022890030265154928640 #^17 #2^4 - 
                    2460166521233080752276318095357115031108391735266840734290\
520218754778396474077456174903241973053573033286466373690627970858807215533025\
460124133514986359386375310031714866606453162732504636351276319695640114922310\
766336707279324799974614027697257743378675052187459538751534861565600851848558\
440997172459755257945471316766760216056686236572008091052482837158035931116943\
393618495306211719212977052677639962692100309908245708800 #^18 #2^4 + 
                    2231670502174680935287980250049200920375412478600543003053\
062463819644018937353838167567044500399000718508400912437193711804540219844273\
602191912689951608575206942597763564871115729663765770535313179212227670385144\
677144980574441068336128209782509770896251866806378576390393712058110161227974\
871739010704342627390452871435385559355018252417399049179213082422435402685123\
6843286474790833525408483020092471312222952698599366983680 #^19 #2^4 + 
                    2466378008632139729306495366089305449859712174261663271024\
217611302597702595269125836117018570290962121511026774839273444689133368565799\
306717344785105766390861694005246748743774274057077203393320873539783766973538\
197551308527029572281236978771130666303575836494312531913388304233704413222176\
296125843139204197580464661221932067042862190215774097420443184912401917753967\
89105367139205837177213135211169561067406385767660912640 #^20 #2^4 - 
                    2414937395919171343017202949737644288309982293349389735345\
734760708436152881271667646201057832705203163619000092908832242363066504329501\
072405534671079277845348754732584799848143907763482353723538150467434215486144\
135793938678577459275580215286958812799882576614330279352453262586740116916102\
553914792886941717048038406095253081889808789878037842497918575558981811215540\
5226089776974169973366192486282888064149628149669004574720 #^21 #2^4 + 
                    1250635900197675912191194077673591228361402988017364824576\
046845918734500802273911636507814679500052286313106072937455069740550011695928\
155846697008556515222283692407519741276413411597729161660327032940138774647258\
343961774898306891960094498384133504418234566454641120725030297089630706964714\
883957578449498209675446560117242872791290020997561693520336786781770794391884\
4905758726806010432328258013118969116639282056131887759360 #^22 #2^4 + 
                    1742356770658584159387221245724015954887460697007605126605\
675583783071789918346555701742894193930686845113385529909482234028950239397526\
188491835352171421219460027824701184821138748175130406874202714155244819396735\
981765487364715680694832809060053624689336689722671878872561611539378252259694\
151305176200454016648015002874399332541355661679462234410064173482687060351218\
7333022494228270591831350744470225918638593178064818012160 #^23 #2^4 - 
                    3523285536598507960441956830063153777970406668743552118583\
343786224915570667053089154297701162945827444289481301792012551353959548810007\
332306248428245732003036603096081685829859789246026594366689011420876723002507\
885015947132644880750120314895621130372379293889184398211982042600651508838603\
005877422770001440090523581443984830345190377996012529568077831597196780977462\
3236002984984672570665779009100782920234992543927013212160 #^24 #2^4 - 
                    
                    8467465272339332273376191554902911766844691044444427698649\
025808894645304927809787814036264136322656588433030628656424021731027237533208\
431171579927583218852437593246552605535090843666048710860939489530477944817401\
272334649641301738294999945557665202620143987383148129285176822393220860036261\
050447496957826709869783276390504872195981607200660374333310127268108887246660\
187456864720480095912756626808937291784903832019130122240 #^25 #2^4 + 
                    5475183080350987258164556133975412732007859570433272819768\
601992019639806680331244785026350368113525944735857052778463888625586940449874\
482672709627159243887123032175450122022162901152134841814706295984139044114171\
747567031573165507256233340906419600328249081914080445558038437323386376998212\
639546366270171709562831833605443962196444939020568037739944328411038963177288\
5849696947832868476702942341090864914795659225365426995200 #^26 #2^4 + 
                    3442547313651953646305122942515024163627337651716998163204\
831609592637969100580165478869027028255122465549933346135044120437514525853915\
312067464453860134750751979459169798556587870929417900787936742101505852655832\
677925667907986864043613473166593334424626090105334394256399839367333876297237\
409793610637850351808228797689333010024503123132409618114746861988345449471243\
137909067991350709862021370449348462235272824145093591040 #^27 #2^4 - 
                    5799335607408051025692564634177067972111290787756594080095\
034553291642382028004483098375344178142874283445285717370536531854967006851928\
347942425342728223132224253965555013945118933599186208906926228051353515534154\
824682090360790017596361603553744298993093357758557080035598196874431389369089\
502735272312257833049995927525238994583371951570809648378982525198607791378559\
9151134860137828905118405457172574669510381442456344330240 #^28 #2^4 - 
                    2160895379407369596220275058435153049136758106082754451243\
697328632777180288776667402759443005829918496965465403495690600692941600167508\
799265095550337525445287022018689840877078192377224871850726316831036749015049\
477176435879861533211412164168706377720133243883604079232305373090844595399421\
521198548904036134245775374869884203535358286280044039184420975660668744209079\
484197652218584590615669693799713563025770877640853422080 #^29 #2^4 + 
                    4547911517676001070659551083456524495989387924564053280474\
049257577087158264800087685445815833012169381106778355643475677733401594146404\
553162123909954640831904329086054420478987995165675395938208296328148622484813\
162096390278522656630684003820183569845528357384797970782207811821332568588566\
016369396317527716150036263620670184524936574130628224118715785685377237141047\
0601746883173418603732553263314076041299672910121580625920 #^30 #2^4 + 
                    1678707344140082235920918800786530351969513526281504508027\
608905278787249833466548589031769173035256202046891345174628668291548527085038\
930591413071348309866146083072533497655805249726923065852525795553388065409102\
817005643425356287740970045384993327668326619516835298337365935195418689846970\
294837509599833600446921584320925488288023052390024100607720061991225016474647\
589703485837751717095054994986097657738983185629860331520 #^31 #2^4 - 
                    2776398188473084645186374672574512401680194560508750122740\
442478868895709705507490520711470449028908328777830299644447054127119848736858\
551349858956046558483596755123776029691045281409143577569683838861829077249916\
496484941222460004862005113222646978224047406106685733083496655077591620259490\
982108720710357688073036926434137208042816999637040159196474288187058468940367\
7324602137886842573259092855528754553486402457796786257920 #^32 #2^4 - 
                    9151212124823771418674621943466869862701454125394568161193\
590865755449640882091283749601073638572654862800242613626647483864940261406085\
243015298706941901058408127641610214484841917619458896891628482646256216200457\
514785491939301252974087416470499211005120997935213800956693272316084533973807\
014644628700823129893493574461887336717346070775255972690391760241072825395545\
16555208128389688186055401994101560953073658127722741760 #^33 #2^4 + 
                    1369640937386679282479132011262734786600281335300011461884\
079928003355767577403011356703031541789629578317311515024038290960892240875132\
029426740165557311429488744922004195964845456599164673869265327641834980246241\
031233906347835372129728692995448776321594284212823164493126732753600051522153\
624078175713871002578988806711817131049299705590124852776510144105551798690838\
2609531069144541360003084739840342534814477553661053501440 #^34 #2^4 + 
                    3680700918915067855019080235090760857086648796567821119145\
100164840170616381701667635233480522350966525123098746803027572804812402561219\
596639260856668451599767610336295614203241738495643612313545556657006266518735\
917065244146518440568188622921879144554497936196920887743026475386805560107436\
457223518533274527857802181521878515022354111306942948436188031365400850900963\
93385742254055124353350860874150838213314668097070694400 #^35 #2^4 - 
                    5547134205340392528533135545781439076489770824981170807184\
116811979709417110954723158919558250312640712087110857005036208065471188829868\
683841874476757402630055851652491246463579376279942427231897659405596573005287\
217321017208716982318784261230703438089089839162707507404667795481977783346927\
339216081769478613394210882320347162100370136775541960586677546107370153688666\
426802186889318133400310362835112636672579367147478712320 #^36 #2^4 - 
                    1761495201591019686355225059076032220883446678065330743105\
496233422672535424460114121913314496891199318957854259604830585337368885601866\
157023203582997578288182581993434363033070352150751149206899891441909334651625\
338881393614350756293266286118529118325186236088852904233730918057583657290362\
596223214720944440392779821430742332990215216179808006677366955995342493179536\
59445368600893952047331660176779596566698193586728468480 #^37 #2^4 + 
                    
                    1808033156568664893352883962290936102385575512043901612998\
963514829566624606515654529461437592468907536628159177295504743466385064162036\
925055203092957706400528322207577631169697070596253964041502094061446938390130\
924182445717762226260358803622900941367910889610175374026795298498098178305406\
328671548477632337247959477524575160537056295121896659259033818795284743755333\
029998052165892865147484383776013024199410718229921792000 #^38 #2^4 + 
                    9730957112514325724307124905974784904277045641687280632569\
203869697315167912421734951587934105185435435935349918543190759275022159508843\
883025175892538560099102231663829190848154471576028464115034292702604908903440\
677403325430086325747360929500322977714478325032354654878920457714956734547572\
901611023588815494642208001787810710877961888833638191284715553568546953380344\
1970689375902162413813980445982177445568031008122470400 #^39 #2^4 - 
                    4496240163032759120499504548345680016466344880078004582784\
703393901206142348478265148681934133281725939877193109725393928804403841683998\
633076211581512862821410331245796074465622560043688895608822314745195693155785\
253948626065303031956062611848812687874562011764703244875960667850644264202358\
215804050709867674377274695131381534311526386214835157887656251290092253327555\
24474432816442693187735214760145503280182377746268160000 #^40 #2^4 - 
                    3771512270323502225022420998112702008546107158659665335974\
086088532592255391266178769696596249339993625312940406138129916293182564749615\
331625274602007748489321129325116827376688938323180229713524047802569581450586\
512213779905156956700334784210407743291995129090519805167972139925265827910951\
808218138510694432742690316640208154322780723380657543596013766426412681619037\
7941764051409401595288010243557892361788826231557324800 #^41 #2^4 + 
                    7855533937197682954735736406899392664317781819321571873855\
709331373918224032600125340876798275433106312996891655721699957125824311244471\
420337254837099055823219382138220533541077290002728341651638374033803109320423\
805743256599914945926565462883888296691543329450676784772199867155251923659198\
486781638115538509205693123606099929200355109230349757777591327563330578908398\
7504531451006311502212512733907096776168279444658585600 #^42 #2^4 + 
                    6072821033746696868459410730138038834109605652193378570495\
135998254757300880514360712687428188565954155605407741198067348806004632010047\
412522708589129594856895509996533735427386826707998939251008411799857022899925\
877381794130578731749572154262336710629439766031393530030372698622262897567694\
893249512758190418462246883086035281416622990963611329333148658845714820692572\
853684267501165282564691286661840184266075829121843200 #^43 #2^4 - 
                    1108604197346258161950086354030334721437987061849775270656\
907507440947298235170543922057677756513659930097633943662429662622899275690122\
046303745674611335791973299634670183091601734261268975381124291720552437712914\
228976478769927591604000473236440022662690773843529640026983757200814020183604\
687980265020868142894890515051871494517004850302201029381494706506276136395733\
5985458139665681319891503239327319575182068145979392000 #^44 #2^4 - 
                    1302403192320601969115375005899168656603019515645147224080\
929808139044484452597308074025197312797840556029507743088440529251666486276827\
204149830990845243143408940848058839565229944322623144026926343700388542297648\
548791943499454580720510712650616732545869099789251968320257348647307373493292\
702687557344332615425649847109006370260002081270845032784068951496427500227582\
752807299938167652373712099326991036015450641976524800 #^45 #2^4 + 
                    8293690296918295662256211326321130255782424704495056616951\
124367052738613196626928241844238691843867351170516815385515225309080175089850\
240708289322721087300873261208689369871228475774178089712398810766606683853604\
195050666374365017201443713405065615056906614340841860631941344317039691541405\
344884543257590551362366155981434855424043899016056320811091416294986979915727\
18601450706395683599539701603767995346378710581248000 #^46 #2^4 + 
                    3277659623586383800332295346562460482597199598172885610167\
835857306607598415277803333535426060475236525992908018260643409950122616503304\
072987574333140071118772389660948186142730140728766586654387659767106771135022\
895368143767114955455295885905658433982201321338385198150557023068419705255362\
493282731392815408383191604269837176422817126537008789303626512898406943941134\
6538392412691105739682457019799496056360967077888000 #^47 #2^4 - 
                    9791330256769693184125601255010728306708063968332361120073\
322844843608278626778294413905756993377761562581204608996538548800766311031676\
086472852783776779263789116146450998879957945814572807771791993166161038687371\
265460895631705972522277042667548724641004824399646048788657867130162386386224\
854001330282827146785239901987394344795476439885291184323226670389228431390980\
3638106871296398328434774514119138327153199808512000 #^48 #2^4 - 
                    2235560368863662970752561140668799045178972710356196489568\
342146695099585115312565097861918076149114503683922649797836535256815967005262\
724852029715518859007426024163391296309468915069694219858286084413794055569431\
799692508268941236729632565798051656929569705146538244195225341783410441246221\
302938394580565635709321004829031138663832833205972560165495713251430736948994\
4013909871186881562750868092287802208679769407488000 #^49 #2^4 - 
                    5443456939671115046790982780018602623533085504860674177998\
765262132935817862259333096253392319277713361302045273049903940085847036060811\
583198700133766062842770971544439769907272657803573274440411118649373414157148\
000169261373464965962276186206411253570628858634527467370238476375106876519115\
468176126784140446819503811579523578293750531931948693332860183589863746588932\
031859861362916423403738598267291759423380800 #2^6 - 
                    
                    3110546822669208598166275874296344356304620288491813815999\
294435504534753064148190340716224182444407635029740156028516537191912592034749\
476113542933580607338726269453965582804155804459184728251663496371070522375513\
142953863641979980549872106403663573468930776362587124211564843642918215153780\
267529215305223112468287892331156330453571732532542110475920104908493569479389\
732491349350237956230707770438452433956217600 #^2 #2^6 + 
                    3110546822669208598166275874296344356304620288491813815999\
294435504534753064148190340716224182444407635029740156028516537191912592034749\
476113542933580607338726269453965582804155804459184728251663496371070522375513\
142953863641979980549872106403663573468930776362587124211564843642918215153780\
267529215305223112468287892331156330453571732532542110475920104908493569479389\
732491349350237956230707770438452433956217600 #2^8& , 
                    1578136994173173288846670401681123783275787638241088380137\
557257682989534568943207485619072644725441389688183179881945867852217082030409\
831321775835734446022686429419645459043259102945581979354699653023163636115208\
347669718422483790716217148346731149309103003525476628494286802045230855165506\
877021526836953780349868922522012652834258637216925419212105411991152204547768\
493593540715900916598362669908911462480353277494125820709647907920326862413696\
55504143342357771344714986739865 + 
                    2227346123854335601888257138135532917878683452384060669681\
487100297018334477736924511514650012080786628646440975551270418519729578917411\
902197188586972004574321838296962208814999793321799338267613309134848029278741\
122791589672617497797506393587475931538566714955658421615898294036324473618034\
679512676354759197868094056183641222664598664095395431897018093625068223974209\
062202170689969754451927295408928996521250121228451834862690273605828865550131\
371191240899447211181046114506552 # - 
                    1982269318027798487023904159202375126300556995578068174462\
596227479472425883870509787735066035366817912584710821634039430116789615817660\
586462835101313189218923972952685723821669462955170824994085775426566048751268\
318240204129506691344142174173433395167876935066707485224467456392250788527882\
985840734216604993307732307407141924180002174397868034085225199447969098416664\
709030680644363284477928246158307027277417799845333439500365397138786799439273\
6763561640421329003561811533052952 #^2 - 
                    3388365931730688907970990757389810039937096564431071839314\
269455764427690478823911204765613985810792186141813826805064644632450262724028\
957920542036784382836209790787941942984555741075751633827014475186849577694890\
494163485641539380439131744532692158563132408621817590129412306373361287588220\
450519379087932923173749791805517413567665372488811600939160560418424727107534\
689756055194574571833199801150882232699875905599375997195843004051538531064194\
92648698139920885333603165886937840 #^3 + 
                    7171298058063402513794672315998387327044304213492408682695\
904492121612798479733654685815691445458094475972555494838116321463748893899746\
796945084933740175170854345098284349721584846180372723370433604865484600446126\
743914905622110020965359573811661813553171616697861107515626203983799258208277\
402871081091077949933433476752840825982704057725031659697339627345211421050426\
046590047127499996152959840296272140767522195867532839767182333841153403811272\
77400850278051486406459564805657920 #^4 + 
                    1901928171756847059220993940205329571167210121138119558620\
410965621184389100353890006663982022122741441062588314173423646666815141846451\
584461527378941919536158715872576272173504302077509074798092664623341075146313\
131218639769092424819695557240456855028587377681259586490771948115693596743846\
812726985021962889497044429984849080865044453264826827048315492302903347130807\
047906477056808148038175639017704220774229885159320550347556810070040139251611\
3834692389439365211807690436373968576 #^5 - 
                    1491363267538351835984023749023740324215527026045925166752\
380456936737466553758256430256436792857430868930382183906185450599550473296605\
656574063953151085187660760399485101206977913409069362139941918395479690241924\
798762694331313144938011169145529803910260487826090562021247636990127873883263\
804597913745691225739937814516801698537459442680162820003756221829885830417984\
884430961818008288486363339348039843342573687758677241085613588150701921572978\
4438168108008308684364620698154467968 #^6 - 
                    5123836841183373539113279696187012320506040576040885570572\
466521609846913140913384169409749801085097859851010539077208527800624070745402\
236904758031986543438217655206171249328737957761932353333323839910611123796497\
583168518684874662990973636701374079715585724906089523579385978135005358516623\
183299087311669910694402051436918723807396390635644260405175256511062363430088\
773845006067902140755579619656792113363889256021794287812349134241373017926447\
74652615770205656669669809545865582208 #^7 + 
                    2837649869260007434227811307982620918774155667931345214683\
847245867765097333355250370543756032537391410174215997310906099921388603695433\
822741407717738672423544695233746263963675192493581863943376427045671190572662\
562845034278650561336319185295135517966548272441266138966415526274709532147621\
581932316766182142933298157006187130779463503632645472343773663141144492736702\
806235533590590603165571118053337456592562301177123703932304654192451069418392\
43524018176120686758207906513733427456 #^8 + 
                    7169329266666346371954671090052606384590841905540399351188\
232012819703196502085433720565911681374421703784977004130079047213011581151973\
259971927745709374100120170064523163356921829831260733109353168822376826307174\
652042983846463463957556541307248930396897290287345768539070806261893390065157\
004628492253506169219199630687837222233825324591691006827043698846413696954460\
153171380421585455588239792491449270499829733134093456516264546723995645183845\
026766872347891344224644718722112509952 #^9 - 
                    2757378779226116698751972858466960210542230101368763824560\
188133718867314126297190296062308682812068552850458498990375803651864633082630\
508187429342478896296362398340557797598549285447920707666107274503070784028186\
516715363229864132473489049632458445123602786884710916238915945041267623713156\
077459691142222511316541202889282559907651207396382289958559423793621575528054\
900550053742495093683183363774885907063406507418800189435856132724744782762151\
512071844861195594041897041426615577600 #^10 - 
                    5951625190406022979826230317980811852246570075590472065305\
653116359527136805289535103091027645320381345165854076171621563214870446631404\
621130923332744909511750954690563891782831911472597504199130190802852891697742\
204979221487696209706832217901148875950480023420694421417946228827332591209312\
141838231853563519623969817165089547326303665865413623857061147139737600957708\
402927984977406450080372314435150638500961619639480413038458180427110940694333\
5238679220826099252816243233332532506624 #^11 + 
                    1176952633286759611985284137694830631377517700699686035542\
032037321366602815219999903799525321783316814722980544322753812091006970663795\
182946474040094228911799837903772728129234562675066668229293088057222422078593\
502861910203367785835604795813008002305074484349371590776119143111224792746748\
270234297856347081528833881332698307461026511758938854645011952870856400636469\
909052854301554299600071144615153249105384743870560477117620189055181881838281\
5303662335118320734470345037321059405824 #^12 + 
                    3157132526049362824534176709287818554634737866795748496849\
944857658491949682979117041073680565596417171365424039627473569936873407266750\
243857073185901766553144471114315957131990322339691509648956835863343231207639\
275965266282502316188815810827314497234788411150072624110313479976650090365485\
465337687156002026786381465912397057755037105469025027691893564373478719797956\
644223100672846600459640860322362785471044713095918642437346633158545659545800\
27606646509149319386413172787672293130240 #^13 - 
                    8850526914134958266852318283261147689394312648429234874863\
074425455223352551863924671170100583865380745356711624070594209602062141389345\
975625404267640561573778289942965649828654124175174156851798524064775677169535\
085052154228837268030240031563839503174233654054459893255375734369913167923571\
416748982148527621326860499943346982948160496792722490808407860350842917593905\
376937719662175538213713159271946265881087525395678890788430748526216950771209\
872576385769353917549794371879695826944 #^14 - 
                    1109025479102770955813376407191628084036782620220979980859\
504123370865382436018618990799209642979935716222142565483695905743183268077496\
623189456194184729395251525040932537515654862560672155788083412277395830436877\
533630391852365767971520923000070222042162933220163776968073976324456425335358\
365746764669143342652905750370718243923126431780849358258425574899918399779293\
528504605727768836508465231053977044726726505955788449221284076545072640003265\
856925291633095045242069114482747594604544 #^15 - 
                    9666746623648340413082926340683552679231424397132247823012\
667151760170427836923555833139892319721746318922812589713296167697291307390729\
006320352115716690167648243198323888070475225106780288630945564435775381611525\
745391820484605506397029156237059980951350129624507404818333901289939535355514\
728571813924378465343815294665507896289001689402684166618472082486439109877720\
204051810618357667154754374017189602461519272594550040500254743849167383002113\
9152101410868350132550379538156133548032 #^16 + 
                    2618371608172051651689768296186528893415960760704745355666\
798385768018622177236742863254436979137378047312011863554231849896656628181465\
516036856673807918338488895981423113927574761288317117652216680424948260151176\
269268634544108532005603028376293077677948922879414822008916576439735750569315\
794319687293782371698765327112576531867932075489346545922841579704260984022789\
451071001768831382748242498072269080046591278949480394181936826302558037953231\
326952705394463477243823836729596646129664 #^17 + 
                    2836154307615186601859910675304873308103285615037266387281\
773230005975794043392145983141176327526938741926718063652383108446492819336069\
873698148362118190108636854181027060144070627175585550731345889081716132525890\
981485981949335917249016693772446603484326628719483521052848256748179292956141\
238924838934106837499380639892019439479659142523627927957682495933533572424076\
405581488398691902265939584137238527026236476881828774297057632304524842742919\
01091555375707753197134003570930238357504 #^18 - 
                    4160385434550976307416702048590048676596485576829557388205\
820489121366021915897337636265817919283745283210611500448001367267519173656186\
763520046917005800522943914727349665722051253342362530585869713426123500286068\
823300676169730927675034942850101837714699258990650369796559007016073409131611\
742985125208329310564172557924462486949412520455398859306831628126955468647459\
748997717072100498755094057733243302018287730402009536257645850246123596760197\
964444715218410083294546946653363325370368 #^19 + 
                    1664654141884287026410233999349391280199664836265152192061\
798571530493470197609582959935763566386383818402095862581933392687591706872084\
127443271702378793993937135811299812640936222140786369471412212313997035378018\
733497427851826860150122921316217726673386855491923427940349006905372020219975\
553131696802893065958242699364791308925475573606564204184418757725933468366483\
006047715971787403280942937660325992893072456718869731799547626590727574270204\
46612280338988709134196134807157546680320 #^20 + 
                    4390096746563482384705650878719668206888231132477549318034\
248017382461896120120779855049176685161084113192946719831424520374454084341276\
554449574311070055989632284858218321540827086121948491147360537032003806478763\
248314630153285041444490300176483896790467864527687268031394297459671149982727\
615986129563956291446490165373514059788975790125167040384190397331301178564300\
025340783858318269506192107731699173659228613294803797479423959046111772520889\
203952589430672746671352481567098976337920 #^21 - 
                    2508679482187543745158064511318705340507024271991293193085\
084653935742488191135418438056526743977171775888944725833383524985814715245489\
593487838439079982846348556908864741648267404974095706835698973179292889715809\
567344461887790986890957316116741669932570980410182184222724649066458826562752\
324788492796019464064777174679018364208767884309350856477612177775901987650315\
578871419653947024691949473891610037381987917458199792265667667005346988454501\
048431542783575254081791252277409815199744 #^22 - 
                    2955378655346659775477958825494974517088624897217728614900\
542455138026512415986256005356233048970518451779102945947929187729666203956650\
523477223658916644852855408736356349929332832715193220071924019624266018944272\
171615635551594086083872545631613831983663668980104848616447401695792469973823\
405969003473003472012036991051850382495045822156822470936254743950038848204196\
402530201021373757324994159068291284799045227884146429467737646568841541644974\
857513598710346510703674289337152336560128 #^23 + 
                    6658310684843415301722763733079603035813826692338049168815\
131607043530389367173420260643656424646469684664383035216425136032812717885213\
823512183311257615607389765419649576025917377992232584177615777838145128814165\
136993056600063935323066092721971377582717373660311826978582978382315101149729\
497908171589350144658057534336528658104893774833016113804338393359845419879513\
672887054268004360252722430948049244725255895813311393771268329812665895902574\
931621168536462676670031838258866291736576 #^24 + 
                    1135678139221162862889465318345411928634143601672110029169\
914335242978574912124031466638165855383128482884793616212268657025988472549318\
601182330816950558702379275627674189094500325030642192180402355074649967396988\
553115252788736752518605450474872794208512478583212992500779219919780514083129\
411375553413652408224847659090827385389337992363507682329663590799417589971489\
294890814728398572391187894996878489738741313386083103179640204189048669871775\
772579182320091256161812204872148944158720 #^25 - 
                    1021248450858859586525407190092194997886440304287283590778\
914597077402626012109076572143068046701874660394569581073166396367218306361069\
120000705157281124877776244025948040861960514782243957248968747873495034078467\
791675696677094637609581735141986969600686120787066576495480332422532261739681\
477612861061297793994414150828855574450525297346596528339792456944035777651286\
734056783754395610125540182661990178023100172043827858927443688111142004812465\
6520440858689724814521200938394343981449216 #^26 - 
                    1736392124130343172756725601566724153845178481672634225904\
697756027174127131722495553478388341583449514012701148799491762978267299711933\
704737829061166787684147963219235974142910384982774680116895642109692617172805\
934183523246416003824726308316306745656559459950286453493057047814038733023284\
486531407685925689314180123317689556155776385407996671433849089178832019685545\
111250395574239857598146833219535325540671386284901339728907698746065381935286\
49484867871733955729144409150749962928128 #^27 + 
                    1077002100853678945678256998438347293509823535247303885006\
921761555641024528876924305713532289480401914261984042191069994452664558286593\
583514541734655357394605879273793389447682368655468393596826326959508090963749\
858126940343821222299383365511741793487169512710885391464273875267401709547948\
610242012568441453016620776904832526814902850672404422233248199225758203821907\
378347524344543827045594095031019846392561522316712583930271649798700725819444\
7412153880983267094829345964380755773620224 #^28 + 
                    3114267787651966285402266475134337994321734522444821002984\
765108524893810783351519759786942351488039976576995983801673473458872328752454\
042718146825404642982715701744050249003161493257602702022400027237219060739953\
301491515035281468102276876072951823565782495328885432237440664254928552637999\
850700239754027468672597018456109037845594495249473263000663419730936321406118\
600714430990560288967560659686787925914699748280131741021702572625500814390908\
1505209377841220700334831310676890222592 #^29 - 
                    8427740794495280462289450339152198163287714683649846915008\
024864587009351044226561916280470195980730333583879239848816821580564692896675\
444682870197436059589486134245670411844626140421411945934820621280083463192783\
827450827004888838025813139586207622388438883694218080567357370686497848976168\
857862840881720720648799760608639730931506047061675196989094942018749490279558\
089518331677636620794818784765259822119697757593180725886946376956693924416667\
591725879473396951164980858627135528501248 #^30 - 
                    8189368830098894193585929337963412307084533572721843313253\
045797184803278980201482800987907901336802721033139480458594494086817585437736\
666690582763263865550602093971046492345101268725658043501414995578726744948253\
164906207615450889544220918151806238377526974566818021423298725189142817551301\
205408384181543140506476280008413842597409224467172395083896972729866677388968\
625506254821049982054722677686192190123644055891922720321782268091534597246340\
0117358112488434934921134105491301990400 #^31 + 
                    5136241966430319691597970069335468106934703370304691683479\
350853185047502101923638128446217525243266528072712342576645890775021625985277\
053537654562177643840377137505546596907146285850487930096657394504190612232856\
242284027933198884907958582471653796626126705643237930078901847517376298261054\
560386708530604549731279824398678612517459545182216927947563013019574874373835\
298932817706898744365088214158104881860043799503960538433492085356941349301379\
936024624673263665419973458635061597306880 #^32 + 
                    5498254559731050787877655386233701194830696441060406827219\
851666507802432447350599605119490848963045065071004779771188952969454675620301\
168651262491470484281018344511960871923924959419605197206506844834496789134226\
072088840953454763670074031912453845956860072982398092309970244178260721385593\
363774587052469272031050079373329106373609628109821377638538479739742620725319\
387805612126638803585858601440683805958985249345091356199054697164550919019333\
4046289809176087269952186142281105932288 #^33 - 
                    2530033013946115641509722432249273982610267864691301217154\
143122828664669914585163298135415088683879685229274060733608048752923626425134\
400429316175974378924146470886641652996342762334122737709826237065582299882727\
313326817664449597435684783577998166400746292667500073574155286447844302456941\
594487453100884891991973082495784207271386703186178067097395936554171056765029\
223417804923208445028382246565830411716558997222685667514924503688367649863637\
534234567348350225902310886582474558668800 #^34 - 
                    2143594998874646961489590949849586155113521210414559201104\
554505526839008542769148412125566845039069033555655566459517784009335768885393\
946646708800311291663264402702424911553910707658031135424583333659924622988463\
107516615146342948601778681522577917903512547871819846370335879533805297982606\
896919274683934912015546244090283524248828815600919603824200307384507409272584\
118350337300230433178614363011500012381641799315246929653639250397800719296624\
0211934948483735923992365780519232733184 #^35 + 
                    1023742903942464323249866554514401375619969737074356619345\
165922988324426200289682041794416997480206841738339475553605394268279401722581\
598259997548378597202127879066223385994876371182541370968641018615789425736850\
425828550950886195074924356316065935492562421537723336584128820480436145325064\
802981250525139133153732575600749069174842389194491237616959647268673956133049\
752264979702090493520938360556133023359167042314187466505896693047397325277615\
000906383180580265833650338712508203794432 #^36 + 
                    1726227622121832204301696870205333094644342077441473951661\
563742032378219098086322965037366600045306802256072447747041954102383074617346\
716632943213787371968916463618541146196188453621717625674708408197116912752768\
097359187562230477904218699521552880980019053774234787095453243688070289305725\
336796243745378041155055164812072533320199230677236235310039946532291758002586\
392456765052631826257075066428579629607737679231761233610556498506387982452301\
6164616133285670177537018971222945300480 #^37 - 
                    3336365113580345853563922310880678682471039638268416882988\
903319068326524983565369390293712167892817636461154776904270533095932478654501\
222756032087024240116613593101927785701353647894786936007995696462812810962086\
365610139044916894171274584898857274478131609157146315853802911988378253471549\
487876539713489047821523181939215405701255944230173415250909880643016727477321\
432951769629796897137106415662666908366997651414531282176090580255159632952628\
14458773824840587923657843547229179084800 #^38 - 
                    1411047903771970914156111715913515567757261618514457081042\
397764592482451458446176962844005669226475393619383866888711172793578935574819\
169934087397344428374219546828486497954222304250561426869936408914999038370343\
374059962926650267951430248136057437351496813355312481781853850071500237920821\
652392258191310039302108553393484831446720237526060136747494154223787885400519\
790935443367136307369594338427573673511937930827155592597047362090652537964769\
6133771109150650676042404773457706352640 #^39 + 
                    8299311480488200238240506724514847488458148351227524054477\
636765883718939555567645620149900413364215327697916613529325718667154648547010\
843412083477361958626273129643324391697525819198184506088889425922432614973476\
234781522352950659971390157220485425716004229390909331960565395965141283561875\
560297215424619661000317377646477623831863115609518300601746306965419936347944\
674398770841344916065707802437576211678639801152549010881352004092202981814640\
4921403603024608908791144061231651880960 #^40 + 
                    6257893222340507376083378641444190131921782442171727592043\
075836806086785974334414075559303557216262678330221931173065542326573551479400\
897461125298724081010389259728020404946209491620559144541337623730733964284245\
357480572828595738717732427502061491074114845708030547303968319404805736351084\
152947635992470067377170105312275722445171432365224087939751575980194019206038\
683898981139119269354457941304690396305468939565195955409723936701336789047688\
843899720567016681984479320778903388160 #^41 - 
                    1448776038605518613243462921871463717220115186450648243163\
609817315319034599160856013562425647957181212225914149997444351868037336302566\
573819129745154507674224173057524631941006067555249683470716668051535071941050\
156397204475907569017546366537676683972143626747130843213227672541558321261537\
289568865015087727224203200728199854757497846708050676758017824745490497648760\
199605937199376554684659165233645476359695333535217092458018228754347547587476\
8534557707577187946583255679063241523200 #^42 - 
                    1021363060418351975554214205653556094143059058828530998905\
905203280656707665108633605239826982663654726614695442425631980254615094371165\
721761804569381898523944719060368800960329418258052499941638318848276025625342\
526262361275180149357613544315900035523987257661587767605529401155322767601329\
813810454712025106315470560477112171157033602947513841776713170763519986485558\
792973571686681973470494041321665142912486835743766673455075484715732167506326\
609388993904651120826177605623475077120 #^43 + 
                    2046321396398765821210729733654457089901886453960419604040\
351221237854370065067687011004029602406842963941856019947633744419652283396922\
121382556020653004226132113951949454601759771041891677082372847144401365000676\
493517891146010558581597292344635523811087907271605802734107701827753729706840\
532983138221282680042072632212483514711670201493975870392749829326325635866410\
333381529761996872914706968115105329355828166651246802213383577964437739191819\
360204722954491164547015599878957957120 #^44 + 
                    2317052927544961607200594551405402581876950112291492823996\
870153604390474008936055592627800183997528935968984285833461691895330727086424\
534850366056394497426741235951353057704980727436781537898624517328564259019933\
154201535396618018812028132302630630766014943967197118273099774822411543408402\
455460590657535302269855227902617784208988698226335092400158720922688648390828\
525284261504749279130286152034607796861448119893633526514282568014948642273360\
13358572742202735387727419383637606400 #^45 - 
                    1526200956816402663947681046176735883579012699570464081931\
830100587440262009447054964666074035496652348433313467299077793057449352636259\
451282028246142438062392040227869865748715290318841953033023528537586344191393\
331837059243758080635177444242491866473811364331421830215199735384417321572701\
346334079380068872006433855782479550473491661184203933284789069429006610291395\
311589384612433413682233987632151111195402848999839290716214229196392524087490\
24976322133829582744462960494850867200 #^46 - 
                    5223044658262086699401687129080903781761309713754894246896\
090053870237535577636577436434659659739503033674323029254537767383952277652088\
542854966163167439592101632110971619604469480583775830052002665362939875994481\
684521693152262307198386969811264644632830896916327999863430418477518494678826\
024661874485316819235233925368444919537397369908880729309567953154776938652945\
692950727980514367387580022610793281691744009325130933368045607809879097331804\
570793765732449699027256122697318400 #^47 + 
                    1814603726165082895451843369219879121064211306840973099968\
399264688592498085633211512501366836011983737174661699896903285355636897729815\
271773130978796577209755872676050039581643566637352941696918603981144487223363\
874225928034177212556018427508381871276960474967337462897904502775729126912530\
178410877754448496566532172347639692295101467317388093408414999364112174138652\
399651894986497471751070990135210250284332798190247364357529150313205788336902\
7213655103954096120428951023858483200 #^48 + 
                    4098380005708870692707087169837422593865465975047533498491\
584766531889009265095293231277952080220407023186900369114170830951920600237906\
188750131060576408371998769314918159453589322806513198028690258334728012712863\
422622758699399184109214978831535816188702332435813278302446695676488721360988\
754263617646064960681058675119228725361269995849751969526746392635971971748233\
476439316933144217015386164979862488948599279784314722757336551975764381334765\
113170679969965510159591287029760000 #^49 + 
                    5245658013723555631633392623243820034542428680658882723123\
155979274588301882229943946881575713351046751435314269751669026626538720432111\
277005223423533312731941850846677506222078283499326927284280491563312408988305\
347380689699430307313421511160996224834047055822226070904173655403027941838602\
974054448637363983160031237416270884186434500937172095634908163094395146663110\
965496415027734491362221745889667124805952602669860062051167645206486322704793\
743541510206399823844609439750328 #2^2 + 
                    8921537472672854836302019159339347435075269569971474086568\
751490693624466978807431287311481861278453352985955087914493977642133225665629\
449696364367903953651914181167528347726039127027197088743368064529930811509931\
143081077192758554859988964773367977909956977419063896608145222509254961750510\
095656853010805576773220877275044741293246829508199217235545512674230881312930\
836372476884572724976746376031791832197770067107141247713611196996595308567611\
9733009464427701645541455526142608 # #2^2 - 
                    5900275815409650450174697671643221298103226341251817646813\
548303370961169788907068086503398678479457561222656130266953680887470242506774\
498006634500061021831504977280149405505463859149156518806921311802729828679694\
571701448107517931070879451893079421781465435411926145168325865199743828140107\
924808684544143961124301522803925593155958183776998674499548649046531454482527\
320802249525437376784641429903265312790581681153636712796184238417554441792963\
29146375161102347061227159593347520 #^2 #2^2 - 
                    1313652478858744130267607472554576742825140435112604547295\
281875033029829595930085526025635460817709497778776702563597466492199789207096\
921194370586264279091182571691584432593969213910665560899465545884901638444091\
722023828949227823776223769806367069430121907602853853827467410169639983112859\
277530100379872817716832446226143474494980701038549122758174182074977927174469\
319423585610756964349817600076910423667733148890996541010384822436486917600693\
2524622113709643403192870405776658176 #^3 #2^2 + 
                    1276422148394533381159940935817047810102122717734279200982\
300246320036006065201310047541139878579876609317424776104411212336153045837857\
782595596977049494624438734234605305533294943320573096519263620812786970512670\
304002413369331913878764736225912377434600563442170340418471153093642822362642\
693285240039440509059410764394448952899614029655158423295633529024879951317342\
174008501582074961074110698977982290047233750554584149161263931608865356600645\
9755309903421566046282625998424430848 #^4 #2^2 + 
                    7221301897860930532307261464470669489615610854779279812956\
003833816544793989428623355433524799094003351364750223740506838380411115004116\
295720418324675591551194318906414848668741323427004769434590874181765114199875\
874914200607450590936174774544854754075399939116837972222774902073785414786397\
707796611426480949962415616443598618418055819684604036246728526496752831408764\
091833429382162617897513948096064787485904595694967777578317526432540512096202\
97772137474909692686985598939247081088 #^5 #2^2 + 
                    9556670316278361908488053533805348094401344118324359569442\
416659870419740406947755951482233906515749232227736744849144217146601517842663\
879243953885272906299553174748939384705527685965498355266142751171596327952550\
035367525730040021182952256196880357807242731470668682391613391386833072932952\
511606671505946757916257441866359100372640782764995680399178598116910441950399\
523463661148065655190347791913014771869412787392365108772867055504999851926768\
4411580394857898148775468674724912896 #^6 #2^2 - 
                    2024319546671789655470970867173416040018175039770090525642\
530298257066257035209646771560917069607815899581434724826089438312459783952982\
743828770501505752247801135421236376186067331880839001748555211185740089978962\
137777743803958847965704955019945052735255647034840448509458052245770130357215\
071867355806065697403571946833281100607463366247954662957519621780504737204152\
962583842583196792437372698754719704070567131885985622230338793864801814900590\
3933046486989988658549211987090898381824 #^7 #2^2 - 
                    2169870939825017166610558130468654270616820334201085049482\
712633397140842694952232140972056034332787461386285750270221606448441244647044\
919165685307000940618467317979541599391931677688944778537661615779593258523121\
671224964328617019906230444286211246503495581633810179427033930195343685445566\
404272102509436530373649195820205686476729603774189767824906882000118693026660\
506965186237699107136825166843489473166623737113903795722372663447198121384914\
27025459530974527455541928045972175872 #^8 #2^2 + 
                    2899422702929709904364256556419614034532713454815862904091\
479099100334408514343379830105157519246798104135691234102610314108316316663231\
249493359770465148777459073190514892206186253421217997997837347994386712445650\
279380919706221963939383598143865649478270590040293710993663725709869148934671\
768462510375438097203181327438155126610347248561205882253915137852449258096370\
767156811065160305798087302133685750068145129029305415315443603849427466767595\
65865230451430505589500483742803368163328 #^9 #2^2 - 
                    6540795974045404556934262022130840128413721448398740891360\
877611589681975940219378074336037131233295031401180164762477149407581344310061\
647813540720235464706100901399531015969545833449567359702062896938616070615764\
755875476097126636073651564326285946363239238215744258221660782647303754334498\
722527993754233569212542682875100856094731619596844901055717800240130755746535\
918176173191270465907265731722964200307965681957704199661841870368645569193046\
811351903861638058213262396884438626304 #^10 #2^2 - 
                    2435578753813561697295229989213195227378676682842461137940\
667676904535371907125906861010881807112540620822241311420589468273943107491317\
402719633044867854356096545691327087258672673197313007700983660925768956856373\
427284551493531380779134691161943094773743796285662233184882731214409924141858\
419096834139611633114574116006724248033561640740810056098287850157878365180234\
745456573852340113047863755207054339880322601044101870971826826309663302166481\
318072907926785152283901515187757618429952 #^11 #2^2 - 
                    1106090206857746939956325648958223443868260356021516569975\
096493241391999903374530875616479961566554677830047864493561138325207775379307\
683649031826811310313353712309533331492196994825569975353794828116597150053582\
002246135437970873859926609307857871285106998997092326509579954889324715633339\
214272580117748348303287735918975649889374940659468491097919017630378234505371\
617320543879639928435070483397337365199698560956818303779400554030741571884675\
60706870038129162734679476211228247900160 #^12 #2^2 + 
                    1300694984562994863791442437092021493621501996737959431758\
600825140012150129445071585612564564353080144853558391939959804574971300536294\
785011337977294817216652984538136272697064936182748836110917566703901160512330\
465691940696799906469226564357761687482818976383725118956837751068733786791426\
232227887194248034786825003635407018995154877550264164204974970145101358890060\
964592737293046128079035263400557046855339338136359534764282012871984558370476\
2484653551997939771121972060920118480699392 #^13 #2^2 + 
                    1837140905147098920055462055262944652870298742588238485177\
480405560052597067693152206213055756659723328443170750593314184180492664144086\
623370433362658441103885298616603666699284663945154267612310202957030612895842\
492674394626314181967584254115372671679092717427268699492478917779793017842269\
033400538001437289131289523741603957393373783514910905943402343039781156635245\
920116447678226804663485432511993066425334998869103428721029391822563213132078\
363274036909631136944747005536989872848896 #^14 #2^2 - 
                    4594334225269096152100084389783990453718972307888090223404\
629457471346986483883302414363595032942317671095295212984387001334647398394446\
411360155855599797364905464713313382055438589327707116520437343776184957356027\
746602359636980019716882976376153105516554440640687886006462156243040743147168\
039288520368809007737203084933192116924293477122978666430523745032403401850482\
113741354752966029604272464891831624889283876859021767171422063469749564082862\
7485028931904264466151076434538050180349952 #^15 #2^2 - 
                    9582377540735862452531735621986053194151708075887288245851\
821119721871801120813310515862091820799080526097362979705877752751147211685594\
530831901458624152262950204342874921598761175093791666072295916969139072017617\
612042495614107549267199300269733780069133189725606529046639524499591367243528\
009393601184030905792192823188840600704421887689246492829313918120983024375071\
791116154929093374988001589858832932022969808185750878293140210311591415952112\
666076842107989162727548929046463972114432 #^16 #2^2 + 
                    
                    1092836075719822537542278117432953890943555766549379820330\
967738250533417523432161256962702381925910468193996642480385950679010987057087\
100930018947691245006670673225532465763083360849648169855301879917353518490233\
034936998312864213919693723499014438876625311730687519447781608835563772280781\
307339765830919983142188538538756760900542379195538237644949859411795161569587\
750105718841785589990877256333017856921888705791652730874060693127144268965664\
12333835691306004642311478762644996290510848 #^17 #2^2 + 
                    2151765072178918654205957982603388818256664238779858276800\
154936440895528166968143639175534218124702898753916303513383065535417715225671\
877498058187327920928452236993753863261686819312398274260622363463422701285366\
185363454096925381155119350357160725192473099937365363421117792687830229957758\
649779878852183343319200293263612837435109588376910163334865993636942960427599\
507894344024557526916391269661184437965527950303788506439515648033576106273136\
2451505065276112833663253101101420407422976 #^18 #2^2 - 
                    1761167343004216067703731016944717878630319294874637390380\
176977345491557116889235003223691936849802139849718528224346917840082022242637\
184211829648894626512727647251065168172787642004552277171308978272311747763205\
777613571336457299051088129196685842334675912302228828779548602825780089716485\
349312208215204867732016774499997737503291079643742969693054180862156296105549\
221855459522957230747157659497548814260776256357696166004395502569785269039356\
87057453682048130426407983663309511328792576 #^19 #2^2 - 
                    4531498262368525304352991672850849752145647960640794106319\
211812440715882647928201425008406475310971988360227896629535243898037405905614\
012040475020559218003259586096944006943369356376988035263343421974191049686797\
840039097531661215896703847577575016803156069741564419986422276103869704165283\
593865889886487346533383790450025284008484956511277441528747061826543071914303\
733815116201403228965814910850594168301793285809044496201096923415891126518757\
761398767696299768326013486153002175692800 #^20 #2^2 + 
                    1919658811416066015241245890518591451719190675710873833524\
864737172072880871059527202217406053808593884939354343708718044326792379387536\
644841615310413224452910766811327003544502737456037012497779773787308119006692\
623063437503855407431206002450966074613135518674772057446810487955169150020903\
334709402177205924763469896885831538469382188959345009891719436567426555817578\
626026881159246789791136027928420360760872024238084864500485025505867775873320\
67387129618762439598500855594545043495452672 #^21 #2^2 - 
                    9648942725382112056592763400444657301330339757425067390743\
763393826729101357617020068738059200524315917933018037933454636049835293860058\
997631598723372357553213562158102415548118289926589054685758639131883330193594\
501361838775126459131028958528077903793151733137338324943312053922101601993733\
613528076717549541999400062413322474216543977687318162650224283745431431795487\
437104089628114671101975925152695153109020770744160041095350758793436370286482\
9431724248145464460788924472035154317017088 #^22 #2^2 - 
                    1410473390382551698958633460073211354870719255686575496937\
614236236263937790072777163141662824741421621002944508308463504675402470725585\
709572837241267191963302411414572170755181080997595398644273763154238019846386\
218139393627422224935138816959687312944834908704131345089256689940084360387189\
738198766587876766405641163357992619442458920257951388298061163780335515030478\
712326503333593057020085101124468175279121628641048659075268782252188985772458\
77489941390315507367668055217848399331065856 #^23 #2^2 + 
                    2768790958212664820862207492124647625570570475979430536129\
575380882613853540468498114877023985940376314418672117169895214147956572471716\
771394805792629009023031070471192754371673635697958666727976595394760250956083\
944016650599347545670830338217663461124510844717469981120926843913918810107352\
239013197625760652935720692062191837052240623514364655894195733951755169148396\
722663055392916526643207160727811490882541848810781292268160477852968546682280\
97982717499207765520396813245726307389538304 #^24 #2^2 + 
                    7211279551970440775265974463736949185310949035065932772876\
452881909931176297037354712323856232527360028935709254434656242315935216843603\
386798295610771210308570111273612707258749006556769161708503392693941825190842\
006385058586524250618364906407663220632426799004773584494784253998017213933551\
369998859340194438749453233376757199823511672398021616140836150754837022563246\
630035730668215273213266873521108226860429048167132853197405942572825447899813\
9882012166621749293428762101220262390267904 #^25 #2^2 - 
                    4319763849711696649461765859176653974760601141699471628955\
374150282431724322965984253764148748203455433049879396109573198295721073914040\
806513818014124101455987317598324001675913881111826134616810419322303864977082\
326025945701812858084818201381487250993690163169480022273881105509967319697158\
018653699781726221604782080594476917359855108354299764318403461671539404648185\
507492174749222031518814116204938764728429438793837146921529547716877622849221\
72104164454566583865021516656293071147761664 #^26 #2^2 - 
                    3271528989056669474894516085762645093408180875541181251292\
911161256612870302676164946164530497154016895147146406276884148458588701762021\
803715781752873254332077388142984882370510410065541945173329342735630505418537\
973830050279234397545317478849123743477073657208991924246189874658216468152749\
142448414416669720834943853091941959593536681815494878206867285923237278285842\
257201084504391580679307086452266719733781841522711542646254209395376093737331\
6006791629190080896994211737998421517139968 #^27 #2^2 + 
                    4581717422980790533620339698360917157969983164572575859577\
950400746414343775902276856308163852124534965810598268967752896436029017908064\
315841634266483427963722016988761319479529164447500883943238637301827647677099\
504755037800336312590691418851521954629895293236533712383465489986771427313768\
265004645528876587814184541637054146932681608221984737851164619212918089303160\
752180871541620661516991534177808976983690171749310642514299395036443645218952\
11354712886260579400486198195806676893827072 #^28 #2^2 + 
                    2143924054376836014488167783004492781099277397947048650320\
188681460811136663715111612640787309067276687040294007861229544263031950273563\
319859738156543748091639146707904708132672330845328436649442397406050010588100\
244913523011088272113089424171553692077709423343201114194076404802762898905147\
025203999297837204736631209163450096858225564256379664414709028330721405102127\
961974164953517020282706535227747350046867665691983928391483521611465568814461\
9153400286559896210244473593248395238047744 #^29 #2^2 - 
                    3595496317965390932139473476925994203749696488293739047377\
711721662795377685319091533222389653253891091218634985904836580883533000680649\
538216061941127738656093571146882406832463568545811397332990652314635454088467\
837193707686984154393175130362327657113865545429350528993084900353725879874817\
704915012185996460162850697029785958952149352333800973527134011292850293741873\
543830332118133764093713540028300744802753612200294864625447011570898062100402\
79986351586052399217358611907331753143959552 #^30 #2^2 - 
                    1596803190096732672429599972943411652467765064533518239979\
156602302238073439874154925305352417947415288961116756878289730159428868534925\
582228109552159924138569308789418966458979617587656619037892563764657883325641\
153450494377358145880491293084809083163762192489706864735419153706721535018151\
514176831895541067918521081972765423286475600298653734514889591064428940466654\
001944250413790551033372175060430636583332303367802399792548480523669837364800\
3371955670194073581775615572017483467456512 #^31 #2^2 + 
                    2196112565035168129435239458423142813795708807105166048516\
352428163165810332296175381264385501568841842694826846147344536532748470507769\
329263517423098802702344675974647800242953066140377273783259124276253254223971\
610611298870460621960602395804687228620001191086114810669228755567996785023325\
253999800454939547380608961634323525608246145836741818826122017295539275850040\
662389319154822278408575968187799681018940180945187141340835696741822055785269\
07682887021406260315133355248488708690673664 #^32 #2^2 + 
                    8580336358154914842733321952422946188366092750722155206705\
987694273756225488361076071853233271563285185233352333570169562019537167784425\
462348939503329094413061853053367692468310380042828453626639393421723115633854\
278506543264361571958036939253646214899584857214638461704467895200243399509981\
699801326237099401942167844060715533932245890264245427875026258028207252155398\
082051123978499986422446280680003053322339263811140592103851926194194349359652\
101599731796280972698895646357422618968064 #^33 #2^2 - 
                    1083858360585451188813612793154906931585909716208382830649\
501842753688931477621286492812455785886561714480135479707987299946761034037921\
432168738192740217036347123804222736769056157774745535601010682068834732093076\
681498582315521217789786973328169563324970862767068939275771046931048258508663\
225444461587660785204640602426879184343034532171227630302347181540599786891652\
662942828944858260802762514417967975345818817064090201677276523294387666622197\
12044637808949309876057462455045751184556032 #^34 #2^2 - 
                    3457785360517684788450932676039326750740267816242312838210\
759983618720122213987051894991620595420596930637219650447258169380606287905884\
980874373002519465973044584648717549046075952619735450093645196814657941591281\
911879971950901510613069989083036247321252595278208997014211020280037614909541\
849427813073087561725025165221260621536863706465750089489086856980584040962425\
500215436255300164199485456352361823337724602394612873952866614140424955647466\
968126358230473858933218158097502790746112 #^35 #2^2 + 
                    4390929470817091454598142122827623216391123001989294778309\
701238383119035233965502457297083214551678177393828548680212559041781666697859\
412445604103545755704135137508716984023814606831346160713245240575399581309613\
367431229176523501216740280693620457094556245866445967321546818830119655093829\
340281584300184699962819504445988061053010968261798682739161833188291367094008\
593090905137394913555693869046238081581426563997086613020485181535954749456405\
4900881199866344030219654929277892325015552 #^36 #2^2 + 
                    1572395754611626707404014922468997530664959120676398793733\
297858729005241408030480061985059467291658143882283338661004471505975459332694\
191532842184964744937018558294661594728354558546112406958832955133423714732149\
512743102521730816578849887537826618087904552836269869198442285842136017587207\
207689408900802215942240040207870051095482597477215010128803244688149217178509\
740123631521050082599576762067147995668610346812390325255557591945130950693740\
592821863497957868952108688591353601327104 #^37 #2^2 - 
                    1431270762084017034608636874585573772582943084527351080803\
946852382262071072845950602366197520178269913657838137260939355085320072888231\
884703647190322998048715415772741277024785388299705346959688321155351816080170\
593605330336910231155844696461050079749577562647080307005418906241708793093397\
320746229663396877364074822939434380415231493474585132000312298721012164693573\
128534045544974111492724187558361490024129919222091336093143523276843916845737\
1255427218032412164700043244002012519464960 #^38 #2^2 - 
                    8151411549917893462223224715298860905961622025374671851561\
620648183292582939763361839565475965261866419531684701677618646898528923502315\
754816163978481249111395932115841525905898184774936744092739061564537237979026\
031003197693895834169063206543176802253927501794704630091568997366206047027605\
452313543181178544835427441259777390339854638468912091284427450710212467613413\
533146666402800072649902782069034022717148183609193514753272982016117482547756\
31801884890193419221136424506501449646080 #^39 #2^2 + 
                    3559119086685320200559972479065821363055528220760232997482\
131326685997033869591665673569172179766039563875114081001153297555508246304125\
859315179924423894106634877448922744356876047646995072627962743814771847797996\
327116700799859975439117903194722504504352055892450933621674549654618801136247\
631011390613083354833039235923746376498812280107742180832158935225251675802658\
085757668580093650512467987692174437853870558259240120986562811027901610313754\
250238400454046882389677818811425205780480 #^40 #2^2 + 
                    3067406394646630064427666212209700621183432589742294955756\
768232842942812494571365284032851928185810555362627968489796404003430967813571\
014818867633416099547326245397071520376562077098948449606148369507553077537088\
254893685159744667111131864383347777238174769922020504198223995342698511194112\
536524900786035119467936253550740156946998681107992834316422998710514716823797\
345171404170045315452088936796655066779552036893825071935053741964097639384703\
62029434537295343301611421941823795363840 #^41 #2^2 - 
                    6219749184717942714681326624720629443342672070990753999061\
908772539251759590091697743041179152960224638694783583093345175804706467142270\
097552378276013225619711805019361153897970493740456075685228862628249278702699\
485764142316245783144569190252941311131581213738354006081159458543363187117998\
210709252989432464671605033003181384087003222127273037613951471593441386044902\
525937460013941682389704218543663879275306317277863018218030087831569869423090\
97345044654163308733369995798648853626880 #^42 #2^2 - 
                    
                    4922850105006383227593487195585008235589580382843705595922\
015914620303496130656771167413735118426563809237821396391514596657314990661070\
703730382058359033748940952412424390951040712573731558631523217546826206171321\
567864327601884033712779466829663199998917033316983775378234205826643014335216\
250879101139586784983439939747310657342278551148684195404078979242227383061749\
147288586778668534501750050286944141278376088852770242339546367244785738678767\
3773513611522573202542300899493564907520 #^43 #2^2 + 
                    8775712504706513172102551861145631544964386997398594376560\
619705540963170773920589368323217385015853221655197317542061236199924892811130\
752334597849050967710154880151184537148633860789119910884704323275546516651368\
498040989408847429348670651266773283644200243050970190681244079344005516224306\
964996499621474500890583275400547969595851291099890553776700299770478593786302\
106395249214514629741244774253428975824017257957675015470234054762978345100583\
1922565699627607135277474398412640092160 #^44 #2^2 + 
                    1041110090094991553158007634568527763569144536891391303345\
160710200691002398829540911153436295000376950429500453188091909813213047441001\
472684639068873512778250271090258807364629956354421635954750868345766746728043\
006905389401563053855100832906310677390060848078943758760355288343988418504709\
485579302752456530197746284044106455692455453590395410514878171171884898535081\
779538524579272692325521018926172059449604576101260052653154088305216203806346\
4875833871530376533079250463527419248640 #^45 #2^2 - 
                    6570620100170159589177399363580739976082366764180548292905\
143819093778768796450655560300161197736306435338484892492212652459784269573957\
534775264583421203903338205506137771842960176683102853992609588240469448173695\
305381977006600330920585358950417140111986271068236470374911534222637432640463\
015650349318139168053669221831426946151821866985831720646243585267500142291135\
872494942104001324787402642779871375347360095779620406063381237403425890116603\
308564051622076203076031777846853632000 #^46 #2^2 - 
                    2690154315600737406493471342134617055847674310809154270551\
018244126482113688637669374121914841799015283223509113932743689609791809257158\
040645129465217826937089296442148946092292383718690660113289163994509092432992\
784030632681246438387611800023804163307365889705011446942196981722505051393639\
645673278455489273239166562515404734108864295533042576307579527907312038862918\
112788903433421314956337698399203916230005061923271367442607792176629589096658\
63453457466208930729098925630396825600 #^47 #2^2 + 
                    7742554483146139451208427936907937537463796050921460136826\
076675187683504436048413200291870604883182538854309943644364059943150614803708\
217583279841280796702860360930015630173908567798655627285709338093414408506488\
038485961423160426168899503469868256932189280929588112691735724792718769459888\
836538271174203634215720928383150139827547164350619989345267399799528814153752\
283248192889562979554326948818589720360036581392849320454398276707311322546839\
72258832285792480084030132594094899200 #^48 #2^2 + 
                    1772968748706125134866128519037261946287186113669082876771\
473705343870904128469672577943643993228921215078254662452140121466905503964095\
108207589430589983276752097114998639826540895043704248670047210427104264503604\
322301432117140938921362234959935012012707128921904665696512830869162462542594\
012405763116711309903329312223344015543982522146023743300210768014600125213859\
264800712331441671202424777124792686854333879461101136263683939678449881961001\
50085464593576735612937781593400934400 #^49 #2^2 - 
                    6912346657350029922710268196913862043854013267383749656533\
526297807824583192709153577800127845584465803780358513303330681843267059034080\
190105933874960949521690594255144237883269305122108191268751305753426146924818\
532441607191370226831548657574910092524964957582234941942639224410420297579910\
650565196485868801381991906723401439731469318554384681401080645775114830820306\
396719468889391108194382115733518822387534994635284819189210312333742665690708\
1742727298144600546783118082908160 #2^4 - 
                    1101950012859596641024843104484594125407976157689239576997\
254294488588151398925173731765676432339506354441347556410145207164767363721022\
999394722414196820899354326639602204412618789815887740217980255209085434908617\
942508467018041815760728800951036137040955865094932108741863054813777071774878\
322491431930802663067807948178481989256574635122417996943958384239007908111675\
217411383952617532883524897383776994420879012156825942306438420599313242837172\
553949036666115703363614553150085056 # #2^4 + 
                    8046414964566032973753122242460841498717370622640278789329\
049732302319114243541961963539000583819787005486199248832833226199264395964644\
177458995870639771639243123368899015742723271292357234620848749876198524588786\
973187400748404214776679928832519546492196673080455797106543277664099851977734\
738295369481506149414238007956952219932147324967844994221846594059341148757070\
007702140995834639790333408012635962340699342192489046539912305673808132675333\
536909126741660359056920887986100480 #^2 #2^4 + 
                    1629018841848853077888004192508381771908044227957258035291\
999333892375787877687753302564330042785772770338641333077869014558231680153797\
865247650099230673807039321295367938357503001231469649148053173967381018474163\
997962752995188392514296884038935979704207150287238457604664712016114179279860\
744744791246355033452097857193670235907946873619033148476728628240213455240390\
233526874771725473108156450446690313329737397564637721169164604525601548634955\
07737043426430704837256223198331757312 #^3 #2^4 - 
                    2072476222194219411903947684430538481729158744257558580088\
265931150467155708583486078400715845791736874868635790829416337910902885747968\
334142170615603080646737573347612950677098773978706454840496003023922236797450\
124491167013219326432836198049333816847154180389970289629099183346250677484716\
493043700128518800979410725799407044663214296927381465700010307182450817052338\
046054760506947914150388563945477009405311084899162018461029777039061469747860\
40867390915326216023929349640526406144 #^4 #2^4 - 
                    8938209026843324754732393254038099436063667532927298579922\
190023972841954772869391274245453549702931973257466611809290058186055926592245\
750639910096125285387221109314983623954437997100853022910458571332197667338669\
949991485232142862649111975175770323690796205011760808198263218054410264731864\
429986095726364989228186268539662852896742568698813312270212484732447783864795\
569375329102729680215207283211105686109583410851509884918721860737691007255962\
013412782205864578679949174960043962880 #^5 #2^4 + 
                    6700239109101384136831731953146159699709528073178376374452\
084596805568752538966956141604355581628801835763601551521481695899125056983384\
917613458181373047309114739819166952531221057507888307469601066015272381186053\
354945826222692722098116940378321333470866183604643007020965863407540518128981\
854787696443601371868079629740425519237412404714021776155785886709876817593084\
829771964492486131916211780416915589444175803536379095631247272247701765757595\
05547263382190169628744572577102973952 #^6 #2^4 + 
                    2474833898874405553465833464838440995902934230243336933044\
077472308059019487843890269476238917068313463138843827779193372647052989940184\
473181510475465369180140799738649393774547642174039245664683862222460374672605\
283308774198041768925643375911496060548264671381095509538564693235773390388338\
362236826657802726309417673860701493274625627164902944235705263700298539815277\
760679671914153070868771096579918334294740450347696255977701310121605022251545\
57898324627680986847169272726951251218432 #^7 #2^4 - 
                    2547814021930557948422028475555464085420264417215065242536\
089594121954247267180100884631962301011533326240781585738900139674574061560942\
153837485264069982168547502102358187879967921103887881659354356307777211454973\
877584333357920013971426173487886464086186431963660790885351158447115961466384\
005627752072873652633717519886726658147182109246594476691019649140756783242879\
944518601808375292781792992784813397253359592877746449098914963705462667757574\
8924128133436284156495078013852739772416 #^8 #2^4 - 
                    3520455368724177744000959253252202275607421975350520938424\
420540420131688166110838355920062937812362587587331471953918267066749210110036\
202102117528549957049272716209321110822244665672888568891918124499765820276967\
858096973757736045864889303111345490817330557228249278611936368214295236080072\
287784783711848154861422402729397875969124021069669229734867843292650213055252\
697152608220849329401205941567756533118393649832002856799478958965980799009628\
752730215504763775023212856834039000309760 #^9 #2^4 + 
                    3194332600635544854671899778544203451051486387847019142894\
759670006882655452773184734256121383823311069513005363773202176132828896703281\
348791418330902528631356196676044175112743336089510670869927900270937484561415\
287875541158692623963834280977948932501436722795610903360881832077640653885594\
148672619402072677613845300176717906801687645571466521178959882970986695803841\
279627211698165470715030407575902153203093665265775398653868794163729793984670\
22740167224165887660896640817277063102464 #^10 #2^4 + 
                    2946434803788749015759658350255140078038470953561247081607\
845033086731989852684345938184141480522553890331776554739596849621828821495203\
338044773673623415495059413587368753645075494824275236358313775077876799612046\
591554051770897948830253481438597925967467691854062106399839684989939601563185\
690781828790213986817554023375263871727632431455181849487267463020584913659937\
877234546631871060679525062226175088588400804680498737550456976874491149696794\
8341335563845010407535413399199313360519168 #^11 #2^4 + 
                    
                    3791495323585073934315776001494514777882451002403986196621\
707187074108769424878590095776160731757718517636853163219520580775729138581168\
742550506130805482986045813278712306936269023754363450714112874577128141980109\
642868244455345181678575024585515388122156336867528553278308434188312640023072\
872965943451291153673143135789745696410612161963146039250027894541896858781821\
443621164616222170140749883831201476656457294112161502160930843078864045754471\
2748308095812548477534299640119833919488 #^12 #2^4 - 
                    1570055225977881784761167589177754888901269502695239510352\
437160022185008443030795187502729590061144976550786732983364252826162083351367\
813913872870695328468067633062401681632771292110210298534963025021754198540549\
175544509131493186858628710219011783896165294017077720975927788382034696543440\
525335826700385400327464284097156242033869668412809564301345214034833585272670\
224137145532263701073780937044449028912307192221390080130786791125640924484317\
12111860812648930407752507484638512567287808 #^13 #2^4 - 
                    1745225536503037863083046857597347782055807708136619971281\
791467301604742189832605435918807355659152403747772785197792168846854594788335\
984495669773734710210917837886229059338904126693602031827481222635358059965041\
740348843661340386323089954103167622894128238439279344202211240295359688804926\
667779045249696829279761163350989156663901276977305937016784271439485873297822\
014483254500403530330184980925531305135334118255072631720067092694506077501844\
5597721485565483654833837158145279229952000 #^14 #2^4 + 
                    5536597683667196246132821168938057350044377603760400547361\
037847212286236641491633652193124297825428969093158520008248913780056380275402\
930490024696281590246574645107904721156599118846020290406952131080836932177550\
261558371893268336902487428426249520966125931103184496172387584370193345033236\
790117408925911792159378095229282624335524924199350573567023395614527251377505\
114744211279211251611443158739213773979664419763641157631477528457313613799842\
38529171733282478777545976577446287160901632 #^15 #2^4 + 
                    1036784749717148276396999274489206260742282241227720844318\
650178604128282695217917884270933225995309536041915244506962712136526423187203\
931492619602427544283014113164464208831726657045016248586069927005192238894472\
028468118465760798428708152648135202326487941696264261803485524931861944714031\
509077608349358683311575949562990446076018812782571351808199084600921955483567\
011502376036924587634105304222570679827500421814708715362972133796876535039479\
50462808938785365335991231837291177619488768 #^16 #2^4 - 
                    1314632229054925243490694200270329293774975174856961836047\
415070319544297761228892446376391701021323898804628984119968174101759845670119\
570474570232227180390897112439277621214712800879547491508163914679592687697210\
748472760933856254101213996793962140849574598009203894056565793086526975617642\
482533014372238335736642894944028817158780831940718674126294696944911580323463\
956486017315688499200301393806983467613967578625917003976479205046081293546518\
816113920354033516788741859809376345796902912 #^17 #2^4 - 
                    2385725487841518541281541726690570951242534780203476507144\
730691968854880861006821420174845492383918459786266665673609123780040881234160\
852104454647068582030181925682045541475104056233673792340284620568230665808334\
641139849556072161066266139243555349139218811222626098185088690711594752189011\
356894259257500563542910909066564836945970383594100714667374291741951536975981\
585977335441608345292535363215439534813338917845838676256964607365502315942185\
99588392227193621558988796829300253916135424 #^18 #2^4 + 
                    2112748286344768749509888807027715354583608542432120683698\
290686661078473437251357169617640497298117049981209041508028137009886507536554\
390360907875829909364130045914227197501213521868518236262185844241015982540330\
247727725582577423572531383515529248085849252506211986706205856557670322436416\
793048194550085768460553141593220956388330775108057724280489719788437202445117\
239498627528413651282537567953958413185995325276672956016584958067518278237384\
350997268216498493254937839804015861301248000 #^19 #2^4 + 
                    3024860116747897823599203855429396815110667949665824172402\
923352810842319548127178888184322489050374582622247643219580408756489633652712\
185585262194264059668138002220362447246398238067493602986233624715275934499563\
475702943906356363797340889479796586944405554753093636705108552603464851804331\
748204409271014879748711079696684493917043841775109410134079124969409661480949\
132402188757888899566292794133658819035364311583248833177305093084089773936537\
4219045294511723010591223104658623887835136 #^20 #2^4 - 
                    2289816978283931143452783435984481159959596798535437329280\
257681313821702613835127145617476182255008055455112078386921966360110008939223\
926169515565768964392460957487198705670217541656977843862980485418580332856641\
252704933457017813368168019441240179638421549460878971884326405115982137543689\
863486023566135091815613040820826787205372867413536151804335964781698036210192\
671031648149019084539536466561098580186514734792401986171447874720866326086654\
710273886076919061034466295829664010562699264 #^21 #2^4 + 
                    1178225081813060155261319209046073511384683779034233489013\
336733249000519768067374608132669525569471290047630312999605182591719605441389\
452885906528860492904247068272347036302228254782296085658249998138168068968615\
256617194961364928793364739362971415111584590178047378735744997574468852970277\
306055202480120982107586455653387192214012510677878795158930849030679024022190\
957382559830282241518596886254178218554407175825384084645246276285184178399393\
076696094561257131079961351446689998348222464 #^22 #2^4 + 
                    1658902872269455381523435868117724175408625794089094559728\
570954564558502845189884373926529575489429930378003874116817370110486067901884\
848245640727177032300495338298152688957949028537878114052958598587358666830416\
210323461196656720643686513638147552051364679296132890375935717908258992588466\
944426152637582303185034442168087173133030331331195004530997202084316365289853\
894625655871063018482802293671692478400795390980087914943381999527111876555958\
709138319887491395199549197483384155454570496 #^23 #2^4 - 
                    3332582474125486504549887007138886284975155451703565244928\
600751854341698870346362326770113460284205725547567068368414286473423272778286\
673891194815838050530144256569982940746131684107269409625516547068030214937883\
071651773959297187653828422291759910216595177598041663708989993276730979210122\
314131327378708484421608144945951747262956961385214502081104992170014194408654\
625745049235506745934062875733690188553301018026854787501252063284013944142973\
948987573852556686348640990873969134244200448 #^24 #2^4 - 
                    8159163950726469981727526639058404455666846538853292220867\
329310166486405199950254518699900439929933568775265338678025591354135275020103\
113994800904197577124175628283674357688178746866929872500283288939885780639694\
172879614503609912346250855658607283866093238259062494477771088915939694794847\
391177050810892608648910383038790769582755521580042435524151291293763189356004\
022032465357193871268554049088812957980938665765897394668671103943116990805627\
70247791341316361664973112941076669737730048 #^25 #2^4 + 
                    5183177284906638349606437751101353128164886825985558013049\
815125752656544818748509201445403103621627763968855481996714493971687410153520\
537140677137988774360615946436776770362637083833257393062041559178203125365584\
470807761847260120704890767358652305025827987488005532992910846305917386207985\
514188239477493523126868674430443949897025476748467214155911662944601243961334\
246984779334132618328459863253921017234102406266204377780386400978310868290789\
082125298264585317052547283996409839541551104 #^26 #2^4 + 
                    3410839278259712746005713277411665780870130855441712882162\
501679125588352353211772942146500116082143276371972051472423675622721439708316\
134744304432733907208535764611182258966206963054316216280387406284245861360989\
428000490021525573121365162941127211364167266433459038942440181206546682947427\
847604921436216203214753878156827108514359200615954129665279928257821391976695\
327071401468490078990137371402248470929035748854458313701099326159577898183556\
01201957467352035143013877866647054838661120 #^27 #2^4 - 
                    5491538324207361245153840415322934279560118355430286491135\
732901515168214830184437166792652201664833687001288528964761472719487123572726\
839374306339247220268396253122802409368047164001594531726324342812172974674434\
593884534135134121592821778443318115380946545342577709133309352635873601414657\
847005218456882407238054208037306190985955756243602346001282304248159759339666\
418592330810038785621586140237872463437600587578511664326622232047219328588363\
529866438731981818342012660275672765211607040 #^28 #2^4 - 
                    2166579964887877501735857168768526151608721560263904024345\
202992142195407514176264049707091955961680564136948816966317754421004674037152\
960252186673774575866241593376952072903871954559906579974294642455642146306254\
981268316994010728730099166109700065389222103135006757656602217100968172511096\
227538181324583419563580034798254104439289888718887263690928473485406521142989\
094551619732113786981351439611547788223927773449119869022013550647142125209351\
41595760944221177173489444584821962605330432 #^29 #2^4 + 
                    4307100574104853295959361108711515418021215861981323644664\
757029188863056550620887794411167216349510455232892671052643859572718236464092\
561642209027743344722116175691695272259784881331712643193612783985799726035705\
223324770453458875430370672861980936725181391825623255147961373659762529385841\
343647440521623400304059822903090325816043671932087975175887319782343111868496\
331748132050933039670799669685876237697650186142954809908215792996710469687328\
308222780873425815394576086831083568689577984 #^30 #2^4 + 
                    1664497972610154853011288692985991810544248160916554775881\
646012925170343000128973446137872825549533094142421217466894763570427450524371\
099957343918948672953580081788937447284370341425775975991720244496931820201491\
309303439451706882402535392569017587127961292698454619789378434676031992834128\
566814185480754775760862152527514708106401741530417261376432075725809568040502\
056798748630508540795858207600882178369653399865526667991584921790137109832374\
59909950227322147281569341311199950458060800 #^31 #2^4 - 
                    2629659433918016553406126320318350784083166836193451843456\
238658502967920725615908186668896966165036947175124430183139271504706649061602\
711547160583535702139808793946605743896885678201228146863712924359204579005311\
952849696367296744901402070156107045812727345510050667411760474332596868971704\
981899658021055399371063521487604475946326504000255956734268808598829084725465\
944922230990044451371968581630928038903133009703165682943506783401430596081828\
469413687560825813434657018169654154142679040 #^32 #2^4 - 
                    9040592561328837161005822773485241938187766834404547763740\
553763639574904713776074521811513912246786000480187790820729167046975434634580\
955664275269501396123354445637820280517316311096967126835879245229975481867782\
866653789269725026218448019313365822898390735457674390670556048334084514053657\
399404801651873599832061896235165590365028095650937612988562582393079125375560\
942462834220561695366806166653456266790239719154060982534482010316434864589081\
8509019855630465150054686903581727652839424 #^33 #2^4 + 
                    1297370331573687574779253707056304627579299282132328723560\
209344279104241512876443535555886902489629129260957686578276496855772032257195\
362908435234268795295097672595534328893188807446058909791749128009671705466269\
628930435251464899031010999186063010335020074818778242255980292039245770781532\
839512607292811515192988015924609056563761548707782450288424363220685549174773\
291281715392005802625559881316511147252472177363337595382821365341269959178557\
940146467613239660313161271928784122548322304 #^34 #2^4 + 
                    3638671049698571772548136967013209915714929399405589127196\
411206177116023137134826905684935099323961528721711564656773808291628879466808\
300017968389936216849503961220908784133407640037720628563948147333226930548335\
965011478760741987326564373798696642953030879022290705269581198432990417246183\
639493223997159850221551745337019227956015506060482872306176856909957671280530\
715515977605436190381971493912609853016698268581257819281459714063679060654629\
8791935782286758261700624060721902586429440 #^35 #2^4 - 
                    5254722146135361506962302172364904687287093120165157525913\
608722719385934600392794853928920649303206565829159049170327598295086967393820\
793907351724335934935752760104869908564139142037385879766736948354099004077764\
511590181744334995708427164711520872268441693833668194137758633639076320614851\
473254446138970359106052116914602760157601945067996880417486290811576133200983\
325412803374111093600139447229611050518378242706134374617381344631918944241771\
17747138183113778279882625466068597494251520 #^36 #2^4 - 
                    1718581754006782284796317749857157486454468101523632282425\
843799050979390942517308180820332314868948927480887510681156174298640920342575\
053949465372812907421783958856584441020279782122742871210273437114949509302469\
536469085978416998459130622698958789735876685156627507159350229570747826193337\
594357250821634804695161632661801991323244360938079704040237831112593441831176\
533065382649178653202275307058645838968250668682964989653887647060086632352493\
0944371146766045753889439074053546959699968 #^37 #2^4 + 
                    
                    1712731398403964414651660635473989964839783928663111969362\
331959267247515700250630308161299705899864347114497232469645319475605693567391\
505574465642416155294778973131924150713226475521666137940070588089767058718264\
450700237996438652573123251212867298790318364522374825662366154741846621925806\
911859738079264219551376890787825941978072861130895622633826700401477623473937\
205185881487761145457620153719467728360935771023310259210916636436684814051865\
85445207215255828823010802370612763127971840 #^38 #2^4 + 
                    9344292194211012563435308226615186894067485713248576598280\
952616247955355187014864335514181426462812226585747620234975564411129405597513\
101269187690953443175837707719476422438942124887824325748469932121150989005707\
496023338344731527002830087536780958010308577639488314326671191307533321647015\
618135092816232606117582361442151775166347272447515347565743584914904037115686\
922595623265826031790146608943464649009059163221142223668674569707266750636406\
967701332304284420800521802569988995809280 #^39 #2^4 - 
                    4259139774183043212517900947180640011322508401038890165725\
559421053853545871173370803840210721822239378543390479503730581946942617108969\
039235576712196115352270321364170827941744961297253935414255763779474895921741\
880501544589274286489212184694156282750516158816175616312011939979090210112776\
004774343815484099023905766250359965983058484381584723496296654723509721347836\
511739872776120835641255988127381755634957817986392328861386302599892257986054\
1920868965235067682773802879368208486236160 #^40 #2^4 - 
                    3595727064196903152926665387006411944302098621497347723017\
122338093595505869305131868113218721773631441864947904532458768754616798443431\
226968288376494305080642570860412317973045707813802967847173223249444331476090\
717165219489477432528592676637099920352513804723673702534253401969210834553590\
036684585207173227949450663429525624473303956173066551712071117171434161103091\
526102304618450186111812783997342200852181613020962302580695417542560635052394\
961193648092079739092473056606300405760000 #^41 #2^4 + 
                    7441679605705075376282624962195422564038257169806855890320\
582494999247721091825785168568318581042108907606364422506915855679802038869959\
580811253291107630440271243945520971391668244249804641552934657657276496257332\
068751967540992611196734809513109164341897148474162880951336908768287738002175\
456173053617876499783393455664742249067872431959299362747553727368591710763992\
743260973484387867656434717728500961038897340400183868232083253720656584766122\
472519531889184952583202643156595952844800 #^42 #2^4 + 
                    5785357399423996885709599030474957560537854601473821863260\
172189669931321418611915881376454888383359926704892457423350673712061175720595\
826825920645527362839711985478081636264554003215390506242159707547941953953782\
939479563112722757918033442577121740554577815493951072759781395075724513182097\
933416811074106492255587826000620346076472068337594623180283348474592361151720\
329770632533419746488446318111055973720703425924389990772315001641452620772085\
68346456300842565208595674654779994275840 #^43 #2^4 - 
                    1050135096649777789569339790655632958415611596099275070162\
776460334390471259438426130001319263008812841673262684027399280501041564107653\
635243973983780824195060983174702009381007195319319785747337839045914970746598\
733265607241290132022145383644606030993836748925949764869032880015362223867734\
032546893757418371983231316219485739336771613621854182631776593977925618278967\
571935484453398014097699067966128331061028315763352262673474684209032995234134\
991735648691410233195700991187930610401280 #^44 #2^4 - 
                    1236566856215515000732815226423284516027447809923729309715\
958817366248869329353394095023031045798240405167291154405605090601894253040042\
012049943710542557000416100134236519775005383123216043460454999422485043799435\
342308784069683009231468317632468615224063611551132273603742989753273408937811\
511203049970504538995631477351848722895125892211174578719969138233459395210714\
551805427746543032094479710822048682576299343175533301659061954095153484208034\
02988007681076109348345928154373139988480 #^45 #2^4 + 
                    7857864134189639394507506470211747011497571119258341626693\
076681645720567626841176315158040145108624395738644094514389477499945485633990\
614757843882802618188672721915306661396618559622137246554091300935779390652165\
534905119960337098439396203311208180451320823727751735868735170899773546119562\
609652438964712330665355628224828727065004778060669583102343605682520106818989\
638125877476279268101395993256694867598902917725909709097539243762698681821106\
9562478156177023623051507777748441497600 #^46 #2^4 + 
                    3132196324989363600263993027713420459509345196662960068103\
084759788605832799701955958358479742324826520987096790542245224335866766075772\
141592564619685855384769717514752218653093552064617997000740012861387900292829\
008157457192022074921303466699339843816541672471078586772934100564277544578156\
613323027337902793453139645628047511518367859956047563231611710403637427311245\
988987716701148822816891183006328028326579297617497591196291123560294127644963\
940521341256296631333973132988697804800 #^47 #2^4 - 
                    9272477412366968686238054162790096496286127996043142308419\
987811930138853776692793290842749975822871411882712750292244442426130116604634\
431423321002267930622784382491721465396812907667064873398823248629147678699240\
343991090095846179485531838738415983311174937896794682251537565542089971369087\
771522448287528890782894617389760782903927712697478971715256355284984687228402\
385053901163100493452754324597875095110505900035067021308969762596515228178583\
123548850248887631833703020014600192000 #^48 #2^4 - 
                    2118569978018029069492829436029399087858911506760673863817\
014922451002872413496782584235747552178320261919578244300263686642398557771164\
772678323543365995254126414159425954782886904100734344372905796964975114651503\
509219928476605462213197180803935527141702872828184217234404209320938084816925\
346801212715899195426843654646692487466497231925442412232576084402444515286810\
921329055221884706102599663098644322927767763077196921702181046831332913616217\
560210105774307907762513479962774732800 #^49 #2^4 + 
                    6286966608934678094325381373146574031344724169312275548787\
896443465965292107734547504415565212896812056903765401697096397906304599022721\
705188042907261495632413142450508584086810220209866661137051932878167941360579\
671659297409034076220292722456227654690460327650624264628338750869760746354575\
591626743555951275437161389007025510228734441068395965088771111643218745624697\
597999777029823218964817439411599051649337396975671172293377327851773118862739\
4853067198520390153641057153603840 #2^6 + 
                    9974164850796279678989045607523353696949955557637384060160\
127975537272316811789306990784746427714942042551745713729853551806580904280291\
136330353989955923462370966526152889107857299220755531441409994271566756423871\
250122222986497171110012279746369334102488809592642367030487010731722022986377\
233689927048278356034048827426709445816833187277404447046479467868144843523393\
334773252554276839353664324886789406525729695656405837917827730549616111222982\
06258833037378096756043771403165952 # #2^6 - 
                    7332567797027782363867990546429388851842955367511902729515\
480289778424479889810746256048456825592974613255631808946853926734385593551425\
224664885524447488130969851335594148895936019506509781970341900148305761131884\
305074357189297308407598098539186701959863569732831087972865351519894945423834\
178376830745156083580107101142394720178048036267363354870015563221540503013435\
384555877389028622735646965682610304565819431735058943472922844492541143087405\
035498856459435148113297019494195456 #^2 #2^6 - 
                    1475068799124543014032973086924832567361935476694216466892\
915303323539595285607988009702978678729095208743247343658094266219239272207388\
963146847218354199566249156959613667850890637107569223391296586218355722984787\
444465932368589443860546262557830988066707487597079971901014286450532428320841\
643799659039426935771864206960032037665644594271823103446743721988950952086581\
809605429195029189504402658983368892282204697203242387327735887617568249448454\
15107662796947768294803504180396498432 #^3 #2^6 + 
                    1906994102168461033268726635364225232278199989695612448696\
051156613511525353210824475598917177085514353037712022978267796263093864559489\
863000800257020614189763201937985498504486731881853765854971755668809649717533\
335182672382454021370841882689952257879946727448897576646982774792784091526218\
518050248112490734515093967091061746366900981017356206718285428728324278537345\
132297523943468236890376926507450843246032379935782089665828929601191295179551\
64098017947746076973819949802506314752 #^4 #2^6 + 
                    8092657113006703496962598116924712653784490934134693887652\
295980168947238797967451541300440003536866031156304656183744806221787752115882\
193148329632429475016015410522143159771404002392506526236871839644659607800411\
805967739194862144456845013881470667001127259987566253667928231702341474008352\
578087088103827017188825969395205937057363051388462731981304229960666317456683\
643316870661746010335578729200258835358967345256119636833306620995325891246442\
321891273200080376515593650612911798272 #^5 #2^6 - 
                    7173218897260684215613281938981069588738106433916458918017\
597934729795573995717834109775891078336852836411433293082925174405741785569289\
029208158953193847738295357970643248063173973967841445831789199148933173162166\
126130469315225562228596647955725547761864159291741681965620028979732360874260\
370266377313825628008121411495031383166739850873100354664522975485016742080713\
105363176016924549568507382437513998627769877028515543265631761718021735508893\
68937173315601273052428251710025551872 #^6 #2^6 - 
                    2238987706270472926280554630162564398864092728879825478733\
393186879426340160862584279296060330046589571671941415943485767537943320383259\
386549906458847784334469769267957344650042545264985161747485621012666611407906\
352970958298516785543668242455663803637590502556085023794364659111325602592255\
901863303180349476091588607234733790936321071726905155600650523005906959712749\
055471049398720310896908567236740900104229733617539397079646805407695848846871\
99933057609208458930655270633391210782720 #^7 #2^6 + 
                    2472771484665481520682690870997940451061554294672831214650\
462182895595689594524495225166929249202194466189065506638185141530786214907463\
569831875310282878144294047343633311215492387324132448288851466922350392613100\
106045442326566344615328715258851264896619864907514138721452355325575173062925\
857612969863187552624911156507655507325850040802075722431767688144367003721020\
830576837068827209765140540184137261146472073367227940168884964014429965514600\
7214677648997088415620761799851900043264 #^8 #2^6 + 
                    3183584373812923955043041804399680674582609873583251250466\
712419426488812439098061016221725659045131060355987381869390204192232408553624\
877498996355497977584104041726950047197596990405531831618025470032944769354443\
515564882579994303223463365862545178168751822481835666139086615723328720890178\
515280163859984885333414236289956734242703810948099593523163491639530859063370\
197127429419208960427139900157602293876075155347054375129329639534618207638164\
726478491654719543364128018363814369034240 #^9 #2^6 - 
                    3031482057745491101738266561120549392174930134509666658243\
869911394026240153420462970203848825247252490231123251422256955233399876303169\
531689116405365781033985636020868176909236467531049420001256799029739618980048\
961224220483850519622483832028633453032862958566485117626966415082752324102302\
699298151850491524611537404572442985176716844002921556306469726470842036152187\
029942004050825720970896786618705875718772940052674500352287815530171268944206\
69541069422974302602866348839869964812288 #^10 #2^6 - 
                    2663866401724571225267027114282507141132749997130061532310\
397044328958024166333874668611503137635606141830286395881835338838379899053828\
083439454145578136155577830806754212895329583039126681645501933398282533292103\
622643255399360267673358403246748947124263791200516886923260894152667515888955\
858498395890599982931169566734385779063896789419809044311214484228349651178598\
517826654609998405787897297759475180948160856531353878855980557140680100894423\
7781294791678808170465086458100399504097280 #^11 #2^6 + 
                    4282533564779578651312178835145046400684024877795741398554\
254439560343457509419205686829353553466641665023637741372758017635577467948101\
972573500261512812695361583633956186222661649476253498377807010357565948685954\
892440987118244146668923508567332118514382223026884150026780550832243679093526\
715256565126664742462451426836269455653454269981162839606186995584588375757195\
090415477577175875681210393160473730704624512297615187078939868240529126557706\
5659120691106562893966699196682199629824 #^12 #2^6 + 
                    1419280216735385393427357706648925722456720800995893451320\
907475055230990913344933231261971486055419633414420718531080984247010167673443\
273214915676877901638342674999604111043710082180961384228773597502004555405429\
261941866704359563074104480859353654012475573369715820355823940028700135913544\
921910398573693342536699687302940825745087360756225657350971596644294710586090\
243773677494472446662902211242724540756607565204721470436635466700261036460139\
62324449692133539428200169786013670216040448 #^13 #2^6 + 
                    1549698514239481882141630316395938959024830958440785554711\
250073626634534334892627443606087102105504503503000887947827562105620094490458\
497755705801127614611470530118586953916575539386388313325623962093442146338401\
339793934017619855946035535209537532613211966807750754000336447376320613871390\
296530417463574054835502858445246256533273417418323711306179559522610116626396\
187025763570502882978224970012146984195426219640655575493785524362795697159036\
4311065434328333835300446940510450245173248 #^14 #2^6 - 
                    5004356853151479394282900785683803853152809625924110502034\
043189430606892876773786285546927592241307980359883891915395536687294489994732\
007490216408271345222035126439039438626209537944101007392636595310657495320525\
940408223962359491959802496982337039794300131715509684882333079611554930428430\
854980551488517706103789807321835551499752027959093473379705978512027344806395\
625833827275216544758953049052060991592417972622407936121039471907726623468258\
89101239098742016801367112364957187929276416 #^15 #2^6 - 
                    9301534606535499378969182218787391380268121831401276560016\
121733569894225364253661998011296893052528067767894065415643659028170097672193\
235160324782052207795972186941896614660003510626500704553738051861110045180521\
627745126100763296558036893077604667633784100395673718472953092861013652834347\
155689576592515334309894160905756588791320326878919919356858827103369388905206\
647861798640692458291023840691096266072362258590743682233162593280556728114522\
6931105693916600584385394429394824013545472 #^16 #2^6 + 
                    1188113501375854598211577522650813857861823991331308908991\
991868085053184214857023507675725072577581292322538343004937399257607194746384\
261663772336418220976864483286395092086247409333144783828804147940591535722969\
176280263801112470125612520290452409003861107051769304528282304164116722506794\
510670349966525381599248050315924332942185551058367589687950681008042574970213\
826054897184991964309411262124894803134141024297052468609842920821562540714691\
478049794977040320739319654164262104313364480 #^17 #2^6 + 
                    2144158437295971175457182373069257826634129537773890445537\
741281591281908173510113799106722839729411753761322908802190486026951945364923\
162941025112165869679824973345764003317015865404878841446601320655624448018467\
677370851253476684477866835386339042003503637933011220386716886939823487776512\
690766922705841178519206701144576043767775656889662858276998889805981117462602\
753558830770041930486357794313799392683864531041524360466135744255193607719117\
24298152299600704883702175307633417311485952 #^18 #2^6 - 
                    1909068452992680456439825510701999071920609266094935706046\
360667941707222753297286261222997946009582567722705923322464394187062432489795\
222357605625515382908073831738647820487903351790438541075922333584634223893283\
436335843318727664327207803467701164717574106130412285901686909552744725909776\
896949657909697822572379311187996238166230606029956284781262525480347267443236\
921828874459482091544487972292416879260042022654004181262056762313220248463304\
056411936913419652676074824796781288318042112 #^19 #2^6 - 
                    2590440863844664994756527051016747404198305888603769436804\
596348956588838561601129271247627112545403352557747054165731044203507304127967\
648257749267855358570233972456121031313303286987958820702685859694206905920099\
569939158864068801566030913154502356075590127842179228078165288739722002406296\
015308243224200859754928355092164306965961110807513031752022227527162206575750\
887982540103728127523403773490873443848001382182127387656279018950877125962813\
1715190236944463767462729754880954161168384 #^20 #2^6 + 
                    2068288599556294652106789916111163084865233445785123346319\
890244502667891543703726023539830425560375676624905524756625570615007730608899\
617172924703162530711590553646989199675894549455514408320014612480239991720625\
190216984480774735546168541973419630400979589812141114516144535718801027938167\
440067759355028798615260853990420099885230180166928668561954451478013169550596\
569978216191898705062052670428819135847207300965538284672337085531452951987040\
578127387706640439406026092831616566269313024 #^21 #2^6 - 
                    1065869617018731940841306969345574128343612733695421037424\
496844051035021679502171825612873719779602622834861066179588734084464540752106\
926581874778664602920327645251925988540524053099635570370309153550556330812240\
999210141030920272336385223420040063993603738619701709503950269344207524400523\
885560935263648841434693663610528634241861215787968512221375605230075438159032\
505235196488070028592642593563058885063077146790429325660514679312795366758052\
111887010059189441389822340650436044347408384 #^22 #2^6 - 
                    1497008829498674677970406980256737841963935362865011379607\
624058523714412983700288707723036022389497673509808548403398206132041803218005\
709881299096462196170710016952523721964385040582188154261364896323030881144210\
106883096117051331158908194908161480516825313250255251669898812511546596740083\
131886143726830940597849099795754481829174035623658182284077886360191366114878\
208067219448254298797697718457574941152468484209395682793254057515879521268801\
117830945445922624603564786680537426778128384 #^23 #2^6 + 
                    3011967293561793452626011187937448068114617637965478970234\
397669228235669391607471335715018045390488288018229263050758115551708355933235\
584481940497722977006905586135755277212685679276550648884018283659596482683639\
778205620165268740144247822174992372891509198216269213021531655020779661704841\
718276292965131738787153258150502152565244201242790598083781302693585226438533\
356470291881794209775176126916594113260711068836352008169430724427609668920316\
316697274207387749053317296672100546831712256 #^24 #2^6 + 
                    7343466685849232215407394238495228008659680196425433748634\
038011671755316734398323413309348666416491023484017658040975107877432380139823\
767919017461894284227055335328443021826477889070069393470237042845154667027505\
279648687151565168582902670013707815652163295578715278227013314898788004636567\
405646290507107168351587384597668309442725628580102960704289087948493077470906\
796674095843680701015930463268753326780295577620228382866421400977700020864925\
44243788469402903279162968160819938810920960 #^25 #2^6 - 
                    4683560059566733582867379842131260532273162702213080505427\
730422614491586244761090990965464654263533948560401800339034999817523707583801\
159010210599389311931073629167301040130612701719440648945219556742216752290023\
548776379977243151226387979356091583813331753381333768718274033169345241246360\
263142404239489211151460013364659850826096634284796052848655093137809668338475\
398335860791633074174909084889703354122874831268765417371751653388826459229214\
213673870206844908593457769376127044804411392 #^26 #2^6 - 
                    3051644309153822517324570218112027428734078328363292696718\
065228311230429844296139130935246150285118724108156640137500535399748016031884\
328017583257285547925649192112870896771652451850775667999521449501795413197898\
992654305243225987101162364203684017030592158527898461049071954388489769333054\
577388491260021879299481349024218623181738975969896004885876568386987282270084\
374367877470369469801809343241620451197890188928914299165565275391169922804449\
26404838711587300706332399447551143273562112 #^27 #2^6 + 
                    4961839158460917081994344692660518792294010251317092832794\
848202116621115207045539514555376030869932692270642296128073083804750620122717\
154275074336919095450265167253980671745549239023345023582164685766616042561859\
256179185678924457721467261197423115562848087953339472766185472652809560827434\
453628272060552892780628701644838871941177654345005361603673450813542925023669\
486377415483971987177007595244352891113808802852593547868016993556794853750319\
335322380651190835024874170690361908344651776 #^28 #2^6 + 
                    1933767503550720015205556652535262005616401077296748306176\
817180581549902807891709180051998476891590525402219262867490457537671552116416\
885107598691494158146685900934376701845574823222258302639920504017535029761022\
433993484673759938990166058711883691464856383524797010341506629301279468365642\
510922031624764997518048974180995889851657323552215343794225577905363119945114\
610945108787936366210015853946362693909866244481264302326728885351987974568874\
58897654113999617794723735310587383479533568 #^29 #2^6 - 
                    3891504760126507155292722055952900068795011395950221763519\
874113269454735144596233435711671228817144478987112835451627399342684663542970\
575133439472105909692254850674106408759221106249672542645494876824308176345339\
236277145108735166656162466599166560907298216179264235684976860724943785862096\
371810239507449089576951816401014073025046717031812181295104578495536041026275\
506498036416022142270686828075472848268024002868598568811820833744121969466909\
724399008031542127640755007607907075881959424 #^30 #2^6 - 
                    1489205168308705679210808994505831190647125119820698773587\
535041783256048484828253081571623913108243997940385252176115882751269727434270\
164648834053479269468801077556150422466099244181947119580933076814279652812898\
470425797766340508467991786111242972891714944430026375394929595776461252660713\
130543225330740876984148397991774166412214072616870051748389377910005263717388\
022487408420814574685252561866737401619067778320515708199181884053579659114797\
37040004503093918737263975627987964894642176 #^31 #2^6 + 
                    2375854748996471159527790259263857965692520887656079333430\
367162981435068073194962350263247554099347985972569777515595338637304071167242\
714704463411733845857025386158903120184795105826188290820208074979375905751433\
348220752714595407554816698770328256063758915806441468969785793019536594979071\
581605793186015481045678974468413561324297830758134725841239818101891199474841\
554432258332366017352599578388548444881017279910635408539908536380723999589298\
721826938778906204093570479344607427894968320 #^32 #2^6 + 
                    
                    8095075022542084559262310333814850484138100445030029411858\
866165628487526591759820038230637130859655675277045020840033975426417256204553\
571244801654168089317719902617300927946184540301178796894832862056020707438952\
719675576408064534048779388709040874172670438590358757183874955567879978588133\
410789006008681026900782342594416423650543017242482127725094480715583514989750\
409743017683315818861305357197502239832522996849361280204601244861342815719319\
3149554425020912946634315799693813146976256 #^33 #2^6 - 
                    1172125344348434371249832168643392640403376548213773801836\
871182423275118465643442704148171311987565760859532449076444040518964862399702\
488172841724036168046723607176849454839841180359478207686878276548771735865614\
628525078867999092828553888315005629165605003312456284083790432464572951344022\
973515190566394916578544224617585407395763509669110587293359835671435136229541\
189687181503092209456959396845535254769527380630421290726932911833228454054160\
665991391200160939892205200635175386187038720 #^34 #2^6 - 
                    3257818661674538844943913497621253276795610979941172073974\
959526556640674715463541986975571776951515404637443683527290307052399244314852\
540620883496355367667597764050024186389202571864890881503484764364750552567334\
149588182256705969977872671241201082556335758970150631257986880019812973603786\
852697441623287918299980511961336134905927900606412910026612122888028022136896\
728039558924394208266984259837883814299552975305373011533806258149072524414056\
6232946523774292763258336347412993778122752 #^35 #2^6 + 
                    4747371351575418071709660291575932752415776388926501202761\
534700314381608521957282248900343668496852411570547456252940092501147117718501\
956331366811406833335610821878643466874926170822514527420480417554233526087583\
918211108395787771023823155490666119883926263713893115653637861556791034480826\
280317965728352487108081320575561768605023565692386714360310403929139128171203\
601673754864027822167144065014451775876219452331216023151772760828559910871517\
36770551232265863644111124614455579329429504 #^36 #2^6 + 
                    1543005298377747905672149300537908046042401308659665956157\
095490507403893882049525757313918027017309727258861379125766963282037011778164\
300300944129091622742566659743061240066297990802330820368048422796974765284483\
179869710251247980950700798876492575723294527881943971165835309805306190632874\
449104311599883499200775165740863871842434868680075069675286431900309776615238\
536874902410143508400827063089962103769553108263121535562513854314194316186540\
1160848965304243586565650289611929204817920 #^37 #2^6 - 
                    1547357916506171617007621462398362336155800100848531383533\
742711715645556928844847586113850347767320013770128971781362167318238021569723\
396961425323097728510521140864035986279867059373070080240947828722469495925050\
249811424572501375791936753815986616829797307103231855601863686642985082440857\
141352759390474843748166849907922107507372547947367835485883794386624164598264\
879395517664201297037996540610694338563224009234005048968644321725468755242585\
84400846030746476769550365448263209257533440 #^38 #2^6 - 
                    8417812306934886274929994995853106730745301999916047330221\
500528624139516530921219459591023157731743230179880146584106919932319020726121\
365594276765300799996067652350848302522005714251999752793904332140230027378859\
527024126991624388289373624822052705970950001573616108337979653869173534942138\
084593938703260871955713222938108578463702151261283916391050222443536495702779\
397355681394085499700868161208704506781220494889143213729052410050016228234692\
803418856798937611514307893014467906109440 #^39 #2^6 + 
                    3847901446181585307891008566783019734580553115356775308269\
377433977008622002241797226607826485392146855240661086274754661638344531135117\
308700324782760732691426054053719102314621686679531651382756362877781204317186\
424150856217944001713273058182651754581137021057814727011364732404016472875162\
461856768928990166300478051871625819529119196149741452600961556815241809939470\
299925271111414712648354494123108564615724698747215891964501794601069593474398\
9990585842750203496775391669346562473984000 #^40 #2^6 + 
                    3244110677886727710293341369930432451651096706281854647299\
445989984729099904039372831442085401866023855839868777949886720425547787110957\
703479684709121664280642487636550442424815659577126108017850811647700962168788\
991243320673586768585321448861485213496192240842110953252534061988378825098068\
614964358328584123491602832929744628571094708829899001919501669206678067683764\
256598739838225786031779747707475906691774071804860343762657370584633210744854\
335450573019457313982493602011589682135040 #^41 #2^6 - 
                    6723069421132602708847743298997025689242992416136184931414\
105652706136639915225251357477657138856083182303098517734400064406048836177351\
707817932452658010983570822820714467075623776372783867514679517102693117828528\
696340328361642819600589483679058373212125998970638688187075843560886817557002\
288858884341174710216979314099985226787542152728209884343229842909509504853945\
054551145553053574492105198148354285100144031577220905162002179444340683663564\
621853486024800093167276622853343270666240 #^42 #2^6 - 
                    5220508677732839769298803997216313025003452023525040648407\
406871117329950179723527659179886153497228927385102502720023208827831355973601\
063508437414754037268893042574089556784984509169694194862261946739474680734056\
852422033686668447209714018586585590336772802020832789971100385908722023729310\
058918504192577032593863336705992285112507693650749437491515763268628164811011\
656373383440386541996542186700280952193045554603761094304686410216259424605314\
38723087829405200505794918325643252858880 #^43 #2^6 + 
                    9487368803514629438040896009496245835666796328323493881948\
821427109557187742157597912513979724344803517522958791768477438486838875436751\
332060231082312612766541254237232628414822963739677432337868615706147976436985\
982843747581158886545515271690988487362731833152980546631741951974799963948705\
470702260580737101202053493522748336478051913094849882977662189404217583971641\
220976079869575841102271542793215304227900045964952229441079725169086380359067\
25223200178623653414709555438049652899840 #^44 #2^6 + 
                    1116619154282724912272502447981212230533765132809329771092\
786035281192423571886856406761961885017347213395187103442013844593833782646468\
558897977742119461668540994164367610186094053604915628226955335025306082454512\
760858933385429955250001071480052871959014784787353271503880648111426151015986\
723076031128856709243541349230297787454545217019409370073846896276840742932527\
597273321846805621066373146411491904644840922067352145974187808583060924475052\
26847382735580013275035113632780464947200 #^45 #2^6 - 
                    7098849969821479249057033601071822429384051391039393208331\
653178003411154021465020167606492267159531179730157535266584150348818473701099\
594131420985924367358576927169745574863063823759980078492017675870179043897054\
657049654198579641506326093870230481401781879924435270864494139096333535460263\
280086383915584598921439891924613168923830762348584086741708676079481616103145\
322900850232594766991332404438912270331155956955339765739420375054446972627691\
4297078518019506695864195897430009446400 #^46 #2^6 - 
                    2824636440217743013881433951041929777210168933697588021426\
819339627678296372902167141935189601512018863223000703330333355669820164462784\
749258394232960785727292495411687912939366706677847873662223905490379676122851\
676905695932442169220665415328106772592799515443441327090381747557292148344215\
729898432306121070754512765825628245585142113060385070019892023543222562542762\
124542280203131857437645114401067463899524082702003178249903743681469732932260\
468334315571456840443587118532604723200 #^47 #2^6 + 
                    8377586687101207931573571906306535507294813240477821223499\
347392664484259243082898319650651673427661623009510230894875856888538704095394\
493815291581708034019646428450076300096956789538973636060954768693993611104650\
637114147219477660150842460457283123444478915767168101004186281979503972645818\
483830497468241988449355712018377359387682063460422337005164500203368291474165\
227181390967531582050018838671236812588132197235094126254654986247058543787742\
180634592315928997186671976200431206400 #^48 #2^6 + 
                    1913826258698295973976083316241372668652536015916784186776\
967719320271990979401960197736849601046072693143360927100796367280699859011730\
589016603891300019166395498506399195938014101371513043818879509582542139477593\
863097742972399147677969810757136023683810049441357141462910435601671926604051\
745597793809684939153002543653833085295014825475447365285382910692919746291013\
280463526955363261484429417575763723591042736802386685040997571744979711579595\
117239441201004972799279352680284160000 #^49 #2^6 + 
                    1028356607345303560999189195621583800179662397743134819093\
469029007561552202367372206248137098749077130584515903302822021685845761526966\
086131250282236844190484389145479913226424384485510222464590768925100268111106\
338545240645848322156141233171383396985568289094249946653261860368209364818422\
322747771197980559409976600377652897066183535038072119506900864080783928171146\
700634136851651774194834477106886736705467648017865526066300370203443872872895\
6069379232718591657452906407018 #3& }, {1, 1, 1}]]], "]"}]}], "-", 
                 RowBox[{"2", " ", "\[Pi]", " ", 
                  TemplateBox[{"4"},
                   "C"]}]}], ",", 
                RowBox[{
                 TemplateBox[{"4"},
                  "C"], "\[Element]", 
                 TemplateBox[{},
                  "Integers"]}]}], "]"}]}], ",", 
             RowBox[{"a5", "\[Rule]", 
              RowBox[{"ConditionalExpression", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"-", "\[Pi]"}], "-", 
                 RowBox[{"ArcTan", "[", 
                  FractionBox[
                   InterpretationBox[
                    TemplateBox[{"Root",TemplateBox[{"\"0.756\"", 
                    DynamicBox[
                    FEPrivate`FrontEndResource[
                    "FEExpressions", "NumericalApproximationElider"]]}, 
                    "RowDefault"],TagBox[
                    RowBox[{"Root", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"1", "+", 
                    RowBox[{"6", " ", "#1"}], "-", 
                    RowBox[{"12", " ", 
                    SuperscriptBox["#1", "2"]}], "-", 
                    RowBox[{"32", " ", 
                    SuperscriptBox["#1", "3"]}], "+", 
                    RowBox[{"16", " ", 
                    SuperscriptBox["#1", "4"]}], "+", 
                    RowBox[{"32", " ", 
                    SuperscriptBox["#1", "5"]}]}], "&"}], ",", 
                    RowBox[{
                    RowBox[{"\[LeftSkeleton]", "1", "\[RightSkeleton]"}], 
                    "&"}], ",", 
                    RowBox[{
                    RowBox[{"\[LeftSkeleton]", "1", "\[RightSkeleton]"}], 
                    "&"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], "]"}], 
                    Short[#, 7]& ],0.7557495743542583},
                    "NumericalApproximation"],
                    
                    Root[{1 + 6 # - 12 #^2 - 32 #^3 + 16 #^4 + 
                    32 #^5& , \
-70200316271507168397912526370140457916036103806045166974767911468991623992259\
303317425914536086227228818264393292358730270199995473975184965846679256103733\
574485402032360453961494198824241067649963501192172182571377104102659710931477\
581840743413949560249094047960678660134816055939745822577947736867189402551129\
308415502483229366695545754973296837234394091272033109242928320708274729957495\
4746812331186830777661766505 - 
                    1107494235866334714617362865936722194223786092156026154859\
040187453768861818871579481706065771883354740184027162799515762612691597958748\
717568435588330022963449939744604705558287926994636861354538174648657685319799\
318354828829089452100720910187586410672751175449763559948764818714214554901635\
536182776147075091170082523925126383608323439946664132850529136070437415206724\
4473178013912957254025784180168914580147488146050 # + 
                    8161892701345983118896913182906365640877423994940570024668\
202933711983610844806294451471059349656351171753051198615057782997785846985067\
650765770137889498053099663796178101938684196248100771750834546768313373572664\
271604122103366763262734294507072035860248576650294358190570143793042577378276\
660008431459707332230823677263608434405005926336429838085721911290173423871484\
4566845559094093798126064292142416027089092229548 #^2 + 
                    1637613586138376157408239098939167209144404235110057115814\
496186881370388139721017302674413823947150489894457553796529884563485003013067\
045554271483811847260710591266953965597688968693973658986935599152734690403579\
754565471042736498582411402161631142733961026288763614162550563591541182303279\
410713137402262445773689972572018578397178782121046763420107264147101546290760\
167707633640074640737156322158644705274662372707928 #^3 - 
                    2078835843287125803800280293860407523924968258687456724717\
859194122272133029822634112862494096703735202813945811068715178870311057666143\
412969119041976482932077249487077165397174718296059691011665290127986313506591\
563305067436699077066600968325333446697539559388900045428015586502241991444005\
095758052587544644490519882931022329665485544563309261305638272166807976161466\
000301289173685460142464077209321633986061102358304 #^4 - 
                    8967977845793281319981690689126192404765175188323484857153\
871849719964285185181505366126023602669306496921379052629447013986690511884541\
217777879709272272684786999855466443341039100929708099015160633799631978543743\
088373621920901068679284718526744534258494063934757739841965623074409731504829\
035309871485463827003465290201247366304933708011319622980776800372327665618199\
9673895370967396746818344515812052711126173991977472 #^5 + 
                    5016990045060500293416800056629012344843845336721694240980\
844687257921550072504111010808341382813030463572644796482661359077896191929064\
643676229509963673055369108196658165192539606411486640778634150032987904058571\
282638594173241748979728533575468559226426560551691685488154197330675442376746\
155320893144732042085981592496704624909392364922520681869315352775334238381654\
100921993803547444711741733726888322757828170026304 #^6 + 
                    2476544937975174960510621182113291780707132885913092173851\
306281219809237300116283469307272246192040665896674398522432529281143675899836\
181871640661827032735837733785951173494977514665604411731342287902569926334946\
429892431154242401281058734575862712886410371378577881249053627684755146193220\
747998729257311925460811655268169878106359962217064827728045954529191635591248\
878990360028979667260028394918187478456183817383683584 #^7 - 
                    1584188293222855423736970894284398411633827029539431791982\
109942610329611792351062284505163780485609869104539996933537261323153782552391\
508355959857909589891707977277284367355231497773326219493697273780894499617146\
980305207875878821621313275246695865510032424934767697834366801103410738962887\
100096075184008162247136979742261631392020842787072387466521598493172271322792\
46375671725450028608610150471239215995052899772563200 #^8 - 
                    3535077510540415798394816608780792439039270524552470978966\
644757531227177099752672606866762983952327054627311329190814747481744544223651\
733215726440421015856453176406638040953926937752060594722534470583637173198157\
172181079622299395116073618144791998546425387286343152260886830415218546195876\
355855290922849700505636945878510391472204854651713596110798022616565888323683\
7325572364296143119030433349936901709269907363124397568 #^9 + 
                    1821032414045522701476339308297829044674195545243502152151\
079117651374875517817395678471236750277938348617409242377531898725757560834474\
570967020311382218532543018383689839411737188409039237842935882213160117015106\
020144489247102025537181958909870746285537029644925827829199758350240730636763\
959212613224966010592888027729273981498478900053488347610207693814078456374344\
541619131324511436650214153226238769820445892490437632 #^10 + 
                    2971867654883783184470410626226100980076786194360105557444\
990218765225815127077938647300246222732441600935844804645352084145769279810364\
608025850067439827137748370437794401745558939450846624900083194573887542471598\
295821871151756311024183222213532039629524401811931092760754407401389295146755\
192912322123207703692849804814898277910535400083371877176035535904975375440495\
85107134633114837177473850864754823022508298681124714496 #^11 + 
                    1047261287785172827807703452991682472244987892037459105655\
450918580965125908815220254720230143674827243940305591435218603330148844568974\
838308043271116666797057778477224816498882688816502296339151297077831200629653\
967229494447429595530054993665520182741437203191853673688566994429998369492772\
308639453839220807317456049472007951937645941986091332423765792778329243924660\
1983171579877152711451739621298722842865144316149698560 #^12 - 
                    1590095238072539654957835940334890132141787529639135618217\
581287285938909541278229487743921276673269821411267486740658546746490387266323\
665696907603729850512584680872909877872479278630592916136220302498454309194220\
683779431384630067644396310918718248104354911610460170954590232815950340673142\
900237161598610378128540845591176183073190139781381924483701874890335399314277\
595720323803247702880508954265221117232589575242922590208 #^13 - 
                    2213345344968006177062625142375223653836824098256286734325\
504417848041373265288773277779089819491402940517322723512976835846775312323644\
674685353227867758259697670594925798204164395179288088351440278430712129508939\
674551311198174740306323818617159102569618273206022682288269281047021748076864\
662029304164579215213525963130049514190591424772759878213708083100521611753615\
52668405001145322152869465432871942258261609129960570880 #^14 + 
                    5628125612294033455599282202855532954816410661553050145521\
503722195631810248609832138388645890975832494556994181389212361645552925259314\
748768756041820513932789243168500210872166594448896085305695675343235362296509\
256415575141841083931143377223305147116491484776361127109430784476936514994627\
170963429467334344100442404003207600893329068550100751717552933330584477402977\
540372522906534124994112429316828891791537659016313962496 #^15 + 
                    1183251538935159554675501642705781919520899625973902702412\
817317611484016194562311432678236166395352019103551806735187872815262670545929\
829993668741188486343316461468087045837378272537644547954952916241184340597945\
118537201416193428797255399650708006725035404296422317875839806601227199163055\
764835724767864238414563434063926920548233650291831497338186357463552396225165\
168621558737812036623363750227065252162359308179363397632 #^16 - 
                    1341371074051876113047390259953684641741343963582367804931\
383742586734682794504410592808076420761807423526778577291253078440668405331925\
837152569911005538733682881971713193148472524848724799127736085239846425597158\
776640760631884200393743959291930397927704054170006176214281711807719319286791\
647161124278289679462409984228728566399957478585850371834171964366257608641210\
2288748312865574074468757080017947623593444662367539429376 #^17 - 
                    
                    2688811270587464635319704845046921813481312497850911005163\
327985130908547280978320838572484418785824617432425550693711283757010467675214\
145549709353009937396041930714824646812252007614908968608716092861537180456093\
490000395763963800120309280607197633380743187092192928356555759021320361231441\
296772688933960126591132995820695003779667878099784516903375708021358986913597\
810855340278816139103667173981136444244124274035664093184 #^18 + 
                    2165829639575826398723920772972159713600128350544190422139\
365105782207260701532704998187051129266716312198718285829064886212407951955310\
894956407506216025813293760644090692403296929977395766489904290271433788190951\
971344120263481325295552938546639664112159790666759809640900637865643098794520\
243063787928056876817282536531483322616472811749099137359863761596725590511163\
7481400945401605946855728229435309909295396297307479605248 #^19 + 
                    6616378821629947816034435013820960721012763830050706206221\
259745883319997078621280771113431216929405302322621393652650649461902496925788\
603349951815686770828731658147389412492246968191616360745419132324195447780266\
592174044809949946937313041505231429803691640300162248397211416274553467953629\
558004564708589023409741329462861503851340278496870055230528103955227534564210\
33655795559296489786567376256207752305722800062653792256 #^20 - 
                    2366113865247323567098306028956019413100021118053666005016\
019964521058414736033392392792941848328647496959919627920499287641194269196334\
760464351925209595509805383497354427560561730541896936910271466449734279321498\
294927268966197555708869646534109370845192354137375381055605393357620510684686\
225564681212380677963129914217070694973687520718842654937185394723621588315681\
5542974867680826655934097021289653183428001679971373285376 #^21 + 
                    1173279185674675498033835347941584629275390496032317100104\
485181891439812988377660454932629257238605789262702377097504622203792217145895\
292651787201947757382278381540568456556957272159419721771616701094932292341881\
101395097349404930118572312376207672027333586678900138667882228912411533006591\
711094975377300224062238565828542364679921030850350175006214741490496500364971\
9894782228474823521561804108032987206777128030659867049984 #^22 + 
                    1745547619311404141788686767894543489115132508276059780544\
835160038520771662987179749014472735211094459297361102553752484407384703410896\
988420401257537131648246330268207250928529253302519943115691592587169588323481\
531870259952256671679832999372590761972910010037160121591953896607048081182991\
697449736220747340494838937042470230571982573460973978643237584451289247259020\
8707982405650327416051199093376120516564525812484224843776 #^23 - 
                    3397924297846484791782347797191505650622843294074868124507\
541302449164343389715295544996048108738713269346383794829225086633634203447060\
329837186527535297962299336108364329590874408410083507130518206686286687559439\
740873973413781218762610301555403541464807375077897190351926547503088055208513\
151068319578242080958330193314023713370071002079220985611695454231454952874904\
1149331265325106979484325466870805194700509864264653078528 #^24 - 
                    9015208851415440182301923761031655951003046824323274369483\
858159867791481688094599888199997143229083911132564120442351555451578469260840\
110677890340124944729658281419001497031908999820068822415998248177168980591808\
871629826637286740821002996457131597401507429862600972845209915784594755938256\
278417316982603429708932484677639133378210916768748016740198792479748855781021\
116452514089154498031005142165255729119902977862358007808 #^25 + 
                    5317764005447858637183508544068833579221250330475455480562\
509866502922668039490724815127487738411908027328818879686620126519832045784162\
484393133939219320392158993337157323657028361377543816169946561668803086905795\
609147123003663601416510051211948543845440246558480587509089066344962607290840\
767635414733717460076750085934416967414349445167358136597968539674620887024076\
1302204278738247278212609210859408260951090861173343518720 #^26 + 
                    4178891894976772134117927825611216570582791015233972673260\
527090548622200450526620886659713839805270505949201965206853042654417221728984\
012872066360183289233070305997490076033139175395901416155514365240972752367650\
873316841374192489226166188934401551620144830267296640911621418670392930189040\
928593569763663304184704236853262669336791500159105273194101103483943216435561\
311323892238453626156991605242583117451924231570682019840 #^27 - 
                    5649353696032195878158380391472851541337751424849555439354\
617538620162246583073076488629433095539252283093668001577324710378691028802259\
450840459560690174943158922430396906154876185741263523381036484350158656404208\
024637052270196358200420407902427080272458249725190928783121133080340241075551\
274166784015947780273286126970055905897139302491311426747744590033478068503971\
8801613692509130345358901510558831478530278711113803628544 #^28 - 
                    2770606585559965532778752510613217099909608235550679642254\
018997656388742499746199303010690945295422228639472343139739096919659831692844\
489917535413862826423576049717469626915174706243213831990525004681973137836995\
869282624105794531290026566180781551624954601595251885314141245096816744325674\
490007647547747152957286806763173863640393258625296993079222171100229739612705\
804195566285349578456460257550358938728660910889005744128 #^29 + 
                    4437862404204595673978865244941183201753662916389709481153\
833778821271210142318403767715089533134322476577509343696589660430580710408695\
153757018251254664162482864712507571734477753403561903714553975792092647100870\
253912484119870508899872722253421449345228800111028711535724077769533798399778\
633998393732998283708547468078502530045837220823336942104731869970422057057345\
0781448890085121319532041366013304671430203348107892097024 #^30 + 
                    
                    2055954784080231161439957623963255327340839466745432648700\
803781733617168057644708679546937555838385841425866631784434188174358813416077\
739982191169225018759728317486336318240120174937431741079054716106225213228992\
811526424455422131261025225166388121402671620306847867260811856404109794807187\
445707439050665772585109934249210470647206495587827059447174234271305663589317\
812589877746541787005963671865691876737913451823759360000 #^31 - 
                    2712621828450100516477539737741208427456314681757885697176\
246095842067749927400710228937227200127097712315822466640238412777609145414541\
864501067216127859677831948484864755249960635594257158974485199057020248569406\
401853890148708324628677924460932598609631343211303448334016407686247804348484\
458024953166671459660029206182971508524357786936009945181605215308634341472631\
7248914906919514634493528522667575100899853660551288717312 #^32 - 
                    1104714444942948966127406337578189491979760015087506356430\
825520323145955113540445908470376554402549070759770720977201253802469923643794\
149135868912172401586843216520079559646307458246467119739755178287536173667280\
560993017951246122043802264920539518659303481856285168434630446281615781335962\
112807535271185762382222478803346800027338573855030900389487139072361889109523\
395552537195804713920049133006810185214224471964981919744 #^33 + 
                    1339569615525870320392488433437487229358082728473491333767\
773353309395763913004162610869101791379353036018834483885771100883298570456066\
815241529381614374115112153183055089772177820861649346069180646791899466785585\
483074219161232318294796012951256075548865816493155623204714396582063407428138\
578044156736571030054817934621703174998423076585399362423560753538049906115651\
7309681078701149139538498681457552262588751387177280077824 #^34 + 
                    4461081377037414715980066263784861049741843237959561538195\
696881077389377514453085407751083687354953525411349865458985555485035664831985\
257443272728105086109102508048938766304765224419184271020509410409829103567252\
444753520674815784654199853808314338805495582733655100976401577187438489932920\
001388016745372602883471879856031577094986837841269438352092602269859474316451\
41795962675266912011017256580629649245498928394401742848 #^35 - 
                    5429684566339924334660549129047593643503141136829472761742\
051792613959332947854731649346206018570195999463495028825186313944194664172394\
250095185814009302595663832747432160486460556905609669364810397024702257187889\
491765026681185587671292932926457408747007439996141652641036884824469351591712\
558125211185526740447122313097355176071044769327751943826502492384011899306890\
731645423369817103236844074926405552208772132944977330176 #^36 - 
                    2006413844944542675199993588316022965992007154543238272905\
587135606299180351017568931231714094651998766810869800112491982938416202252113\
820260189459888851634114639083270657396287802863299971001239369560489709797082\
444457603293509095676493508998987402639529368672712006246551942339770117868154\
772154155000081627394573696944589716359290478971435738801569908110705164616511\
37852175932846605951788037252938803415003504155553693696 #^37 + 
                    1770669581197360356719689136882185934575026512886425272241\
080419400867438504776655500228527286331897940223437710482953411829057420616845\
411222902732807560730162700436292776915422021608131535745830813393634469695232\
999686277314452789738825490368772286373011164742138963500597503994821284104812\
690025465737551940140618429711886851170887044213593532525844326048084008652234\
838400592574409576982578490990137962966432820557250560000 #^38 + 
                    1024384195841560786203803990261659864941415168828353963865\
514889429083788470409987439754590265618961816302022164464479931412307178243328\
940535200835545019885068896236440098283715281294336198006517282389405216538181\
057852552998133215228559571594024966998226660585642018033386696838705051060739\
400771644697766642486887646318531960901837703138849628511495283206470885727693\
89486428677379752559678729905125262333886212940706611200 #^39 - 
                    4404903188819469762250126285927225455462656966341232172185\
054947307913689096385995110810482590602971793490232236915320465893059674569599\
690156297998655932272241814936015983195747871277485677230191263453241159058478\
335119906579096367551385973276858920532903872985067196552640080965268215346678\
869087133583327933077986244602027661458014868411019054535425228969278238834353\
95874208305015827959466442644322238838780872893703127040 #^40 - 
                    3827987770860919491233684840407289481741771535732531474965\
750463930603038239510027829371105769635461764402277898787160901926580927888897\
574350818492212960002037391048238182286099024785420704529537214387961257277563\
837094194602572561628536141756449403788212894934490365843229239370973613467170\
498521853912020284220969998561645201242753388609912554504523815593683477740744\
0839048501956946811462225367017616433006800804323000320 #^41 + 
                    7699915284162094579185611026585840631037843178805113294306\
205566927573946273628740978477009206308570863015020777641689524265821485789684\
487671786906160745633768926817014196544455181908086706622716282432451619372261\
617465860117148432669545752506667592432871773112494459033677808208034415802365\
843519554636517457156189723584860323006997919736895264265889840824246106250719\
6169620637094918813896695436116768973706857767942225920 #^42 + 
                    6136512664922345768573038016807349795804300759444703208305\
755695353037731250689799425612980184299100771859553223985356798248232756751885\
217516937449568651333045922939998620576367629644077040950012108629408507240653\
630825722294319581797227755112271453240728244574119367953883868041086929695317\
029687963002420241785421255056506685304833840406273915326724502171608496733077\
172830844968881190438346800370011711777556667354316800 #^43 - 
                    
                    1086771210996007289420930388171010450514240601052792407820\
278138212935550469792720145053498236330762274623168545846732562188045786387457\
393524601518515691316261171674447575598089147440003951748666421000629000572075\
427131692536218867882782780750659052549028008235266699307039955278544979144470\
489101077058527378506476176589328476674265936215725876287567624621537182513113\
7178287978349020655210256884784420835935861354707025920 #^44 - 
                    1293662224449047757694709741532758028316076909416427479387\
578201575024109654051165756001463578955702650947413401324034490835473226143326\
295781661787429409015925921658008300606543694839321850507472387802071639127113\
064362721030591918588413450219142555128854687668505883158834167608011941972400\
987486464907600538253076031880675185862589235650044752045926678645715052695733\
975477967577166092013082885619076546823437083119452160 #^45 + 
                    8137118353676547864478219449655128570966401590191503181465\
461878453283229499004394503065250161415568200897382692966184371683716788928348\
688097692499323315547678506533514266331714138566217834905184232299648442851758\
830803229467242829662428939813001376997516514885753932622990847742033492125794\
740639259598780662643172383896789375537032722875584368986292952340951860314301\
67767306706812804784750013655567795696967883318886400 #^46 + 
                    3357801967207691926498313831191559413490860278111372617051\
700331929265170978057732259769304803461334217739206961970794790100710733006319\
638412117027030221521027654381203670096016009184750357084927288124352252428242\
067192193802906990454467381400674479511761732627155698293129844483773010945952\
351835761325843581676255960364506094797500653827830034991584845157069690013010\
0717955563337615190391241908915168475182048634470400 #^47 - 
                    9589302765777780981376455521392141604228629829534006604680\
817940198881717272255841556102401023206209978722206382917915105732642255292269\
959490917940818086249389229009699113680555480767060039776418407495995573573502\
514928406937505439198966584241787686779310739514732473924180252054272484971875\
127949873727927354512357405401609255358835826462254552304925950310083199562544\
4961528659739798528319737879177967436065668700569600 #^48 - 
                    2197974725743681967691251586436657632256566199106247335157\
067692619697547241193057028298544704304903693842939851218599458399293457365615\
245849456617105394577805792051598092965920050216457081446147607679354471423388\
346542588792633062099481543762299084839291500859013112712556145010998348493429\
120886341351078307654648780710736768486515638331766901594773023597082023750820\
1648891055799080230134794862584840887336642910617600 #^49 + 
                    5697718805878897726797326176342762806598302479385350886647\
346910123828440711163908076595908107290386822794753190872515088382641569787951\
586230909478097003352416374695219623979806167568056733349653367241209219665524\
019614954693475116347361123192849636729378825752029780969325757007361737403889\
504588162143224917139800832929463666594772962537777206088721379176774973716748\
71503163437776854875444240098451489416455629800 #2^2 + 
                    8961434820162424750138759862041841932021766263453929715221\
735649214472565735101401316197755977772565075132662184229766075856305578654683\
406203055691940043821776550435584309336953933434349437688448709950341797035748\
914391031218868847212259079913638092622790921248481743837421167991567585662579\
376344044890757260229675429209427517802006669475484461851169182176985736061308\
504980399069464955988541360189141236980441004280 # #2^2 - 
                    6645963225750524318019125682358128463958779774708385435541\
842165853598500755155417968756945512385300665557193126973715597604478774260789\
091046831747156628836860781897977651029202558180002429058763191202709311378319\
520139174136885189854191498891532647934052196443232870539812359277610502461342\
038069279413091847706412731896354146991147118038104473846882815247363457796038\
9644651250507240527492968742868191521514818476800 #^2 #2^2 - 
                    1321115335501725338329552859441545484162707764130161160624\
403499576817837062388118476056590362100107995890344582951756508285493858442110\
862312248116382123890606139350715013316438838789173706197837969227495827087839\
410006144262005250255337527907707030339901484566018650500523966316143963268342\
900158926571714619771088335910163668261533276284807225294665721869823636321404\
288631932087216178688704954435888062960000072057120 #^3 #2^2 + 
                    1729109002701079538491896492831224099019779257788937882649\
232943974681025975369744748328239215223113972831021070074152664524558319843473\
573264792472776234453106692842692293668666336633870722484692001929728874852927\
471729632080823533244441312403879131377079977441193730798256134403249925340950\
058044240241561321497140270568935406113974246667970231817620439749841488683098\
682703889237665637490088020530825822395351293539520 #^4 #2^2 + 
                    7207826976816184881891602881620546223047176133112084683838\
251942038189678131999287970399545655785316630821107508544528957639614022211391\
140818257779483402625228439727783466212179574978491825107876349807205409163448\
049506155562616883535520635628464491932729116027932797491719195158793943998856\
950232133356216044411558466255932979652517544246807573789677987856986250883406\
9398882789278330416399603860019443612969037425020160 #^5 #2^2 - 
                    7568861429057063648611554584131921357045282573392180313003\
231283246050731495558656921310384521226355970795066859108610793372276159919318\
568508876053372585311533377401391439543105707240767593846122066594238248914095\
681569532581269059322106531530677253026254607260618937510509840232358002254511\
465939571661631972609489166053371195939322236900834621225500090778695973537298\
151766575996647891527543794397925406614807746643200 #^6 #2^2 - 
                    
                    1981369543524059945205835368449796103224323061250411240407\
036343204948731219100486391379455919463644597374497541662936335826374424603691\
327398049794513272001205946176474252034528521676195619277720205888564665214601\
763733720259564223482666542723676833595079185928256530265942019586928367729363\
297823683464649954629112847016460589159139528231042952368288024490780458656391\
851815164921216027606370310577393095166184017474045440 #^7 #2^2 + 
                    2418463508743495657920126081826715273626903502241124992485\
748491812150904697411145041657176156399544533576505867620902687413834450295516\
632883387732038606331275182535794057001519602045811930202119733991343432184349\
229977951831710961953587037919718071225968611617253308760690730350646826098281\
423610179481512480527905018557487793498565819732143834752732116949418738749464\
61767545627110789721135153835914088230752188866872320 #^8 #2^2 + 
                    2803237840510556782153012672706099828756873748300407108324\
900515826931133143533849495339681214271736452061661688969601641005287230753668\
769998297187625412000146005729590978961175328929493488760880730954489135058384\
066947043560206742454233129905689714882714319152913476049303058323888481958996\
496284130189229316591407698301086708876631384811365098111194292949607259562700\
1803637620234750492318461770035177601046486304912281600 #^9 #2^2 - 
                    2925158489762943108614801470883924456779858312226457239113\
014013451006121003475728783045443142745816095131960948599582375035987827526868\
066701941544574488715294485948349023865452106143090653049564220122855619649539\
680147405457828140098916531891180391533271802449806618906702982734981722384992\
389960590609342306290796302712762762035793784708020291234457573208704533278130\
538799350229523348088611350750344605738251007162716160 #^10 #2^2 - 
                    2336802799093628300459383207001730294197372087226084721956\
388098002586376436483295711511848318032847825085918416027657037650187053907672\
389519585437268182133113324400868134573289522731185872993472463858103821163361\
734431534678236137785672624591760097116675228375603468537707576877389642423890\
086817174997020847367791448564344549054204738832789520450057716816273049459070\
94015026949218363640081109625883341175435587621988392960 #^11 #2^2 + 
                    2181201629248788104584281467043703242290658877441798147150\
358065392940177612446202697157657990438479390334243912330169751772309714532318\
775762840018907230594956386145231096982018786605414817592064764110052333274538\
347202991572951132448125083418855067294276787724213531916345444184315358061617\
362299677378771600129584200944705521280908253173190545994126734373718867424306\
448518128192035440192151374755159844635686065100472320 #^12 #2^2 + 
                    1241487918296131974257149344815961347759764420706868507646\
831115105038662217576942666619090692823516073844066947555769575981510729290693\
962726109841684648780778498799101026365453534632364222725695362874620836268046\
305548511238789186174126770628948638449308581939507349441193638868061055102371\
783889165472578685768555986499593385788027358415215164643130812817065518650330\
119931360824108650616945653002314084139562703343649095680 #^13 #2^2 + 
                    1271935841766502496077101405394079695348565415498913640158\
135202660254157227935631824547200673757308213384241977409058333623119562203724\
307672589582927881639064071535130762305485372121711013132953645395767722732131\
063376564683536002694727651286648661457916796264883575470653879745754227137428\
830211079772184404570047439901015864260811817661956551994267047590178058266021\
08495386686433474028581648173256236577990698259697500160 #^14 #2^2 - 
                    4367874224041846582231288029371001485038333659506732777485\
858378192811773638067952662773652893286752258161845909079688413848733697249410\
551250453817792589169861634359856088891365901174371544359331562071520499986645\
238074132229090196807697538233564672810310822247319276890367329977791346217788\
404576425952986354384623977349746972787080711369596673186600397456149616008341\
454057809564860985275144921812177310513859383983101706240 #^15 #2^2 - 
                    7858241018115764667283342324125189646494265001352530197000\
108881763528027410824243710386476559428890946720292558944307220600701722992260\
260216284406211690159942922144753042976170139269084739989979821826143994778375\
639902059195666584192898129552446963011039514611633392387772898091939547345085\
172066622497251203436396686118102914135797421709588672201869051800549061886324\
67541847252539302988016695288797921605880945490459361280 #^16 #2^2 + 
                    1035125950164194640304228130468344919098803516577199191588\
757955242184402949856098215825537481834016243038926235988133455745250373349011\
527412733000465883938383762124139146427676137468729899479842379677403304284354\
077274314757746100921169760618951627612385907892350370503422098020940905575244\
354311218246714598383686398498587673523865430736318924452684325379121158887118\
7876317238796997896093120479087879390064363593132010373120 #^17 #2^2 + 
                    1812579835841173868369732383854182383005546414949022350918\
407737236678296503725553356024390373383701904916953059262927212960924109900276\
699056593926885228834360769821282290619263934745349949424734085179082435062540\
671048290270402325127234266857759621761963389414096170796513341289932223925994\
438919844228089949532358189229044525867827968924087977015600799477365184084110\
920025289800341069735346024608605077362967570293241937920 #^18 #2^2 - 
                    1660260361698495149783790370277318177419548817107909776797\
610867472435886345697670959744481995206415550565613404477110820130686481688724\
869323182366182299452632811070167329483116885062076776203862509064590359225882\
363636042680612896790058065126891349825064712950780500496990300065835646976495\
745891275759685613650259728286097616632056290065167184332549541467259053570124\
9665669020470415474906858819084582733698764333354812702720 #^19 #2^2 - 
                    
                    1409917596038888925857750478439334232311936139597103064357\
657038782750733506828610803004952932505476832480645456137145877451548543995626\
250093286797995490131171996920135824167563248012053829320633182759382937721188\
668828625781248328173043729710770202280242865615924334621611665532520575072217\
927304697923212853076405187705532123409698975436899398238353547812004601397887\
56496447951014185083134637245394200034889901009188945920 #^20 #2^2 + 
                    1794201847821415906561895010756170727850292987803665465830\
889981960867492731876167289936033704968934491177003183023140320133989138893072\
603333322842295679785440637425806375267318401011184320418064485505139985099478\
788141248499002446273136495358033332778903884225290913180096891128786970652835\
969108635491335298701080959698554127962301404921371334006964655820245099567580\
9367148841268975146505991333650308739939043989028811571200 #^21 #2^2 - 
                    9360282021988057124442074917718238787612035452381129003260\
833398845444712731330483003252304437982681964688507563960998869048467590760151\
903202872935785187274247238299677170386606353750514882443519282987392478677958\
434400146813692759334461290912238848421532838473008874432522160712504785379629\
225988038403106800192124203758047725640277125264686857960840462126974129071978\
426247856216218950820409000266884029243603842439084769280 #^22 #2^2 - 
                    1291798073967409796534666079865119749790740096368338495912\
786363671784362917822318695141573387461138367016017325675633308058565497630471\
314021810608286226514921719098629609993147022549281193910401651946152143665828\
272077257195851566758800750911058638533317857781977346290515940057841110820810\
761750700225287962127729433047723238413848089977382217964685542008033367967535\
2398089151246101542961675801235470083432142818292625571840 #^23 #2^2 + 
                    2624606109406444992529348923107802382935213933017294006027\
799206452317780703388698144020018556266732113778600141262953028297867299816505\
602732979799618825008968479880602320678192858108015295878407518675988639839070\
965639503565487477714756047696255243120230537808897792642046191846577550489699\
303165570264016590230996355388960180990454783026547055571612443305795105270252\
0992569272872101916801990028642182782421412071600029696000 #^24 #2^2 + 
                    6245929620209587436559110677818450322935094845497096188058\
208429331992029216801542893926298601653071968569574218412417150240007457155338\
765502286027181600829993862682414694385550378583665460789937144830236785360275\
645106553874847980667679056881721678783948076307581006728000031111419156529805\
042942355452411342183951188821678058669083660448011360493439579672880281224176\
091390175004012351234790188699954043163021001444588257280 #^25 #2^2 - 
                    4071990726193482896861770591944552149075985378300709364322\
928002906462546164224289481476422586417413787595761382326809288264639443993038\
248419308807783458492638280101104617270059933936365314115978891938590789865105\
130329156795494754583471218778963762699302477477790407517814364325968641078959\
703744717353543733357822862029017055962602851514993537902681571414079107395029\
7497285926884290322867135084521324377274801997575146700800 #^26 #2^2 - 
                    2508712670871471129888473271323796915632091319885110499353\
277514146755314784772795180347263874991274680549789146363324276836788563070941\
722321059708189314974363820827068886452194832371053183775748091341783790046839\
929603757629238871689853653332815007424185299400923591008583744228214998855374\
669030547003625279102435626458931014996423174498199822764946138666769487157463\
524173728596797081993059187426321564670219057481845309440 #^27 #2^2 + 
                    4309399084546788061526525427531360973133786651397221624535\
945682633658785417878323727585748351694025600641546954050620674426347964623605\
929695913939097298119569232448414414899836071495183826960959056742739516428447\
498341959091331883638648639479623449753181554814754860039340240876570217986592\
617881707728442915068059380695122521413693589816525579819660386975339552015117\
8817662435282132128612257399009307053232202898350234664960 #^28 #2^2 + 
                    1564276898777823507007180870708461658728475433648121078939\
851883960231981873673845979961457840360323355944292867075415324290713401175641\
420900906691103171006489687510403024871148513938523480288959174651029034177862\
090805358386484823943131146406634656378314853289117684644314719355962930207722\
303543328948800030913358386297148629524581747989009475058568733575745367969858\
484772220447809564352389360982903896188374529029670174720 #^29 #2^2 - 
                    3377685121327134312476548990341421286227773449916702345661\
978147904020546422404978930119225807020159853341927811223666822564152102674854\
205559352246573645632550952662274653583233590997895036040227208170769881376321\
967220360654745020440227022923430955887820382076320659498153307645589765497387\
275660048097617208106223783094147721879666185703251327041282276985901514723323\
7505378991912793228303530779436699079885895893920451133440 #^30 #2^2 - 
                    1219561642596567079313966787823742353246982813449577013707\
054277726347503571385110233862197728862176029733353480361577652937173005405078\
711816480551641377076088576215932093416213919720411724609941147562638372964666\
964781378753388789378671391202312791886835105715241393300934163121464182167566\
055797965054990102324855427572792057497083917419108654136339413278779226382369\
079668084062559609627845179769734820682325236053568389120 #^31 #2^2 + 
                    2061229972884006501667146263817344899450191544757523663946\
463286636945143400212692784473970888066511251459141010263588867755453831494522\
996006715141384691385222121437684147864582433173365333999412885152664205249198\
281210039234523919696796143081458637953462973333308622539985691341533980885493\
946133953753830494546648552558496499179023930096028160403352296560038320184495\
3005827162563454888345797532733233099985402977286650593280 #^32 #2^2 + 
                    
                    6652606353521246667552720622733658870541218848710286816248\
392537838087508310950418834681550072691356481627357629325619111614432107454385\
207847518750383085446696198330875774764727113654102577052373368462531219870119\
270043030220323971852137035636389706861280584681402786342216086432540485667190\
709893074166916901035952902062438761878671958440059258575068173205420232896763\
60797420860679366492084772482285815217664356284398305280 #^33 #2^2 - 
                    1016537283496134741076845984276620532014859197226928726580\
916371269170186899728511248411557463758748352671428305927619952087112484600021\
920034602367274472591322052159402867633429320570834852644409427711513389135360\
424530944062043509356256468272246402876207257265686014422208437035967623973976\
205483323247687411640005714465370572254162836207291993384309311711781204006695\
9139394434078938000865877226748340147467370844212124712960 #^34 #2^2 - 
                    2673739614136351779813493119146423760583163894971929113350\
010753356766378511322292588283616460584336550313918021278867507671212931351791\
353605294604843259185562798211234284729926950353367319558867823014941188818363\
011713976640966235553275638844833481538492350216844243101105053524983571043931\
077465867683151523801674593980076426109623924740866518456630842005990956152008\
97540861999204663667949051548813788078033469254443991040 #^35 #2^2 + 
                    4115988146300436802249731562084095509222463209055064420739\
304445601603745987691041666441522241363815454255220758916507258651415813126295\
710160356918618556194233624652598545723552303285321495781584723726988763288379\
964706112527671973631279268734959172453027873036125902188455772901103444275939\
383491731053984737159417679774287435628662501955412961684590903406335005913128\
959334551662250557084357321493205587636360150761917644800 #^36 #2^2 + 
                    1288168965762356762276590386262682226982799175582566548875\
449023200550962755335819784411440065085768456747452389273270115398928511921150\
507648026092520675782606453346181389368325137261885031869934292437117235833794\
059236730102384009422867693963315118521049169629533489092905400029768420916466\
970258825823314167585155061867733109316215455774488274200461569825788458187764\
99887149016773871516739215894133285932207026121694248960 #^37 #2^2 - 
                    1341260722848533990804332255868979067064434963486041378225\
610948485156258432711469040909289715126132033064806157131419888070643595548162\
924696996912598651922819531124053411718296553724948874105753855855557813381341\
044094645037986376454548199787463256728509150391236938701387051140251626108268\
555832082973240200618591138883687687380541574941709903578783334907163980513404\
737555793743219412250597616906777626992083477767127040000 #^38 #2^2 - 
                    7170810393432050748840914912347269905780325913213268245951\
791526314674871444335142227495846941276858753787093311452529183516913108199162\
128395884946550162812332439712414614644684977107228981001962189544140952702760\
690323994564370353582930735898741174020444099153789089893491941981656589516021\
930785686628051942347383486986485973289361897111446337845732023165263692733224\
4231203039398851883414449775324740035416583653713510400 #^39 #2^2 + 
                    3334782380528030238398330808602474541770391811653450648913\
325001576336932366355473535966611865969602386257118361693578407612263279869087\
812494807017184293595742644118453498157322058738932713273523372327544589326191\
583208360749428841768133316387846364677951436533163757233259933638420532329741\
691070057263309143462266676913006848355330707532581632485956702856558727472522\
33374141601273380461209062520983221948768456394617651200 #^40 #2^2 + 
                    2787698816408618786165024109142573580888470349244535147343\
782879234016149517010608670702919946992776660884581697963910491398148332673863\
154491690017143534454595476135059397720235109459810652215694073417059153858860\
728810559585331194155508492292134926674484301480260295087475131597348817752564\
249826381645603747243885240705769344302052854229936615387287397204939491202455\
6502988337680376597549503926919518155178654659143270400 #^41 #2^2 - 
                    5825566465843295750141286873416310682129376766325617405490\
851511350752468716976868555363512629751212390915718672105262571986084193930037\
138531523671754272249239216476454609880457485469811777795170511967579265442928\
778978342463506927236545151766913352571537645604148109176265078581173334614513\
040442018187911907259323166318069774511498589865955440010936457218333888864500\
1074311833586530452892569372293251615538399151338291200 #^42 #2^2 - 
                    4491060397302454265148416428337879073802487650052172833815\
656090478579567373098710555904190060924835021911765003495864078123281498771768\
327896690616720804086781535701314260799312015716076335460239290715828817724743\
507521105563525681406768104013769182792597460881308552427172824992492588709970\
573337133140103437888766999968580088935820526945692212865019764060706094458753\
175343379691545520327404576809279251270546683540275200 #^43 #2^2 + 
                    8219917043445185818792053132011594981442256334198491695692\
741274090417961722703361804080087522340540212773762554082129328477845334719288\
706024941576648628950340981174326885958329127132766423053979750693265206895614\
717462389338078505273278360172713012733412483460265923612747647643861186962030\
034950674943415239854578109018956510179116626542749073361449052640028546804738\
104258746561349177396812810166550517875119150963097600 #^44 #2^2 + 
                    9643562062770076012237409630957425251298387612802705796345\
347920859023770603203259614887993905179542188272945231648913343701802960013794\
976146929144581566234138423986503722882709119172796783581509543433616700621548\
099085277848069463500373434995568956021118870075302259545329954752648418298606\
121725322268340753407585183142791226417100277133320537032947116752191179826543\
51542916161881002125312694138434117177064507939225600 #^45 #2^2 - 
                    
                    6149584901068987390671707347770923064147406315693754795111\
471051300655739717020833422766648394669339472724722334206943571395687734343093\
639325960199340817831477595066155829441696357155545274179068967081239704919909\
739693653357384050169556773973018899336026954560157368938177962897826898735435\
296490024527747062489369722823945929833142996445636940948515173764740986289449\
65434022949954245221637908729392541747113550151680000 #^46 #2^2 - 
                    2423183441795446911289185736208283777597973830260011448667\
599429020300808941978611045811028759333044192447252671324615065539511620816432\
498340386831832349013919171641539807040741649486824539230259967023834712594436\
645568881926667095838982629412331151068658031668434802732866110351718240853255\
509233167966167068856487801277558825151454936326584079944798669788818527351981\
8005311570333773911234257281000148030515451002880000 #^47 #2^2 + 
                    7259333607306256776796209789443942522918666878601577674610\
757389650294364961358969489415456125272784951069675205302402224437658270108457\
624417393479102496716649123211005140464553515208783414502296869361177046917438\
123560906731227182433480133328076606146876435982160010952374762280288014252006\
923970051613164401312550501551615623610923298532861800882827374873979181325616\
0170665300347764995746767594661339031739165573120000 #^48 #2^2 + 
                    1656827345437638621112955036177704208783644346843921999693\
051554767166090071647899498878688020347698454218993533223357708761025531930744\
827851260041597143721540948508607520771912213626955814561725612378589627339698\
928391263160548137483781284915841901792537176022837749156117512898978863523509\
142833577214005971909098840214003824689294406954190286866730907873931710407234\
3005632573698295174981361879700327199268642226176000 #^49 #2^2 - 
                    7450313049899177641782547075454736152108878258205360794322\
129221344306553050971676190004861869010187231022646715393209800866928820807479\
054854886380145176749641580363580947566710184538677794347686003255445320214575\
606603032759974537008932259180027955682103382135525597691908714863870073899578\
440818349597179333111877865515802993637014060141827443104185796844910388363362\
04091658890445912115129474069295459544313282400 #2^4 - 
                    1171864264225089062222921133417512770615364521833102208889\
320475811266394135475235978560147045576940811630959534211983788354491663803642\
015867474593574228251609183368613652570739459607836206736150455067990688973121\
257710758717552482403545407024001659602382676635910809966777027542509799497611\
516495681055153705521353383966427513890903591082711419015123746223060115095529\
8678711525854454377326637374497875542570324828480 # #2^4 + 
                    8800943020932889106978218883477502267181861213544314570898\
531792220078404020614006610030325353758957390085424716979298207333457145016660\
443663093677365535413093118056232615397467416289717084060151962168161179371889\
921634398464616361882116741835112511398638049261497071283957543640633678094213\
793327213323898116418939730321773741882566209438743808139689582141351768449383\
3984157302991706209785786459990910496156576058560 #^2 #2^4 + 
                    1734231411453011406270548110743743340124066359268697747014\
050424792314372573189582488508452164992115057611475536989613339813752307644209\
870004120495756513583649844596563955429742820875328916240121987903983509839995\
861641456569648429508328374485347993015287588881495716857718320330070707613186\
996051436012669259005931005576138388795823374355260262532181139428344827764785\
304097075139740365363685982745186822296091003002880 #^3 #2^4 - 
                    2362321944037610559197362160921106142040250763458647807743\
357967201317495877342904822239513957453134900271042114894332225605640329473182\
375970055566386009689426907702451677808199651942414219844877269841048240096252\
296601299256679737796057338176491675761325664687464759233634144614810534042744\
028064490364442839162995793086398661304116498917126884977045682019105237222882\
418285441720136578742283684298022250290473146707200 #^4 #2^4 - 
                    9511202197042378200080859395583969785990852948633048242766\
038039263409284440603827059821165554120953718577561084952115754513332338980668\
393559548584106221041213000581585340407523365286289207951827089365928751379596\
066406759244094658917147233884821084593031516895263471781212543311156109349199\
153467497120603359905385442049810943536469388092669677615490157306336046693950\
4154742617257428907803931742451516062488201427456000 #^5 #2^4 + 
                    1279494066002026330613546848923415477379434185442101637050\
060863385820226420733330097666227042980046803572699678311505214505809491426143\
878354288474236120695211818488118922561603780559534243678577111789881158254197\
135508829844065901157925979140384774564315871072614185866420657551934587425587\
818689975512673304727865650457724991864889012770926761994188173201300987814928\
4540698039513611177868086257605805831933206678906880 #^6 #2^4 + 
                    2624942543577359741020368390413763349635300245261163228600\
092378717990449266945862062585496539566526200764947171333748375250917330385475\
500567787742618628564239110973842435910452910008247255905687145982188128481113\
387393695495929915011022795199309829028970824842753674971930638240410713107426\
614627535221924003578576043931722637319470887014950727489912604106679504042674\
895126315639772035907398560209946761851824825671045120 #^7 #2^4 - 
                    3546573716592186429804019485966787359250713990724595057490\
500196096210314650852262100823768994069790029131103760610840755062971708033693\
764204062467352923785075421976386406412244663073116016638573371683108845745264\
112051809085777309290974376593474082568343506434327509308489040778056448532081\
106315382027223624919930884928402851025738071052762215158139732970466043164464\
67647354783410494472563094467634866679999698989342720 #^8 #2^4 - 
                    
                    3727957879774611683334047619967079626946280327318534542746\
028978127215863774786586138476403587724746549698601205562160781518546515298321\
119097395435719593319777732926275433758837607670310436676928686243559213996284\
623313564635697192969595355620012430737904651527123141847211970462988350627167\
378680691342640611658465102194726542077714985321799838454385810292976770785857\
6326941292371150216828589319018154524393058228797276160 #^9 #2^4 + 
                    4096818306692283466564926788028732882441862639756283471767\
613621965809781618885994263029083849819432961666441285629679205002580099156588\
108171715915945119912427365614548586803989581538745649527303782148161603207302\
779674441514766593015886398613060137977219415612538045765854209462307085634993\
349878241115316213490863250306081852433134254506284020939472488697060206673454\
957819894863986351823852522712159984453724511729254400 #^10 #2^4 + 
                    3117706629669376311237194264595991115687540813304801992845\
786536022925362913421392027518549726273949100332403785881858444695729781551697\
995881463171207191885615820657587380244479709528652759242263507394600210316550\
916496972614979515488831399890021481933293522652333243860565206983322141580975\
060277042523072016201911712793271553744764680002140621539551111135359698707757\
85937202406629649089916650780717229518995925879151329280 #^11 #2^4 - 
                    3467664158671676162538756922396629711756497456023510721816\
201495750074007382332190737946775307901728231489037190937467130318885872085173\
970239503686553756263659256354423678470903204100652513609466534227789087661865\
447459040955710392717407599178245655460947785892973100976991065142344255695214\
079069080900525228930287324149066697040500041642555933954247588400649460832105\
229301372091244608135517127315666729501445121256325120 #^12 #2^4 - 
                    1660638388141242081260523208393338700333794213664372929909\
542798633328851217789029114116342414095924066420020801123850569264947390616680\
205358585456373687396181124055733740281305335406281599312627470745451093955188\
739690328879693774411107861148873864894362597311472607842835458777532652864625\
117832802885022903195525618018176835324713578279729487945815010301833000153791\
598676814208422288991297017689431515484441115246398013440 #^13 #2^4 - 
                    1704523379985293606862550976811179244008623599457167863984\
146284297522736196874773004936157278348401268724658942642350723250995965525910\
456661368364166656934035599115535860952074110143530937526362321453704690498442\
524808287038677303946061345156605799554431361463743631082964596393610933391558\
478118085869863521927427783480089518857638261137966090235001445858374812775767\
75170340926224319553896246942487851032729528861324738560 #^14 #2^4 + 
                    5854297183266625703464757019063275620218024797747277201531\
984650909755151548079631885265722465144717784704823440353210036151458476770564\
095309184722791440834135537283622111881701259699910957517698361314668578068159\
485211000286914217616856150577284161572844673365111467630202797244338989435197\
190540195143734640228624720255543608725112572173690357529854285540263216169141\
738013143510921844448912420544217708926591760178489589760 #^15 #2^4 + 
                    1060678476826174210013361965469229688715367929369779357409\
146258605518187707033520861074894949355508902879920541275927442983117557652285\
676646242757305582214542140387174734100484379967219638049715207429609921103020\
889607241758045329354560006303077225572326037489192178420869628142388277538216\
177962697533004885462773937908763224067656878770529214646214187186694611415315\
193791999677443232266936182743675022309462167457806417920 #^16 #2^4 - 
                    1389567469204915078478215054095571801784775616797614930107\
678837129767054808303308417970712527618807543621346737388902115940101861847159\
034123913706810409849078813770035637292306660110700236830063099111006941547868\
544453230294668259301269487639084336947262295237824536599702891734101455163079\
244992562708561700190871551478291883188607559742128858133862274260957744657993\
1624235999431151135580463998902965288022890030265154928640 #^17 #2^4 - 
                    2460166521233080752276318095357115031108391735266840734290\
520218754778396474077456174903241973053573033286466373690627970858807215533025\
460124133514986359386375310031714866606453162732504636351276319695640114922310\
766336707279324799974614027697257743378675052187459538751534861565600851848558\
440997172459755257945471316766760216056686236572008091052482837158035931116943\
393618495306211719212977052677639962692100309908245708800 #^18 #2^4 + 
                    2231670502174680935287980250049200920375412478600543003053\
062463819644018937353838167567044500399000718508400912437193711804540219844273\
602191912689951608575206942597763564871115729663765770535313179212227670385144\
677144980574441068336128209782509770896251866806378576390393712058110161227974\
871739010704342627390452871435385559355018252417399049179213082422435402685123\
6843286474790833525408483020092471312222952698599366983680 #^19 #2^4 + 
                    2466378008632139729306495366089305449859712174261663271024\
217611302597702595269125836117018570290962121511026774839273444689133368565799\
306717344785105766390861694005246748743774274057077203393320873539783766973538\
197551308527029572281236978771130666303575836494312531913388304233704413222176\
296125843139204197580464661221932067042862190215774097420443184912401917753967\
89105367139205837177213135211169561067406385767660912640 #^20 #2^4 - 
                    2414937395919171343017202949737644288309982293349389735345\
734760708436152881271667646201057832705203163619000092908832242363066504329501\
072405534671079277845348754732584799848143907763482353723538150467434215486144\
135793938678577459275580215286958812799882576614330279352453262586740116916102\
553914792886941717048038406095253081889808789878037842497918575558981811215540\
5226089776974169973366192486282888064149628149669004574720 #^21 #2^4 + 
                    
                    1250635900197675912191194077673591228361402988017364824576\
046845918734500802273911636507814679500052286313106072937455069740550011695928\
155846697008556515222283692407519741276413411597729161660327032940138774647258\
343961774898306891960094498384133504418234566454641120725030297089630706964714\
883957578449498209675446560117242872791290020997561693520336786781770794391884\
4905758726806010432328258013118969116639282056131887759360 #^22 #2^4 + 
                    1742356770658584159387221245724015954887460697007605126605\
675583783071789918346555701742894193930686845113385529909482234028950239397526\
188491835352171421219460027824701184821138748175130406874202714155244819396735\
981765487364715680694832809060053624689336689722671878872561611539378252259694\
151305176200454016648015002874399332541355661679462234410064173482687060351218\
7333022494228270591831350744470225918638593178064818012160 #^23 #2^4 - 
                    3523285536598507960441956830063153777970406668743552118583\
343786224915570667053089154297701162945827444289481301792012551353959548810007\
332306248428245732003036603096081685829859789246026594366689011420876723002507\
885015947132644880750120314895621130372379293889184398211982042600651508838603\
005877422770001440090523581443984830345190377996012529568077831597196780977462\
3236002984984672570665779009100782920234992543927013212160 #^24 #2^4 - 
                    8467465272339332273376191554902911766844691044444427698649\
025808894645304927809787814036264136322656588433030628656424021731027237533208\
431171579927583218852437593246552605535090843666048710860939489530477944817401\
272334649641301738294999945557665202620143987383148129285176822393220860036261\
050447496957826709869783276390504872195981607200660374333310127268108887246660\
187456864720480095912756626808937291784903832019130122240 #^25 #2^4 + 
                    5475183080350987258164556133975412732007859570433272819768\
601992019639806680331244785026350368113525944735857052778463888625586940449874\
482672709627159243887123032175450122022162901152134841814706295984139044114171\
747567031573165507256233340906419600328249081914080445558038437323386376998212\
639546366270171709562831833605443962196444939020568037739944328411038963177288\
5849696947832868476702942341090864914795659225365426995200 #^26 #2^4 + 
                    3442547313651953646305122942515024163627337651716998163204\
831609592637969100580165478869027028255122465549933346135044120437514525853915\
312067464453860134750751979459169798556587870929417900787936742101505852655832\
677925667907986864043613473166593334424626090105334394256399839367333876297237\
409793610637850351808228797689333010024503123132409618114746861988345449471243\
137909067991350709862021370449348462235272824145093591040 #^27 #2^4 - 
                    5799335607408051025692564634177067972111290787756594080095\
034553291642382028004483098375344178142874283445285717370536531854967006851928\
347942425342728223132224253965555013945118933599186208906926228051353515534154\
824682090360790017596361603553744298993093357758557080035598196874431389369089\
502735272312257833049995927525238994583371951570809648378982525198607791378559\
9151134860137828905118405457172574669510381442456344330240 #^28 #2^4 - 
                    2160895379407369596220275058435153049136758106082754451243\
697328632777180288776667402759443005829918496965465403495690600692941600167508\
799265095550337525445287022018689840877078192377224871850726316831036749015049\
477176435879861533211412164168706377720133243883604079232305373090844595399421\
521198548904036134245775374869884203535358286280044039184420975660668744209079\
484197652218584590615669693799713563025770877640853422080 #^29 #2^4 + 
                    4547911517676001070659551083456524495989387924564053280474\
049257577087158264800087685445815833012169381106778355643475677733401594146404\
553162123909954640831904329086054420478987995165675395938208296328148622484813\
162096390278522656630684003820183569845528357384797970782207811821332568588566\
016369396317527716150036263620670184524936574130628224118715785685377237141047\
0601746883173418603732553263314076041299672910121580625920 #^30 #2^4 + 
                    1678707344140082235920918800786530351969513526281504508027\
608905278787249833466548589031769173035256202046891345174628668291548527085038\
930591413071348309866146083072533497655805249726923065852525795553388065409102\
817005643425356287740970045384993327668326619516835298337365935195418689846970\
294837509599833600446921584320925488288023052390024100607720061991225016474647\
589703485837751717095054994986097657738983185629860331520 #^31 #2^4 - 
                    2776398188473084645186374672574512401680194560508750122740\
442478868895709705507490520711470449028908328777830299644447054127119848736858\
551349858956046558483596755123776029691045281409143577569683838861829077249916\
496484941222460004862005113222646978224047406106685733083496655077591620259490\
982108720710357688073036926434137208042816999637040159196474288187058468940367\
7324602137886842573259092855528754553486402457796786257920 #^32 #2^4 - 
                    9151212124823771418674621943466869862701454125394568161193\
590865755449640882091283749601073638572654862800242613626647483864940261406085\
243015298706941901058408127641610214484841917619458896891628482646256216200457\
514785491939301252974087416470499211005120997935213800956693272316084533973807\
014644628700823129893493574461887336717346070775255972690391760241072825395545\
16555208128389688186055401994101560953073658127722741760 #^33 #2^4 + 
                    1369640937386679282479132011262734786600281335300011461884\
079928003355767577403011356703031541789629578317311515024038290960892240875132\
029426740165557311429488744922004195964845456599164673869265327641834980246241\
031233906347835372129728692995448776321594284212823164493126732753600051522153\
624078175713871002578988806711817131049299705590124852776510144105551798690838\
2609531069144541360003084739840342534814477553661053501440 #^34 #2^4 + 
                    
                    3680700918915067855019080235090760857086648796567821119145\
100164840170616381701667635233480522350966525123098746803027572804812402561219\
596639260856668451599767610336295614203241738495643612313545556657006266518735\
917065244146518440568188622921879144554497936196920887743026475386805560107436\
457223518533274527857802181521878515022354111306942948436188031365400850900963\
93385742254055124353350860874150838213314668097070694400 #^35 #2^4 - 
                    5547134205340392528533135545781439076489770824981170807184\
116811979709417110954723158919558250312640712087110857005036208065471188829868\
683841874476757402630055851652491246463579376279942427231897659405596573005287\
217321017208716982318784261230703438089089839162707507404667795481977783346927\
339216081769478613394210882320347162100370136775541960586677546107370153688666\
426802186889318133400310362835112636672579367147478712320 #^36 #2^4 - 
                    1761495201591019686355225059076032220883446678065330743105\
496233422672535424460114121913314496891199318957854259604830585337368885601866\
157023203582997578288182581993434363033070352150751149206899891441909334651625\
338881393614350756293266286118529118325186236088852904233730918057583657290362\
596223214720944440392779821430742332990215216179808006677366955995342493179536\
59445368600893952047331660176779596566698193586728468480 #^37 #2^4 + 
                    1808033156568664893352883962290936102385575512043901612998\
963514829566624606515654529461437592468907536628159177295504743466385064162036\
925055203092957706400528322207577631169697070596253964041502094061446938390130\
924182445717762226260358803622900941367910889610175374026795298498098178305406\
328671548477632337247959477524575160537056295121896659259033818795284743755333\
029998052165892865147484383776013024199410718229921792000 #^38 #2^4 + 
                    9730957112514325724307124905974784904277045641687280632569\
203869697315167912421734951587934105185435435935349918543190759275022159508843\
883025175892538560099102231663829190848154471576028464115034292702604908903440\
677403325430086325747360929500322977714478325032354654878920457714956734547572\
901611023588815494642208001787810710877961888833638191284715553568546953380344\
1970689375902162413813980445982177445568031008122470400 #^39 #2^4 - 
                    4496240163032759120499504548345680016466344880078004582784\
703393901206142348478265148681934133281725939877193109725393928804403841683998\
633076211581512862821410331245796074465622560043688895608822314745195693155785\
253948626065303031956062611848812687874562011764703244875960667850644264202358\
215804050709867674377274695131381534311526386214835157887656251290092253327555\
24474432816442693187735214760145503280182377746268160000 #^40 #2^4 - 
                    3771512270323502225022420998112702008546107158659665335974\
086088532592255391266178769696596249339993625312940406138129916293182564749615\
331625274602007748489321129325116827376688938323180229713524047802569581450586\
512213779905156956700334784210407743291995129090519805167972139925265827910951\
808218138510694432742690316640208154322780723380657543596013766426412681619037\
7941764051409401595288010243557892361788826231557324800 #^41 #2^4 + 
                    7855533937197682954735736406899392664317781819321571873855\
709331373918224032600125340876798275433106312996891655721699957125824311244471\
420337254837099055823219382138220533541077290002728341651638374033803109320423\
805743256599914945926565462883888296691543329450676784772199867155251923659198\
486781638115538509205693123606099929200355109230349757777591327563330578908398\
7504531451006311502212512733907096776168279444658585600 #^42 #2^4 + 
                    6072821033746696868459410730138038834109605652193378570495\
135998254757300880514360712687428188565954155605407741198067348806004632010047\
412522708589129594856895509996533735427386826707998939251008411799857022899925\
877381794130578731749572154262336710629439766031393530030372698622262897567694\
893249512758190418462246883086035281416622990963611329333148658845714820692572\
853684267501165282564691286661840184266075829121843200 #^43 #2^4 - 
                    1108604197346258161950086354030334721437987061849775270656\
907507440947298235170543922057677756513659930097633943662429662622899275690122\
046303745674611335791973299634670183091601734261268975381124291720552437712914\
228976478769927591604000473236440022662690773843529640026983757200814020183604\
687980265020868142894890515051871494517004850302201029381494706506276136395733\
5985458139665681319891503239327319575182068145979392000 #^44 #2^4 - 
                    1302403192320601969115375005899168656603019515645147224080\
929808139044484452597308074025197312797840556029507743088440529251666486276827\
204149830990845243143408940848058839565229944322623144026926343700388542297648\
548791943499454580720510712650616732545869099789251968320257348647307373493292\
702687557344332615425649847109006370260002081270845032784068951496427500227582\
752807299938167652373712099326991036015450641976524800 #^45 #2^4 + 
                    8293690296918295662256211326321130255782424704495056616951\
124367052738613196626928241844238691843867351170516815385515225309080175089850\
240708289322721087300873261208689369871228475774178089712398810766606683853604\
195050666374365017201443713405065615056906614340841860631941344317039691541405\
344884543257590551362366155981434855424043899016056320811091416294986979915727\
18601450706395683599539701603767995346378710581248000 #^46 #2^4 + 
                    3277659623586383800332295346562460482597199598172885610167\
835857306607598415277803333535426060475236525992908018260643409950122616503304\
072987574333140071118772389660948186142730140728766586654387659767106771135022\
895368143767114955455295885905658433982201321338385198150557023068419705255362\
493282731392815408383191604269837176422817126537008789303626512898406943941134\
6538392412691105739682457019799496056360967077888000 #^47 #2^4 - 
                    
                    9791330256769693184125601255010728306708063968332361120073\
322844843608278626778294413905756993377761562581204608996538548800766311031676\
086472852783776779263789116146450998879957945814572807771791993166161038687371\
265460895631705972522277042667548724641004824399646048788657867130162386386224\
854001330282827146785239901987394344795476439885291184323226670389228431390980\
3638106871296398328434774514119138327153199808512000 #^48 #2^4 - 
                    2235560368863662970752561140668799045178972710356196489568\
342146695099585115312565097861918076149114503683922649797836535256815967005262\
724852029715518859007426024163391296309468915069694219858286084413794055569431\
799692508268941236729632565798051656929569705146538244195225341783410441246221\
302938394580565635709321004829031138663832833205972560165495713251430736948994\
4013909871186881562750868092287802208679769407488000 #^49 #2^4 - 
                    5443456939671115046790982780018602623533085504860674177998\
765262132935817862259333096253392319277713361302045273049903940085847036060811\
583198700133766062842770971544439769907272657803573274440411118649373414157148\
000169261373464965962276186206411253570628858634527467370238476375106876519115\
468176126784140446819503811579523578293750531931948693332860183589863746588932\
031859861362916423403738598267291759423380800 #2^6 - 
                    3110546822669208598166275874296344356304620288491813815999\
294435504534753064148190340716224182444407635029740156028516537191912592034749\
476113542933580607338726269453965582804155804459184728251663496371070522375513\
142953863641979980549872106403663573468930776362587124211564843642918215153780\
267529215305223112468287892331156330453571732532542110475920104908493569479389\
732491349350237956230707770438452433956217600 #^2 #2^6 + 
                    3110546822669208598166275874296344356304620288491813815999\
294435504534753064148190340716224182444407635029740156028516537191912592034749\
476113542933580607338726269453965582804155804459184728251663496371070522375513\
142953863641979980549872106403663573468930776362587124211564843642918215153780\
267529215305223112468287892331156330453571732532542110475920104908493569479389\
732491349350237956230707770438452433956217600 #2^8& , 
                    4700644940054263373058631970500078255411824743606802831759\
430636399764896192368549349634350928781421076251215414768176916262251340101346\
164912809357587443425875561059121321129583699561632374733882494341565537714178\
081821345580641757071808995106195553883518638729090431070715199533863060694708\
689667962560591388475245233845887816723262051200650753658143895347903377149835\
422166045448485316904434352655137740517029401911021888627924952467805946255860\
472996498935287400664703036340941046720055031 #2 + 
                    7259585332839601257731975286617172608124461036377036888370\
317237379143863883499282555880753662817696676096929338491289386690865881466352\
411693124128745040613846331081639214304530801397988390934871555419944623137284\
606051641264196176588510399485997489008417698962033308258796000159730989094526\
573508345034066870120422219240106572695416232751642209738579497093819970331553\
881819982864251945539687200303098604315780321362500967957941379762277657183328\
1165479198178929718487686123651524904316731334 # #2 - 
                    5596184884235128076672359167176155864556543437525738296517\
528902618571697473111539359304509550527560613336216512502738018980777861602341\
785046497836852045454205108256848452493219981752668019483575547725382973649162\
552077416411991960145555307598001648888405410569862115867979646242393866485774\
719605768032970272604599804789181968474903086653621968563553361155335009953379\
434512944720850010495271286259199289436953153686147484902807555466828482750890\
35455019200787104480120906068707236646866336004 #^2 #2 - 
                    1081360024725979524823450866023961025224380504824293609170\
390233136903323453815016052191065742521977807640134908173148324696395770205327\
612541192329455614561234880884107308835708068960879179165044760387919587457373\
879567397672618196750428236027297740045194371295845865601919365940679404448249\
652380232321924036330626974722727016294497848324026926155723623224374800927038\
631053129274126565345406782314581944273807502996874463199692868341363622699823\
2116252510056556669870670680138491158420717876912 #^3 #2 + 
                    1542228569795399950351625044019989887627433701199388024416\
437850323712580093673421505244886449427314130397066164217719891886307708303178\
941727547894568882669678138576903694776948275561456959963154200579612344945241\
806805517479482649167198837508861074905944182766650234781238484813030879215161\
890724957258990619108383339045458094622981997297002055840667338912405505228799\
801525844780072532011295891202337379770576322105391187797675469595803237394732\
4118594788851117768996961698408741921724308473936 #^4 #2 + 
                    5937082420578797382674205544726693395167984610639412219943\
981399576815682382538331581900294006328977897604449709435110893497279947531843\
862733866528651511185605557822987660740956839026206672323861404437435467874034\
703550815706599478532101458830581416900437205058333216038859216531923426653286\
991465545923778204797399273406255830892491759254555190279684581234545833724922\
782782907015846815694078594978062065937499468671006650459380663489846017155463\
50546292080589384253585167420153418141969475268096 #^5 #2 - 
                    9998546297368756256064284865966082490408970911159327536974\
179913358779134073639718058889088871081682144508624261178340349224735597815218\
318853474170729556081029116202927924448759945694403312698846464556614473578935\
027356473471929327217929676008383728353691485197794260494605773065876356545510\
453153296674264804865788892371838600151059841473625569530511363203623391362861\
416963412037848260668547596228202855623451481532836245290242979107309427127527\
2178354189708610672960669275091479811271427938176 #^6 #2 - 
                    1636944208018428337012254331723114871763431365844981376652\
543176639946420722225013157969599784298195120887286514367500911742958855366508\
094035622460947356203232428418047157071873538863086217302154159422768274350960\
097216032309042972249267383071084070104530895692825872490575971253216283092403\
237074143802346700335918172275963413115974205208639561249422778526737353726582\
817291595194799749947052632504239849991569424081195890664531941456632147965116\
7538039527535542428092178850777401821088946939043200 #^7 #2 + 
                    2483599879489938938030740219027185393936391532207329400749\
661637281672143078066143911362697958597897846340077289664295673773132852710449\
114626439828961360682174504473465148263764570068341711892761083549559997465844\
150097710135880785064109319484242473868629618428361423666490081591301261822547\
278572885986071432438518210305966115318076522881550913083539574830038310016004\
412286441669915903621891449579673715169388642854843760258812879547898487188874\
321411897391831671514144956638805694024980270647040 #^8 #2 + 
                    2323110830175517956018867054584252994676212210914865569073\
605290931806772433557081552650291025645467978925729075205930443337404850914046\
156226679402895483327294102333508406267742386437682835167718479782192344172509\
364635051595056040954691843778715639697441129741355926388178363225849850745182\
036870106959389978046383823371542069513855445328159193774252319016339907499735\
391112495304598722797483757198326150137168325321792787692677755969678885736791\
98977104388756439522462073774118119009311617715394560 #^9 #2 - 
                    2754959949229476926217844596260257751000963682515419861623\
373658692675321046054444569366166705650097987139418447387862513821852578837013\
647505995205900019624111258242895316144338075110498051468585905841245623970728\
878967186718828251226259111006661172419682748338074539039089413657550764686153\
023975079138444804285760699285633943307388699480047412508237885817242329054751\
945501897152417932130258140864580197836701498874026147633758853192830172113271\
5099054177986669667108089930576467725408075142726656 #^10 #2 - 
                    1941941329779291597735570546681237029643648385724160456882\
729167923234565583833653305734505622920670701923279639529253813551045354954364\
197993382701764696715794716683460789287179108367806768917669528560746143858516\
236625817191695438875679229238281155092683529924765555579592585658808683665865\
682372305207418229229122133781816616633613921215903046676884452781399232789800\
800668444325641762465596206220936677392279400311419744891449540450050851762293\
142362563708242561794421243433292434568989601235142656 #^11 #2 + 
                    3077437029007433152546815670098598072886007512728521796238\
972399207784496770145785213933574733833618075180286702794931276521596115296895\
037638197408050918685237518351482690643147901108327657528417105615363322764634\
997414517216591533434838344079180712388600386286087122999322884951804575699659\
375142642127070814786578393473307865850934949404883749086951653821665783857399\
452687226471923623229095290835004005949008965999974780012823661052773335527170\
9564917917117942952447673883636749870465125792374784 #^12 #2 + 
                    1034027592146875431193471786882504680959145068094830780818\
344732483978123443057245288974372143853368987007160964363252164693714124000420\
729644073558600244421332570677579408929892504950952210303709662596671803061891\
736544280450371416329471509973861943085256007020292439650119506328983877417009\
525609619472427159053817552067396120545394801723742751149321619400941750470465\
161092364456413136695731430259128401391342136699951537898414096159936932345487\
7530288707848230324307863607043274423332737568763486208 #^13 #2 + 
                    1034385742246717760328128691988962863687417955878722832998\
885752399677954701580494894502697230537182771878623643125655629661649004729600\
285910442835443792495797253301736863175073719178567548955475201117107062600501\
792622873262720041448207409759758652106785442565660781451880118470214062409433\
039559874215986323410058687607666105079608732485873001251307912252481929874867\
238031107230124503102885760159588684930382565743453214306970950057833818243465\
117773112430095284190462991218962013867374582141812736 #^14 #2 - 
                    3644240720977122080881866345708075821652506130577023132572\
490137525473524986419324370037318540698877632440548721604506023243481018939979\
138946961752934578931057369351849823670352007358404595968979149098790240807332\
558605062747067939745586463113185913410114670203735040253457098591182636963208\
357805109499230518301618529396677267020058455303016818009941130235747678644052\
989559735657996863147652532363638958050222013367706757030392841449081248833428\
6653359187731770695054360256083570970046925884260319232 #^15 #2 - 
                    6549963606576267350834128346655006883792665792334840854796\
507158237233063285147564046903924014414396163857149942593086493736705276513985\
509974367819581986913220001412652954020615186560676905542326049082323307480080\
392798360271130239573742071844751889615537693004130013454324728436410132325487\
017797710183979067121543655195578306735574419760854128670380790152690406012596\
313473778313928093174803696123679611949432395469838243609104989303172739882171\
925784076187105142659529100881091891172837902390657024 #^16 #2 + 
                    8647471985461651729588622318774165832655432447318916224021\
119109154740308531639299272194751961434867416617369154141061557935016356181203\
490745359820166698241671933573127358353827229137609170041083154025614425457125\
705550092664864431313564974077073828840233059851366472694520060112203502314379\
594368884163519610489168276897825214951410599554218254800475696923544504001706\
497728396262735910655828952821545676682327249783240872279085636627579189231758\
3037266361384693589410039999982974443592471443880673280 #^17 #2 + 
                    1524159969884198557675825917247598191221400960009093970689\
244363342142208274646390970702525518556086557860804922150366279758111222182197\
406078663527783800895919399300206414135482138801764557224484260138099664199750\
453145152521719850579402593862290065286829459455187868514312877732583776540903\
614886819069821389523820673675379774183260878851343669670822581134710287212629\
316118592291403513021910174237823230326542195436466086079460778751082652372812\
2748809443683297672641074719631123498247215375341846528 #^18 #2 - 
                    1388362038970652617540810670490362189243965036808019299911\
968629603759192946781342942748458759442691259479179639552637761067376004569626\
382093701768876526847603857255575530216440224793586075939805018719442181514394\
700107246748218619453569964523869024942582413637393836109786067806739055753302\
877202457285503608321397177591376674980985104200509594181222492371789673792867\
343850119138340025316897698817854498624254157673765744186673317473077138737831\
11625730729497300931193685862928237918143091219059703808 #^19 #2 - 
                    1470628123102268287802467639566389335584450566981334151223\
697801998457599562694331874633432969974655161207435399302216651381271972372799\
587939766752027337907006277661210815304538684968482036834216091637896188393359\
996637610360719386721289823950116721470915217116715154516446928750380864523913\
559343953598342580000840030118106186125398409112880567524025344689264866577327\
276856836715390742893095474358015162838780546609743893700464051557466761881456\
105074709280745259125118917997180571493189996659081216 #^20 #2 + 
                    1501740688815249563224381022780938476698172175948332331094\
335916495151809730636162091613484197881787898314653989065228884807852360375729\
226947171805751100275876276751962152477534117837773949831394521856327626081150\
730961087582088533757125560069677123700219436693049571382425036912865853736766\
741382760439965005971038195499661055975679266544900267242451722317292288943635\
378716128808260099765549145845717960134116166820894898078128809480433283190853\
74454035459065919227953164612435618125887431118180843520 #^21 #2 - 
                    7786216593857893415230248709953758056971018164340285407325\
718254130642852968961681569511735088078413419571942979598517498635197658742394\
014421980009133498007635283554924747811071429553897352740618269997257550019660\
818167926795749013474501114920165980155838739319386142456193906580518074838199\
761329317586964140679372967305508170587392727544199635002115913464638629436308\
971239504434416084833915890579578600070540455302488649478251096108928905140966\
4551524628731295862126239142603915453434093536903430144 #^22 #2 - 
                    1082712299285071791213577891139074839925278331409159864815\
672739359259180082021239713748659154269458019275423148606278486224689196005568\
353294881324154716047150591347083986080283352628583735795944712718396233038186\
040479290276118660463577502083017884394529527656653569230373718403755512912332\
090834869296744722442454366790841315060702579376408321778377583144008540474171\
337868420304781670013903998173969364417888833278926669007168998125656149132933\
39209558444661136364073861029877001450150799196102328320 #^23 #2 + 
                    2192429401404638580124705545697201920619176003700672338053\
807290610274955140887827762970586782991751484608314419371839361759974226772800\
246682577652896985246165132945599230530253484639732495125768882846872954821609\
630584314448060378748107010203380353163571051605672119259528912255729341052766\
346836387571507621748886617589588647206411436688121276374149031237917770815258\
528941273612153435121605181296158041994565115301115394418729689457585685113768\
18583444104899770098037970013906304065346564937035546624 #^24 #2 + 
                    5253871219761721059697314404979769278697022000643392693908\
112181951349452568479711672163579755056999229011157768658189657471658098697497\
174782792582911231897242244083456128471025687307630709963936923601647804068556\
077409848066539134036100568557131452592404907752735855099796653941182398131642\
623806613533187850793410445642768825045520866481904502620535471357457870908167\
463201009659531202771916535137199437976989768796162906863740451220649058330773\
7416165032197566277854902650876328478517877729438728192 #^25 #2 - 
                    3406668103814050774315176553243190106886061102629706225142\
554964158662749587811468410699969085603641988541969921217996423530806612709962\
150334036017214088971766741917124573605370816976130881254810163897971658215666\
437342205465188294058029778113328934954414993297971340752256819730359505739188\
614603261114511131279034394732317490845755038744524192007258684803731411693788\
160304126014577599188735039088739555934412516467298958297931819404374623667938\
34903483954219876507770777720181611464383684995624992768 #^26 #2 - 
                    2130829285617990641235307738896528562382284961625563919762\
748158039474066786963013166211594863506697380123061881321394456780713650693433\
186424410700991939130744601072268071658385987746716662194041247317450320734138\
720231501709476562066778922636815214593195627015235759953501832461306228472053\
532413178199843291204295000588506318407277943476246557513108192229697272933029\
642862580819329208854028952093386940415889830565891254453024308069819761757461\
7956637984106438833720171879922341990349607459295854592 #^27 #2 + 
                    3608202487452416064237970892046988414340302624140396514043\
864704188272175560165751256502026552380888586736309620041058419254816775984555\
339169344171100785662721044779399903793477547242890318616036386540047633719107\
844707950419628321974944627633888558978151468575111889697897885841084003398847\
548226273352225101575068619266917321481631622961530176456802982485705588226632\
983008088426200210433728988906306775893828101901339765637837417352922677634993\
79342911087116586993589292539126060709525261949140467712 #^28 #2 + 
                    1337982990136760269334914927522542508764376521749199579819\
449453158485360364604355494054637336257949835172193582429253300739441110825376\
289112936734957452053989803697653077281284449817583088192949045743705453179632\
471520772939758871897913393307122490377937556443591762319006003382357560190449\
168996692631565458096599463943680490744066135442289196653684972405738050699126\
218314889473617136566900746588444349070284160695926181355805519662430149137637\
9051299899609172961507049740901178108100808413039034368 #^29 #2 - 
                    2829528341193174875615248859633890158029038467710935114819\
750038867916628552494403434252956000498847595466000915049389397357774933577806\
742863814352175396199664040681848067014452473851796785807652187176737524556978\
828350284013289031525037202809069127585066243973475011037066322368420721417812\
597212964672061616949285707336144200725925336399903066959083058862870543100867\
426962757467198221822257012503411638308114863754953349523294867420083368452177\
57670441480530392156912568223658693034252146764404490240 #^30 #2 - 
                    1041436491702052197754637017953206290857207626996425089820\
718188694102284190502923800675043743237106328488473452390518316118287680537690\
521208577104482455641344548476596206403199860730560943258162554796719668869879\
985566930110508018341340262739807171163514074953147382810292997513768471582887\
625858618094724059648006972355500584098778095283321834846261445359765541749377\
732842798515790322206848435213217082465845058013911720217225424515224783766296\
9187350052541378597470129668937742512681725534719180800 #^31 #2 + 
                    1727338165593346076802065574624276898142583453189978867324\
797321009014159768790375384260761863550502727601352675332422756610318969455340\
645580324449095332033995338034729332569647258990242328130475162668080000122707\
434249364733910680250305014481796792981967745206912723065780032003079488993241\
901937286670688728579533633551547844788204010477861814526403968840519887936248\
206669574980126895974252469627386408743135583419212950547973679168644490383524\
38736096495335367732562411542886251288429257561168936960 #^32 #2 + 
                    5682533157554489697282999387365359191989347584298328264685\
199998182037442327306846814211722889477838478298087475740441535294020730556259\
416813299344180090851154793684931513638651135625769666348876928500773661262147\
063862860227979368613872816115317704381867220528280167244522102600444831170457\
472683932002977160865820399969169253999799052378754705440403929137506784665702\
146569816764949904080871680984442058352212230178403338682018584175570796145279\
067134421330449477049176620044241141688718839412424704 #^33 #2 - 
                    8521171550818050166985313723715197301412948813886403853028\
941141235960502972647382008423364499286647254381644611670282030444351591605296\
089490958976369633656595943117328214264339775096385712215101106559303294627977\
132374378471184058842328965812608673499092848543982681458180926918452930980410\
463444139486286443574790181483039704316967362147343426317203385640396067726579\
492046100189772577697827842970114629558625727630778709045002339069701076982528\
7061749791309366301952423011243258685665520082581716992 #^34 #2 - 
                    2286990629627711278881011429109369304093494838135326600955\
801750910258091182178489546056056635820943769666589567429698289823716373562268\
663526472044722830490560083197141972557133924754122345945947242330959981390424\
412976363034813027721247191689443191145864610524638494884536279966649110987169\
198258734178883272828462070114886675100528708739953867822043436621680291878627\
556391031956196195604898156181249541111788713269689060240538214628474751660926\
596628787051614037311101848161558278835118702229192704 #^35 #2 + 
                    3451121345121206537439503050577345740455029266369514509980\
415272125385664660438819539084948187016367623334501381451029722815149081727771\
520055743033865826238512012614501934592633491907164064870395784267123013765999\
256523259323197214906154091237878926474716549247554160152245074406639855517756\
445110960893218179852040493945890180446034828284781243405142268220475804751923\
764595856557253561186076091430474758244561877976144670800762228200455351967477\
0450353448975307722763707184827738904801300514324086784 #^36 #2 + 
                    1095425439092881578653213493670310654335026083449657549538\
232653624685346288566756052777225068931556806969599264287573325505716516011991\
556986312609604433817264611173547054658172053656698390662943234402700351169852\
282964997388003221166525859662902751321238530157220219792044052948237025635027\
586625451328336851868603715299271144260442380533128503232967102428877556357734\
221087173393389535394098435597207538270588243571938084037192335901337175432414\
723376900482109660540922484932182655504554217321791488 #^37 #2 - 
                    1124856242684827144316485265066134673440177446891481015578\
406386727969897840418209996795080149792976240409796296460882196681270993227141\
750579274216021510392154882355837647188763894968514876705722415745194443478892\
652707927357692260732436908580344358277383137219647417577312287966468118610458\
378963595863236250308956494919158786585628680007901094425622429070829678438713\
377986111666569116373769629502277195042801431017102493531023619246731438237160\
5206973393389361626134112202472452308609936988538142720 #^38 #2 - 
                    6054032389485599725787487236716278006284357972387985407412\
087286280875117417415108420079941379373731692451754401496227942967983382394294\
835609008402941663507891378867965238024272002428354699459256378948649146467177\
620633418601003764582481231604750269053557380118749173967330745106901655875544\
792520174080366854894363142786607028231835092033036921145544631801364202969383\
674837456346121316333243649829199413949364654082673875831529539231378851639500\
81830023790139989574026706594345726175123049723985920 #^39 #2 + 
                    2797287571750347454466275551910119422350465471736519978586\
474506548711964508627497887642401761577293168691606934527856663775481672631290\
149656427444547558203090845940564853570748948831376751290180226298454862887826\
548330017441525206209149418412378186611654796238832647019117764003968456914183\
639419036613728740532748067092865003656566849561228507843799895574889431569522\
078093955931798248557483399278682806075284759394470146239020295102399732496478\
874676873445821383553922208972779312769184796487188480 #^40 #2 + 
                    2346523175794328132972876526836251571961685404166163078934\
247983906044388741711437448164864524050409321827004246320291854446029608683741\
383390743985882997800690192095417965068495513163861799058918437498246388454677\
396747510077916524728600577757398362702919027509947899293786524143128119912270\
125848632949955278480399074851669721236692142626483168383368765675215642596061\
363637190717326165180926341316085970589835816742757278508667988861654564079530\
14078758102338999723024171998288816169467776031784960 #^41 #2 - 
                    4887249016613664013657999914065426088701000863228079608515\
404449194381839920064426975297814189147102154277292245277894959776845405008785\
273359277914425739507399339669351618837267535336123134014718186409797552819142\
163865925711379514246101326987721597243719599282790473026422134856217358313496\
295325617828654363674198904486041288729652970651464936142881737381514071763789\
481406500609927602345242952097546043012346495767387509095861292020756589363958\
62869678446285627417514763910682450469865884840099840 #^42 #2 - 
                    3778573379945288783094543423112419796524915086808247295557\
750048980097695900876714190710177816501080241910581764271018382991874576215848\
134583125980925774407318208779978760554416539942528472249107824311032417390042\
176078295720118451981537253930818874538377759732951693061240342575310316991370\
654610673426758232681795583945310768106746577215745598666903451391990564024165\
633057965246345670127071654542638022716974643280401647642744660754054635016141\
8094295908235569934793128328569715939485789758423040 #^43 #2 + 
                    6897015396103003265219925701195589645438179760695735575718\
885713898026950657711733364626081157563776252762745160188583036739872087803572\
470104316084647447536943745764173680126145546220105901870301775283323572755283\
605136523307367197358833678905876553910290365162580317795434730270884690195006\
295144937726996189154031287351153875907355206271869844150722445948490274275943\
530664909080084689020773956255105457485242291852532318662471382668993278273562\
2672376835622455088964516958047142563203975657553920 #^44 #2 + 
                    8103035161385785775485129621918328724552358460088377764533\
951309612466014844773675320681602121938822254801962684792654317329519968592495\
384174482303933483243318448737839968892159844265852758351135928979020572164321\
096651581191218814451041660810708936283845298348321848698824687677284789834424\
075874034409300237869729051167108825567610275219853610928259680860300914172459\
900418345807368388956187463533910940107735716169743102154480197369051267755861\
521083022272395326342807570360652837761594561658880 #^45 #2 - 
                    5159899934973092149190479087525329707483153254146625054682\
175325967296490110097605770268770357170739599866340830100041533642858573481679\
832772002617915063105699603778878906129771960475590216246095870915344486069174\
930140801873585788255081108560143941056046965029607811557704036106875191568321\
839135221300857258958342373488496208845081479430095857587941925230105149658446\
984642330695546660374980862693489231692987401982485824143029903972721121533964\
724992981409099718995787742842668096490084027596800 #^46 #2 - 
                    2039770978736839380765517890937289068589752625496772449749\
790836322902803620992075225281933284333130347504730328822310568288555657931175\
645367218451012360459929075701652284299548825334845312863439350316953610897314\
836923886244504025014690842164422108699449290119549609762993192590086033364687\
413719494747914719532102327181038887695499579313091592636651200984810585735269\
880672251531797392277956434075970815448046570648664178100278759859313091895129\
66826149097480501955967367824306409385237885747200 #^47 #2 + 
                    6091465703072301873488366673419634359057065065074949551272\
235500473575217694422587015403045750011492386983312221226146311999904136394010\
076987218359922423104653867207743906723636223892284467179108319416753510004895\
007563834519440007452212941722945646160225952041817425562110778358502369434070\
162936828154214589950588122101303167293061227927072527723557491478074688552665\
570424402740234489996541597265341790834775159977254749852200234043929333349910\
40086115721162175848689939040595655167725430374400 #^48 #2 + 
                    1390842702809114526304384165454259183713378504629587852225\
434739136713467084698335412443658294645165254073124037126109406186536453257830\
461117041773919868270968899332683710221512288256274828359256216579772759851993\
848041771248338574395011988901229264479069918420612854781865295338332387222777\
466836073127707528745836530073909973323263410863234282729996495524517850007346\
865829726123658428813229836365818755999121403549590080555516848226446913548657\
16324115924409438210152885644961740345540660428800 #^49 #2 - 
                    4092902375627948272898747094121521068237190950606120807181\
844821124903668387872623762059401999424242175372293290016067604098027183109364\
852533105025572991798947170087273674960566107062802632622415466380851089816909\
740374239448463459518962057576942950563423939593943012160381511619236748301692\
255270034776074745607100604696113448695518477951034386934421585722965702052639\
426063120019543456390409227778380715394000668352217063667509264458741963694357\
1420308332680987640326926130934569621438180580 #2^3 - 
                    
                    6335856568411876447951100388119396135238246899922962175567\
238059066320135202186511039292817950641230191521425661520900553165235895987210\
406652255219203832726211662998994585081063021574449088320116380708046965975888\
248776495555931967727573990404647951248272194672746895553449934317186275696125\
765616553602807039653743214340072488392916954697521205172861324701487140660356\
276095291633523011572317828977901245355720028975808126706719209066890433306782\
09320562205162512842758759407615410545752778696 # #2^3 + 
                    4900475786400584329903928096375687798071101956822600438651\
502208728672593915484334202360498087652503082169358474373317049020975707789461\
957395821774076912873133528420295176292007334513558884757921731890049369965608\
437680730516561350335964114358055995761541998180572740299207896737314916620938\
596785331081999009866368104108015294905883657531588333405447782570825496192822\
952209166762541452034747866213983694155579527350859609070631531416578277193838\
728880467587155456179363187655749006909696531392 #^2 #2^3 + 
                    9452190773792142240879685232219783276104045897101002995329\
357741180521055559291044726030702597545806078608165598509792180024593898348610\
708278652061062849642205585075704211218890952288201344136368403133468535665354\
392616212377256885506642720244661552834634942072984335703164275351554194757077\
742871055112427950742476917356904225254545156308424672151658898560907312344611\
316348329835994489283357821937820520608781479734286306530134888234870661417627\
3155327463626320673674261921986083256335859572736 #^3 #2^3 - 
                    1359579596926758199799556433978421652280476434146585587274\
824735445996862288771296864447776786493017699317559377069541554850395535744331\
168059701357330988031405844711349796534669570316155133243289697529502355288204\
097057831797039286281728229311623919127772430349516009679141964008380921399157\
180324913248947005825542721495308225451458049716541219574714521764430823847986\
315015453422733097701704619941994384887958842596478808584871892947373530485195\
38309541018192344258000271438055060018748390589824 #^4 #2^3 - 
                    5197146137500724322504874352875351352903950772960118240075\
565251513057428140187946267161557316572739879256156777312566542151641361163977\
248829628016883415113431828938086860839635778049732154486881461191955363277438\
251343753031693280819710408041338733679943494776007710332690543009461392420059\
869755469718781292633879336180074304638055768595786513299983332547072072838312\
054479159684867041522360338822751317508469980314272691529832283440519619167486\
819774473589483253891529140876995356569085244651648 #^5 #2^3 + 
                    9192191783405965409724035659075791946799130670154451996285\
209893484990619543436822352808633796043537455395971753256554806021621758914809\
654037079579424944773955917367791072291013564438876093702491007394570386592552\
290409014675083200242020146952130459950303869247289696603138751532761587972020\
424469941751039056958475592801815110870060537154187553520146494548824426601416\
534975793577950345715861878580203680882416501567858426376986147077300954808978\
99633820355082578653966215898774089722615616230400 #^6 #2^3 + 
                    1434296947845396046867151672576849834108058518669185497671\
594567657502078722043920958101759571868928860758278691513527676818883733662775\
481510236157182411575858018066082397359107303052827300763309210476090614669594\
315686612631531665306403435016563866152865722828528212973509708561403874850984\
104929951337560720354281846736498724116981244372627835475785790585843660460148\
970584547490263567726895154210533832388408085831601364243881582827755431226435\
98951471245995546590223679908313120959598541940609536 #^7 #2^3 - 
                    2265081131541971091691934190899844179301821863674635002429\
954060117655338752441868104421028731472776960315955676411735240864310912367023\
516915187101104127155096143760465045910974502728436381216874384033510251023634\
945135681479917930461277330569161262748008884530541335738703821349041948693601\
660737885261352058627378285761592099685797041835312190465295310647929775456713\
707510878958756441171247170500834152830386344026798606462181830963136126855014\
4436085210410928931701606611830547774148819782225920 #^8 #2^3 - 
                    2036742583555589944408479168875550302308096854199059111703\
031934486262004138428505379239452203545981760740031038266285573228314569095233\
773225828510125242320584704305133458728820500975793357556728859728882403491769\
253238914103921176531938930498354009168865259696119146217767599608933494328686\
156408830139343210443603868762306434744922642200249217536908651921307804417376\
222985166744249231857713642806341847366003726735219058745422325341192793732257\
838375767758707360247589650961629251494994170484873216 #^9 #2^3 + 
                    2507913381283675610846475804897566242110200882225326397999\
807190939975612752883388270881762449012973868295105962254462016938377794986131\
576612903272400207910617665499064526284945572355526019093483103259707252686668\
125228602268855732836564263800119085061073274016991893805230496718570457906390\
555122177992981645001642121513068242517785062643648415716313645718509732078577\
785784782084517644009613204327961525057809987063346312248316672552720020002884\
80018768951180477687792904876901463923729146723667968 #^10 #2^3 + 
                    1703372990845719313430273977690891107759275777273861745280\
668487511580513545506247361029924155800978362281785484155191179692543114409443\
323537621323690188695012191513606974430018663799473451415333046577610684003257\
079598696305423594209260153291740586243474590914747322276114957716314488298883\
162539635840248899576353396788351648021356935464237171564306668509351228214219\
671662873613756158008116383018385971738293375365177700371080724658986280302987\
4257403899107860499706087560952853115789754238264328192 #^11 #2^3 - 
                    3259188925809163267127285946503306175556902381636557863425\
684118190079397200134374129163744464404889878166987625945523537552134832329157\
387263945651196748640805764297129976914087500169769705944649977478537018935053\
499754107609694237973398734347349202069322080484996901199396527953133968179324\
825791497401485446192914958823236249441481293605137524204975810770477610243790\
218963977472223413362057366672151849619912787971756723209221198156997850703202\
93049402598889575930700523362177310235710840579997696 #^12 #2^3 - 
                    9073591640379025993334965968317046255017022152728332798160\
812572084770877608353424199027622380835193428991078274399565809705500499594959\
968877742025697469360227396098530254954902232983627230626774626821575049846041\
978328567479062155016493809449591390022943597523021608927164842520112567101866\
423501844273549462523882722180182660518235849868462220356058720076574832050801\
184423510306521943220695244726707425247610074244863057789613517762656556215664\
1320493207183131211190574010545454971920486575026176000 #^13 #2^3 - 
                    8864795101129932626883423379414711111283132169740035115523\
003971520646039668524791216143655678795761679646371143559351172466296104034087\
921777454747243198508301534405826441902777731472562461122802764419018380814736\
141389611327774590809717336470077014132358104045852264264122241118003991678577\
991152385225888541393054194449997073522320037361764519891446174741337079685957\
697637191989597974902986224772868907154025949208648078125367746620475601595183\
726312713368794314894309731895220084960436803370483712 #^14 #2^3 + 
                    3198817997878152712370543969925943463939626688973528004514\
534695774159776165251869852864116429663094783877024089113370519189101990878468\
576322152397730917363508658118592012945251183500280031505584521450092707728507\
971475111627592403442260678011434572860122757521063109110282571804433548502725\
853760216151356395252592921401896583671472332279098069635787643661572500757352\
496912950955372692060035853195283877441952396445177610411629493124591699101872\
91527199091984708738280903133630889521433713322838327296 #^15 #2^3 + 
                    5697341266314944206692573637182817523973068717074834995878\
513274474985313239717895142100075568456139033914016649315242857010108183223336\
881188006681728639924345082051723020354446715616413345491289495595860867546414\
199235485379469720629394060987820963942159490136905126024477502644648284579232\
996775894702062987949646507804111959031565835228111077793884916768117979793756\
401252526475540676717513863824198876459659858631443191234356156268635680314648\
0276991223141843149045589904846403861066929344515145728 #^16 #2^3 - 
                    7592046780219795782395711048487123748170125743300797750505\
732885585227467683497832575197091638737959440340692329922021095198416111514471\
631531488698554096560030345469614414807751294080473430037243512108915024298247\
722443395076877620759669059533603354117540626981140030757127695602456700241043\
568752951188175985512384927601229032102110237950165383204445598397619427157840\
427520575522001132984623430168859223118826555009750997003490823195729779266947\
13976169525340852499857107785553088002185631342282145792 #^17 #2^3 - 
                    1329947399523926248830357309466468360094012347123112586880\
671123008503623582579518794625362232600241965655273885836399110439095893434287\
096057612085776189545744822595477904422337942368243463597770734890026473603325\
273771014191535760746712075626299840230101173904635290943010733704498311320491\
564708455753991679352800074889277857838879964468906482779726883821624082798100\
245356401633900115243906461135644368060367908832249567226095484022266689378879\
52560144387565129931437165261942362072808690934520741888 #^18 #2^3 + 
                    1218964863118935586560540051971949157412920555766520781329\
970644623640757224684600260739735793425324981415603456903138732071953610931315\
347778550445350894821108471199668537556687975364888837470859450824639901105991\
714695310323369732856469182377421057752206365117282923466494711960209219654725\
963004276166123978900947031861924781112002571141011805042088784803515671858292\
121404299500243549008748966326292159909141106360184631043530735488091957758846\
815221490490657099605019371297622529651192405142146121728 #^19 #2^3 + 
                    1215834645659567167850456386385591013799207322849885703803\
595369526691074042396766310293505171268352264649918196975308954230557837943869\
153767166761058034845372117789784914998095512631691558023471182418251804996830\
094136015251698188860343674570369852857887327545716503745284647386155700114971\
040549167444120960433636714556549607129730408711005364035105847225323819785273\
754162305760023156947898385760211738905442426824432453879121847970719065210279\
5200754645759285558044932299541991623745109243484700672 #^20 #2^3 - 
                    1318184574051060624292450223518177641287356373445654329691\
799956607423175479476681025044199457332057698513011758675379209809919385220191\
654247136518575551413207372151515749618580616745179316471129608064095440716941\
904967935333768514874815285796542245948618762973964278179314145458001863933205\
559611390802645060311793166170371540056840430804117609014237480930754132359896\
295269792539894943016173232108428176093718939164223201284939287905184671325454\
556418870080374279904542601147981042257701046140260057088 #^21 #2^3 + 
                    6839537462520624111697747804308631321246239171752716992919\
170947052509430362181372377928713087257558316693085385918880724479634791559497\
182810375194459820189377331811672956129722172115109417572539551148979818505435\
907193315846897684056007585842861175016788935270062148844292966133052909871365\
783120079688077021998688145989484897178362542437261516035690009427361243485240\
789971326587922778044965461406677013405289866940317586646158087644443137467782\
93800901901089004127858326261585423078776016716372639744 #^22 #2^3 + 
                    9494596568500114771585576413543982603848288871154481056165\
617614397430116853519491288190392733794671269002336480642367895774561799831688\
544491344076063579561861084864299774152905745136385410745160103664985763025614\
969080818597184669168732791857258357718829130497265769418864437897895181172237\
894513887944014206710822632564061017067168220349264961564497303940204287699340\
061321234838348099163608882357850982839013003579368632295071473258182868513348\
32558998498965611669688340071768003093433443082534125568 #^23 #2^3 - 
                    1924943900204320151354975718085908540551175929493487841892\
106206221164851855028529931034237054693573020868855238371508927318899548948861\
785529168210521531500334866578729373503027760983677571578974628563640332741209\
233332901526945425918938150835283324846879357122009496822971866421156528905315\
711846303221662754557191627122130003084588094135350110785458301049549360894275\
920587949884281337542984875538351863309054219796337741262516444998109394324978\
195166821723548752927373637431149811494560006081555202048 #^24 #2^3 - 
                    4593073329945058007341302845633537528637092884196560984409\
405507505331105484918715029409316919278483022373305677992837960644949166049140\
184052478965418520438646164140242961081776382750153962143737831751909220998553\
834057728314505157477926312230504578977771422221422080535800977610267555664063\
697203453198310619920179913107155102167776318641898941435876775890507305049070\
385265352320902445401012163862459833306706931021406371469567904887190614007870\
00456170092188484088257435919064122942574193325348225024 #^25 #2^3 + 
                    2991086447743841875182827029002642416849020915987475658076\
845234501705220913689533472369911150293127421336172225091735072551860618844506\
199892513176269236168824123205959188822314251458480653709612024411541024292538\
848145739444852512712950592439973938306845904694656899870337341592686988976489\
901998055916579134424983293831992337521684232379037975160410003731856561317539\
805665626789443974976666909537720616722522004106915928606548046125983632572679\
865073874457878123485043944821283675644303736266356162560 #^26 #2^3 + 
                    1848971455876718540169254146774717084769498192480939463735\
389447443948707260276921824726228291881348012567627020765712337804555201173400\
273799314590972380199997124163877013081543466344109971505220809080115181931646\
443772251312335638993288877304434882369256890977924767144996545465127836403438\
207679991101147997402933355010164175659706256427006149452246169571667152473986\
339950217657993793542540198284440978589153898325091529585178889017123285421471\
78496119263574884919336700728653822342709088527931408384 #^27 #2^3 - 
                    3168241260068503954994350588011106970499987676178755523645\
198405111380799085775569041476150956889263357187377743469444402866439131261071\
494529684288915796101244040221414853869097311663983749637245118676583799349391\
981169524418944978424855854882090632582025341845630707116782155703933843427874\
069153761774751990678796238679627422739759832083979803090912872148006937291139\
680590629494584713668863272233909906070850800941610355979854771484076013515129\
680108510245742343844694449060616664422090426794865852416 #^28 #2^3 - 
                    1157373218718158861720842980278723445028065384561518567628\
197342852463144024651152403586357561138837360213593870444780460159329499658723\
307149381254058362266653507261555316552399838212776615299397665557376591979514\
073582427947630540231976173551269858865963896791670627328468742089342877488225\
196272230573622561836439212814133032292492904652054237734672520579507522122750\
349772026158154466428235233553159919240455110415879268063675796679880796117851\
72905543207638381724376241670880258074114930616324587520 #^29 #2^3 + 
                    2484649256475008733087605341862101368789480147018421348189\
795653078714999254449367067252012585802627687792472748313431808941572603425110\
113205069976761186673019122667985186618802469453105316678461302335791562290001\
091962559137995585338656737003442004009087248289597284751790122720041845679894\
191385859282609262518136159114448785658466818852496724158261940913297574626770\
555688676673403688732542021370998233546262253192834008283462271094930507943938\
522027513698828513178479069401873207623924531047788707840 #^30 #2^3 + 
                    9038131436245371058579271820627573877130850182126203397334\
283786826063510593786196884064758977166681825778930378293585351928068321939461\
567981888643184167295142605837725536623666397962267975797327075541814340192688\
162330222483563185987124940657246657728592928488110495395247720591859699944171\
403933709194000253576452426377881050159805361952837951365438868588117639615127\
053677354204890717566814001377862344752816437990730999749418567749920704808454\
9512356132224793613244681027292418808791340370484002816 #^31 #2^3 - 
                    1516853539510872501733324942203312639565194857065240391867\
956569628909186487836826803673912731875053170434179547627099248834075581003126\
989647366256563886191230430763137613292575917425211400967970568144665763878011\
831792297176276279305432165350147719696634305666502520847526733729045970614493\
638972018169775828721687771402044037911443954991967832356122114184542301614746\
989881458382248852405341413997691816964866301573070612898491837239656880776393\
687707501823700992585605577210986695574885738197456781312 #^32 #2^3 - 
                    4937317583987213030472330186345980655291974538411315361076\
572377924016636915390609468433070806795827481488862987232872761633473330671516\
070820211132606093458168654676418411462672294846372959822898800514517188030521\
669966612274931995836857565623881511986516176444307820309125593620423275584554\
301991937117250699439628336687092685542132253810192645951828970257250348158100\
963537591677439608226865783262072290794465463367542449839969453236752505858990\
4097842138556546939097491651770332382261054522611728384 #^33 #2^3 + 
                    7483009132009560131390266218199539113666806933217415184442\
348364865797166802514050731566903101360513034609714072636477237413919231312003\
904423403567016552747113696364984140104243590249851740792427169371289610940460\
628922752692747070321839282088568794535147567024079339316100539601390904917085\
456323723157571893618382267219495688276161456742657716415790675641916157523447\
636620489786673139537504649568017339880468807656199589512891154047749398432425\
35108059490010857901320317717936446626964472543697698816 #^34 #2^3 + 
                    1986846986140325124465470379828400630436082050562657771724\
086592799618553811223557220873643646635851095549830138270178239217688878059630\
725458230379161071375980627123468319856388509516193527399490117565641157433219\
543903813194770114031826042307830055872390774255474134980981321763965237760730\
863852654893216531944399654124816122188342745491512169984342486471267078231313\
289773457212214628294946298614740788567736352650064322067511815216146834629669\
6326103778194390658982752523876248083657350346021273600 #^35 #2^3 - 
                    3030750468586285941132427547260689149103163174327715993509\
266145508926382164420001260147036171276955192291724683257404926231444655339798\
123591757028598622810023298564415294786358875136474999494264059437530898067922\
994351628232224366556701417766825370245203543077436410986155683780825856366285\
316186300720779204187585036141886762214981036204554115109144824286189454672477\
987575056051959861505588597587103303134927991012389580325845589560370683986009\
13344961053630716433071786381521895266082637637423726592 #^36 #2^3 - 
                    9549022642961902754870858536334122495664666923312656220913\
191537123005375351630523526137249479278164441370677395408004482580739304966674\
491380421713112683044597014711072113943701097922630438642790115364235074529733\
061745032415907496329224587516594797346977188619121615775062695063170648336652\
602656393157314644489717865369279802328096909765242483028861593443778679468567\
148466850982416841556082448239826698131738452251117109379999133273961733250831\
126529721357554071807381080604466420519679543119708160 #^37 #2^3 + 
                    9878826238669187223988632079643797671788625752073882068216\
612338841931766218390120441358730003462520553570338128033682374839500107096583\
356876294506618621035470041292662550348783066994363223530682570261115218940446\
137545247826012523245836319181648947852038032699486369778167810391156040230730\
930132838366306392380579343911600467583077936377564346519323525770080826878114\
042100214157912921492526791654183639128083874671714568813178978949316520207629\
5171349574212629246451004162298156584720030888634613760 #^38 #2^3 + 
                    5298938798301696645095228988161354094335769727015201815997\
431716975092697151423879170245123091767968885942521457936249561725833092110276\
781825341864986255688106983120660028510145886821347954041573113637358705723666\
277351436104278787408354439259809771462342740098547221448155066912092074467308\
233889041978692888127551796540372331098534966255437279446072313085523760497792\
552748087677607789800744889825272118645566667929227930069724349508179413413669\
312836208270961849561007413324569629837436322987376640 #^39 #2^3 - 
                    2456780244570242134375535623249630984835985018519862297954\
324017661961605323603561787938557566514944728764293286103156209387682109357354\
627391335608629428480061997260719974660787542624611431023569416741305374019196\
215516954736407688226461900681399012431267801298641357623690464598017595095511\
510185380754892859261534389613238156585105337804754571322413679974960732038219\
157042354130056457556575750836419164670880055672010399730830940234839260105957\
2932426282442382040163864274185278498444652694040739840 #^40 #2^3 - 
                    2057730855762983814464746766850864535967367410247371765341\
291862080206384728684692951814938052797732007421714545341771781357903838116567\
897587232326816545061680524368803424424115460351038443814489155717013374346307\
019942334732815906232608848019823466972202427815743448451103805942437852357977\
778389473980049660817610228969289140139535468216454073804513842400996271800378\
601901253744425484325091831658203337040508758698587676069949231471209048662640\
987810833212116085250619678861020906850108007346339840 #^41 #2^3 + 
                    4292365754860912887208308308714360835890520727861188751060\
976448470681400015992402980270950830900225730768245913138514257982607240554990\
124068047540552827201054842042299699256782746987593146827210180685224565152367\
300712007245310721223846396243786319109633784226149615156097945543410884306880\
665158310882896839908116346671764068114816782430103486290217085531040012402569\
148116117190014087135566801481139168990020652429416310798955492979568540989209\
237732818188193296351749793494450846931377818246840320 #^42 #2^3 + 
                    3314065056772529079434756681973881577730754340931258307448\
704626059551457706442212394103045841210847914045399165634469958460525244968772\
624463952669550946215346541411312709160532443908912170529892802895640866940657\
871181714054256890717767369246519923104218568188552997283798041152046157758778\
835021619865040760252296446651973580624179717134101276454719172821452755784986\
840294439747107679961246750257122068356855050232154210060425438100608290242228\
31864917882532756643625138125964113399241982953390080 #^43 #2^3 - 
                    6057824833955731337318683549962275248791540819220680642937\
508916968513484283387162806626897999647705762482951316741348263619923785370686\
002900392404160416366382304110594061371156456505313903343429212170977760406973\
388765482828432792183136958843806492874048073890434855984783858203527641510705\
658740944150348715442470029538095374000539957657649957209425012364778514401090\
910048533241076688020860295871497775141499906487367605044086560003950409184129\
65102616258019221028775176333080688192241700616273920 #^44 #2^3 - 
                    7113431649179133761333177339922980035356713184415678395331\
824028724056581872511210988330813542141665557593603469018658230298895091160259\
525863630092303015374744667586796254973195782702259952307684013438309342712275\
377554903137957021800084930894790741860873097982415612535293778607959118442519\
277022187618537755250239582921737531160927622558977175468188523043572909089608\
383460568103529196702161569079806268428614233432291970374260672504605974658046\
5130604912890163323536230110631061714699470608793600 #^45 #2^3 + 
                    4531743571940252708491421672810976252537223391675074740650\
674701534009818789917469929007791295934911866140516004723479335889140928571071\
078606507113105298039113798627015067481182950186762684616461935869695532495824\
422237320482996056029534332547488382560510361419507167621712810804806732144356\
071608706791052607042915218311676697461866064041619857308641884106199913642672\
635256562417019126404750578129606358692442979878655288899050221072580207924149\
0480255144402504412610558536318146569796271787212800 #^46 #2^3 + 
                    1787220745006802358454101939188105069503890148227121375546\
272978117224436332029164127603336163842601750932803391024059100443653521717900\
007516175135202461444550099631586386779677830647827474172099713186545315779639\
673905204930308081908151422287349157165669153459712197419033285158893272828225\
869711698190623147979346891125016909220186180584748058225774295516292246811030\
486446293143429869291413708736641077760154298237878102796075871031951261600920\
153121246599342491865335832062608517647701114880000 #^47 #2^3 - 
                    5350859515528766268524880892282034943444705531866502052645\
002055718552410033200437745961548869156662886238897938629735050114013556439654\
233322733430731044999410802131469948272424982736497867647169884765358566920922\
716133179581893303089448977076041150196542285546889989302309845277209432799306\
144694775276593469308943775646559413060815942918451763217539226047036333543396\
317969202071295482885952403972921139035922600788083796188332061729240973707055\
142818953798713083032546574416896430725848576819200 #^48 #2^3 - 
                    1221544686274413115629457601801444768184280053693457633177\
183360218886764647338931178462461657584513595011103730064753375309196362508344\
235905712839607177284755294799296194743000827442418202332608732498085788962250\
719973686902184666874245688860960974753726958585338503644726748248294245560772\
937655425278681015042500156728358934272633986540884970944066374844480472119951\
625813043277040134371690813616376921787489708888342880976654932687169141415880\
334310671578455117204622802576183853224611020800000 #^49 #2^3 + 
                    8985369044593327685151003497145774972568261344527084342889\
191832939125893506265073431641280023642357911710317982263866498134887897108890\
798324045523649365321401895352264567151658628608792788247070635415698694526293\
473303385399090599342388707225500742749233687081873966797734279269526104803242\
618833608494079230591179685679640803840007703313044300689400945876153477636834\
142724992109365757370388973663631198385942793230028486456175920093335887289470\
8504906889865041687175027376263417530221662640 #2^5 + 
                    1392762716863930747916102764167305964691635545769362014995\
384350907317287275916606246061387910884449543909206821710949774972922154872419\
363692327351024129210387278932919605260818715775046789088619840882913916369010\
041551704897842519132529716021624386790816032302162719892349947800453446667813\
767606283426086444032384188723463736995585487913157190233415502235047437644392\
184590230439640332772065488057745759459043256539961428329841194235333286499467\
565884792316386462501860838521208205623075357696 # #2^5 - 
                    1076417143131179919258363128748732091049089903899102979010\
263537845926326493145708905874929078534333707894664154231053919349761303325683\
687624936308528568270675086480077553883052988108404332076086748886458849305637\
782677332510783761258209269089958364302005283032668100128357865480845388483259\
121759198023743950071647569873046192314073465045779112564178258481733396299030\
768904272912072000199953328209047255444803112332280590987505000472778402197336\
8986334909419428391499093500603294559720717444160 #^2 #2^5 - 
                    2077315969736797376559729269849387356596433703631881254541\
638203051712067807596363189970703232800721634464472797968831714014927544223468\
583079124787117733350379268891154272144005671905177485316311410624483864718144\
399021653413495251321665156712864411289795145265471718481079059009932446006435\
423766537347669327577415846740355731472470743510920933270307485436776273998025\
235267801663846931922695553466146148976937116261412306858262058322304410589978\
44888071008315772189953378449429189506302103888128 #^3 #2^5 + 
                    2987508200060668450465019961360604247373985733925882083395\
950167372473561887431951049986630337320647275781877672171782010024801864998521\
083568647309634782081938744459423108819070771916645603840874908450820944952828\
162629132069315736081462228610256496603223625062425931347765890019189999477630\
954003884478972386379871411730289052213952265673379649511656291364664120632629\
959567564371781863043921975049898426606696245133177210333899753133709851487850\
87188062597983372089286864589991413315912760787200 #^4 #2^5 + 
                    1142275032622279744798814689866820939306525116962790582780\
976573588286452448203230625492556354528130015768696639556567678589872981113669\
777674216861698778228058417501813866192318130897262192681707828770075133292840\
661565161315318097144697565362596731302129202345086129716866678180387951435334\
847921901913465242684953224942174946693474992902748781015511380992241779084302\
167592031881745159076158495984008367911397519220025827024922030089792004893884\
0240426280291179157107936867171418833415553934324736 #^5 #2^5 - 
                    2035440623427864698992405336887374483209203148816593602641\
904305914534641582175773722550719841046715409190022236165481882072251383056357\
665017338761473640131268807583308008972536381421877837342798159897912858654901\
594126868123234418100716911195999109948482738746299577941515212498822339061148\
210501262103965905425420258141800312406194845776015788116342269549543803505235\
828180799126757637602887679810494929109867592167020283941659189727613461489389\
158730050813909070193743877021509365684485504461824 #^6 #2^5 - 
                    3152319239964304749501778260137760410316779295826837782136\
731199751489815332412093255446781549159649039005411399671423425386477530879404\
161005878978891110032072978022680623902216864818979691877486471611010937381447\
602560783748304608885408998584315659006735725583597847925980196435622098484599\
351344359660625390882167820652996543030236147316534970345273739365129496411543\
580705585922306550671017159763622508386383401673295461989165222991560322838418\
29162984607684149364719536929768239406448066722000896 #^7 #2^5 + 
                    5022321182013458655305639483622768893035827861526214388779\
091523244657362788076277570531914452450204317422813955470741112196558932410976\
889692621225768668125757048593074106532440964949405503553181320049096870857114\
646423755314924858228075866341452173861994469825633356575733444515825631179752\
814833501612392653903209747491415128765630021624253454443983560604781471862489\
735982687229261814088586727471160596301584516085162630107544486299628214667485\
9981779806969426360506414419588880016468542885158912 #^8 #2^5 + 
                    4476319762923886553456452093649415835973573054987249637366\
215066162129915170438393266369641496416219874281309081646600103758886077918048\
115850099563995812867963283074022952975328450860800171165421030810627351994033\
329613663146383402790747517263198928805403157382168664872109190869959931866335\
803193522623586957940918205434790443408178249243041899016579779198959211107037\
044506086445804496051261700749447228401940521181380587564745268638245154228801\
738797273925197787760585077355319068108456278326861824 #^9 #2^5 - 
                    5566235478599419106290910860377095757783146685091087507199\
374091340182690164013252218083570055678666083303803437920026788542806689796105\
711097216291368968962434782409646329327796249939978690125760501173296676461398\
703153263343972371004214705595681191349869807069902458280371699592942368906391\
678329453889896040362198465059471645448202197451591576160509008752994841283647\
207596091545353536458654293414134857654725908115840110223167774807681835393277\
93470883195853876557972432209034907212731345845583872 #^10 #2^5 - 
                    3743711600035610141642505957753626103612944327295600650156\
395201106766514212324589451749384830145049974215058466394254862280455487320989\
228986677725054559413931408328082181679757004939003973621780058476903058989658\
238728705491137710821231503676978496170500503722242915792985475427924190612109\
985229161354464394199870585855588445087817963620328277071953284709997029147358\
438341733075606460727843171822244437550325162072344606294937443706996250486305\
6556944284528361306608680962984077203709899760053092352 #^11 #2^5 + 
                    7535371317884985006663502556071600812204583418101111295412\
317047965840539250768346233777417420082842638792506557107980631569497266103959\
322918316743560898325357708487319541063582592267129154713402673722513732273066\
219644183397130390984413750105117224353419717976687555311885246837779821331208\
613619888218005965592534807166134003953517103127658405194988725984536391398163\
153427426224041035190682899178118701507168375099806067076886605337548773894030\
76479522467938840991725282063205051614238452633501696 #^12 #2^5 + 
                    1994286465839544626240646576152976288725581369805980928116\
520026297704463800705030318620567693321401149625895044249493767368511336943539\
810230494303248153490588687870614565741215657395208317475437449675008610154016\
286963913303858791827966682751648115738583111444183889051407842129855981936008\
980487083330962358195168695850791322663005637627637228762425064710173121601623\
237979602820068852730080643851632133918218941392958944752474340863452222766141\
78295513057060795059651334493448146027826484926778048512 #^13 #2^5 + 
                    1932722976222773104225330653048550566879638863608848853954\
735920856023670790868750948937414661846648006035603496228284632105953302834052\
059378672568628069606170129843772855830812196137230821232050141402252682617252\
926234197025341549656360905354339858020508933101295504251090467426369816469126\
338830962391368825534068594410252376210361976546054516980407883058274431443904\
423453368105706387963027944884774505338088034384528581143096763764636420687313\
4483275956742119345387324965380658495189497874642894848 #^14 #2^5 - 
                    7030945647632573959391994024752169880500100157288067547888\
351518557116532496746867668266709861756043218212368337759155497437679457206456\
257114014426641802124412907460840676374698558504042422416121210876673899500365\
277786816340771332740221150069153213041917342090469152464320783109527740445208\
623011412354867395778676334981673952676321541297194726722325444752951700064991\
205093444849947938607454695895020423462359524957813066345357776359700639370434\
81082686480327022743781566238079158800552995445719695360 #^15 #2^5 - 
                    1247993578995101085756706162548712930202694699905294531022\
290284850453433676669067602346295608407214524242092587799555381494937942794723\
387516332843407082284675652131494986958949045173817471021969101975335241235023\
631173232425476745383242698726967576815115080279048215565093414665970195057466\
672098777866355506322177073480805978871255478138945066894596232158368781515366\
472998958168795832220795389080132083447882373612051794321365129964310895189525\
21557060556232520778288931936466977292605552306579046400 #^16 #2^5 + 
                    1668749519084350871649835674524866972586123235784174713887\
218179806714641137979142467819858195863474701339360359146362442564059402015926\
706279996251491276825652972428609636580352052054044624990775794631767181231053\
574346502030836505924207393040334308914379829126144686753726192820440109802486\
439898325115776928675029278697162851103408223430795133617652608715653580616707\
705470700086313291139127790135191244765515167644024404837334355991795620308150\
676205682887150426463236043482623819382286657394179047424 #^17 #2^5 + 
                    2915631700504088273138060721238141494087713006027159432225\
309966840111741107156447870276185526465623361632067062309061546586764769301259\
474587091043760682879801733751322472309073065448517642902428439653366706992070\
719489411606608784152982338249937322035864844884811578543817547512880879613915\
379038555268217853340533997612699715911156167427210337702328631316158004364092\
008471152602817919311526601380160691218408827597734966663483926490038219905293\
59592717670898689853684215908893657788260959406404927488 #^18 #2^5 - 
                    2679244159025192847522849441102317494445518093299249589412\
895460643961400395592725417352219827928115800554671458640508114962193185955821\
487440582197552982017627643398385523944280487157375151112877115155060458961747\
187567020022960676141637998440109466951544772679792857627408628087839364652171\
092204694780682686192538647851693511352699869954493908751387837916114497264880\
549982053794108539555420353486282434134067004522314973905487657759071160250172\
016773275764034528717761788042219150284857699660151652352 #^19 #2^5 - 
                    2585170547932510719951241761300903959305614031236008038694\
165891991049406722348256285661899284402374492769787023242638037624591156747288\
634672077726325776647847054509411662825588932658421700871468342022323757462535\
293796673026963452833743223253373269969129753246615233804680067889782872471690\
167700200943228319718723261553757131901569066347356910416769931894380194422615\
294860713043718837580099575639115268408828068476584319121148602463453259904813\
5676376362842454510428645468414195901763635439078473728 #^20 #2^5 + 
                    2896946789582676554529852154760532822607320738129664553785\
148624811417990456182310511657325224394457482335021103844550871836941121431364\
030613117685979876677165860575874767939001287223326641087660485967315125002439\
403212675640612852849886086351786882080216607394533932146285912021398190008474\
594566368054545335423608819784080083091381738330131069160043454400640382215954\
491967693134080222931672659990187144246894415298350371704314778981928801387017\
887592728687790753303618191193196771911525033007061663744 #^21 #2^5 - 
                    1503936551845131076921556836994219154268051775198527450024\
041497881694346720801263636521121475756471750586672686409880376038102974005561\
421047331308019466663583883748417373252950384395648597709114393934494392488860\
161033083399713748415462625866999759478349457365550060850423342412876634144167\
067606412860658223345265031069892573343309724458801724910334263671112694431513\
639668374863060257567483955092077490136693166278672841821937611132313075049252\
258906444941164404470490572252206601327597377705073442816 #^22 #2^5 - 
                    2085728733968529265102714176401496178913341378524252437003\
253014490315313354882415325176387950420602678664991956459577921056849944481974\
185919666461307148811276832170428116394385718236916178502927490289176334943129\
207400240498729812617125541918378900572999598177187082691203293142696469468625\
790954768903914420481808193963599396758157302489919337163635354510277652980303\
195582697835724303773257329191174943689228812423303904152882282560404537943718\
503818124749899954664783487115565591066685143350719283200 #^23 #2^5 + 
                    4231187061915858100867263238665554361322637448886136483278\
182464069687768201643089166297988953637335120253174812510376067875751809229012\
533935538204577649487702625310319453343500941635664584601764550786275214062362\
806652878047869068043698018302754994173739697070532707230008171222272765789253\
835348338629595571339360517160982328566019360504080759794576558308314947340396\
015070454351729221844015446947025267196638401849074693778159957714774546378578\
039211915196219438805082727934160060548986230014488870912 #^24 #2^5 + 
                    1007644560788396751803662165545697776356252730631609056227\
296188442407749865271464363821489297778481909247659294046146190248964730129189\
461580852502805662109302878133260379192797584461135129342821442085301123668282\
857500770030657170656931259111048774780092780596052415239508015475284535909264\
905869455806688416515865998669405135789640486976823307652169611724787163195767\
048551748981643419061013080397342658863644029998389306465991118808113573247257\
356672512789826037046817093337812400757069900008480833536 #^25 #2^5 - 
                    6574255658600700598350525187278889792843067711044642656866\
554874022079210154068891474578602837606783168447677644790496591420900655649511\
958246671734720242553373124399441535724279025220701291957080050087674580248095\
638627963002157567506691211208572817536563274492806178775738044464903773252007\
379542047484007161585340817549716835338561293040053701954235742401778533717835\
679877969317421441383825006875909650120254928642766063457419021377659348500589\
475401277141884153327176222302579644999906274276691410944 #^26 #2^5 - 
                    4042961835528343161670696985962626672865778847030742927383\
341021417607510141415779846000090952520851766506596100055860577445687455547257\
602775752935305532373097305826032824364743849333258663309114421566547832007128\
119174767607914263136436570854118611990451527826909251351655145088491968900178\
213591506480986515836453190049550991500955574543889643528696050397125985539325\
822633998412343990535038386939089158487743218369096609995084755193476676093270\
41054760388040540866525609735492060806305521644064473088 #^27 #2^5 + 
                    6963556741827636817501775621122931684835548355918531401887\
822659368470045442779786432282028092196616913796938857389178495329863580389051\
837920579764903195871520611427408623162102591201327439216822553910367946944027\
000473062214937493233613779612381195972037285813983285834896601683807037177334\
506600892472319794940427595610638250927485228942073509115129861045153919194534\
979208695439322213384489920328863882444307496964888050170754166196487415651088\
063758954689967707018685090698505592529005590847502155776 #^28 #2^5 + 
                    2526800382630193183739807659503595860077184642300796481949\
620820956730803899866006561276711769104118164868747121785093964111841275599328\
653125886834185223860987410583220830511737281767630395249070535567314141636415\
170317304963334883338332466435046036774876080993697622759829317066217756228039\
695667608873423144845050193011778807369094135588735366013445589290893956279852\
155841831307361524240335782697510688676675707251456179578779374496411171134099\
99495788541953680376140720936724775942411900375351164928 #^29 #2^5 - 
                    5461063539331291443807796385955319693984934291988712310768\
785444944249796832754984928392421091619703657618825056722493238671993321056403\
465562254755475755909352867632825774842327784355094105858767814163149492324774\
514462780861931561127532905779878706512123433044285291843869284762890780933124\
745416826969374452294059664591593463275369754106147106071520786847409207682103\
243601465273705773680555797641045640381318150064950275966932577740260348285990\
609953787616015816686695533470275740389116746574059274240 #^30 #2^5 - 
                    1975844521138597056171881064322744892099850724080200330230\
064273494462249622356787665207263462522695413996393717375051666257032171615926\
823095793175682608270532135711681581758746811594321133750074463599443617653734\
316820924391087810220160232110972369343084788194139032667439790932092571577844\
573495010588958740493156317842447696425606690819461214682837643375908096142157\
696826721274591224750574071596251858733659581359554839460381906726922761389845\
83844306128171342227888491729798446652649610756451467264 #^31 #2^5 + 
                    3333916020260964890877447093363220014050214034260801755015\
382094088150905490298747490728363842233634002647203945279504159144229792599962\
622936912629342775545619166602474318687395645697449475167123541282255802133927\
773260032206615774301098859037080407551667003705909608239661839168130848220777\
190906888924142279581497309674711409068658574647319543783843883700072687033629\
363725964912915172134081324862649760606630247364234781627805223667580950424412\
239462250907494376298037717308979675784038051178115760128 #^32 #2^5 + 
                    1079813830303095262228026467064809439808802501948401335131\
621291914198568377184942421025997933058844527553584538122492864985676336707387\
794079398491615385975764906991738138159980115166447186715643749741541131313005\
513973775283726484629729194246002701691371725336106093607033835000399770691213\
836086910141774505701102640732859628614241522270199560454435401830762540021888\
682243413387567436716607383644683029495321886661748428698145253584324975498859\
21287868596991365963013387060642296514001473739077713920 #^33 #2^5 - 
                    1644696358394499323997342910023470907865832040103746202152\
767400646015271278180599007928305666337387347308929753736045182695649170364970\
093761603700047329996351005073035536110332129994600062660516397738126738992340\
248128262409245678335876473931928759806627364716454961257542995399521312721899\
434175841636379888236323441918482187043615882893282011983589852337845448656821\
727125572567462377109705863246177104998565749185445499772022723109560647104074\
907693931921350118124647085351625044294880725263953428480 #^34 #2^5 - 
                    4344803959013338590496492310264729205346974416007828074336\
015446602533013016240697993461072720554545672271162403754906429525109210664295\
534614317404905694377817693661016498604854725144097012360191515004552181742464\
863773346867369090205882421604747412535266078696334801430857750823542718000106\
762435544416021119055870110731513035113564044697658349790604766311958280469653\
774150339425884273846778617792620898876556792184079988864195386980759437897338\
2924702570315946490393600899873160783435234647532896256 #^35 #2^5 + 
                    6661309048532782316474387914911435562409477027151984603134\
193939521288827323291407840615763483205266674740673489886322301903538014075623\
581189663284540783606960255534811496867267679855793621397853515080707447314002\
417043539364935311744564726438961079640259512293603379762614045205748941280708\
623861934211466244016462503002788715259577180409130829717825726195985007607569\
950906438767671714054246138465008567507004915509513724448549793479150889860518\
56958141393285184614940312328678075684892605584991322112 #^36 #2^5 + 
                    2091455263699729176253973764319063248645681117697123481501\
225402216831549964252185091760401903712457970408886929321940369903430626652971\
570521519753007463090270060999937204808796417605928372472174875765898556423124\
899400126993416079016812493725642673640170340694790390351015395483244180518884\
193414974864268423680169290670835159177735766612770014227264087484080352798895\
971951052445670756167801913840570429969366849749342243802000617556430754080168\
6737860981038911357398303040706911387683599152649863168 #^37 #2^5 - 
                    2171287329580553544783492619801994684938866637607942700942\
421508127991355412447686393474822926471580532252270606376858401809103548495546\
268995633090721059473973153945195283307374867870790651278374714573825751324214\
344594972031527457027905676600046523109561084664031092621689662386691953551912\
792141879233294223861963166442425561807802174575342452901351079169434002336883\
093574784371294404377125778592800337763117591864123509080668207065810479263707\
29464302857358182145571722761171097498494522656093634560 #^38 #2^5 - 
                    1162795980481577620287277881153219679699424280717219762669\
972812120677462116812762481283815731455464568165010266762863168326457509573660\
645221132899595931719492268057824814739596940229546186666515293150348008251537\
021388778958179558774766578724731571739924297697666128380819130095921042621816\
294203033177760291988216950345378408151464306319161776161954591154774940391465\
022070393746086498768325488210924670031682026321376994393961865405063439018624\
8265688839670261600119029634190194955621353230277017600 #^39 #2^5 + 
                    5399858043721904557186716331593029961444322127440612942904\
988076437495479917675137336662074977578019271412128203708445114995633905735530\
326543888373500521133681910601106487961751137719717659859463539266275164435938\
091956716115712886357941677712633669761933052172853162000623341100819772804559\
895566245505622713330972410009624160613982155424956992261385068494176269885070\
245918420014597811531028399061235000229157800336313623578619612133517803564150\
0270519916521931300878850096018607771454259806706073600 #^40 #2^5 + 
                    4519374556205059963734675713230489417807413030244548657969\
023870289933247490142083076630846783043909272073579331962595801018971071603988\
834901280795759683479849790989596336825814285215504130106549514228509101662336\
427981250434153868852584184619672538864738725487096548584468172974757589811062\
111686916609868150828446738469407946259344857620045203699157036609647631137781\
531492496994763987566904197469473354160179294312300519205076627338878838064875\
586207180664890984965728752175307359869299266410250240 #^41 #2^5 - 
                    9434334248165932365978919528879522243141926507862802841945\
801722891254485795567970113439433420169878023426069096513570281051578604177610\
162615432615118003678726853765577705788659665927882588849246519773122008778603\
967346338954981342954666171217076115743470531701426410165380423494315855887140\
797780525211170574355064263689210685496326009187568553692809018228174390377150\
092873202573178783827358852853006324889690539019905039507050867015551624678992\
401398887993516826769287000896491240220644589678100480 #^42 #2^5 - 
                    7279240684999193003450886650608104554568405277736097055144\
223322549420897897088430383542523779073506739546422427395541236056233244598756\
298467121732149901567602905065010935306112033954652468599222865493793054601854\
937927033609708884653841130389048292175577787532506340685176419120117867710033\
479936471131482169886013534918945148647070615919777041580663660898835688030251\
987639411246076034392398723190473942893493341392652311915361848529465165900206\
84170865756669661057548071493881332959709898452500480 #^43 #2^5 + 
                    1331487479836726218130560839305421687459789480101646850513\
930450015414303197374839976971154803863292246569037182584188821146123374736772\
832350262145150464186169687393513248134251274049332679979185725535697027592003\
674452281869913372720350696048663614030009534246403619530954820318017932371851\
670902910591780245793436467279353608187829613359215127513943119452141671895830\
529511220303982641778387812055318220927457408486112249129750184448285160302408\
043995875938939660156189146331660920339047019393843200 #^44 #2^5 + 
                    1563091316364603348200162453461221837968925195445910042167\
983321544088369102361432834131204478460010077570348489788859220994753033045069\
517422194646920768448301915969891069741904653498649731153011121892963721984616\
643636916487423178235441342876437909204083646300076735159527236109102655383419\
714225400735654970160695947287045702171671580040736947476888927675388390520933\
415711167894245763621064674879127075726309310570662433663845844849933599256109\
55845912636761725537089537539809892469234631736033280 #^45 #2^5 - 
                    9960321731397031489745697000584285104347512928908805467509\
430042494382046860222724047205010146505876274607035830096415018826815184363021\
927540342488221357660994741099421532462463007521887226952858003789770844897857\
960683109309629944858360048337081506407690343931074787671601141811429081425256\
441375218836962644012625347743532828609929749952747786083803849622853394944180\
101385584748140953432583681167748149203845798634185073871677401221103402942970\
5603431942327340000884126787644152636590206117478400 #^46 #2^5 - 
                    3923951322719663994238470512417420398397779753934533567856\
133323946230474476008725168883818752343770105136669348572694763390190668883860\
599711857679435634771228095362848990116935320458924139700014374365505789384939\
910361942613750849816878423957608787429368826928650289852432588889224560753276\
564004981431354660918954738745561646832519997622732764865023640456128981692840\
382667665288585491011474653444513560825176877573859410699651913837995989884642\
154994719688588778286589300422394551202639930982400 #^47 #2^5 + 
                    1176143358047750270899328889470013860491311298652132757014\
179856135442122243400471974180784719981053716344994425809807867263239996993410\
638493210897751745044713575378604248401573099166745508443879141929252531600324\
385844306939079040525288689730243495455303267535384700806349649008852245172183\
768225585533251065899623451273410034100885611592148829120731998796920426883357\
357297413277711914783262495303679096268007269260385064309209749792422955837647\
1623575707581791505995923731109892818176843133747200 #^48 #2^5 + 
                    2684791511947501925827800880337229861045505268754986945072\
619070440580194434050057365639220666209685539431286093713064471968202345318013\
171171337669415321766052461449404038747274898405039744587064553580570623779998\
854857846901873765239307668033237671214069406380147820640628040920454440464770\
145241443892895218256938989080884916809358167527013444756071158067085537119044\
350787747603317364795653504441340384230136453164952010743999176175246892247446\
020848871562978539545135180546160133417621834956800 #^49 #2^5 - 
                    5334109668558257070143940316253700109454446822540792087303\
260911378694002606396455663822543986371201972021297747318586053182898267635940\
497519061014391492927966795175422671342124362923950788471290076975871357712374\
455038420534945465095534834063537620253808288161239498204765843109532306260868\
693727463946894684192098077373586685031362680934254066284065173724442018263010\
243212007702629989837767597456107978083234111375073994921978158148632768160514\
1457908546281900354600294249405608473390891840 #2^7 - 
                    8269234525224197240917269214605637862380736736482492713110\
341798066992829027833349018097432866954193076335743787375722774638439718313213\
730950737711377037011796316628285541411767251461129114966551699847392426435566\
259667425436763657112529230056062664491277816481978581587429015002929007838610\
867231413362104665345918833490241239799385046705124507379579683417870415138998\
586697979579352138140823607483382265528932775903956782926154364692329006442664\
64944093256221945616928704960791312681338660480 # #2^7 + 
                    6392815000655711825888007692798860534202454743681271226331\
206640602387213559426463776258351854531439109928048848904989128413838280789772\
722148089128477166028143354964689247784312320192169388577616805414065141052441\
863991087842958745002973958402309057759276643847991687979480766813263155248094\
669485227768209734605867244787028461343704302333719085919733158561444875753538\
800447821966545030995121527751281342301285851633061190065394484707569055618846\
851857908693078231609990834046977554905812012288 #^2 #2^7 + 
                    1233068386437785424949592338172471387882750411554481209742\
696783654405016373112424916683328350756854304176090292486729257084231395304397\
969378866851531993961640635742574525409455124326051398843172001372768145559390\
909628370836895490913597482171960146982483270999755407275265249345139208829540\
387081010360024905013808722521139567846990544364582944645527879067811476196518\
230836770736884570580331535576242629664318727438905627683323945099101066490537\
35053351563243300138807092754445707764710223178752 #^3 #2^7 - 
                    1776915696876014423056168997989085640095817636255731303390\
624768547022879457825915460900505803382051961831929647483318719930334845345663\
385223048388950074024316212208941901980224314197126215327998574513961475038608\
774689453457297019809671575930451444043860953016178457539368058259751319387137\
252880595957604747192163348852226410813533505292761946377555212292547127625965\
022421912649770316263272179506531252613818399474849367886270155732690381448154\
99265847506846191469101844351549363926262280601600 #^4 #2^7 - 
                    6780168413840396807363161403726665119365889850180069274144\
158415323947004801602748656933302986240939860719588138748169330118280040682325\
870638848284621038666486197507396677840824904087198809480055595762554128726647\
568874336731356411462801342266327467188422069618158273582398441600101455364113\
582632241656693885005465750569340151920391672627773224435519962854900328259719\
751498635774663616021872848189422846799473346635903424713715662493387489582971\
364555323941570453270796095815248906455565139275776 #^5 #2^7 + 
                    1227968625178572952916668392391512281114134747663124595336\
624983395772260005281042108858449587797921949131776624429385038499890826053761\
289251657178739185759832510520345852908162189422989428199011187490151411665194\
334931793807727970114394405883388193841424206114658577713848265043726009868636\
649989155628817661611210151771981472145535954547809280464203688758296271963514\
292000733511856806671026421516830401783516864954243419042237435847386242513333\
677535070546377212467504513426401889959167652605952 #^6 #2^7 + 
                    1870798009831920686188693526739879868696230895636076960298\
135481332978403952498116259104424968706375715372875133871153404114381873277947\
113511930750020100761536627291676234591979461080575049539306693034136506783468\
540579729614848491728961938178584761217079887741414152899751070317557524742112\
611959473246595372227962946309153395875095433340355740853981328363560254011089\
241243925632678150761670274968980425505038333098173383956094153574869293837292\
69268080822673297456856684396549487413831804477513728 #^7 #2^7 - 
                    3018023749154487794750351615794763585076715750901560233898\
451195249067850938429612056747839481104647781166192562542187132877897246310910\
815330924205610577786991777584781792708842277043566387990878145262731914122145\
649713075913274860312297530462437662631597212407921199026670269649214988255206\
812803216506406211308467936783321859962444564708085519262257530573436632890616\
352538917696414962003223333582176342596175973566845820745352017992649115287816\
6375474331183489877907142372390229305716162670706688 #^8 #2^7 - 
                    2656336485896438923192026830412374541550987373229161996967\
628330350500791620084647015891839599670137258674287767709457599648181501161865\
044703499169601165925715023414219841788531014455255743708331478393722606792494\
195400696220846386565005784968694814408811463468308459771307057155873349739450\
206416534487894758889510345357809102443237796011532976019113961099694403287989\
223486543218959137041633610473408696654958038758808955613871632589557933464787\
620942677197275015338927275039140681885749773357088768 #^9 #2^7 + 
                    3340693118772048030291762262497644563334990985155492776943\
753770976548873179099423031593731211060200416789186915964402585671872772247220\
000495669696447999919600515417584419454417836839297755558021263389118779840141\
095969108080236038585389443628703498230260616512132693369573948040515706569825\
128374267325907922123756076793807689126545832783111304786843993602561222292240\
800877836405915644042370599402969982547735477046993380800453775568227734525847\
93467433939257565854377425947360320394469403828420608 #^10 #2^7 + 
                    2221543938305197478191447420462880502161798536288659880548\
860667584882055952782745390463064884770042157740344483362483771732171208912992\
438460815227581455582831693622953158141293716256795315194979732773533441757733\
360098937654082929002625438824456904762580144077018705134719218731051537411465\
630544720904801018644919217386154274353287616581844408145338994207823766873341\
276568664828222642799962600954178453701022212590671154946497760825274097967779\
1664858416891702754149191621334550417342570152023687168 #^11 #2^7 - 
                    4700089836303376053356293729594456327453376417021759298844\
783836735574552637746517210600837237042289770072664701037153534856655558537707\
399416456736210228174856753268253764576692556399706281336929832389726198005540\
284856432715564087171247532047161126425534755088930500656131229958154731939126\
220301230576072022277947845599506585143513066135662084993485437250442305618339\
678397495036555726219150086802687271395223072454699935226075771830154122793272\
55090224314484586828572214109795308608382314251812864 #^12 #2^7 - 
                    1183430029173591835128545128883927043627712662667234042464\
626952580369851842571468382863461782991852069229900146873096944260819814665644\
408226665953024711069112273313772206095850128722023061176618802344320265786738\
742323325744217551001317287734941542745343999635841618201643992848412238001689\
113760842616893918187902641915389729247859418227388599939045561883017556959827\
278052105609206618778114293779993533441581550649587894725795901239794081499898\
31079299525379408908969207727694872406333057246014996480 #^13 #2^7 - 
                    1137950891676783839279282862086147897119545782804835956552\
382778886542783516441406678740172114012049532771766574472270114052899081128422\
950813120294957755063309025728867087059164100958839443525707868374001163874874\
767806747768276516806994142423339898717700833033710179300465886083489084807190\
432129204672398769006338275686186653923311979558176169701821865836597714169202\
166284565656701699423480355574258667620626218774265906260029048034097768739592\
4612476442066858530829728691708336736494045507161686016 #^14 #2^7 + 
                    4172283092900517051909874181210163887851032392229943821426\
091561754560592072131800971125506077474571528811773538726768788885720490783004\
762601270692936076686495308217633634005542903973695200518406337788555149856261\
334716878690427829375571470472355018759227067538817178291927619457389761183069\
554374754568754277473756348323210445205923338448142285711360928260830993717538\
320352650164246933511456044040622007519907217538551750316306549924520511035273\
74378046408487920831457661751092984903656193572407869440 #^15 #2^7 + 
                    7382539879638112820644793101342231411155222511853787201153\
301170589312537055920460826893102321578539139096889888216410447340258408184649\
388494088924339428085462977530912768210265612144798038372327257236694970489284\
337578966592677174179298708832839564898195482676623973335622294460398812214272\
536281846918975658243256887422033118021819744874085466014895790318932755824148\
537301362357573923473959306378573837197004127851450556500451910103399295274985\
5577753766346339382083558612970624515401234421116829696 #^16 #2^7 - 
                    9902635184298149280401001672681179411322347359410303130848\
832668832053058417762184680209388232513670410963800550664054243171045939505815\
419336505416922519308997025468323775563092481350005703367375748424378805923318\
829393758963492303784700695421152969115585968465696531468040723532279943840331\
325569253805498760113265760735189975836682602863119774590479812781328927054294\
902071818860113770414986256358054911491749779818745626252002212920455170423844\
80211962094508133541019063565251480554779461532581363712 #^17 #2^7 - 
                    1726155676470311371117778668312137133923640659896335686814\
079150006309967782640740385705791584844999117161033684229330952420186143726883\
135532747820330316768859932103797716055903560375312326118041939522476346989677\
144482489591067896051752569732662594534632998018732723286563631184760671811555\
260568323823377221642569205614359562286453271811241131681711733423654677184779\
553091779147071692916633917294405410364598515350688772968964458868323352624539\
95546635510739014040171385353955885454233276220451061760 #^18 #2^7 + 
                    1589848916880802881910601646597982552103797232567646024998\
078258285642219780842794692639475188343744749517260776432029199906090468455735\
668636567223517508642857393590254970017867191948570980320975082503037641210520\
040870169831572946553966380066223409123504951668223065964451739124856645982812\
685473561136991502720263149784916193750918081534155820830650008687513358673603\
703254302514285183022611905088475621020742967642037973348402134749111485622205\
295370099676932792662231614083321006424335535626443030528 #^19 #2^7 + 
                    1488388492210956205009210706843108707941843994209455080006\
524600606618781741296774950433571287058467560165050721197602595291825926393568\
470943469185728864398197218678402922407588460790480253069402574444700855605016\
099290765322471725003469538339065594213353144979837402343723016970111690506010\
447721648367680255015732979619686307229733959479572713817504353977965956987255\
726938351516797226100203261802525078378420497555124076061060990827326530225993\
3078937439875507487005220602633393841177695481279545344 #^20 #2^7 - 
                    1718815485619793224888105888349731561088807423793420408077\
810517645308406064162808771970564667002174319639292020587464207657578944772756\
474702186855774315045942710567188863726030904714667038498810839260078464134281\
729682928659877884771640905297482747180393806972203513008425053200319186264978\
048756753665376876967681720369397771341930891167932437399836237263990386365413\
235682324156625604806981579320408467748280783452367482389697441308577002351935\
784466833346594095499129327441847296232958075415709089792 #^21 #2^7 + 
                    8927678553961292236007386418133490099404484163195058699374\
115287778747777719470857269279604497230296378691807689440035190688443819272063\
049928361386863710145342653375759595795248493565471022764200432956773758989254\
300274008714286611804765048169918334318548937415163386251006325644370174892868\
825434594234215510684281067008106202552681500230115986232180811569909828821278\
512475301768090916759035004424913624797987210349017961684441015482922514907696\
35613853466573614514072665673487327379642180046233272320 #^22 #2^7 + 
                    1237039646359103417361629447771574337237998462715349471978\
023076746190269375494505517075293169859025065039690614350772867138252709309143\
389287558143997200880349322400080686852342520654347788036739119285332621919543\
396249332082506852368810392191775552767287341680565711574113759475612885434128\
869124528975173175972334064097849544731628000765122880643494671974301218945441\
779088772597869962697208718679444594563368359875478640568697803565249601138902\
485368093220178590100028570889636997011042778095552561152 #^23 #2^7 - 
                    2510905664840121518979494484173120340074987434048090983226\
573163669062509158291251531825152849434120409254688401686726025752637835473198\
931807178419395893705830206190585964063707119103382309717544594027917782365714\
718301221551208716739607953283151106895733719966751005611053185135506793850541\
598138607017728608573635123427544904044377737518281125626989478872967905775061\
108989991067728076773562973994877432747016809239150539758391147783796270229909\
127110338572835059551242803762485974959702600029451583488 #^24 #2^7 - 
                    5969440767512062148170533574174446595527762532534917938182\
061725938002108173063145200499961709291825815685891365331180470920810212577500\
663301597471695163764989139955405316108506218038329531963462186981169108165995\
615882488336514157497612846021397813117754535810428054474333354587776240945431\
127379039977416974560430008135739480890316811845810303581063864334707210651189\
191146805172618703396982348972696409567394776692978878695543360603293338355318\
66881801777097645022763278615340276604941575966689329152 #^25 #2^7 + 
                    3901127605548019813728976074883604018550925347108382045441\
700834304823204923186391246658258109056295770824051800635803728623623987602818\
992876598759094179118216628054603242195905593753599812816704036632684585247196\
126046798642868079426476075901275192320366864461731379240888368791576865021632\
292626649747124763585497734615079330961380173341618772736918529698464585362809\
037916427382212902254187875384466886318661133436026113246760173658224495159140\
795578268429843819437337660443961125931632741839236235264 #^26 #2^7 + 
                    2388377802059211387283869839040924209487772527522054498774\
165642880724815227069838930963077252936117125047459986836758910250937557854480\
426919047883420837413307738389144557040156134428647881285202988523942983942600\
405325362909520599202619474894141327942810458706328129190384981415561509065245\
618830824524338429799421766731439975895527145364565475253700721140519815811465\
025947986765829287752769031793186685180592712450211863149793509041096190400663\
11635370821738385737766344293638438006075289283793518592 #^27 #2^7 - 
                    4132086890321903160581717405993732325264665076269227796032\
697620048964728859172996431639310606202453479887169903502923323540599077050997\
600628708851104907096373415340924577798681397784663093695487930431467609675947\
445553769511706710401976920246401943959197379023278416073684210802334253129547\
363336457600090474562235689680271093653437923367241616378506747512223411483063\
713167935113288399674156571917375966526252559136050056517918431158212391061090\
772578052114574987518554662659929780135216807219411550208 #^28 #2^7 - 
                    1490823759952814901256814739647960704428143813568083684390\
482970013174265188283011774952208119181884118892626508168636333582838206263263\
473122524432604996444203396018365320713643173768294765949326132683098861176079\
717962658328489374754960655418997936841726864695158982188559561538852224731775\
540333073381275652492654624678492727132908500838126363561219675133208531582839\
905122337627721134465498153233072405602619752107199235646146303875999971453739\
96845327352061480773622830183624589123892106057526280192 #^29 #2^7 + 
                    3240515712706044429098768559928035613977292347843203098843\
115829397808498822023902054515098256926882345549893990992822322841689420171232\
281297732549757625870297040664402212600069495918598226298175637255088174782458\
600130446455956204749550667377205946697542979785652556566084154002133742136644\
125320004304315641628816485460263291621336176750411170629554227365788643874870\
802828356916083252842104275594071649113035421057360932801007948052552280752154\
905369233700703114406852609750298622776504623551662260224 #^30 #2^7 + 
                    1167130321615338553152379101190321884621500091619986814343\
832467361360238559641451623068806738161604993877967526481605834211310419580241\
560463675928863678143452041638809824676993125933976151618968729758148686656866\
716737060712347323266743926738683542169327519702933318286821408898466574427363\
385204298050860728159075772831751048699843587634245855731365190120896880436874\
756270992960367435663141445678774713503703197596164629207204121221070584758076\
92892246548982253441005449633220093198616214138058178560 #^31 #2^7 - 
                    1978290675768994275341011770275624884486491466191885820103\
538136349135067432891614897857985616304245578093588332678244987187454322432206\
353591486044788105447597357913083780476829419563290698185012198224548554876496\
567614555825446851984304706935008376692534766175687776371460702524389235156874\
513773628728165826919631505030476472279789037399625889386401570256364901401594\
202066689616500930337281260331431377804691248926320530743605271449028901527710\
826363595956430770044062744397764195907418919080264990720 #^32 #2^7 - 
                    6380922246903344720927536510795552732419430543489416627250\
251714805311985826608178431239216570595478637967621413055196387507746946549015\
454059725655240109135570649438653230179533211177157342785436561338850594703611\
760338184589751936299335298707438429680823440379113923006678541188872706817927\
851165571597384116714442279494564057296134149169682217009287086522270039340134\
329011349656116358526062362595746356598660655841029161157189906915966820656025\
2704847080428627797447120456129029770749253853292527616 #^33 #2^7 + 
                    9759320549426010165924838335286849306768992304950007478815\
414429283076834700884071331013187172308773865406252266149421192950997249725699\
312762017910787386212592975529068016854370334507086736135560292892783886443782\
762368619947659703651708991351881388941318797530281520915402275591248400628839\
664273299639866260525036755620963827261350366630094655086897313792432255068130\
810950215000061168096222612793975609889717236032706690304514264151715922750248\
59004893294292816507117420104616360468467695087542861824 #^34 #2^7 + 
                    2567279290509434221199825637772949295983054480173755615342\
258534332557315209609915489873805613837267891861855367761598098350883107692193\
536991603410332650237119934121504411274197737893346684799120327111628389227039\
586153874236651850500068102373511153118583443867101432138283077799041251565172\
663293750763287828228535392855840727606440546853897777385748334773883474844653\
624999622249682363989420080526904343543986630364690729732640902833024011877054\
9502902285079485933839874151900658910043921234949832704 #^35 #2^7 - 
                    3952693675756681801569308832342031279882298567842262840670\
694609053734817605366821655344227634502294575825427625703652180265171122643037\
621277985772620407577473645277078777957710023613929997515465478268106399725355\
080057353984221315420673200835751219953434073620314093299260524838738182237942\
126818712890166980584900020523045616269613876075348070563548247996295198864812\
469531022888793196852109121922364943043357963633017862458067851275386850412973\
54218296517845933430888923164971428423929362594945564672 #^36 #2^7 - 
                    1237455778356178982361148389535799421264523171452970444355\
185729011296615639606396759874147410382838591978826691392429935574764385738935\
563158533653320218993184661258789081625463910941332458910027344405302384558530\
827080760935774134313690653888881751210600253777029525694744736079279616065992\
828895335859167779881930071759142737676987993370522608842779205362351425896929\
249451012182926014450875647089076248767278702539610869470034258929815800287482\
8321021237542703474912924024334512557322624623464939520 #^37 #2^7 + 
                    1288405962632487641184432750537379119196980349929089166064\
594699762337734002622945977878407480858425716295505025814230519319372226982535\
990990050191912335907688613032859726662142190493810200539800460372764231125116\
982673294980532322111380888044131667888624495257659370685973635300105777024362\
838134444640846211669617508650940068203308578905399987350658892941577007826474\
990340714060868906326173332056602831932500003356512748261272339577527364537530\
77025440916244099182144008452460705491424626077513809920 #^38 #2^7 + 
                    6890785738745968674109650794858001491422906411362407662206\
090990857024718887033588332587849798325868522380689236942066536207923020098276\
836671836901058527579721121456384772064960319656230525894953672990222613729817\
003136336260936200649908551041576582131438791465770788769840066894966572399866\
914854715119007118178006611111157626113450405468214614740080675202505452425101\
193100737390279974754793738395995766167211768767249003022848932510924154333336\
465181234793748337046470791736327513988352037198233600 #^39 #2^7 - 
                    3204208715816066617983919885050606615275962360902099061698\
094839351402250620710999702791519884892284466380460707976657526683389843400392\
350850268631335027220614346810932072341328454530668093937545062235484723608891\
068270346996459850863742944495218243206487255170648526009860460427208378672974\
473790643376737936457276036235105572486157243925637754671669131548161198859602\
827150653368146821491443454866316537177526350391355191540202026984789510090533\
2360494512942617798398138615208628813220635118361640960 #^40 #2^7 - 
                    2680099290906536195936129273599793151512494250467292637236\
247581819140986535337848505894359483011142476145541764708986565085988850045429\
709434350690193725197340213586325908806591547648548536511290894088142109499511\
943158840996920838285125501445404411240109860766951413090443208521375170519520\
497988885857068320137832214300937102516847375106258536221126236425362575989791\
757309460828584573116073864715343156419554419616459420731073700992549470063102\
437770803468755000585338448614531210075802579029196800 #^41 #2^7 + 
                    5598200520742000911337627802351441722153149176241276687455\
759205355191224118878479607126522661515971072787722865172317609205321662351222\
956273531847144386865136167447816418708707231598969108580984751481084568352134\
171251170495618065087461405699945679667913329383015903595443854015990652329413\
277663066078962913545358744427508541741144594896520431514358013647184026536421\
028105334527950308026312061376745838139490857116107089494261122994138961508456\
498180925136635916095188883774654339808328601661603840 #^42 #2^7 + 
                    4317066275289523194324771010891330680861770629162941766170\
538569698635779733383569895818018839926786529978393408416086473378807268180851\
308884673952120365876967666335545704239201257071491067324002031250539353745035\
071809927168859233373390461079707629561423656620335773398173021877905166585289\
270770666189125032654589536080172097809617051285218764947317298584538609735411\
332252570747330312085674506840845969067980077905723806033067206510976144875201\
48968667268164803810521874504884093406772169979985920 #^43 #2^7 - 
                    7900939128921199069605891126330005872047054704964115185729\
109794111825593687754226559506823217611595189577425383916800530103481586040964\
630883921768243000555501291541794155793541353933692494067325494794334125856672\
227021854480378837906162651247026764689742336579716668676477873297879523127477\
571045380161493470645090922583813319371493976005711000869742115224099426884245\
040440679247760601609289513499135231024352841570757349320874572661212747134324\
91855216731911068393828998629860547416871430279659520 #^44 #2^7 - 
                    9273259303039738775478850421729786932236592990613977784453\
326087171740456482176651207812556795483158389215434703259405518544956582227424\
214245355783633255063330587621902296639324432879926436800593970071511957472607\
904295093054780659152725215845295759902659841373560552639211260174723761277369\
061092884278360500159391841683758133266827529644225590417685853413227207155639\
410941716502130212457570933689952511025181639214231488114701302935098341416940\
9461873247062900995792518657862249175950529082163200 #^45 #2^7 + 
                    5910243477744487290405852408954922984901613347039724969309\
579539824036309978331328381471900978794467760564443404541936735587144632759692\
524795962855898542171074856904688213934673080971093863509904693666249544286369\
140449020388626051639066222043282885624441184655355451992643535693690316158981\
642893054479592781440821892015801827242032901592602492001948125149446901159629\
219025074790636584175577373797099279993793767324834716639017378089425930823336\
3793118265670242677510066553239645297367722858905600 #^46 #2^7 + 
                    2326395953317820702462957974273337748699600900880389564055\
490351356392597179990404464866333375412281268018020411925806227706240332196978\
038311060037399993254750584163661134269895454035375462139642706415686912498285\
269195500916493998931863710487787456906336326562754917415462483973000911836335\
470857400251139435319874511858413308202972724631825558661978247923794375777632\
630711866523807870929432825517077048667278137297398224475687692303685631460810\
945609742098471995752279710656114676182186092134400 #^47 #2^7 - 
                    6979348086205606076479125498701207678525011887419205059884\
385936237737612189615975552519567443055871542717211526423732303052389040299698\
320098210280344757455034068440598816126961490863827625721819425389404460803635\
500612513703677324236006396537904515714127327029096038354461040056965903880473\
539203751638021587892402372538409945563472478594044259318047881320117511576341\
951162096360592434674589993190366369766802373711712044394628452690460889238049\
698868202127463412683067154797728195719329952563200 #^48 #2^7 - 
                    1593076396357874314296549736520189590553823269853574514244\
669023113828242380731789823805184257353238095878276958569111501194405339448975\
157378595512355419216761464771751316069455822387078338942748787096132074617289\
885743126621640458777143366106315972276242392238190957996200078400519125471580\
767750670024611294152340696544177426936094452279267906062630376976499460885514\
321483320598896284437968234946134337037751866999792237915785617805970046154418\
342828391511729690833987938685310392829382492160000 #^49 #2^7 + 
                    5252270275802418859264117995503347641713573403459619260276\
872819925436399985394874833266691859632428428170725868499651820633401728265089\
096762099799317882337219210376300518178370492481292478424887846138158671938271\
239785028586412948391670327227185432293243111473546238055358111830345755637573\
056912321352863439508460197807018951838550093158530518284577718454383073319379\
313765793511286704106476256543913199536283801676550622725837925179313736941643\
905033727040557533366886975220816991805791 #3& }, {1, 1, 1}]], 
                   InterpretationBox[
                    TemplateBox[{"Root",TemplateBox[{"\"-0.655\"", 
                    DynamicBox[
                    FEPrivate`FrontEndResource[
                    "FEExpressions", "NumericalApproximationElider"]]}, 
                    "RowDefault"],TagBox[
                    RowBox[{"Root", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"1", "+", 
                    RowBox[{"6", " ", "#1"}], "-", 
                    RowBox[{"12", " ", 
                    SuperscriptBox["#1", "2"]}], "-", 
                    RowBox[{"32", " ", 
                    SuperscriptBox["#1", "3"]}], "+", 
                    RowBox[{"16", " ", 
                    SuperscriptBox["#1", "4"]}], "+", 
                    RowBox[{"32", " ", 
                    SuperscriptBox["#1", "5"]}]}], "&"}], ",", 
                    RowBox[{
                    RowBox[{"\[LeftSkeleton]", "1", "\[RightSkeleton]"}], 
                    "&"}], ",", 
                    RowBox[{
                    RowBox[{"\[LeftSkeleton]", "1", "\[RightSkeleton]"}], 
                    "&"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], "]"}], 
                    Short[#, 7]& ],-0.6548607339452851},
                    "NumericalApproximation"],
                    
                    Root[{1 + 6 # - 12 #^2 - 32 #^3 + 16 #^4 + 
                    32 #^5& , \
-70200316271507168397912526370140457916036103806045166974767911468991623992259\
303317425914536086227228818264393292358730270199995473975184965846679256103733\
574485402032360453961494198824241067649963501192172182571377104102659710931477\
581840743413949560249094047960678660134816055939745822577947736867189402551129\
308415502483229366695545754973296837234394091272033109242928320708274729957495\
4746812331186830777661766505 - 
                    1107494235866334714617362865936722194223786092156026154859\
040187453768861818871579481706065771883354740184027162799515762612691597958748\
717568435588330022963449939744604705558287926994636861354538174648657685319799\
318354828829089452100720910187586410672751175449763559948764818714214554901635\
536182776147075091170082523925126383608323439946664132850529136070437415206724\
4473178013912957254025784180168914580147488146050 # + 
                    8161892701345983118896913182906365640877423994940570024668\
202933711983610844806294451471059349656351171753051198615057782997785846985067\
650765770137889498053099663796178101938684196248100771750834546768313373572664\
271604122103366763262734294507072035860248576650294358190570143793042577378276\
660008431459707332230823677263608434405005926336429838085721911290173423871484\
4566845559094093798126064292142416027089092229548 #^2 + 
                    1637613586138376157408239098939167209144404235110057115814\
496186881370388139721017302674413823947150489894457553796529884563485003013067\
045554271483811847260710591266953965597688968693973658986935599152734690403579\
754565471042736498582411402161631142733961026288763614162550563591541182303279\
410713137402262445773689972572018578397178782121046763420107264147101546290760\
167707633640074640737156322158644705274662372707928 #^3 - 
                    2078835843287125803800280293860407523924968258687456724717\
859194122272133029822634112862494096703735202813945811068715178870311057666143\
412969119041976482932077249487077165397174718296059691011665290127986313506591\
563305067436699077066600968325333446697539559388900045428015586502241991444005\
095758052587544644490519882931022329665485544563309261305638272166807976161466\
000301289173685460142464077209321633986061102358304 #^4 - 
                    8967977845793281319981690689126192404765175188323484857153\
871849719964285185181505366126023602669306496921379052629447013986690511884541\
217777879709272272684786999855466443341039100929708099015160633799631978543743\
088373621920901068679284718526744534258494063934757739841965623074409731504829\
035309871485463827003465290201247366304933708011319622980776800372327665618199\
9673895370967396746818344515812052711126173991977472 #^5 + 
                    5016990045060500293416800056629012344843845336721694240980\
844687257921550072504111010808341382813030463572644796482661359077896191929064\
643676229509963673055369108196658165192539606411486640778634150032987904058571\
282638594173241748979728533575468559226426560551691685488154197330675442376746\
155320893144732042085981592496704624909392364922520681869315352775334238381654\
100921993803547444711741733726888322757828170026304 #^6 + 
                    2476544937975174960510621182113291780707132885913092173851\
306281219809237300116283469307272246192040665896674398522432529281143675899836\
181871640661827032735837733785951173494977514665604411731342287902569926334946\
429892431154242401281058734575862712886410371378577881249053627684755146193220\
747998729257311925460811655268169878106359962217064827728045954529191635591248\
878990360028979667260028394918187478456183817383683584 #^7 - 
                    1584188293222855423736970894284398411633827029539431791982\
109942610329611792351062284505163780485609869104539996933537261323153782552391\
508355959857909589891707977277284367355231497773326219493697273780894499617146\
980305207875878821621313275246695865510032424934767697834366801103410738962887\
100096075184008162247136979742261631392020842787072387466521598493172271322792\
46375671725450028608610150471239215995052899772563200 #^8 - 
                    3535077510540415798394816608780792439039270524552470978966\
644757531227177099752672606866762983952327054627311329190814747481744544223651\
733215726440421015856453176406638040953926937752060594722534470583637173198157\
172181079622299395116073618144791998546425387286343152260886830415218546195876\
355855290922849700505636945878510391472204854651713596110798022616565888323683\
7325572364296143119030433349936901709269907363124397568 #^9 + 
                    1821032414045522701476339308297829044674195545243502152151\
079117651374875517817395678471236750277938348617409242377531898725757560834474\
570967020311382218532543018383689839411737188409039237842935882213160117015106\
020144489247102025537181958909870746285537029644925827829199758350240730636763\
959212613224966010592888027729273981498478900053488347610207693814078456374344\
541619131324511436650214153226238769820445892490437632 #^10 + 
                    2971867654883783184470410626226100980076786194360105557444\
990218765225815127077938647300246222732441600935844804645352084145769279810364\
608025850067439827137748370437794401745558939450846624900083194573887542471598\
295821871151756311024183222213532039629524401811931092760754407401389295146755\
192912322123207703692849804814898277910535400083371877176035535904975375440495\
85107134633114837177473850864754823022508298681124714496 #^11 + 
                    1047261287785172827807703452991682472244987892037459105655\
450918580965125908815220254720230143674827243940305591435218603330148844568974\
838308043271116666797057778477224816498882688816502296339151297077831200629653\
967229494447429595530054993665520182741437203191853673688566994429998369492772\
308639453839220807317456049472007951937645941986091332423765792778329243924660\
1983171579877152711451739621298722842865144316149698560 #^12 - 
                    1590095238072539654957835940334890132141787529639135618217\
581287285938909541278229487743921276673269821411267486740658546746490387266323\
665696907603729850512584680872909877872479278630592916136220302498454309194220\
683779431384630067644396310918718248104354911610460170954590232815950340673142\
900237161598610378128540845591176183073190139781381924483701874890335399314277\
595720323803247702880508954265221117232589575242922590208 #^13 - 
                    2213345344968006177062625142375223653836824098256286734325\
504417848041373265288773277779089819491402940517322723512976835846775312323644\
674685353227867758259697670594925798204164395179288088351440278430712129508939\
674551311198174740306323818617159102569618273206022682288269281047021748076864\
662029304164579215213525963130049514190591424772759878213708083100521611753615\
52668405001145322152869465432871942258261609129960570880 #^14 + 
                    5628125612294033455599282202855532954816410661553050145521\
503722195631810248609832138388645890975832494556994181389212361645552925259314\
748768756041820513932789243168500210872166594448896085305695675343235362296509\
256415575141841083931143377223305147116491484776361127109430784476936514994627\
170963429467334344100442404003207600893329068550100751717552933330584477402977\
540372522906534124994112429316828891791537659016313962496 #^15 + 
                    1183251538935159554675501642705781919520899625973902702412\
817317611484016194562311432678236166395352019103551806735187872815262670545929\
829993668741188486343316461468087045837378272537644547954952916241184340597945\
118537201416193428797255399650708006725035404296422317875839806601227199163055\
764835724767864238414563434063926920548233650291831497338186357463552396225165\
168621558737812036623363750227065252162359308179363397632 #^16 - 
                    1341371074051876113047390259953684641741343963582367804931\
383742586734682794504410592808076420761807423526778577291253078440668405331925\
837152569911005538733682881971713193148472524848724799127736085239846425597158\
776640760631884200393743959291930397927704054170006176214281711807719319286791\
647161124278289679462409984228728566399957478585850371834171964366257608641210\
2288748312865574074468757080017947623593444662367539429376 #^17 - 
                    2688811270587464635319704845046921813481312497850911005163\
327985130908547280978320838572484418785824617432425550693711283757010467675214\
145549709353009937396041930714824646812252007614908968608716092861537180456093\
490000395763963800120309280607197633380743187092192928356555759021320361231441\
296772688933960126591132995820695003779667878099784516903375708021358986913597\
810855340278816139103667173981136444244124274035664093184 #^18 + 
                    2165829639575826398723920772972159713600128350544190422139\
365105782207260701532704998187051129266716312198718285829064886212407951955310\
894956407506216025813293760644090692403296929977395766489904290271433788190951\
971344120263481325295552938546639664112159790666759809640900637865643098794520\
243063787928056876817282536531483322616472811749099137359863761596725590511163\
7481400945401605946855728229435309909295396297307479605248 #^19 + 
                    6616378821629947816034435013820960721012763830050706206221\
259745883319997078621280771113431216929405302322621393652650649461902496925788\
603349951815686770828731658147389412492246968191616360745419132324195447780266\
592174044809949946937313041505231429803691640300162248397211416274553467953629\
558004564708589023409741329462861503851340278496870055230528103955227534564210\
33655795559296489786567376256207752305722800062653792256 #^20 - 
                    2366113865247323567098306028956019413100021118053666005016\
019964521058414736033392392792941848328647496959919627920499287641194269196334\
760464351925209595509805383497354427560561730541896936910271466449734279321498\
294927268966197555708869646534109370845192354137375381055605393357620510684686\
225564681212380677963129914217070694973687520718842654937185394723621588315681\
5542974867680826655934097021289653183428001679971373285376 #^21 + 
                    1173279185674675498033835347941584629275390496032317100104\
485181891439812988377660454932629257238605789262702377097504622203792217145895\
292651787201947757382278381540568456556957272159419721771616701094932292341881\
101395097349404930118572312376207672027333586678900138667882228912411533006591\
711094975377300224062238565828542364679921030850350175006214741490496500364971\
9894782228474823521561804108032987206777128030659867049984 #^22 + 
                    1745547619311404141788686767894543489115132508276059780544\
835160038520771662987179749014472735211094459297361102553752484407384703410896\
988420401257537131648246330268207250928529253302519943115691592587169588323481\
531870259952256671679832999372590761972910010037160121591953896607048081182991\
697449736220747340494838937042470230571982573460973978643237584451289247259020\
8707982405650327416051199093376120516564525812484224843776 #^23 - 
                    3397924297846484791782347797191505650622843294074868124507\
541302449164343389715295544996048108738713269346383794829225086633634203447060\
329837186527535297962299336108364329590874408410083507130518206686286687559439\
740873973413781218762610301555403541464807375077897190351926547503088055208513\
151068319578242080958330193314023713370071002079220985611695454231454952874904\
1149331265325106979484325466870805194700509864264653078528 #^24 - 
                    9015208851415440182301923761031655951003046824323274369483\
858159867791481688094599888199997143229083911132564120442351555451578469260840\
110677890340124944729658281419001497031908999820068822415998248177168980591808\
871629826637286740821002996457131597401507429862600972845209915784594755938256\
278417316982603429708932484677639133378210916768748016740198792479748855781021\
116452514089154498031005142165255729119902977862358007808 #^25 + 
                    5317764005447858637183508544068833579221250330475455480562\
509866502922668039490724815127487738411908027328818879686620126519832045784162\
484393133939219320392158993337157323657028361377543816169946561668803086905795\
609147123003663601416510051211948543845440246558480587509089066344962607290840\
767635414733717460076750085934416967414349445167358136597968539674620887024076\
1302204278738247278212609210859408260951090861173343518720 #^26 + 
                    4178891894976772134117927825611216570582791015233972673260\
527090548622200450526620886659713839805270505949201965206853042654417221728984\
012872066360183289233070305997490076033139175395901416155514365240972752367650\
873316841374192489226166188934401551620144830267296640911621418670392930189040\
928593569763663304184704236853262669336791500159105273194101103483943216435561\
311323892238453626156991605242583117451924231570682019840 #^27 - 
                    5649353696032195878158380391472851541337751424849555439354\
617538620162246583073076488629433095539252283093668001577324710378691028802259\
450840459560690174943158922430396906154876185741263523381036484350158656404208\
024637052270196358200420407902427080272458249725190928783121133080340241075551\
274166784015947780273286126970055905897139302491311426747744590033478068503971\
8801613692509130345358901510558831478530278711113803628544 #^28 - 
                    2770606585559965532778752510613217099909608235550679642254\
018997656388742499746199303010690945295422228639472343139739096919659831692844\
489917535413862826423576049717469626915174706243213831990525004681973137836995\
869282624105794531290026566180781551624954601595251885314141245096816744325674\
490007647547747152957286806763173863640393258625296993079222171100229739612705\
804195566285349578456460257550358938728660910889005744128 #^29 + 
                    4437862404204595673978865244941183201753662916389709481153\
833778821271210142318403767715089533134322476577509343696589660430580710408695\
153757018251254664162482864712507571734477753403561903714553975792092647100870\
253912484119870508899872722253421449345228800111028711535724077769533798399778\
633998393732998283708547468078502530045837220823336942104731869970422057057345\
0781448890085121319532041366013304671430203348107892097024 #^30 + 
                    2055954784080231161439957623963255327340839466745432648700\
803781733617168057644708679546937555838385841425866631784434188174358813416077\
739982191169225018759728317486336318240120174937431741079054716106225213228992\
811526424455422131261025225166388121402671620306847867260811856404109794807187\
445707439050665772585109934249210470647206495587827059447174234271305663589317\
812589877746541787005963671865691876737913451823759360000 #^31 - 
                    2712621828450100516477539737741208427456314681757885697176\
246095842067749927400710228937227200127097712315822466640238412777609145414541\
864501067216127859677831948484864755249960635594257158974485199057020248569406\
401853890148708324628677924460932598609631343211303448334016407686247804348484\
458024953166671459660029206182971508524357786936009945181605215308634341472631\
7248914906919514634493528522667575100899853660551288717312 #^32 - 
                    1104714444942948966127406337578189491979760015087506356430\
825520323145955113540445908470376554402549070759770720977201253802469923643794\
149135868912172401586843216520079559646307458246467119739755178287536173667280\
560993017951246122043802264920539518659303481856285168434630446281615781335962\
112807535271185762382222478803346800027338573855030900389487139072361889109523\
395552537195804713920049133006810185214224471964981919744 #^33 + 
                    1339569615525870320392488433437487229358082728473491333767\
773353309395763913004162610869101791379353036018834483885771100883298570456066\
815241529381614374115112153183055089772177820861649346069180646791899466785585\
483074219161232318294796012951256075548865816493155623204714396582063407428138\
578044156736571030054817934621703174998423076585399362423560753538049906115651\
7309681078701149139538498681457552262588751387177280077824 #^34 + 
                    4461081377037414715980066263784861049741843237959561538195\
696881077389377514453085407751083687354953525411349865458985555485035664831985\
257443272728105086109102508048938766304765224419184271020509410409829103567252\
444753520674815784654199853808314338805495582733655100976401577187438489932920\
001388016745372602883471879856031577094986837841269438352092602269859474316451\
41795962675266912011017256580629649245498928394401742848 #^35 - 
                    5429684566339924334660549129047593643503141136829472761742\
051792613959332947854731649346206018570195999463495028825186313944194664172394\
250095185814009302595663832747432160486460556905609669364810397024702257187889\
491765026681185587671292932926457408747007439996141652641036884824469351591712\
558125211185526740447122313097355176071044769327751943826502492384011899306890\
731645423369817103236844074926405552208772132944977330176 #^36 - 
                    2006413844944542675199993588316022965992007154543238272905\
587135606299180351017568931231714094651998766810869800112491982938416202252113\
820260189459888851634114639083270657396287802863299971001239369560489709797082\
444457603293509095676493508998987402639529368672712006246551942339770117868154\
772154155000081627394573696944589716359290478971435738801569908110705164616511\
37852175932846605951788037252938803415003504155553693696 #^37 + 
                    1770669581197360356719689136882185934575026512886425272241\
080419400867438504776655500228527286331897940223437710482953411829057420616845\
411222902732807560730162700436292776915422021608131535745830813393634469695232\
999686277314452789738825490368772286373011164742138963500597503994821284104812\
690025465737551940140618429711886851170887044213593532525844326048084008652234\
838400592574409576982578490990137962966432820557250560000 #^38 + 
                    1024384195841560786203803990261659864941415168828353963865\
514889429083788470409987439754590265618961816302022164464479931412307178243328\
940535200835545019885068896236440098283715281294336198006517282389405216538181\
057852552998133215228559571594024966998226660585642018033386696838705051060739\
400771644697766642486887646318531960901837703138849628511495283206470885727693\
89486428677379752559678729905125262333886212940706611200 #^39 - 
                    4404903188819469762250126285927225455462656966341232172185\
054947307913689096385995110810482590602971793490232236915320465893059674569599\
690156297998655932272241814936015983195747871277485677230191263453241159058478\
335119906579096367551385973276858920532903872985067196552640080965268215346678\
869087133583327933077986244602027661458014868411019054535425228969278238834353\
95874208305015827959466442644322238838780872893703127040 #^40 - 
                    3827987770860919491233684840407289481741771535732531474965\
750463930603038239510027829371105769635461764402277898787160901926580927888897\
574350818492212960002037391048238182286099024785420704529537214387961257277563\
837094194602572561628536141756449403788212894934490365843229239370973613467170\
498521853912020284220969998561645201242753388609912554504523815593683477740744\
0839048501956946811462225367017616433006800804323000320 #^41 + 
                    7699915284162094579185611026585840631037843178805113294306\
205566927573946273628740978477009206308570863015020777641689524265821485789684\
487671786906160745633768926817014196544455181908086706622716282432451619372261\
617465860117148432669545752506667592432871773112494459033677808208034415802365\
843519554636517457156189723584860323006997919736895264265889840824246106250719\
6169620637094918813896695436116768973706857767942225920 #^42 + 
                    6136512664922345768573038016807349795804300759444703208305\
755695353037731250689799425612980184299100771859553223985356798248232756751885\
217516937449568651333045922939998620576367629644077040950012108629408507240653\
630825722294319581797227755112271453240728244574119367953883868041086929695317\
029687963002420241785421255056506685304833840406273915326724502171608496733077\
172830844968881190438346800370011711777556667354316800 #^43 - 
                    1086771210996007289420930388171010450514240601052792407820\
278138212935550469792720145053498236330762274623168545846732562188045786387457\
393524601518515691316261171674447575598089147440003951748666421000629000572075\
427131692536218867882782780750659052549028008235266699307039955278544979144470\
489101077058527378506476176589328476674265936215725876287567624621537182513113\
7178287978349020655210256884784420835935861354707025920 #^44 - 
                    1293662224449047757694709741532758028316076909416427479387\
578201575024109654051165756001463578955702650947413401324034490835473226143326\
295781661787429409015925921658008300606543694839321850507472387802071639127113\
064362721030591918588413450219142555128854687668505883158834167608011941972400\
987486464907600538253076031880675185862589235650044752045926678645715052695733\
975477967577166092013082885619076546823437083119452160 #^45 + 
                    8137118353676547864478219449655128570966401590191503181465\
461878453283229499004394503065250161415568200897382692966184371683716788928348\
688097692499323315547678506533514266331714138566217834905184232299648442851758\
830803229467242829662428939813001376997516514885753932622990847742033492125794\
740639259598780662643172383896789375537032722875584368986292952340951860314301\
67767306706812804784750013655567795696967883318886400 #^46 + 
                    3357801967207691926498313831191559413490860278111372617051\
700331929265170978057732259769304803461334217739206961970794790100710733006319\
638412117027030221521027654381203670096016009184750357084927288124352252428242\
067192193802906990454467381400674479511761732627155698293129844483773010945952\
351835761325843581676255960364506094797500653827830034991584845157069690013010\
0717955563337615190391241908915168475182048634470400 #^47 - 
                    9589302765777780981376455521392141604228629829534006604680\
817940198881717272255841556102401023206209978722206382917915105732642255292269\
959490917940818086249389229009699113680555480767060039776418407495995573573502\
514928406937505439198966584241787686779310739514732473924180252054272484971875\
127949873727927354512357405401609255358835826462254552304925950310083199562544\
4961528659739798528319737879177967436065668700569600 #^48 - 
                    2197974725743681967691251586436657632256566199106247335157\
067692619697547241193057028298544704304903693842939851218599458399293457365615\
245849456617105394577805792051598092965920050216457081446147607679354471423388\
346542588792633062099481543762299084839291500859013112712556145010998348493429\
120886341351078307654648780710736768486515638331766901594773023597082023750820\
1648891055799080230134794862584840887336642910617600 #^49 + 
                    5697718805878897726797326176342762806598302479385350886647\
346910123828440711163908076595908107290386822794753190872515088382641569787951\
586230909478097003352416374695219623979806167568056733349653367241209219665524\
019614954693475116347361123192849636729378825752029780969325757007361737403889\
504588162143224917139800832929463666594772962537777206088721379176774973716748\
71503163437776854875444240098451489416455629800 #2^2 + 
                    8961434820162424750138759862041841932021766263453929715221\
735649214472565735101401316197755977772565075132662184229766075856305578654683\
406203055691940043821776550435584309336953933434349437688448709950341797035748\
914391031218868847212259079913638092622790921248481743837421167991567585662579\
376344044890757260229675429209427517802006669475484461851169182176985736061308\
504980399069464955988541360189141236980441004280 # #2^2 - 
                    6645963225750524318019125682358128463958779774708385435541\
842165853598500755155417968756945512385300665557193126973715597604478774260789\
091046831747156628836860781897977651029202558180002429058763191202709311378319\
520139174136885189854191498891532647934052196443232870539812359277610502461342\
038069279413091847706412731896354146991147118038104473846882815247363457796038\
9644651250507240527492968742868191521514818476800 #^2 #2^2 - 
                    1321115335501725338329552859441545484162707764130161160624\
403499576817837062388118476056590362100107995890344582951756508285493858442110\
862312248116382123890606139350715013316438838789173706197837969227495827087839\
410006144262005250255337527907707030339901484566018650500523966316143963268342\
900158926571714619771088335910163668261533276284807225294665721869823636321404\
288631932087216178688704954435888062960000072057120 #^3 #2^2 + 
                    1729109002701079538491896492831224099019779257788937882649\
232943974681025975369744748328239215223113972831021070074152664524558319843473\
573264792472776234453106692842692293668666336633870722484692001929728874852927\
471729632080823533244441312403879131377079977441193730798256134403249925340950\
058044240241561321497140270568935406113974246667970231817620439749841488683098\
682703889237665637490088020530825822395351293539520 #^4 #2^2 + 
                    7207826976816184881891602881620546223047176133112084683838\
251942038189678131999287970399545655785316630821107508544528957639614022211391\
140818257779483402625228439727783466212179574978491825107876349807205409163448\
049506155562616883535520635628464491932729116027932797491719195158793943998856\
950232133356216044411558466255932979652517544246807573789677987856986250883406\
9398882789278330416399603860019443612969037425020160 #^5 #2^2 - 
                    7568861429057063648611554584131921357045282573392180313003\
231283246050731495558656921310384521226355970795066859108610793372276159919318\
568508876053372585311533377401391439543105707240767593846122066594238248914095\
681569532581269059322106531530677253026254607260618937510509840232358002254511\
465939571661631972609489166053371195939322236900834621225500090778695973537298\
151766575996647891527543794397925406614807746643200 #^6 #2^2 - 
                    1981369543524059945205835368449796103224323061250411240407\
036343204948731219100486391379455919463644597374497541662936335826374424603691\
327398049794513272001205946176474252034528521676195619277720205888564665214601\
763733720259564223482666542723676833595079185928256530265942019586928367729363\
297823683464649954629112847016460589159139528231042952368288024490780458656391\
851815164921216027606370310577393095166184017474045440 #^7 #2^2 + 
                    2418463508743495657920126081826715273626903502241124992485\
748491812150904697411145041657176156399544533576505867620902687413834450295516\
632883387732038606331275182535794057001519602045811930202119733991343432184349\
229977951831710961953587037919718071225968611617253308760690730350646826098281\
423610179481512480527905018557487793498565819732143834752732116949418738749464\
61767545627110789721135153835914088230752188866872320 #^8 #2^2 + 
                    2803237840510556782153012672706099828756873748300407108324\
900515826931133143533849495339681214271736452061661688969601641005287230753668\
769998297187625412000146005729590978961175328929493488760880730954489135058384\
066947043560206742454233129905689714882714319152913476049303058323888481958996\
496284130189229316591407698301086708876631384811365098111194292949607259562700\
1803637620234750492318461770035177601046486304912281600 #^9 #2^2 - 
                    2925158489762943108614801470883924456779858312226457239113\
014013451006121003475728783045443142745816095131960948599582375035987827526868\
066701941544574488715294485948349023865452106143090653049564220122855619649539\
680147405457828140098916531891180391533271802449806618906702982734981722384992\
389960590609342306290796302712762762035793784708020291234457573208704533278130\
538799350229523348088611350750344605738251007162716160 #^10 #2^2 - 
                    2336802799093628300459383207001730294197372087226084721956\
388098002586376436483295711511848318032847825085918416027657037650187053907672\
389519585437268182133113324400868134573289522731185872993472463858103821163361\
734431534678236137785672624591760097116675228375603468537707576877389642423890\
086817174997020847367791448564344549054204738832789520450057716816273049459070\
94015026949218363640081109625883341175435587621988392960 #^11 #2^2 + 
                    2181201629248788104584281467043703242290658877441798147150\
358065392940177612446202697157657990438479390334243912330169751772309714532318\
775762840018907230594956386145231096982018786605414817592064764110052333274538\
347202991572951132448125083418855067294276787724213531916345444184315358061617\
362299677378771600129584200944705521280908253173190545994126734373718867424306\
448518128192035440192151374755159844635686065100472320 #^12 #2^2 + 
                    1241487918296131974257149344815961347759764420706868507646\
831115105038662217576942666619090692823516073844066947555769575981510729290693\
962726109841684648780778498799101026365453534632364222725695362874620836268046\
305548511238789186174126770628948638449308581939507349441193638868061055102371\
783889165472578685768555986499593385788027358415215164643130812817065518650330\
119931360824108650616945653002314084139562703343649095680 #^13 #2^2 + 
                    1271935841766502496077101405394079695348565415498913640158\
135202660254157227935631824547200673757308213384241977409058333623119562203724\
307672589582927881639064071535130762305485372121711013132953645395767722732131\
063376564683536002694727651286648661457916796264883575470653879745754227137428\
830211079772184404570047439901015864260811817661956551994267047590178058266021\
08495386686433474028581648173256236577990698259697500160 #^14 #2^2 - 
                    4367874224041846582231288029371001485038333659506732777485\
858378192811773638067952662773652893286752258161845909079688413848733697249410\
551250453817792589169861634359856088891365901174371544359331562071520499986645\
238074132229090196807697538233564672810310822247319276890367329977791346217788\
404576425952986354384623977349746972787080711369596673186600397456149616008341\
454057809564860985275144921812177310513859383983101706240 #^15 #2^2 - 
                    7858241018115764667283342324125189646494265001352530197000\
108881763528027410824243710386476559428890946720292558944307220600701722992260\
260216284406211690159942922144753042976170139269084739989979821826143994778375\
639902059195666584192898129552446963011039514611633392387772898091939547345085\
172066622497251203436396686118102914135797421709588672201869051800549061886324\
67541847252539302988016695288797921605880945490459361280 #^16 #2^2 + 
                    1035125950164194640304228130468344919098803516577199191588\
757955242184402949856098215825537481834016243038926235988133455745250373349011\
527412733000465883938383762124139146427676137468729899479842379677403304284354\
077274314757746100921169760618951627612385907892350370503422098020940905575244\
354311218246714598383686398498587673523865430736318924452684325379121158887118\
7876317238796997896093120479087879390064363593132010373120 #^17 #2^2 + 
                    1812579835841173868369732383854182383005546414949022350918\
407737236678296503725553356024390373383701904916953059262927212960924109900276\
699056593926885228834360769821282290619263934745349949424734085179082435062540\
671048290270402325127234266857759621761963389414096170796513341289932223925994\
438919844228089949532358189229044525867827968924087977015600799477365184084110\
920025289800341069735346024608605077362967570293241937920 #^18 #2^2 - 
                    1660260361698495149783790370277318177419548817107909776797\
610867472435886345697670959744481995206415550565613404477110820130686481688724\
869323182366182299452632811070167329483116885062076776203862509064590359225882\
363636042680612896790058065126891349825064712950780500496990300065835646976495\
745891275759685613650259728286097616632056290065167184332549541467259053570124\
9665669020470415474906858819084582733698764333354812702720 #^19 #2^2 - 
                    1409917596038888925857750478439334232311936139597103064357\
657038782750733506828610803004952932505476832480645456137145877451548543995626\
250093286797995490131171996920135824167563248012053829320633182759382937721188\
668828625781248328173043729710770202280242865615924334621611665532520575072217\
927304697923212853076405187705532123409698975436899398238353547812004601397887\
56496447951014185083134637245394200034889901009188945920 #^20 #2^2 + 
                    1794201847821415906561895010756170727850292987803665465830\
889981960867492731876167289936033704968934491177003183023140320133989138893072\
603333322842295679785440637425806375267318401011184320418064485505139985099478\
788141248499002446273136495358033332778903884225290913180096891128786970652835\
969108635491335298701080959698554127962301404921371334006964655820245099567580\
9367148841268975146505991333650308739939043989028811571200 #^21 #2^2 - 
                    9360282021988057124442074917718238787612035452381129003260\
833398845444712731330483003252304437982681964688507563960998869048467590760151\
903202872935785187274247238299677170386606353750514882443519282987392478677958\
434400146813692759334461290912238848421532838473008874432522160712504785379629\
225988038403106800192124203758047725640277125264686857960840462126974129071978\
426247856216218950820409000266884029243603842439084769280 #^22 #2^2 - 
                    1291798073967409796534666079865119749790740096368338495912\
786363671784362917822318695141573387461138367016017325675633308058565497630471\
314021810608286226514921719098629609993147022549281193910401651946152143665828\
272077257195851566758800750911058638533317857781977346290515940057841110820810\
761750700225287962127729433047723238413848089977382217964685542008033367967535\
2398089151246101542961675801235470083432142818292625571840 #^23 #2^2 + 
                    2624606109406444992529348923107802382935213933017294006027\
799206452317780703388698144020018556266732113778600141262953028297867299816505\
602732979799618825008968479880602320678192858108015295878407518675988639839070\
965639503565487477714756047696255243120230537808897792642046191846577550489699\
303165570264016590230996355388960180990454783026547055571612443305795105270252\
0992569272872101916801990028642182782421412071600029696000 #^24 #2^2 + 
                    6245929620209587436559110677818450322935094845497096188058\
208429331992029216801542893926298601653071968569574218412417150240007457155338\
765502286027181600829993862682414694385550378583665460789937144830236785360275\
645106553874847980667679056881721678783948076307581006728000031111419156529805\
042942355452411342183951188821678058669083660448011360493439579672880281224176\
091390175004012351234790188699954043163021001444588257280 #^25 #2^2 - 
                    4071990726193482896861770591944552149075985378300709364322\
928002906462546164224289481476422586417413787595761382326809288264639443993038\
248419308807783458492638280101104617270059933936365314115978891938590789865105\
130329156795494754583471218778963762699302477477790407517814364325968641078959\
703744717353543733357822862029017055962602851514993537902681571414079107395029\
7497285926884290322867135084521324377274801997575146700800 #^26 #2^2 - 
                    2508712670871471129888473271323796915632091319885110499353\
277514146755314784772795180347263874991274680549789146363324276836788563070941\
722321059708189314974363820827068886452194832371053183775748091341783790046839\
929603757629238871689853653332815007424185299400923591008583744228214998855374\
669030547003625279102435626458931014996423174498199822764946138666769487157463\
524173728596797081993059187426321564670219057481845309440 #^27 #2^2 + 
                    4309399084546788061526525427531360973133786651397221624535\
945682633658785417878323727585748351694025600641546954050620674426347964623605\
929695913939097298119569232448414414899836071495183826960959056742739516428447\
498341959091331883638648639479623449753181554814754860039340240876570217986592\
617881707728442915068059380695122521413693589816525579819660386975339552015117\
8817662435282132128612257399009307053232202898350234664960 #^28 #2^2 + 
                    1564276898777823507007180870708461658728475433648121078939\
851883960231981873673845979961457840360323355944292867075415324290713401175641\
420900906691103171006489687510403024871148513938523480288959174651029034177862\
090805358386484823943131146406634656378314853289117684644314719355962930207722\
303543328948800030913358386297148629524581747989009475058568733575745367969858\
484772220447809564352389360982903896188374529029670174720 #^29 #2^2 - 
                    3377685121327134312476548990341421286227773449916702345661\
978147904020546422404978930119225807020159853341927811223666822564152102674854\
205559352246573645632550952662274653583233590997895036040227208170769881376321\
967220360654745020440227022923430955887820382076320659498153307645589765497387\
275660048097617208106223783094147721879666185703251327041282276985901514723323\
7505378991912793228303530779436699079885895893920451133440 #^30 #2^2 - 
                    1219561642596567079313966787823742353246982813449577013707\
054277726347503571385110233862197728862176029733353480361577652937173005405078\
711816480551641377076088576215932093416213919720411724609941147562638372964666\
964781378753388789378671391202312791886835105715241393300934163121464182167566\
055797965054990102324855427572792057497083917419108654136339413278779226382369\
079668084062559609627845179769734820682325236053568389120 #^31 #2^2 + 
                    2061229972884006501667146263817344899450191544757523663946\
463286636945143400212692784473970888066511251459141010263588867755453831494522\
996006715141384691385222121437684147864582433173365333999412885152664205249198\
281210039234523919696796143081458637953462973333308622539985691341533980885493\
946133953753830494546648552558496499179023930096028160403352296560038320184495\
3005827162563454888345797532733233099985402977286650593280 #^32 #2^2 + 
                    6652606353521246667552720622733658870541218848710286816248\
392537838087508310950418834681550072691356481627357629325619111614432107454385\
207847518750383085446696198330875774764727113654102577052373368462531219870119\
270043030220323971852137035636389706861280584681402786342216086432540485667190\
709893074166916901035952902062438761878671958440059258575068173205420232896763\
60797420860679366492084772482285815217664356284398305280 #^33 #2^2 - 
                    1016537283496134741076845984276620532014859197226928726580\
916371269170186899728511248411557463758748352671428305927619952087112484600021\
920034602367274472591322052159402867633429320570834852644409427711513389135360\
424530944062043509356256468272246402876207257265686014422208437035967623973976\
205483323247687411640005714465370572254162836207291993384309311711781204006695\
9139394434078938000865877226748340147467370844212124712960 #^34 #2^2 - 
                    2673739614136351779813493119146423760583163894971929113350\
010753356766378511322292588283616460584336550313918021278867507671212931351791\
353605294604843259185562798211234284729926950353367319558867823014941188818363\
011713976640966235553275638844833481538492350216844243101105053524983571043931\
077465867683151523801674593980076426109623924740866518456630842005990956152008\
97540861999204663667949051548813788078033469254443991040 #^35 #2^2 + 
                    4115988146300436802249731562084095509222463209055064420739\
304445601603745987691041666441522241363815454255220758916507258651415813126295\
710160356918618556194233624652598545723552303285321495781584723726988763288379\
964706112527671973631279268734959172453027873036125902188455772901103444275939\
383491731053984737159417679774287435628662501955412961684590903406335005913128\
959334551662250557084357321493205587636360150761917644800 #^36 #2^2 + 
                    1288168965762356762276590386262682226982799175582566548875\
449023200550962755335819784411440065085768456747452389273270115398928511921150\
507648026092520675782606453346181389368325137261885031869934292437117235833794\
059236730102384009422867693963315118521049169629533489092905400029768420916466\
970258825823314167585155061867733109316215455774488274200461569825788458187764\
99887149016773871516739215894133285932207026121694248960 #^37 #2^2 - 
                    1341260722848533990804332255868979067064434963486041378225\
610948485156258432711469040909289715126132033064806157131419888070643595548162\
924696996912598651922819531124053411718296553724948874105753855855557813381341\
044094645037986376454548199787463256728509150391236938701387051140251626108268\
555832082973240200618591138883687687380541574941709903578783334907163980513404\
737555793743219412250597616906777626992083477767127040000 #^38 #2^2 - 
                    7170810393432050748840914912347269905780325913213268245951\
791526314674871444335142227495846941276858753787093311452529183516913108199162\
128395884946550162812332439712414614644684977107228981001962189544140952702760\
690323994564370353582930735898741174020444099153789089893491941981656589516021\
930785686628051942347383486986485973289361897111446337845732023165263692733224\
4231203039398851883414449775324740035416583653713510400 #^39 #2^2 + 
                    3334782380528030238398330808602474541770391811653450648913\
325001576336932366355473535966611865969602386257118361693578407612263279869087\
812494807017184293595742644118453498157322058738932713273523372327544589326191\
583208360749428841768133316387846364677951436533163757233259933638420532329741\
691070057263309143462266676913006848355330707532581632485956702856558727472522\
33374141601273380461209062520983221948768456394617651200 #^40 #2^2 + 
                    2787698816408618786165024109142573580888470349244535147343\
782879234016149517010608670702919946992776660884581697963910491398148332673863\
154491690017143534454595476135059397720235109459810652215694073417059153858860\
728810559585331194155508492292134926674484301480260295087475131597348817752564\
249826381645603747243885240705769344302052854229936615387287397204939491202455\
6502988337680376597549503926919518155178654659143270400 #^41 #2^2 - 
                    5825566465843295750141286873416310682129376766325617405490\
851511350752468716976868555363512629751212390915718672105262571986084193930037\
138531523671754272249239216476454609880457485469811777795170511967579265442928\
778978342463506927236545151766913352571537645604148109176265078581173334614513\
040442018187911907259323166318069774511498589865955440010936457218333888864500\
1074311833586530452892569372293251615538399151338291200 #^42 #2^2 - 
                    4491060397302454265148416428337879073802487650052172833815\
656090478579567373098710555904190060924835021911765003495864078123281498771768\
327896690616720804086781535701314260799312015716076335460239290715828817724743\
507521105563525681406768104013769182792597460881308552427172824992492588709970\
573337133140103437888766999968580088935820526945692212865019764060706094458753\
175343379691545520327404576809279251270546683540275200 #^43 #2^2 + 
                    8219917043445185818792053132011594981442256334198491695692\
741274090417961722703361804080087522340540212773762554082129328477845334719288\
706024941576648628950340981174326885958329127132766423053979750693265206895614\
717462389338078505273278360172713012733412483460265923612747647643861186962030\
034950674943415239854578109018956510179116626542749073361449052640028546804738\
104258746561349177396812810166550517875119150963097600 #^44 #2^2 + 
                    9643562062770076012237409630957425251298387612802705796345\
347920859023770603203259614887993905179542188272945231648913343701802960013794\
976146929144581566234138423986503722882709119172796783581509543433616700621548\
099085277848069463500373434995568956021118870075302259545329954752648418298606\
121725322268340753407585183142791226417100277133320537032947116752191179826543\
51542916161881002125312694138434117177064507939225600 #^45 #2^2 - 
                    6149584901068987390671707347770923064147406315693754795111\
471051300655739717020833422766648394669339472724722334206943571395687734343093\
639325960199340817831477595066155829441696357155545274179068967081239704919909\
739693653357384050169556773973018899336026954560157368938177962897826898735435\
296490024527747062489369722823945929833142996445636940948515173764740986289449\
65434022949954245221637908729392541747113550151680000 #^46 #2^2 - 
                    2423183441795446911289185736208283777597973830260011448667\
599429020300808941978611045811028759333044192447252671324615065539511620816432\
498340386831832349013919171641539807040741649486824539230259967023834712594436\
645568881926667095838982629412331151068658031668434802732866110351718240853255\
509233167966167068856487801277558825151454936326584079944798669788818527351981\
8005311570333773911234257281000148030515451002880000 #^47 #2^2 + 
                    7259333607306256776796209789443942522918666878601577674610\
757389650294364961358969489415456125272784951069675205302402224437658270108457\
624417393479102496716649123211005140464553515208783414502296869361177046917438\
123560906731227182433480133328076606146876435982160010952374762280288014252006\
923970051613164401312550501551615623610923298532861800882827374873979181325616\
0170665300347764995746767594661339031739165573120000 #^48 #2^2 + 
                    1656827345437638621112955036177704208783644346843921999693\
051554767166090071647899498878688020347698454218993533223357708761025531930744\
827851260041597143721540948508607520771912213626955814561725612378589627339698\
928391263160548137483781284915841901792537176022837749156117512898978863523509\
142833577214005971909098840214003824689294406954190286866730907873931710407234\
3005632573698295174981361879700327199268642226176000 #^49 #2^2 - 
                    7450313049899177641782547075454736152108878258205360794322\
129221344306553050971676190004861869010187231022646715393209800866928820807479\
054854886380145176749641580363580947566710184538677794347686003255445320214575\
606603032759974537008932259180027955682103382135525597691908714863870073899578\
440818349597179333111877865515802993637014060141827443104185796844910388363362\
04091658890445912115129474069295459544313282400 #2^4 - 
                    1171864264225089062222921133417512770615364521833102208889\
320475811266394135475235978560147045576940811630959534211983788354491663803642\
015867474593574228251609183368613652570739459607836206736150455067990688973121\
257710758717552482403545407024001659602382676635910809966777027542509799497611\
516495681055153705521353383966427513890903591082711419015123746223060115095529\
8678711525854454377326637374497875542570324828480 # #2^4 + 
                    8800943020932889106978218883477502267181861213544314570898\
531792220078404020614006610030325353758957390085424716979298207333457145016660\
443663093677365535413093118056232615397467416289717084060151962168161179371889\
921634398464616361882116741835112511398638049261497071283957543640633678094213\
793327213323898116418939730321773741882566209438743808139689582141351768449383\
3984157302991706209785786459990910496156576058560 #^2 #2^4 + 
                    1734231411453011406270548110743743340124066359268697747014\
050424792314372573189582488508452164992115057611475536989613339813752307644209\
870004120495756513583649844596563955429742820875328916240121987903983509839995\
861641456569648429508328374485347993015287588881495716857718320330070707613186\
996051436012669259005931005576138388795823374355260262532181139428344827764785\
304097075139740365363685982745186822296091003002880 #^3 #2^4 - 
                    2362321944037610559197362160921106142040250763458647807743\
357967201317495877342904822239513957453134900271042114894332225605640329473182\
375970055566386009689426907702451677808199651942414219844877269841048240096252\
296601299256679737796057338176491675761325664687464759233634144614810534042744\
028064490364442839162995793086398661304116498917126884977045682019105237222882\
418285441720136578742283684298022250290473146707200 #^4 #2^4 - 
                    9511202197042378200080859395583969785990852948633048242766\
038039263409284440603827059821165554120953718577561084952115754513332338980668\
393559548584106221041213000581585340407523365286289207951827089365928751379596\
066406759244094658917147233884821084593031516895263471781212543311156109349199\
153467497120603359905385442049810943536469388092669677615490157306336046693950\
4154742617257428907803931742451516062488201427456000 #^5 #2^4 + 
                    1279494066002026330613546848923415477379434185442101637050\
060863385820226420733330097666227042980046803572699678311505214505809491426143\
878354288474236120695211818488118922561603780559534243678577111789881158254197\
135508829844065901157925979140384774564315871072614185866420657551934587425587\
818689975512673304727865650457724991864889012770926761994188173201300987814928\
4540698039513611177868086257605805831933206678906880 #^6 #2^4 + 
                    2624942543577359741020368390413763349635300245261163228600\
092378717990449266945862062585496539566526200764947171333748375250917330385475\
500567787742618628564239110973842435910452910008247255905687145982188128481113\
387393695495929915011022795199309829028970824842753674971930638240410713107426\
614627535221924003578576043931722637319470887014950727489912604106679504042674\
895126315639772035907398560209946761851824825671045120 #^7 #2^4 - 
                    3546573716592186429804019485966787359250713990724595057490\
500196096210314650852262100823768994069790029131103760610840755062971708033693\
764204062467352923785075421976386406412244663073116016638573371683108845745264\
112051809085777309290974376593474082568343506434327509308489040778056448532081\
106315382027223624919930884928402851025738071052762215158139732970466043164464\
67647354783410494472563094467634866679999698989342720 #^8 #2^4 - 
                    3727957879774611683334047619967079626946280327318534542746\
028978127215863774786586138476403587724746549698601205562160781518546515298321\
119097395435719593319777732926275433758837607670310436676928686243559213996284\
623313564635697192969595355620012430737904651527123141847211970462988350627167\
378680691342640611658465102194726542077714985321799838454385810292976770785857\
6326941292371150216828589319018154524393058228797276160 #^9 #2^4 + 
                    4096818306692283466564926788028732882441862639756283471767\
613621965809781618885994263029083849819432961666441285629679205002580099156588\
108171715915945119912427365614548586803989581538745649527303782148161603207302\
779674441514766593015886398613060137977219415612538045765854209462307085634993\
349878241115316213490863250306081852433134254506284020939472488697060206673454\
957819894863986351823852522712159984453724511729254400 #^10 #2^4 + 
                    3117706629669376311237194264595991115687540813304801992845\
786536022925362913421392027518549726273949100332403785881858444695729781551697\
995881463171207191885615820657587380244479709528652759242263507394600210316550\
916496972614979515488831399890021481933293522652333243860565206983322141580975\
060277042523072016201911712793271553744764680002140621539551111135359698707757\
85937202406629649089916650780717229518995925879151329280 #^11 #2^4 - 
                    3467664158671676162538756922396629711756497456023510721816\
201495750074007382332190737946775307901728231489037190937467130318885872085173\
970239503686553756263659256354423678470903204100652513609466534227789087661865\
447459040955710392717407599178245655460947785892973100976991065142344255695214\
079069080900525228930287324149066697040500041642555933954247588400649460832105\
229301372091244608135517127315666729501445121256325120 #^12 #2^4 - 
                    1660638388141242081260523208393338700333794213664372929909\
542798633328851217789029114116342414095924066420020801123850569264947390616680\
205358585456373687396181124055733740281305335406281599312627470745451093955188\
739690328879693774411107861148873864894362597311472607842835458777532652864625\
117832802885022903195525618018176835324713578279729487945815010301833000153791\
598676814208422288991297017689431515484441115246398013440 #^13 #2^4 - 
                    1704523379985293606862550976811179244008623599457167863984\
146284297522736196874773004936157278348401268724658942642350723250995965525910\
456661368364166656934035599115535860952074110143530937526362321453704690498442\
524808287038677303946061345156605799554431361463743631082964596393610933391558\
478118085869863521927427783480089518857638261137966090235001445858374812775767\
75170340926224319553896246942487851032729528861324738560 #^14 #2^4 + 
                    5854297183266625703464757019063275620218024797747277201531\
984650909755151548079631885265722465144717784704823440353210036151458476770564\
095309184722791440834135537283622111881701259699910957517698361314668578068159\
485211000286914217616856150577284161572844673365111467630202797244338989435197\
190540195143734640228624720255543608725112572173690357529854285540263216169141\
738013143510921844448912420544217708926591760178489589760 #^15 #2^4 + 
                    1060678476826174210013361965469229688715367929369779357409\
146258605518187707033520861074894949355508902879920541275927442983117557652285\
676646242757305582214542140387174734100484379967219638049715207429609921103020\
889607241758045329354560006303077225572326037489192178420869628142388277538216\
177962697533004885462773937908763224067656878770529214646214187186694611415315\
193791999677443232266936182743675022309462167457806417920 #^16 #2^4 - 
                    1389567469204915078478215054095571801784775616797614930107\
678837129767054808303308417970712527618807543621346737388902115940101861847159\
034123913706810409849078813770035637292306660110700236830063099111006941547868\
544453230294668259301269487639084336947262295237824536599702891734101455163079\
244992562708561700190871551478291883188607559742128858133862274260957744657993\
1624235999431151135580463998902965288022890030265154928640 #^17 #2^4 - 
                    2460166521233080752276318095357115031108391735266840734290\
520218754778396474077456174903241973053573033286466373690627970858807215533025\
460124133514986359386375310031714866606453162732504636351276319695640114922310\
766336707279324799974614027697257743378675052187459538751534861565600851848558\
440997172459755257945471316766760216056686236572008091052482837158035931116943\
393618495306211719212977052677639962692100309908245708800 #^18 #2^4 + 
                    2231670502174680935287980250049200920375412478600543003053\
062463819644018937353838167567044500399000718508400912437193711804540219844273\
602191912689951608575206942597763564871115729663765770535313179212227670385144\
677144980574441068336128209782509770896251866806378576390393712058110161227974\
871739010704342627390452871435385559355018252417399049179213082422435402685123\
6843286474790833525408483020092471312222952698599366983680 #^19 #2^4 + 
                    2466378008632139729306495366089305449859712174261663271024\
217611302597702595269125836117018570290962121511026774839273444689133368565799\
306717344785105766390861694005246748743774274057077203393320873539783766973538\
197551308527029572281236978771130666303575836494312531913388304233704413222176\
296125843139204197580464661221932067042862190215774097420443184912401917753967\
89105367139205837177213135211169561067406385767660912640 #^20 #2^4 - 
                    2414937395919171343017202949737644288309982293349389735345\
734760708436152881271667646201057832705203163619000092908832242363066504329501\
072405534671079277845348754732584799848143907763482353723538150467434215486144\
135793938678577459275580215286958812799882576614330279352453262586740116916102\
553914792886941717048038406095253081889808789878037842497918575558981811215540\
5226089776974169973366192486282888064149628149669004574720 #^21 #2^4 + 
                    1250635900197675912191194077673591228361402988017364824576\
046845918734500802273911636507814679500052286313106072937455069740550011695928\
155846697008556515222283692407519741276413411597729161660327032940138774647258\
343961774898306891960094498384133504418234566454641120725030297089630706964714\
883957578449498209675446560117242872791290020997561693520336786781770794391884\
4905758726806010432328258013118969116639282056131887759360 #^22 #2^4 + 
                    1742356770658584159387221245724015954887460697007605126605\
675583783071789918346555701742894193930686845113385529909482234028950239397526\
188491835352171421219460027824701184821138748175130406874202714155244819396735\
981765487364715680694832809060053624689336689722671878872561611539378252259694\
151305176200454016648015002874399332541355661679462234410064173482687060351218\
7333022494228270591831350744470225918638593178064818012160 #^23 #2^4 - 
                    3523285536598507960441956830063153777970406668743552118583\
343786224915570667053089154297701162945827444289481301792012551353959548810007\
332306248428245732003036603096081685829859789246026594366689011420876723002507\
885015947132644880750120314895621130372379293889184398211982042600651508838603\
005877422770001440090523581443984830345190377996012529568077831597196780977462\
3236002984984672570665779009100782920234992543927013212160 #^24 #2^4 - 
                    8467465272339332273376191554902911766844691044444427698649\
025808894645304927809787814036264136322656588433030628656424021731027237533208\
431171579927583218852437593246552605535090843666048710860939489530477944817401\
272334649641301738294999945557665202620143987383148129285176822393220860036261\
050447496957826709869783276390504872195981607200660374333310127268108887246660\
187456864720480095912756626808937291784903832019130122240 #^25 #2^4 + 
                    5475183080350987258164556133975412732007859570433272819768\
601992019639806680331244785026350368113525944735857052778463888625586940449874\
482672709627159243887123032175450122022162901152134841814706295984139044114171\
747567031573165507256233340906419600328249081914080445558038437323386376998212\
639546366270171709562831833605443962196444939020568037739944328411038963177288\
5849696947832868476702942341090864914795659225365426995200 #^26 #2^4 + 
                    3442547313651953646305122942515024163627337651716998163204\
831609592637969100580165478869027028255122465549933346135044120437514525853915\
312067464453860134750751979459169798556587870929417900787936742101505852655832\
677925667907986864043613473166593334424626090105334394256399839367333876297237\
409793610637850351808228797689333010024503123132409618114746861988345449471243\
137909067991350709862021370449348462235272824145093591040 #^27 #2^4 - 
                    5799335607408051025692564634177067972111290787756594080095\
034553291642382028004483098375344178142874283445285717370536531854967006851928\
347942425342728223132224253965555013945118933599186208906926228051353515534154\
824682090360790017596361603553744298993093357758557080035598196874431389369089\
502735272312257833049995927525238994583371951570809648378982525198607791378559\
9151134860137828905118405457172574669510381442456344330240 #^28 #2^4 - 
                    2160895379407369596220275058435153049136758106082754451243\
697328632777180288776667402759443005829918496965465403495690600692941600167508\
799265095550337525445287022018689840877078192377224871850726316831036749015049\
477176435879861533211412164168706377720133243883604079232305373090844595399421\
521198548904036134245775374869884203535358286280044039184420975660668744209079\
484197652218584590615669693799713563025770877640853422080 #^29 #2^4 + 
                    4547911517676001070659551083456524495989387924564053280474\
049257577087158264800087685445815833012169381106778355643475677733401594146404\
553162123909954640831904329086054420478987995165675395938208296328148622484813\
162096390278522656630684003820183569845528357384797970782207811821332568588566\
016369396317527716150036263620670184524936574130628224118715785685377237141047\
0601746883173418603732553263314076041299672910121580625920 #^30 #2^4 + 
                    1678707344140082235920918800786530351969513526281504508027\
608905278787249833466548589031769173035256202046891345174628668291548527085038\
930591413071348309866146083072533497655805249726923065852525795553388065409102\
817005643425356287740970045384993327668326619516835298337365935195418689846970\
294837509599833600446921584320925488288023052390024100607720061991225016474647\
589703485837751717095054994986097657738983185629860331520 #^31 #2^4 - 
                    2776398188473084645186374672574512401680194560508750122740\
442478868895709705507490520711470449028908328777830299644447054127119848736858\
551349858956046558483596755123776029691045281409143577569683838861829077249916\
496484941222460004862005113222646978224047406106685733083496655077591620259490\
982108720710357688073036926434137208042816999637040159196474288187058468940367\
7324602137886842573259092855528754553486402457796786257920 #^32 #2^4 - 
                    9151212124823771418674621943466869862701454125394568161193\
590865755449640882091283749601073638572654862800242613626647483864940261406085\
243015298706941901058408127641610214484841917619458896891628482646256216200457\
514785491939301252974087416470499211005120997935213800956693272316084533973807\
014644628700823129893493574461887336717346070775255972690391760241072825395545\
16555208128389688186055401994101560953073658127722741760 #^33 #2^4 + 
                    1369640937386679282479132011262734786600281335300011461884\
079928003355767577403011356703031541789629578317311515024038290960892240875132\
029426740165557311429488744922004195964845456599164673869265327641834980246241\
031233906347835372129728692995448776321594284212823164493126732753600051522153\
624078175713871002578988806711817131049299705590124852776510144105551798690838\
2609531069144541360003084739840342534814477553661053501440 #^34 #2^4 + 
                    3680700918915067855019080235090760857086648796567821119145\
100164840170616381701667635233480522350966525123098746803027572804812402561219\
596639260856668451599767610336295614203241738495643612313545556657006266518735\
917065244146518440568188622921879144554497936196920887743026475386805560107436\
457223518533274527857802181521878515022354111306942948436188031365400850900963\
93385742254055124353350860874150838213314668097070694400 #^35 #2^4 - 
                    5547134205340392528533135545781439076489770824981170807184\
116811979709417110954723158919558250312640712087110857005036208065471188829868\
683841874476757402630055851652491246463579376279942427231897659405596573005287\
217321017208716982318784261230703438089089839162707507404667795481977783346927\
339216081769478613394210882320347162100370136775541960586677546107370153688666\
426802186889318133400310362835112636672579367147478712320 #^36 #2^4 - 
                    1761495201591019686355225059076032220883446678065330743105\
496233422672535424460114121913314496891199318957854259604830585337368885601866\
157023203582997578288182581993434363033070352150751149206899891441909334651625\
338881393614350756293266286118529118325186236088852904233730918057583657290362\
596223214720944440392779821430742332990215216179808006677366955995342493179536\
59445368600893952047331660176779596566698193586728468480 #^37 #2^4 + 
                    1808033156568664893352883962290936102385575512043901612998\
963514829566624606515654529461437592468907536628159177295504743466385064162036\
925055203092957706400528322207577631169697070596253964041502094061446938390130\
924182445717762226260358803622900941367910889610175374026795298498098178305406\
328671548477632337247959477524575160537056295121896659259033818795284743755333\
029998052165892865147484383776013024199410718229921792000 #^38 #2^4 + 
                    9730957112514325724307124905974784904277045641687280632569\
203869697315167912421734951587934105185435435935349918543190759275022159508843\
883025175892538560099102231663829190848154471576028464115034292702604908903440\
677403325430086325747360929500322977714478325032354654878920457714956734547572\
901611023588815494642208001787810710877961888833638191284715553568546953380344\
1970689375902162413813980445982177445568031008122470400 #^39 #2^4 - 
                    4496240163032759120499504548345680016466344880078004582784\
703393901206142348478265148681934133281725939877193109725393928804403841683998\
633076211581512862821410331245796074465622560043688895608822314745195693155785\
253948626065303031956062611848812687874562011764703244875960667850644264202358\
215804050709867674377274695131381534311526386214835157887656251290092253327555\
24474432816442693187735214760145503280182377746268160000 #^40 #2^4 - 
                    3771512270323502225022420998112702008546107158659665335974\
086088532592255391266178769696596249339993625312940406138129916293182564749615\
331625274602007748489321129325116827376688938323180229713524047802569581450586\
512213779905156956700334784210407743291995129090519805167972139925265827910951\
808218138510694432742690316640208154322780723380657543596013766426412681619037\
7941764051409401595288010243557892361788826231557324800 #^41 #2^4 + 
                    7855533937197682954735736406899392664317781819321571873855\
709331373918224032600125340876798275433106312996891655721699957125824311244471\
420337254837099055823219382138220533541077290002728341651638374033803109320423\
805743256599914945926565462883888296691543329450676784772199867155251923659198\
486781638115538509205693123606099929200355109230349757777591327563330578908398\
7504531451006311502212512733907096776168279444658585600 #^42 #2^4 + 
                    6072821033746696868459410730138038834109605652193378570495\
135998254757300880514360712687428188565954155605407741198067348806004632010047\
412522708589129594856895509996533735427386826707998939251008411799857022899925\
877381794130578731749572154262336710629439766031393530030372698622262897567694\
893249512758190418462246883086035281416622990963611329333148658845714820692572\
853684267501165282564691286661840184266075829121843200 #^43 #2^4 - 
                    1108604197346258161950086354030334721437987061849775270656\
907507440947298235170543922057677756513659930097633943662429662622899275690122\
046303745674611335791973299634670183091601734261268975381124291720552437712914\
228976478769927591604000473236440022662690773843529640026983757200814020183604\
687980265020868142894890515051871494517004850302201029381494706506276136395733\
5985458139665681319891503239327319575182068145979392000 #^44 #2^4 - 
                    1302403192320601969115375005899168656603019515645147224080\
929808139044484452597308074025197312797840556029507743088440529251666486276827\
204149830990845243143408940848058839565229944322623144026926343700388542297648\
548791943499454580720510712650616732545869099789251968320257348647307373493292\
702687557344332615425649847109006370260002081270845032784068951496427500227582\
752807299938167652373712099326991036015450641976524800 #^45 #2^4 + 
                    8293690296918295662256211326321130255782424704495056616951\
124367052738613196626928241844238691843867351170516815385515225309080175089850\
240708289322721087300873261208689369871228475774178089712398810766606683853604\
195050666374365017201443713405065615056906614340841860631941344317039691541405\
344884543257590551362366155981434855424043899016056320811091416294986979915727\
18601450706395683599539701603767995346378710581248000 #^46 #2^4 + 
                    3277659623586383800332295346562460482597199598172885610167\
835857306607598415277803333535426060475236525992908018260643409950122616503304\
072987574333140071118772389660948186142730140728766586654387659767106771135022\
895368143767114955455295885905658433982201321338385198150557023068419705255362\
493282731392815408383191604269837176422817126537008789303626512898406943941134\
6538392412691105739682457019799496056360967077888000 #^47 #2^4 - 
                    9791330256769693184125601255010728306708063968332361120073\
322844843608278626778294413905756993377761562581204608996538548800766311031676\
086472852783776779263789116146450998879957945814572807771791993166161038687371\
265460895631705972522277042667548724641004824399646048788657867130162386386224\
854001330282827146785239901987394344795476439885291184323226670389228431390980\
3638106871296398328434774514119138327153199808512000 #^48 #2^4 - 
                    2235560368863662970752561140668799045178972710356196489568\
342146695099585115312565097861918076149114503683922649797836535256815967005262\
724852029715518859007426024163391296309468915069694219858286084413794055569431\
799692508268941236729632565798051656929569705146538244195225341783410441246221\
302938394580565635709321004829031138663832833205972560165495713251430736948994\
4013909871186881562750868092287802208679769407488000 #^49 #2^4 - 
                    5443456939671115046790982780018602623533085504860674177998\
765262132935817862259333096253392319277713361302045273049903940085847036060811\
583198700133766062842770971544439769907272657803573274440411118649373414157148\
000169261373464965962276186206411253570628858634527467370238476375106876519115\
468176126784140446819503811579523578293750531931948693332860183589863746588932\
031859861362916423403738598267291759423380800 #2^6 - 
                    3110546822669208598166275874296344356304620288491813815999\
294435504534753064148190340716224182444407635029740156028516537191912592034749\
476113542933580607338726269453965582804155804459184728251663496371070522375513\
142953863641979980549872106403663573468930776362587124211564843642918215153780\
267529215305223112468287892331156330453571732532542110475920104908493569479389\
732491349350237956230707770438452433956217600 #^2 #2^6 + 
                    3110546822669208598166275874296344356304620288491813815999\
294435504534753064148190340716224182444407635029740156028516537191912592034749\
476113542933580607338726269453965582804155804459184728251663496371070522375513\
142953863641979980549872106403663573468930776362587124211564843642918215153780\
267529215305223112468287892331156330453571732532542110475920104908493569479389\
732491349350237956230707770438452433956217600 #2^8& , \
-11236610318681990151763060252380792354191495185673926788308104475309115495496\
236821069265075074126614668577919373213066319085553601492832948718859464872990\
902884453386884202363159667683762521878561061668078710855912286927747551878961\
934719624627791123793655857241561528891175604640483035935076108252613082450923\
850018285506637397625386418798350219158592930596633556386314149384321215013140\
447034526847271703146379835280860590827558046812532539855536640712632745277352\
5433581701139 - 
                    1785255254034689247918896652938106889824443715677164597982\
116569830798813460698464059994409677161149574522390566546937975439775080638696\
788752206013811471614070523312026835349490612374937319001191849038391752416198\
271357589722080648587879248770793105729229850251841141992834276263492000655227\
717099143267166925933824574319855064841774613005562160021838741522338096757820\
952352819625663758488380916171788928786342566033511399189117245758547756135245\
155369930936183578606885448738694 # + 
                    1351364431809968091215822609489450980110355042357464632428\
119072465708127525811070436719887680482473434670147243821167496109053588243392\
443260825570499099237581283008284575500046308623097408269833503159431395298768\
223047008494909719562151790454718864983545854578058648127979051361171055266806\
362039616075860004274947719067275368489762557493141727553006181578923861055308\
502998671674894199102975032254927362018407722136058643283356062678006450734303\
4725999860516340328976647141897260 #^2 + 
                    2653945833389056720693560385422319225406563837393089152897\
408252156586183670743211352709910202150788001055093686750627189856014741388803\
003111310968422946030464009009061987600381617293632987673924668151323548669775\
200357745817514919074663343009184438975857941614047626817042192573488923420952\
043057028957444466696216861226712961283268759414973604122711292621780541812361\
971155282502539051346014007186623067393954402113486399879823179410641698749123\
76901776077258035683163163677538672 #^3 - 
                    3766082676731597264975779412165660131853926333952044580723\
567574525978191921941939292100195349392388317646613993479831194489918693789034\
087147051931495506965129866237896343042634736438047018101593375919631571261945\
295650620856404612594705681285553262646611032812559747727281379851540231737010\
498151749645634535374219331293623889540067398946075432241219977168289528507983\
450534702508987739368523683078863125975212048644562152223424814350488939054226\
59742840956935302120167837106080272 #^4 - 
                    1461820240651831899861629824956001015103809281849803967034\
919406605498880590375704939195572829401594363929172633435658654600452178204459\
754632174210326954050743030403740788334748596475094223454584729239748481622678\
468099904515295225150665008466478516205611506564581561429660042454843399863348\
628615680052914956312550129192239460600827264200960416035715711917284693061433\
394574970920096554518719607102850506733243747619907366399257452705375999831708\
9812180587026596787125016745072576320 #^5 + 
                    2139660672086922760778722737265579492414790184116608743067\
807837896803313907440880283053741406457888538260406569744709923736171595215741\
749542324983091247494275555429672324018771599856751233136546494846959661695141\
064732552495653485159949400477778295900727752716554641335727639598041570217807\
636181032367313069532015919696410111389235407456591336239546758851016260841093\
800845216928551102883397665748366078401904776794229275894707619561285673080727\
076512909949083453905085346780944128 #^6 + 
                    4067386796883441814851025652094747036232132591588783965111\
535298938108370991151948255007180990038679506336818589579642592730501901309372\
990149033477583608492494749734739984465222661022796220054102992698017307387587\
694051382930693268627735477577512040267014236496079408778633652489035156224069\
190347985248590625329281261375750968295697815069378760808874666120132372611471\
857917619945451216148406047789288094145661958241275299175874985828096484497898\
40460906206959979391784702074301699456 #^7 - 
                    5906639301531495090574070646025463399960541549679942594540\
277853600632167681496770986709342082183165770033530004741672200620601637223254\
899890359496453105829333551627077072130483622955932181599772912960001364149332\
371572239449901851980473163890415581511612781679867093818902237343413215361901\
875590967711457119389171701681386293925818320152479082178652071336253183275934\
538637886549578922163654287911319783889449420425186434854605865779637600999549\
3709650114016528229026821453604343296 #^8 - 
                    5797220443606385055408193433692421256684419144590872440892\
217132417024500803484684053889940535508382579446239941770608261218040955264038\
732332362314320341657345262471540739544688068397768557339214376579132171906516\
262311814439274964072469538615603368663856704517869069503297267509822618064997\
836434035928907253799243880636936510621731325002886221547039084288771642738380\
535698543742748991089874003105056374374187666218545727238317510660465820089924\
117061196077253245535180563116959475712 #^9 + 
                    6931376910078666672811662427299946423338913460821553606714\
917922481288744768953513147760994330328599909590528985390970232029179631454058\
624715575136708665385838221353363361519316133293857833623416874311054145907895\
746334946378011975562352815272932955057512738105810571169386572234016997039653\
917530425205876522174249284791046687363649715647649909803214007864756931524477\
139858407534007416874374964273747236592478112858616429979487257493671256427254\
23764859879928840484108826731535985664 #^10 + 
                    4855154977154176390059698363939483849278598745906745777942\
773465580356016445542915817965178610924069272848667408030397648031450302722832\
197080037787003394906303353370227043204076797356194152561815894582018386916847\
250329457179401350380791486406792359424912319569745550325200275949262676553131\
039536528367569899442441448673528369834971088371339392501134582617624126838646\
019485176142382458429199333562108165156900872504558520459886596460224818896577\
5474302234386277891711698966782978406400 #^11 - 
                    9579353442192884641928900835537330620250129217601080611876\
148257328365762275394380252924074997355728978501491021034513479506156283970618\
619061019357280448983676030311948342251325902440642208962573293857391870919772\
470250995325468302793369650356020566903461411951595280340151820098496762281432\
027100412158453784696766064688486598617883247636572729620839357404526395395532\
607879614257990579192839250273007577155331541253382235806672866671884738588199\
49962554694092393784081583209705930752 #^12 - 
                    2587396135778163707868164175367914680104131169620779719851\
983558911605131839509677592555281942465293209597725273839798271076246082891907\
810128467288699483387127667664401177287735146842774252009416728886362360311679\
092902967591635935893215841537224744058498365321941550348045864046171310709591\
613467321153297471199099344850921609836138319297537806452616618513605124166283\
250620771867252954347181532825162152719457917568771876110570263197314722692113\
94670248924268761744394351149721083330560 #^13 - 
                    2463445266628364954671515580488638706898311922887300829560\
465236714963182016248541073373253558098857095340993514342189218609876708931179\
811562451145560047345605780463767649051093731395871050579997854076938019230650\
451961149196984954560228814881865568724568945887385691418535856480628213948407\
814895655860965876007503257932019016914141653672835625630835745301852163286205\
921192284207676967429805748526895055523361140055171930486480056343349678954304\
5793216620404178803550402504477521707008 #^14 + 
                    9121968055567456974978553438971852924686055477964118841924\
774145929225292059547094987213269104562928462476225774233230925181404932381726\
138465442136265028101602858501182915606813522523697074404666194852772681863132\
266364786048255783077757201290412590846333723672391571117183714831981337873081\
699763040652834327183198883244651544880952487611388553011851875536635919170542\
278428202979746712028826435364888501347870707200273147214796869892835462090542\
19699407592135205972039965400080099377152 #^15 + 
                    1594707723278140256809784500277329351860670463420018233125\
495546750201956659856358532951897891314533581314810023172625337155789004579680\
218718811808093383550551174891563176128892878534932890241115356313879574201399\
208269283981404220364841850229357333394448472365740974583838319062864510843906\
495492236315718418922421527022703312334028774865048824774294114514897945107416\
851520837545641779152430995285131011823800195384371247474708278479536928572021\
84057805324418639503165722739438223949824 #^16 - 
                    2164593056171709153269443422628201286917256176642347497500\
351551013070983987861247545130123376710653109058185650591178162568670427019094\
529533976211316777238227124685167347969450365165336375414458290843395391917119\
047259396885843215275801035433290434904960471193181326621639277234269971526955\
666385092636966132169848948692256093073336123792761650094915827289480405664595\
967133851203718081501918499031628131718675546688634868729876975728595769628387\
975524927027901165147771941897966131871744 #^17 - 
                    3715362112981341071595237376999983152179964657797349688609\
387123528258179187903873903127658050844231072055619638624994255279962779146911\
240766210565974487324994009342877891807103984476146604602257955534714557806447\
760913459278769580281925590089692608108132515535494263314367958783255182900139\
352489373923809284329881527086146425068179161765929344139069676234490344086575\
026345138734363310974807165680853588084098790210551841229330276473103623921391\
10186780087981529667778576626001991172096 #^18 + 
                    3473727962620115728900439239191646859676429793766160982900\
104379187330376209939639746385138753945033032594942508577751662207185942286299\
236058453284336487386003429729848655871670169548330917383754880178603818776652\
562129350757435244177875223426094217077087145840292264493972158025399407311123\
186781768364649241643586199937203795173235250916969633737791694267799231731557\
006932063830625283923654500350514031859106954056758901768536388718621627512089\
388366468604700746650751523475678890033152 #^19 + 
                    2248272158039850279237722415677718274210117145384244220739\
320493970033934244848598310190281593913109897883838593471135039312470001186369\
262744737264497737937642185466532187157830762447973858904564203768888936357535\
799288890363159492771367084399937880527395348982793462299120281243175403154679\
455578443566716528553979940654344525207023015643223353422563890106741021632202\
412710148254118906522774345321342521538360321007756137763887488638753977566788\
9478152046108340781099075231343641100288 #^20 - 
                    3751698891827214798362291475474850726085862324952712307550\
762087346528778497382319310134486787263117149741946702801379927881146807171872\
273077226686133088974199795957027759869257262611873805455537894182491883853216\
817794829620355021904085552115040490082470560657825089018278370070715991379007\
794026499362088220765671716299714326224411013120378985829074097075539816547268\
942255365649352579323340284618391403066507240277959920794787463034972460185990\
344516250143268590592860163009402529382400 #^21 + 
                    1961301090283385916966858113416082217303900789504555728198\
137769019839747945449002063204891137499749393113059550563181122137111257028400\
098017407809568351841733512577230306382943507290254592157765498953359498190306\
075090141325630690833343749921924817042732910915228844302004205121220342529883\
462215780028697558227103097678404262004844812977306646155977107234244945136334\
045735983987160755585977201259842374335150233594353773742535397434864302309340\
785142821257275200150783584640891912978432 #^22 + 
                    2692146042778512791432236393751113476408185887005715809555\
991447508689138675348765153055804937068513206726811213044578673048870128946505\
233699998971918993641248920864094589251642698256531514105309965699431028864525\
174174351548500729407536188031319864004458513362210608372642567644439394793956\
958752960795477028333533582691752232656859507522130366228323073334296099969161\
335502721463640895486742194234666247299843343349291991103256320006417462561881\
163470689583180093186143233228448198557696 #^23 - 
                    5490998590634946275490104854953673928300645238978567915851\
663785314504108196490212365775882947964517658386350366519140441267885728405174\
148200334925031192817295077224230418535857293669668671989495993573644009462464\
879531921954397292716624870462041990929910058371191294104339995886505596481696\
627004948988280036026398518279079643833909336375300391047484505287515970829334\
152522265472115918272903581339325305749453839518796620087490548030072923298327\
905353123547157044443512461479761313529856 #^24 - 
                    1286408955146707345495253698436746423950476947852304004491\
890690288737693026740311209746390377516001715240007782594122144443481444941756\
564515795162146182290740474461014059752520147809244490762493089152531773334978\
646465422498294673293896716412465445473342663858181651127774305284783457896076\
597871218078682120846645043706412250563500657964008117956807882390145565596803\
147497205253027682580798598031184445109993295465466713918748917012878120040480\
834637504501889906067818076983541532459008 #^25 + 
                    8519618248556699976328495077336730602597784085279631960193\
910800741787683182276097531183588210828467001046605850619471666234061221561217\
009582173640513557952732157704304291275357055103088714671332926473801751292804\
533510076438193142689135097149096393547796440407268863727607843336793948588760\
004555562482146613172784028203671357716124297159621878242801722291171528561543\
348710988183209236642551089056730778125567454734949402285246851755167002531599\
374285294770399724711691459271651561046016 #^26 + 
                    5008046074425879666903860064421624060328247259931751313510\
685014092065489637691750054259095750152480804515426416265725669134442756622765\
843293280305139740655790153962826669087471615926622808621547537411144967801333\
628858756865876425691668942608086825913358978660529235388631241319332829156432\
414070564653251235791096595901495598148373318825929401438621639906609862621890\
677183696728155062262293143554472219151758950644746446807602214878590116017780\
11370226896459787990789706407627219533824 #^27 - 
                    9018267463345557969536089682315350347465652571212644811325\
014597843818062073412889749437456149401041077404847396740256269730194320289858\
987831379077634909894882141626528671961347798081393886075935659945400719950948\
785178686897441733251427111512382659749199494239286171139444535225155123890972\
761807547528280975131594740315587359249497771197425329739173560906906951417862\
470903938781921871487204289100129071945099780241292617734350046485461663742520\
395660793872690712445913856852448071647232 #^28 - 
                    3072148921841153872121883885698541352168304740610359275118\
927198070856990646671732366868935413888393810080458521842274256505235220134580\
052310802491399127705436336973401982572561073962975587738338623851670885142209\
824574843276195130576820905211486232741633390024400828303255376824800076093806\
872869217184680070022636271857684464138097711581863264544733535286309267035281\
948497999359351901888617839775542986263041662823714419726823060367444795992071\
46174302363052817280573299996597522792448 #^29 + 
                    7069675212991093178086985499326915344367724639445251674805\
662241739375854486299192367831985481527651759884978934753056699311914902595113\
565314234596827506900641750972087140719530382086751106113592494604879683835358\
455377259608405952246614661840995433775465314473817190172911602281495089062080\
446158572685452490285972228053853575266796754766462460212500294659940312110180\
176060494598508359561544744928854737391955933994734133924062729880880356082737\
581996281448729090582559395567781197905920 #^30 + 
                    2424382378450782625872596655347614025660511258027440436464\
444989230909605231252777364392179701439606650603273541481081265713333501787072\
130508623609858812101416900730729664683876466007816460940458867578990927309059\
290945543907452709338479876959017305127177455847637861384192014186668417917438\
281873488454122034343344443294620323691779858147350283667538213688835610661625\
502923343632289248388380655302618467797855747216565790279080959986024368017740\
67983666119147686456240622940944739598336 #^31 - 
                    4314665765413647170510866361452531597702575962621501814159\
688837936125193853275971724939692499587069971859049270859142772267082989988342\
973337337391292913584166795849409378933448664443232653207717211890695366880874\
228302579815228182701344682522177150911118306358418822961659888663350998629179\
897071419872094192365142910020905405989188423263982141794209168375409810317119\
082544593692623017572190309746544065892940526860276780973637468124869047911291\
789475982214198445565193943206397644636160 #^32 - 
                    1327116874987919033523656020329119002767737127148949023666\
729844567261562839155017058993551241740068335833964257741111323939072786747615\
401628807778638938402827386041829014894103564973440003411832648228373591084539\
907590347630279148239023043229438859379278746302862451922761483965496871434092\
579323036825391077568995717335616222386544034404288480950649976178539930532545\
080350437321844693231057991943159437969514393544311158790057329271943983939131\
54057243306422523200163969905490506285056 #^33 + 
                    2127965351756299766504689113668115146444521650234073154588\
607446105027797470555524725362753612867859177660756314518314377118731187084681\
034951223592485302630723035291500678890046539493194037135814699413916642513162\
564034289338926696316022158953622769034707109204264613829137120603668366672269\
794814327063710510206841197941181832985473594806312182042482792954740998969718\
027487630859617790782590719153501073948727530566389522945484891453566631549803\
212757213163832880263365190965337465552896 #^34 + 
                    5323075289594062777938145371993348033576024939994163849106\
836598345765295024371901502708863901520534090990352758496378420464920531997625\
379182032843303719824166183185176011649905715135450544267744000405738622880336\
216552750229607327345569092168144022584187078464038522379763280423971157121643\
398137259134837420449857293053906626597223514856904610511329718478015298432158\
922465698918850418819784496779590248410450588058031188752106971502412878129745\
4871378664603926720282149732947918323712 #^35 - 
                    8616743366366022596762339492420308415569324712262289124614\
068617449705823876298562557530689856652172618302040148599345472621036688762492\
921190730858897887470064265238583626348646709799715576741091735495321829082851\
667686202959599796997544696268609264693053603494245358040021409050222449897537\
804680469153696935987197747455462737427234330459670372893351905825498213240225\
654787211749423133285654480693054626374547459843776390459760838426936725618998\
64984321164860663687855594297825213546496 #^36 - 
                    2604306624625450044883592449040418406925596802589340698839\
641396468078713465308192425580214828229094828936440328674103740742221694424442\
798142361471946626191426812489732552786534899728011371921878533266083709543060\
839679124624211691196088539371354706831441555924244104236719258338838554551826\
264817660438567543085029726042149232865950047468371914431267273447710133604170\
116223356629600125422791674239627781146325522310414212509907814586503635200872\
5042458805035439517340581021496589156352 #^37 + 
                    2808227536671251490037476807317447281654406166944717453011\
517468788800419220484988523103868878094398108268087266165397236449551529840794\
763891328566781398185499984376769541978274757775345455651240677385486007207986\
566008311848438624914366990467288971614714426573400531469857451083327302118716\
242127010632032012092249257498407932084138091760715226805699145554231324768387\
102843660536493420325441094013788976110173649972099257780785034038274987504327\
11195475555967457953503897973950345379840 #^38 + 
                    1477476962191919891685346955480353770223065022155192046554\
933011496829610960625473443509163039242260987795197392337661826380810425093826\
165830452379652410839920383708754101648083867094254132880261180771816386430759\
055218442606399866796110933920835497896839361824772538952451239505012864208749\
248711504545140365579149662958170223246367393423845104446758228150968383908107\
023766090010935840064958679033016104958341109131178154554432590635064770473910\
1835503203037966991367650864602892206080 #^39 - 
                    6983120116429653645928456305049564641244521199849873263739\
347417115106904634158213191646041721509300492794722034732859626538574390637041\
141635800678658463668991156119998650964419100465431100441619055434394631244756\
067066289330092582487419489982549834373504792545928416940561239844499255446171\
140424162348923829781682371671894563525718852806810463829560259457706250419295\
544662824677176202126741783764797853333448504732867205738762175508443234743094\
8422514893134445838422996565023082414080 #^40 - 
                    5793945461978742131410928352342846676511791303934992689076\
054002832612824021181037071793857982334495875176240826110629479474978945873104\
823872486317228203273369827326850500704477189986824350373247309974626966309634\
069634552549688558243164688923535318661599248485099102226245617570807100747115\
139046059856439044639923188753788131164738183900630684247289488785145176737670\
884255295224085278593105407467515049403883335372682681158794855833985647313880\
545636164987082804354312390195586007040 #^41 + 
                    1219871137441788367966493518662906365278073285962158821739\
129314115137374824719229811523392250663264520367402445172355597210015114097774\
946194125310686825961816660609068357123955495536766466707017246820709800312913\
157408720206919364790783520352312438823912511427052413859833249187115320865950\
717395097082295353873069790780739641952044059583062544927580425233030378635928\
608102630032666143972501220619377560921069853238895028122549848248125744283871\
6974417341448771919036370300084997324800 #^42 + 
                    9340915191397558221359258284993955235018363094545506815000\
327585272391225186798904080401681303723869444059654398460116770541661892069539\
539212233487589778295631166980587456124705111130595869033295719217427504576636\
955831697585759638730840783920880076346505091685344928409210653243452755366147\
887106868176236218673693209935091823322109652647767614744107111706725524820283\
195089881160547790546744417965870533333029046241834601243135225570525578781710\
35817248347981904032980435757611089920 #^43 - 
                    1721548578638353401230983695140786624106759361120325920020\
443318140638169631849189098690505344988803499922243622154943347570677607807935\
389195063026581980723602425909753907176957973128689889350889220186666793270981\
156425160859638896011221115840672545687139609034038997091359932740846479047856\
530931922456268244822431261304191826864636868232097587062113312746311665975780\
377444263809356344691075027300934038016178651530565608198513166960109308275904\
444915511052835798520677494605249249280 #^44 - 
                    2014370416189024394589969635111285958423199403453220258789\
706200844641237675750854974718725726714048671011319571912820715259451231919783\
268456867933627662022062238101286118562435087363583864919618235969568967988785\
050193461272413664220573575581422998091006558549515834006777324958084224505215\
483442180534710521120727766494930557158726136813408488419546590204080987784255\
822545555222145717187246715373708736350296226980408831027990518656099986735281\
77120368219137442206764029787945041920 #^45 + 
                    1287534111464848644615717468936067317230701242302197692588\
940356816333827212970996047511000467654203652721255906744521263832216000870845\
189032397773514719634290644648209087336078491802579343439763248488464357116420\
326316735487244734336094190024401606815275741191898790106726004111916182683441\
966298514349733242668248275091268898616034725754891018361152925669076855244507\
653323131331774504927969959487033419837959953681298341862383623178423297339609\
90417406964528273225280203899535360000 #^46 + 
                    5017111761924486387318121724412203130880773394470196605538\
593501349225047562136535943897861546572072227198407024872960057060915119730625\
335089964642872981394699496556817946839198809261335728963817622661599291984774\
725762585640787267324821081180684062020222240212240080396179257704789768767027\
811760803122207572057592889767478041385533335379225128798617701889924394415018\
065913954333121169890690041307924090098390918173133602796369515859417825024389\
731838915452099708647076555810406400 #^47 - 
                    1521008345306924074211637176073475288757336616411454482131\
297551767422939019154302491503377273850278660598139173696032960725295786877904\
687339960221531006125243900251396026963813906660421567816190754110996842142239\
898701673472507385304534810908841331172729597247319564067087284788739194212484\
978497191162903114229519561856644948345768903736431849453028481311027583687503\
091255262484471071674374021553501386557021468620505114881882705353759404824228\
5390137232288526292685372421413273600 #^48 - 
                    3468551055912913613162751965950526529005598353979144376121\
838877565719131828729686477460038163034053166534646322636132482661935258629498\
697876558528525790393870902061192564799722980070521273559223106353346424903090\
559162731545824247338187421859570968093708574786005437665675658815442110884600\
388744598985018904229573056307443608718645960283574065272924874191656332137908\
959462250384469062043847616961890793673942145791614301262993641643761197075992\
407793450773404503521875641709363200 #^49 + 
                    6377788794042489164047007577662975615728468176226239631031\
551321098650234495642470153252515745716424069283237936353354278315314018599244\
206874094949628725922391738178247568213001519393414589933505285595416675016012\
387048604193164514993414067181331999779777230247490724681412032427515997525429\
259554760299679697456662545237233036592956495669169355190634134415760615155977\
267011913528392307465403654165465379179777029881351347617782438526856607399064\
26083445387086230299660253390056 #2^2 + 
                    1046830006452207785620168710377061159815117140232237997054\
089320982936800484437017839651044161428537383331822819932305966711112237104300\
548075333952263704244218730709673964100801317859269107848691723139947673437388\
562780176716913211841814401866183359525216091300221689970427462606332722451148\
011745902029940524645659568817159753484971994747025913277603728777271954565275\
452064981078402107715744887681297216084238035992390458738572536545043881915898\
7532440021827065694756261536826176 # #2^2 - 
                    7452891167677522847515181446963172320321422308967980664166\
820863569028435448985097167104724702214091657872735414209314515370106829552002\
523381470298600403214556721290983020008783582229261384379847274705625186787566\
130881896699764284271297692444212671064808646525349860850873395969628900717744\
035128035518230966795885347702263631482198323828341780058991516075315660809106\
435319570503469254937203380185692283950871651906823089588355161496725431569061\
7658371388028811067091545557540416 #^2 #2^2 - 
                    1557507459169545551973845591734955582681019701474785802297\
215007605848057757748274945459426081725399154530997247755766635157642313017032\
642807538982039219064963255593865631941454961027109317154127523126139488436377\
655702331867465027426386167118265236682311074069342885887706151183712952560682\
168826274182002411943968001241951397982502585922484885076102155289826488945821\
250186537054563655952976362092224631428411304861186339790541960327559935650701\
591705688209849535501655127335277216 #^3 #2^2 + 
                    1829770553417777128611790315352882225586608646648074945901\
730117956264080161080762191784584358383983036912162306278053315302032427551604\
424506162192023214406955364062886415712499899942960829397754745153047670746940\
521430436265365630335715686989042691958318059625814450034627834204810056892873\
450308414506113954848619096844602512820701359295362458530372654964335932132187\
050290854936751611766402539479466078461327900675529164626923471182028283240704\
071630583115485859887995524554437632 #^4 #2^2 + 
                    8554597120853523677797085150625371926046377657020896700459\
287897098053287245171170950698414865088242176313758093807667323203336874848977\
149314357704392032293356964196631793877239917378155422086147698565591227158031\
987492088787164303254382220184821918058017419695374115161354707723989861132816\
928908586034397742204988407465573205221899960068092444470925110796147698856884\
741668123048963478420244271106525568436150017038721403528628424608816681522010\
7080077289291606224928715880994200320 #^5 #2^2 + 
                    1569940427739009000245387748650997129687280835282348261060\
666264362941957561297078637925742862721420099914154955505799369309558432230635\
856734206829153626442640434023756711009264245536622149385610108697727314635912\
619154505175619421293500181590418394609227319217933309983701260408382161281648\
224434261551709053744488903334494102805545926826754529896441311054022339771284\
631407542398556606540702814982672920097344307891061213738727301101914083488697\
595289722194669791692064461110477056 #^6 #2^2 - 
                    2386455003415297822273625595067159104213877121636395903159\
364790891399689108582176510027481753417471973872641790741071586438467022585615\
675940960411522849650582861376589839214090275738946764504525244123988947182094\
876802248194695844180527336137585216945435966359255031602305003594831842980167\
525888280019023113833766450967548957355752210345194143689052134347832072620031\
747180432660712201167155760506052935550996851116724744353926633704745081900411\
047298942664757939322366453492899082240 #^7 #2^2 + 
                    1147920488091411188984428709752451181076675926614968980670\
709145916336676067827933831943947297000986599403128490896505463971623717717192\
862680443257665996218337217679322955314135579671426091002860684014442152951273\
408902430747789222000033246463882713680508853532780455600447877305479882497539\
074753999799121824472578420581316720502240059650707000154265069828823907124633\
022962210595622639744445891412341066581741415264012811084621804801503572809962\
76373582861186656484627253513617636352 #^8 #2^2 + 
                    3404945851226274334761796862127304477872242811417906488063\
666850302057507266146908521919528155766369802014744427788780603140872815378131\
503378583106698019897086216161002407550816573579184544093271573056315316119761\
779565695174737577141612039136806890289253028111491395228305309092613228398018\
060343984572640014967935163327095267462945304793705420756706082733570088183057\
632563931534525532070285832531452173804469188578572200222468697408184562075584\
4322296434660862064642944775866611187712 #^9 #2^2 - 
                    1954364107200697424054355983530388867225213748103383622811\
033179686897017342525851751393009667886127661000494844072335590160912085444449\
472344374408451104624640250637494052317443599345994400586012252921332680307163\
438467106812544483635091727366059807750860084129274311247431660298101476253840\
069695886911937888425292455612365589616745201952738801573624487421223649126974\
428664974336869177635738959266432721268590771694146339944146542649049905028254\
650901034378796450627929432144194396160 #^10 #2^2 - 
                    2851386620097011834555767289230947776685024645215388807522\
279621641211471258836304437344127464847046343130352225428746603552139955109543\
179696022402413108103917030410674423358620129939819566721818029032773002162312\
286792632740841377223075761867313319767748440201358873430114765583313679699571\
101536633085134282713040449200700002324445194967481732411200424219934951953534\
727793516373168096887104380168519766911225057756220748372320111702080164203922\
31065700953311906728575467951465404334080 #^11 #2^2 - 
                    6352964679834773708294958747914870125644084639565359116409\
960028291779588515023070844229841076259116774436742355566047119165166247245154\
410754873011104674420640472776771976525409522456530942649654326355461157852587\
787782967574286294983362797757669451757176579849063978924458880221417290871543\
407272622790760111832155185920860573231854697822853792233182036738923114519193\
290443873084313419030198848839648472625908577185447873702910196969510787431953\
753147049373194961467898609420022218752 #^12 #2^2 + 
                    1518806146043087153587839263564594293773498776767642060256\
317279545241326996273440987494281607837614462509880199122156552218680504517366\
240833867218894704330692334714922597687346701742211802423181408577488764546917\
483406002740232648410644669392794418823509758689561635793762240930391351646568\
786426306748705825609357200593271162704292091922072968453363596511423130789064\
994329351969153662115588292114267543024942665240635897508247917393326946592181\
786298063405747793467654172188336056696832 #^13 #2^2 + 
                    1890719969727457921381653754996190836001379278071793358517\
413655761836403077453837668466552467522430459697061513552121079466775877108182\
787966338457859008808095343867976737687166804973769575183899429326099347208739\
830293082536004536500622110823325985019401949734393134894094116371908110573966\
025999696356883670575308838741111901187339424781518148564424959869737475630921\
361920187579925173091467233845849316356227841301148113549479556419825610373282\
30380144772983288500706567158194181963776 #^14 #2^2 - 
                    5352653319421548894719365089380830641921251650390867214617\
826681146569713297885612323954328956210345791996185334203045430596324765730185\
843094889175603607541192540954898612407873945131895483480207107131051470920824\
440982596328841107505908106887253413727572699654628974864936941596417744453670\
272763319743797286246954973596012060667742201045236006181635660774673640013259\
479515737082626914378389566755198055792172161423829758463087560674434576419896\
725929379049351244992021961475522779021312 #^15 #2^2 - 
                    1047089598929066642510421532810097892085802731462692773524\
271610548699983677983115613435697991913155486923452456765658742059534891949074\
957702130797290923151330457706178717515290279505448487313007932916780476564957\
446777499257168494314890939228733313523228352278403037857582702310895621755094\
141304442297315648748160550608903642796494314034436772417656427588949787707117\
964444813393822211595934315784170516004518672436972804683679422833978788041433\
329247592793465701714183401946008642912256 #^16 #2^2 + 
                    1270459862293185322725736615512167797295400144152280604163\
402366394527776633215407032292980279257306196289068201176399606399674175238955\
575477517239604132553341053484445209972756283167531150285755635696616065037579\
918099220548585760432465934868151383447746644715019012327541074690818479796700\
591604395155035141597322501783256880398955344992214017730894123575569592325367\
145969887126300210696357578683057181411940445604408985838750013129506869884190\
6891396147481050356121013993092007486029824 #^17 #2^2 + 
                    2368413749728271180990398098981356037311476787538408937511\
281815439663109496841423642827480981050070212549758807661039974823796620876406\
230794513461159251733363410471987865505847967935972679172321820001373161127752\
217860199467734983873106971543355418883538793952821366693893975421442808747727\
933782889728442011990237474465213632320647297582077817147781240917825043603403\
786883350756605992047484564758341341427169246655244322257531295904406704303102\
813225206679094351695600936069237326217216 #^18 #2^2 - 
                    2042090767037257115064768613786560003286462168424188906570\
302096740554161519679178230861503081773870337752814551688743367415928168230318\
033557792237129713103275584045103117150746481620482888011581915823838361352229\
750460300954788868000648327001073831552563591667396282169780382532198153646775\
768212270265407477861242210004486689523786209678856074295683886259650336290143\
288252833162230264064828750173525382608100963340452442479507643275712912287590\
4438322460967358810421531228413346564800512 #^19 #2^2 - 
                    3423663200057315636620133067391613195863239970256573911562\
847049155840095274647144669776356386851957035248667301421365754044352769948338\
574514529798817082130768886702267402114795609224444982741763975065600443860421\
317323830924789344359893279489318235832346986047197038938519225379578857025268\
865141387897165719195724213081728495435480281890334735786785408214075143611154\
790219214965677554998124348574376654895000247796452414386924705674734215840432\
32251324901565538982508180369829726781440 #^20 #2^2 + 
                    2216146541016463559717414215307002187247280131006941373988\
414003728597936939176220033510651047318304585161163677872836376909955418213161\
084019438674659015924170445083227952914234077269986876530434764133432913415868\
997606146721977532352999443287584518579147468994355783819475293002228696403002\
579825072076533347226986691370753929409176635034898949593574587935041797561722\
120264806926687129129633807570258675193612257537468993041719398144753005933326\
2497900156279900230495603557321181700816896 #^21 #2^2 - 
                    1137057306842313629541361933940428300700832292448272957447\
041291751680188105489969351488659837187795437686169013857048089327898736006265\
062253529784391105523363416918263546090368604934758148202092077818619621018093\
260611040792496391199906740783977927102287414397778643065931066230531071539135\
536438843689385450046765496042353171990140248177749607541651357613072922611743\
441211139933595927697845583552852845013064871952297077110962319540021788395962\
1610665325065874704932826172059774225481728 #^22 #2^2 - 
                    1612124613013230853763100220082564246742817222156467349728\
033326612989499908203527932808756231457006261690031201911289283788323563352637\
098223497997166920031030481814958189013993596978583069902103713453444976802797\
903818388731750184483095888852069214064803391813805054609669973876552639904941\
346501119749884430329048725342083388577385717268818345544668041808107590397411\
602631359033040821280638127086469083322621707134807975143180158421550670261955\
5067706585715333539750040555830427871346688 #^23 #2^2 + 
                    3220678351824862278644210991730029805936827872264855774014\
224586879323636388566215558598534431192011892172039875663714569758290115070806\
176567661374889332675999315266645613107047070898854272756060428293346368837169\
344572515385154817969888593333574396749866555016389656030614589832926538174257\
086395021703274068756337111190784199214029914529915444299760894155870065651789\
955875181891191115953444352847735738801974178127721929572714494882569491249657\
9951661144732001408619930327098107929559040 #^24 #2^2 + 
                    8022059324150296501304763207688762674049544549684868524123\
816199040634913087573563302143688893569858173021030098839979022619543345663549\
545993133326490970312773866760984578642200045034187048633948349803271755819270\
344252641277054565623428254535702327006108114041221981783993020212982875108729\
584051686265998627805213183482508455502773588949632298774995062631753171938144\
433997397146515715302583980470899785385822487488829954537031775061435203560535\
626912326187478590457719983975101831839744 #^25 #2^2 - 
                    5007480201518082870315555648767135190817690383030710880883\
721768213760743675257139239505529233679165568245009109327867000593927455975102\
341811477181727334598997540493945367613204206717024649385812441496707638334299\
607666063737269122338035146854870596541611345881955616162515659705743930820197\
966302522273766415499624891587833575656511823051901289433345348495658108885441\
773809915894184757757923565015124463546274591775833785799740275012031938984432\
1106152798603206077745236029420439594860544 #^26 #2^2 - 
                    3435679385783963247479353413195557832814722192339149336124\
942258682144186590846117060063600988876113475910750577479466446462142906112961\
256329278780757286692177946632278023120875090008062984893097248076395101487863\
286125038899065967953940088425059934795475541394298315328479904630099460725495\
032959166768774466950612635146804068826629193246604942356423598029104680182772\
974796302620565840585145553949656411575911373310018392402003975464166320457658\
124316301397563501942868623544931292545024 #^27 #2^2 + 
                    5303154081497940569931483683627831978369955534401385022970\
913131191184444058521081304944737151460605708893636595416634184124321179846610\
089763277683958819525693561528712574071072094110523466750645047359718371254233\
083182349127418939899348834045289884719754745271391931157662876789643196691955\
660881853336855090810661836618282647770764647039781163809037629287919484191272\
963374121667623960882646807368163038623847201499932885096967746265205985828077\
5763163473646171859930447376600485830066176 #^28 #2^2 + 
                    2196489239998647569964061557029231817151056772599705412738\
274710296633247837381971370577507423466431201193611137685691360857790262400815\
789100343534158543172108985813517375012863000897902945224876352265030169822967\
080777329570398367121267122955984799673863023666249373589440065643773468330676\
863221634088286536567358129621768386116358892283700598182744160123153570666220\
521935637139093150323606886634698882877292370893041332106772981725689949485887\
196334185764832570977150028034358850355200 #^29 #2^2 - 
                    4157981435147323746051725102623292715317599010791452564815\
746392853634909494878133778758299870061755383822794674519279290267056309321553\
892389579984169787202404925398739630193559883038712621523641600342328960412357\
514835544538052264453555987427593809237099346577753665641825732784677385322796\
729605038839704886082022478080545707597216280183111782553920498769641025618175\
515009057776592759941177555019882007536109103217019311727530249027439902930862\
9841874041309205352017494874128699747205120 #^30 #2^2 - 
                    1666707883998665535702578649457928315392202364813784142762\
163029559844435439012627101256657419900416661890560746613876040760688864546434\
696954795436214875484331407479116163541599187913352143832045452711173079744180\
407169449972622118610745585776148924626053981912655261033787592841965122837749\
177140793759449132267271034121622820586823995951629103830264939053197938497737\
369044246153980904827418286274823898131907509630185459514007516556089141304917\
663225444429727633589486380882964651180032 #^31 #2^2 + 
                    2538032928903980378428398770832868655057390735594971132447\
805362885461807582675203872303721079169597036640626834100516023324276215863831\
217581953258360209144427750521251958340276366892357658535396769008955827661541\
088100851001941798837270838454128629584919206227720882316401299715142970668267\
596101097407432299651883974137450219726000154204410989954776783145710527525569\
096919066230538235546802441342290377348403473562445231112182280291461511110707\
6916362218395765892598149971600296978153472 #^32 #2^2 + 
                    9005180169640024585031913529911824007370296854455556909826\
022037852592940397795639369720109929076294562641514487243522489196259296892546\
405718300588257634204429870654237446268579491255388933561760240305687139608628\
694511224893263764500669206243909562005371430419880084090304549602706795927739\
277911307722804369290370159737454514182939805578249850478978461883674430489935\
185188893212898320500988374364486535474453067262848275413661899912393418162883\
92913101842606448927312935222511916810240 #^33 #2^2 - 
                    
                    1251936084450439248677685301747913123683705290958161223474\
907844704232189604975526605827825767254253720229036017339732133694671618469563\
425506711727885474972499001080891783950434073920307340274656158824747152468659\
852304469990003353204275794634789068507975732898972541264207193880250051539248\
811519898747740897515172773527034446118499511302933592011398881867419397469583\
233973403713925104131069264745187647201313692820818324536883906658942288220653\
3922797049338802205742312700116492106072064 #^34 #2^2 - 
                    3620161800652646055817506216359432541198359978618658091831\
077060123470965836988923394040485983695226293488777991915306484270468454816757\
155002170517248271317944732061478303634393448993989191327844896743949264082775\
405646716464938173527547292965087326826396290634454432359490638412624707957806\
662722274931723514317974733725918254998155747495211515033490910414707346688792\
497775968870411162715294967042048121598218480191125001981627734742373630304284\
53125855244510207931011917846712349097984 #^35 #2^2 + 
                    5069685957472908197135907328817713102655755646999136674241\
949886788535372001504806058902769235749361733048383630328694751012805338103939\
919702987485218201686793297101791803602687937486784366834522835627252935967776\
255029544024891706843261264537921477040202738934342900525672309334481165112658\
083828633025900871800474665860452989740286518984492438512651482509978296327147\
701407110900938300654625750013103889897169931733326184609980733184564275904582\
355200092036607310068318899777175342284800 #^36 #2^2 + 
                    1692552117305768168976991610250249250821029139746999451041\
805418222292718907859383252541714843443808968004319599866451138844313984096943\
751278217071546247938076124257786495360917960247671362961325077078221679269833\
566603888397791148370302953407901038776641955108215863397196329688990738630412\
161744260570072903341357058667142759222160318670638345002701109696905915414076\
867100540016325941568082422457478971205767221888804667714562172233126672203834\
51656981517882030650234256679118212956160 #^37 #2^2 - 
                    1652029013896107737745185312085237923240343376172913831204\
114126836901064717141601364845948584545212914968591145286050117920195624136521\
845257605955215853452022101493025186823869277246992886516599051078864925807028\
592984839945179595265789386101755809880872356487605453601117823794426384606093\
261060214972428555324056543900596258737809095163771066094834500278326308088259\
742290747982124482158389460546663792573020561779366256276467459984429029909925\
821121344608588212119777400091632237281280 #^38 #2^2 - 
                    9096273743349881378505669195617851184130531697823727354824\
966800280943667521367642264440496943777407833864802165321520586979867364592525\
925977062571502060042931487448674768749475751683283415480835482015940763311431\
509987694933147572750525546062214157635550252650917592764541330030328874353127\
029517672680652526068204222501056787650749806979455362768565183921902427243902\
409381502161398128096222201568222521043247548330230889882558647359382754456347\
9141913341928777868420908505922189393920 #^39 #2^2 + 
                    4107188867688128548404933270213099806289128362853876318626\
449115406146041485065286532568504873125292941963576494286336759869571836287239\
947753283179933605031021758815222509198635136161526037647418776321345330631471\
972778131295708268843789768869674085431309816344606558594917596028524079421221\
679076296185857586206435011967413335391677703469583475420946372300337269176798\
791418153148190810792511214559198803324382147893267590280129295688203192885954\
55186911381380783825835472238919202897920 #^40 #2^2 + 
                    3481126756468505935678216764826323882778861550572857574892\
586338609036447454971922491676686409118420817039146279050297900554889575608907\
347309511376643038068145901300459775161305674470468759831714354681064700096539\
706258235641341236309073012067955275481955681141830507303932438340649890203157\
608829962061952559849008864881373749008579494457637177042932086174884412401799\
667835309898060627425336920673687492952454985082128144061538760697148662394236\
9422387716520677969338320708344616058880 #^41 #2^2 - 
                    7175592684832000893859490307682413058343828846798780553393\
165900783422806827913299811041350207151338230203654002575282692113189108979001\
756341316583337287760501855826197061145698573624834053064203494036796460170475\
270123101404788859541199255909842159893452109532333765057495840710084645470558\
388858089891341429950282117912464497594400040849577973941929298803561365893804\
475990435040537376842137378093713047098426511204615514708842855010675885276800\
9974125498299558397172475076326541230080 #^42 #2^2 - 
                    5598294815243739169361876121219206742089480551924655987405\
682221486375274756806286101275680763417817031870085411697798634230202787254223\
344689875238120480297803246281154287792275664610242847830916993556338066127945\
419432781801558592337040003344503012677443925915697348861738811081006651198512\
346625768450435695152764090414747971499054514341066397918094398020954329111901\
657704644632979962829860343527157042756956404780091119668003622202275717262727\
002791425334224076615258463147382538240 #^43 #2^2 + 
                    1012337179427100139347149585801065399718122902568026189099\
550505206276867132511780074239452395939742289541763885194475253528670574504800\
885053835974007299286580494673820432752357801449188052570446792251574019619114\
265325246146599511151687920991454069536452733567504760215513751675158497345580\
786854581074317961632829619339727927802866546581466519069216927080606421826674\
098867779716199114868285589776761534333380463875021470651229977224735530836995\
4792770888457746926514457134308628889600 #^44 #2^2 + 
                    1193470269342600551852875005410044192236898362571354559379\
641594818364787696762470991103313459662854450684414080898787144448140042497230\
560931752528527854384831889377672701759237376305993418508365998191569242895598\
105777720070951168366070976493662449684474365758063570039385582257763099909278\
121151340794343107542780008217977042356226461972624309839423078750937092015977\
420878641852848617654363405474785308095500851434996484938851978215419632763113\
064060020487212607039043644748831129600 #^45 #2^2 - 
                    7576770819116407443860588589862987978884891009185472689840\
918520361510495501878197797383523758665449683486644033414836994015226480522266\
985830523487449174520956194150480786809414429691803930258769168747104522127309\
243665907825606862698538772511837455222214627601094875205885625035703398520446\
728382016748525976547379322677943449789688833382844506475972456817053980346838\
757329411191427393378400037128676966229443244040911070684065709771047225952751\
03364040251954482675366751711422054400 #^46 #2^2 - 
                    3040215687460321727752476427019046467342895452755585791441\
020750226590982246015638542318385291597762901727970185723384595332435741120531\
736125841650007934886865046713950314972131733935505638137465087791252671363166\
401598198214836647680417712788179985030554217909775803821807547481269803686973\
125298743689222332894062052389990728959144992408902823040463776825702400882911\
846633986478359840412741205716818310803790634939684549028956677219435123216503\
3820149471473660394922643439380070400 #^47 #2^2 + 
                    8935169282981239218383519998776631121598059556845521400329\
728040855381199196386119172875451612192172264138303218958195059825656381956071\
837096770949572936991010494800002673551970869378921151954937569101118798769382\
850282293498840505923724636934129692331673191814885253226959608759959530753742\
309009597446412687398101761014749622018010568503962556414983605411498890269219\
889984257184253336453073212007244877878578585929940855755061292225158650422007\
9317190026758148474252368703127552000 #^48 #2^2 + 
                    2042252855399130768641837898002399903422300265362773996181\
897943590641670874679316782753235918749749316713990573845930653837585308089781\
354813953747428370199831739089181021730798127322954779537558872573924023255268\
557424255360244869322104682654494641136301412646626775945949951747626762549261\
585424563622587802082571078311856963062334151242118632005619776068620483065693\
466654894756095501630341018961827003549355752251609318430603393597389390224594\
6265756074155171871911498829791232000 #^49 #2^2 - 
                    8553373987033296466269632552213061591597171066418026262894\
471747668172611264616863836116439174357034711432640629298520901203347159670227\
297643102836813980810132374473625752161583517530753680129807827245211926907291\
002084112795363409989756026743334781461298079680390111040805283298456465151115\
918606933889609675304862366388465305800442776145656771077895244597478172419881\
859690132796565506863567732805716912536443430031365170146234845686345521435069\
584187121434484826246941874753520 #2^4 - 
                    1348489835855461888845905873185566836776588274434732471800\
843603309174772619500073836176817823450515368070981814139310386326384865717515\
946582184153978602304123541243638789483182325653124848240921158446363748834536\
124428993072716680816157446394012098521559023513942555445741940641023439988120\
902760272006991973123204710789832128599586076158164370920606117206014157675087\
261582857949661592716703392775073552473283772827271295041199483083975079325261\
87912205031312787857527901344762752 # #2^4 + 
                    1005746829544999273679378210690906843906650511561197266470\
288192942482641007566660940752826543209475571068332324076881488171823131122239\
152996209198764744361619800942032535520034362413855702916182944274546486277872\
963091041839232215570349241649016047191046701134924466996131003674600793057218\
011052616100376465383300899968037724575810319497480670750049348317885106426098\
689540371388404203963762892485209028827888224304624900494399874789516414004146\
398701996710523082248991237523646080 #^2 #2^4 + 
                    1999715877722629282895118949061130560445529728684961342827\
543698532606433585829315606524594398586215035875857647161415341557786192327482\
127719049999696895252119271860524767305689148435816113674926442504220527406307\
664626572699738968157415916913492922233631829174711039485927572207386176918489\
561079175855452024947514862299035894930832382840690757137675062280695964937868\
468992640823570407886043709969621843364999974942764333915771604280701852939283\
7076951984924999679301896573680308736 #^3 #2^4 - 
                    2666623057670456032840703450557166424106531546074381923980\
268277594807212058589799925953855232075518937672075762605397955208476581011752\
565542528258781260838491490787716781969056918581879309755982630061630513018418\
273314466267326498190932155436164253797516225679766690539062504166902012254403\
520802570744922433207703590720988410256341599238014038701879695169279000228991\
268194902911462167433279529154454932626036870926624370368179337420103069324682\
6720266030353773849687463382101366528 #^4 #2^4 - 
                    1097299986925133505770226834338070077140617371416960100595\
439732616591779062248801403341394098305222373538735862691978732353304150704830\
410195644127856843465614223149440570898761257092549734158087343848543196565643\
215441485024011693105302804188441246865970247821234317400386431528488600835094\
797686454731394713226205386818548238201100073515398838890282853772686602820373\
886075876758259410964783298368932610076973447382470718119816113521927042244351\
882636228721937097646590335870783199744 #^5 #2^4 + 
                    1210179227999188759174742654248552159041015508159239259223\
521164234759574990431493343670079490619176919714397689462271678815733168550203\
023753600155982093258584121320396911024311277333253937576950718549064205938282\
335577670915930789080066699440656769330320947262434509511661828702243060952584\
013271565228464221188734642757428113356373121374076991000563806080068473402780\
019290673586345164106221815186249532178191055065185694368066056125644442731198\
66923003017755488422755834660522050560 #^6 #2^4 + 
                    3034199726652883842072382993242654712031655456458277759182\
240217677993594597914279927898277988030228290646063799961352614092653284696891\
885142574848939602877666476932559417085610776939565832827874276956831767690988\
047641400909193504297939659129664558065565860321028863791390183812847247671382\
884362120239143484512107852623400736767945408098876677822070567438687301616893\
960447874633561622833824904662153507930320259728957395448744184248167988818422\
9165113925987015701980447451078318209024 #^7 #2^4 - 
                    3695336947972929303364482682670632003827344865273449305523\
987303570475493304079852422428057526399655925138329141318685147363050452130811\
791253559065430074909838644344139993947413078803279976924616767735972474423124\
573922071993354899247257690794681444980282869811553226336781884921655300279494\
485525315388234743513714232495567478920727846865786598669775243977875862601267\
768717722236641114710242433598669285674293470844838652420512805909935887061513\
176053123233222902834433341289907908608 #^8 #2^4 - 
                    4311909740760355775666829203671354427691287398818711431225\
908221307515178596746951127866707909322380375928994159090234368404839727482261\
623327507121147556368256945723233806967973908686253460842345854314682490047639\
714038164306222185922529940517070079214985032614523780903140025381460175651751\
599097088825631309053420867339764772688537851909307987018745231892821926869533\
771783631877102553341991974253698039349848930385136741421741921241882492786778\
39257142532144397935629527657772324610048 #^9 #2^4 + 
                    4400941602315501700049187744463578888159230316516717891353\
243738334116403018546525925813931379923167597391539958666998326306633215102335\
664912492958953009887063410839147543381878530586609977152614905982855389933119\
920366472424917533653873818391101917677035585357997985460631346002282988206361\
784306234181033160268329711666868015117317265537731861472308092151376069714356\
254335586669728721722799556838529955617139043786131760730632697428200149623009\
8115229457629222029761311709649752834048 #^10 #2^4 + 
                    3606230174125341053046817241364238429220139774074989692713\
919030133263763306946836566965529295699011621952420660584709724124135350694203\
992626846732127377937501557816453539352600855345593941751010017921731555068060\
079815987644328375495545088095581449179554805168161660253492623043268581723145\
996013690951554219447858923676000184808526718056467409378631757851712669015183\
813449695091370071280198090377239652023872086633797372877785430716834917856720\
190878203303436552992832871145295989702656 #^11 #2^4 - 
                    2239140570495368078416851600516890512664402537252603062708\
017707733860776824224289175453114992353557919497504427246658914736349015260759\
008667442390064769614009725368339773351666822525710500063012298981369937189043\
438498382168140947946058884251321022149026340845968068633329781975933258841070\
658240676232700523987108193290893385729840629042546054106250208164246701752042\
740243906067721250655961056565696286688054239410249942964431176472815477681092\
0335209963898372856465364447574005317632 #^12 #2^4 - 
                    1920533958898103040939763192816563392613638787542359894559\
823367004146345962346141566047477450616127354445801138660920229660503944176235\
079805189187869671437401076321858558332333157866800121239058463753726534004297\
395514221147431291465936410126612613801313672371211225453873860446460218370630\
844788057439591314357520412405131881475610900648461418625921039110681570100017\
480929976373753223000359869967434207058773540925130393272357438736628448308503\
6212917509233711284297283475506427012710400 #^13 #2^4 - 
                    2032567606920800977231955254775840948871284777913021555445\
641686163116251293648958639894040290025824389635610048012383235989286298547001\
885118535109931475183809273536669401720252718395722393559631532156765066483982\
573671158749296816885539566234541599338374154526131485847435320831793284661386\
113523516489160292790173562008904149006045797105358138191854472219689126952998\
939744247879900659839368115880440862467310084293414266002897918590871322999899\
659751392307253845415395623161865139388416 #^14 #2^4 + 
                    6769144075957794043276349128197352872990104517415677307024\
950987209139048771763742093764498571589148103498718281358664375178704165745038\
088231594892455596758772033392998028547344691998865907226842464373376518621663\
703133557077205154166299853287343617075673668049015011038479542205979086597293\
147119986243244550778950550370419450917650187803983802507940696634073863020190\
517925763171823035856046152756707926719788106856257301916193061666829736167080\
5743641818956966846025181052273140676689920 #^15 #2^4 + 
                    1240591042549114435229698904834820797914791496459358129378\
451159177633717935884122179149041420920324530558473904531222522232346494205644\
795466193715897885500072795095545117142410488189683669683895798364982883367797\
679956096321206934110298663124736216622882907243107713742563074807907459153877\
203086501294015289446486485857000537915287145212591107768725480125860841208459\
729904157857434827328709167384749574039207232088157129217438035148585288735006\
7257102943460472559020228298527229252468736 #^16 #2^4 - 
                    1606481160505149834898100851251210513353991436019770138070\
577016659467352637516498115117906454552511042980132820877136326925138746393163\
645557044760617573830926082023276324003549562388559748171989952810516600901142\
918342051749531257925882506167393516939943278810795501195932123522263066048470\
716910838966126713823134502663097246528379344148359185424938148805125273778198\
527858070432434059912629983837328896751024200823819507168815494284815944156727\
19214661643858285987124702478040132789207040 #^17 #2^4 - 
                    
                    2865524623184698828199016550889794593321499991404742510123\
410686336800846893715658762478870686096732927774348606197728348886428291848158\
175026446428235018380475060807380649995567716003338683311192123140415043359375\
377392536779160119992188743924213664422946470374792163565142193053558429458923\
706453899839547903774687293545894334222633948301055374300887095946812892703451\
569955266014470319971316527153074710439680189590767234261634137128654350499540\
4005440736404083526941238667351938029322240 #^18 #2^4 + 
                    2580043344533089172524474158384834497663700613186945144538\
328183289573231973301979494395938694245676344558288302483058147934755442875428\
490877552512096114219017629915888757693477583232605899569099846907888985267490\
153802901427974159223911294397958487689000560428463049759764397816371406281148\
917374999104622846495977522719733400533171730696796797026386036623901854405292\
697830481367764885944320546549168054949291028489340278134553318008119286373820\
38781851197340728774125681451485381915574272 #^19 #2^4 + 
                    3042483093774818887430739473721150356472602478591002924911\
585022490101208646248530160243193014236951936885763169473419260935656352139508\
452881388507604568973391244433558848821877085193985028711938612789012315029111\
615978534784981928005958813839723970777338806176952805076059994769188191358009\
523773847053746947284360637329894904728112306724330066146941737533199084335944\
427562390996439583129189072545316290772225026687381019497526477424186722686391\
961901435375436695022324328163538653675520 #^20 #2^4 - 
                    2792817759053669372009556581738135236330904857518117987769\
253050648020522603603499815876654037023847438535622260835492620038274252902523\
454162024537035330785856478496244585211690265370450472790739838626061897626227\
822691932588439748240718712827863091616828204824660258364419405460731962341711\
574871528226430042681658988715838487371039449320100576387703189328381686209643\
085168821226855822078156873934917943126575747650635199105438454291075838197763\
82793300203707190958524367735144737348255744 #^21 #2^4 + 
                    1444977673860296811671575085927705616989203764830383385881\
200676110120831308046260007673219630020685662984261610564604156491377235678181\
068662258122471271152270967871147154985269782247740828292868530165478745569723\
056744245200240364838415456052667556128986695126537819037991816083533593408975\
806315452980598459303549440653629456133761839421643417497217399819440468690557\
413594954257846178982736794922270506163891560002530192836241809935661477727561\
53872686670427911698677513870035777998553088 #^22 #2^4 + 
                    2017288433413402918580232111310300230349981056868583280721\
433193970702963169573467743186448754944629042389423469111704924669737406141010\
712975779021671006600965926010898595439495348748031062874458104967643376760960\
419838934619413310302752180067341113695464803395027514736248866930110797612190\
575027821342753928586143254291909923382517796515840710999579222202597309962476\
629258359042921620722981101854279017670469892234907582519431525088250095993807\
10881281591220815741648570990159359018795008 #^23 #2^4 - 
                    4073052191723711216118324684858399686550798412775081070680\
591687391807654081475647730172611397413009243538952746206032001959671531114814\
958826663115722943012505460723638621065720425095526100328430194280002817454652\
777220135337004568672035147792637460821935492651620976293258277571117785263673\
551676544542000694129073862633579761298405866067115554763745423891057324638981\
957935882492551159294076553305166859938835880562764984118353803978578426685914\
00175306475767140031483893001638973768990720 #^24 #2^4 - 
                    9838205788624589392206113722232622326231234608224709298965\
937139020231376473977483846471418177766205888710283550941445542088954550552781\
474760344862477807905565655079578039007062415448562354198978490274595376944188\
510242649369126250250332281837278433970983473593076384665185077271994785614342\
212008404061824853703981194738192382732539290415800819884394979862105990180977\
258557056089121560621361311490403990212217247616442133537469931087953881062720\
8890220462447017325015036942958037739503616 #^25 #2^4 + 
                    6329350990430110096838692174786072141463731318409712224142\
456622921663261962210602581200950561309312852838037282550389292681051463296350\
970568577194505764312471694755584530397094625722154857460483463438951648478251\
191773561564271429734356220888804456035499849722076022163955589365103170940797\
127009864528365724993820587093412733246697464763075348302135775291195355643913\
986323827814982240732725386714598602728341578124622244051819636271043261852988\
92153043218993147038444368350249214896242688 #^26 #2^4 + 
                    4032911683551862309506855390138844130796968805664661201775\
090676380126223417432061932715515261319268221101349657353128393911819524032931\
714186151153239636549222265380056053082062729302134157478042025399475169366756\
578702932362536761343091299909977958596392448228394637721683355856438592532154\
102619081658639433423270680672832558757423694357994355724379969678579127565852\
951026530583770621718491453404756414508673603577174157672248517812092737371795\
5196144193437998121378666992770594499461120 #^27 #2^4 - 
                    6703517102878021457305232003682301495528624029605859821852\
373492832583529154922433948185960679311283175404233008004412482043577103684023\
392111923954460201237292430811675412026513045402761279837181568972181497033079\
664148877094770773674686413455217822858787627470595351308289376073834072728986\
155685916862861397559352556383025402144425016269502972778208772471803143166915\
520888022041634425718606045748592457109984304790882603788734735185584235499569\
61079518800996515923197945676344127670714368 #^28 #2^4 - 
                    2539503363373943872328638455207297392844642346827195279278\
943536845718464549668625917884806286862955791245468944268704593169039279206658\
389674288574116717810278040409557242294719011261297509499530895315539675499095\
253790644008537571728779568690975833698112149159496974328967227196136661536960\
626099133199233901625758820720314376022722243515818142426388457946433814773384\
683433724608349860094186909361061656030531739205453825305358341861246216662137\
5815235670436919813391735160170580002471936 #^29 #2^4 + 
                    5256615080423395328470774893133387910045145422297650047820\
240507530107086175240642248977002612116211251731008862286281127742462489618365\
375838090807251134460324859911780207838455015122611463213120527731724228734044\
404132041826874239237388791035412613896336050777769773157167290693206680640169\
144825756982341764947543212495851528900411204495314268046707661768654706708390\
354746668277484709301287680151121140467686986190697401475846752250603043906624\
88909926082541611681686720183832238415151104 #^30 #2^4 + 
                    1965456400310127506323047712915260472592695672935839370893\
301430918988221762609212445151165133485606820315233516508987845593279797455637\
801667990905335396950251800923757555701879462680059643312078516199997665913771\
469545711792982909467159404513607793794351652735133993709011458746448362436349\
507547998520816012350361489638315337247940922051375302819602357911573311878663\
224957144873592048001775514909614895734933238412041617545760097691645964687574\
7392296435141580072575431842627108315594752 #^31 #2^4 - 
                    3208896199943891021175661782647850564340992028025124531401\
080850582892432864170556426502589725884745297613938355572518050965552584214323\
812657889258957179735876294822439300123308343245812615146793610210017727231614\
381796805490848935702086028284642147623585173669775693252306765713734365452851\
323538566326680373551119315233142276295735588777480249362645970933665705836200\
986627546646208174995211370580717410068258349911747208223064721527481577124933\
48805901201501610563914803121442167239737344 #^32 #2^4 - 
                    1069956497684498313601175509269021024534985336699941880545\
843706366200267137164861900631323718168766514310899094001812223027575018574591\
582645300039307705999450909693472188222025039280537282837121329555416381407809\
258771395120646498527029287717534028048568226116786358257884014827761618301134\
905303514567203522922438578971447322319006995480147523701829501337107963273981\
448754469956848678798096989258804732785087366976338055263815323945296487389252\
0442729464996010855500963532559468057329664 #^33 #2^4 + 
                    1582944712215016613094596272746715030560955059246282946187\
676538699668470660657888736106497311375609289392568865048624367885984339780641\
866238191963920264341501936144892818984406354713420526151787866080488332088646\
420509940331860629538885760652808029575941579463543826908117918606898730185673\
768003075929419222410595413180659140460597612954408632893677255852306920934144\
287474681885179772226142288576353763587822221942663666163894037612323186505670\
61374812104833390906023037462719789105414144 #^34 #2^4 + 
                    4303569061178000350127900329825220418570502574621806292833\
064175578090415059324334612096316369136594573700683312536109545736744763997896\
831650028443947395538984817484984367219840405575560450096433340198971833432294\
865739181183340412959601744963047293494845826484236532430758130756461880954330\
753286105457485125338628812342307883367783551101427600892861283584881840267196\
633296926748723054644441554067635664630615323790705501051940192120873591093482\
505748533591699957537613360081004757254144 #^35 #2^4 - 
                    6410770898283556902946890223509019948347098108072106032550\
551232405414464725709237867972093216044219373706199566455956164830443048688892\
364179771981851529109750134932278734760357537782916246898365282957325509166374\
322984219551600827907999719227855690928912136133236927685866531495664497874306\
724642168725935137535062044144385068856177729311628219220097919289854006991497\
392266389136442089914615783965288456249685142356037751765552516128503461500142\
7244867461368031353728505412613662448812032 #^36 #2^4 - 
                    2052010429708628075682729313167146410198237912673164729315\
988240166828974328395799147562230778672802926605362575810847335875704080277873\
579795406320999214795887196767508355476732315595496139264132803613063598841059\
677147179638762732903681967286300476400451483261757109645997640800751925265188\
384962936095228665002308416619833693161539588519356417151088133200005585020429\
143552749409572229733390983901493180130135928171814937293325937201295060189621\
414230919991946931524106005175690841817088 #^37 #2^4 + 
                    2089414628786604418115501248577327695788245782265738403321\
114539536065123947145163674368308732092802762745506414593427805550638349755955\
742614437053464424872198710703218499428926240427318488116164043298818666330557\
307230692597359330237230078708071766147241693862030547176895898955362982096124\
279402219897420835477623213707812562769435238856688337380905334785117337838935\
901454357195595330394121895379074193021063342980752872103960534603477618699369\
8162782994091989431489603655240242367037440 #^38 #2^4 + 
                    1128618116428766026895260906659441185215795116635816220057\
537425527028518031924090523940362605328313563850771769033268333033180610155723\
757005036683518960159834161677125678942163669649480339709866341640374477437768\
412743616576834620926674702676027512590558609284207361287341022407304640356757\
308520399964397056264868348726958137829922137098980944650636896189401899140648\
744740910786489899274321147763365312181858834683439410076179080270520928336804\
041239212993931227478963788717262593064960 #^39 #2^4 - 
                    5195671285373648393449903869381541439015599240961636540127\
888857537539248259601914113023978682923482729210916027299967252486441623096723\
832293778431380312587295949391967927011352288833903397930380110156052238532119\
054666223263942203142399562204108587638448014940433722394466245781103606448740\
212736475321287050683728852073776308364771332378783488720865746048535864085344\
160708857278060203478203771992903410257425684100802770299329425665520314965939\
278644001341717774869869897284090257735680 #^40 #2^4 - 
                    4365321371543602502666876039400556165058363175187535513768\
748400446537120322142745052112795524550889979704376035401952075414151701910441\
876492044630417976858742217216161541739948540098211556703982451912434876404954\
720243148761928606951199465874625382386766374743942320433510927212457270894777\
141381689110733144001819429870663518752183768379317367186932644996979784484099\
484060991203427442175848392791528756331284193373561528118255218137266138910730\
90196570555786827566253173188428122030080 #^41 #2^4 + 
                    9077427537093107157619060566030135731868661235043855602068\
289392010802130853316250700515418987991511432582377701758530865429572798225938\
224012221765070322898413764582839917269427356233432748566980326540216816416690\
459573206513520881462906684442791433115048350923919311411063243510391404814502\
072222270963495721058532172159928746113645544504605212438577932010867970364777\
631349170836566543171205188485066145345619134607834423146468445447819144240679\
27072063073704189186443432206104369561600 #^42 #2^4 + 
                    7027770050349875554840776736734475406277323593789733131839\
274448131916457326238512186870667496340053584197167405537130628558502944217289\
967065216835559773232991544195001622627861703225740553636758904705439490722760\
922316190692561027522690750905384892217666731268262078655087190168298164446473\
161257828480050845654075257619369666245147808379009142819234552900143171462806\
292612628940667944372344894559070630244536224930597709534428635143086525070860\
3533065779108411968106432724950644162560 #^43 #2^4 - 
                    
                    1280958704421802371335391610781621169930908315506766305068\
522540338980981698333398854878386174249810045885792345917328759133431799936750\
491682645479613620230634111436563496582719522968545945333462038039361706469354\
286902430706650546487903955839197384406390712932011168722761345454438757948447\
053098821134627186661474870761637938439736805266917012208918870708672476874818\
014019522323367207269026926301358408556774417327226551080353277693562953329765\
86713219329947642393853198370839566745600 #^44 #2^4 - 
                    1505700973772871935395636792341577533575467711706193935875\
921432691290050933751988869408259391478424148038514628958077788143240383971063\
278034451832437497217533646661014370027364342992986112993634057107383125635216\
003992133732172936570984845458160192470557515890645221931582742466514991682681\
115742441639495969834254372419474910694226007577697296217050188774410928786194\
541046759631314355363068927123873572926926495781441079316087263373199300401926\
4774980353387814110412768909947756871680 #^45 #2^4 + 
                    9583893257143113874583936743572146946903353443442960008846\
760854766061382189995195381110282067735792924139642857187044765996631438093808\
731543129719892197771653684232968106388578680668792392666344781854582012496880\
044877535580144223268029258939088466544569761226861339272168472946275886930865\
397508414325749424946999444126368568024684432993404316963585273166889672254468\
325994758771555500767718867368203798249676528975443200409532889433842332582999\
296321903422644114480547880080559308800 #^46 #2^4 + 
                    3797304251646826334491253876256290368729285937659918136657\
076552827388196360008524431391740562062701917161451970336258532625672232774964\
877938984416154616466507784493495096035909614738226304479800788969542929635545\
533312981680891597500159670302543196564013234591843705235229813211179857106089\
835221065294382413311606291796054065035612681434728246867657707044048569015195\
531160974231590077802239179610427586937116360143543479934664090470559819125196\
96217638200618499635005040356438835200 #^47 #2^4 - 
                    1131219850395499510412189374049198426533904786517055788924\
454152425945511790418357625941362550081657409395900911059776850040760345024477\
205486322626327879908930169728793355018943276184052954872648152274369746663332\
522522335363940366129252328588096069279626053104131558280617798568386830284438\
796845453374228681762777827851866882421679855651954778765098978283165224016999\
661560042749473612265184665676200363220175709844134276358231933389013607951128\
107492135023341028629888919422579507200 #^48 #2^4 - 
                    2583246117932749893379067029956969462605294740175895319431\
600524926910322946711286906653218847287083500559055189324615609249061255666597\
130563217181280932863379499296619968706536745830130237222847961055062479117728\
447586336740057639772664110709231885817043516684130038074621213501197800166196\
010766082913150613680773976457396781302634803253921762458495646617608915043652\
086183473292477990290626107836141722507536278833313457218095281430787731636857\
84320523000407134233008505334058188800 #^49 #2^4 + 
                    8036807197236381388471811668452297945204018484589489512953\
734181059240891955608339688767581283018829785442417268061331456770493197868118\
619004653837178048133081003936683583299809578403897413296693320959507498827874\
217184101135462822929882092850600020876049716457711746061822578314167454461094\
293998051050771717060902852548999165341042908987485631075253490352000061088916\
077876162676534311708470026202784320421155190126502281440820263417350914200915\
166776055915022218645060241096320 #2^6 + 
                    1263345811210465081482372287629672247806996822862636662133\
061773662014206086230106775851060049415124101049106020090171662480966916862021\
084232544401778525517335162029204095125281934280412789941588278036240857223109\
823605111327263236647404924569820537097019761245153960967607940659518541411086\
089806068376453157391307522986517466743985214003354174876443454457149564734715\
411620028266645398655575248452392502019108892129173297082892876945458633190937\
95995714059801864062521212323351424 # #2^6 - 
                    9453439921780548339941346497503052295583158987173005317077\
333307426869910988720326263764314983715174310382612007678802120247369216338288\
742314094342511393524511473245452155470811438793502074147686640322335792951661\
076191236365830849287804178344567841838792602301762401079587596520343788259402\
593488906316533693867077156097565360953208243650836892530288553455413535607657\
443561036534222786849659898753887576241536690175817098300965940443646271019618\
76002346108769604924771368435403008 #^2 #2^6 - 
                    1873264158273138578607905216760622946939768787315066365067\
253749141497466917039037924734355439234257679836407137323519927563451355161694\
110975691029803649895059676738918921412854013819552824891600211744531744570741\
141459890015416547691842003933027342769302592579050343436471392783542098921090\
090853642956512417521217491578660696705484805416036608178970587025772818448967\
164802572443917749275899245010181694997487698593354281294326405351008149502825\
7887274743411620171413534226475131392 #^3 #2^6 + 
                    2518965085417017228064904223029523257345826290582240981191\
393736668848414167913622401304418132008354153393656894527539190781451076970409\
669217274027199471842001380896200739988770845922935075234174365693357746136489\
844870865967313999577625602917929649220918090585551438726805273577574595266118\
636736465633059205936262146856757552092743858349168361770548695328644253733660\
363745851044287419972964598135167930533762399171952579399906015078177862565644\
4395817292792468933923911584266702848 #^4 #2^6 + 
                    1027848622656970841802543065743377030900166972459502560345\
352788885419086172427614938015911928422247000835281652397433963481340768792055\
872055977229370353160493567493142047396482265600685274081251494341972006011457\
149955586066039737618634915135285150864484255244348890920540198827482334845781\
150215571528038984782977531711293220588159313745015101545490737904324389549674\
389419508891216842176972577808065128920213618448282409897193065358181659939178\
904017746762238260485407459045217202176 #^5 #2^6 - 
                    1223510848430209973917587517248438685480936237488331068218\
903313462325146248838167101017631896402617536288927065466143986374438669879448\
463441082114584187358129467466774545709492363462540384743905748512134030473475\
827036604251731091955507250555779178903766628412057194804415932897763671022105\
102526566986677810053629131952424112136981802233293531029913624604190482132378\
921291552050760901657283730802345428564479821068007381176191983696735292479488\
79563296549756032218184904998485225472 #^6 #2^6 - 
                    2840526763940723458183291609408115433448940231582643734872\
125161235366199902273974181596244863817229362596189198820124560164009177494034\
711155743181877879752692626874735237796606132228916529339261789690671821520695\
552233922335223905731483678583533076839643124285291340736385429810909877014910\
455866276612282587550292442273691209212272238398872841019929861680045608770057\
478932984987327368126877947154569969541535954665186752602625241902149763967742\
2716086403020015949184495112317532422144 #^7 #2^6 + 
                    3601476885446136105238615385693524307824027182178503264214\
435156054891880549416087221191174218559814517891047060633558667490989250765713\
264305350773874133146933200178036681216672077747825838599417626488123757548778\
268523637757531801064680255327253538158703071438468458145082461488142499767384\
205109463086277227654169403180939856758469540086610873223570711179655295056814\
845471558756563029860506132970519053234668391524897269312212597381694145929422\
131693488085998468117081384934553403392 #^8 #2^6 + 
                    4035636027407669351560802780392597262841069028149720515828\
453677761562666847508785468512863819393821835735010346029807985472787081480084\
728394169144565302596154600147104230112029698585485616424689306916789219756762\
731021985623826480229927114826702495239923776928571988900757023667427038981272\
413020335102814496943779575530503215209207583908213289643732209262130453481255\
790549549432578699958492479696782957066843843237926978188931025259920334113051\
21497650957573036783163856665427821035520 #^9 #2^6 - 
                    4240887761875451418539130847034641556761727864528110486216\
442189425655525638872154725224280966307647449460035822813021345557202138399477\
158055857446234845290820343682782423059643840392046293670460457920528325436327\
939531579168551863754293848281278718019522662136819330071089989874725502344360\
159453158062735749685752909093758614036954012700322012672229941144797077638097\
552620079476543242769131819624975275221495277444718358745815135032159649933730\
3065314640523060713120895705491627311104 #^10 #2^6 - 
                    3374889571602706489117889222647220136868429831764882300530\
980439780242172275228849619754904187467369448128158144502641500954507253751784\
604731602334043253501050903290484002977342327455947270827014871804481745244010\
819008658853447089120940972598661197850599704498937324974997343944769352705282\
982376619896537814851020722599746380198785017718547637138964550457742737868288\
224813119861775546511274419288533840667091971848529294983521069879240354837114\
532671040980609685283516499486290445074432 #^11 #2^6 + 
                    2743074616172696572749264542554268505321180158755078487313\
632373810952170216583736216722581040216989555287306217964397166178207918732972\
978962326326950338487636265433542345886636373774931471720467784976313295231553\
063027732293879925643223163756494588364939242004441455570221661388481868890432\
749757942315511099537404544214587572555547118552291526831053214991020969411591\
735023356887596242065741521300986300274580917731590659048049071611965697414305\
7041735590404847233023781610782580277248 #^12 #2^6 + 
                    
                    1797310960068117152528512463652194777252090760716149957952\
780927241976115082015600945236963713425079375571195632524921598093362896343346\
733030690783062950458438395800783828435850642337427431024209371189267107452222\
580417581400131746250334394288604544032824898271151896025396186712945376120909\
924576577522654868818910098664638768061987173596603952928652021493542405499710\
741323575380745547830576080177445533577970621323907766221421842695768648976316\
1173298367345980914904507345763738066616320 #^13 #2^6 + 
                    1879668264008066807683554048584981893145537978005373874814\
655968791796097730064149575468578416457748581564788580855391037714933274796848\
932771015215369863426230130049628763910993764710808910099945745307699847745713\
304817896898279959741402640123814516707175464468795830061691763533178285223359\
133259813440117826239918113245419907076510429632701691244055105038972319284676\
864395018667543527066142271000823298120676590185231612706120431851253062158103\
056495029998062366378517902832272036331520 #^14 #2^6 - 
                    6334870418490625538388859398029054878924144581703996960101\
290457396455167614804569373335078165363732897671908752907001077331772617140105\
311551635064017477697076037491995170539367134145379724192708684226985878830507\
979165549776246436436142176747396150321393261211354629511120797259676188704025\
238444165518304336769780486455716758110076742635812732784921546115927521179292\
971792417598554284858328270125416843949621777002017644537895822682143879339168\
6932635572957078567555045511280681451257856 #^15 #2^6 - 
                    1155770811048050676520340359562016554816543692649791100676\
145809298512729999891817973526792550758829289778680667115734901317492136383330\
711968337178704932766446992902546710470139520200411272970725809924508437069685\
494616453280430204234044045815360814050593323195181913936618578394261216109938\
598087402857657578047197011632632514903077262986978395494652851729421096697007\
862254793145608723205576066195582972295343702120981391064592172828907377098689\
1463660863816128971611055188973524673888256 #^16 #2^6 + 
                    1503404303193686771218678115200813716324044158045465088296\
349036307937801731768633874642023603345116574267975990113214272890006378423513\
204436594700598993569747893216574861115239269260908080064327010418995619638005\
590303864090738043389177642574151511349983813364441210278371220649826711630526\
049352235603472230658560021877821096518400617648062363395485390356928858554369\
308672925955238898685324055388739256893933544996286341634251363772646783619300\
91669681334809072727617782355813437859168256 #^17 #2^6 + 
                    2673589105537214352994795649330329828662387175711226289565\
781767278187405692549020814925280106673088813780698779753481572885939092750595\
433319351835489437612898988586704450385200328551119478064055075447220059587840\
896662379425380897902432345581165351198241853825059033086608976600678610592175\
941258439168308831222226283302569085476882641730927586551243463631848695678265\
060620984271693114624563671203650919570881190055425225886271559567397172999881\
7570669837273170224975588328033619101614080 #^18 #2^6 - 
                    2414362051440807019967420442742470540652268066055996494600\
004219279042791441756999080575483111043519042920745666738113640235748051641830\
948642580577539907919643239858756440689276893996999051166604844628674903135560\
187960855604069287688269612589692585676815919044820765252107121678464768479396\
611214517099117679641951339013066377630101362623669583697326046611100856021256\
366690964038120193926958575051062792710044320925603758455871880204551890032426\
13770668752118033269150712070184605627449344 #^19 #2^6 - 
                    2766929043075953070027228562297094241377855674872646317218\
972578016916351681309606293506185522527222034186585849486839666286158921551573\
605795917186224690311847584560509700678428111964965270564381236529989301146202\
736183749032503404952215748193975565602855627377506851134485032437083837593373\
835596384306415286401959083890511467706973835703903646345442285730471650506664\
819020097238043803630571669633137673886068892754275540969645016414004017191202\
467208003236577498070384038897022220107776 #^20 #2^6 + 
                    2613024100343684898032928606282987522183300750257987464834\
137118207161561108750461204748405826102010767842073579167385562652489727550037\
017942423862761357370007637541112177125842635067202267334805441448575120043710\
446392536353765895131647210320193599603927454581486623108481405436546718829866\
858907791089475419512639527469358681337713299780749413199711744074722098491009\
525179545363788155420935160318881760223416302899957525081844182603670020523377\
71795328784045519365923970854906419981844480 #^21 #2^6 - 
                    1352712794727536812938255503614900649403927138008692444261\
859356732878302286131570936577240776518261845741234385017163215806384637162077\
467550963079795415787495627617873588944979004122971486769474823445095544849870\
425451662232864989259537651276823796831560346424426377556954059908384040954712\
159465390359880608898592715179144259088714429669131031271410780316787756292871\
827073653490346929211199992642410614664636983396806330160086718037133526143413\
37927289664929448987836677986888731586461696 #^22 #2^6 - 
                    1886521799027513039886592885489471376414373613223753301891\
395088648764962826971168723855981889081534526510144316061042670284910800416941\
853462313483842673050379353940377647812595026237834131740906540932409332421102\
214248809114829402634920337796425291238687287646451434261503707865985671691367\
972041975886778344677552606225475193604291460185165074170910578708644337088995\
268861765657875708370352906728318980117973539847422675721379016329510154219392\
90625011584438875106518256978322696527937536 #^23 #2^6 + 
                    3811746510086194977995756026181372197463049396627583186878\
947812536453953898430488736962813383469031969157990329375772230221621790399837\
518314235155456657380088157945789790576513624702341192737618712761527765231656\
009313757958562090037164370505070001625210442150904384992582093000064307319614\
584134109405054456153005737996562133014117679667636486111001861128403470823729\
698830028975744541102531720378412467904553860662087741035256410293209742803680\
30282872849920477697082132181248148175323136 #^24 #2^6 + 
                    9187852748425740057079749581208137708128787970618306656451\
000633728572732428040288821158871117448448474617306119870029325024318269837964\
046357378132692346694754386586260239797590475465023195336196694170670831873340\
280923584214432021026177025910236594218348159475870245194145565257683071788235\
845975096402088742631989306649591726502487616553169503267060820580195731868775\
137357865110722985159910892639507912292701583708518192052559173451825627284784\
9498342255531114641531172311330005503180800 #^25 #2^6 - 
                    5923077572442887347929053304275047435826807211950877656750\
785696930001019413026285571811002959626142270549707558576834256999575735155478\
714320700548490268780068725206386112529031745439461098903571650743873986843362\
229474985433065615717610499814755253375838672377771767647805210924465677999704\
763588805928908934009564663253472702887535267165417279828926671029901936070101\
124397591375801964280133175568765410944362938631485614580129375554194064150235\
95084604049655732140647326138818892176293888 #^26 #2^6 - 
                    3754711095549175163010026167554895770038448156441566697252\
193698199186397472942807408263605973823479465219125691575836094457109517051122\
421670029807297797473598417274652600413519451621516254991019737156134165951585\
421730656000110015948638924770996059527030222053861532498059099709943755747187\
860352882289077307984819075810725942698832196204203588357170510983056865402658\
058670129025214952734422988907924499017995452721914389484633803401701397113539\
7438116285612520493236911247988125125836800 #^27 #2^6 + 
                    6273250706821828097069486383797727552871039273091120098043\
749143714549120089192444497755916410791276539890045819794054934173610793731834\
033580502661771605748204618232664145388076440650735493136621154867757715570648\
938252612928842473597613289250467322034608237311270201405035989227458930700278\
037199008026089238626215728712304891369240569035815426093061062515067712090694\
019401932774569454234770028821187986310165450395184455795775045969264371537215\
00067988489369174157908702367066337761558528 #^28 #2^6 + 
                    2361724920327167569962306268906332228232390044823069342046\
701459448609825933433348352417271162561053824940994244718506778376645556451092\
938995716319211466515954380757321902100758455235372774827821837911934690440690\
327314108372457739336233750078467247187391513750425424792611079066776291334364\
085199955234938424675863366324007601327891157858102613661119246142385539022074\
637213311768647169070378452540402170490793233272238048117938184335259318577217\
6059916982819419017086652548904391291174912 #^29 #2^6 - 
                    4919258073278628806976421386062186058008871757890099994599\
364516400633982728668046904315636159004390076036473083601245051244175511304792\
718625643796017802690954212171800350088686991796401717640168862853551738415601\
696529165105264450866072660841872973958740020401705862453328502516465400534507\
397500392391843889529601128567345312636572710053664845864909316426704033827969\
823816833763484633279980145604831425019441728364007973931812483165193877707647\
03470327443880964048395077852626420735410176 #^30 #2^6 - 
                    1830489802733130024003146085513296996086791482453496521346\
283269497399428212426691409730591976203955576977681733752160821882394079932111\
314130366637282221435537969683456103827007649547914320631429502408333043211975\
965475917643139170845282038565131423197932801079340260253200389289564679218384\
433535083679309532062753027829496278976098018559131693571364673223049246704285\
548316358851539616845648534501848399140171771349596809395332577221636372921464\
6663930280333565114164097545227097201442816 #^31 #2^6 + 
                    3002972082931485646750069767942663069927365340391770142310\
301612117461868786653369821464825336957903599547392820946411870616060312992757\
145617303089155567918513255588467293855770218936363011415928176519610343457351\
298273208285442967565818636325092634862610068376437874846970271621647157737338\
502207897010384064616361434243390802196005255791243767484146257428475103850289\
788404073663639268220747334466534829062921838339032125363180100557711715612331\
27394050757050161892678914923262986309074944 #^32 #2^6 + 
                    9970203671504415404983545382167360027927974744198412317383\
517801161859518720528637365823997457798046042660618768312800604306519208437461\
269830213515762556660180931744677243307196744836493748193977089750178677454859\
618866574741983620334774733527485984512476860756017323066362144650987270364358\
561911094543257661114171626823060462121274193048503189238306886503472288656447\
922608132181621789553861806240280743074118079889137883427404448378184929290076\
324171227074558620578525901374448268738560 #^33 #2^6 - 
                    1481367985809113519492392036741014950180400967311259788164\
262951317200271799007481165279908516382714887917135596804414981038548765748834\
481500412092217251532025875018988784574215304491894518525448063224230313873339\
964049513774302610775081398607741942602567007848813158123804786979081409754556\
057352720100400529109678736736810807374670283961542281467020986786831602387361\
075598808345883187947066279749197224260661380809287470371091059232566305321916\
72484730095604597087806294117895010143698944 #^34 #2^6 - 
                    4010360092850807617816943634568438372060057543034335139105\
441826545511583792845711413086602152943304642730592061224781760493345769882785\
135554175054293140490329624582968876375027447834922160664162345305384169872852\
490134985576560544275048388444615589561413215183159474396194853602927650916118\
314854929371257967508252459038326820616331889390427340955002774360580666264475\
448339717345085731327902227010491630452396967253030784605527127504976085146168\
329572571252549625311148595128093967908864 #^35 #2^6 + 
                    5999435810166407098079395283308987039377721940415503803050\
630910793542923244793181198203836131672771403898996795267113828822105344247836\
109463805533208085984871273298298948338166903727814037054254066310384201330406\
471861754051842321184142594851131055155998572382853917757404313392938268212010\
209085874855151237904718536219173192292773045815289878229565521632567591143159\
994741650103162464658011931780774304842930239662417539456864216747648490661446\
6215194075669324126247849757807078914654208 #^36 #2^6 + 
                    1914851696353550344144871841923814657013150336087811710192\
777169566189327887344451822025080003620516250466374898840672220577821737971057\
299519835082711836743594823231895089675959044265526541421520664115337224632200\
926308946936843449594443667038260890445668353597721262989686147997453269616780\
040433850473486979981272201116093522088265471635554596390282190739119928350611\
510791448393318565650671057110846392093281658578907161655873565895050887110753\
583792656326582373035441892747189222899712 #^37 #2^6 - 
                    1955374109572822121751289147184322519739100594044486741387\
223586400514723028951207482452283880324260728030719558965470252103474270709439\
317769470519584049803467185379924887672600277380913999682966385300489339665315\
310899082537152443333570658234226162227953824583450931226450128099624320088399\
350630214695525320150344712604043771572013472177841140723221011996637171490316\
606611831939176585529160773318534374335321676016831516485699329535995148590914\
3895064967144313782338027931721110871080960 #^38 #2^6 - 
                    
                    1054855932317227632436830553075988043086824402223660051525\
087562052310900834626315543257770230974344666774002309186698849594579543342394\
199046156303514799971746303634687800794209022116954655087235674168769545005080\
883089173321133964489082092886008815691187219693615939671743799710628084546293\
588757551654194403311409343392100333787073396609238082528215218921503519449405\
545939699685645875694703726161127543790553925599234019101127834588109027999129\
351235855692996719934154335006737249075200 #^39 #2^6 + 
                    4862423405337311264711613868677494843734895701389425430505\
691172555945268369926885916714334617876628630609446245165145768977129022415243\
986052536875064680789361373876846597093470071399612706644914272667732889221879\
807904132985622341421017308356341968737367748682325796979499622987595763982076\
384937125455323213173971626805787322429189245658665427271777538180817436608203\
547309012954407367635866952258767569055349967605452674425685190334416061246012\
772981606379683255433003433153964686704640 #^40 #2^6 + 
                    4082943770906948468949629693891295544595416932774958871481\
481095221521189478032026115465708938452932893015041164914932033190584879540605\
290292226376826901275185646168218638994887397487585590303666827222452437596034\
153477440810001472794429416936269264513729189711548837196893358653742965665526\
963045034249902913444747810934669069898664920208584218326571943068187488804424\
873370777822849215447916079346126444247681186130858375379365086599279820507514\
65348195615263118441993190392047201157120 #^41 #2^6 - 
                    8495215247165325103619869898219581787749288750343029369663\
500085077996654496329625289868383844843717162385080043182940194667795580173627\
314075097320922786135070274341577120351977499710958570784975200585350973027950\
694855693937706522394933510678669147434436230166722369554040108905711158650667\
403256547539653204873151986670136894679181158955097181456032282043013770840728\
500546302591631580558299021834380711900944749092420527555734819876653598935216\
39783490451343629113363825549821041704960 #^42 #2^6 - 
                    6573642444851880977417566993496369859483596627517514022705\
579576039411404764369210827273648335037008927380909005862194678339525972958649\
332858563247460317501106689837840874664322832600224874901532958813700658044261\
094060937099252633916460926352562163706584770325150342697597097087692337808600\
075147219052747248301803788608955297574857925443812146926237087830512859499346\
206688633408966017130673580096481266756651772178579483938810239973664526167928\
2595423165685521425881402213412236165120 #^43 #2^6 + 
                    1198818916311038201234056538676489878888763839270812661626\
061781258872311291750951357498232973170810072205345519096632835346760417837241\
960343939006393151666698171663176509135699489559371206599156486710264223222501\
193359290594488702121411063877971010502887120140122900434785434360188778522924\
635214355311414313653443284366827996508636431055902828863579569158113769149328\
905210198817555783068878015621821967496796603725114061272596919485802175784839\
74718485183371713841707569356193398784000 #^44 #2^6 + 
                    1408872498914002754835541946916365661030059576342605565301\
909608261036940582154749259322851859868868760309252336989306659034680652153060\
032461965662726393052806449126616192452984954622785453263229417583590624935365\
604327199934065848488523733036619242832239398153220397712669239343609063255352\
593911377193091026792223419798228769546911015918729605715576798445233445702783\
751277007252328694933508840847492490799219568265479022922976020599152120548053\
0865700287413321697429068127898456555520 #^45 #2^6 - 
                    8969131665119478822093711753081664796389011581542685472366\
048697696106415604345087991746490015370362577779992606218498133155865981771162\
473748520104001343536492215369287262481595503569232884308515206294112049384547\
505891383186866823060078491947280104763700929071965016502493721580404449768993\
567578005149661805323410894988308917506993749008145357315446584057394783463558\
333916183277352542475617455581606244424410753427700133320004768377037405302911\
251183857721400887126029331268108288000 #^46 #2^6 - 
                    3550728988543702735312982221017113263532396871281415522581\
151386248738789329816372012502094849078578204200328800228925583172850765848888\
402701330886593479327493950115369559854997037727635446786124820014510604209687\
981460549413617812974093585305298182711106177475940338907925096300141610538324\
521625087188795025564199980727620665022344344025785813913620739592005242351873\
431746110317921775510675453336005200529048035776743430285445339429215160773919\
59814987499532611699709810931505561600 #^47 #2^6 + 
                    1058719523804837782080185409888834706850800104872377472460\
086048233094708183864353421861535676840595414515896092868795261367859239113369\
862918421545805463894926765177986912050718961713942224302714265285015871491065\
317046218246034169736416707306842892798654668220434708054795352754638690880968\
991707082350146265693555324939730839083270186566544758948561432634204387576990\
088714354442360946349143278149684387135161007932917721037034267152815440181102\
140919558505704427032021319130336460800 #^48 #2^6 + 
                    2417541331396600960653961681713509816576923275265080697134\
645306281113094104720179258849869735627864613563869317655846825858631301748030\
840309095779755427116621006369779462134397145580370187185863025419967592132048\
220666505464200295463600602830722123888412625611311777252020316609054913997018\
868304375303517857767284600268402490819574615196348179162048786485809874195291\
881304065645502489550857811044035691600992759571724624553253234761143378776798\
71384337796349945643629787837838131200 #^49 #2^6 + 
                    1469080867636147944284555993745119714542374853918764027276\
384327153659360289096246008925910141070110186549308433289745745265493945038522\
980187500403195491700691984493542733180606263550728889235129669893000383015866\
197921772351211888794487475959119138550811841563214209504659800526013378312031\
889639673139972227728538000539504138665976478625817313581286948686834183101638\
143763052645216820278334967295552481007810925739807894380429100290634104104136\
581339890388370236778986629574 #3& }, {1, 1, 1}]]], "]"}], "-", 
                 RowBox[{"2", " ", "\[Pi]", " ", 
                  TemplateBox[{"5"},
                   "C"]}]}], ",", 
                RowBox[{
                 TemplateBox[{"5"},
                  "C"], "\[Element]", 
                 TemplateBox[{},
                  "Integers"]}]}], "]"}]}]}], "}"}], ",", 
           TemplateBox[{"398"},
            "OutputSizeLimit`Skeleton"], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"a1", "\[Rule]", 
              RowBox[{"ConditionalExpression", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"ArcTan", "[", 
                  FractionBox[
                   InterpretationBox[
                    TemplateBox[{"Root",RowBox[{
                    TemplateBox[{"\"2.25\"", 
                    DynamicBox[
                    FEPrivate`FrontEndResource[
                    "FEExpressions", "NumericalApproximationElider"]]}, 
                    "RowDefault"], "+", 
                    RowBox[{
                    TemplateBox[{"\"1.65\"", 
                    DynamicBox[
                    FEPrivate`FrontEndResource[
                    "FEExpressions", "NumericalApproximationElider"]]}, 
                    "RowDefault"], " ", "\[ImaginaryI]"}]}],TagBox[
                    RowBox[{"Root", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"141915005595265", "+", 
                    RowBox[{"1602744041000690", " ", "#1"}], "-", 
                    RowBox[{"21026479615718096", " ", 
                    SuperscriptBox["#1", "2"]}], "-", 
                    RowBox[{"206422740927658864", " ", 
                    SuperscriptBox["#1", "3"]}], "+", 
                    RowBox[{"952385487618214736", " ", 
                    SuperscriptBox["#1", "4"]}], "+", 
                    RowBox[{"9898731005129035360", " ", 
                    SuperscriptBox["#1", "5"]}], "-", 
                    RowBox[{"27585326483089797952", " ", 
                    SuperscriptBox["#1", "6"]}], "-", 
                    RowBox[{"183912745343814561280", " ", 
                    SuperscriptBox["#1", "7"]}], "+", 
                    RowBox[{"344427706022721012736", " ", 
                    SuperscriptBox["#1", "8"]}], "+", 
                    RowBox[{"1846052005691964998144", " ", 
                    SuperscriptBox["#1", "9"]}], "-", 
                    RowBox[{"2071683635294751441920", " ", 
                    SuperscriptBox["#1", "10"]}], "-", 
                    RowBox[{"11047772372340226863104", " ", 
                    SuperscriptBox["#1", "11"]}], "+", 
                    RowBox[{"6111411510209350320128", " ", 
                    SuperscriptBox["#1", "12"]}], "+", 
                    RowBox[{"\[LeftSkeleton]", "27", "\[RightSkeleton]"}], 
                    "+", 
                    RowBox[{"3270651140485492506624", " ", 
                    SuperscriptBox["#1", "31"]}], "+", 
                    RowBox[{"39892244130355612745728", " ", 
                    SuperscriptBox["#1", "32"]}], "-", 
                    RowBox[{"869516270534242861056", " ", 
                    SuperscriptBox["#1", "33"]}], "-", 
                    RowBox[{"13871969261750226780160", " ", 
                    SuperscriptBox["#1", "34"]}], "-", 
                    RowBox[{"137584655427153428480", " ", 
                    SuperscriptBox["#1", "35"]}], "+", 
                    RowBox[{"3712678934157270712320", " ", 
                    SuperscriptBox["#1", "36"]}], "+", 
                    RowBox[{"228520481174711173120", " ", 
                    SuperscriptBox["#1", "37"]}], "-", 
                    RowBox[{"663760396375262494720", " ", 
                    SuperscriptBox["#1", "38"]}], "-", 
                    RowBox[{"33991580643334553600", " ", 
                    SuperscriptBox["#1", "39"]}], "+", 
                    RowBox[{"100752093246253957120", " ", 
                    SuperscriptBox["#1", "40"]}], "+", 
                    RowBox[{"11396042197712240640", " ", 
                    SuperscriptBox["#1", "41"]}], "-", 
                    RowBox[{"7082284247993548800", " ", 
                    SuperscriptBox["#1", "42"]}], "+", 
                    RowBox[{"961852771978444800", " ", 
                    SuperscriptBox["#1", "44"]}], "+", 
                    RowBox[{"213745060439654400", " ", 
                    SuperscriptBox["#1", "45"]}]}], "&"}], ",", 
                    RowBox[{
                    RowBox[{"\[LeftSkeleton]", "1", "\[RightSkeleton]"}], 
                    "&"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"45", ",", "8"}], "}"}]}], "]"}], Short[#, 7]& ],
                    Complex[2.2524362773158733`, 1.6495520428354657`]},
                    "NumericalApproximation"],
                    
                    Root[{141915005595265 + 1602744041000690 # - 
                    21026479615718096 #^2 - 206422740927658864 #^3 + 
                    952385487618214736 #^4 + 9898731005129035360 #^5 - 
                    27585326483089797952 #^6 - 183912745343814561280 #^7 + 
                    344427706022721012736 #^8 + 1846052005691964998144 #^9 - 
                    2071683635294751441920 #^10 - 
                    11047772372340226863104 #^11 + 
                    6111411510209350320128 #^12 + 
                    40366740567129769017344 #^13 - 
                    7706811978227604193280 #^14 - 
                    90258488949202493865984 #^15 + 
                    3541711963082557030400 #^16 + 
                    121249408787372767182848 #^17 - 
                    22447678429289496444928 #^18 - 
                    89887854953335201202176 #^19 + 
                    106373365068931581083648 #^20 + 
                    20017867823268914790400 #^21 - 
                    226697165026946495545344 #^22 + 
                    26573915504613290672128 #^23 + 
                    293263535388582809174016 #^24 - 
                    30612114151474466914304 #^25 - 
                    262981868523421171712000 #^26 + 
                    16807982012665193037824 #^27 + 
                    175742299888371319701504 #^28 - 
                    7349864712868343054336 #^29 - 
                    92607953963663715467264 #^30 + 
                    3270651140485492506624 #^31 + 
                    39892244130355612745728 #^32 - 869516270534242861056 #^33 - 
                    13871969261750226780160 #^34 - 137584655427153428480 #^35 + 
                    3712678934157270712320 #^36 + 228520481174711173120 #^37 - 
                    663760396375262494720 #^38 - 33991580643334553600 #^39 + 
                    100752093246253957120 #^40 + 11396042197712240640 #^41 - 
                    7082284247993548800 #^42 + 961852771978444800 #^44 + 
                    213745060439654400 #^45& , \
-70200316271507168397912526370140457916036103806045166974767911468991623992259\
303317425914536086227228818264393292358730270199995473975184965846679256103733\
574485402032360453961494198824241067649963501192172182571377104102659710931477\
581840743413949560249094047960678660134816055939745822577947736867189402551129\
308415502483229366695545754973296837234394091272033109242928320708274729957495\
4746812331186830777661766505 - 
                    1107494235866334714617362865936722194223786092156026154859\
040187453768861818871579481706065771883354740184027162799515762612691597958748\
717568435588330022963449939744604705558287926994636861354538174648657685319799\
318354828829089452100720910187586410672751175449763559948764818714214554901635\
536182776147075091170082523925126383608323439946664132850529136070437415206724\
4473178013912957254025784180168914580147488146050 # + 
                    8161892701345983118896913182906365640877423994940570024668\
202933711983610844806294451471059349656351171753051198615057782997785846985067\
650765770137889498053099663796178101938684196248100771750834546768313373572664\
271604122103366763262734294507072035860248576650294358190570143793042577378276\
660008431459707332230823677263608434405005926336429838085721911290173423871484\
4566845559094093798126064292142416027089092229548 #^2 + 
                    1637613586138376157408239098939167209144404235110057115814\
496186881370388139721017302674413823947150489894457553796529884563485003013067\
045554271483811847260710591266953965597688968693973658986935599152734690403579\
754565471042736498582411402161631142733961026288763614162550563591541182303279\
410713137402262445773689972572018578397178782121046763420107264147101546290760\
167707633640074640737156322158644705274662372707928 #^3 - 
                    2078835843287125803800280293860407523924968258687456724717\
859194122272133029822634112862494096703735202813945811068715178870311057666143\
412969119041976482932077249487077165397174718296059691011665290127986313506591\
563305067436699077066600968325333446697539559388900045428015586502241991444005\
095758052587544644490519882931022329665485544563309261305638272166807976161466\
000301289173685460142464077209321633986061102358304 #^4 - 
                    8967977845793281319981690689126192404765175188323484857153\
871849719964285185181505366126023602669306496921379052629447013986690511884541\
217777879709272272684786999855466443341039100929708099015160633799631978543743\
088373621920901068679284718526744534258494063934757739841965623074409731504829\
035309871485463827003465290201247366304933708011319622980776800372327665618199\
9673895370967396746818344515812052711126173991977472 #^5 + 
                    5016990045060500293416800056629012344843845336721694240980\
844687257921550072504111010808341382813030463572644796482661359077896191929064\
643676229509963673055369108196658165192539606411486640778634150032987904058571\
282638594173241748979728533575468559226426560551691685488154197330675442376746\
155320893144732042085981592496704624909392364922520681869315352775334238381654\
100921993803547444711741733726888322757828170026304 #^6 + 
                    2476544937975174960510621182113291780707132885913092173851\
306281219809237300116283469307272246192040665896674398522432529281143675899836\
181871640661827032735837733785951173494977514665604411731342287902569926334946\
429892431154242401281058734575862712886410371378577881249053627684755146193220\
747998729257311925460811655268169878106359962217064827728045954529191635591248\
878990360028979667260028394918187478456183817383683584 #^7 - 
                    1584188293222855423736970894284398411633827029539431791982\
109942610329611792351062284505163780485609869104539996933537261323153782552391\
508355959857909589891707977277284367355231497773326219493697273780894499617146\
980305207875878821621313275246695865510032424934767697834366801103410738962887\
100096075184008162247136979742261631392020842787072387466521598493172271322792\
46375671725450028608610150471239215995052899772563200 #^8 - 
                    3535077510540415798394816608780792439039270524552470978966\
644757531227177099752672606866762983952327054627311329190814747481744544223651\
733215726440421015856453176406638040953926937752060594722534470583637173198157\
172181079622299395116073618144791998546425387286343152260886830415218546195876\
355855290922849700505636945878510391472204854651713596110798022616565888323683\
7325572364296143119030433349936901709269907363124397568 #^9 + 
                    1821032414045522701476339308297829044674195545243502152151\
079117651374875517817395678471236750277938348617409242377531898725757560834474\
570967020311382218532543018383689839411737188409039237842935882213160117015106\
020144489247102025537181958909870746285537029644925827829199758350240730636763\
959212613224966010592888027729273981498478900053488347610207693814078456374344\
541619131324511436650214153226238769820445892490437632 #^10 + 
                    2971867654883783184470410626226100980076786194360105557444\
990218765225815127077938647300246222732441600935844804645352084145769279810364\
608025850067439827137748370437794401745558939450846624900083194573887542471598\
295821871151756311024183222213532039629524401811931092760754407401389295146755\
192912322123207703692849804814898277910535400083371877176035535904975375440495\
85107134633114837177473850864754823022508298681124714496 #^11 + 
                    1047261287785172827807703452991682472244987892037459105655\
450918580965125908815220254720230143674827243940305591435218603330148844568974\
838308043271116666797057778477224816498882688816502296339151297077831200629653\
967229494447429595530054993665520182741437203191853673688566994429998369492772\
308639453839220807317456049472007951937645941986091332423765792778329243924660\
1983171579877152711451739621298722842865144316149698560 #^12 - 
                    1590095238072539654957835940334890132141787529639135618217\
581287285938909541278229487743921276673269821411267486740658546746490387266323\
665696907603729850512584680872909877872479278630592916136220302498454309194220\
683779431384630067644396310918718248104354911610460170954590232815950340673142\
900237161598610378128540845591176183073190139781381924483701874890335399314277\
595720323803247702880508954265221117232589575242922590208 #^13 - 
                    2213345344968006177062625142375223653836824098256286734325\
504417848041373265288773277779089819491402940517322723512976835846775312323644\
674685353227867758259697670594925798204164395179288088351440278430712129508939\
674551311198174740306323818617159102569618273206022682288269281047021748076864\
662029304164579215213525963130049514190591424772759878213708083100521611753615\
52668405001145322152869465432871942258261609129960570880 #^14 + 
                    5628125612294033455599282202855532954816410661553050145521\
503722195631810248609832138388645890975832494556994181389212361645552925259314\
748768756041820513932789243168500210872166594448896085305695675343235362296509\
256415575141841083931143377223305147116491484776361127109430784476936514994627\
170963429467334344100442404003207600893329068550100751717552933330584477402977\
540372522906534124994112429316828891791537659016313962496 #^15 + 
                    1183251538935159554675501642705781919520899625973902702412\
817317611484016194562311432678236166395352019103551806735187872815262670545929\
829993668741188486343316461468087045837378272537644547954952916241184340597945\
118537201416193428797255399650708006725035404296422317875839806601227199163055\
764835724767864238414563434063926920548233650291831497338186357463552396225165\
168621558737812036623363750227065252162359308179363397632 #^16 - 
                    1341371074051876113047390259953684641741343963582367804931\
383742586734682794504410592808076420761807423526778577291253078440668405331925\
837152569911005538733682881971713193148472524848724799127736085239846425597158\
776640760631884200393743959291930397927704054170006176214281711807719319286791\
647161124278289679462409984228728566399957478585850371834171964366257608641210\
2288748312865574074468757080017947623593444662367539429376 #^17 - 
                    2688811270587464635319704845046921813481312497850911005163\
327985130908547280978320838572484418785824617432425550693711283757010467675214\
145549709353009937396041930714824646812252007614908968608716092861537180456093\
490000395763963800120309280607197633380743187092192928356555759021320361231441\
296772688933960126591132995820695003779667878099784516903375708021358986913597\
810855340278816139103667173981136444244124274035664093184 #^18 + 
                    2165829639575826398723920772972159713600128350544190422139\
365105782207260701532704998187051129266716312198718285829064886212407951955310\
894956407506216025813293760644090692403296929977395766489904290271433788190951\
971344120263481325295552938546639664112159790666759809640900637865643098794520\
243063787928056876817282536531483322616472811749099137359863761596725590511163\
7481400945401605946855728229435309909295396297307479605248 #^19 + 
                    6616378821629947816034435013820960721012763830050706206221\
259745883319997078621280771113431216929405302322621393652650649461902496925788\
603349951815686770828731658147389412492246968191616360745419132324195447780266\
592174044809949946937313041505231429803691640300162248397211416274553467953629\
558004564708589023409741329462861503851340278496870055230528103955227534564210\
33655795559296489786567376256207752305722800062653792256 #^20 - 
                    2366113865247323567098306028956019413100021118053666005016\
019964521058414736033392392792941848328647496959919627920499287641194269196334\
760464351925209595509805383497354427560561730541896936910271466449734279321498\
294927268966197555708869646534109370845192354137375381055605393357620510684686\
225564681212380677963129914217070694973687520718842654937185394723621588315681\
5542974867680826655934097021289653183428001679971373285376 #^21 + 
                    1173279185674675498033835347941584629275390496032317100104\
485181891439812988377660454932629257238605789262702377097504622203792217145895\
292651787201947757382278381540568456556957272159419721771616701094932292341881\
101395097349404930118572312376207672027333586678900138667882228912411533006591\
711094975377300224062238565828542364679921030850350175006214741490496500364971\
9894782228474823521561804108032987206777128030659867049984 #^22 + 
                    1745547619311404141788686767894543489115132508276059780544\
835160038520771662987179749014472735211094459297361102553752484407384703410896\
988420401257537131648246330268207250928529253302519943115691592587169588323481\
531870259952256671679832999372590761972910010037160121591953896607048081182991\
697449736220747340494838937042470230571982573460973978643237584451289247259020\
8707982405650327416051199093376120516564525812484224843776 #^23 - 
                    3397924297846484791782347797191505650622843294074868124507\
541302449164343389715295544996048108738713269346383794829225086633634203447060\
329837186527535297962299336108364329590874408410083507130518206686286687559439\
740873973413781218762610301555403541464807375077897190351926547503088055208513\
151068319578242080958330193314023713370071002079220985611695454231454952874904\
1149331265325106979484325466870805194700509864264653078528 #^24 - 
                    9015208851415440182301923761031655951003046824323274369483\
858159867791481688094599888199997143229083911132564120442351555451578469260840\
110677890340124944729658281419001497031908999820068822415998248177168980591808\
871629826637286740821002996457131597401507429862600972845209915784594755938256\
278417316982603429708932484677639133378210916768748016740198792479748855781021\
116452514089154498031005142165255729119902977862358007808 #^25 + 
                    5317764005447858637183508544068833579221250330475455480562\
509866502922668039490724815127487738411908027328818879686620126519832045784162\
484393133939219320392158993337157323657028361377543816169946561668803086905795\
609147123003663601416510051211948543845440246558480587509089066344962607290840\
767635414733717460076750085934416967414349445167358136597968539674620887024076\
1302204278738247278212609210859408260951090861173343518720 #^26 + 
                    4178891894976772134117927825611216570582791015233972673260\
527090548622200450526620886659713839805270505949201965206853042654417221728984\
012872066360183289233070305997490076033139175395901416155514365240972752367650\
873316841374192489226166188934401551620144830267296640911621418670392930189040\
928593569763663304184704236853262669336791500159105273194101103483943216435561\
311323892238453626156991605242583117451924231570682019840 #^27 - 
                    5649353696032195878158380391472851541337751424849555439354\
617538620162246583073076488629433095539252283093668001577324710378691028802259\
450840459560690174943158922430396906154876185741263523381036484350158656404208\
024637052270196358200420407902427080272458249725190928783121133080340241075551\
274166784015947780273286126970055905897139302491311426747744590033478068503971\
8801613692509130345358901510558831478530278711113803628544 #^28 - 
                    2770606585559965532778752510613217099909608235550679642254\
018997656388742499746199303010690945295422228639472343139739096919659831692844\
489917535413862826423576049717469626915174706243213831990525004681973137836995\
869282624105794531290026566180781551624954601595251885314141245096816744325674\
490007647547747152957286806763173863640393258625296993079222171100229739612705\
804195566285349578456460257550358938728660910889005744128 #^29 + 
                    4437862404204595673978865244941183201753662916389709481153\
833778821271210142318403767715089533134322476577509343696589660430580710408695\
153757018251254664162482864712507571734477753403561903714553975792092647100870\
253912484119870508899872722253421449345228800111028711535724077769533798399778\
633998393732998283708547468078502530045837220823336942104731869970422057057345\
0781448890085121319532041366013304671430203348107892097024 #^30 + 
                    2055954784080231161439957623963255327340839466745432648700\
803781733617168057644708679546937555838385841425866631784434188174358813416077\
739982191169225018759728317486336318240120174937431741079054716106225213228992\
811526424455422131261025225166388121402671620306847867260811856404109794807187\
445707439050665772585109934249210470647206495587827059447174234271305663589317\
812589877746541787005963671865691876737913451823759360000 #^31 - 
                    2712621828450100516477539737741208427456314681757885697176\
246095842067749927400710228937227200127097712315822466640238412777609145414541\
864501067216127859677831948484864755249960635594257158974485199057020248569406\
401853890148708324628677924460932598609631343211303448334016407686247804348484\
458024953166671459660029206182971508524357786936009945181605215308634341472631\
7248914906919514634493528522667575100899853660551288717312 #^32 - 
                    1104714444942948966127406337578189491979760015087506356430\
825520323145955113540445908470376554402549070759770720977201253802469923643794\
149135868912172401586843216520079559646307458246467119739755178287536173667280\
560993017951246122043802264920539518659303481856285168434630446281615781335962\
112807535271185762382222478803346800027338573855030900389487139072361889109523\
395552537195804713920049133006810185214224471964981919744 #^33 + 
                    1339569615525870320392488433437487229358082728473491333767\
773353309395763913004162610869101791379353036018834483885771100883298570456066\
815241529381614374115112153183055089772177820861649346069180646791899466785585\
483074219161232318294796012951256075548865816493155623204714396582063407428138\
578044156736571030054817934621703174998423076585399362423560753538049906115651\
7309681078701149139538498681457552262588751387177280077824 #^34 + 
                    4461081377037414715980066263784861049741843237959561538195\
696881077389377514453085407751083687354953525411349865458985555485035664831985\
257443272728105086109102508048938766304765224419184271020509410409829103567252\
444753520674815784654199853808314338805495582733655100976401577187438489932920\
001388016745372602883471879856031577094986837841269438352092602269859474316451\
41795962675266912011017256580629649245498928394401742848 #^35 - 
                    5429684566339924334660549129047593643503141136829472761742\
051792613959332947854731649346206018570195999463495028825186313944194664172394\
250095185814009302595663832747432160486460556905609669364810397024702257187889\
491765026681185587671292932926457408747007439996141652641036884824469351591712\
558125211185526740447122313097355176071044769327751943826502492384011899306890\
731645423369817103236844074926405552208772132944977330176 #^36 - 
                    2006413844944542675199993588316022965992007154543238272905\
587135606299180351017568931231714094651998766810869800112491982938416202252113\
820260189459888851634114639083270657396287802863299971001239369560489709797082\
444457603293509095676493508998987402639529368672712006246551942339770117868154\
772154155000081627394573696944589716359290478971435738801569908110705164616511\
37852175932846605951788037252938803415003504155553693696 #^37 + 
                    1770669581197360356719689136882185934575026512886425272241\
080419400867438504776655500228527286331897940223437710482953411829057420616845\
411222902732807560730162700436292776915422021608131535745830813393634469695232\
999686277314452789738825490368772286373011164742138963500597503994821284104812\
690025465737551940140618429711886851170887044213593532525844326048084008652234\
838400592574409576982578490990137962966432820557250560000 #^38 + 
                    1024384195841560786203803990261659864941415168828353963865\
514889429083788470409987439754590265618961816302022164464479931412307178243328\
940535200835545019885068896236440098283715281294336198006517282389405216538181\
057852552998133215228559571594024966998226660585642018033386696838705051060739\
400771644697766642486887646318531960901837703138849628511495283206470885727693\
89486428677379752559678729905125262333886212940706611200 #^39 - 
                    4404903188819469762250126285927225455462656966341232172185\
054947307913689096385995110810482590602971793490232236915320465893059674569599\
690156297998655932272241814936015983195747871277485677230191263453241159058478\
335119906579096367551385973276858920532903872985067196552640080965268215346678\
869087133583327933077986244602027661458014868411019054535425228969278238834353\
95874208305015827959466442644322238838780872893703127040 #^40 - 
                    3827987770860919491233684840407289481741771535732531474965\
750463930603038239510027829371105769635461764402277898787160901926580927888897\
574350818492212960002037391048238182286099024785420704529537214387961257277563\
837094194602572561628536141756449403788212894934490365843229239370973613467170\
498521853912020284220969998561645201242753388609912554504523815593683477740744\
0839048501956946811462225367017616433006800804323000320 #^41 + 
                    7699915284162094579185611026585840631037843178805113294306\
205566927573946273628740978477009206308570863015020777641689524265821485789684\
487671786906160745633768926817014196544455181908086706622716282432451619372261\
617465860117148432669545752506667592432871773112494459033677808208034415802365\
843519554636517457156189723584860323006997919736895264265889840824246106250719\
6169620637094918813896695436116768973706857767942225920 #^42 + 
                    6136512664922345768573038016807349795804300759444703208305\
755695353037731250689799425612980184299100771859553223985356798248232756751885\
217516937449568651333045922939998620576367629644077040950012108629408507240653\
630825722294319581797227755112271453240728244574119367953883868041086929695317\
029687963002420241785421255056506685304833840406273915326724502171608496733077\
172830844968881190438346800370011711777556667354316800 #^43 - 
                    1086771210996007289420930388171010450514240601052792407820\
278138212935550469792720145053498236330762274623168545846732562188045786387457\
393524601518515691316261171674447575598089147440003951748666421000629000572075\
427131692536218867882782780750659052549028008235266699307039955278544979144470\
489101077058527378506476176589328476674265936215725876287567624621537182513113\
7178287978349020655210256884784420835935861354707025920 #^44 - 
                    1293662224449047757694709741532758028316076909416427479387\
578201575024109654051165756001463578955702650947413401324034490835473226143326\
295781661787429409015925921658008300606543694839321850507472387802071639127113\
064362721030591918588413450219142555128854687668505883158834167608011941972400\
987486464907600538253076031880675185862589235650044752045926678645715052695733\
975477967577166092013082885619076546823437083119452160 #^45 + 
                    8137118353676547864478219449655128570966401590191503181465\
461878453283229499004394503065250161415568200897382692966184371683716788928348\
688097692499323315547678506533514266331714138566217834905184232299648442851758\
830803229467242829662428939813001376997516514885753932622990847742033492125794\
740639259598780662643172383896789375537032722875584368986292952340951860314301\
67767306706812804784750013655567795696967883318886400 #^46 + 
                    3357801967207691926498313831191559413490860278111372617051\
700331929265170978057732259769304803461334217739206961970794790100710733006319\
638412117027030221521027654381203670096016009184750357084927288124352252428242\
067192193802906990454467381400674479511761732627155698293129844483773010945952\
351835761325843581676255960364506094797500653827830034991584845157069690013010\
0717955563337615190391241908915168475182048634470400 #^47 - 
                    9589302765777780981376455521392141604228629829534006604680\
817940198881717272255841556102401023206209978722206382917915105732642255292269\
959490917940818086249389229009699113680555480767060039776418407495995573573502\
514928406937505439198966584241787686779310739514732473924180252054272484971875\
127949873727927354512357405401609255358835826462254552304925950310083199562544\
4961528659739798528319737879177967436065668700569600 #^48 - 
                    2197974725743681967691251586436657632256566199106247335157\
067692619697547241193057028298544704304903693842939851218599458399293457365615\
245849456617105394577805792051598092965920050216457081446147607679354471423388\
346542588792633062099481543762299084839291500859013112712556145010998348493429\
120886341351078307654648780710736768486515638331766901594773023597082023750820\
1648891055799080230134794862584840887336642910617600 #^49 + 
                    5697718805878897726797326176342762806598302479385350886647\
346910123828440711163908076595908107290386822794753190872515088382641569787951\
586230909478097003352416374695219623979806167568056733349653367241209219665524\
019614954693475116347361123192849636729378825752029780969325757007361737403889\
504588162143224917139800832929463666594772962537777206088721379176774973716748\
71503163437776854875444240098451489416455629800 #2^2 + 
                    8961434820162424750138759862041841932021766263453929715221\
735649214472565735101401316197755977772565075132662184229766075856305578654683\
406203055691940043821776550435584309336953933434349437688448709950341797035748\
914391031218868847212259079913638092622790921248481743837421167991567585662579\
376344044890757260229675429209427517802006669475484461851169182176985736061308\
504980399069464955988541360189141236980441004280 # #2^2 - 
                    6645963225750524318019125682358128463958779774708385435541\
842165853598500755155417968756945512385300665557193126973715597604478774260789\
091046831747156628836860781897977651029202558180002429058763191202709311378319\
520139174136885189854191498891532647934052196443232870539812359277610502461342\
038069279413091847706412731896354146991147118038104473846882815247363457796038\
9644651250507240527492968742868191521514818476800 #^2 #2^2 - 
                    1321115335501725338329552859441545484162707764130161160624\
403499576817837062388118476056590362100107995890344582951756508285493858442110\
862312248116382123890606139350715013316438838789173706197837969227495827087839\
410006144262005250255337527907707030339901484566018650500523966316143963268342\
900158926571714619771088335910163668261533276284807225294665721869823636321404\
288631932087216178688704954435888062960000072057120 #^3 #2^2 + 
                    1729109002701079538491896492831224099019779257788937882649\
232943974681025975369744748328239215223113972831021070074152664524558319843473\
573264792472776234453106692842692293668666336633870722484692001929728874852927\
471729632080823533244441312403879131377079977441193730798256134403249925340950\
058044240241561321497140270568935406113974246667970231817620439749841488683098\
682703889237665637490088020530825822395351293539520 #^4 #2^2 + 
                    7207826976816184881891602881620546223047176133112084683838\
251942038189678131999287970399545655785316630821107508544528957639614022211391\
140818257779483402625228439727783466212179574978491825107876349807205409163448\
049506155562616883535520635628464491932729116027932797491719195158793943998856\
950232133356216044411558466255932979652517544246807573789677987856986250883406\
9398882789278330416399603860019443612969037425020160 #^5 #2^2 - 
                    7568861429057063648611554584131921357045282573392180313003\
231283246050731495558656921310384521226355970795066859108610793372276159919318\
568508876053372585311533377401391439543105707240767593846122066594238248914095\
681569532581269059322106531530677253026254607260618937510509840232358002254511\
465939571661631972609489166053371195939322236900834621225500090778695973537298\
151766575996647891527543794397925406614807746643200 #^6 #2^2 - 
                    1981369543524059945205835368449796103224323061250411240407\
036343204948731219100486391379455919463644597374497541662936335826374424603691\
327398049794513272001205946176474252034528521676195619277720205888564665214601\
763733720259564223482666542723676833595079185928256530265942019586928367729363\
297823683464649954629112847016460589159139528231042952368288024490780458656391\
851815164921216027606370310577393095166184017474045440 #^7 #2^2 + 
                    2418463508743495657920126081826715273626903502241124992485\
748491812150904697411145041657176156399544533576505867620902687413834450295516\
632883387732038606331275182535794057001519602045811930202119733991343432184349\
229977951831710961953587037919718071225968611617253308760690730350646826098281\
423610179481512480527905018557487793498565819732143834752732116949418738749464\
61767545627110789721135153835914088230752188866872320 #^8 #2^2 + 
                    
                    2803237840510556782153012672706099828756873748300407108324\
900515826931133143533849495339681214271736452061661688969601641005287230753668\
769998297187625412000146005729590978961175328929493488760880730954489135058384\
066947043560206742454233129905689714882714319152913476049303058323888481958996\
496284130189229316591407698301086708876631384811365098111194292949607259562700\
1803637620234750492318461770035177601046486304912281600 #^9 #2^2 - 
                    2925158489762943108614801470883924456779858312226457239113\
014013451006121003475728783045443142745816095131960948599582375035987827526868\
066701941544574488715294485948349023865452106143090653049564220122855619649539\
680147405457828140098916531891180391533271802449806618906702982734981722384992\
389960590609342306290796302712762762035793784708020291234457573208704533278130\
538799350229523348088611350750344605738251007162716160 #^10 #2^2 - 
                    2336802799093628300459383207001730294197372087226084721956\
388098002586376436483295711511848318032847825085918416027657037650187053907672\
389519585437268182133113324400868134573289522731185872993472463858103821163361\
734431534678236137785672624591760097116675228375603468537707576877389642423890\
086817174997020847367791448564344549054204738832789520450057716816273049459070\
94015026949218363640081109625883341175435587621988392960 #^11 #2^2 + 
                    2181201629248788104584281467043703242290658877441798147150\
358065392940177612446202697157657990438479390334243912330169751772309714532318\
775762840018907230594956386145231096982018786605414817592064764110052333274538\
347202991572951132448125083418855067294276787724213531916345444184315358061617\
362299677378771600129584200944705521280908253173190545994126734373718867424306\
448518128192035440192151374755159844635686065100472320 #^12 #2^2 + 
                    1241487918296131974257149344815961347759764420706868507646\
831115105038662217576942666619090692823516073844066947555769575981510729290693\
962726109841684648780778498799101026365453534632364222725695362874620836268046\
305548511238789186174126770628948638449308581939507349441193638868061055102371\
783889165472578685768555986499593385788027358415215164643130812817065518650330\
119931360824108650616945653002314084139562703343649095680 #^13 #2^2 + 
                    1271935841766502496077101405394079695348565415498913640158\
135202660254157227935631824547200673757308213384241977409058333623119562203724\
307672589582927881639064071535130762305485372121711013132953645395767722732131\
063376564683536002694727651286648661457916796264883575470653879745754227137428\
830211079772184404570047439901015864260811817661956551994267047590178058266021\
08495386686433474028581648173256236577990698259697500160 #^14 #2^2 - 
                    4367874224041846582231288029371001485038333659506732777485\
858378192811773638067952662773652893286752258161845909079688413848733697249410\
551250453817792589169861634359856088891365901174371544359331562071520499986645\
238074132229090196807697538233564672810310822247319276890367329977791346217788\
404576425952986354384623977349746972787080711369596673186600397456149616008341\
454057809564860985275144921812177310513859383983101706240 #^15 #2^2 - 
                    7858241018115764667283342324125189646494265001352530197000\
108881763528027410824243710386476559428890946720292558944307220600701722992260\
260216284406211690159942922144753042976170139269084739989979821826143994778375\
639902059195666584192898129552446963011039514611633392387772898091939547345085\
172066622497251203436396686118102914135797421709588672201869051800549061886324\
67541847252539302988016695288797921605880945490459361280 #^16 #2^2 + 
                    1035125950164194640304228130468344919098803516577199191588\
757955242184402949856098215825537481834016243038926235988133455745250373349011\
527412733000465883938383762124139146427676137468729899479842379677403304284354\
077274314757746100921169760618951627612385907892350370503422098020940905575244\
354311218246714598383686398498587673523865430736318924452684325379121158887118\
7876317238796997896093120479087879390064363593132010373120 #^17 #2^2 + 
                    1812579835841173868369732383854182383005546414949022350918\
407737236678296503725553356024390373383701904916953059262927212960924109900276\
699056593926885228834360769821282290619263934745349949424734085179082435062540\
671048290270402325127234266857759621761963389414096170796513341289932223925994\
438919844228089949532358189229044525867827968924087977015600799477365184084110\
920025289800341069735346024608605077362967570293241937920 #^18 #2^2 - 
                    1660260361698495149783790370277318177419548817107909776797\
610867472435886345697670959744481995206415550565613404477110820130686481688724\
869323182366182299452632811070167329483116885062076776203862509064590359225882\
363636042680612896790058065126891349825064712950780500496990300065835646976495\
745891275759685613650259728286097616632056290065167184332549541467259053570124\
9665669020470415474906858819084582733698764333354812702720 #^19 #2^2 - 
                    1409917596038888925857750478439334232311936139597103064357\
657038782750733506828610803004952932505476832480645456137145877451548543995626\
250093286797995490131171996920135824167563248012053829320633182759382937721188\
668828625781248328173043729710770202280242865615924334621611665532520575072217\
927304697923212853076405187705532123409698975436899398238353547812004601397887\
56496447951014185083134637245394200034889901009188945920 #^20 #2^2 + 
                    1794201847821415906561895010756170727850292987803665465830\
889981960867492731876167289936033704968934491177003183023140320133989138893072\
603333322842295679785440637425806375267318401011184320418064485505139985099478\
788141248499002446273136495358033332778903884225290913180096891128786970652835\
969108635491335298701080959698554127962301404921371334006964655820245099567580\
9367148841268975146505991333650308739939043989028811571200 #^21 #2^2 - 
                    
                    9360282021988057124442074917718238787612035452381129003260\
833398845444712731330483003252304437982681964688507563960998869048467590760151\
903202872935785187274247238299677170386606353750514882443519282987392478677958\
434400146813692759334461290912238848421532838473008874432522160712504785379629\
225988038403106800192124203758047725640277125264686857960840462126974129071978\
426247856216218950820409000266884029243603842439084769280 #^22 #2^2 - 
                    1291798073967409796534666079865119749790740096368338495912\
786363671784362917822318695141573387461138367016017325675633308058565497630471\
314021810608286226514921719098629609993147022549281193910401651946152143665828\
272077257195851566758800750911058638533317857781977346290515940057841110820810\
761750700225287962127729433047723238413848089977382217964685542008033367967535\
2398089151246101542961675801235470083432142818292625571840 #^23 #2^2 + 
                    2624606109406444992529348923107802382935213933017294006027\
799206452317780703388698144020018556266732113778600141262953028297867299816505\
602732979799618825008968479880602320678192858108015295878407518675988639839070\
965639503565487477714756047696255243120230537808897792642046191846577550489699\
303165570264016590230996355388960180990454783026547055571612443305795105270252\
0992569272872101916801990028642182782421412071600029696000 #^24 #2^2 + 
                    6245929620209587436559110677818450322935094845497096188058\
208429331992029216801542893926298601653071968569574218412417150240007457155338\
765502286027181600829993862682414694385550378583665460789937144830236785360275\
645106553874847980667679056881721678783948076307581006728000031111419156529805\
042942355452411342183951188821678058669083660448011360493439579672880281224176\
091390175004012351234790188699954043163021001444588257280 #^25 #2^2 - 
                    4071990726193482896861770591944552149075985378300709364322\
928002906462546164224289481476422586417413787595761382326809288264639443993038\
248419308807783458492638280101104617270059933936365314115978891938590789865105\
130329156795494754583471218778963762699302477477790407517814364325968641078959\
703744717353543733357822862029017055962602851514993537902681571414079107395029\
7497285926884290322867135084521324377274801997575146700800 #^26 #2^2 - 
                    2508712670871471129888473271323796915632091319885110499353\
277514146755314784772795180347263874991274680549789146363324276836788563070941\
722321059708189314974363820827068886452194832371053183775748091341783790046839\
929603757629238871689853653332815007424185299400923591008583744228214998855374\
669030547003625279102435626458931014996423174498199822764946138666769487157463\
524173728596797081993059187426321564670219057481845309440 #^27 #2^2 + 
                    4309399084546788061526525427531360973133786651397221624535\
945682633658785417878323727585748351694025600641546954050620674426347964623605\
929695913939097298119569232448414414899836071495183826960959056742739516428447\
498341959091331883638648639479623449753181554814754860039340240876570217986592\
617881707728442915068059380695122521413693589816525579819660386975339552015117\
8817662435282132128612257399009307053232202898350234664960 #^28 #2^2 + 
                    1564276898777823507007180870708461658728475433648121078939\
851883960231981873673845979961457840360323355944292867075415324290713401175641\
420900906691103171006489687510403024871148513938523480288959174651029034177862\
090805358386484823943131146406634656378314853289117684644314719355962930207722\
303543328948800030913358386297148629524581747989009475058568733575745367969858\
484772220447809564352389360982903896188374529029670174720 #^29 #2^2 - 
                    3377685121327134312476548990341421286227773449916702345661\
978147904020546422404978930119225807020159853341927811223666822564152102674854\
205559352246573645632550952662274653583233590997895036040227208170769881376321\
967220360654745020440227022923430955887820382076320659498153307645589765497387\
275660048097617208106223783094147721879666185703251327041282276985901514723323\
7505378991912793228303530779436699079885895893920451133440 #^30 #2^2 - 
                    1219561642596567079313966787823742353246982813449577013707\
054277726347503571385110233862197728862176029733353480361577652937173005405078\
711816480551641377076088576215932093416213919720411724609941147562638372964666\
964781378753388789378671391202312791886835105715241393300934163121464182167566\
055797965054990102324855427572792057497083917419108654136339413278779226382369\
079668084062559609627845179769734820682325236053568389120 #^31 #2^2 + 
                    2061229972884006501667146263817344899450191544757523663946\
463286636945143400212692784473970888066511251459141010263588867755453831494522\
996006715141384691385222121437684147864582433173365333999412885152664205249198\
281210039234523919696796143081458637953462973333308622539985691341533980885493\
946133953753830494546648552558496499179023930096028160403352296560038320184495\
3005827162563454888345797532733233099985402977286650593280 #^32 #2^2 + 
                    6652606353521246667552720622733658870541218848710286816248\
392537838087508310950418834681550072691356481627357629325619111614432107454385\
207847518750383085446696198330875774764727113654102577052373368462531219870119\
270043030220323971852137035636389706861280584681402786342216086432540485667190\
709893074166916901035952902062438761878671958440059258575068173205420232896763\
60797420860679366492084772482285815217664356284398305280 #^33 #2^2 - 
                    1016537283496134741076845984276620532014859197226928726580\
916371269170186899728511248411557463758748352671428305927619952087112484600021\
920034602367274472591322052159402867633429320570834852644409427711513389135360\
424530944062043509356256468272246402876207257265686014422208437035967623973976\
205483323247687411640005714465370572254162836207291993384309311711781204006695\
9139394434078938000865877226748340147467370844212124712960 #^34 #2^2 - 
                    
                    2673739614136351779813493119146423760583163894971929113350\
010753356766378511322292588283616460584336550313918021278867507671212931351791\
353605294604843259185562798211234284729926950353367319558867823014941188818363\
011713976640966235553275638844833481538492350216844243101105053524983571043931\
077465867683151523801674593980076426109623924740866518456630842005990956152008\
97540861999204663667949051548813788078033469254443991040 #^35 #2^2 + 
                    4115988146300436802249731562084095509222463209055064420739\
304445601603745987691041666441522241363815454255220758916507258651415813126295\
710160356918618556194233624652598545723552303285321495781584723726988763288379\
964706112527671973631279268734959172453027873036125902188455772901103444275939\
383491731053984737159417679774287435628662501955412961684590903406335005913128\
959334551662250557084357321493205587636360150761917644800 #^36 #2^2 + 
                    1288168965762356762276590386262682226982799175582566548875\
449023200550962755335819784411440065085768456747452389273270115398928511921150\
507648026092520675782606453346181389368325137261885031869934292437117235833794\
059236730102384009422867693963315118521049169629533489092905400029768420916466\
970258825823314167585155061867733109316215455774488274200461569825788458187764\
99887149016773871516739215894133285932207026121694248960 #^37 #2^2 - 
                    1341260722848533990804332255868979067064434963486041378225\
610948485156258432711469040909289715126132033064806157131419888070643595548162\
924696996912598651922819531124053411718296553724948874105753855855557813381341\
044094645037986376454548199787463256728509150391236938701387051140251626108268\
555832082973240200618591138883687687380541574941709903578783334907163980513404\
737555793743219412250597616906777626992083477767127040000 #^38 #2^2 - 
                    7170810393432050748840914912347269905780325913213268245951\
791526314674871444335142227495846941276858753787093311452529183516913108199162\
128395884946550162812332439712414614644684977107228981001962189544140952702760\
690323994564370353582930735898741174020444099153789089893491941981656589516021\
930785686628051942347383486986485973289361897111446337845732023165263692733224\
4231203039398851883414449775324740035416583653713510400 #^39 #2^2 + 
                    3334782380528030238398330808602474541770391811653450648913\
325001576336932366355473535966611865969602386257118361693578407612263279869087\
812494807017184293595742644118453498157322058738932713273523372327544589326191\
583208360749428841768133316387846364677951436533163757233259933638420532329741\
691070057263309143462266676913006848355330707532581632485956702856558727472522\
33374141601273380461209062520983221948768456394617651200 #^40 #2^2 + 
                    2787698816408618786165024109142573580888470349244535147343\
782879234016149517010608670702919946992776660884581697963910491398148332673863\
154491690017143534454595476135059397720235109459810652215694073417059153858860\
728810559585331194155508492292134926674484301480260295087475131597348817752564\
249826381645603747243885240705769344302052854229936615387287397204939491202455\
6502988337680376597549503926919518155178654659143270400 #^41 #2^2 - 
                    5825566465843295750141286873416310682129376766325617405490\
851511350752468716976868555363512629751212390915718672105262571986084193930037\
138531523671754272249239216476454609880457485469811777795170511967579265442928\
778978342463506927236545151766913352571537645604148109176265078581173334614513\
040442018187911907259323166318069774511498589865955440010936457218333888864500\
1074311833586530452892569372293251615538399151338291200 #^42 #2^2 - 
                    4491060397302454265148416428337879073802487650052172833815\
656090478579567373098710555904190060924835021911765003495864078123281498771768\
327896690616720804086781535701314260799312015716076335460239290715828817724743\
507521105563525681406768104013769182792597460881308552427172824992492588709970\
573337133140103437888766999968580088935820526945692212865019764060706094458753\
175343379691545520327404576809279251270546683540275200 #^43 #2^2 + 
                    8219917043445185818792053132011594981442256334198491695692\
741274090417961722703361804080087522340540212773762554082129328477845334719288\
706024941576648628950340981174326885958329127132766423053979750693265206895614\
717462389338078505273278360172713012733412483460265923612747647643861186962030\
034950674943415239854578109018956510179116626542749073361449052640028546804738\
104258746561349177396812810166550517875119150963097600 #^44 #2^2 + 
                    9643562062770076012237409630957425251298387612802705796345\
347920859023770603203259614887993905179542188272945231648913343701802960013794\
976146929144581566234138423986503722882709119172796783581509543433616700621548\
099085277848069463500373434995568956021118870075302259545329954752648418298606\
121725322268340753407585183142791226417100277133320537032947116752191179826543\
51542916161881002125312694138434117177064507939225600 #^45 #2^2 - 
                    6149584901068987390671707347770923064147406315693754795111\
471051300655739717020833422766648394669339472724722334206943571395687734343093\
639325960199340817831477595066155829441696357155545274179068967081239704919909\
739693653357384050169556773973018899336026954560157368938177962897826898735435\
296490024527747062489369722823945929833142996445636940948515173764740986289449\
65434022949954245221637908729392541747113550151680000 #^46 #2^2 - 
                    2423183441795446911289185736208283777597973830260011448667\
599429020300808941978611045811028759333044192447252671324615065539511620816432\
498340386831832349013919171641539807040741649486824539230259967023834712594436\
645568881926667095838982629412331151068658031668434802732866110351718240853255\
509233167966167068856487801277558825151454936326584079944798669788818527351981\
8005311570333773911234257281000148030515451002880000 #^47 #2^2 + 
                    
                    7259333607306256776796209789443942522918666878601577674610\
757389650294364961358969489415456125272784951069675205302402224437658270108457\
624417393479102496716649123211005140464553515208783414502296869361177046917438\
123560906731227182433480133328076606146876435982160010952374762280288014252006\
923970051613164401312550501551615623610923298532861800882827374873979181325616\
0170665300347764995746767594661339031739165573120000 #^48 #2^2 + 
                    1656827345437638621112955036177704208783644346843921999693\
051554767166090071647899498878688020347698454218993533223357708761025531930744\
827851260041597143721540948508607520771912213626955814561725612378589627339698\
928391263160548137483781284915841901792537176022837749156117512898978863523509\
142833577214005971909098840214003824689294406954190286866730907873931710407234\
3005632573698295174981361879700327199268642226176000 #^49 #2^2 - 
                    7450313049899177641782547075454736152108878258205360794322\
129221344306553050971676190004861869010187231022646715393209800866928820807479\
054854886380145176749641580363580947566710184538677794347686003255445320214575\
606603032759974537008932259180027955682103382135525597691908714863870073899578\
440818349597179333111877865515802993637014060141827443104185796844910388363362\
04091658890445912115129474069295459544313282400 #2^4 - 
                    1171864264225089062222921133417512770615364521833102208889\
320475811266394135475235978560147045576940811630959534211983788354491663803642\
015867474593574228251609183368613652570739459607836206736150455067990688973121\
257710758717552482403545407024001659602382676635910809966777027542509799497611\
516495681055153705521353383966427513890903591082711419015123746223060115095529\
8678711525854454377326637374497875542570324828480 # #2^4 + 
                    8800943020932889106978218883477502267181861213544314570898\
531792220078404020614006610030325353758957390085424716979298207333457145016660\
443663093677365535413093118056232615397467416289717084060151962168161179371889\
921634398464616361882116741835112511398638049261497071283957543640633678094213\
793327213323898116418939730321773741882566209438743808139689582141351768449383\
3984157302991706209785786459990910496156576058560 #^2 #2^4 + 
                    1734231411453011406270548110743743340124066359268697747014\
050424792314372573189582488508452164992115057611475536989613339813752307644209\
870004120495756513583649844596563955429742820875328916240121987903983509839995\
861641456569648429508328374485347993015287588881495716857718320330070707613186\
996051436012669259005931005576138388795823374355260262532181139428344827764785\
304097075139740365363685982745186822296091003002880 #^3 #2^4 - 
                    2362321944037610559197362160921106142040250763458647807743\
357967201317495877342904822239513957453134900271042114894332225605640329473182\
375970055566386009689426907702451677808199651942414219844877269841048240096252\
296601299256679737796057338176491675761325664687464759233634144614810534042744\
028064490364442839162995793086398661304116498917126884977045682019105237222882\
418285441720136578742283684298022250290473146707200 #^4 #2^4 - 
                    9511202197042378200080859395583969785990852948633048242766\
038039263409284440603827059821165554120953718577561084952115754513332338980668\
393559548584106221041213000581585340407523365286289207951827089365928751379596\
066406759244094658917147233884821084593031516895263471781212543311156109349199\
153467497120603359905385442049810943536469388092669677615490157306336046693950\
4154742617257428907803931742451516062488201427456000 #^5 #2^4 + 
                    1279494066002026330613546848923415477379434185442101637050\
060863385820226420733330097666227042980046803572699678311505214505809491426143\
878354288474236120695211818488118922561603780559534243678577111789881158254197\
135508829844065901157925979140384774564315871072614185866420657551934587425587\
818689975512673304727865650457724991864889012770926761994188173201300987814928\
4540698039513611177868086257605805831933206678906880 #^6 #2^4 + 
                    2624942543577359741020368390413763349635300245261163228600\
092378717990449266945862062585496539566526200764947171333748375250917330385475\
500567787742618628564239110973842435910452910008247255905687145982188128481113\
387393695495929915011022795199309829028970824842753674971930638240410713107426\
614627535221924003578576043931722637319470887014950727489912604106679504042674\
895126315639772035907398560209946761851824825671045120 #^7 #2^4 - 
                    3546573716592186429804019485966787359250713990724595057490\
500196096210314650852262100823768994069790029131103760610840755062971708033693\
764204062467352923785075421976386406412244663073116016638573371683108845745264\
112051809085777309290974376593474082568343506434327509308489040778056448532081\
106315382027223624919930884928402851025738071052762215158139732970466043164464\
67647354783410494472563094467634866679999698989342720 #^8 #2^4 - 
                    3727957879774611683334047619967079626946280327318534542746\
028978127215863774786586138476403587724746549698601205562160781518546515298321\
119097395435719593319777732926275433758837607670310436676928686243559213996284\
623313564635697192969595355620012430737904651527123141847211970462988350627167\
378680691342640611658465102194726542077714985321799838454385810292976770785857\
6326941292371150216828589319018154524393058228797276160 #^9 #2^4 + 
                    4096818306692283466564926788028732882441862639756283471767\
613621965809781618885994263029083849819432961666441285629679205002580099156588\
108171715915945119912427365614548586803989581538745649527303782148161603207302\
779674441514766593015886398613060137977219415612538045765854209462307085634993\
349878241115316213490863250306081852433134254506284020939472488697060206673454\
957819894863986351823852522712159984453724511729254400 #^10 #2^4 + 
                    
                    3117706629669376311237194264595991115687540813304801992845\
786536022925362913421392027518549726273949100332403785881858444695729781551697\
995881463171207191885615820657587380244479709528652759242263507394600210316550\
916496972614979515488831399890021481933293522652333243860565206983322141580975\
060277042523072016201911712793271553744764680002140621539551111135359698707757\
85937202406629649089916650780717229518995925879151329280 #^11 #2^4 - 
                    3467664158671676162538756922396629711756497456023510721816\
201495750074007382332190737946775307901728231489037190937467130318885872085173\
970239503686553756263659256354423678470903204100652513609466534227789087661865\
447459040955710392717407599178245655460947785892973100976991065142344255695214\
079069080900525228930287324149066697040500041642555933954247588400649460832105\
229301372091244608135517127315666729501445121256325120 #^12 #2^4 - 
                    1660638388141242081260523208393338700333794213664372929909\
542798633328851217789029114116342414095924066420020801123850569264947390616680\
205358585456373687396181124055733740281305335406281599312627470745451093955188\
739690328879693774411107861148873864894362597311472607842835458777532652864625\
117832802885022903195525618018176835324713578279729487945815010301833000153791\
598676814208422288991297017689431515484441115246398013440 #^13 #2^4 - 
                    1704523379985293606862550976811179244008623599457167863984\
146284297522736196874773004936157278348401268724658942642350723250995965525910\
456661368364166656934035599115535860952074110143530937526362321453704690498442\
524808287038677303946061345156605799554431361463743631082964596393610933391558\
478118085869863521927427783480089518857638261137966090235001445858374812775767\
75170340926224319553896246942487851032729528861324738560 #^14 #2^4 + 
                    5854297183266625703464757019063275620218024797747277201531\
984650909755151548079631885265722465144717784704823440353210036151458476770564\
095309184722791440834135537283622111881701259699910957517698361314668578068159\
485211000286914217616856150577284161572844673365111467630202797244338989435197\
190540195143734640228624720255543608725112572173690357529854285540263216169141\
738013143510921844448912420544217708926591760178489589760 #^15 #2^4 + 
                    1060678476826174210013361965469229688715367929369779357409\
146258605518187707033520861074894949355508902879920541275927442983117557652285\
676646242757305582214542140387174734100484379967219638049715207429609921103020\
889607241758045329354560006303077225572326037489192178420869628142388277538216\
177962697533004885462773937908763224067656878770529214646214187186694611415315\
193791999677443232266936182743675022309462167457806417920 #^16 #2^4 - 
                    1389567469204915078478215054095571801784775616797614930107\
678837129767054808303308417970712527618807543621346737388902115940101861847159\
034123913706810409849078813770035637292306660110700236830063099111006941547868\
544453230294668259301269487639084336947262295237824536599702891734101455163079\
244992562708561700190871551478291883188607559742128858133862274260957744657993\
1624235999431151135580463998902965288022890030265154928640 #^17 #2^4 - 
                    2460166521233080752276318095357115031108391735266840734290\
520218754778396474077456174903241973053573033286466373690627970858807215533025\
460124133514986359386375310031714866606453162732504636351276319695640114922310\
766336707279324799974614027697257743378675052187459538751534861565600851848558\
440997172459755257945471316766760216056686236572008091052482837158035931116943\
393618495306211719212977052677639962692100309908245708800 #^18 #2^4 + 
                    2231670502174680935287980250049200920375412478600543003053\
062463819644018937353838167567044500399000718508400912437193711804540219844273\
602191912689951608575206942597763564871115729663765770535313179212227670385144\
677144980574441068336128209782509770896251866806378576390393712058110161227974\
871739010704342627390452871435385559355018252417399049179213082422435402685123\
6843286474790833525408483020092471312222952698599366983680 #^19 #2^4 + 
                    2466378008632139729306495366089305449859712174261663271024\
217611302597702595269125836117018570290962121511026774839273444689133368565799\
306717344785105766390861694005246748743774274057077203393320873539783766973538\
197551308527029572281236978771130666303575836494312531913388304233704413222176\
296125843139204197580464661221932067042862190215774097420443184912401917753967\
89105367139205837177213135211169561067406385767660912640 #^20 #2^4 - 
                    2414937395919171343017202949737644288309982293349389735345\
734760708436152881271667646201057832705203163619000092908832242363066504329501\
072405534671079277845348754732584799848143907763482353723538150467434215486144\
135793938678577459275580215286958812799882576614330279352453262586740116916102\
553914792886941717048038406095253081889808789878037842497918575558981811215540\
5226089776974169973366192486282888064149628149669004574720 #^21 #2^4 + 
                    1250635900197675912191194077673591228361402988017364824576\
046845918734500802273911636507814679500052286313106072937455069740550011695928\
155846697008556515222283692407519741276413411597729161660327032940138774647258\
343961774898306891960094498384133504418234566454641120725030297089630706964714\
883957578449498209675446560117242872791290020997561693520336786781770794391884\
4905758726806010432328258013118969116639282056131887759360 #^22 #2^4 + 
                    1742356770658584159387221245724015954887460697007605126605\
675583783071789918346555701742894193930686845113385529909482234028950239397526\
188491835352171421219460027824701184821138748175130406874202714155244819396735\
981765487364715680694832809060053624689336689722671878872561611539378252259694\
151305176200454016648015002874399332541355661679462234410064173482687060351218\
7333022494228270591831350744470225918638593178064818012160 #^23 #2^4 - 
                    
                    3523285536598507960441956830063153777970406668743552118583\
343786224915570667053089154297701162945827444289481301792012551353959548810007\
332306248428245732003036603096081685829859789246026594366689011420876723002507\
885015947132644880750120314895621130372379293889184398211982042600651508838603\
005877422770001440090523581443984830345190377996012529568077831597196780977462\
3236002984984672570665779009100782920234992543927013212160 #^24 #2^4 - 
                    8467465272339332273376191554902911766844691044444427698649\
025808894645304927809787814036264136322656588433030628656424021731027237533208\
431171579927583218852437593246552605535090843666048710860939489530477944817401\
272334649641301738294999945557665202620143987383148129285176822393220860036261\
050447496957826709869783276390504872195981607200660374333310127268108887246660\
187456864720480095912756626808937291784903832019130122240 #^25 #2^4 + 
                    5475183080350987258164556133975412732007859570433272819768\
601992019639806680331244785026350368113525944735857052778463888625586940449874\
482672709627159243887123032175450122022162901152134841814706295984139044114171\
747567031573165507256233340906419600328249081914080445558038437323386376998212\
639546366270171709562831833605443962196444939020568037739944328411038963177288\
5849696947832868476702942341090864914795659225365426995200 #^26 #2^4 + 
                    3442547313651953646305122942515024163627337651716998163204\
831609592637969100580165478869027028255122465549933346135044120437514525853915\
312067464453860134750751979459169798556587870929417900787936742101505852655832\
677925667907986864043613473166593334424626090105334394256399839367333876297237\
409793610637850351808228797689333010024503123132409618114746861988345449471243\
137909067991350709862021370449348462235272824145093591040 #^27 #2^4 - 
                    5799335607408051025692564634177067972111290787756594080095\
034553291642382028004483098375344178142874283445285717370536531854967006851928\
347942425342728223132224253965555013945118933599186208906926228051353515534154\
824682090360790017596361603553744298993093357758557080035598196874431389369089\
502735272312257833049995927525238994583371951570809648378982525198607791378559\
9151134860137828905118405457172574669510381442456344330240 #^28 #2^4 - 
                    2160895379407369596220275058435153049136758106082754451243\
697328632777180288776667402759443005829918496965465403495690600692941600167508\
799265095550337525445287022018689840877078192377224871850726316831036749015049\
477176435879861533211412164168706377720133243883604079232305373090844595399421\
521198548904036134245775374869884203535358286280044039184420975660668744209079\
484197652218584590615669693799713563025770877640853422080 #^29 #2^4 + 
                    4547911517676001070659551083456524495989387924564053280474\
049257577087158264800087685445815833012169381106778355643475677733401594146404\
553162123909954640831904329086054420478987995165675395938208296328148622484813\
162096390278522656630684003820183569845528357384797970782207811821332568588566\
016369396317527716150036263620670184524936574130628224118715785685377237141047\
0601746883173418603732553263314076041299672910121580625920 #^30 #2^4 + 
                    1678707344140082235920918800786530351969513526281504508027\
608905278787249833466548589031769173035256202046891345174628668291548527085038\
930591413071348309866146083072533497655805249726923065852525795553388065409102\
817005643425356287740970045384993327668326619516835298337365935195418689846970\
294837509599833600446921584320925488288023052390024100607720061991225016474647\
589703485837751717095054994986097657738983185629860331520 #^31 #2^4 - 
                    2776398188473084645186374672574512401680194560508750122740\
442478868895709705507490520711470449028908328777830299644447054127119848736858\
551349858956046558483596755123776029691045281409143577569683838861829077249916\
496484941222460004862005113222646978224047406106685733083496655077591620259490\
982108720710357688073036926434137208042816999637040159196474288187058468940367\
7324602137886842573259092855528754553486402457796786257920 #^32 #2^4 - 
                    9151212124823771418674621943466869862701454125394568161193\
590865755449640882091283749601073638572654862800242613626647483864940261406085\
243015298706941901058408127641610214484841917619458896891628482646256216200457\
514785491939301252974087416470499211005120997935213800956693272316084533973807\
014644628700823129893493574461887336717346070775255972690391760241072825395545\
16555208128389688186055401994101560953073658127722741760 #^33 #2^4 + 
                    1369640937386679282479132011262734786600281335300011461884\
079928003355767577403011356703031541789629578317311515024038290960892240875132\
029426740165557311429488744922004195964845456599164673869265327641834980246241\
031233906347835372129728692995448776321594284212823164493126732753600051522153\
624078175713871002578988806711817131049299705590124852776510144105551798690838\
2609531069144541360003084739840342534814477553661053501440 #^34 #2^4 + 
                    3680700918915067855019080235090760857086648796567821119145\
100164840170616381701667635233480522350966525123098746803027572804812402561219\
596639260856668451599767610336295614203241738495643612313545556657006266518735\
917065244146518440568188622921879144554497936196920887743026475386805560107436\
457223518533274527857802181521878515022354111306942948436188031365400850900963\
93385742254055124353350860874150838213314668097070694400 #^35 #2^4 - 
                    5547134205340392528533135545781439076489770824981170807184\
116811979709417110954723158919558250312640712087110857005036208065471188829868\
683841874476757402630055851652491246463579376279942427231897659405596573005287\
217321017208716982318784261230703438089089839162707507404667795481977783346927\
339216081769478613394210882320347162100370136775541960586677546107370153688666\
426802186889318133400310362835112636672579367147478712320 #^36 #2^4 - 
                    
                    1761495201591019686355225059076032220883446678065330743105\
496233422672535424460114121913314496891199318957854259604830585337368885601866\
157023203582997578288182581993434363033070352150751149206899891441909334651625\
338881393614350756293266286118529118325186236088852904233730918057583657290362\
596223214720944440392779821430742332990215216179808006677366955995342493179536\
59445368600893952047331660176779596566698193586728468480 #^37 #2^4 + 
                    1808033156568664893352883962290936102385575512043901612998\
963514829566624606515654529461437592468907536628159177295504743466385064162036\
925055203092957706400528322207577631169697070596253964041502094061446938390130\
924182445717762226260358803622900941367910889610175374026795298498098178305406\
328671548477632337247959477524575160537056295121896659259033818795284743755333\
029998052165892865147484383776013024199410718229921792000 #^38 #2^4 + 
                    9730957112514325724307124905974784904277045641687280632569\
203869697315167912421734951587934105185435435935349918543190759275022159508843\
883025175892538560099102231663829190848154471576028464115034292702604908903440\
677403325430086325747360929500322977714478325032354654878920457714956734547572\
901611023588815494642208001787810710877961888833638191284715553568546953380344\
1970689375902162413813980445982177445568031008122470400 #^39 #2^4 - 
                    4496240163032759120499504548345680016466344880078004582784\
703393901206142348478265148681934133281725939877193109725393928804403841683998\
633076211581512862821410331245796074465622560043688895608822314745195693155785\
253948626065303031956062611848812687874562011764703244875960667850644264202358\
215804050709867674377274695131381534311526386214835157887656251290092253327555\
24474432816442693187735214760145503280182377746268160000 #^40 #2^4 - 
                    3771512270323502225022420998112702008546107158659665335974\
086088532592255391266178769696596249339993625312940406138129916293182564749615\
331625274602007748489321129325116827376688938323180229713524047802569581450586\
512213779905156956700334784210407743291995129090519805167972139925265827910951\
808218138510694432742690316640208154322780723380657543596013766426412681619037\
7941764051409401595288010243557892361788826231557324800 #^41 #2^4 + 
                    7855533937197682954735736406899392664317781819321571873855\
709331373918224032600125340876798275433106312996891655721699957125824311244471\
420337254837099055823219382138220533541077290002728341651638374033803109320423\
805743256599914945926565462883888296691543329450676784772199867155251923659198\
486781638115538509205693123606099929200355109230349757777591327563330578908398\
7504531451006311502212512733907096776168279444658585600 #^42 #2^4 + 
                    6072821033746696868459410730138038834109605652193378570495\
135998254757300880514360712687428188565954155605407741198067348806004632010047\
412522708589129594856895509996533735427386826707998939251008411799857022899925\
877381794130578731749572154262336710629439766031393530030372698622262897567694\
893249512758190418462246883086035281416622990963611329333148658845714820692572\
853684267501165282564691286661840184266075829121843200 #^43 #2^4 - 
                    1108604197346258161950086354030334721437987061849775270656\
907507440947298235170543922057677756513659930097633943662429662622899275690122\
046303745674611335791973299634670183091601734261268975381124291720552437712914\
228976478769927591604000473236440022662690773843529640026983757200814020183604\
687980265020868142894890515051871494517004850302201029381494706506276136395733\
5985458139665681319891503239327319575182068145979392000 #^44 #2^4 - 
                    1302403192320601969115375005899168656603019515645147224080\
929808139044484452597308074025197312797840556029507743088440529251666486276827\
204149830990845243143408940848058839565229944322623144026926343700388542297648\
548791943499454580720510712650616732545869099789251968320257348647307373493292\
702687557344332615425649847109006370260002081270845032784068951496427500227582\
752807299938167652373712099326991036015450641976524800 #^45 #2^4 + 
                    8293690296918295662256211326321130255782424704495056616951\
124367052738613196626928241844238691843867351170516815385515225309080175089850\
240708289322721087300873261208689369871228475774178089712398810766606683853604\
195050666374365017201443713405065615056906614340841860631941344317039691541405\
344884543257590551362366155981434855424043899016056320811091416294986979915727\
18601450706395683599539701603767995346378710581248000 #^46 #2^4 + 
                    3277659623586383800332295346562460482597199598172885610167\
835857306607598415277803333535426060475236525992908018260643409950122616503304\
072987574333140071118772389660948186142730140728766586654387659767106771135022\
895368143767114955455295885905658433982201321338385198150557023068419705255362\
493282731392815408383191604269837176422817126537008789303626512898406943941134\
6538392412691105739682457019799496056360967077888000 #^47 #2^4 - 
                    9791330256769693184125601255010728306708063968332361120073\
322844843608278626778294413905756993377761562581204608996538548800766311031676\
086472852783776779263789116146450998879957945814572807771791993166161038687371\
265460895631705972522277042667548724641004824399646048788657867130162386386224\
854001330282827146785239901987394344795476439885291184323226670389228431390980\
3638106871296398328434774514119138327153199808512000 #^48 #2^4 - 
                    2235560368863662970752561140668799045178972710356196489568\
342146695099585115312565097861918076149114503683922649797836535256815967005262\
724852029715518859007426024163391296309468915069694219858286084413794055569431\
799692508268941236729632565798051656929569705146538244195225341783410441246221\
302938394580565635709321004829031138663832833205972560165495713251430736948994\
4013909871186881562750868092287802208679769407488000 #^49 #2^4 - 
                    
                    5443456939671115046790982780018602623533085504860674177998\
765262132935817862259333096253392319277713361302045273049903940085847036060811\
583198700133766062842770971544439769907272657803573274440411118649373414157148\
000169261373464965962276186206411253570628858634527467370238476375106876519115\
468176126784140446819503811579523578293750531931948693332860183589863746588932\
031859861362916423403738598267291759423380800 #2^6 - 
                    3110546822669208598166275874296344356304620288491813815999\
294435504534753064148190340716224182444407635029740156028516537191912592034749\
476113542933580607338726269453965582804155804459184728251663496371070522375513\
142953863641979980549872106403663573468930776362587124211564843642918215153780\
267529215305223112468287892331156330453571732532542110475920104908493569479389\
732491349350237956230707770438452433956217600 #^2 #2^6 + 
                    3110546822669208598166275874296344356304620288491813815999\
294435504534753064148190340716224182444407635029740156028516537191912592034749\
476113542933580607338726269453965582804155804459184728251663496371070522375513\
142953863641979980549872106403663573468930776362587124211564843642918215153780\
267529215305223112468287892331156330453571732532542110475920104908493569479389\
732491349350237956230707770438452433956217600 #2^8& }, {45, 8}]], 
                   InterpretationBox[
                    TemplateBox[{"Root",RowBox[{
                    TemplateBox[{"\"1.76\"", 
                    DynamicBox[
                    FEPrivate`FrontEndResource[
                    "FEExpressions", "NumericalApproximationElider"]]}, 
                    "RowDefault"], "-", 
                    RowBox[{
                    TemplateBox[{"\"2.11\"", 
                    DynamicBox[
                    FEPrivate`FrontEndResource[
                    "FEExpressions", "NumericalApproximationElider"]]}, 
                    "RowDefault"], " ", "\[ImaginaryI]"}]}],TagBox[
                    RowBox[{"Root", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"141915005595265", "+", 
                    RowBox[{"1602744041000690", " ", "#1"}], "-", 
                    RowBox[{"21026479615718096", " ", 
                    SuperscriptBox["#1", "2"]}], "-", 
                    RowBox[{"206422740927658864", " ", 
                    SuperscriptBox["#1", "3"]}], "+", 
                    RowBox[{"952385487618214736", " ", 
                    SuperscriptBox["#1", "4"]}], "+", 
                    RowBox[{"9898731005129035360", " ", 
                    SuperscriptBox["#1", "5"]}], "-", 
                    RowBox[{"27585326483089797952", " ", 
                    SuperscriptBox["#1", "6"]}], "-", 
                    RowBox[{"183912745343814561280", " ", 
                    SuperscriptBox["#1", "7"]}], "+", 
                    RowBox[{"344427706022721012736", " ", 
                    SuperscriptBox["#1", "8"]}], "+", 
                    RowBox[{"1846052005691964998144", " ", 
                    SuperscriptBox["#1", "9"]}], "-", 
                    RowBox[{"2071683635294751441920", " ", 
                    SuperscriptBox["#1", "10"]}], "-", 
                    RowBox[{"11047772372340226863104", " ", 
                    SuperscriptBox["#1", "11"]}], "+", 
                    RowBox[{"6111411510209350320128", " ", 
                    SuperscriptBox["#1", "12"]}], "+", 
                    RowBox[{"\[LeftSkeleton]", "27", "\[RightSkeleton]"}], 
                    "+", 
                    RowBox[{"3270651140485492506624", " ", 
                    SuperscriptBox["#1", "31"]}], "+", 
                    RowBox[{"39892244130355612745728", " ", 
                    SuperscriptBox["#1", "32"]}], "-", 
                    RowBox[{"869516270534242861056", " ", 
                    SuperscriptBox["#1", "33"]}], "-", 
                    RowBox[{"13871969261750226780160", " ", 
                    SuperscriptBox["#1", "34"]}], "-", 
                    RowBox[{"137584655427153428480", " ", 
                    SuperscriptBox["#1", "35"]}], "+", 
                    RowBox[{"3712678934157270712320", " ", 
                    SuperscriptBox["#1", "36"]}], "+", 
                    RowBox[{"228520481174711173120", " ", 
                    SuperscriptBox["#1", "37"]}], "-", 
                    RowBox[{"663760396375262494720", " ", 
                    SuperscriptBox["#1", "38"]}], "-", 
                    RowBox[{"33991580643334553600", " ", 
                    SuperscriptBox["#1", "39"]}], "+", 
                    RowBox[{"100752093246253957120", " ", 
                    SuperscriptBox["#1", "40"]}], "+", 
                    RowBox[{"11396042197712240640", " ", 
                    SuperscriptBox["#1", "41"]}], "-", 
                    RowBox[{"7082284247993548800", " ", 
                    SuperscriptBox["#1", "42"]}], "+", 
                    RowBox[{"961852771978444800", " ", 
                    SuperscriptBox["#1", "44"]}], "+", 
                    RowBox[{"213745060439654400", " ", 
                    SuperscriptBox["#1", "45"]}]}], "&"}], ",", 
                    RowBox[{
                    RowBox[{"\[LeftSkeleton]", "1", "\[RightSkeleton]"}], 
                    "&"}], ",", 
                    RowBox[{
                    RowBox[{"\[LeftSkeleton]", "1", "\[RightSkeleton]"}], 
                    "&"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"45", ",", "8", ",", "1"}], "}"}]}], "]"}], 
                    Short[#, 7]& ],Complex[
                    1.7607732207742581`, -2.110158661414275]},
                    "NumericalApproximation"],
                    Root[{
                    141915005595265 + 1602744041000690 # - 
                    21026479615718096 #^2 - 206422740927658864 #^3 + 
                    952385487618214736 #^4 + 9898731005129035360 #^5 - 
                    27585326483089797952 #^6 - 183912745343814561280 #^7 + 
                    344427706022721012736 #^8 + 1846052005691964998144 #^9 - 
                    2071683635294751441920 #^10 - 
                    11047772372340226863104 #^11 + 
                    6111411510209350320128 #^12 + 
                    40366740567129769017344 #^13 - 
                    7706811978227604193280 #^14 - 
                    90258488949202493865984 #^15 + 
                    3541711963082557030400 #^16 + 
                    121249408787372767182848 #^17 - 
                    22447678429289496444928 #^18 - 
                    89887854953335201202176 #^19 + 
                    106373365068931581083648 #^20 + 
                    20017867823268914790400 #^21 - 
                    226697165026946495545344 #^22 + 
                    26573915504613290672128 #^23 + 
                    293263535388582809174016 #^24 - 
                    30612114151474466914304 #^25 - 
                    262981868523421171712000 #^26 + 
                    16807982012665193037824 #^27 + 
                    175742299888371319701504 #^28 - 
                    7349864712868343054336 #^29 - 
                    92607953963663715467264 #^30 + 
                    3270651140485492506624 #^31 + 
                    39892244130355612745728 #^32 - 869516270534242861056 #^33 - 
                    13871969261750226780160 #^34 - 137584655427153428480 #^35 + 
                    3712678934157270712320 #^36 + 228520481174711173120 #^37 - 
                    663760396375262494720 #^38 - 33991580643334553600 #^39 + 
                    100752093246253957120 #^40 + 11396042197712240640 #^41 - 
                    7082284247993548800 #^42 + 961852771978444800 #^44 + 
                    213745060439654400 #^45& , \
-70200316271507168397912526370140457916036103806045166974767911468991623992259\
303317425914536086227228818264393292358730270199995473975184965846679256103733\
574485402032360453961494198824241067649963501192172182571377104102659710931477\
581840743413949560249094047960678660134816055939745822577947736867189402551129\
308415502483229366695545754973296837234394091272033109242928320708274729957495\
4746812331186830777661766505 - 
                    1107494235866334714617362865936722194223786092156026154859\
040187453768861818871579481706065771883354740184027162799515762612691597958748\
717568435588330022963449939744604705558287926994636861354538174648657685319799\
318354828829089452100720910187586410672751175449763559948764818714214554901635\
536182776147075091170082523925126383608323439946664132850529136070437415206724\
4473178013912957254025784180168914580147488146050 # + 
                    8161892701345983118896913182906365640877423994940570024668\
202933711983610844806294451471059349656351171753051198615057782997785846985067\
650765770137889498053099663796178101938684196248100771750834546768313373572664\
271604122103366763262734294507072035860248576650294358190570143793042577378276\
660008431459707332230823677263608434405005926336429838085721911290173423871484\
4566845559094093798126064292142416027089092229548 #^2 + 
                    1637613586138376157408239098939167209144404235110057115814\
496186881370388139721017302674413823947150489894457553796529884563485003013067\
045554271483811847260710591266953965597688968693973658986935599152734690403579\
754565471042736498582411402161631142733961026288763614162550563591541182303279\
410713137402262445773689972572018578397178782121046763420107264147101546290760\
167707633640074640737156322158644705274662372707928 #^3 - 
                    2078835843287125803800280293860407523924968258687456724717\
859194122272133029822634112862494096703735202813945811068715178870311057666143\
412969119041976482932077249487077165397174718296059691011665290127986313506591\
563305067436699077066600968325333446697539559388900045428015586502241991444005\
095758052587544644490519882931022329665485544563309261305638272166807976161466\
000301289173685460142464077209321633986061102358304 #^4 - 
                    8967977845793281319981690689126192404765175188323484857153\
871849719964285185181505366126023602669306496921379052629447013986690511884541\
217777879709272272684786999855466443341039100929708099015160633799631978543743\
088373621920901068679284718526744534258494063934757739841965623074409731504829\
035309871485463827003465290201247366304933708011319622980776800372327665618199\
9673895370967396746818344515812052711126173991977472 #^5 + 
                    5016990045060500293416800056629012344843845336721694240980\
844687257921550072504111010808341382813030463572644796482661359077896191929064\
643676229509963673055369108196658165192539606411486640778634150032987904058571\
282638594173241748979728533575468559226426560551691685488154197330675442376746\
155320893144732042085981592496704624909392364922520681869315352775334238381654\
100921993803547444711741733726888322757828170026304 #^6 + 
                    2476544937975174960510621182113291780707132885913092173851\
306281219809237300116283469307272246192040665896674398522432529281143675899836\
181871640661827032735837733785951173494977514665604411731342287902569926334946\
429892431154242401281058734575862712886410371378577881249053627684755146193220\
747998729257311925460811655268169878106359962217064827728045954529191635591248\
878990360028979667260028394918187478456183817383683584 #^7 - 
                    1584188293222855423736970894284398411633827029539431791982\
109942610329611792351062284505163780485609869104539996933537261323153782552391\
508355959857909589891707977277284367355231497773326219493697273780894499617146\
980305207875878821621313275246695865510032424934767697834366801103410738962887\
100096075184008162247136979742261631392020842787072387466521598493172271322792\
46375671725450028608610150471239215995052899772563200 #^8 - 
                    3535077510540415798394816608780792439039270524552470978966\
644757531227177099752672606866762983952327054627311329190814747481744544223651\
733215726440421015856453176406638040953926937752060594722534470583637173198157\
172181079622299395116073618144791998546425387286343152260886830415218546195876\
355855290922849700505636945878510391472204854651713596110798022616565888323683\
7325572364296143119030433349936901709269907363124397568 #^9 + 
                    1821032414045522701476339308297829044674195545243502152151\
079117651374875517817395678471236750277938348617409242377531898725757560834474\
570967020311382218532543018383689839411737188409039237842935882213160117015106\
020144489247102025537181958909870746285537029644925827829199758350240730636763\
959212613224966010592888027729273981498478900053488347610207693814078456374344\
541619131324511436650214153226238769820445892490437632 #^10 + 
                    2971867654883783184470410626226100980076786194360105557444\
990218765225815127077938647300246222732441600935844804645352084145769279810364\
608025850067439827137748370437794401745558939450846624900083194573887542471598\
295821871151756311024183222213532039629524401811931092760754407401389295146755\
192912322123207703692849804814898277910535400083371877176035535904975375440495\
85107134633114837177473850864754823022508298681124714496 #^11 + 
                    1047261287785172827807703452991682472244987892037459105655\
450918580965125908815220254720230143674827243940305591435218603330148844568974\
838308043271116666797057778477224816498882688816502296339151297077831200629653\
967229494447429595530054993665520182741437203191853673688566994429998369492772\
308639453839220807317456049472007951937645941986091332423765792778329243924660\
1983171579877152711451739621298722842865144316149698560 #^12 - 
                    1590095238072539654957835940334890132141787529639135618217\
581287285938909541278229487743921276673269821411267486740658546746490387266323\
665696907603729850512584680872909877872479278630592916136220302498454309194220\
683779431384630067644396310918718248104354911610460170954590232815950340673142\
900237161598610378128540845591176183073190139781381924483701874890335399314277\
595720323803247702880508954265221117232589575242922590208 #^13 - 
                    2213345344968006177062625142375223653836824098256286734325\
504417848041373265288773277779089819491402940517322723512976835846775312323644\
674685353227867758259697670594925798204164395179288088351440278430712129508939\
674551311198174740306323818617159102569618273206022682288269281047021748076864\
662029304164579215213525963130049514190591424772759878213708083100521611753615\
52668405001145322152869465432871942258261609129960570880 #^14 + 
                    5628125612294033455599282202855532954816410661553050145521\
503722195631810248609832138388645890975832494556994181389212361645552925259314\
748768756041820513932789243168500210872166594448896085305695675343235362296509\
256415575141841083931143377223305147116491484776361127109430784476936514994627\
170963429467334344100442404003207600893329068550100751717552933330584477402977\
540372522906534124994112429316828891791537659016313962496 #^15 + 
                    1183251538935159554675501642705781919520899625973902702412\
817317611484016194562311432678236166395352019103551806735187872815262670545929\
829993668741188486343316461468087045837378272537644547954952916241184340597945\
118537201416193428797255399650708006725035404296422317875839806601227199163055\
764835724767864238414563434063926920548233650291831497338186357463552396225165\
168621558737812036623363750227065252162359308179363397632 #^16 - 
                    1341371074051876113047390259953684641741343963582367804931\
383742586734682794504410592808076420761807423526778577291253078440668405331925\
837152569911005538733682881971713193148472524848724799127736085239846425597158\
776640760631884200393743959291930397927704054170006176214281711807719319286791\
647161124278289679462409984228728566399957478585850371834171964366257608641210\
2288748312865574074468757080017947623593444662367539429376 #^17 - 
                    2688811270587464635319704845046921813481312497850911005163\
327985130908547280978320838572484418785824617432425550693711283757010467675214\
145549709353009937396041930714824646812252007614908968608716092861537180456093\
490000395763963800120309280607197633380743187092192928356555759021320361231441\
296772688933960126591132995820695003779667878099784516903375708021358986913597\
810855340278816139103667173981136444244124274035664093184 #^18 + 
                    2165829639575826398723920772972159713600128350544190422139\
365105782207260701532704998187051129266716312198718285829064886212407951955310\
894956407506216025813293760644090692403296929977395766489904290271433788190951\
971344120263481325295552938546639664112159790666759809640900637865643098794520\
243063787928056876817282536531483322616472811749099137359863761596725590511163\
7481400945401605946855728229435309909295396297307479605248 #^19 + 
                    6616378821629947816034435013820960721012763830050706206221\
259745883319997078621280771113431216929405302322621393652650649461902496925788\
603349951815686770828731658147389412492246968191616360745419132324195447780266\
592174044809949946937313041505231429803691640300162248397211416274553467953629\
558004564708589023409741329462861503851340278496870055230528103955227534564210\
33655795559296489786567376256207752305722800062653792256 #^20 - 
                    2366113865247323567098306028956019413100021118053666005016\
019964521058414736033392392792941848328647496959919627920499287641194269196334\
760464351925209595509805383497354427560561730541896936910271466449734279321498\
294927268966197555708869646534109370845192354137375381055605393357620510684686\
225564681212380677963129914217070694973687520718842654937185394723621588315681\
5542974867680826655934097021289653183428001679971373285376 #^21 + 
                    1173279185674675498033835347941584629275390496032317100104\
485181891439812988377660454932629257238605789262702377097504622203792217145895\
292651787201947757382278381540568456556957272159419721771616701094932292341881\
101395097349404930118572312376207672027333586678900138667882228912411533006591\
711094975377300224062238565828542364679921030850350175006214741490496500364971\
9894782228474823521561804108032987206777128030659867049984 #^22 + 
                    1745547619311404141788686767894543489115132508276059780544\
835160038520771662987179749014472735211094459297361102553752484407384703410896\
988420401257537131648246330268207250928529253302519943115691592587169588323481\
531870259952256671679832999372590761972910010037160121591953896607048081182991\
697449736220747340494838937042470230571982573460973978643237584451289247259020\
8707982405650327416051199093376120516564525812484224843776 #^23 - 
                    3397924297846484791782347797191505650622843294074868124507\
541302449164343389715295544996048108738713269346383794829225086633634203447060\
329837186527535297962299336108364329590874408410083507130518206686286687559439\
740873973413781218762610301555403541464807375077897190351926547503088055208513\
151068319578242080958330193314023713370071002079220985611695454231454952874904\
1149331265325106979484325466870805194700509864264653078528 #^24 - 
                    9015208851415440182301923761031655951003046824323274369483\
858159867791481688094599888199997143229083911132564120442351555451578469260840\
110677890340124944729658281419001497031908999820068822415998248177168980591808\
871629826637286740821002996457131597401507429862600972845209915784594755938256\
278417316982603429708932484677639133378210916768748016740198792479748855781021\
116452514089154498031005142165255729119902977862358007808 #^25 + 
                    5317764005447858637183508544068833579221250330475455480562\
509866502922668039490724815127487738411908027328818879686620126519832045784162\
484393133939219320392158993337157323657028361377543816169946561668803086905795\
609147123003663601416510051211948543845440246558480587509089066344962607290840\
767635414733717460076750085934416967414349445167358136597968539674620887024076\
1302204278738247278212609210859408260951090861173343518720 #^26 + 
                    4178891894976772134117927825611216570582791015233972673260\
527090548622200450526620886659713839805270505949201965206853042654417221728984\
012872066360183289233070305997490076033139175395901416155514365240972752367650\
873316841374192489226166188934401551620144830267296640911621418670392930189040\
928593569763663304184704236853262669336791500159105273194101103483943216435561\
311323892238453626156991605242583117451924231570682019840 #^27 - 
                    5649353696032195878158380391472851541337751424849555439354\
617538620162246583073076488629433095539252283093668001577324710378691028802259\
450840459560690174943158922430396906154876185741263523381036484350158656404208\
024637052270196358200420407902427080272458249725190928783121133080340241075551\
274166784015947780273286126970055905897139302491311426747744590033478068503971\
8801613692509130345358901510558831478530278711113803628544 #^28 - 
                    2770606585559965532778752510613217099909608235550679642254\
018997656388742499746199303010690945295422228639472343139739096919659831692844\
489917535413862826423576049717469626915174706243213831990525004681973137836995\
869282624105794531290026566180781551624954601595251885314141245096816744325674\
490007647547747152957286806763173863640393258625296993079222171100229739612705\
804195566285349578456460257550358938728660910889005744128 #^29 + 
                    4437862404204595673978865244941183201753662916389709481153\
833778821271210142318403767715089533134322476577509343696589660430580710408695\
153757018251254664162482864712507571734477753403561903714553975792092647100870\
253912484119870508899872722253421449345228800111028711535724077769533798399778\
633998393732998283708547468078502530045837220823336942104731869970422057057345\
0781448890085121319532041366013304671430203348107892097024 #^30 + 
                    2055954784080231161439957623963255327340839466745432648700\
803781733617168057644708679546937555838385841425866631784434188174358813416077\
739982191169225018759728317486336318240120174937431741079054716106225213228992\
811526424455422131261025225166388121402671620306847867260811856404109794807187\
445707439050665772585109934249210470647206495587827059447174234271305663589317\
812589877746541787005963671865691876737913451823759360000 #^31 - 
                    2712621828450100516477539737741208427456314681757885697176\
246095842067749927400710228937227200127097712315822466640238412777609145414541\
864501067216127859677831948484864755249960635594257158974485199057020248569406\
401853890148708324628677924460932598609631343211303448334016407686247804348484\
458024953166671459660029206182971508524357786936009945181605215308634341472631\
7248914906919514634493528522667575100899853660551288717312 #^32 - 
                    1104714444942948966127406337578189491979760015087506356430\
825520323145955113540445908470376554402549070759770720977201253802469923643794\
149135868912172401586843216520079559646307458246467119739755178287536173667280\
560993017951246122043802264920539518659303481856285168434630446281615781335962\
112807535271185762382222478803346800027338573855030900389487139072361889109523\
395552537195804713920049133006810185214224471964981919744 #^33 + 
                    1339569615525870320392488433437487229358082728473491333767\
773353309395763913004162610869101791379353036018834483885771100883298570456066\
815241529381614374115112153183055089772177820861649346069180646791899466785585\
483074219161232318294796012951256075548865816493155623204714396582063407428138\
578044156736571030054817934621703174998423076585399362423560753538049906115651\
7309681078701149139538498681457552262588751387177280077824 #^34 + 
                    4461081377037414715980066263784861049741843237959561538195\
696881077389377514453085407751083687354953525411349865458985555485035664831985\
257443272728105086109102508048938766304765224419184271020509410409829103567252\
444753520674815784654199853808314338805495582733655100976401577187438489932920\
001388016745372602883471879856031577094986837841269438352092602269859474316451\
41795962675266912011017256580629649245498928394401742848 #^35 - 
                    5429684566339924334660549129047593643503141136829472761742\
051792613959332947854731649346206018570195999463495028825186313944194664172394\
250095185814009302595663832747432160486460556905609669364810397024702257187889\
491765026681185587671292932926457408747007439996141652641036884824469351591712\
558125211185526740447122313097355176071044769327751943826502492384011899306890\
731645423369817103236844074926405552208772132944977330176 #^36 - 
                    2006413844944542675199993588316022965992007154543238272905\
587135606299180351017568931231714094651998766810869800112491982938416202252113\
820260189459888851634114639083270657396287802863299971001239369560489709797082\
444457603293509095676493508998987402639529368672712006246551942339770117868154\
772154155000081627394573696944589716359290478971435738801569908110705164616511\
37852175932846605951788037252938803415003504155553693696 #^37 + 
                    1770669581197360356719689136882185934575026512886425272241\
080419400867438504776655500228527286331897940223437710482953411829057420616845\
411222902732807560730162700436292776915422021608131535745830813393634469695232\
999686277314452789738825490368772286373011164742138963500597503994821284104812\
690025465737551940140618429711886851170887044213593532525844326048084008652234\
838400592574409576982578490990137962966432820557250560000 #^38 + 
                    1024384195841560786203803990261659864941415168828353963865\
514889429083788470409987439754590265618961816302022164464479931412307178243328\
940535200835545019885068896236440098283715281294336198006517282389405216538181\
057852552998133215228559571594024966998226660585642018033386696838705051060739\
400771644697766642486887646318531960901837703138849628511495283206470885727693\
89486428677379752559678729905125262333886212940706611200 #^39 - 
                    4404903188819469762250126285927225455462656966341232172185\
054947307913689096385995110810482590602971793490232236915320465893059674569599\
690156297998655932272241814936015983195747871277485677230191263453241159058478\
335119906579096367551385973276858920532903872985067196552640080965268215346678\
869087133583327933077986244602027661458014868411019054535425228969278238834353\
95874208305015827959466442644322238838780872893703127040 #^40 - 
                    3827987770860919491233684840407289481741771535732531474965\
750463930603038239510027829371105769635461764402277898787160901926580927888897\
574350818492212960002037391048238182286099024785420704529537214387961257277563\
837094194602572561628536141756449403788212894934490365843229239370973613467170\
498521853912020284220969998561645201242753388609912554504523815593683477740744\
0839048501956946811462225367017616433006800804323000320 #^41 + 
                    7699915284162094579185611026585840631037843178805113294306\
205566927573946273628740978477009206308570863015020777641689524265821485789684\
487671786906160745633768926817014196544455181908086706622716282432451619372261\
617465860117148432669545752506667592432871773112494459033677808208034415802365\
843519554636517457156189723584860323006997919736895264265889840824246106250719\
6169620637094918813896695436116768973706857767942225920 #^42 + 
                    6136512664922345768573038016807349795804300759444703208305\
755695353037731250689799425612980184299100771859553223985356798248232756751885\
217516937449568651333045922939998620576367629644077040950012108629408507240653\
630825722294319581797227755112271453240728244574119367953883868041086929695317\
029687963002420241785421255056506685304833840406273915326724502171608496733077\
172830844968881190438346800370011711777556667354316800 #^43 - 
                    1086771210996007289420930388171010450514240601052792407820\
278138212935550469792720145053498236330762274623168545846732562188045786387457\
393524601518515691316261171674447575598089147440003951748666421000629000572075\
427131692536218867882782780750659052549028008235266699307039955278544979144470\
489101077058527378506476176589328476674265936215725876287567624621537182513113\
7178287978349020655210256884784420835935861354707025920 #^44 - 
                    1293662224449047757694709741532758028316076909416427479387\
578201575024109654051165756001463578955702650947413401324034490835473226143326\
295781661787429409015925921658008300606543694839321850507472387802071639127113\
064362721030591918588413450219142555128854687668505883158834167608011941972400\
987486464907600538253076031880675185862589235650044752045926678645715052695733\
975477967577166092013082885619076546823437083119452160 #^45 + 
                    8137118353676547864478219449655128570966401590191503181465\
461878453283229499004394503065250161415568200897382692966184371683716788928348\
688097692499323315547678506533514266331714138566217834905184232299648442851758\
830803229467242829662428939813001376997516514885753932622990847742033492125794\
740639259598780662643172383896789375537032722875584368986292952340951860314301\
67767306706812804784750013655567795696967883318886400 #^46 + 
                    3357801967207691926498313831191559413490860278111372617051\
700331929265170978057732259769304803461334217739206961970794790100710733006319\
638412117027030221521027654381203670096016009184750357084927288124352252428242\
067192193802906990454467381400674479511761732627155698293129844483773010945952\
351835761325843581676255960364506094797500653827830034991584845157069690013010\
0717955563337615190391241908915168475182048634470400 #^47 - 
                    9589302765777780981376455521392141604228629829534006604680\
817940198881717272255841556102401023206209978722206382917915105732642255292269\
959490917940818086249389229009699113680555480767060039776418407495995573573502\
514928406937505439198966584241787686779310739514732473924180252054272484971875\
127949873727927354512357405401609255358835826462254552304925950310083199562544\
4961528659739798528319737879177967436065668700569600 #^48 - 
                    2197974725743681967691251586436657632256566199106247335157\
067692619697547241193057028298544704304903693842939851218599458399293457365615\
245849456617105394577805792051598092965920050216457081446147607679354471423388\
346542588792633062099481543762299084839291500859013112712556145010998348493429\
120886341351078307654648780710736768486515638331766901594773023597082023750820\
1648891055799080230134794862584840887336642910617600 #^49 + 
                    5697718805878897726797326176342762806598302479385350886647\
346910123828440711163908076595908107290386822794753190872515088382641569787951\
586230909478097003352416374695219623979806167568056733349653367241209219665524\
019614954693475116347361123192849636729378825752029780969325757007361737403889\
504588162143224917139800832929463666594772962537777206088721379176774973716748\
71503163437776854875444240098451489416455629800 #2^2 + 
                    8961434820162424750138759862041841932021766263453929715221\
735649214472565735101401316197755977772565075132662184229766075856305578654683\
406203055691940043821776550435584309336953933434349437688448709950341797035748\
914391031218868847212259079913638092622790921248481743837421167991567585662579\
376344044890757260229675429209427517802006669475484461851169182176985736061308\
504980399069464955988541360189141236980441004280 # #2^2 - 
                    6645963225750524318019125682358128463958779774708385435541\
842165853598500755155417968756945512385300665557193126973715597604478774260789\
091046831747156628836860781897977651029202558180002429058763191202709311378319\
520139174136885189854191498891532647934052196443232870539812359277610502461342\
038069279413091847706412731896354146991147118038104473846882815247363457796038\
9644651250507240527492968742868191521514818476800 #^2 #2^2 - 
                    1321115335501725338329552859441545484162707764130161160624\
403499576817837062388118476056590362100107995890344582951756508285493858442110\
862312248116382123890606139350715013316438838789173706197837969227495827087839\
410006144262005250255337527907707030339901484566018650500523966316143963268342\
900158926571714619771088335910163668261533276284807225294665721869823636321404\
288631932087216178688704954435888062960000072057120 #^3 #2^2 + 
                    1729109002701079538491896492831224099019779257788937882649\
232943974681025975369744748328239215223113972831021070074152664524558319843473\
573264792472776234453106692842692293668666336633870722484692001929728874852927\
471729632080823533244441312403879131377079977441193730798256134403249925340950\
058044240241561321497140270568935406113974246667970231817620439749841488683098\
682703889237665637490088020530825822395351293539520 #^4 #2^2 + 
                    7207826976816184881891602881620546223047176133112084683838\
251942038189678131999287970399545655785316630821107508544528957639614022211391\
140818257779483402625228439727783466212179574978491825107876349807205409163448\
049506155562616883535520635628464491932729116027932797491719195158793943998856\
950232133356216044411558466255932979652517544246807573789677987856986250883406\
9398882789278330416399603860019443612969037425020160 #^5 #2^2 - 
                    7568861429057063648611554584131921357045282573392180313003\
231283246050731495558656921310384521226355970795066859108610793372276159919318\
568508876053372585311533377401391439543105707240767593846122066594238248914095\
681569532581269059322106531530677253026254607260618937510509840232358002254511\
465939571661631972609489166053371195939322236900834621225500090778695973537298\
151766575996647891527543794397925406614807746643200 #^6 #2^2 - 
                    1981369543524059945205835368449796103224323061250411240407\
036343204948731219100486391379455919463644597374497541662936335826374424603691\
327398049794513272001205946176474252034528521676195619277720205888564665214601\
763733720259564223482666542723676833595079185928256530265942019586928367729363\
297823683464649954629112847016460589159139528231042952368288024490780458656391\
851815164921216027606370310577393095166184017474045440 #^7 #2^2 + 
                    
                    2418463508743495657920126081826715273626903502241124992485\
748491812150904697411145041657176156399544533576505867620902687413834450295516\
632883387732038606331275182535794057001519602045811930202119733991343432184349\
229977951831710961953587037919718071225968611617253308760690730350646826098281\
423610179481512480527905018557487793498565819732143834752732116949418738749464\
61767545627110789721135153835914088230752188866872320 #^8 #2^2 + 
                    2803237840510556782153012672706099828756873748300407108324\
900515826931133143533849495339681214271736452061661688969601641005287230753668\
769998297187625412000146005729590978961175328929493488760880730954489135058384\
066947043560206742454233129905689714882714319152913476049303058323888481958996\
496284130189229316591407698301086708876631384811365098111194292949607259562700\
1803637620234750492318461770035177601046486304912281600 #^9 #2^2 - 
                    2925158489762943108614801470883924456779858312226457239113\
014013451006121003475728783045443142745816095131960948599582375035987827526868\
066701941544574488715294485948349023865452106143090653049564220122855619649539\
680147405457828140098916531891180391533271802449806618906702982734981722384992\
389960590609342306290796302712762762035793784708020291234457573208704533278130\
538799350229523348088611350750344605738251007162716160 #^10 #2^2 - 
                    2336802799093628300459383207001730294197372087226084721956\
388098002586376436483295711511848318032847825085918416027657037650187053907672\
389519585437268182133113324400868134573289522731185872993472463858103821163361\
734431534678236137785672624591760097116675228375603468537707576877389642423890\
086817174997020847367791448564344549054204738832789520450057716816273049459070\
94015026949218363640081109625883341175435587621988392960 #^11 #2^2 + 
                    2181201629248788104584281467043703242290658877441798147150\
358065392940177612446202697157657990438479390334243912330169751772309714532318\
775762840018907230594956386145231096982018786605414817592064764110052333274538\
347202991572951132448125083418855067294276787724213531916345444184315358061617\
362299677378771600129584200944705521280908253173190545994126734373718867424306\
448518128192035440192151374755159844635686065100472320 #^12 #2^2 + 
                    1241487918296131974257149344815961347759764420706868507646\
831115105038662217576942666619090692823516073844066947555769575981510729290693\
962726109841684648780778498799101026365453534632364222725695362874620836268046\
305548511238789186174126770628948638449308581939507349441193638868061055102371\
783889165472578685768555986499593385788027358415215164643130812817065518650330\
119931360824108650616945653002314084139562703343649095680 #^13 #2^2 + 
                    1271935841766502496077101405394079695348565415498913640158\
135202660254157227935631824547200673757308213384241977409058333623119562203724\
307672589582927881639064071535130762305485372121711013132953645395767722732131\
063376564683536002694727651286648661457916796264883575470653879745754227137428\
830211079772184404570047439901015864260811817661956551994267047590178058266021\
08495386686433474028581648173256236577990698259697500160 #^14 #2^2 - 
                    4367874224041846582231288029371001485038333659506732777485\
858378192811773638067952662773652893286752258161845909079688413848733697249410\
551250453817792589169861634359856088891365901174371544359331562071520499986645\
238074132229090196807697538233564672810310822247319276890367329977791346217788\
404576425952986354384623977349746972787080711369596673186600397456149616008341\
454057809564860985275144921812177310513859383983101706240 #^15 #2^2 - 
                    7858241018115764667283342324125189646494265001352530197000\
108881763528027410824243710386476559428890946720292558944307220600701722992260\
260216284406211690159942922144753042976170139269084739989979821826143994778375\
639902059195666584192898129552446963011039514611633392387772898091939547345085\
172066622497251203436396686118102914135797421709588672201869051800549061886324\
67541847252539302988016695288797921605880945490459361280 #^16 #2^2 + 
                    1035125950164194640304228130468344919098803516577199191588\
757955242184402949856098215825537481834016243038926235988133455745250373349011\
527412733000465883938383762124139146427676137468729899479842379677403304284354\
077274314757746100921169760618951627612385907892350370503422098020940905575244\
354311218246714598383686398498587673523865430736318924452684325379121158887118\
7876317238796997896093120479087879390064363593132010373120 #^17 #2^2 + 
                    1812579835841173868369732383854182383005546414949022350918\
407737236678296503725553356024390373383701904916953059262927212960924109900276\
699056593926885228834360769821282290619263934745349949424734085179082435062540\
671048290270402325127234266857759621761963389414096170796513341289932223925994\
438919844228089949532358189229044525867827968924087977015600799477365184084110\
920025289800341069735346024608605077362967570293241937920 #^18 #2^2 - 
                    1660260361698495149783790370277318177419548817107909776797\
610867472435886345697670959744481995206415550565613404477110820130686481688724\
869323182366182299452632811070167329483116885062076776203862509064590359225882\
363636042680612896790058065126891349825064712950780500496990300065835646976495\
745891275759685613650259728286097616632056290065167184332549541467259053570124\
9665669020470415474906858819084582733698764333354812702720 #^19 #2^2 - 
                    1409917596038888925857750478439334232311936139597103064357\
657038782750733506828610803004952932505476832480645456137145877451548543995626\
250093286797995490131171996920135824167563248012053829320633182759382937721188\
668828625781248328173043729710770202280242865615924334621611665532520575072217\
927304697923212853076405187705532123409698975436899398238353547812004601397887\
56496447951014185083134637245394200034889901009188945920 #^20 #2^2 + 
                    
                    1794201847821415906561895010756170727850292987803665465830\
889981960867492731876167289936033704968934491177003183023140320133989138893072\
603333322842295679785440637425806375267318401011184320418064485505139985099478\
788141248499002446273136495358033332778903884225290913180096891128786970652835\
969108635491335298701080959698554127962301404921371334006964655820245099567580\
9367148841268975146505991333650308739939043989028811571200 #^21 #2^2 - 
                    9360282021988057124442074917718238787612035452381129003260\
833398845444712731330483003252304437982681964688507563960998869048467590760151\
903202872935785187274247238299677170386606353750514882443519282987392478677958\
434400146813692759334461290912238848421532838473008874432522160712504785379629\
225988038403106800192124203758047725640277125264686857960840462126974129071978\
426247856216218950820409000266884029243603842439084769280 #^22 #2^2 - 
                    1291798073967409796534666079865119749790740096368338495912\
786363671784362917822318695141573387461138367016017325675633308058565497630471\
314021810608286226514921719098629609993147022549281193910401651946152143665828\
272077257195851566758800750911058638533317857781977346290515940057841110820810\
761750700225287962127729433047723238413848089977382217964685542008033367967535\
2398089151246101542961675801235470083432142818292625571840 #^23 #2^2 + 
                    2624606109406444992529348923107802382935213933017294006027\
799206452317780703388698144020018556266732113778600141262953028297867299816505\
602732979799618825008968479880602320678192858108015295878407518675988639839070\
965639503565487477714756047696255243120230537808897792642046191846577550489699\
303165570264016590230996355388960180990454783026547055571612443305795105270252\
0992569272872101916801990028642182782421412071600029696000 #^24 #2^2 + 
                    6245929620209587436559110677818450322935094845497096188058\
208429331992029216801542893926298601653071968569574218412417150240007457155338\
765502286027181600829993862682414694385550378583665460789937144830236785360275\
645106553874847980667679056881721678783948076307581006728000031111419156529805\
042942355452411342183951188821678058669083660448011360493439579672880281224176\
091390175004012351234790188699954043163021001444588257280 #^25 #2^2 - 
                    4071990726193482896861770591944552149075985378300709364322\
928002906462546164224289481476422586417413787595761382326809288264639443993038\
248419308807783458492638280101104617270059933936365314115978891938590789865105\
130329156795494754583471218778963762699302477477790407517814364325968641078959\
703744717353543733357822862029017055962602851514993537902681571414079107395029\
7497285926884290322867135084521324377274801997575146700800 #^26 #2^2 - 
                    2508712670871471129888473271323796915632091319885110499353\
277514146755314784772795180347263874991274680549789146363324276836788563070941\
722321059708189314974363820827068886452194832371053183775748091341783790046839\
929603757629238871689853653332815007424185299400923591008583744228214998855374\
669030547003625279102435626458931014996423174498199822764946138666769487157463\
524173728596797081993059187426321564670219057481845309440 #^27 #2^2 + 
                    4309399084546788061526525427531360973133786651397221624535\
945682633658785417878323727585748351694025600641546954050620674426347964623605\
929695913939097298119569232448414414899836071495183826960959056742739516428447\
498341959091331883638648639479623449753181554814754860039340240876570217986592\
617881707728442915068059380695122521413693589816525579819660386975339552015117\
8817662435282132128612257399009307053232202898350234664960 #^28 #2^2 + 
                    1564276898777823507007180870708461658728475433648121078939\
851883960231981873673845979961457840360323355944292867075415324290713401175641\
420900906691103171006489687510403024871148513938523480288959174651029034177862\
090805358386484823943131146406634656378314853289117684644314719355962930207722\
303543328948800030913358386297148629524581747989009475058568733575745367969858\
484772220447809564352389360982903896188374529029670174720 #^29 #2^2 - 
                    3377685121327134312476548990341421286227773449916702345661\
978147904020546422404978930119225807020159853341927811223666822564152102674854\
205559352246573645632550952662274653583233590997895036040227208170769881376321\
967220360654745020440227022923430955887820382076320659498153307645589765497387\
275660048097617208106223783094147721879666185703251327041282276985901514723323\
7505378991912793228303530779436699079885895893920451133440 #^30 #2^2 - 
                    1219561642596567079313966787823742353246982813449577013707\
054277726347503571385110233862197728862176029733353480361577652937173005405078\
711816480551641377076088576215932093416213919720411724609941147562638372964666\
964781378753388789378671391202312791886835105715241393300934163121464182167566\
055797965054990102324855427572792057497083917419108654136339413278779226382369\
079668084062559609627845179769734820682325236053568389120 #^31 #2^2 + 
                    2061229972884006501667146263817344899450191544757523663946\
463286636945143400212692784473970888066511251459141010263588867755453831494522\
996006715141384691385222121437684147864582433173365333999412885152664205249198\
281210039234523919696796143081458637953462973333308622539985691341533980885493\
946133953753830494546648552558496499179023930096028160403352296560038320184495\
3005827162563454888345797532733233099985402977286650593280 #^32 #2^2 + 
                    6652606353521246667552720622733658870541218848710286816248\
392537838087508310950418834681550072691356481627357629325619111614432107454385\
207847518750383085446696198330875774764727113654102577052373368462531219870119\
270043030220323971852137035636389706861280584681402786342216086432540485667190\
709893074166916901035952902062438761878671958440059258575068173205420232896763\
60797420860679366492084772482285815217664356284398305280 #^33 #2^2 - 
                    
                    1016537283496134741076845984276620532014859197226928726580\
916371269170186899728511248411557463758748352671428305927619952087112484600021\
920034602367274472591322052159402867633429320570834852644409427711513389135360\
424530944062043509356256468272246402876207257265686014422208437035967623973976\
205483323247687411640005714465370572254162836207291993384309311711781204006695\
9139394434078938000865877226748340147467370844212124712960 #^34 #2^2 - 
                    2673739614136351779813493119146423760583163894971929113350\
010753356766378511322292588283616460584336550313918021278867507671212931351791\
353605294604843259185562798211234284729926950353367319558867823014941188818363\
011713976640966235553275638844833481538492350216844243101105053524983571043931\
077465867683151523801674593980076426109623924740866518456630842005990956152008\
97540861999204663667949051548813788078033469254443991040 #^35 #2^2 + 
                    4115988146300436802249731562084095509222463209055064420739\
304445601603745987691041666441522241363815454255220758916507258651415813126295\
710160356918618556194233624652598545723552303285321495781584723726988763288379\
964706112527671973631279268734959172453027873036125902188455772901103444275939\
383491731053984737159417679774287435628662501955412961684590903406335005913128\
959334551662250557084357321493205587636360150761917644800 #^36 #2^2 + 
                    1288168965762356762276590386262682226982799175582566548875\
449023200550962755335819784411440065085768456747452389273270115398928511921150\
507648026092520675782606453346181389368325137261885031869934292437117235833794\
059236730102384009422867693963315118521049169629533489092905400029768420916466\
970258825823314167585155061867733109316215455774488274200461569825788458187764\
99887149016773871516739215894133285932207026121694248960 #^37 #2^2 - 
                    1341260722848533990804332255868979067064434963486041378225\
610948485156258432711469040909289715126132033064806157131419888070643595548162\
924696996912598651922819531124053411718296553724948874105753855855557813381341\
044094645037986376454548199787463256728509150391236938701387051140251626108268\
555832082973240200618591138883687687380541574941709903578783334907163980513404\
737555793743219412250597616906777626992083477767127040000 #^38 #2^2 - 
                    7170810393432050748840914912347269905780325913213268245951\
791526314674871444335142227495846941276858753787093311452529183516913108199162\
128395884946550162812332439712414614644684977107228981001962189544140952702760\
690323994564370353582930735898741174020444099153789089893491941981656589516021\
930785686628051942347383486986485973289361897111446337845732023165263692733224\
4231203039398851883414449775324740035416583653713510400 #^39 #2^2 + 
                    3334782380528030238398330808602474541770391811653450648913\
325001576336932366355473535966611865969602386257118361693578407612263279869087\
812494807017184293595742644118453498157322058738932713273523372327544589326191\
583208360749428841768133316387846364677951436533163757233259933638420532329741\
691070057263309143462266676913006848355330707532581632485956702856558727472522\
33374141601273380461209062520983221948768456394617651200 #^40 #2^2 + 
                    2787698816408618786165024109142573580888470349244535147343\
782879234016149517010608670702919946992776660884581697963910491398148332673863\
154491690017143534454595476135059397720235109459810652215694073417059153858860\
728810559585331194155508492292134926674484301480260295087475131597348817752564\
249826381645603747243885240705769344302052854229936615387287397204939491202455\
6502988337680376597549503926919518155178654659143270400 #^41 #2^2 - 
                    5825566465843295750141286873416310682129376766325617405490\
851511350752468716976868555363512629751212390915718672105262571986084193930037\
138531523671754272249239216476454609880457485469811777795170511967579265442928\
778978342463506927236545151766913352571537645604148109176265078581173334614513\
040442018187911907259323166318069774511498589865955440010936457218333888864500\
1074311833586530452892569372293251615538399151338291200 #^42 #2^2 - 
                    4491060397302454265148416428337879073802487650052172833815\
656090478579567373098710555904190060924835021911765003495864078123281498771768\
327896690616720804086781535701314260799312015716076335460239290715828817724743\
507521105563525681406768104013769182792597460881308552427172824992492588709970\
573337133140103437888766999968580088935820526945692212865019764060706094458753\
175343379691545520327404576809279251270546683540275200 #^43 #2^2 + 
                    8219917043445185818792053132011594981442256334198491695692\
741274090417961722703361804080087522340540212773762554082129328477845334719288\
706024941576648628950340981174326885958329127132766423053979750693265206895614\
717462389338078505273278360172713012733412483460265923612747647643861186962030\
034950674943415239854578109018956510179116626542749073361449052640028546804738\
104258746561349177396812810166550517875119150963097600 #^44 #2^2 + 
                    9643562062770076012237409630957425251298387612802705796345\
347920859023770603203259614887993905179542188272945231648913343701802960013794\
976146929144581566234138423986503722882709119172796783581509543433616700621548\
099085277848069463500373434995568956021118870075302259545329954752648418298606\
121725322268340753407585183142791226417100277133320537032947116752191179826543\
51542916161881002125312694138434117177064507939225600 #^45 #2^2 - 
                    6149584901068987390671707347770923064147406315693754795111\
471051300655739717020833422766648394669339472724722334206943571395687734343093\
639325960199340817831477595066155829441696357155545274179068967081239704919909\
739693653357384050169556773973018899336026954560157368938177962897826898735435\
296490024527747062489369722823945929833142996445636940948515173764740986289449\
65434022949954245221637908729392541747113550151680000 #^46 #2^2 - 
                    
                    2423183441795446911289185736208283777597973830260011448667\
599429020300808941978611045811028759333044192447252671324615065539511620816432\
498340386831832349013919171641539807040741649486824539230259967023834712594436\
645568881926667095838982629412331151068658031668434802732866110351718240853255\
509233167966167068856487801277558825151454936326584079944798669788818527351981\
8005311570333773911234257281000148030515451002880000 #^47 #2^2 + 
                    7259333607306256776796209789443942522918666878601577674610\
757389650294364961358969489415456125272784951069675205302402224437658270108457\
624417393479102496716649123211005140464553515208783414502296869361177046917438\
123560906731227182433480133328076606146876435982160010952374762280288014252006\
923970051613164401312550501551615623610923298532861800882827374873979181325616\
0170665300347764995746767594661339031739165573120000 #^48 #2^2 + 
                    1656827345437638621112955036177704208783644346843921999693\
051554767166090071647899498878688020347698454218993533223357708761025531930744\
827851260041597143721540948508607520771912213626955814561725612378589627339698\
928391263160548137483781284915841901792537176022837749156117512898978863523509\
142833577214005971909098840214003824689294406954190286866730907873931710407234\
3005632573698295174981361879700327199268642226176000 #^49 #2^2 - 
                    7450313049899177641782547075454736152108878258205360794322\
129221344306553050971676190004861869010187231022646715393209800866928820807479\
054854886380145176749641580363580947566710184538677794347686003255445320214575\
606603032759974537008932259180027955682103382135525597691908714863870073899578\
440818349597179333111877865515802993637014060141827443104185796844910388363362\
04091658890445912115129474069295459544313282400 #2^4 - 
                    1171864264225089062222921133417512770615364521833102208889\
320475811266394135475235978560147045576940811630959534211983788354491663803642\
015867474593574228251609183368613652570739459607836206736150455067990688973121\
257710758717552482403545407024001659602382676635910809966777027542509799497611\
516495681055153705521353383966427513890903591082711419015123746223060115095529\
8678711525854454377326637374497875542570324828480 # #2^4 + 
                    8800943020932889106978218883477502267181861213544314570898\
531792220078404020614006610030325353758957390085424716979298207333457145016660\
443663093677365535413093118056232615397467416289717084060151962168161179371889\
921634398464616361882116741835112511398638049261497071283957543640633678094213\
793327213323898116418939730321773741882566209438743808139689582141351768449383\
3984157302991706209785786459990910496156576058560 #^2 #2^4 + 
                    1734231411453011406270548110743743340124066359268697747014\
050424792314372573189582488508452164992115057611475536989613339813752307644209\
870004120495756513583649844596563955429742820875328916240121987903983509839995\
861641456569648429508328374485347993015287588881495716857718320330070707613186\
996051436012669259005931005576138388795823374355260262532181139428344827764785\
304097075139740365363685982745186822296091003002880 #^3 #2^4 - 
                    2362321944037610559197362160921106142040250763458647807743\
357967201317495877342904822239513957453134900271042114894332225605640329473182\
375970055566386009689426907702451677808199651942414219844877269841048240096252\
296601299256679737796057338176491675761325664687464759233634144614810534042744\
028064490364442839162995793086398661304116498917126884977045682019105237222882\
418285441720136578742283684298022250290473146707200 #^4 #2^4 - 
                    9511202197042378200080859395583969785990852948633048242766\
038039263409284440603827059821165554120953718577561084952115754513332338980668\
393559548584106221041213000581585340407523365286289207951827089365928751379596\
066406759244094658917147233884821084593031516895263471781212543311156109349199\
153467497120603359905385442049810943536469388092669677615490157306336046693950\
4154742617257428907803931742451516062488201427456000 #^5 #2^4 + 
                    1279494066002026330613546848923415477379434185442101637050\
060863385820226420733330097666227042980046803572699678311505214505809491426143\
878354288474236120695211818488118922561603780559534243678577111789881158254197\
135508829844065901157925979140384774564315871072614185866420657551934587425587\
818689975512673304727865650457724991864889012770926761994188173201300987814928\
4540698039513611177868086257605805831933206678906880 #^6 #2^4 + 
                    2624942543577359741020368390413763349635300245261163228600\
092378717990449266945862062585496539566526200764947171333748375250917330385475\
500567787742618628564239110973842435910452910008247255905687145982188128481113\
387393695495929915011022795199309829028970824842753674971930638240410713107426\
614627535221924003578576043931722637319470887014950727489912604106679504042674\
895126315639772035907398560209946761851824825671045120 #^7 #2^4 - 
                    3546573716592186429804019485966787359250713990724595057490\
500196096210314650852262100823768994069790029131103760610840755062971708033693\
764204062467352923785075421976386406412244663073116016638573371683108845745264\
112051809085777309290974376593474082568343506434327509308489040778056448532081\
106315382027223624919930884928402851025738071052762215158139732970466043164464\
67647354783410494472563094467634866679999698989342720 #^8 #2^4 - 
                    3727957879774611683334047619967079626946280327318534542746\
028978127215863774786586138476403587724746549698601205562160781518546515298321\
119097395435719593319777732926275433758837607670310436676928686243559213996284\
623313564635697192969595355620012430737904651527123141847211970462988350627167\
378680691342640611658465102194726542077714985321799838454385810292976770785857\
6326941292371150216828589319018154524393058228797276160 #^9 #2^4 + 
                    
                    4096818306692283466564926788028732882441862639756283471767\
613621965809781618885994263029083849819432961666441285629679205002580099156588\
108171715915945119912427365614548586803989581538745649527303782148161603207302\
779674441514766593015886398613060137977219415612538045765854209462307085634993\
349878241115316213490863250306081852433134254506284020939472488697060206673454\
957819894863986351823852522712159984453724511729254400 #^10 #2^4 + 
                    3117706629669376311237194264595991115687540813304801992845\
786536022925362913421392027518549726273949100332403785881858444695729781551697\
995881463171207191885615820657587380244479709528652759242263507394600210316550\
916496972614979515488831399890021481933293522652333243860565206983322141580975\
060277042523072016201911712793271553744764680002140621539551111135359698707757\
85937202406629649089916650780717229518995925879151329280 #^11 #2^4 - 
                    3467664158671676162538756922396629711756497456023510721816\
201495750074007382332190737946775307901728231489037190937467130318885872085173\
970239503686553756263659256354423678470903204100652513609466534227789087661865\
447459040955710392717407599178245655460947785892973100976991065142344255695214\
079069080900525228930287324149066697040500041642555933954247588400649460832105\
229301372091244608135517127315666729501445121256325120 #^12 #2^4 - 
                    1660638388141242081260523208393338700333794213664372929909\
542798633328851217789029114116342414095924066420020801123850569264947390616680\
205358585456373687396181124055733740281305335406281599312627470745451093955188\
739690328879693774411107861148873864894362597311472607842835458777532652864625\
117832802885022903195525618018176835324713578279729487945815010301833000153791\
598676814208422288991297017689431515484441115246398013440 #^13 #2^4 - 
                    1704523379985293606862550976811179244008623599457167863984\
146284297522736196874773004936157278348401268724658942642350723250995965525910\
456661368364166656934035599115535860952074110143530937526362321453704690498442\
524808287038677303946061345156605799554431361463743631082964596393610933391558\
478118085869863521927427783480089518857638261137966090235001445858374812775767\
75170340926224319553896246942487851032729528861324738560 #^14 #2^4 + 
                    5854297183266625703464757019063275620218024797747277201531\
984650909755151548079631885265722465144717784704823440353210036151458476770564\
095309184722791440834135537283622111881701259699910957517698361314668578068159\
485211000286914217616856150577284161572844673365111467630202797244338989435197\
190540195143734640228624720255543608725112572173690357529854285540263216169141\
738013143510921844448912420544217708926591760178489589760 #^15 #2^4 + 
                    1060678476826174210013361965469229688715367929369779357409\
146258605518187707033520861074894949355508902879920541275927442983117557652285\
676646242757305582214542140387174734100484379967219638049715207429609921103020\
889607241758045329354560006303077225572326037489192178420869628142388277538216\
177962697533004885462773937908763224067656878770529214646214187186694611415315\
193791999677443232266936182743675022309462167457806417920 #^16 #2^4 - 
                    1389567469204915078478215054095571801784775616797614930107\
678837129767054808303308417970712527618807543621346737388902115940101861847159\
034123913706810409849078813770035637292306660110700236830063099111006941547868\
544453230294668259301269487639084336947262295237824536599702891734101455163079\
244992562708561700190871551478291883188607559742128858133862274260957744657993\
1624235999431151135580463998902965288022890030265154928640 #^17 #2^4 - 
                    2460166521233080752276318095357115031108391735266840734290\
520218754778396474077456174903241973053573033286466373690627970858807215533025\
460124133514986359386375310031714866606453162732504636351276319695640114922310\
766336707279324799974614027697257743378675052187459538751534861565600851848558\
440997172459755257945471316766760216056686236572008091052482837158035931116943\
393618495306211719212977052677639962692100309908245708800 #^18 #2^4 + 
                    2231670502174680935287980250049200920375412478600543003053\
062463819644018937353838167567044500399000718508400912437193711804540219844273\
602191912689951608575206942597763564871115729663765770535313179212227670385144\
677144980574441068336128209782509770896251866806378576390393712058110161227974\
871739010704342627390452871435385559355018252417399049179213082422435402685123\
6843286474790833525408483020092471312222952698599366983680 #^19 #2^4 + 
                    2466378008632139729306495366089305449859712174261663271024\
217611302597702595269125836117018570290962121511026774839273444689133368565799\
306717344785105766390861694005246748743774274057077203393320873539783766973538\
197551308527029572281236978771130666303575836494312531913388304233704413222176\
296125843139204197580464661221932067042862190215774097420443184912401917753967\
89105367139205837177213135211169561067406385767660912640 #^20 #2^4 - 
                    2414937395919171343017202949737644288309982293349389735345\
734760708436152881271667646201057832705203163619000092908832242363066504329501\
072405534671079277845348754732584799848143907763482353723538150467434215486144\
135793938678577459275580215286958812799882576614330279352453262586740116916102\
553914792886941717048038406095253081889808789878037842497918575558981811215540\
5226089776974169973366192486282888064149628149669004574720 #^21 #2^4 + 
                    1250635900197675912191194077673591228361402988017364824576\
046845918734500802273911636507814679500052286313106072937455069740550011695928\
155846697008556515222283692407519741276413411597729161660327032940138774647258\
343961774898306891960094498384133504418234566454641120725030297089630706964714\
883957578449498209675446560117242872791290020997561693520336786781770794391884\
4905758726806010432328258013118969116639282056131887759360 #^22 #2^4 + 
                    
                    1742356770658584159387221245724015954887460697007605126605\
675583783071789918346555701742894193930686845113385529909482234028950239397526\
188491835352171421219460027824701184821138748175130406874202714155244819396735\
981765487364715680694832809060053624689336689722671878872561611539378252259694\
151305176200454016648015002874399332541355661679462234410064173482687060351218\
7333022494228270591831350744470225918638593178064818012160 #^23 #2^4 - 
                    3523285536598507960441956830063153777970406668743552118583\
343786224915570667053089154297701162945827444289481301792012551353959548810007\
332306248428245732003036603096081685829859789246026594366689011420876723002507\
885015947132644880750120314895621130372379293889184398211982042600651508838603\
005877422770001440090523581443984830345190377996012529568077831597196780977462\
3236002984984672570665779009100782920234992543927013212160 #^24 #2^4 - 
                    8467465272339332273376191554902911766844691044444427698649\
025808894645304927809787814036264136322656588433030628656424021731027237533208\
431171579927583218852437593246552605535090843666048710860939489530477944817401\
272334649641301738294999945557665202620143987383148129285176822393220860036261\
050447496957826709869783276390504872195981607200660374333310127268108887246660\
187456864720480095912756626808937291784903832019130122240 #^25 #2^4 + 
                    5475183080350987258164556133975412732007859570433272819768\
601992019639806680331244785026350368113525944735857052778463888625586940449874\
482672709627159243887123032175450122022162901152134841814706295984139044114171\
747567031573165507256233340906419600328249081914080445558038437323386376998212\
639546366270171709562831833605443962196444939020568037739944328411038963177288\
5849696947832868476702942341090864914795659225365426995200 #^26 #2^4 + 
                    3442547313651953646305122942515024163627337651716998163204\
831609592637969100580165478869027028255122465549933346135044120437514525853915\
312067464453860134750751979459169798556587870929417900787936742101505852655832\
677925667907986864043613473166593334424626090105334394256399839367333876297237\
409793610637850351808228797689333010024503123132409618114746861988345449471243\
137909067991350709862021370449348462235272824145093591040 #^27 #2^4 - 
                    5799335607408051025692564634177067972111290787756594080095\
034553291642382028004483098375344178142874283445285717370536531854967006851928\
347942425342728223132224253965555013945118933599186208906926228051353515534154\
824682090360790017596361603553744298993093357758557080035598196874431389369089\
502735272312257833049995927525238994583371951570809648378982525198607791378559\
9151134860137828905118405457172574669510381442456344330240 #^28 #2^4 - 
                    2160895379407369596220275058435153049136758106082754451243\
697328632777180288776667402759443005829918496965465403495690600692941600167508\
799265095550337525445287022018689840877078192377224871850726316831036749015049\
477176435879861533211412164168706377720133243883604079232305373090844595399421\
521198548904036134245775374869884203535358286280044039184420975660668744209079\
484197652218584590615669693799713563025770877640853422080 #^29 #2^4 + 
                    4547911517676001070659551083456524495989387924564053280474\
049257577087158264800087685445815833012169381106778355643475677733401594146404\
553162123909954640831904329086054420478987995165675395938208296328148622484813\
162096390278522656630684003820183569845528357384797970782207811821332568588566\
016369396317527716150036263620670184524936574130628224118715785685377237141047\
0601746883173418603732553263314076041299672910121580625920 #^30 #2^4 + 
                    1678707344140082235920918800786530351969513526281504508027\
608905278787249833466548589031769173035256202046891345174628668291548527085038\
930591413071348309866146083072533497655805249726923065852525795553388065409102\
817005643425356287740970045384993327668326619516835298337365935195418689846970\
294837509599833600446921584320925488288023052390024100607720061991225016474647\
589703485837751717095054994986097657738983185629860331520 #^31 #2^4 - 
                    2776398188473084645186374672574512401680194560508750122740\
442478868895709705507490520711470449028908328777830299644447054127119848736858\
551349858956046558483596755123776029691045281409143577569683838861829077249916\
496484941222460004862005113222646978224047406106685733083496655077591620259490\
982108720710357688073036926434137208042816999637040159196474288187058468940367\
7324602137886842573259092855528754553486402457796786257920 #^32 #2^4 - 
                    9151212124823771418674621943466869862701454125394568161193\
590865755449640882091283749601073638572654862800242613626647483864940261406085\
243015298706941901058408127641610214484841917619458896891628482646256216200457\
514785491939301252974087416470499211005120997935213800956693272316084533973807\
014644628700823129893493574461887336717346070775255972690391760241072825395545\
16555208128389688186055401994101560953073658127722741760 #^33 #2^4 + 
                    1369640937386679282479132011262734786600281335300011461884\
079928003355767577403011356703031541789629578317311515024038290960892240875132\
029426740165557311429488744922004195964845456599164673869265327641834980246241\
031233906347835372129728692995448776321594284212823164493126732753600051522153\
624078175713871002578988806711817131049299705590124852776510144105551798690838\
2609531069144541360003084739840342534814477553661053501440 #^34 #2^4 + 
                    3680700918915067855019080235090760857086648796567821119145\
100164840170616381701667635233480522350966525123098746803027572804812402561219\
596639260856668451599767610336295614203241738495643612313545556657006266518735\
917065244146518440568188622921879144554497936196920887743026475386805560107436\
457223518533274527857802181521878515022354111306942948436188031365400850900963\
93385742254055124353350860874150838213314668097070694400 #^35 #2^4 - 
                    
                    5547134205340392528533135545781439076489770824981170807184\
116811979709417110954723158919558250312640712087110857005036208065471188829868\
683841874476757402630055851652491246463579376279942427231897659405596573005287\
217321017208716982318784261230703438089089839162707507404667795481977783346927\
339216081769478613394210882320347162100370136775541960586677546107370153688666\
426802186889318133400310362835112636672579367147478712320 #^36 #2^4 - 
                    1761495201591019686355225059076032220883446678065330743105\
496233422672535424460114121913314496891199318957854259604830585337368885601866\
157023203582997578288182581993434363033070352150751149206899891441909334651625\
338881393614350756293266286118529118325186236088852904233730918057583657290362\
596223214720944440392779821430742332990215216179808006677366955995342493179536\
59445368600893952047331660176779596566698193586728468480 #^37 #2^4 + 
                    1808033156568664893352883962290936102385575512043901612998\
963514829566624606515654529461437592468907536628159177295504743466385064162036\
925055203092957706400528322207577631169697070596253964041502094061446938390130\
924182445717762226260358803622900941367910889610175374026795298498098178305406\
328671548477632337247959477524575160537056295121896659259033818795284743755333\
029998052165892865147484383776013024199410718229921792000 #^38 #2^4 + 
                    9730957112514325724307124905974784904277045641687280632569\
203869697315167912421734951587934105185435435935349918543190759275022159508843\
883025175892538560099102231663829190848154471576028464115034292702604908903440\
677403325430086325747360929500322977714478325032354654878920457714956734547572\
901611023588815494642208001787810710877961888833638191284715553568546953380344\
1970689375902162413813980445982177445568031008122470400 #^39 #2^4 - 
                    4496240163032759120499504548345680016466344880078004582784\
703393901206142348478265148681934133281725939877193109725393928804403841683998\
633076211581512862821410331245796074465622560043688895608822314745195693155785\
253948626065303031956062611848812687874562011764703244875960667850644264202358\
215804050709867674377274695131381534311526386214835157887656251290092253327555\
24474432816442693187735214760145503280182377746268160000 #^40 #2^4 - 
                    3771512270323502225022420998112702008546107158659665335974\
086088532592255391266178769696596249339993625312940406138129916293182564749615\
331625274602007748489321129325116827376688938323180229713524047802569581450586\
512213779905156956700334784210407743291995129090519805167972139925265827910951\
808218138510694432742690316640208154322780723380657543596013766426412681619037\
7941764051409401595288010243557892361788826231557324800 #^41 #2^4 + 
                    7855533937197682954735736406899392664317781819321571873855\
709331373918224032600125340876798275433106312996891655721699957125824311244471\
420337254837099055823219382138220533541077290002728341651638374033803109320423\
805743256599914945926565462883888296691543329450676784772199867155251923659198\
486781638115538509205693123606099929200355109230349757777591327563330578908398\
7504531451006311502212512733907096776168279444658585600 #^42 #2^4 + 
                    6072821033746696868459410730138038834109605652193378570495\
135998254757300880514360712687428188565954155605407741198067348806004632010047\
412522708589129594856895509996533735427386826707998939251008411799857022899925\
877381794130578731749572154262336710629439766031393530030372698622262897567694\
893249512758190418462246883086035281416622990963611329333148658845714820692572\
853684267501165282564691286661840184266075829121843200 #^43 #2^4 - 
                    1108604197346258161950086354030334721437987061849775270656\
907507440947298235170543922057677756513659930097633943662429662622899275690122\
046303745674611335791973299634670183091601734261268975381124291720552437712914\
228976478769927591604000473236440022662690773843529640026983757200814020183604\
687980265020868142894890515051871494517004850302201029381494706506276136395733\
5985458139665681319891503239327319575182068145979392000 #^44 #2^4 - 
                    1302403192320601969115375005899168656603019515645147224080\
929808139044484452597308074025197312797840556029507743088440529251666486276827\
204149830990845243143408940848058839565229944322623144026926343700388542297648\
548791943499454580720510712650616732545869099789251968320257348647307373493292\
702687557344332615425649847109006370260002081270845032784068951496427500227582\
752807299938167652373712099326991036015450641976524800 #^45 #2^4 + 
                    8293690296918295662256211326321130255782424704495056616951\
124367052738613196626928241844238691843867351170516815385515225309080175089850\
240708289322721087300873261208689369871228475774178089712398810766606683853604\
195050666374365017201443713405065615056906614340841860631941344317039691541405\
344884543257590551362366155981434855424043899016056320811091416294986979915727\
18601450706395683599539701603767995346378710581248000 #^46 #2^4 + 
                    3277659623586383800332295346562460482597199598172885610167\
835857306607598415277803333535426060475236525992908018260643409950122616503304\
072987574333140071118772389660948186142730140728766586654387659767106771135022\
895368143767114955455295885905658433982201321338385198150557023068419705255362\
493282731392815408383191604269837176422817126537008789303626512898406943941134\
6538392412691105739682457019799496056360967077888000 #^47 #2^4 - 
                    9791330256769693184125601255010728306708063968332361120073\
322844843608278626778294413905756993377761562581204608996538548800766311031676\
086472852783776779263789116146450998879957945814572807771791993166161038687371\
265460895631705972522277042667548724641004824399646048788657867130162386386224\
854001330282827146785239901987394344795476439885291184323226670389228431390980\
3638106871296398328434774514119138327153199808512000 #^48 #2^4 - 
                    
                    2235560368863662970752561140668799045178972710356196489568\
342146695099585115312565097861918076149114503683922649797836535256815967005262\
724852029715518859007426024163391296309468915069694219858286084413794055569431\
799692508268941236729632565798051656929569705146538244195225341783410441246221\
302938394580565635709321004829031138663832833205972560165495713251430736948994\
4013909871186881562750868092287802208679769407488000 #^49 #2^4 - 
                    5443456939671115046790982780018602623533085504860674177998\
765262132935817862259333096253392319277713361302045273049903940085847036060811\
583198700133766062842770971544439769907272657803573274440411118649373414157148\
000169261373464965962276186206411253570628858634527467370238476375106876519115\
468176126784140446819503811579523578293750531931948693332860183589863746588932\
031859861362916423403738598267291759423380800 #2^6 - 
                    3110546822669208598166275874296344356304620288491813815999\
294435504534753064148190340716224182444407635029740156028516537191912592034749\
476113542933580607338726269453965582804155804459184728251663496371070522375513\
142953863641979980549872106403663573468930776362587124211564843642918215153780\
267529215305223112468287892331156330453571732532542110475920104908493569479389\
732491349350237956230707770438452433956217600 #^2 #2^6 + 
                    3110546822669208598166275874296344356304620288491813815999\
294435504534753064148190340716224182444407635029740156028516537191912592034749\
476113542933580607338726269453965582804155804459184728251663496371070522375513\
142953863641979980549872106403663573468930776362587124211564843642918215153780\
267529215305223112468287892331156330453571732532542110475920104908493569479389\
732491349350237956230707770438452433956217600 #2^8& , 
                    1891128365975621953988218096211279732231771381414214917296\
292252648266729332791756568572475738682866503397270694830615061029465156289797\
925788498643731003204728365849390336884153571450930918721151905239116811845016\
052690952768925697136791503358447210830475757009536537502946799506236464791965\
832209208820287742659425657165197365639954232220370563483164654383661453213992\
438498466975097779244485665519265441822996738598165883835621298136588408574499\
02 + 3110546675768672232201322680546525405281024129174428043092316721533392712\
136617876771229216664755259526064006446934857410964540748944644367896146305883\
856797216294755659591568668514416116423315868979503765139999214483180858913943\
338852570154756140909832618572448501329019710716241905740288377316080878704187\
992213438795724970742634045860851275051428085396344981771619877085203419958389\
593684016938080871847196218337844952586806050559059843990423270334 # - 
                    2372829723789428017372434765363829681069406357798233129424\
838656343695197976190283213108343201950501093498371651122219471201515642838509\
566786180563668418505029617406154379339977380997249654431420407339557457646150\
516396339747952953004555362713373131489787862666787179950683232165776403906943\
055442824090553632337657083765619938973845880519688674628420014683885778315729\
522093188173891628072783378882336377155604659689369564120500920832907350437822\
5308 #^2 - 
                    4677839361846787177920564987577191798325277969247108619234\
572511529805419006137165688663155771283733348003308764963693171647002535709768\
092086637921177158728849647338210543040482744591806929952269350625351310069088\
714812605125098663658516912494695214671650287771934235846670375520574672680344\
302703080558005886512516231087632116378656120950254270174292493416003667946223\
913174517029413745792555452335964135903236700608754478347607797802955657471329\
48896 #^3 + 
                    6808437405128634066836356595466284035741118186880717106150\
832332556735965218510100619726075401070322932478351259355017499171412507881820\
681452076776379679407475310905063306809953243557934353330760814396205740449398\
898595978588065851296353221584314323441664601053626807315087072591509759196470\
819927580485413130163557204543144030500313683187318393357523300844083603440123\
836581571511625331523947674274403893821982327602768257970861934653577246072510\
24224 #^4 + 
                    2606137079199154055796110046176452934879424217812211234772\
727051694231938232920360184787990102842455625050213323918198228442486839088048\
140188721322477900894096383266519355107594088869121239559070502944771490338834\
195341488506237466568176331898388573160696208766646165859587126734873266693214\
870504727994722900591261120567606400721165892142681059137900249898936352391339\
390942126084366112581237120764740675199290849066401170054458736260133571097748\
3793056 #^5 - 
                    3087828378089035349650454388340796940208967457224062354584\
790102866352414760575610899327126100546729304630304039063125404955733472811556\
401127587320618082479381003384207935101514894236530314494998307030667562392592\
047292000349650368077035189981946198303025137885684940876922127194081717430814\
129346033940219817863168438799369118911611259418777085424868529225100884770475\
553976555077073338674390241079275257373216110982122217452166730830793600112841\
235200 #^6 - 
                    7444237484780986531585036025971738761160166496998917420294\
039669076523695209203114797602191419054990712882505803320855094425980405008615\
245271428496837633889600989615735859759941873755157923146954356770706500656773\
417930288728793633432424291907248333742389613075778767876486811397166675244331\
911422061483896334916007549950304276698014384138373326079402748143189797954349\
027000575765755819393641379438095280636119483924257444421521277903597841324692\
08658432 #^7 + 
                    1210307553285595585174678236527714980471336083341071768123\
048838813588192450207329107505857512168009932210399191662106605859764324281422\
748069161960690959511244949362395985114786583094338171105050473058758022459915\
803225842565937063871668702913289408176774640375984984980795720543555572898478\
636212514625461136533566559069606901344260973354815529354394476503729388761682\
954035941367313644351035183773732581830564512961962181618277219365970375932791\
91775360 #^8 + 
                    1077122088472932962414968339740545813980288356264561874339\
391552602494741933908750347140360798287079367961282696490116681718070799498320\
983614753795086479488193795176544289999761102444572849635726315023639567458858\
517486167665275467063312011140800558090630170266946936710727596702575022528228\
485563703294379498137388793863754565830270532837498317900552206944650796110873\
625581045845560502970693197225702564561206823714950869578951793117803682441760\
2524769792 #^9 - 
                    1682805307159524765221380717260623758983879988151045553266\
134955171512233082068729661881449442243342653677503629534082211729455836538295\
135045240206842765175632253475801611496886125928112523579074506695009122545775\
100434558289685767648460560643272210208955701179277270706905588885783839516512\
027784249325010757932803729846194443438471614484843146870464337590449928073177\
345924327690397968056139857596433848766240762369131912627210529189943544168376\
158509056 #^10 - 
                    9115074009482280228297378023537141883764299083113429307409\
752244951917105289543470670352693494567296574124499484884217256326875364184896\
262791910023370200952627092381882133817755075923424373283113785925865336367250\
016311708100876803944451780615470753592117740387478034422747428105220172288159\
601274933934641457457592603689488633655148784892446334276603532620524998376476\
010669224662659266014282341428341188864633829313374266856954476650063623855202\
9668210688 #^11 + 
                    5396988736385475611836667691805669060174175807498410919107\
293542807986869894402883375479200170294443870775999219769991516472328086587825\
394484021469422086084545379454696349105823103894550880575130690178064268464382\
536166925935311285925222195875989946168815181102643617293401047034218713078171\
063487849723639110018540016586227252585020671324396238132048806271488591417474\
248218866295263183933350048526533815841372846679335551139647352634119885933561\
628233728 #^12 + 
                    4898864867736799638779213137854251785047937062346115955353\
596966003410005916741852023768038778271945366908747810092818512871942131753243\
856851849837987514540666995411940122764402635179671375175154922457788892609974\
344426267498564096905548670364172977463811534831302696449680889734480471502688\
146319096561202201879652955723302360992665973696169098863506354784383785392552\
628612201940684255277482480805125589766620429270159177141385155051800843782051\
88969934848 #^13 + 
                    2942464675400259892417437633982289160965881387273457752504\
922263096672615402209831733192862290395949382180206027193264031292989658879140\
088273626554732741435779585043086912645511544424879986209481154453250322881277\
666328847976662040091533908106028447010609557550296517076255681992077930334225\
574692183104076014644447293640409312123528957754611823252803268793715277154568\
417125608944645209670953321651199130825881707902673655765598017238202278824383\
5434336256 #^14 - 
                    1739072712338463420678350115082792684199851085674350339813\
604096146258007432556663198615128684515820392628058825081591696452041755089182\
395914159220159737361847651463514458576060378630496678366535893038865859268941\
853668419492738217606915730585971931725931411510097741603642753736882671730674\
868543312320355861907816651175959686022960669825475255268329813810680456295057\
120808871610876299912098896355914847061887814364718228677387806172560478163406\
652914761728 #^15 - 
                    2543440390387917482502138554874351648646168452750450245648\
180468949232476053740474211657482174008633513445052862570228797431469060504576\
841620256856674817312586710396611392505037111813858195358496001015963458937390\
939197448341305700412099156822639361228415777435020387591258619184778830896832\
590649818663476640349588158732506616726407782703184928633043189881871089392618\
509379468682291256384761784253571617486368388803033447994048406683411678856312\
07172014080 #^16 + 
                    4146977328769029473337476404301150322591281783197589233031\
782659994254475017662109934273390534598116409239880374187230449726146780693071\
120936535892967080193522161349874072862224670513075429165519919331091524340280\
051389358602032476780721490881183020805002119452659965087212772976517009118603\
398750021898191869274576106296561453063920718719766922563016124661449455957484\
046162982908311821371793056926465535369538289465185801793636632952776333638249\
521052057600 #^17 + 
                    6225493030809728282342890434233816242341333527648134730188\
133234644080201015975334055136545477259903344587895714965032100723789180731091\
375212875831439588104756913844300969765137364375461980828783383414694704125388\
889955885990661466213597364707733674022184780045954708448183516305389635656346\
681285375443991275671773677139366569417591919925862345647480289025493002485090\
050532646979981474076722255265772636589893350477952388371604414370288315450721\
84576311296 #^18 - 
                    6667286035290104209777266625434918108077636607235562876848\
687192785398111106754217096519480585718596198179011003772825456183333769900476\
622396857283146057933416048099737764058890816914217236769881901898505277076907\
013002448500353424084444703965510688606733584479615772748746045484225259084826\
836576165441962164199527664500513059427631912950047002273410903036791201162078\
050836175342016703735195762932748567738247604530645711096076959363370335876025\
380807376896 #^19 + 
                    5089134954737265589843849790557182413997384971676832927067\
360281567145621278299672090243212866036354968107580575770552675441114041498954\
823497309901686990611116794955554803789757351515771379034235965820152111067149\
707835682892561417448321890035132163665562397145197616805966073935899259679800\
032305371877364018657777481111973299514330801079771058504855940238841007478573\
947864964745231975376162269824672840774111477173939722921800764982994612558372\
3495161856 #^20 + 
                    7171156940258401111457423077114402171752880461464060667972\
857692611915549229610341280759628866611037657550064920201654926953527562768718\
663521788089336381693883237520777129200297146015069214481813785104115679823204\
236800896606618031881228272297277462841023598188276529790917483755613744289317\
075415125391497259742271204523215655386657147111274292204510177161105171846466\
869202186405381704939736598856196107711145128480065863809884295474370891299870\
738891145216 #^21 - 
                    3814010623531445294790259605684588299468974846578144446257\
295754233391476014057918604598090061910763319580060731121340343277294677266677\
005003376515802751430502114446993675852611664784221030427134410054136096838464\
017854880922177661144175406526088562267503258076085463285455094990135065941024\
029336305764465055039521175985508101244069428640488562163834888679130067228545\
278048862918105673491128083722675564126600084588338182260109043715560617555387\
727304720384 #^22 - 
                    5044788856886230655658379849614300805692810674053453651908\
112478940166727153765895190992016804294422884360292904781007538959210322270152\
354225738293310079749086841483443789910630395031450895776078280368186586212838\
974641454971007402656089356575381083451849972055663621567075979383011284683200\
230538067590817640548935089352367241936866812533093562451616084767147774160618\
490371152372916419518653960549103097017106038814162321120374622584604597647188\
415444156416 #^23 + 
                    1053945027554723783016379124504797838449571820546954334566\
906916001509903335020637665306160136583926268215229534241967935361094010174050\
344492567005427833416236894303074809370591433245222129538547108225141831128925\
917802301199602649915693890559957961177194379780794814691624413307000944321347\
259907329518267593325500547222076089781131105197149813454472369031793007566501\
959223599868896712147763662041276612157115837598890744264902935834971743081767\
8033617420288 #^24 + 
                    2241694985850645841158200169512909069188796047810955506560\
390378372364354667352173036301199894322812207436363306319631679829483926077054\
375051656930253386350897155563398471493192744630505129735035040223542411103220\
105183349158177931939110967959589225075171466034498848375186412402107072895713\
741544623599691941581398359286547879141148994391678789439350984925145729587274\
517277560975895494597018187402199737494268836686999580633695480634570471279579\
433424388096 #^25 - 
                    1633855560006451406616876601190303578424011420117952997247\
708348245298271667974242327003694312050340964792158593411433522747472009352819\
285154056700573494483424528774749883167288912931300769633046122710444940322062\
055326389164103736954668483746823343668627115568599987115801261674288703551246\
011956621978458244871527605026184831106119753018405208870065382942715903511954\
509263093070741831771485039220026689777512649557766196891414685062023146646419\
6195210231808 #^26 - 
                    6956511291290566557080231989952406663036350830599634616249\
895286447959507620231120711911623311266963543654988843993419598925980019169050\
935701042778048240773568351630599968257442712420854382248882135117724478940933\
810704834970044417514350792057438736318316032429626941175480865100600154564742\
820904978950433803507053685046806116870815508869517892949196299610801327998058\
757602829255019390534717614451722984892785539729068728504376113500201520926601\
94703572992 #^27 + 
                    1730839810348744735172539785158900439513451838818344681489\
960882406293781512783865240116108868089222421773057529034742273526695299654010\
404858431657541802830101918255835858338916743796579541261579218253812444125902\
220624888826391247257309213698678454473337013512511948478523186890247678363503\
269750288834984564370286354222527030638884134302318982823667212943654232944785\
300366871148206316908798198344381415321639665530684237698313384268247561369766\
7143447871488 #^28 + 
                    3693005910469713331681300452097658662071000932614519972218\
107531729345844611114483189029903067562344953100729150271908064978661177833024\
522123251485679463046186667372140758413141294029148382720516268392780584725758\
833181264266237763457755827886147326646331880056171035809095034098853996067800\
304112295604210938105728321666661729991746713149511945120765538974169655110779\
400991860355914769878089635518165758022341782814408135897409277346409095697648\
39970045952 #^29 - 
                    1357941331534905489746017600804727747134869372789683967320\
351930274716429209228861064586865212356163183589970218162574199242654943449404\
537400353576529643639608535226096516029043594562444744349981814959901203424489\
280126492711636168763149956513211499186803216676659064830049751801883161016818\
404573506091037870432771004484681747239040259607320726373694246175990548107075\
671644030592992985252055673774547767068023468502069003747413690838968784035080\
3809104035840 #^30 - 
                    3261941935745062090739174872259505064919016321865990574673\
685071553739417589833313074498223070790820591957405678286341821994401658050009\
534349356707738080618622159190987295772524773921936971446068107521394083885397\
410507676089248374564825452706362637582551068163833816619362933093354936339497\
045636240728429860493842146098159993261768433260136371537068579398397946594631\
671373846046732696548110568877303887967101834441208994196358471621513406817052\
05994094592 #^31 + 
                    8291476451351638055440912527105597972721257386609426013539\
723450746924704548310537377300824398619561990067421542488833857823915025716815\
998429291185131886000036054124480007877338823195849840422437693332469150861547\
657455283839331158991410212624721638224153392495713336496482698489600035894731\
320293086711636452611891518953067836853282450112525789382966462262723839158271\
992153177553076916484098629918705018388927131841914758631664292084804815803162\
614365683712 #^32 + 
                    1843145463941556127612962811782117170636306489674573883178\
882587332880062069742910973247322257553807234593748702791070079078333844156740\
808698550017515886788408411436467506104160499241709317338993362257159914391112\
090288549866262916956796698808254604434381253570541611078565680621447899420178\
476395947042236218063206173446812223526787333248717462446264061230599459084980\
338203568900213647600112871250884954531183907300871495270719698150253080970315\
72167852032 #^33 - 
                    4090363298864676317318456319843135001752471782202183683394\
972664884003350550293213129782087603758444903440966705111435751450662961407403\
424792175226012696688003075866382435793037319875110504222631173119924728932188\
703277033094807005932543891715709529317566318206291413375307692720895200518107\
435414671798664481238072567040739409555590317721181787342565312643200745005259\
776240228673094933451878902509980875382761450558355620389737844824513301019362\
398570545152 #^34 - 
                    7289032246564531472236527724210685541781544457531292533082\
602688628496631921239967909488041787559930284442938674545576149877030538285367\
837752922228934159806502045420572678864495382558017616662681455640766789551561\
104545537052092190041499481552065548733110296716751793338257565839323915268590\
702353125871811534558666711964659601240649091294210767229363724763779093083353\
438707105661690318339174459870894186681619286530160525113711671452340099195390\
5197776896 #^35 + 
                    1656960664852898892604820906774319032608995693914785044901\
385751795411093196017361587858093039989850502300937331569662589630716908157692\
121437668991098904349316790349765376701800512352117891983226773639630895728383\
665035667509427365840402739300141244326856785312095304635264287139720600056553\
031849417637709749194814644309333389022176849921382165459486653647633433923672\
242394375368250644949267802203399185927689216369466938076697888659450477556595\
520624918528 #^36 + 
                    4020029331941081012212970973902061217593127869016293365791\
067400561118543757333008134009509455387461608335594044197493798748675500601706\
965087812966304890434561972922692844002845537804321697415757304571393618680832\
501441580287037480455050302914239737078592264835154604365354945343472621681958\
267069303667375410211271795374226620860728295913308529357645130133891156101497\
727544552710925247211771006380245398124682852356319006805382610039746785308487\
5684839424 #^37 - 
                    5403987337988216321556641021058294951891117402158794016862\
117324191832557061753714860467525129735303842904287265880323128238292061016945\
061932408944569840432336514758761779378945600647700099212668134896357551658078\
807605655003305827472749597010452200144447522852604142704912335241994946571533\
513326880178294561995671243982474130622512333326279312366532607094739039132812\
111089757839419476570219107809318615305480410697442361286160982751104526085325\
78901688320 #^38 - 
                    2589126520167820281571470547956427359288450032214072035914\
254019172074857107760629785771951236751689665590010177777825332570057602299296\
906398233531534364106535075971049441742577753840945834161338204826517830172681\
590228284273811561041932592967568706327232411123925034748360455682183116058640\
162362585064909521337517355722689268116904044655571791909842126764920893421672\
446136887751523858840401123154509000886814506998672089704249152006542708357484\
8509706240 #^39 + 
                    1345030725968781624863177214632003301585568099584502985186\
140400175033767675640856779227098266005042967349976271860833160871555702569094\
222920779110115757595124460626536727226281492285352072092575836849783543105203\
209801526424125472485476333128476080510745932005572029136570454728706194837000\
392291208343469886147638443414232508313100190724622073203424885833023629623364\
204781141198418110836664218440669261421369828936593139900152814261325976040719\
86922782720 #^40 + 
                    1070149643454362374596716319337328933267075409400506711605\
193864425552111977207071519291903371697362372467244416955489728397378482901218\
203531954845996537021206303559611106843499896651777648972982500512151772333285\
711118014832844016722971540692469324380738139179655824762825877611116636946838\
800457585245364181154942745283059072820532937014732564228053613437848326011392\
030699128817951734765377640690675009779208764089063356609903201661920723247146\
3750533120 #^41 - 
                    2349569871378588991484369315052794534199710317889010251596\
154431156966998332627283648108773813795016886442510651224489842705358044644691\
487165824754731288428383262722725193439880066464652260293366013045027403634217\
956613198716447452326761478518849772435409323167998584680419418576949261292641\
602980989623922908480954478991837674977497073695960396751111052512175451217896\
309130289971189855748328907202079615414894081183804174602521820608681417266469\
2945715200 #^42 - 
                    1732415647463911278323443794979818679253183126091908832072\
133877921848490056100270678640018980812740187789724664609677353165591255709339\
092977914374162698170582372476075139161698519710090378259149799746941446845213\
866208162499135979177734844663290255482390472504195996498777783111259759921049\
042849910122049857530613175326304082882934866106131203918570417837510782624415\
143531651687000407623731965175206393636839426975187153460985088106188260245631\
506841600 #^43 + 
                    3319558454587481604434920545870736204711448572355828756110\
452866886611630251740460957191000271845505226801893106156561412693067375522531\
645676075753026589856821150502223616742281625179992021562287479210721735870440\
968973984614665037567423084028845236586455790793657866894291519898706169065122\
923791364819827982860588147571896303963037923466546745207301645209082365652012\
780248409418944750819904619826914875214200663626448971913597150333862453279226\
928824320 #^44 + 
                    3829005250969618453567682278383113488999898654792382574379\
744176892701596580486538305102903734356469959240795594879195128830684543115384\
620476978503835747061113580662231708394780000608453680482355117417953450958622\
599747616038566934127755626593402242653600845783310301749274055933522221305133\
482526640413366591675306455098466320983355535225916027437154013586020873292014\
237283280033124120692945143287638224071990079923726847637521572455436839520666\
28157440 #^45 - 
                    2478107957923114337042795355787797323851285790060879575483\
032355920907100352710455068938932221741601251882390897908293559940439652902604\
260338382133124599603113732591046127838797498187047937319699951808359785893667\
245989285663797919798977338993791003217649504035630703182035027755589358639366\
559133029856962939341416339376736757741573661347721499797544663961525994629545\
971242763111358593454649192437147459760543449584284513768738895073222861916938\
96089600 #^46 - 
                    9054198922960501879312870582769518768614231140494038379998\
026582471283776996028389137255407413035142763108359465788091226564791936988538\
185476728342224858898223853450631654827295572023688280248335460107454462144801\
060792634414425303400689135831535547268497511690987839470321280636151519986091\
621735548824009919908961343320549548774348608945188899580130258526546363513036\
170101497360504675273780946223555424755190831553098713497499050219503246381154\
304000 #^47 + 
                    2940112705360627317197475310919368668921469419697889897528\
709903146263348960872834888884183206134107232668786006923868748870679370632286\
702240041984192869372224814519413694931584983212846015687618057156727147209250\
179822893704112593772878887641072335829904514213825746491106115543915591807076\
160838606690316551803057063266491710057771718328207612735859640277908689554260\
109437203737166156568241812237098838869251370292379485313388350283991544424908\
7180800 #^48 + 
                    6674684341999743050230156657692501709044085674947613858238\
713157910584843630912676583480510448669415329754542355719140086703170401515224\
278601908429051006456287624173028201784441935109134582148519607709512575046985\
649335603230588665890178954409862793478949663567470417613112893289579968879590\
535805785731995014107118274470419922114954516151266724362806984942308639817314\
596223835369336279247899848085160705138699394260882093875700065689162953664128\
614400 #^49 + 
                    9364663755835852525275967142342113019825485046259379503582\
615564570179562640795880578461024521650212536620646949260790319111761152870291\
690525598480352095941020393899846692758191775646320405544553277756426869297844\
367796500223494955186855356390990238898519595331323979364996987551230693355533\
316334530335899272781862886123901388473706369404207270091143567096705286481131\
253080086279688164303401490667377985045668194374882473351442035888882021334060\
258 #2^2 + 
                    1423734722002224674853567219470687004784678587642145133497\
359296782100909662037272600395381475737966209678426308514744908434135214157806\
334407213816197872962275507071942545284294431354043611526048118742216353370397\
882324632745695683300005077766147356968327114082952466017922968843295975517990\
282185110572878461222443692742100468983968371872834168433140312053159869330619\
624987427459311066324169383977207825107586247032909507967297414433328086223209\
50608 # #2^2 - 
                    1098683329671249710976907596991698165576631561376161090510\
794653505053715909580780460956098940298709196626660129422572358939399441096868\
636390961763948820871437323695526972752854037072167442477760647724502824768064\
948184540050625021565975902414259082138206453681325661610389398327633648360556\
007113591456753063473155420784370652357880932308704765643294691785348635280950\
972332960532421550559189884886528552829088981006003622013085019374491738775552\
696088 #^2 #2^2 - 
                    2094494096116443835090291029562563746350893949853531668748\
912200898182897024596703088897092270655062778748671345745298099128906669312041\
082356954723200901873922301303540413082595090319197714064282818907892711676613\
067465610917865349743521864525332730009870200069208049811780399150926630598408\
697147994571713172870474417995118058685114816771390278856648698300500377607762\
137118429075598520932737360263188616723317137451995292564391489618324317205737\
2865760 #^3 #2^2 + 
                    3067780983265431368530764699282917741228645983263888310353\
813517728286964697887521863626245396482448148019112052178877123552388935328100\
446163192524517922629024331469081809632396589757650122535677013580457718382104\
234878544365646046163631814050786905407330361470575788460668050400814818520221\
693762197777301313566354065557954372753590560994671163276490055990563017404301\
966960982711340362592941756645068583899307225481919437222624445143394193958420\
2185504 #^4 #2^2 + 
                    1143791164630173997732297242565861550016495786062858855791\
200089424815201111580276999791813258387739769599204917780426538968410398138666\
533243760213288326924681535222634852284581049004215903780818496550717156660047\
433089010716577962043777415494479014582974694519199982658000544970016619019309\
989175816450901976676214864848638288657333864427875475317730426069862171977908\
903528257296838083371406127660491725159079992282133728047457227618634641387096\
370252992 #^5 #2^2 - 
                    2448174220829461111222350734193842894571286342019784123656\
682331330461873983068671309372292380081160230048172581621278696204516180779758\
540211402365613515438895415085530787781409462132935451301454048416801646877002\
204715578459039579149746987688333213478685992914850791992228664539130368094513\
920154261151188393770257283240845837562750310811422595808768592274006040391380\
559033720779011263062302129159165614022039923432551803475936753634536216868803\
90726016 #^6 #2^2 - 
                    3128615067876971842980939642410487589585096542334464600382\
484554796520840225746830166568123424039724193395528221408365785162052275675046\
582941488453789261010074066254731956405276063966990522914532034351272479903361\
763798130413216734801407164489590331040551754163556406911406744498030132480079\
968162907357239108166668866475330854425067687008233977841024080544855583407184\
991523037453984310840023314814004471714647103042088987954110244941809146853730\
6815774976 #^7 #2^2 + 
                    5495157208902379666537801682649357735239001006187624544157\
442316103403686366850273803492514712192100532980862713949807195260132702509913\
318926893715043013952968124793056737741763394744230234788875359688764672542595\
397174546713810096968974172468861591733243082158408732925133885749846001698715\
697442806037010226477883162369157862835722495875259126535864553894536791814838\
990046659368457787879758474699644260872812660119613727867670736609348725586028\
289684992 #^8 #2^2 + 
                    4421266360290430899454261972232660567162730388369061542426\
266153511827770905861172167340635477241197115523901996554899469405916403144643\
476870874902813499518121396401027129122359536556165333792541162215954161777307\
612966796942177578616349498975817256086661195749864977672623233310156705013583\
690976117762212254525937629539532354076667486969670033004260005134446828770448\
921518553022309077740515524552290076693442414345625219617250372730240828620222\
23808230400 #^9 #2^2 - 
                    5781714711622145893102630493836672985207193759602905483426\
512604282638456067474960617309070488002209087495901146127722171468886921063580\
152974832436606520108466513967674228631996501789506476068688085896039591044002\
338064475462036795577152420837410343051076632271746966727914843976330911281134\
523274788822591911449135848691057917296209306125490779986517919968052468583022\
697902217226964865499342319567371125123837764469606730717081062914817515087351\
2927074304 #^10 #2^2 - 
                    3686895209219679235913712871098449848084323096180361084457\
200489202165078700040844382954049130891539225147285817865342601725044767759476\
945203879456703275217842978027210892499790882315536554057432308543834562555246\
463002001948409285223282793306390468648192073670143599390841958233193131591484\
973794096480228975566362681909415856365695739548452956789262595741283843454441\
365909850277398684499961283893736128246339435384715783509079935781717628194070\
114910048256 #^11 #2^2 + 
                    8184339038356647467241685538550534330369275115602185219776\
055417333393000987431395371741053650115840406814063398423007456409383247451461\
704472762858999985380229609796625911514836694875216388179143655540729703699307\
949617132797294302046741808695060627854750417257790948273807828768023638062814\
050014297049372209757075254969061712299947233490857108409556641688165416624883\
641815660265531597721612308633325928040350649726356363003694454382442977531916\
0721530880 #^12 #2^2 + 
                    1959992671960184128553413502671957834043305415719854188673\
824505290864091544166959372546649422263245698248910318031884588966304936792989\
827565494275393473112898681690251386513486381742471758256939085280837287476903\
240430726999395787663574006970529298955150769665386897806492348572536963498443\
579143912464169184013413849686630201920752777095770711604430729009104940677701\
683192256886084790340522946738746127029595411446731943892610033536989476573895\
1724917866496 #^13 #2^2 + 
                    1893449645515507339595510404992561234856605038905502320004\
999814957646216464819771080675043209557090886926998741468764769004369788996724\
228982971647091309416102069680904539100164269248019262457753581540112816875298\
203363870712133350866518403737820424879433245685083016824395191634388420400900\
892859579046873481364719689693906180852642706348124395085469397717153872048110\
009940014679371631188760562466183398280859662326074958862329057440247941390491\
060670201856 #^14 #2^2 - 
                    6899275351025055243364201866211704851708290039538436941682\
156486150867026377908608333824236724201377303721453599830530687639843036941467\
166910693697991362325366232019289563965998238682016504772088208134799907323325\
299135608930692600268322213493414308424106181065028133803144258994772547714568\
176144929668572620345936835688658977286509297449722250782785872461146863600057\
161082033316979909349693736489990610541754381414981534297066669569251243752242\
6793133080576 #^15 #2^2 - 
                    1226478980444581572765455019135430436776645270825942611521\
786400358350790805867047331523508044624609714103859401684496742439607516623214\
436633377032677345646933731607825011985277303791417307309914233733933273040278\
702802520325482803971246296623658740755835745303199662042886873587233568444608\
382240083092962503754163750823792221728209998948396955889888950272779621463285\
634491362620685021580880358132128913911192632177363071587231921978323974974727\
4924348145664 #^16 #2^2 + 
                    1635541444749517300309070666503254095780579011900254132953\
819322977001334995508490656777215972211201480256433375915487511872079553185216\
757081348468626337009144918514258246782782683892124805126230189964082557062465\
080260798219365640109029379093714852881020321798151255005867239728484650959943\
309227571081191163520581436695303570247859896036984227732413111847941323711706\
061865500485494255990168563151299249789794918413666462818958365650639722623601\
05347610050560 #^17 #2^2 + 
                    2862117083923272599269083357167396831822307468808731154267\
013792566455158595961129625884103274753458440205315053445161135340906302242960\
595578933482096055486191703650347982510208995885556234416623921023544845805432\
226364373480969883979607428007974971166903916505490760403713182899088986762178\
565846368464748653613225351706181345852258349559239580669405661049776617855308\
072902774744877002168100847341633214781641226930059234388489959107165989837932\
5400482316288 #^18 #2^2 - 
                    2623630265673601292964584077459593290294489248420852684055\
803402789100607161146424489634834009941827647138218286426757460808944067499137\
107212229312003153043600965024232357069863546520460787782185394120362314123497\
671694684909363947297265092018698067987183040724206894095649409049022670281262\
511625529520748550101398677396820776816311067059221303118311429928226341840646\
537364089645518838670663403359662232623583459638565348566079962709908778885143\
68400923820032 #^19 #2^2 - 
                    2497403116637417668240516035107500487595577139524837376136\
073709620361094339831518442481936107915991325237372837868601932552899500137790\
388567451426365541638907276419864182271443080350837636376957418583538449367676\
004080289233787764972122607036843846900756668113194688072453462374749563410939\
194298124195965706420098914544779426980126547953547930546963443146347878902155\
717729975743643078721870044699150513979980841881580510662021208766549390076898\
042884128768 #^20 #2^2 + 
                    2835372077532087351473313119361276096141613976864646223282\
399244618300209297403154440394487168966320368124583251952050326754198246146709\
673272581087354065925727117341230020045898009352929619993028338260091828577537\
182110833754878481281998430797044271083085922289496228021210108875111134082257\
367279471761725406109111012256078126763091962300901344495211764258288319216739\
767720625682558097323806652065009279259259428268572242485500361259268936832264\
73132248268800 #^21 #2^2 - 
                    1475001578691858638164480071229486654598195833873417043459\
401581397413008672345077011131349797584555502777909776367880314232727468727367\
869275900461761359315054289565753437802251334985327659333491404434434693467548\
757636837670933103324819578175147649744721922535112139843223980383256668429486\
587957373476242644446273140135549124609590363586441493062531628729240393726803\
338550721547293453355733742421315800023139377878291369795021276468133624204309\
63551682691072 #^22 #2^2 - 
                    2041760083718555203054092814239825839748541010371577906419\
407976538378372285754387287539525055884350965425346727116282497150786699556061\
838119654113171957996215722151055422914789238468927146035979202490800065337752\
511024897857935890804002048734288585359574996175923839602397611943959773852665\
979133397019223534408143217145832066307533841968045621603602611891410763776299\
737457247433005715028225279476736336652135836681923234010832161925785797145716\
71368240201728 #^23 #2^2 + 
                    4146171451898913146258212928711368633746001216869720490247\
944820534259850456132296260831431693329646293452470786217794579609405808562583\
009056181959302367958598166306678643612907830377644805662493969586183983045993\
438437941859401601079227778869865795638712836545158716214414860538267374392936\
951135520325884617491695114552079647933338860203877926691196390589718044612177\
287569227877305605472515597247563564472443541866731818147762544289260455614714\
52920818958336 #^24 #2^2 + 
                    9885999809133756057151287380634014812148093561653444119319\
450658530394616926012269716543910934884685994385008213186983906561863295330488\
920583161331377344860318340648160994874296754477591385399017112002271398910156\
803514891853833523432778107442315666996245617297866439130661428084844580308714\
753062676148788224434084880084760924337577570474810302313842009922319754006453\
777335128690820231670291932173182107227309473393396746301307474182855525237109\
4373400576000 #^25 #2^2 - 
                    6438795268067032256539623371406422231553152395071116070703\
100486691105735158246207846639252318566286455161645682636815463684039460679679\
236548558977821805013634993410705709081421584988087777420213377207619473714897\
117345856602241456162609421478153279955231053906796273752398557833545582634092\
142560031224181360680109421776632528152817794658692450189594561081914125272408\
503690848120336181626023920686913039779119907543362527221275087221168642888001\
85223470907392 #^26 #2^2 - 
                    3995968175123197719218450721470367229569189597162852104191\
668646962736528745486759737969022475634488384572586690235713692005511295757483\
309587816788461518318839176302014467778598692788769002393397372988604838316635\
126352637550297266303758876248146568607153995900151918758492611746772445508202\
696961587914339787958144985860435487155050920132330170511247260622240483299164\
505978833716929533602477764232652429527257028488936847398331843426554627691229\
3127403864064 #^27 #2^2 + 
                    6817658412962686016262670167599628743498083758116563966227\
305410967179844459863366193687489170580826233256151013260166924359999813529484\
318821112383172230081419362307075000480741874573432302786002106349125078995332\
469098480018976407596599693682558520028397972654559008872911129213713755646620\
860118917664947350910639423786964791018124021381453720876437555374748288278514\
542726670646867845396977936397346001837363327194712589094716496210493298094998\
67756290375680 #^28 #2^2 + 
                    2510129909226120732674904743058473331237257898333446900531\
778013745937366632700722294741910149299222028268925706552584717647573635432479\
881744711173515325295998069126627739492134091714604117182481055772239222210158\
311433565843602968825168677651707815074660072612410463072580949765678385008905\
296114237332792938259603551351078282291059671669028361423005430301119235229544\
538288484345310207742814677030287939443528441570955846891167579836878019796467\
3027902799872 #^29 #2^2 - 
                    5345345879074869435226582630210262083963062134956708617659\
958739671041947986879176014661458836040309624430209313190600641071204760645718\
603479737000019973203585419552475614532792999219127767193713918131615799854968\
353604165872093589226807167553546224823877034765910659709504617370924645071257\
145404556727354396929474093249243212138285848107673257465247400725923159922759\
377623177042711817705178074836018183096170006893575234142369775395084697193631\
84778780082176 #^30 #2^2 - 
                    1958589903837272785774663817747755597865427683295091173821\
468937954159713413539182307886277180356229751672965616239038176412668453516579\
755780348995847564386220738414818012668222174033244697978622781283988769681127\
522952658898374458872313071342085648308949249981131855413973370247389396448606\
348056213145809393946921932347032469245552887145275072423584201565521114146418\
724005204885340737416943347984541142825495010572225868981147120689797609034408\
8091542683648 #^31 #2^2 + 
                    3262747769492669792051773709806091574409057034480955374403\
018211840634307257526927345419814139901634013612262401542529944591004770210881\
632359524658433980969169041428589268645676063707037052293113801672840535616240\
376998467399807108636621601805917059081511557496420715574795777709434045599402\
550705448485859986252788704797941604553706943611128446538476973369560537901748\
742242882583106200214878066801284668421160093184891473721847560244213819754744\
79135973179392 #^32 #2^2 + 
                    1069868306768478608006280627571145137727357922604415755778\
408445733751766059058903265178321799370525767532368720808287802009511050525555\
679136340294208558549056542584224756759877921777411976778472938482291640047471\
412339618323102461567695030700011955559600729967647934026693010091421867323151\
951888082005720167268982993105473780344125653515949178697671283008423335425400\
852379613289133385526957701281774493139172776268964812122246309197585423394780\
0839785545728 #^33 #2^2 - 
                    1609404647668224717235105456432549413521594382313608999694\
901257081246267135874890368300815791604949356299551212987418113384978896317792\
385527543876865371584702321988350630948076568571931401823565731778409005361561\
387314718548163761917072892753461207828287845452410400271386526642399898619871\
168266916482001195648298898139499607417050316671420137148267170249348311183261\
109390515506777918663081485617283743399730088471958281328873527753958092755396\
96858293075968 #^34 #2^2 - 
                    4309368233621272551258987314415176291672232826233890821874\
775697952242980142737257563691512359478648064902506792520510587408883477782797\
194795014462597043076984250694090306118735262061782028585706188526766202389996\
641277214742962238581847567776559115815277319568672290834146329033725755799232\
882630766271199638126011514841337452874902193488945074056502215141332489268115\
322271271720590222882501171818027894872530635881670389714800733296567352316698\
619063304192 #^35 #2^2 + 
                    6517664292868662359387669160137897170691994698208246958223\
378789566521972769657131314510478400480844421691494459851408447914683662263552\
912404026926642722291513671294809186150442609067084946415218759663137549810763\
591820805288983148578175547808842009637692410311351617931106479764755383116421\
595488131624136096066392950115297294923555669799053816614868913113789244882997\
652501339623739098194389884925031728740014393447151047601746615054140857265677\
5590628556800 #^36 #2^2 + 
                    2066952092829351390461507689300258747889409335138371641445\
491419617213301579119075053334477061064660580222755426389100688289960647107620\
869879393341519739483464579306652621780505992089502091117355655415514545437462\
068065228088962705927999399589307218372202738869333929634954712877848400093203\
915771205953321630078984068923819753188491680028429244092975840605796003004871\
453625548995677813271222440942248357413159948191836921454952126754695401409349\
411777019904 #^37 #2^2 - 
                    2124199185140850298653896811686986999642966845536052962689\
119652166273030242955485998331904075775812389355533033655148287816779251678010\
219195305388432257587309457710227594772827375354130379475911642790317363084090\
089042608993520186536526968456256930974800909922426038543904492327059326660384\
828912814613228051647364712510857442026869498009904375786355894999055514940795\
586194545049382439793327922616310810499696373261952727982840785042232129691205\
4811644395520 #^38 #2^2 - 
                    1143111161572758297118947857383620015785452575028645515791\
213596817306928273991459863461898282027996338384031057396690662136289972386642\
734223509504823681469260768395759790927550749187965929602133992589511439840570\
362643086260390228721927500070515411385052281417681246503509612337002278876981\
962380573058988676325778204863748660979924257126802364967898334765717173137569\
505326043931473477144451462331762738370737352679988941154497421302269428870038\
747149762560 #^39 #2^2 + 
                    5282020035001777944560190723967381857571788044292973896236\
059214060108942937892652964631038860536240927766877651351867877427376220303993\
609567126481547305330877664238619005543965720686153784554328165908951489368495\
396205962407122083348673504642826340527847888253424876129241431202814776646728\
277019904278089241167240035531984420912148675964527146989179401844687525405738\
988101319505495774558679639210920697836445957643728765604170069540319961606176\
598424289280 #^40 #2^2 + 
                    4430510755999344870214853334235157087519743474402136196930\
013014741957127257883532387329784812035307874234711040693590061164717347947146\
651950197631888394383869706115590850411461551060727267513687892399419882046355\
191927089915748427150034502303786949993186494783460910828607772998698885655570\
104594285151376980375646439766397662660273389915152648636529773533545047135785\
648316221824977443149516249140444803771927524468721976134460748120390837327133\
48645519360 #^41 #2^2 - 
                    9228138738634551721075682043205415114385447272280774341115\
199103937737427807980474275505143482138665823252272284905449877709665752849309\
994900612565688069054595858646963886272229928392795956635282416839269776839890\
801539169391341281642100815412051101736266794181037781068273638738194585137737\
963812842117304442765269655180830443716990029060915886320137439559780215868121\
211282108907187164008051219443117156640598300255019669934946469669509027586340\
56193146880 #^42 #2^2 - 
                    7135457655648769164993075824450589982720547711297591258681\
657781796328322292928270659197891519418408973646114202666231100908949646239627\
751164928775424488041930664170754214303827465204858316606074806589898423378297\
336649285513790006946580684809865914583472330362096456270361198652667940509671\
327142806094767050164151174078828940213103759668482648297874526162577018445419\
120970734803372935847464510104737005040255634145357933582891863299300369656359\
4660413440 #^43 #2^2 + 
                    1302198232672196464475157426552424680539143950352637623785\
965457005284666217736022141324204618171375329837418309478617135737902269479382\
423520318941571026584828166519767511981097784362467706884511114196021128355075\
292479606547366895719092257213205088063915631745519038156625760551285674657329\
792392792824976955258137549934875169511981230576882421798079235157051646319052\
561652858696920274943877088807988894037806170875332207700202923532027858766485\
46837463040 #^44 #2^2 + 
                    1529829462527378190902495399917820497047587274696968355018\
768831936231195245533802235575121928950833271047193399022856796279901811342734\
197503183170247125924148799975115227799660429818552374319884578395484885244773\
633218921235991942931810005290495093519352303471347396466287558664310877519262\
514287787254842415899584979289346441268208655550735341791651998476097732698346\
786763991194502227081682216065022267023320299516319474459581706416647610886894\
6954813440 #^45 #2^2 - 
                    9742841913920033283753196153554793432759248208517539976390\
506196368351243581292025025257501970738026475945457876988485467670889070721096\
762547241020271303069954069901609498543946118086112722738308725464090144803915\
792118446146325499932619642880273461185979371460004390453053844765047197839433\
964373777869526941660069468171711177678715216924484831074315128077165706119861\
172697268292622533334883937985246401853576019553273098464473402433553098291487\
860326400 #^46 #2^2 - 
                    3854371294457652760140880536946647647924042539884436836015\
259949454125285394509576952468134800916148031106900415524198499751136637246916\
474554847911060036390260653171089608103908197866961450610964442189351620896025\
732028296021190810697882890889960485932707500681115186835872128760498586910170\
060437275230911143535453525613676503751650152819320074097331796373967449626396\
478990446340100835017146372351832111616190689493836613715573658028581295179920\
57241600 #^47 #2^2 + 
                    1150009915343253934683881016733976020670479645056808168848\
068841952530877096119673192649228019193024011821609964023262906574372906871784\
348754639558754547382540609147920117929113144009414677696761090927266551847325\
231202209941951504588037626648364765765395675914543091565186785059260241604791\
872279283408301227172015591375825724906423071898793463878603719723378349630775\
306817589550174331498109044260773220064644889429154960138194159924453036163229\
286400000 #^48 #2^2 + 
                    2625824841019847959636429575089857031782274217588816235535\
008792827907412779019945706995842037437589022195527914128435767688955401528951\
061636926392594745117066558413711681536395859241981585330721381709146345041908\
676633471106219473291011814746830739938732680751152356158775704548793534005561\
471908476213231198205828920188762780316517773524491319979947199345384593292045\
263106731483797565404815773212524650359530386685949818613141549851710699407203\
63110400 #^49 #2^2 - 
                    2639246531296486338660747043661608454890597082565719770180\
958178324455641885879049623121623479461371286283887643685850097437243128258035\
820491826746588694914653716769125058898246786088794875562957400700025552541273\
685286723735676789045283040830195518337962285077869166647470256492336697900488\
494138636174930730151120858449432258210979031280035994757741619349153366737246\
388443021006079791255994754230240617472258366584396713020893492075717304888385\
3120 #2^4 - 
                    4034323977915441384232046291824048663732327595375948506136\
189286415703929194663707853685293995550097342926285970279322057050410896610618\
745963890876180287758845218479735805991619649898239036057962640313951819405306\
522688253552512765156955873192789771694804753778019289852921857276130199113967\
735044782729966262893428009105320080466395774301120540474380070462695953508250\
212140521814239329442389487067951485747026987377460814977009824014529730605255\
44736 # #2^4 + 
                    3107956243474636060869384734635422036150454902559029928682\
698471790353177754013190504155279082539911601757879591945068679858360971526085\
792815069680520406570854404524007599411065118952433062598710204092804495075907\
250892131747859897878563715472980496354548134559627199828434408320300647177330\
555386306536970185940316761813118626985600298119210497612187133799527895093198\
374098713332615820823591235579656158244230635657189540762883293774897046799208\
093696 #^2 #2^4 + 
                    5941649089788303662208669103121871942111072510077893551228\
360547614259374969269319547851958086666149284306176709691261834995424569350638\
931881242813320105562096644213437943619856163683489037381746816570738068825390\
038715633174160701528321594558561816368212610482068288894352429322410193557295\
457350281481615629926889090766840869797948581880008799038049916112280295580235\
750844559354605008647891836802929625440162245414607233289509303443038293797642\
8978496 #^3 #2^4 - 
                    8673293032739418371676376298126244866235587812415630626029\
664226423274220586444452281601606598931152604295935820838389145544177502323595\
457696179655440889238350145482642019174831082994990962499581672459950935664173\
735392192520518396991574445580660588317545930381301831648263945000782781324431\
084342874865229200945262869505836698166986606754161934732434735998522441953305\
529634277050679021060477593668413624594965023250109904888864638508768199071528\
4399872 #^4 #2^4 - 
                    3248102821118504767337657378205675339105836687428794971934\
866021360961435788443551231890070638203471982951161365202421050956225783130248\
822451101680486723326183576817746488861983569846855725639399958439897897153911\
986100872537138783164663731557602357398887576247758795811529597942282213514229\
572306776324936617800829593438567713239385687982091893591996212383493837586972\
565280380344942060238270207652621008528878206128954949585430772704342054004283\
456673280 #^5 #2^4 + 
                    6781278407023169870242420184735704269464507167009525436918\
427333640321748252652933310078798545790519311525023755175562828170260418101382\
548100524254147405341591953887819717311532941634458772952492132565401783659379\
115279208839405748695865075101451030271790383897970441769959902216395853902004\
314817720421642083635808988395283654883031058572021536683293142930684601654449\
724678294724303376115856561458721179627964795859566148945696486403856931163066\
11880448 #^6 #2^4 + 
                    8899153723367326985922131835027523695833151015118365396091\
327224978658965390472411576561857672183894614362169611416596217792711648545065\
474566512274902297111438744761183224641453889789884272364623800732849509401533\
108530930637978405318775564680855573795376741947681189413971523676284254890630\
357639193489054286688626262953708391434933671014448251473763278452505844143602\
052284266835592803510597631334525742030671696430639005930433809820349451865090\
9343541248 #^7 #2^4 - 
                    1551943017674453482655167236850062141742785438878747676937\
193195693912599811709776938226327063903741861446720737919769427974646784186920\
890831155262770876733969776653963761404262330789446017798248002316456405238253\
557042490629996333599572819648349577163171666491058509616041620732606337351228\
148094350895574249679043905267398095921422584351250110468644604459997880551207\
091202836819878617423236473642227689674900758375780080662656971232898274273851\
0408923136 #^8 #2^4 - 
                    1258663546796531215571611375836225576133784310698830951358\
933059253187918287100735500315718057848311529011584488550609725118988013170495\
461299458530419929558436378411702273866087989671887504054181570274489117389200\
262826204555975597318645225434994059697466531207188079084211565980791450943715\
609371551111074239488362290984639404400978239498308261752445536189898911970116\
110699749570226374189896555682854541035420945668358619277129872435797266773742\
523007549440 #^9 #2^4 + 
                    1653216737001585978231602012078489624167313725993825101639\
640442702763303337854313027873903357276891198053831651260907957418552990196290\
822857175268063377311649824713154143467427485629255595521537446796482094379030\
870302671619850955442301376428615113250826413205968161851180734051766046230726\
165859325457885888180269018080424025852145263087704664185980476288586052882534\
771805779342896649132401865766183240938362839075347787580744519503900495882568\
06794625024 #^10 #2^4 + 
                    1050108493406913697590740094764054066939191220330767707119\
409466120025827187361289900966041124932943803377794060806452792829607655094046\
769167001995364639013725400817012881493425483438285537790498110099133657189835\
471214988287092597635700859288537326347246262243543722591840643226599531242926\
951546439711786695588301880893983841952586649578618072584318629898319962439914\
195678777810225025754821748905334772586093049032950237298806008867281387110764\
1588892139520 #^11 #2^4 - 
                    2459115089401885280825432707529832070682427037122319082995\
403373617912802836579967644079311957599603686488320210046777918350130715966667\
964670148796869316423912291808713171430061192978130570358735235099319948136260\
027386398481375470492275448582974898593164122869888089408831428042609460522248\
490754366388060105730417091080136598002140485994676596276971407012000142299027\
676181493463210637508298124997712080701226902828573044268116613240969035592503\
07498082304 #^12 #2^4 - 
                    5584373943178923323608095802076774949419064976718009714572\
598527185324815111784391028119941031867670049844693333301562919242456640580100\
755047951977807123173160766610448317978721773417535607570845707870377282425862\
200039959685514905049817919018140772614973105425508384512610428362671898771452\
503636690705220580600516962537882549584251312910145347221809956701231081868393\
480387600675500416279517463635356637605762687086250365225936131973840385386392\
2862684110848 #^13 #2^4 - 
                    5320394193539574936862540938454649519694709782368086736274\
225264951604312193195466216890173265394189027431428303813379601622263188609451\
084731651724828182542884736029340261300663882308656288128058036208115509992734\
681397888572457287396290424743601281564058442239360708357613762171148643125438\
015013394216031456934010050691685999333239823288749687666532927225350343664927\
222326315350738258388540103483527952157364067503234607294429978517936699250045\
094978125824 #^14 #2^4 + 
                    1966223425790747641134804308994296422646914194875697256935\
923699131520273080714926120994322826122918814224915934403204302476259594161691\
834052799751689774911503281618147554585035769329605509845736255417433653821678\
350448102563757039971506335403788186983445600264424928368217659926009684921086\
644579823717275007887675516472750063045996732633733699649399027062831680504840\
426095423321244901444673814267446395057423674399835930799597253424294384334562\
84783043149824 #^15 #2^4 + 
                    3471226599338008883274079514786173339242671956673925108352\
897000885917681355361835427502963965692864904884087714853343038928544091612705\
303336689971927108821033951232644058419283881427215074335213276906679115652916\
061001695445167823146821296555774887385691538145359686203127388138134507432713\
454408652749811654909710019629955583582685355861044117115509947521901392926564\
282954933818921366320647002480275239575278161755044591482116761785618626261993\
3902808023040 #^16 #2^4 - 
                    4661895261042632505472766606330881387509072816670347013803\
315290237338786972506848439541883295132988883713192478341056593495702996103130\
207915332957683185757485154583264069188945040844528725512448595240292204880714\
232615997197500002033816179992546246789289965679908739154859391122183389067951\
218997654897223485536950679294095267222702727401121857491825992536244226620788\
150946660352355582883951922053054221325481301626277874681625315913202665749578\
99988523286528 #^17 #2^4 - 
                    8110035105024131068612863487603203279458293947729775255545\
339926178942340116128508462765207387174444564912132589325265461288706180692638\
059004241346018402923138825548643341853905822849773776142562143138796817147335\
506358179863995416773887438688741008881410959994643768150002697189884207893922\
651903062964034744342396499431795317389338432140996252490658356422620975146626\
943125779566686334890951358187554263011854244744516655182687938650751331235763\
3384322695168 #^18 #2^4 + 
                    7478562725073489455533485303415921504371473303761843479805\
007852843518475564863378942560717927775524537801543532603843644765764983257277\
641061552258110879853008613677712799562897402864818546232446038638058243009302\
504723958335969140607818768576127065265750147382437584046646951384614874203707\
725993408334321941908623270329771564387074073883120056091142645925816341237297\
565540869878466344738568168779597260676249791129109792122084170303555099513650\
12080528719872 #^19 #2^4 + 
                    6534836232430278711532060980275424833300321245120918799525\
097670223140232616391902461573541391864025153165627667043724782214966459400742\
069650509091000186461073581385783852435758861431413874570554907306078359749386\
720706735227009311366938594438420171471778810877265512047156410115177380071759\
565336843681057403510420040029052033506311005798031338875616275355746662620529\
758553589881412983382234732508855290531989177126990386758247656887464033991108\
842250829824 #^20 #2^4 - 
                    8080192484408179387893273550793693199192338544893718684051\
226744077867642938105661517627336264640868127489372484002732973557840996420765\
884595350344107809366343546229139511865510425749418426785202621570271862722236\
163656056804146790308474279454202575409170802151790137567249898647768574202439\
598622056493371481911378663092298204495337455187413800111460241559453760930815\
270072385989925182596234295662217062842074197917296103439598937502625111906670\
52006521176064 #^21 #2^4 + 
                    4208540092831020124647558023896458712309690912237722114815\
149458774790255421491237983755664818978384406828313887705384885952273824455910\
705395489938323422099561480245195477639887975527184085843547189194561332145419\
421677953140021315880726541695631470687454706956641062543999939008092715076014\
580406637894547839011984195735810786833594918835326927373846171086682118020425\
632101147922313948693813778509340971236351989136020600698120436832169804379451\
21501454794752 #^22 #2^4 + 
                    5812864920822363045568117606463450998790861733016132579596\
768862712927122273806737184008264239868711176460293792948643849804343286610776\
726676456534658231751261011330377452290278519376203524814457241479343932879620\
177303284830695560106883139416806901915562089670547017851478379849845230106038\
079777353698011732556491202758992415661616879986939931134782322516966186405415\
551627453639206360023282028986441324165094805309860755333865610394583753333110\
77277792993280 #^23 #2^4 - 
                    1181941592486654480255516305472169340382619039859098904309\
435254688111122542726793781832442507014891406750068120211406797247738128073936\
671359528647058911229117756735831572742034896799055124581134128996624827362794\
654057263425496084636543023466500041979759778437702489056922694237897434612626\
893067984708096375626721579069436028959368871949066167098828355168553823604273\
214512619039693643751014135941895100041532712946081444159293436411733143088391\
533107481673728 #^24 #2^4 - 
                    2805108201452912679936404288430922542129652700137089169666\
652424839583594801691535188574149285560930851818222283818717362927683976125302\
211123491246374209728053222316844431508688229469356084216410536467161981572815\
015782674789225441069791949806787289213631950947593728305443470772396014783742\
540014985628664803521173647578534149590401103435143256176742657717048383374429\
181092461471190669061638143026206026575385762301022299221665970949624571993577\
97957592154112 #^25 #2^4 + 
                    1835214481934494267067764145086174049910258918867380628842\
601145172841279861295751271489772501002274287892522340175593628257792589059184\
933881719700240196820224356431283932113598500724048902750784811199029459950425\
340523620237822866561790159504138783114228904658925315852835270041117190752075\
366537202220122938444390775796747410391161285964428671387141067932873680907121\
765400315701983356464612198508433908653958098784958621729743447468340113896007\
792256780075008 #^26 #2^4 + 
                    1123946527903308995247052025285966753583769422041748259819\
686918234932256858136928984583780369745152036157165981141784793940518852705380\
339660796711943505699986045552616623109793644299492434329002381743021880643650\
920867781087582476811009172145525278797561552587790107598089209643123973589961\
890596188522735312082630497348030860268260856950409658268488310895491352310194\
923846844469359738541880956881863205085894721327432581571300771036029679570376\
64246993780736 #^27 #2^4 - 
                    1943146381199573505427686454042192869935218746254346177902\
490808670784310578427972871652342028807632243995404574556403572253412170761673\
880257854220710588689265962763708335910116674527000679522345150599766728033190\
230990027414931944681900017440708721829429198456256595713662758636941115154973\
526631192142734950701216009942982936628918126586667469156477805983360463253305\
906234766605384505002103412571019628294380582284068036755650982587818047714560\
973675117412352 #^28 #2^4 - 
                    7027587656404008500500562910373403070542051455632096542428\
308047965886877503342805121115558950139967510597123044319153027885457326090113\
835592934582267669167182140360614411827473737113962526971122054552351318501313\
574717190792205638621154462465340361825068137088176552802610367288853220423784\
600380247018747313401444527963516213903922822457295693767245945101114775048203\
871363059228996525365401592340530319818125260078895774834708272627658490946705\
6234725113856 #^29 #2^4 + 
                    1523505704196766568133628162983177048270253469985196568924\
100402756057475266687396292488589992900855653336062775685652013831498849860361\
024184632391553942448305912677756314101119817613398343180863118483488184780346\
477937689472883444764105162768275893319842555210540713410375086048620491663650\
402278709473285008084022034329809754269271569935364093060679896984271933206244\
567486783930400355404800445360277809812900837448072401048599397693316294902232\
174767353364480 #^30 #2^4 + 
                    5500646702762270551660438190558222255459302497018357469718\
167062331572969271879801507294446993817133427449597434472623793112607426136945\
760791254852413932389174278575229462665205814178785968961159275218598422723017\
209734522127512976702488713972064067437307715270504757621914919983442572946068\
281132233508218376474915776036639333092371834699722415211344592918473469661120\
464117231519796074322483346745702355121112128552054650939374608248729559221984\
3764873592832 #^31 #2^4 - 
                    9299250296404745953276546816248863252866358171603062581049\
690365340369788780704119816487513361748674858288837568290301388432790374171728\
117120508675443366698084599350133715630709452555368816654617613845105419278348\
675744795064881856367730140648795843310082901674593955437386153003225362265444\
498969451428570358115898951216069423319861318243206688436208544023958253952076\
435489696772768795321343840149128917933754032759499505226244124632503275704063\
07754944757760 #^32 #2^4 - 
                    3007307452230550170541654045028871163851623302393074576525\
291315888139441052191770052785410350838159013589189231769587716960988290619151\
328860614763762421241567362485746383821562373445273688855586391877296240173778\
237201839959826138384417285245248594302522842766720256946077942127650323750727\
038213368924043269226307866407282810717273715150660501137003579717558965407190\
909529645550159572019257368723284326445955572255843689317942945571604545155612\
6169858310144 #^33 #2^4 + 
                    4586948781868086486906183978794541740332249031315954888619\
466215284914531363600026538356580706937109826459901333316866449573777120450175\
948110913171396826973979279916864704640270431094795441655272762914177441167610\
049494608041543359130766455526704823652418146860025694757325557353092938701643\
677965540520456247015466821769638955412984299399460004501753815956206921865124\
908233223337928554280786624065706377981256811387354462223786465215072849690812\
86915746955264 #^34 #2^4 + 
                    1210621411800541692105502236060400887984634095494438360477\
737159581728520254100761777819513507728113746148398629331478551433155053501293\
680123131424604052572812019977571877744833013498589153996296832627614797295886\
629319546658440092038938499438791595470558257388498540677853757188412232429632\
555309734933133904716920611205532790282567270630501710903366232152394538822501\
689507457772731698918449206486493655680973253680100553771867743920045945526580\
1148351643648 #^35 #2^4 - 
                    1857584380267892335333624662026364382293302542631393008168\
090731343593621183473565207204354099911363282826005400038329299144071238581800\
818938671963873681931982436598487781264679426451379067379057840821713721736256\
022894124818256768924651442058429285554886520408735575897764242083584330270690\
687699202752766262487607014989855512187161312684442378733094735989570749020431\
348314386231816533384823073301392771754892657027265875251348524664271664977485\
20607416320000 #^36 #2^4 - 
                    5831685120949219488157249233855265583860952181481639438395\
430928718578621583331158202339780120139665709696769638516256511699897854221920\
393876366690695403975374152961977362213503272600915172355223098834810216160648\
923331246690911943980217256105591356997181895396381322153917060646724077623956\
912101119712721312120491726533590755745865137713922770864738640505167841817700\
475824082160153525936005282023942826211942236460852265161973776789269964370297\
249878507520 #^37 #2^4 + 
                    6054206142679668415151197790533349295904470574034335944398\
308078029497784242123061557234729809824405892950725150936419461931620574271148\
332024324907684463357574900682256838138478322091368423217674946214301102560810\
363362313646148878322907143357614051157309272458594865514459309449223768654736\
266681715549016752991803930880801802092646427062802356917552254648499331376244\
464207541625983906707141102432449593832444232600384972960211828425916959734391\
5013308416000 #^38 #2^4 + 
                    3242651694803978993496262540357876775412124311290225122775\
643974276549962133005490151579879108369006679412849715018379369129475309209098\
443747209552192218192778935670398771083924399671634035665470666554024816926159\
790843298228566620595994305334962679402038750561258757618121120489130817584925\
212808632851250397640283036477508774644238585337829086815529896296950478803723\
219297409894704773518377066169353869932859466278716449367854869496927652709044\
200417525760 #^39 #2^4 - 
                    1505471326449808448921675569325360078069137112344475671165\
008150618886357793233564216394654013228571962769770675024374750458474858372361\
284794253323369169462987549451720468480161264591963835506894082365059202270204\
399935396472047094621115294429793504255788951809574393647272317563839626400092\
218949584251946819735713783324276087926595152441060640576747130470072246831537\
271220063834962806734712786389639388363435992988163446583795085660342612606178\
0328586936320 #^40 #2^4 - 
                    1259951618080258764731559067128432579288434749286686265237\
261665863533850152636188846945656904765869217859573954379749467599841607519148\
583665446465208322243382635472065588536918279188570155132682582817142928953590\
155021614289521463843905968870488310745228606915153897952159639108581437451713\
993894421371647470539986561747113162109642101645874302855676271824582084715968\
962674062153896853120711924979770681470068702144822856427374926501119437141446\
218104176640 #^41 #2^4 + 
                    2630150406247104828814393268568918205956218412389829157362\
401437333053378379815888748474995364462829741349215169584426009309236069532079\
084526220664363625985258582162843991855722662295978888507038726081837496692960\
452277220641342242328591368703068154876774898475820076778945491718864172783401\
194239453109467383259038394294540878528462713884105119150609806875063766556610\
771528999346975578775808061853081217313136278918655886317850524998605747054738\
157359595520 #^42 #2^4 + 
                    2029635949495610136715761939930812530311808154258366839321\
983647215703475080732972706620198920309163907345608587099139133793881977515767\
259830949257422670831510076909955768800739096256530055279017396461357813943148\
549362633273109988092168645878333600470438723516760792682511152960933011379752\
491909009858737914887585114593658031059898731533939319094207682341368645170270\
519861193280519515811077783558035905297705915975302511906262347451245303923135\
37788641280 #^43 #2^4 - 
                    3711586774060285850414332199514303068132572466876973660209\
655469681621945005320612749313293469730919416863532328214388075154212124944307\
807303504197381485857537136982579792070421558092814800956099699564293409866614\
866468325834454327899153628774712978429829414068837270328333679982737885245037\
584189481617888319706848653107099448529814359387524743622510384755361837870683\
723842376579249624140383633781081582214457074980363991350845300295099395334176\
50166169600 #^44 #2^4 - 
                    4356885384982900812143571266932116025581310480375286783370\
209975354073889917445195473277134643296949640287242275414927743545746606492232\
532287894326351730326953510937384611791487081999645064824460766410086288605878\
255398102938131330069454533983498866343380600876656074156772615993512192988918\
408460605870735251752908315824054727412737661331400746822740295455838499380717\
849590984103471526437331901543241318561718836258727496411043335761695748769601\
9508428800 #^45 #2^4 + 
                    2776708872702435509031741258750545860064004482764659024121\
412811476088881538740844509533177958360312519563491891966035588832090990136003\
299721347124906752144162321782435126451124101275362705812005517999082395505091\
102592470588249872896407303302922642164079746647417882904807497982759324632151\
201903882364381813909499849207207709619217100647801691927370411865842712012829\
065190036011867671052937399591104527490671235306218729130855179615284495026211\
9818854400 #^46 #2^4 + 
                    1094990030331757846650589264029662477583752525456754555302\
703354615985246885521753527051248939649606465415166460843675121202998034287379\
888575937115193978949083095709548615143539591363191380398621104480486662208737\
982265055647709771469854724748284125765799821516858822151874190594845813983249\
125290265392403272067896956030663491583887414786001540786006599873275000850787\
583611999320533039852608932385403027642737726005638538538507632405401796679299\
812556800 #^47 #2^4 - 
                    3278167693603438640827692468004448466968574470615703213011\
827235860684152784812381699415209523953791947717648760228085658184020341448418\
066030507252067591545300370981347962927399420513512771496453071438729052649435\
583775670806638833792578060136782463633820609867636908221176696762604269381343\
028640129321086947187261741017398548905439420014391372752461826807526005910262\
070645076846630946718262419282520297834856299313255276814878059707466253418515\
922944000 #^48 #2^4 - 
                    7483175802320653020089624081577137524621879450256044649771\
500875059872213217651396846162160203378815712304542403438379702802534606880881\
110031748553988458697157119908579465114764405098397959558814874257368517969310\
019940771722237044626641946746502651669086492639173216183458221584248445141884\
624622103183777188915477015381614691921530436725401537176331333224495186246160\
187415054932057860922714953074153058004728619542876244952305137026453267502239\
58016000 #^49 #2^4 + 
                    1769948862507706060278751006383463756169184357714947181923\
075641642599006112784076362438038241377572736371413477661419302785602757261096\
320252383064425142947809704432617777903996317766218051025928697187532892454378\
795027552701390373237509891159109459262247866106602367950324582133578651587432\
968464752425389636713941003258067558669228333241420103923178726898844833819659\
654134322002088869114900217151434121631450636049037851310813003829879741969290\
3200 #2^6 + 
                    2711815546761923017358124218357413525372140295760049135003\
821203523277380885653223526621341055735968111135943786728090951172893116389267\
391967075696859488354083024413247448251325020212764112416782475200286407883608\
891179756722912270154941311326087857292080630310528098418434066886318178048221\
317987857007109060798608309518395225635887289153484587453846854944856776430391\
120663188119680252660387399275727464583355994087292095930511311856127848370118\
37952 # #2^6 - 
                    2089303381665913646578831443355664578643855574475866392011\
800605380873594046540217377137511488779070209875182799065279609920127241129935\
771683565790666328921200080275599874131550217177646339657650488330793334162623\
412396952872815716829495226069856276792647242774125060572641910730159656479776\
150813568937921845770875979004695597515039091927481221492881727130236808947452\
501119195872865078766907753336088739578649750166444885511895747319669971264637\
161600 #^2 #2^6 - 
                    3995635672966108657482472693486010603514175960885096966355\
610649508845281284495515228891627897844516267761087733949292175988049396872701\
385049980530372346248370887640975460927694865811501670122798713738648613877803\
270419122526463483811379543405448676869903435293842007226036954033849110075658\
966625187561497596550651689500996996927854395525199089261364967370951910936894\
452030844196170017008062011560885482766588979887125396209174466305324253807420\
3474432 #^3 #2^6 + 
                    5839178226927891264633723937076484036160879532825573785243\
452035422881497583206711912217582067705840525137258292074314602598791663446134\
684800245142574976760249896878872320882469977286462530744100836877426996412070\
700959118992372962985138324429164850610010496426912631170220688427539894194744\
027529987359178073495842414488583236852967819818383138912397206092828518670285\
235611483214859833696715951507611142380887722953809286479876356403128028658721\
3425152 #^4 #2^6 + 
                    2185381849328623948698761884832259023603243614015383858286\
829037390835759838366635845087155910899606692315124342162053085987880552515113\
632429569634445460160950333381618696502981720211338317539108047988955767409771\
288976253995563293811782003264081327390492585612441716275774283184608824183400\
266563692051251054558992717093397015657798865705519115728073912117277946747831\
813527200367078564299450625434032520447396847513808647786063244136349495453187\
228761088 #^5 #2^6 - 
                    4598492021875882727536337619264478172692595893368699701734\
444362944261729545575863724438715229873021233447788930027854382860382687796912\
040330243535781945514093855196018225249379416745649024886032168248550872288997\
896834253626228253682406689471509233127345419913786063109850718565372140720957\
158581812319107291784770998482967237704001208445439349482704347277633076164108\
145731638850914959871375569877832864125986194335674376548768332154150077522954\
33172992 #^6 #2^6 - 
                    5989657808788169487563633298894053660893440000983842762168\
652995034514540638022500836615286483442847988852903954563662456855103727596348\
920834824136434733118875151669153212344763960915417722126906231547091026389716\
455491776370892965479776791078241605755895956520450909473673084089309031796833\
707594617374423788976745884473439321955998332368803485045647203611013896453311\
877593932477081700748934728383873950044087812086306675712751338125450130992779\
5656732672 #^7 #2^6 + 
                    1055589495771149978412083576525284731304662880921522715847\
312512607285722863675768391444650675010865547574728482653617537639227704016359\
536993615712251287129028937085709574005951234542135559719145363498207866618746\
290811799493876853756445122343446229706047614211428098660571480036639548865707\
855520466963365842184087112551268786103926855431190599122059969245607443240834\
251566873696099976217736143553822750955395802478782611315974379242403582949236\
2851639296 #^8 #2^6 + 
                    8472862634588098131200541115707780566661960750161837163865\
586847575191906072771995606106583512887312627281742489726101977636582432898422\
921844622716575490032870895712518170804567269013733624206474299836717532418706\
516200723379651110410310426153239015049102382268280631935003519917836980821005\
061155533929812070690571295195225624600880957189393261077362299600110018389634\
282293150189642495620388149626693815597336268122641242117702389085500653909895\
24257030144 #^9 #2^6 - 
                    1127351523251262942860796558433915050942278860796687396760\
851593772369986877533846684287596905850042531040927269430586713080854529469244\
438533750913268029599571332570879997565517359138905492193430035556960135224904\
016077506300553898546758739456344529896957041679250433852450935572503864734045\
028989770432637547612809438260053884498290263576939899997624400050697879219668\
627832688245346523784499138281662082079015975526753133692195083819942302381720\
45795262464 #^10 #2^6 - 
                    7069594914312740165250418219269604345567280170295940306838\
740111628803610833866453058139710401658691976980620740693591152792283892823627\
131382015450410117499789177470333631977021868365530377053398417368364607304453\
214008365695479262706316043789349192319217486375245594598897726096773411206634\
615544609948304911736810889628801653266951084735643480899636923424930496219064\
156843669030774733496697173110283211209749743815151170013775281921520800957980\
234040672256 #^11 #2^6 + 
                    1758922951169843901038056915456721075992236699782303130601\
395937635402096534167704003984184204638572126724448316762245879873652556255937\
647197804264005101974107506776960605317382024242082254208619225678288633496739\
785806619447462118557569037318841846902936355452237443891023797317130001271863\
116483580980450544663508855519787873678405424892286765992494536050356284346644\
688084857014152472234035836197509395093067545074824968933792302195996561990938\
75955204096 #^12 #2^6 + 
                    3759812744520452435900877206209255261465351014963696045854\
782332888672938365004084537129297211650574901655901979086587019979926272864911\
939685436181635794189930984600027298228682860761512145074024839376342629039399\
623153118717636183281394291340424307633215452771125184093030763085347585765781\
531333283943810303103211036611059552031984619538099348462610678839764389861013\
279972713961122003870955154344576809175033945789599255574494700006468776946405\
9660136873984 #^13 #2^6 + 
                    3536876616789969839455534172430578230623311542864710291437\
967814390156434771523489587876373802450282889356031220619433772739790490751529\
672671087454018192334184625431651663836499956680493979733241530368482338737365\
389112482932328478461914450020788864030105075474748055480348958211672289746928\
187473161526745618951840388900541116170077553048466006381995538410459162210059\
643450464936252853672559629541244448844721606732716179943105483593286911037408\
254318084096 #^14 #2^6 - 
                    1323877943460827187673006098179869161479010798577216088526\
051550624945637764200481414656010391228180158120737188090478537831509153185914\
658901466219342535862776426667755318431267304951989663908419946105312709063111\
322371700077039134442225448729717216087562357494445236774626484165558370532478\
104753896793020706897428450580357613487635381020951373544563707525944401112328\
343973074030369951637265108954587566675776616148198130025968084513836765218005\
03843762470912 #^15 #2^6 - 
                    2324416601762705993621000755239350649651874685164211877080\
769750424095376401316144680460557144192827011006077043547251831277419284727838\
484553225112519108124201996067740456926406110328498258543676903588077070784193\
513396038732969011190780301503204159998268056745013777158032774333057206368973\
403331030799891294754152159462509258141499519629965661163420720519080776690684\
120853207437401921250989034251436728726231856056286741036588763502154345612594\
6204545613824 #^16 #2^6 + 
                    3138959678924268670907935930163395745172504479581629788142\
889562070626171450137807859281265852104713605794798623023299368922453279205073\
899356876818160815943726497635844587448878382843045794668815070416968048678621\
601404203981503321173533499953482594186274184037092266870289504057167184715329\
285600712791738538450407663093143187342469132944907417932898848192807224170559\
220394631774758656734254102127434193780609305246499410873002051344853079370616\
55098263863296 #^17 #2^6 + 
                    5436862039849451110486308703153605226935772586470965847098\
030923864300182550525272512031117149892379598423036528117567282141502615336168\
326162481549678047935684560229620452599544786295233210384072706113263157124866\
360853671839332995407253220076529007513761366394187143630094822390455400724682\
717543785250974639438896911730607530391987717394095669937581277202632354362974\
951649146237430811834685873381525918720622933173646415152669877702368935555606\
9045081997312 #^18 #2^6 - 
                    5035212137819790126805283169774655668709455636897390309817\
298019492973611978750039047064460244417361255178507581272958295947342805867367\
541841192901596144033489748912352203185940788375887553220245370559494308503613\
673020979302628915670433992632032379723327764387321939872498816161137988701634\
341437848795274339381910016467298753982918099408237441710576554607539534529281\
568675334974398650396228854042305973264470826032589393458431453063387407974018\
44416780435456 #^19 #2^6 - 
                    4111767727558880020052580863562033799730971754110986019690\
925096280612704888956717339516151512519188283782611530787980615312553206188662\
627220063025327435397084035763998421832337233244260625934511893706079026378282\
857202789729074694085228496308530091780875493227262000958510504318332723691354\
572465341772073289149023815467067720374813580386632104382250839586072596295166\
666567782640894283963013588358695204181278186968089921538766723229196763113640\
996854824960 #^20 #2^6 + 
                    5439039143245492641009528597292875560886782216506370077049\
623285322639463075199185666470174641769499421078110198247316472695167288130872\
209941956277999706472266702879443155227260969234315232437732278046923825915957\
851808266730705318308339549837751251407261772975761622594204039166950079959144\
438309377557563332844728992849410042186956922006573090245569388516425816608826\
256064623936776110151780579364967966333676399317778619674992406980981074411219\
06895028748288 #^21 #2^6 - 
                    2835799252825733821103659648768832453263594916323886459073\
124038011574509209755965211425988504428885761269943232097723231145696013603791\
553132266999179849528447304778411734460320663964952664983756905961583973653510\
450174734272074197312179492102789619101544566407147872652125077496354047076128\
592540776790875226253924948691912277159581573976796752807566116020804839924166\
757991873730622760578104867689493783942991538899855234435785872077990809624242\
23303007731712 #^22 #2^6 - 
                    3910012895856339765714260457142236283884660370960426369451\
814254434129589810364190566430258029543719427273199543760170062625110866050765\
615795870710653566826061556201225900730512050608562371551120517602783379305096\
364057147009873023228186149035242773397062507887896091177766865757593127700310\
156741917293861166930538006706038583658091379978521139292740367596442508430802\
309711210021984936508672712298095923725368979059494250114835798988157899705887\
96747656462336 #^23 #2^6 + 
                    7958715716725670540816196497449018851136539483092582727453\
831416361090928498983744827832137034868184652239002276189176325674432851629136\
858458359402077906531985007843959691312782069844154539600866216692047398060628\
571617223851200649273481811421655953407201455863421780401159529924282254605073\
662142407257846231834519915054985533138765005235263902302712465772306354717719\
669943520434566990027001498055971026260864790931164512225574124902706361430632\
82506822320128 #^24 #2^6 + 
                    1882544487256538122707547844869870391957594933676088397121\
284546656873218944717112549114553464194743151814914218436224560543168851946238\
447902889809502802169583238692101749051266970300181522996351844573496303316127\
512273885875949112029650133017193159274460185722055380011427208484445731452382\
999276384581826270116593962852302837034073661325752909388254652492808999300387\
995653143039265164189185209346648326635005235801961723251138151511505592145138\
93912940118016 #^25 #2^6 - 
                    1235592620870359679103814896289016810662416775338782102586\
438937768950934024749814219661893088450665672815112105191373437596729106548302\
681880642542556459768649162952520992190336597145617759517005426670521946531964\
625234351829766863094770887654952508479558158839723338214724591922620556412371\
544866923909172485034575341781501152851255536103857349158170859603992172212318\
679601211941730508729205637570620034575817383325393458465152876308482975190095\
795694109458432 #^26 #2^6 - 
                    7499432856200508499571651868889809920522126139192921722670\
369387475832679769823822720296300766700686686251995897942640714631177617141258\
800995290534551835558854686742460573747521372935892942097131434732231413956010\
523868436678262624331577788928519840160356882748510588544137905494457610287019\
276365771178824370507754191450715515807360542462682894089398011609108641209570\
753625368101152636504246143594242573533953383423696939681859943312011948900900\
1813996732416 #^27 #2^6 + 
                    1308210722277135153083290876487986628843553945566543693614\
940224890827536713756774374507849430835177607707361835230802101174901397005425\
982728959389130981930740707176603960075262306056716191754412560958999127070523\
704061498263014033336273047396557910526754187680298333463405488439998205790581\
885075210487855634758405263187205488330741793299783777432374791577917988153634\
745163676322996195797769984694765843692857479106436659710949810413118741604919\
021857765588992 #^28 #2^6 + 
                    4675794212654442169283830336355489283839681268387427311351\
476229914340157382256802964944268079052072123039860930534970086149914313590301\
329198698461878840832188547909243450491273784385870141890453970680037317578452\
425944970545161208408744078676841156197727060287392186342904737257934898561125\
935073240136401638066368855618210781602939001898982196229240887183473760427549\
077298031988965432704278157397078667302681601333504043969845266052592375648717\
4557121118208 #^29 #2^6 - 
                    1025674247944095074435051745518935488942295795637967919576\
393977214635230417539020247853552058367012557284600368003278663088945086776144\
527648695237724240911159570947037924292776861036353360157169505817155688877910\
640285250060391844113890546015439750048471642456470636719599350999921141058858\
337544138944012418411337085284074600428165392220799846990344313238095989084366\
601363466923783920949419380882483520452753653452524995903335291228697339538224\
266449088675840 #^30 #2^6 - 
                    3668089628285124934243814466520418100831439683699999705767\
809344713700959427676787196904694925470045321323701917281669570689659628311881\
362981357372945295145242315709692215853999523533634970451412757820154852291290\
444125782638753444387395376746931933841780079388710367597731200557398542771684\
805206038798267204025976003190479431900632849801666751940150403393842946953335\
683094589118686425067577863255106563364115811503983445237284574077875422783118\
1113749929984 #^31 #2^6 + 
                    6260474885964264429006457015238880493018614909595830323021\
110110257274804977315558100406880971344769813836122368201247657257437337972228\
383950315646129454996364560436019209699261720908891959973820217960832926752926\
785183488865751876211954224391903716799760734284850231770215667538427928008549\
636204236695783583115779019431636546374336363234339745305558822924623658989087\
531152354280167580710600427071606518202189980794474829222914648421721973330735\
49209165103104 #^32 #2^6 + 
                    2006771309637318032358295122210153927665505722883591493464\
911435556910428185205313849253558247306654045443799960557479363567710322518116\
816094628765406163686193402674919762092036963525616553252536854614039619626072\
975295204147415355017629230124755607231088779774460164771157465461345739139116\
235209008166047379689952911609022005234772857238020381084668118519548578097269\
619858554560382801885433830432654785013901099597817552471614486307528193962771\
6322453880832 #^33 #2^6 - 
                    3087999117389635410889921876579814544477475464384288214825\
787463411265302781236286811560240660441168841938707438562568029255048099473643\
044990230354657702868648901740598613081347024619139760463785282734318371850914\
162313635260260461118873566856673315629498157656029726646614215900191767428010\
476128631257469546858378069581381766401218953168465516036458303456880431935239\
248393235342434505755659194568394271489028473353290580973997464637860669762622\
86892546916352 #^34 #2^6 - 
                    8076314464300627406100705599626871961534752028133949162483\
622209918383758529157292276949128116261238170755335992352657804418353498039577\
790704584814068773823626989029536271549347943868536092196246520805793707140324\
586482915818000665408297504752392589702212584700769233417886358867863846664296\
651464935606978240119506187569806902460679409025605517618203857431719897125460\
153081030690537453376125053178809663227612446672069715394940109455124561181709\
103009890304 #^35 #2^6 + 
                    1250542695620448032023738777942048295981218490895183996230\
024099525219726806560066120907519934670038680508878223584435747056091256057916\
618383400931017691290079636242539031356549312139945794162515784090707063466380\
053168659587478376777213080438586280458955299599331308779617243541726424089343\
769361636298121902701771136159352216106761529544790843144287266512834699010336\
515773321371328216343090799755764010558720243877524108831328610967699902489505\
88180986331136 #^36 #2^6 + 
                    3901387966426846391581631952971174637200364599060813158774\
838794205058650442542482083242432232595051979594024373726267299207940146955975\
267914976763335962428235165098620340589942970332968426488886440848433025073200\
040020424245771832864537997992717611529424546816300290602840362283293361128220\
561782246631709557541923068704197245984925217316749559905656616299459717101306\
739159873416404201714907044405389974288741206669867700708367294021406482291976\
160457785344 #^37 #2^6 - 
                    4075758747999041177859335966378366082499725626874099080894\
268684625378726439367537252061138355349682257268692492627185300716650445311749\
553258481286365284484652375860707041841271630370813448028025408470865214746724\
455294869855737656568600999501002968902782571641751008935727259195224872334625\
533290048877304066204932776204933064013075135726898300600621788582248884840869\
367016715533015645009229231864992848698338920196154625931267415300528868788312\
2379472240640 #^38 #2^6 - 
                    2176702361497243682452863400751588610096110224432132200175\
053023342622197226079482333720150255240243880251699653007142004369281220522400\
786742746827931645535285621222153009684142451006660847767374857405638190622083\
309506275620313635651306486840672910557499232542317428863182721023522453832950\
635551384911075994473805902506581866643578474554328616039366649797696341687932\
747124485113910956905850676213859905017958102247501106993364619392989084285517\
329114071040 #^39 #2^6 + 
                    1013509673459619853592501660654881997376401016152330933334\
806571277041174351699835375260294807817044958750880302062314930662700616971703\
159395013922299912914543792848886947892493398371703181215300715624394940267570\
739689120653029003665574903351128310883883781269988353612695128413625823693666\
978801349013211821199158679022590134541483067315870854758894567674218325183173\
536266753413618032140164874542823288708212146978580488776806000673057765199879\
1728470425600 #^40 #2^6 + 
                    8470667795293956986559654124924713484457659267852645952248\
145911995503905402139463518281636101341268632113496320110702422812280449790008\
251941050571303782664354328258737886087098202921119702449013048375674587124549\
207434380069996796944630319355578584859983527389307147731373956532482029282116\
994058981271185088951360307807147361440469404110690834800318243176185475460966\
982876361077492707491330298771796978800581157972391046073474797710430917419142\
07092736000 #^41 #2^6 - 
                    1770645790225524404481842491260888346798802966588579254503\
070645511820278210999376585301200569244287480823525945368925700661499235329349\
019880435484820488086133280510603590083505035414077610378391719006938553400979\
663926836308945794997358172488796981265063399200704315060114231914829083696173\
488838480213428441464291689976534949342478736736104024893595628258681704620871\
105650050960721300308403099178903408428173553438964826019103091036862795960095\
909997445120 #^42 #2^6 - 
                    1364728431610845551746842075023310997339015763849509681250\
232489704798040993493958326189930628096991342980014658649153484262727376715212\
785242345911305003996818081023186481213543692299395128889479019705166854581316\
507247174002790913105764723324553529841653620972149045655726784162269972389004\
305148537116691286666142174817747357742668767202158077307756270303020885675567\
982197371306826048383195123716944561674042738745773514026394483691349367215144\
96524288000 #^43 #2^6 + 
                    2498723955362755544405590587000290398644808264872387478730\
262935848650964888594884997644050811021566781143451406634084566987227626483059\
636661270426164352727745352967414257296769925163868229706796655777301855516054\
593807650655186187300915656491480895824038721590169850882730898429234887134083\
484438798167897503271745595870159409727401718173891527450566998813543722915773\
409070106158555163433089620980493238191578712392304405815750881425072781520975\
80292505600 #^44 #2^6 + 
                    2931721572114417041662380622759268715867536771785957719635\
466759876821954351397231137179071629006137771120301908745919092206900647185860\
533355168561380200562973702546651576117395248881300586843812010796341693367678\
600531349161446041592958407081909412277288248104887319933704772510650195950162\
343974646589472234650120958776750626850606356131569557226921395081105471226501\
392817931762751091460304441003677453801492573110741288258602505917063102222019\
9319306240 #^45 #2^6 - 
                    1869253812341059051003181019833418434880359183164761446655\
971006019743349959338502282962729226707567487275022452746378593049897915873096\
157653933568504903268745796338874683786964506250903521169303875105769796632353\
654851097876311537441657047270807294919274534224531461686708298403842196140692\
600149077422444835548049026365862806772961258406933110348679724045517980917355\
909277239804757318278014613982921247292846145624252215068519977216546334018594\
5532006400 #^46 #2^6 - 
                    7357509385646835843902773142105626087905685017019078029786\
065449322203459585567014866824012381521904387448624007498013206379353330419228\
924707997143353759524374444811457522671712981202726180978316379422118999985677\
032400694894598913675726966057871525807506130619942597359415456409165339063393\
074048373667817721886755036420352545002018515618378585980709292506564113111840\
003992837547263912574564750253366338597151288626175689542572373227759411868014\
21516800 #^47 #2^6 + 
                    2207069590774690468173601892658196202255702606255783085807\
059814447646398043184912199382114495400772117681708403017423486571740388617552\
444617540304381911728676407081094377824424414752027982007517919278512574316184\
797850273432055061747367502605085412179373130875871225061489397002573421357836\
443167489342963234965134129454066127043844841435450990630407794222467449934770\
632031794542388335601226408634337855596178038507753758713095994380708849779075\
553689600 #^48 #2^6 + 
                    5037391465583093535756706238518312951770281500597560121075\
425658558994012660957521890637297615842273930423639291513332112818827086175382\
399970060365228170171172395853979976882288846385412606122240980558057481554055\
034222964544204771821926685660449206825952579349454621086290409552519979084873\
116724987875777441803273190122152015541999143332410736407747252989521480220796\
781411293403009009671555070830527083627710104566355592991826229367086846031077\
31046400 #^49 #2^6 + 
                    7557885155480240294973608382450963332532717426125341824879\
330823099157108970866697116519654486704168569050335790362444520906206031489257\
231425978150940206809231784847180567802367964108241166588977311217166027984812\
462794287716634926256086503704613646205196162144694977128901620350178264960636\
007687758988538028140840027276933208008000095655253577065322736405899304959986\
745767442142999891820859287846083874355341548369934961651112246179637713701419\
 #3& }, {45, 8, 1}]]], "]"}], "+", 
                 RowBox[{"2", " ", "\[Pi]", " ", 
                  TemplateBox[{"1"},
                   "C"]}]}], ",", 
                RowBox[{
                 TemplateBox[{"1"},
                  "C"], "\[Element]", 
                 TemplateBox[{},
                  "Integers"]}]}], "]"}]}], ",", 
             RowBox[{"a2", "\[Rule]", 
              TemplateBox[{"1"},
               "OutputSizeLimit`Skeleton"]}], ",", 
             RowBox[{"a3", "\[Rule]", 
              TemplateBox[{"1"},
               "OutputSizeLimit`Skeleton"]}], ",", 
             RowBox[{"a4", "\[Rule]", 
              TemplateBox[{"1"},
               "OutputSizeLimit`Skeleton"]}], ",", 
             RowBox[{"a5", "\[Rule]", 
              RowBox[{"ConditionalExpression", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"-", "\[Pi]"}], "-", 
                 RowBox[{"ArcTan", "[", 
                  FractionBox[
                   InterpretationBox[
                    TemplateBox[{"Root",RowBox[{
                    TemplateBox[{"\"0.992\"", 
                    DynamicBox[
                    FEPrivate`FrontEndResource[
                    "FEExpressions", "NumericalApproximationElider"]]}, 
                    "RowDefault"], "-", 
                    RowBox[{
                    TemplateBox[{"\"1.53\"", 
                    DynamicBox[
                    FEPrivate`FrontEndResource[
                    "FEExpressions", "NumericalApproximationElider"]]}, 
                    "RowDefault"], " ", "\[ImaginaryI]"}]}],TagBox[
                    RowBox[{"Root", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"141915005595265", "+", 
                    RowBox[{"1602744041000690", " ", "#1"}], "-", 
                    RowBox[{"21026479615718096", " ", 
                    SuperscriptBox["#1", "2"]}], "-", 
                    RowBox[{"206422740927658864", " ", 
                    SuperscriptBox["#1", "3"]}], "+", 
                    RowBox[{"952385487618214736", " ", 
                    SuperscriptBox["#1", "4"]}], "+", 
                    RowBox[{"9898731005129035360", " ", 
                    SuperscriptBox["#1", "5"]}], "-", 
                    RowBox[{"27585326483089797952", " ", 
                    SuperscriptBox["#1", "6"]}], "-", 
                    RowBox[{"183912745343814561280", " ", 
                    SuperscriptBox["#1", "7"]}], "+", 
                    RowBox[{"344427706022721012736", " ", 
                    SuperscriptBox["#1", "8"]}], "+", 
                    RowBox[{"1846052005691964998144", " ", 
                    SuperscriptBox["#1", "9"]}], "-", 
                    RowBox[{"2071683635294751441920", " ", 
                    SuperscriptBox["#1", "10"]}], "-", 
                    RowBox[{"11047772372340226863104", " ", 
                    SuperscriptBox["#1", "11"]}], "+", 
                    RowBox[{"6111411510209350320128", " ", 
                    SuperscriptBox["#1", "12"]}], "+", 
                    RowBox[{"\[LeftSkeleton]", "27", "\[RightSkeleton]"}], 
                    "+", 
                    RowBox[{"3270651140485492506624", " ", 
                    SuperscriptBox["#1", "31"]}], "+", 
                    RowBox[{"39892244130355612745728", " ", 
                    SuperscriptBox["#1", "32"]}], "-", 
                    RowBox[{"869516270534242861056", " ", 
                    SuperscriptBox["#1", "33"]}], "-", 
                    RowBox[{"13871969261750226780160", " ", 
                    SuperscriptBox["#1", "34"]}], "-", 
                    RowBox[{"137584655427153428480", " ", 
                    SuperscriptBox["#1", "35"]}], "+", 
                    RowBox[{"3712678934157270712320", " ", 
                    SuperscriptBox["#1", "36"]}], "+", 
                    RowBox[{"228520481174711173120", " ", 
                    SuperscriptBox["#1", "37"]}], "-", 
                    RowBox[{"663760396375262494720", " ", 
                    SuperscriptBox["#1", "38"]}], "-", 
                    RowBox[{"33991580643334553600", " ", 
                    SuperscriptBox["#1", "39"]}], "+", 
                    RowBox[{"100752093246253957120", " ", 
                    SuperscriptBox["#1", "40"]}], "+", 
                    RowBox[{"11396042197712240640", " ", 
                    SuperscriptBox["#1", "41"]}], "-", 
                    RowBox[{"7082284247993548800", " ", 
                    SuperscriptBox["#1", "42"]}], "+", 
                    RowBox[{"961852771978444800", " ", 
                    SuperscriptBox["#1", "44"]}], "+", 
                    RowBox[{"213745060439654400", " ", 
                    SuperscriptBox["#1", "45"]}]}], "&"}], ",", 
                    RowBox[{
                    RowBox[{"\[LeftSkeleton]", "1", "\[RightSkeleton]"}], 
                    "&"}], ",", 
                    RowBox[{
                    RowBox[{"\[LeftSkeleton]", "1", "\[RightSkeleton]"}], 
                    "&"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"45", ",", "8", ",", "1"}], "}"}]}], "]"}], 
                    Short[#, 7]& ],Complex[
                    0.9916177176618416, -1.5275528563601963`]},
                    "NumericalApproximation"],
                    
                    Root[{141915005595265 + 1602744041000690 # - 
                    21026479615718096 #^2 - 206422740927658864 #^3 + 
                    952385487618214736 #^4 + 9898731005129035360 #^5 - 
                    27585326483089797952 #^6 - 183912745343814561280 #^7 + 
                    344427706022721012736 #^8 + 1846052005691964998144 #^9 - 
                    2071683635294751441920 #^10 - 
                    11047772372340226863104 #^11 + 
                    6111411510209350320128 #^12 + 
                    40366740567129769017344 #^13 - 
                    7706811978227604193280 #^14 - 
                    90258488949202493865984 #^15 + 
                    3541711963082557030400 #^16 + 
                    121249408787372767182848 #^17 - 
                    22447678429289496444928 #^18 - 
                    89887854953335201202176 #^19 + 
                    106373365068931581083648 #^20 + 
                    20017867823268914790400 #^21 - 
                    226697165026946495545344 #^22 + 
                    26573915504613290672128 #^23 + 
                    293263535388582809174016 #^24 - 
                    30612114151474466914304 #^25 - 
                    262981868523421171712000 #^26 + 
                    16807982012665193037824 #^27 + 
                    175742299888371319701504 #^28 - 
                    7349864712868343054336 #^29 - 
                    92607953963663715467264 #^30 + 
                    3270651140485492506624 #^31 + 
                    39892244130355612745728 #^32 - 869516270534242861056 #^33 - 
                    13871969261750226780160 #^34 - 137584655427153428480 #^35 + 
                    3712678934157270712320 #^36 + 228520481174711173120 #^37 - 
                    663760396375262494720 #^38 - 33991580643334553600 #^39 + 
                    100752093246253957120 #^40 + 11396042197712240640 #^41 - 
                    7082284247993548800 #^42 + 961852771978444800 #^44 + 
                    213745060439654400 #^45& , \
-70200316271507168397912526370140457916036103806045166974767911468991623992259\
303317425914536086227228818264393292358730270199995473975184965846679256103733\
574485402032360453961494198824241067649963501192172182571377104102659710931477\
581840743413949560249094047960678660134816055939745822577947736867189402551129\
308415502483229366695545754973296837234394091272033109242928320708274729957495\
4746812331186830777661766505 - 
                    1107494235866334714617362865936722194223786092156026154859\
040187453768861818871579481706065771883354740184027162799515762612691597958748\
717568435588330022963449939744604705558287926994636861354538174648657685319799\
318354828829089452100720910187586410672751175449763559948764818714214554901635\
536182776147075091170082523925126383608323439946664132850529136070437415206724\
4473178013912957254025784180168914580147488146050 # + 
                    
                    8161892701345983118896913182906365640877423994940570024668\
202933711983610844806294451471059349656351171753051198615057782997785846985067\
650765770137889498053099663796178101938684196248100771750834546768313373572664\
271604122103366763262734294507072035860248576650294358190570143793042577378276\
660008431459707332230823677263608434405005926336429838085721911290173423871484\
4566845559094093798126064292142416027089092229548 #^2 + 
                    1637613586138376157408239098939167209144404235110057115814\
496186881370388139721017302674413823947150489894457553796529884563485003013067\
045554271483811847260710591266953965597688968693973658986935599152734690403579\
754565471042736498582411402161631142733961026288763614162550563591541182303279\
410713137402262445773689972572018578397178782121046763420107264147101546290760\
167707633640074640737156322158644705274662372707928 #^3 - 
                    2078835843287125803800280293860407523924968258687456724717\
859194122272133029822634112862494096703735202813945811068715178870311057666143\
412969119041976482932077249487077165397174718296059691011665290127986313506591\
563305067436699077066600968325333446697539559388900045428015586502241991444005\
095758052587544644490519882931022329665485544563309261305638272166807976161466\
000301289173685460142464077209321633986061102358304 #^4 - 
                    8967977845793281319981690689126192404765175188323484857153\
871849719964285185181505366126023602669306496921379052629447013986690511884541\
217777879709272272684786999855466443341039100929708099015160633799631978543743\
088373621920901068679284718526744534258494063934757739841965623074409731504829\
035309871485463827003465290201247366304933708011319622980776800372327665618199\
9673895370967396746818344515812052711126173991977472 #^5 + 
                    5016990045060500293416800056629012344843845336721694240980\
844687257921550072504111010808341382813030463572644796482661359077896191929064\
643676229509963673055369108196658165192539606411486640778634150032987904058571\
282638594173241748979728533575468559226426560551691685488154197330675442376746\
155320893144732042085981592496704624909392364922520681869315352775334238381654\
100921993803547444711741733726888322757828170026304 #^6 + 
                    2476544937975174960510621182113291780707132885913092173851\
306281219809237300116283469307272246192040665896674398522432529281143675899836\
181871640661827032735837733785951173494977514665604411731342287902569926334946\
429892431154242401281058734575862712886410371378577881249053627684755146193220\
747998729257311925460811655268169878106359962217064827728045954529191635591248\
878990360028979667260028394918187478456183817383683584 #^7 - 
                    1584188293222855423736970894284398411633827029539431791982\
109942610329611792351062284505163780485609869104539996933537261323153782552391\
508355959857909589891707977277284367355231497773326219493697273780894499617146\
980305207875878821621313275246695865510032424934767697834366801103410738962887\
100096075184008162247136979742261631392020842787072387466521598493172271322792\
46375671725450028608610150471239215995052899772563200 #^8 - 
                    3535077510540415798394816608780792439039270524552470978966\
644757531227177099752672606866762983952327054627311329190814747481744544223651\
733215726440421015856453176406638040953926937752060594722534470583637173198157\
172181079622299395116073618144791998546425387286343152260886830415218546195876\
355855290922849700505636945878510391472204854651713596110798022616565888323683\
7325572364296143119030433349936901709269907363124397568 #^9 + 
                    1821032414045522701476339308297829044674195545243502152151\
079117651374875517817395678471236750277938348617409242377531898725757560834474\
570967020311382218532543018383689839411737188409039237842935882213160117015106\
020144489247102025537181958909870746285537029644925827829199758350240730636763\
959212613224966010592888027729273981498478900053488347610207693814078456374344\
541619131324511436650214153226238769820445892490437632 #^10 + 
                    2971867654883783184470410626226100980076786194360105557444\
990218765225815127077938647300246222732441600935844804645352084145769279810364\
608025850067439827137748370437794401745558939450846624900083194573887542471598\
295821871151756311024183222213532039629524401811931092760754407401389295146755\
192912322123207703692849804814898277910535400083371877176035535904975375440495\
85107134633114837177473850864754823022508298681124714496 #^11 + 
                    1047261287785172827807703452991682472244987892037459105655\
450918580965125908815220254720230143674827243940305591435218603330148844568974\
838308043271116666797057778477224816498882688816502296339151297077831200629653\
967229494447429595530054993665520182741437203191853673688566994429998369492772\
308639453839220807317456049472007951937645941986091332423765792778329243924660\
1983171579877152711451739621298722842865144316149698560 #^12 - 
                    1590095238072539654957835940334890132141787529639135618217\
581287285938909541278229487743921276673269821411267486740658546746490387266323\
665696907603729850512584680872909877872479278630592916136220302498454309194220\
683779431384630067644396310918718248104354911610460170954590232815950340673142\
900237161598610378128540845591176183073190139781381924483701874890335399314277\
595720323803247702880508954265221117232589575242922590208 #^13 - 
                    2213345344968006177062625142375223653836824098256286734325\
504417848041373265288773277779089819491402940517322723512976835846775312323644\
674685353227867758259697670594925798204164395179288088351440278430712129508939\
674551311198174740306323818617159102569618273206022682288269281047021748076864\
662029304164579215213525963130049514190591424772759878213708083100521611753615\
52668405001145322152869465432871942258261609129960570880 #^14 + 
                    
                    5628125612294033455599282202855532954816410661553050145521\
503722195631810248609832138388645890975832494556994181389212361645552925259314\
748768756041820513932789243168500210872166594448896085305695675343235362296509\
256415575141841083931143377223305147116491484776361127109430784476936514994627\
170963429467334344100442404003207600893329068550100751717552933330584477402977\
540372522906534124994112429316828891791537659016313962496 #^15 + 
                    1183251538935159554675501642705781919520899625973902702412\
817317611484016194562311432678236166395352019103551806735187872815262670545929\
829993668741188486343316461468087045837378272537644547954952916241184340597945\
118537201416193428797255399650708006725035404296422317875839806601227199163055\
764835724767864238414563434063926920548233650291831497338186357463552396225165\
168621558737812036623363750227065252162359308179363397632 #^16 - 
                    1341371074051876113047390259953684641741343963582367804931\
383742586734682794504410592808076420761807423526778577291253078440668405331925\
837152569911005538733682881971713193148472524848724799127736085239846425597158\
776640760631884200393743959291930397927704054170006176214281711807719319286791\
647161124278289679462409984228728566399957478585850371834171964366257608641210\
2288748312865574074468757080017947623593444662367539429376 #^17 - 
                    2688811270587464635319704845046921813481312497850911005163\
327985130908547280978320838572484418785824617432425550693711283757010467675214\
145549709353009937396041930714824646812252007614908968608716092861537180456093\
490000395763963800120309280607197633380743187092192928356555759021320361231441\
296772688933960126591132995820695003779667878099784516903375708021358986913597\
810855340278816139103667173981136444244124274035664093184 #^18 + 
                    2165829639575826398723920772972159713600128350544190422139\
365105782207260701532704998187051129266716312198718285829064886212407951955310\
894956407506216025813293760644090692403296929977395766489904290271433788190951\
971344120263481325295552938546639664112159790666759809640900637865643098794520\
243063787928056876817282536531483322616472811749099137359863761596725590511163\
7481400945401605946855728229435309909295396297307479605248 #^19 + 
                    6616378821629947816034435013820960721012763830050706206221\
259745883319997078621280771113431216929405302322621393652650649461902496925788\
603349951815686770828731658147389412492246968191616360745419132324195447780266\
592174044809949946937313041505231429803691640300162248397211416274553467953629\
558004564708589023409741329462861503851340278496870055230528103955227534564210\
33655795559296489786567376256207752305722800062653792256 #^20 - 
                    2366113865247323567098306028956019413100021118053666005016\
019964521058414736033392392792941848328647496959919627920499287641194269196334\
760464351925209595509805383497354427560561730541896936910271466449734279321498\
294927268966197555708869646534109370845192354137375381055605393357620510684686\
225564681212380677963129914217070694973687520718842654937185394723621588315681\
5542974867680826655934097021289653183428001679971373285376 #^21 + 
                    1173279185674675498033835347941584629275390496032317100104\
485181891439812988377660454932629257238605789262702377097504622203792217145895\
292651787201947757382278381540568456556957272159419721771616701094932292341881\
101395097349404930118572312376207672027333586678900138667882228912411533006591\
711094975377300224062238565828542364679921030850350175006214741490496500364971\
9894782228474823521561804108032987206777128030659867049984 #^22 + 
                    1745547619311404141788686767894543489115132508276059780544\
835160038520771662987179749014472735211094459297361102553752484407384703410896\
988420401257537131648246330268207250928529253302519943115691592587169588323481\
531870259952256671679832999372590761972910010037160121591953896607048081182991\
697449736220747340494838937042470230571982573460973978643237584451289247259020\
8707982405650327416051199093376120516564525812484224843776 #^23 - 
                    3397924297846484791782347797191505650622843294074868124507\
541302449164343389715295544996048108738713269346383794829225086633634203447060\
329837186527535297962299336108364329590874408410083507130518206686286687559439\
740873973413781218762610301555403541464807375077897190351926547503088055208513\
151068319578242080958330193314023713370071002079220985611695454231454952874904\
1149331265325106979484325466870805194700509864264653078528 #^24 - 
                    9015208851415440182301923761031655951003046824323274369483\
858159867791481688094599888199997143229083911132564120442351555451578469260840\
110677890340124944729658281419001497031908999820068822415998248177168980591808\
871629826637286740821002996457131597401507429862600972845209915784594755938256\
278417316982603429708932484677639133378210916768748016740198792479748855781021\
116452514089154498031005142165255729119902977862358007808 #^25 + 
                    5317764005447858637183508544068833579221250330475455480562\
509866502922668039490724815127487738411908027328818879686620126519832045784162\
484393133939219320392158993337157323657028361377543816169946561668803086905795\
609147123003663601416510051211948543845440246558480587509089066344962607290840\
767635414733717460076750085934416967414349445167358136597968539674620887024076\
1302204278738247278212609210859408260951090861173343518720 #^26 + 
                    4178891894976772134117927825611216570582791015233972673260\
527090548622200450526620886659713839805270505949201965206853042654417221728984\
012872066360183289233070305997490076033139175395901416155514365240972752367650\
873316841374192489226166188934401551620144830267296640911621418670392930189040\
928593569763663304184704236853262669336791500159105273194101103483943216435561\
311323892238453626156991605242583117451924231570682019840 #^27 - 
                    
                    5649353696032195878158380391472851541337751424849555439354\
617538620162246583073076488629433095539252283093668001577324710378691028802259\
450840459560690174943158922430396906154876185741263523381036484350158656404208\
024637052270196358200420407902427080272458249725190928783121133080340241075551\
274166784015947780273286126970055905897139302491311426747744590033478068503971\
8801613692509130345358901510558831478530278711113803628544 #^28 - 
                    2770606585559965532778752510613217099909608235550679642254\
018997656388742499746199303010690945295422228639472343139739096919659831692844\
489917535413862826423576049717469626915174706243213831990525004681973137836995\
869282624105794531290026566180781551624954601595251885314141245096816744325674\
490007647547747152957286806763173863640393258625296993079222171100229739612705\
804195566285349578456460257550358938728660910889005744128 #^29 + 
                    4437862404204595673978865244941183201753662916389709481153\
833778821271210142318403767715089533134322476577509343696589660430580710408695\
153757018251254664162482864712507571734477753403561903714553975792092647100870\
253912484119870508899872722253421449345228800111028711535724077769533798399778\
633998393732998283708547468078502530045837220823336942104731869970422057057345\
0781448890085121319532041366013304671430203348107892097024 #^30 + 
                    2055954784080231161439957623963255327340839466745432648700\
803781733617168057644708679546937555838385841425866631784434188174358813416077\
739982191169225018759728317486336318240120174937431741079054716106225213228992\
811526424455422131261025225166388121402671620306847867260811856404109794807187\
445707439050665772585109934249210470647206495587827059447174234271305663589317\
812589877746541787005963671865691876737913451823759360000 #^31 - 
                    2712621828450100516477539737741208427456314681757885697176\
246095842067749927400710228937227200127097712315822466640238412777609145414541\
864501067216127859677831948484864755249960635594257158974485199057020248569406\
401853890148708324628677924460932598609631343211303448334016407686247804348484\
458024953166671459660029206182971508524357786936009945181605215308634341472631\
7248914906919514634493528522667575100899853660551288717312 #^32 - 
                    1104714444942948966127406337578189491979760015087506356430\
825520323145955113540445908470376554402549070759770720977201253802469923643794\
149135868912172401586843216520079559646307458246467119739755178287536173667280\
560993017951246122043802264920539518659303481856285168434630446281615781335962\
112807535271185762382222478803346800027338573855030900389487139072361889109523\
395552537195804713920049133006810185214224471964981919744 #^33 + 
                    1339569615525870320392488433437487229358082728473491333767\
773353309395763913004162610869101791379353036018834483885771100883298570456066\
815241529381614374115112153183055089772177820861649346069180646791899466785585\
483074219161232318294796012951256075548865816493155623204714396582063407428138\
578044156736571030054817934621703174998423076585399362423560753538049906115651\
7309681078701149139538498681457552262588751387177280077824 #^34 + 
                    4461081377037414715980066263784861049741843237959561538195\
696881077389377514453085407751083687354953525411349865458985555485035664831985\
257443272728105086109102508048938766304765224419184271020509410409829103567252\
444753520674815784654199853808314338805495582733655100976401577187438489932920\
001388016745372602883471879856031577094986837841269438352092602269859474316451\
41795962675266912011017256580629649245498928394401742848 #^35 - 
                    5429684566339924334660549129047593643503141136829472761742\
051792613959332947854731649346206018570195999463495028825186313944194664172394\
250095185814009302595663832747432160486460556905609669364810397024702257187889\
491765026681185587671292932926457408747007439996141652641036884824469351591712\
558125211185526740447122313097355176071044769327751943826502492384011899306890\
731645423369817103236844074926405552208772132944977330176 #^36 - 
                    2006413844944542675199993588316022965992007154543238272905\
587135606299180351017568931231714094651998766810869800112491982938416202252113\
820260189459888851634114639083270657396287802863299971001239369560489709797082\
444457603293509095676493508998987402639529368672712006246551942339770117868154\
772154155000081627394573696944589716359290478971435738801569908110705164616511\
37852175932846605951788037252938803415003504155553693696 #^37 + 
                    1770669581197360356719689136882185934575026512886425272241\
080419400867438504776655500228527286331897940223437710482953411829057420616845\
411222902732807560730162700436292776915422021608131535745830813393634469695232\
999686277314452789738825490368772286373011164742138963500597503994821284104812\
690025465737551940140618429711886851170887044213593532525844326048084008652234\
838400592574409576982578490990137962966432820557250560000 #^38 + 
                    1024384195841560786203803990261659864941415168828353963865\
514889429083788470409987439754590265618961816302022164464479931412307178243328\
940535200835545019885068896236440098283715281294336198006517282389405216538181\
057852552998133215228559571594024966998226660585642018033386696838705051060739\
400771644697766642486887646318531960901837703138849628511495283206470885727693\
89486428677379752559678729905125262333886212940706611200 #^39 - 
                    4404903188819469762250126285927225455462656966341232172185\
054947307913689096385995110810482590602971793490232236915320465893059674569599\
690156297998655932272241814936015983195747871277485677230191263453241159058478\
335119906579096367551385973276858920532903872985067196552640080965268215346678\
869087133583327933077986244602027661458014868411019054535425228969278238834353\
95874208305015827959466442644322238838780872893703127040 #^40 - 
                    
                    3827987770860919491233684840407289481741771535732531474965\
750463930603038239510027829371105769635461764402277898787160901926580927888897\
574350818492212960002037391048238182286099024785420704529537214387961257277563\
837094194602572561628536141756449403788212894934490365843229239370973613467170\
498521853912020284220969998561645201242753388609912554504523815593683477740744\
0839048501956946811462225367017616433006800804323000320 #^41 + 
                    7699915284162094579185611026585840631037843178805113294306\
205566927573946273628740978477009206308570863015020777641689524265821485789684\
487671786906160745633768926817014196544455181908086706622716282432451619372261\
617465860117148432669545752506667592432871773112494459033677808208034415802365\
843519554636517457156189723584860323006997919736895264265889840824246106250719\
6169620637094918813896695436116768973706857767942225920 #^42 + 
                    6136512664922345768573038016807349795804300759444703208305\
755695353037731250689799425612980184299100771859553223985356798248232756751885\
217516937449568651333045922939998620576367629644077040950012108629408507240653\
630825722294319581797227755112271453240728244574119367953883868041086929695317\
029687963002420241785421255056506685304833840406273915326724502171608496733077\
172830844968881190438346800370011711777556667354316800 #^43 - 
                    1086771210996007289420930388171010450514240601052792407820\
278138212935550469792720145053498236330762274623168545846732562188045786387457\
393524601518515691316261171674447575598089147440003951748666421000629000572075\
427131692536218867882782780750659052549028008235266699307039955278544979144470\
489101077058527378506476176589328476674265936215725876287567624621537182513113\
7178287978349020655210256884784420835935861354707025920 #^44 - 
                    1293662224449047757694709741532758028316076909416427479387\
578201575024109654051165756001463578955702650947413401324034490835473226143326\
295781661787429409015925921658008300606543694839321850507472387802071639127113\
064362721030591918588413450219142555128854687668505883158834167608011941972400\
987486464907600538253076031880675185862589235650044752045926678645715052695733\
975477967577166092013082885619076546823437083119452160 #^45 + 
                    8137118353676547864478219449655128570966401590191503181465\
461878453283229499004394503065250161415568200897382692966184371683716788928348\
688097692499323315547678506533514266331714138566217834905184232299648442851758\
830803229467242829662428939813001376997516514885753932622990847742033492125794\
740639259598780662643172383896789375537032722875584368986292952340951860314301\
67767306706812804784750013655567795696967883318886400 #^46 + 
                    3357801967207691926498313831191559413490860278111372617051\
700331929265170978057732259769304803461334217739206961970794790100710733006319\
638412117027030221521027654381203670096016009184750357084927288124352252428242\
067192193802906990454467381400674479511761732627155698293129844483773010945952\
351835761325843581676255960364506094797500653827830034991584845157069690013010\
0717955563337615190391241908915168475182048634470400 #^47 - 
                    9589302765777780981376455521392141604228629829534006604680\
817940198881717272255841556102401023206209978722206382917915105732642255292269\
959490917940818086249389229009699113680555480767060039776418407495995573573502\
514928406937505439198966584241787686779310739514732473924180252054272484971875\
127949873727927354512357405401609255358835826462254552304925950310083199562544\
4961528659739798528319737879177967436065668700569600 #^48 - 
                    2197974725743681967691251586436657632256566199106247335157\
067692619697547241193057028298544704304903693842939851218599458399293457365615\
245849456617105394577805792051598092965920050216457081446147607679354471423388\
346542588792633062099481543762299084839291500859013112712556145010998348493429\
120886341351078307654648780710736768486515638331766901594773023597082023750820\
1648891055799080230134794862584840887336642910617600 #^49 + 
                    5697718805878897726797326176342762806598302479385350886647\
346910123828440711163908076595908107290386822794753190872515088382641569787951\
586230909478097003352416374695219623979806167568056733349653367241209219665524\
019614954693475116347361123192849636729378825752029780969325757007361737403889\
504588162143224917139800832929463666594772962537777206088721379176774973716748\
71503163437776854875444240098451489416455629800 #2^2 + 
                    8961434820162424750138759862041841932021766263453929715221\
735649214472565735101401316197755977772565075132662184229766075856305578654683\
406203055691940043821776550435584309336953933434349437688448709950341797035748\
914391031218868847212259079913638092622790921248481743837421167991567585662579\
376344044890757260229675429209427517802006669475484461851169182176985736061308\
504980399069464955988541360189141236980441004280 # #2^2 - 
                    6645963225750524318019125682358128463958779774708385435541\
842165853598500755155417968756945512385300665557193126973715597604478774260789\
091046831747156628836860781897977651029202558180002429058763191202709311378319\
520139174136885189854191498891532647934052196443232870539812359277610502461342\
038069279413091847706412731896354146991147118038104473846882815247363457796038\
9644651250507240527492968742868191521514818476800 #^2 #2^2 - 
                    1321115335501725338329552859441545484162707764130161160624\
403499576817837062388118476056590362100107995890344582951756508285493858442110\
862312248116382123890606139350715013316438838789173706197837969227495827087839\
410006144262005250255337527907707030339901484566018650500523966316143963268342\
900158926571714619771088335910163668261533276284807225294665721869823636321404\
288631932087216178688704954435888062960000072057120 #^3 #2^2 + 
                    1729109002701079538491896492831224099019779257788937882649\
232943974681025975369744748328239215223113972831021070074152664524558319843473\
573264792472776234453106692842692293668666336633870722484692001929728874852927\
471729632080823533244441312403879131377079977441193730798256134403249925340950\
058044240241561321497140270568935406113974246667970231817620439749841488683098\
682703889237665637490088020530825822395351293539520 #^4 #2^2 + 
                    7207826976816184881891602881620546223047176133112084683838\
251942038189678131999287970399545655785316630821107508544528957639614022211391\
140818257779483402625228439727783466212179574978491825107876349807205409163448\
049506155562616883535520635628464491932729116027932797491719195158793943998856\
950232133356216044411558466255932979652517544246807573789677987856986250883406\
9398882789278330416399603860019443612969037425020160 #^5 #2^2 - 
                    7568861429057063648611554584131921357045282573392180313003\
231283246050731495558656921310384521226355970795066859108610793372276159919318\
568508876053372585311533377401391439543105707240767593846122066594238248914095\
681569532581269059322106531530677253026254607260618937510509840232358002254511\
465939571661631972609489166053371195939322236900834621225500090778695973537298\
151766575996647891527543794397925406614807746643200 #^6 #2^2 - 
                    1981369543524059945205835368449796103224323061250411240407\
036343204948731219100486391379455919463644597374497541662936335826374424603691\
327398049794513272001205946176474252034528521676195619277720205888564665214601\
763733720259564223482666542723676833595079185928256530265942019586928367729363\
297823683464649954629112847016460589159139528231042952368288024490780458656391\
851815164921216027606370310577393095166184017474045440 #^7 #2^2 + 
                    2418463508743495657920126081826715273626903502241124992485\
748491812150904697411145041657176156399544533576505867620902687413834450295516\
632883387732038606331275182535794057001519602045811930202119733991343432184349\
229977951831710961953587037919718071225968611617253308760690730350646826098281\
423610179481512480527905018557487793498565819732143834752732116949418738749464\
61767545627110789721135153835914088230752188866872320 #^8 #2^2 + 
                    2803237840510556782153012672706099828756873748300407108324\
900515826931133143533849495339681214271736452061661688969601641005287230753668\
769998297187625412000146005729590978961175328929493488760880730954489135058384\
066947043560206742454233129905689714882714319152913476049303058323888481958996\
496284130189229316591407698301086708876631384811365098111194292949607259562700\
1803637620234750492318461770035177601046486304912281600 #^9 #2^2 - 
                    2925158489762943108614801470883924456779858312226457239113\
014013451006121003475728783045443142745816095131960948599582375035987827526868\
066701941544574488715294485948349023865452106143090653049564220122855619649539\
680147405457828140098916531891180391533271802449806618906702982734981722384992\
389960590609342306290796302712762762035793784708020291234457573208704533278130\
538799350229523348088611350750344605738251007162716160 #^10 #2^2 - 
                    2336802799093628300459383207001730294197372087226084721956\
388098002586376436483295711511848318032847825085918416027657037650187053907672\
389519585437268182133113324400868134573289522731185872993472463858103821163361\
734431534678236137785672624591760097116675228375603468537707576877389642423890\
086817174997020847367791448564344549054204738832789520450057716816273049459070\
94015026949218363640081109625883341175435587621988392960 #^11 #2^2 + 
                    2181201629248788104584281467043703242290658877441798147150\
358065392940177612446202697157657990438479390334243912330169751772309714532318\
775762840018907230594956386145231096982018786605414817592064764110052333274538\
347202991572951132448125083418855067294276787724213531916345444184315358061617\
362299677378771600129584200944705521280908253173190545994126734373718867424306\
448518128192035440192151374755159844635686065100472320 #^12 #2^2 + 
                    1241487918296131974257149344815961347759764420706868507646\
831115105038662217576942666619090692823516073844066947555769575981510729290693\
962726109841684648780778498799101026365453534632364222725695362874620836268046\
305548511238789186174126770628948638449308581939507349441193638868061055102371\
783889165472578685768555986499593385788027358415215164643130812817065518650330\
119931360824108650616945653002314084139562703343649095680 #^13 #2^2 + 
                    1271935841766502496077101405394079695348565415498913640158\
135202660254157227935631824547200673757308213384241977409058333623119562203724\
307672589582927881639064071535130762305485372121711013132953645395767722732131\
063376564683536002694727651286648661457916796264883575470653879745754227137428\
830211079772184404570047439901015864260811817661956551994267047590178058266021\
08495386686433474028581648173256236577990698259697500160 #^14 #2^2 - 
                    4367874224041846582231288029371001485038333659506732777485\
858378192811773638067952662773652893286752258161845909079688413848733697249410\
551250453817792589169861634359856088891365901174371544359331562071520499986645\
238074132229090196807697538233564672810310822247319276890367329977791346217788\
404576425952986354384623977349746972787080711369596673186600397456149616008341\
454057809564860985275144921812177310513859383983101706240 #^15 #2^2 - 
                    7858241018115764667283342324125189646494265001352530197000\
108881763528027410824243710386476559428890946720292558944307220600701722992260\
260216284406211690159942922144753042976170139269084739989979821826143994778375\
639902059195666584192898129552446963011039514611633392387772898091939547345085\
172066622497251203436396686118102914135797421709588672201869051800549061886324\
67541847252539302988016695288797921605880945490459361280 #^16 #2^2 + 
                    1035125950164194640304228130468344919098803516577199191588\
757955242184402949856098215825537481834016243038926235988133455745250373349011\
527412733000465883938383762124139146427676137468729899479842379677403304284354\
077274314757746100921169760618951627612385907892350370503422098020940905575244\
354311218246714598383686398498587673523865430736318924452684325379121158887118\
7876317238796997896093120479087879390064363593132010373120 #^17 #2^2 + 
                    1812579835841173868369732383854182383005546414949022350918\
407737236678296503725553356024390373383701904916953059262927212960924109900276\
699056593926885228834360769821282290619263934745349949424734085179082435062540\
671048290270402325127234266857759621761963389414096170796513341289932223925994\
438919844228089949532358189229044525867827968924087977015600799477365184084110\
920025289800341069735346024608605077362967570293241937920 #^18 #2^2 - 
                    1660260361698495149783790370277318177419548817107909776797\
610867472435886345697670959744481995206415550565613404477110820130686481688724\
869323182366182299452632811070167329483116885062076776203862509064590359225882\
363636042680612896790058065126891349825064712950780500496990300065835646976495\
745891275759685613650259728286097616632056290065167184332549541467259053570124\
9665669020470415474906858819084582733698764333354812702720 #^19 #2^2 - 
                    1409917596038888925857750478439334232311936139597103064357\
657038782750733506828610803004952932505476832480645456137145877451548543995626\
250093286797995490131171996920135824167563248012053829320633182759382937721188\
668828625781248328173043729710770202280242865615924334621611665532520575072217\
927304697923212853076405187705532123409698975436899398238353547812004601397887\
56496447951014185083134637245394200034889901009188945920 #^20 #2^2 + 
                    1794201847821415906561895010756170727850292987803665465830\
889981960867492731876167289936033704968934491177003183023140320133989138893072\
603333322842295679785440637425806375267318401011184320418064485505139985099478\
788141248499002446273136495358033332778903884225290913180096891128786970652835\
969108635491335298701080959698554127962301404921371334006964655820245099567580\
9367148841268975146505991333650308739939043989028811571200 #^21 #2^2 - 
                    9360282021988057124442074917718238787612035452381129003260\
833398845444712731330483003252304437982681964688507563960998869048467590760151\
903202872935785187274247238299677170386606353750514882443519282987392478677958\
434400146813692759334461290912238848421532838473008874432522160712504785379629\
225988038403106800192124203758047725640277125264686857960840462126974129071978\
426247856216218950820409000266884029243603842439084769280 #^22 #2^2 - 
                    1291798073967409796534666079865119749790740096368338495912\
786363671784362917822318695141573387461138367016017325675633308058565497630471\
314021810608286226514921719098629609993147022549281193910401651946152143665828\
272077257195851566758800750911058638533317857781977346290515940057841110820810\
761750700225287962127729433047723238413848089977382217964685542008033367967535\
2398089151246101542961675801235470083432142818292625571840 #^23 #2^2 + 
                    2624606109406444992529348923107802382935213933017294006027\
799206452317780703388698144020018556266732113778600141262953028297867299816505\
602732979799618825008968479880602320678192858108015295878407518675988639839070\
965639503565487477714756047696255243120230537808897792642046191846577550489699\
303165570264016590230996355388960180990454783026547055571612443305795105270252\
0992569272872101916801990028642182782421412071600029696000 #^24 #2^2 + 
                    6245929620209587436559110677818450322935094845497096188058\
208429331992029216801542893926298601653071968569574218412417150240007457155338\
765502286027181600829993862682414694385550378583665460789937144830236785360275\
645106553874847980667679056881721678783948076307581006728000031111419156529805\
042942355452411342183951188821678058669083660448011360493439579672880281224176\
091390175004012351234790188699954043163021001444588257280 #^25 #2^2 - 
                    4071990726193482896861770591944552149075985378300709364322\
928002906462546164224289481476422586417413787595761382326809288264639443993038\
248419308807783458492638280101104617270059933936365314115978891938590789865105\
130329156795494754583471218778963762699302477477790407517814364325968641078959\
703744717353543733357822862029017055962602851514993537902681571414079107395029\
7497285926884290322867135084521324377274801997575146700800 #^26 #2^2 - 
                    2508712670871471129888473271323796915632091319885110499353\
277514146755314784772795180347263874991274680549789146363324276836788563070941\
722321059708189314974363820827068886452194832371053183775748091341783790046839\
929603757629238871689853653332815007424185299400923591008583744228214998855374\
669030547003625279102435626458931014996423174498199822764946138666769487157463\
524173728596797081993059187426321564670219057481845309440 #^27 #2^2 + 
                    4309399084546788061526525427531360973133786651397221624535\
945682633658785417878323727585748351694025600641546954050620674426347964623605\
929695913939097298119569232448414414899836071495183826960959056742739516428447\
498341959091331883638648639479623449753181554814754860039340240876570217986592\
617881707728442915068059380695122521413693589816525579819660386975339552015117\
8817662435282132128612257399009307053232202898350234664960 #^28 #2^2 + 
                    1564276898777823507007180870708461658728475433648121078939\
851883960231981873673845979961457840360323355944292867075415324290713401175641\
420900906691103171006489687510403024871148513938523480288959174651029034177862\
090805358386484823943131146406634656378314853289117684644314719355962930207722\
303543328948800030913358386297148629524581747989009475058568733575745367969858\
484772220447809564352389360982903896188374529029670174720 #^29 #2^2 - 
                    3377685121327134312476548990341421286227773449916702345661\
978147904020546422404978930119225807020159853341927811223666822564152102674854\
205559352246573645632550952662274653583233590997895036040227208170769881376321\
967220360654745020440227022923430955887820382076320659498153307645589765497387\
275660048097617208106223783094147721879666185703251327041282276985901514723323\
7505378991912793228303530779436699079885895893920451133440 #^30 #2^2 - 
                    1219561642596567079313966787823742353246982813449577013707\
054277726347503571385110233862197728862176029733353480361577652937173005405078\
711816480551641377076088576215932093416213919720411724609941147562638372964666\
964781378753388789378671391202312791886835105715241393300934163121464182167566\
055797965054990102324855427572792057497083917419108654136339413278779226382369\
079668084062559609627845179769734820682325236053568389120 #^31 #2^2 + 
                    2061229972884006501667146263817344899450191544757523663946\
463286636945143400212692784473970888066511251459141010263588867755453831494522\
996006715141384691385222121437684147864582433173365333999412885152664205249198\
281210039234523919696796143081458637953462973333308622539985691341533980885493\
946133953753830494546648552558496499179023930096028160403352296560038320184495\
3005827162563454888345797532733233099985402977286650593280 #^32 #2^2 + 
                    6652606353521246667552720622733658870541218848710286816248\
392537838087508310950418834681550072691356481627357629325619111614432107454385\
207847518750383085446696198330875774764727113654102577052373368462531219870119\
270043030220323971852137035636389706861280584681402786342216086432540485667190\
709893074166916901035952902062438761878671958440059258575068173205420232896763\
60797420860679366492084772482285815217664356284398305280 #^33 #2^2 - 
                    1016537283496134741076845984276620532014859197226928726580\
916371269170186899728511248411557463758748352671428305927619952087112484600021\
920034602367274472591322052159402867633429320570834852644409427711513389135360\
424530944062043509356256468272246402876207257265686014422208437035967623973976\
205483323247687411640005714465370572254162836207291993384309311711781204006695\
9139394434078938000865877226748340147467370844212124712960 #^34 #2^2 - 
                    2673739614136351779813493119146423760583163894971929113350\
010753356766378511322292588283616460584336550313918021278867507671212931351791\
353605294604843259185562798211234284729926950353367319558867823014941188818363\
011713976640966235553275638844833481538492350216844243101105053524983571043931\
077465867683151523801674593980076426109623924740866518456630842005990956152008\
97540861999204663667949051548813788078033469254443991040 #^35 #2^2 + 
                    4115988146300436802249731562084095509222463209055064420739\
304445601603745987691041666441522241363815454255220758916507258651415813126295\
710160356918618556194233624652598545723552303285321495781584723726988763288379\
964706112527671973631279268734959172453027873036125902188455772901103444275939\
383491731053984737159417679774287435628662501955412961684590903406335005913128\
959334551662250557084357321493205587636360150761917644800 #^36 #2^2 + 
                    1288168965762356762276590386262682226982799175582566548875\
449023200550962755335819784411440065085768456747452389273270115398928511921150\
507648026092520675782606453346181389368325137261885031869934292437117235833794\
059236730102384009422867693963315118521049169629533489092905400029768420916466\
970258825823314167585155061867733109316215455774488274200461569825788458187764\
99887149016773871516739215894133285932207026121694248960 #^37 #2^2 - 
                    1341260722848533990804332255868979067064434963486041378225\
610948485156258432711469040909289715126132033064806157131419888070643595548162\
924696996912598651922819531124053411718296553724948874105753855855557813381341\
044094645037986376454548199787463256728509150391236938701387051140251626108268\
555832082973240200618591138883687687380541574941709903578783334907163980513404\
737555793743219412250597616906777626992083477767127040000 #^38 #2^2 - 
                    7170810393432050748840914912347269905780325913213268245951\
791526314674871444335142227495846941276858753787093311452529183516913108199162\
128395884946550162812332439712414614644684977107228981001962189544140952702760\
690323994564370353582930735898741174020444099153789089893491941981656589516021\
930785686628051942347383486986485973289361897111446337845732023165263692733224\
4231203039398851883414449775324740035416583653713510400 #^39 #2^2 + 
                    3334782380528030238398330808602474541770391811653450648913\
325001576336932366355473535966611865969602386257118361693578407612263279869087\
812494807017184293595742644118453498157322058738932713273523372327544589326191\
583208360749428841768133316387846364677951436533163757233259933638420532329741\
691070057263309143462266676913006848355330707532581632485956702856558727472522\
33374141601273380461209062520983221948768456394617651200 #^40 #2^2 + 
                    2787698816408618786165024109142573580888470349244535147343\
782879234016149517010608670702919946992776660884581697963910491398148332673863\
154491690017143534454595476135059397720235109459810652215694073417059153858860\
728810559585331194155508492292134926674484301480260295087475131597348817752564\
249826381645603747243885240705769344302052854229936615387287397204939491202455\
6502988337680376597549503926919518155178654659143270400 #^41 #2^2 - 
                    5825566465843295750141286873416310682129376766325617405490\
851511350752468716976868555363512629751212390915718672105262571986084193930037\
138531523671754272249239216476454609880457485469811777795170511967579265442928\
778978342463506927236545151766913352571537645604148109176265078581173334614513\
040442018187911907259323166318069774511498589865955440010936457218333888864500\
1074311833586530452892569372293251615538399151338291200 #^42 #2^2 - 
                    4491060397302454265148416428337879073802487650052172833815\
656090478579567373098710555904190060924835021911765003495864078123281498771768\
327896690616720804086781535701314260799312015716076335460239290715828817724743\
507521105563525681406768104013769182792597460881308552427172824992492588709970\
573337133140103437888766999968580088935820526945692212865019764060706094458753\
175343379691545520327404576809279251270546683540275200 #^43 #2^2 + 
                    8219917043445185818792053132011594981442256334198491695692\
741274090417961722703361804080087522340540212773762554082129328477845334719288\
706024941576648628950340981174326885958329127132766423053979750693265206895614\
717462389338078505273278360172713012733412483460265923612747647643861186962030\
034950674943415239854578109018956510179116626542749073361449052640028546804738\
104258746561349177396812810166550517875119150963097600 #^44 #2^2 + 
                    9643562062770076012237409630957425251298387612802705796345\
347920859023770603203259614887993905179542188272945231648913343701802960013794\
976146929144581566234138423986503722882709119172796783581509543433616700621548\
099085277848069463500373434995568956021118870075302259545329954752648418298606\
121725322268340753407585183142791226417100277133320537032947116752191179826543\
51542916161881002125312694138434117177064507939225600 #^45 #2^2 - 
                    6149584901068987390671707347770923064147406315693754795111\
471051300655739717020833422766648394669339472724722334206943571395687734343093\
639325960199340817831477595066155829441696357155545274179068967081239704919909\
739693653357384050169556773973018899336026954560157368938177962897826898735435\
296490024527747062489369722823945929833142996445636940948515173764740986289449\
65434022949954245221637908729392541747113550151680000 #^46 #2^2 - 
                    2423183441795446911289185736208283777597973830260011448667\
599429020300808941978611045811028759333044192447252671324615065539511620816432\
498340386831832349013919171641539807040741649486824539230259967023834712594436\
645568881926667095838982629412331151068658031668434802732866110351718240853255\
509233167966167068856487801277558825151454936326584079944798669788818527351981\
8005311570333773911234257281000148030515451002880000 #^47 #2^2 + 
                    7259333607306256776796209789443942522918666878601577674610\
757389650294364961358969489415456125272784951069675205302402224437658270108457\
624417393479102496716649123211005140464553515208783414502296869361177046917438\
123560906731227182433480133328076606146876435982160010952374762280288014252006\
923970051613164401312550501551615623610923298532861800882827374873979181325616\
0170665300347764995746767594661339031739165573120000 #^48 #2^2 + 
                    1656827345437638621112955036177704208783644346843921999693\
051554767166090071647899498878688020347698454218993533223357708761025531930744\
827851260041597143721540948508607520771912213626955814561725612378589627339698\
928391263160548137483781284915841901792537176022837749156117512898978863523509\
142833577214005971909098840214003824689294406954190286866730907873931710407234\
3005632573698295174981361879700327199268642226176000 #^49 #2^2 - 
                    7450313049899177641782547075454736152108878258205360794322\
129221344306553050971676190004861869010187231022646715393209800866928820807479\
054854886380145176749641580363580947566710184538677794347686003255445320214575\
606603032759974537008932259180027955682103382135525597691908714863870073899578\
440818349597179333111877865515802993637014060141827443104185796844910388363362\
04091658890445912115129474069295459544313282400 #2^4 - 
                    1171864264225089062222921133417512770615364521833102208889\
320475811266394135475235978560147045576940811630959534211983788354491663803642\
015867474593574228251609183368613652570739459607836206736150455067990688973121\
257710758717552482403545407024001659602382676635910809966777027542509799497611\
516495681055153705521353383966427513890903591082711419015123746223060115095529\
8678711525854454377326637374497875542570324828480 # #2^4 + 
                    8800943020932889106978218883477502267181861213544314570898\
531792220078404020614006610030325353758957390085424716979298207333457145016660\
443663093677365535413093118056232615397467416289717084060151962168161179371889\
921634398464616361882116741835112511398638049261497071283957543640633678094213\
793327213323898116418939730321773741882566209438743808139689582141351768449383\
3984157302991706209785786459990910496156576058560 #^2 #2^4 + 
                    1734231411453011406270548110743743340124066359268697747014\
050424792314372573189582488508452164992115057611475536989613339813752307644209\
870004120495756513583649844596563955429742820875328916240121987903983509839995\
861641456569648429508328374485347993015287588881495716857718320330070707613186\
996051436012669259005931005576138388795823374355260262532181139428344827764785\
304097075139740365363685982745186822296091003002880 #^3 #2^4 - 
                    2362321944037610559197362160921106142040250763458647807743\
357967201317495877342904822239513957453134900271042114894332225605640329473182\
375970055566386009689426907702451677808199651942414219844877269841048240096252\
296601299256679737796057338176491675761325664687464759233634144614810534042744\
028064490364442839162995793086398661304116498917126884977045682019105237222882\
418285441720136578742283684298022250290473146707200 #^4 #2^4 - 
                    9511202197042378200080859395583969785990852948633048242766\
038039263409284440603827059821165554120953718577561084952115754513332338980668\
393559548584106221041213000581585340407523365286289207951827089365928751379596\
066406759244094658917147233884821084593031516895263471781212543311156109349199\
153467497120603359905385442049810943536469388092669677615490157306336046693950\
4154742617257428907803931742451516062488201427456000 #^5 #2^4 + 
                    1279494066002026330613546848923415477379434185442101637050\
060863385820226420733330097666227042980046803572699678311505214505809491426143\
878354288474236120695211818488118922561603780559534243678577111789881158254197\
135508829844065901157925979140384774564315871072614185866420657551934587425587\
818689975512673304727865650457724991864889012770926761994188173201300987814928\
4540698039513611177868086257605805831933206678906880 #^6 #2^4 + 
                    2624942543577359741020368390413763349635300245261163228600\
092378717990449266945862062585496539566526200764947171333748375250917330385475\
500567787742618628564239110973842435910452910008247255905687145982188128481113\
387393695495929915011022795199309829028970824842753674971930638240410713107426\
614627535221924003578576043931722637319470887014950727489912604106679504042674\
895126315639772035907398560209946761851824825671045120 #^7 #2^4 - 
                    3546573716592186429804019485966787359250713990724595057490\
500196096210314650852262100823768994069790029131103760610840755062971708033693\
764204062467352923785075421976386406412244663073116016638573371683108845745264\
112051809085777309290974376593474082568343506434327509308489040778056448532081\
106315382027223624919930884928402851025738071052762215158139732970466043164464\
67647354783410494472563094467634866679999698989342720 #^8 #2^4 - 
                    3727957879774611683334047619967079626946280327318534542746\
028978127215863774786586138476403587724746549698601205562160781518546515298321\
119097395435719593319777732926275433758837607670310436676928686243559213996284\
623313564635697192969595355620012430737904651527123141847211970462988350627167\
378680691342640611658465102194726542077714985321799838454385810292976770785857\
6326941292371150216828589319018154524393058228797276160 #^9 #2^4 + 
                    4096818306692283466564926788028732882441862639756283471767\
613621965809781618885994263029083849819432961666441285629679205002580099156588\
108171715915945119912427365614548586803989581538745649527303782148161603207302\
779674441514766593015886398613060137977219415612538045765854209462307085634993\
349878241115316213490863250306081852433134254506284020939472488697060206673454\
957819894863986351823852522712159984453724511729254400 #^10 #2^4 + 
                    3117706629669376311237194264595991115687540813304801992845\
786536022925362913421392027518549726273949100332403785881858444695729781551697\
995881463171207191885615820657587380244479709528652759242263507394600210316550\
916496972614979515488831399890021481933293522652333243860565206983322141580975\
060277042523072016201911712793271553744764680002140621539551111135359698707757\
85937202406629649089916650780717229518995925879151329280 #^11 #2^4 - 
                    3467664158671676162538756922396629711756497456023510721816\
201495750074007382332190737946775307901728231489037190937467130318885872085173\
970239503686553756263659256354423678470903204100652513609466534227789087661865\
447459040955710392717407599178245655460947785892973100976991065142344255695214\
079069080900525228930287324149066697040500041642555933954247588400649460832105\
229301372091244608135517127315666729501445121256325120 #^12 #2^4 - 
                    1660638388141242081260523208393338700333794213664372929909\
542798633328851217789029114116342414095924066420020801123850569264947390616680\
205358585456373687396181124055733740281305335406281599312627470745451093955188\
739690328879693774411107861148873864894362597311472607842835458777532652864625\
117832802885022903195525618018176835324713578279729487945815010301833000153791\
598676814208422288991297017689431515484441115246398013440 #^13 #2^4 - 
                    1704523379985293606862550976811179244008623599457167863984\
146284297522736196874773004936157278348401268724658942642350723250995965525910\
456661368364166656934035599115535860952074110143530937526362321453704690498442\
524808287038677303946061345156605799554431361463743631082964596393610933391558\
478118085869863521927427783480089518857638261137966090235001445858374812775767\
75170340926224319553896246942487851032729528861324738560 #^14 #2^4 + 
                    5854297183266625703464757019063275620218024797747277201531\
984650909755151548079631885265722465144717784704823440353210036151458476770564\
095309184722791440834135537283622111881701259699910957517698361314668578068159\
485211000286914217616856150577284161572844673365111467630202797244338989435197\
190540195143734640228624720255543608725112572173690357529854285540263216169141\
738013143510921844448912420544217708926591760178489589760 #^15 #2^4 + 
                    1060678476826174210013361965469229688715367929369779357409\
146258605518187707033520861074894949355508902879920541275927442983117557652285\
676646242757305582214542140387174734100484379967219638049715207429609921103020\
889607241758045329354560006303077225572326037489192178420869628142388277538216\
177962697533004885462773937908763224067656878770529214646214187186694611415315\
193791999677443232266936182743675022309462167457806417920 #^16 #2^4 - 
                    1389567469204915078478215054095571801784775616797614930107\
678837129767054808303308417970712527618807543621346737388902115940101861847159\
034123913706810409849078813770035637292306660110700236830063099111006941547868\
544453230294668259301269487639084336947262295237824536599702891734101455163079\
244992562708561700190871551478291883188607559742128858133862274260957744657993\
1624235999431151135580463998902965288022890030265154928640 #^17 #2^4 - 
                    2460166521233080752276318095357115031108391735266840734290\
520218754778396474077456174903241973053573033286466373690627970858807215533025\
460124133514986359386375310031714866606453162732504636351276319695640114922310\
766336707279324799974614027697257743378675052187459538751534861565600851848558\
440997172459755257945471316766760216056686236572008091052482837158035931116943\
393618495306211719212977052677639962692100309908245708800 #^18 #2^4 + 
                    2231670502174680935287980250049200920375412478600543003053\
062463819644018937353838167567044500399000718508400912437193711804540219844273\
602191912689951608575206942597763564871115729663765770535313179212227670385144\
677144980574441068336128209782509770896251866806378576390393712058110161227974\
871739010704342627390452871435385559355018252417399049179213082422435402685123\
6843286474790833525408483020092471312222952698599366983680 #^19 #2^4 + 
                    2466378008632139729306495366089305449859712174261663271024\
217611302597702595269125836117018570290962121511026774839273444689133368565799\
306717344785105766390861694005246748743774274057077203393320873539783766973538\
197551308527029572281236978771130666303575836494312531913388304233704413222176\
296125843139204197580464661221932067042862190215774097420443184912401917753967\
89105367139205837177213135211169561067406385767660912640 #^20 #2^4 - 
                    2414937395919171343017202949737644288309982293349389735345\
734760708436152881271667646201057832705203163619000092908832242363066504329501\
072405534671079277845348754732584799848143907763482353723538150467434215486144\
135793938678577459275580215286958812799882576614330279352453262586740116916102\
553914792886941717048038406095253081889808789878037842497918575558981811215540\
5226089776974169973366192486282888064149628149669004574720 #^21 #2^4 + 
                    1250635900197675912191194077673591228361402988017364824576\
046845918734500802273911636507814679500052286313106072937455069740550011695928\
155846697008556515222283692407519741276413411597729161660327032940138774647258\
343961774898306891960094498384133504418234566454641120725030297089630706964714\
883957578449498209675446560117242872791290020997561693520336786781770794391884\
4905758726806010432328258013118969116639282056131887759360 #^22 #2^4 + 
                    1742356770658584159387221245724015954887460697007605126605\
675583783071789918346555701742894193930686845113385529909482234028950239397526\
188491835352171421219460027824701184821138748175130406874202714155244819396735\
981765487364715680694832809060053624689336689722671878872561611539378252259694\
151305176200454016648015002874399332541355661679462234410064173482687060351218\
7333022494228270591831350744470225918638593178064818012160 #^23 #2^4 - 
                    3523285536598507960441956830063153777970406668743552118583\
343786224915570667053089154297701162945827444289481301792012551353959548810007\
332306248428245732003036603096081685829859789246026594366689011420876723002507\
885015947132644880750120314895621130372379293889184398211982042600651508838603\
005877422770001440090523581443984830345190377996012529568077831597196780977462\
3236002984984672570665779009100782920234992543927013212160 #^24 #2^4 - 
                    8467465272339332273376191554902911766844691044444427698649\
025808894645304927809787814036264136322656588433030628656424021731027237533208\
431171579927583218852437593246552605535090843666048710860939489530477944817401\
272334649641301738294999945557665202620143987383148129285176822393220860036261\
050447496957826709869783276390504872195981607200660374333310127268108887246660\
187456864720480095912756626808937291784903832019130122240 #^25 #2^4 + 
                    5475183080350987258164556133975412732007859570433272819768\
601992019639806680331244785026350368113525944735857052778463888625586940449874\
482672709627159243887123032175450122022162901152134841814706295984139044114171\
747567031573165507256233340906419600328249081914080445558038437323386376998212\
639546366270171709562831833605443962196444939020568037739944328411038963177288\
5849696947832868476702942341090864914795659225365426995200 #^26 #2^4 + 
                    3442547313651953646305122942515024163627337651716998163204\
831609592637969100580165478869027028255122465549933346135044120437514525853915\
312067464453860134750751979459169798556587870929417900787936742101505852655832\
677925667907986864043613473166593334424626090105334394256399839367333876297237\
409793610637850351808228797689333010024503123132409618114746861988345449471243\
137909067991350709862021370449348462235272824145093591040 #^27 #2^4 - 
                    5799335607408051025692564634177067972111290787756594080095\
034553291642382028004483098375344178142874283445285717370536531854967006851928\
347942425342728223132224253965555013945118933599186208906926228051353515534154\
824682090360790017596361603553744298993093357758557080035598196874431389369089\
502735272312257833049995927525238994583371951570809648378982525198607791378559\
9151134860137828905118405457172574669510381442456344330240 #^28 #2^4 - 
                    2160895379407369596220275058435153049136758106082754451243\
697328632777180288776667402759443005829918496965465403495690600692941600167508\
799265095550337525445287022018689840877078192377224871850726316831036749015049\
477176435879861533211412164168706377720133243883604079232305373090844595399421\
521198548904036134245775374869884203535358286280044039184420975660668744209079\
484197652218584590615669693799713563025770877640853422080 #^29 #2^4 + 
                    4547911517676001070659551083456524495989387924564053280474\
049257577087158264800087685445815833012169381106778355643475677733401594146404\
553162123909954640831904329086054420478987995165675395938208296328148622484813\
162096390278522656630684003820183569845528357384797970782207811821332568588566\
016369396317527716150036263620670184524936574130628224118715785685377237141047\
0601746883173418603732553263314076041299672910121580625920 #^30 #2^4 + 
                    1678707344140082235920918800786530351969513526281504508027\
608905278787249833466548589031769173035256202046891345174628668291548527085038\
930591413071348309866146083072533497655805249726923065852525795553388065409102\
817005643425356287740970045384993327668326619516835298337365935195418689846970\
294837509599833600446921584320925488288023052390024100607720061991225016474647\
589703485837751717095054994986097657738983185629860331520 #^31 #2^4 - 
                    2776398188473084645186374672574512401680194560508750122740\
442478868895709705507490520711470449028908328777830299644447054127119848736858\
551349858956046558483596755123776029691045281409143577569683838861829077249916\
496484941222460004862005113222646978224047406106685733083496655077591620259490\
982108720710357688073036926434137208042816999637040159196474288187058468940367\
7324602137886842573259092855528754553486402457796786257920 #^32 #2^4 - 
                    9151212124823771418674621943466869862701454125394568161193\
590865755449640882091283749601073638572654862800242613626647483864940261406085\
243015298706941901058408127641610214484841917619458896891628482646256216200457\
514785491939301252974087416470499211005120997935213800956693272316084533973807\
014644628700823129893493574461887336717346070775255972690391760241072825395545\
16555208128389688186055401994101560953073658127722741760 #^33 #2^4 + 
                    1369640937386679282479132011262734786600281335300011461884\
079928003355767577403011356703031541789629578317311515024038290960892240875132\
029426740165557311429488744922004195964845456599164673869265327641834980246241\
031233906347835372129728692995448776321594284212823164493126732753600051522153\
624078175713871002578988806711817131049299705590124852776510144105551798690838\
2609531069144541360003084739840342534814477553661053501440 #^34 #2^4 + 
                    3680700918915067855019080235090760857086648796567821119145\
100164840170616381701667635233480522350966525123098746803027572804812402561219\
596639260856668451599767610336295614203241738495643612313545556657006266518735\
917065244146518440568188622921879144554497936196920887743026475386805560107436\
457223518533274527857802181521878515022354111306942948436188031365400850900963\
93385742254055124353350860874150838213314668097070694400 #^35 #2^4 - 
                    5547134205340392528533135545781439076489770824981170807184\
116811979709417110954723158919558250312640712087110857005036208065471188829868\
683841874476757402630055851652491246463579376279942427231897659405596573005287\
217321017208716982318784261230703438089089839162707507404667795481977783346927\
339216081769478613394210882320347162100370136775541960586677546107370153688666\
426802186889318133400310362835112636672579367147478712320 #^36 #2^4 - 
                    1761495201591019686355225059076032220883446678065330743105\
496233422672535424460114121913314496891199318957854259604830585337368885601866\
157023203582997578288182581993434363033070352150751149206899891441909334651625\
338881393614350756293266286118529118325186236088852904233730918057583657290362\
596223214720944440392779821430742332990215216179808006677366955995342493179536\
59445368600893952047331660176779596566698193586728468480 #^37 #2^4 + 
                    1808033156568664893352883962290936102385575512043901612998\
963514829566624606515654529461437592468907536628159177295504743466385064162036\
925055203092957706400528322207577631169697070596253964041502094061446938390130\
924182445717762226260358803622900941367910889610175374026795298498098178305406\
328671548477632337247959477524575160537056295121896659259033818795284743755333\
029998052165892865147484383776013024199410718229921792000 #^38 #2^4 + 
                    9730957112514325724307124905974784904277045641687280632569\
203869697315167912421734951587934105185435435935349918543190759275022159508843\
883025175892538560099102231663829190848154471576028464115034292702604908903440\
677403325430086325747360929500322977714478325032354654878920457714956734547572\
901611023588815494642208001787810710877961888833638191284715553568546953380344\
1970689375902162413813980445982177445568031008122470400 #^39 #2^4 - 
                    4496240163032759120499504548345680016466344880078004582784\
703393901206142348478265148681934133281725939877193109725393928804403841683998\
633076211581512862821410331245796074465622560043688895608822314745195693155785\
253948626065303031956062611848812687874562011764703244875960667850644264202358\
215804050709867674377274695131381534311526386214835157887656251290092253327555\
24474432816442693187735214760145503280182377746268160000 #^40 #2^4 - 
                    3771512270323502225022420998112702008546107158659665335974\
086088532592255391266178769696596249339993625312940406138129916293182564749615\
331625274602007748489321129325116827376688938323180229713524047802569581450586\
512213779905156956700334784210407743291995129090519805167972139925265827910951\
808218138510694432742690316640208154322780723380657543596013766426412681619037\
7941764051409401595288010243557892361788826231557324800 #^41 #2^4 + 
                    7855533937197682954735736406899392664317781819321571873855\
709331373918224032600125340876798275433106312996891655721699957125824311244471\
420337254837099055823219382138220533541077290002728341651638374033803109320423\
805743256599914945926565462883888296691543329450676784772199867155251923659198\
486781638115538509205693123606099929200355109230349757777591327563330578908398\
7504531451006311502212512733907096776168279444658585600 #^42 #2^4 + 
                    6072821033746696868459410730138038834109605652193378570495\
135998254757300880514360712687428188565954155605407741198067348806004632010047\
412522708589129594856895509996533735427386826707998939251008411799857022899925\
877381794130578731749572154262336710629439766031393530030372698622262897567694\
893249512758190418462246883086035281416622990963611329333148658845714820692572\
853684267501165282564691286661840184266075829121843200 #^43 #2^4 - 
                    1108604197346258161950086354030334721437987061849775270656\
907507440947298235170543922057677756513659930097633943662429662622899275690122\
046303745674611335791973299634670183091601734261268975381124291720552437712914\
228976478769927591604000473236440022662690773843529640026983757200814020183604\
687980265020868142894890515051871494517004850302201029381494706506276136395733\
5985458139665681319891503239327319575182068145979392000 #^44 #2^4 - 
                    1302403192320601969115375005899168656603019515645147224080\
929808139044484452597308074025197312797840556029507743088440529251666486276827\
204149830990845243143408940848058839565229944322623144026926343700388542297648\
548791943499454580720510712650616732545869099789251968320257348647307373493292\
702687557344332615425649847109006370260002081270845032784068951496427500227582\
752807299938167652373712099326991036015450641976524800 #^45 #2^4 + 
                    8293690296918295662256211326321130255782424704495056616951\
124367052738613196626928241844238691843867351170516815385515225309080175089850\
240708289322721087300873261208689369871228475774178089712398810766606683853604\
195050666374365017201443713405065615056906614340841860631941344317039691541405\
344884543257590551362366155981434855424043899016056320811091416294986979915727\
18601450706395683599539701603767995346378710581248000 #^46 #2^4 + 
                    3277659623586383800332295346562460482597199598172885610167\
835857306607598415277803333535426060475236525992908018260643409950122616503304\
072987574333140071118772389660948186142730140728766586654387659767106771135022\
895368143767114955455295885905658433982201321338385198150557023068419705255362\
493282731392815408383191604269837176422817126537008789303626512898406943941134\
6538392412691105739682457019799496056360967077888000 #^47 #2^4 - 
                    9791330256769693184125601255010728306708063968332361120073\
322844843608278626778294413905756993377761562581204608996538548800766311031676\
086472852783776779263789116146450998879957945814572807771791993166161038687371\
265460895631705972522277042667548724641004824399646048788657867130162386386224\
854001330282827146785239901987394344795476439885291184323226670389228431390980\
3638106871296398328434774514119138327153199808512000 #^48 #2^4 - 
                    2235560368863662970752561140668799045178972710356196489568\
342146695099585115312565097861918076149114503683922649797836535256815967005262\
724852029715518859007426024163391296309468915069694219858286084413794055569431\
799692508268941236729632565798051656929569705146538244195225341783410441246221\
302938394580565635709321004829031138663832833205972560165495713251430736948994\
4013909871186881562750868092287802208679769407488000 #^49 #2^4 - 
                    5443456939671115046790982780018602623533085504860674177998\
765262132935817862259333096253392319277713361302045273049903940085847036060811\
583198700133766062842770971544439769907272657803573274440411118649373414157148\
000169261373464965962276186206411253570628858634527467370238476375106876519115\
468176126784140446819503811579523578293750531931948693332860183589863746588932\
031859861362916423403738598267291759423380800 #2^6 - 
                    3110546822669208598166275874296344356304620288491813815999\
294435504534753064148190340716224182444407635029740156028516537191912592034749\
476113542933580607338726269453965582804155804459184728251663496371070522375513\
142953863641979980549872106403663573468930776362587124211564843642918215153780\
267529215305223112468287892331156330453571732532542110475920104908493569479389\
732491349350237956230707770438452433956217600 #^2 #2^6 + 
                    3110546822669208598166275874296344356304620288491813815999\
294435504534753064148190340716224182444407635029740156028516537191912592034749\
476113542933580607338726269453965582804155804459184728251663496371070522375513\
142953863641979980549872106403663573468930776362587124211564843642918215153780\
267529215305223112468287892331156330453571732532542110475920104908493569479389\
732491349350237956230707770438452433956217600 #2^8& , 
                    4700644940054263373058631970500078255411824743606802831759\
430636399764896192368549349634350928781421076251215414768176916262251340101346\
164912809357587443425875561059121321129583699561632374733882494341565537714178\
081821345580641757071808995106195553883518638729090431070715199533863060694708\
689667962560591388475245233845887816723262051200650753658143895347903377149835\
422166045448485316904434352655137740517029401911021888627924952467805946255860\
472996498935287400664703036340941046720055031 #2 + 
                    7259585332839601257731975286617172608124461036377036888370\
317237379143863883499282555880753662817696676096929338491289386690865881466352\
411693124128745040613846331081639214304530801397988390934871555419944623137284\
606051641264196176588510399485997489008417698962033308258796000159730989094526\
573508345034066870120422219240106572695416232751642209738579497093819970331553\
881819982864251945539687200303098604315780321362500967957941379762277657183328\
1165479198178929718487686123651524904316731334 # #2 - 
                    5596184884235128076672359167176155864556543437525738296517\
528902618571697473111539359304509550527560613336216512502738018980777861602341\
785046497836852045454205108256848452493219981752668019483575547725382973649162\
552077416411991960145555307598001648888405410569862115867979646242393866485774\
719605768032970272604599804789181968474903086653621968563553361155335009953379\
434512944720850010495271286259199289436953153686147484902807555466828482750890\
35455019200787104480120906068707236646866336004 #^2 #2 - 
                    1081360024725979524823450866023961025224380504824293609170\
390233136903323453815016052191065742521977807640134908173148324696395770205327\
612541192329455614561234880884107308835708068960879179165044760387919587457373\
879567397672618196750428236027297740045194371295845865601919365940679404448249\
652380232321924036330626974722727016294497848324026926155723623224374800927038\
631053129274126565345406782314581944273807502996874463199692868341363622699823\
2116252510056556669870670680138491158420717876912 #^3 #2 + 
                    1542228569795399950351625044019989887627433701199388024416\
437850323712580093673421505244886449427314130397066164217719891886307708303178\
941727547894568882669678138576903694776948275561456959963154200579612344945241\
806805517479482649167198837508861074905944182766650234781238484813030879215161\
890724957258990619108383339045458094622981997297002055840667338912405505228799\
801525844780072532011295891202337379770576322105391187797675469595803237394732\
4118594788851117768996961698408741921724308473936 #^4 #2 + 
                    5937082420578797382674205544726693395167984610639412219943\
981399576815682382538331581900294006328977897604449709435110893497279947531843\
862733866528651511185605557822987660740956839026206672323861404437435467874034\
703550815706599478532101458830581416900437205058333216038859216531923426653286\
991465545923778204797399273406255830892491759254555190279684581234545833724922\
782782907015846815694078594978062065937499468671006650459380663489846017155463\
50546292080589384253585167420153418141969475268096 #^5 #2 - 
                    9998546297368756256064284865966082490408970911159327536974\
179913358779134073639718058889088871081682144508624261178340349224735597815218\
318853474170729556081029116202927924448759945694403312698846464556614473578935\
027356473471929327217929676008383728353691485197794260494605773065876356545510\
453153296674264804865788892371838600151059841473625569530511363203623391362861\
416963412037848260668547596228202855623451481532836245290242979107309427127527\
2178354189708610672960669275091479811271427938176 #^6 #2 - 
                    1636944208018428337012254331723114871763431365844981376652\
543176639946420722225013157969599784298195120887286514367500911742958855366508\
094035622460947356203232428418047157071873538863086217302154159422768274350960\
097216032309042972249267383071084070104530895692825872490575971253216283092403\
237074143802346700335918172275963413115974205208639561249422778526737353726582\
817291595194799749947052632504239849991569424081195890664531941456632147965116\
7538039527535542428092178850777401821088946939043200 #^7 #2 + 
                    2483599879489938938030740219027185393936391532207329400749\
661637281672143078066143911362697958597897846340077289664295673773132852710449\
114626439828961360682174504473465148263764570068341711892761083549559997465844\
150097710135880785064109319484242473868629618428361423666490081591301261822547\
278572885986071432438518210305966115318076522881550913083539574830038310016004\
412286441669915903621891449579673715169388642854843760258812879547898487188874\
321411897391831671514144956638805694024980270647040 #^8 #2 + 
                    2323110830175517956018867054584252994676212210914865569073\
605290931806772433557081552650291025645467978925729075205930443337404850914046\
156226679402895483327294102333508406267742386437682835167718479782192344172509\
364635051595056040954691843778715639697441129741355926388178363225849850745182\
036870106959389978046383823371542069513855445328159193774252319016339907499735\
391112495304598722797483757198326150137168325321792787692677755969678885736791\
98977104388756439522462073774118119009311617715394560 #^9 #2 - 
                    2754959949229476926217844596260257751000963682515419861623\
373658692675321046054444569366166705650097987139418447387862513821852578837013\
647505995205900019624111258242895316144338075110498051468585905841245623970728\
878967186718828251226259111006661172419682748338074539039089413657550764686153\
023975079138444804285760699285633943307388699480047412508237885817242329054751\
945501897152417932130258140864580197836701498874026147633758853192830172113271\
5099054177986669667108089930576467725408075142726656 #^10 #2 - 
                    1941941329779291597735570546681237029643648385724160456882\
729167923234565583833653305734505622920670701923279639529253813551045354954364\
197993382701764696715794716683460789287179108367806768917669528560746143858516\
236625817191695438875679229238281155092683529924765555579592585658808683665865\
682372305207418229229122133781816616633613921215903046676884452781399232789800\
800668444325641762465596206220936677392279400311419744891449540450050851762293\
142362563708242561794421243433292434568989601235142656 #^11 #2 + 
                    3077437029007433152546815670098598072886007512728521796238\
972399207784496770145785213933574733833618075180286702794931276521596115296895\
037638197408050918685237518351482690643147901108327657528417105615363322764634\
997414517216591533434838344079180712388600386286087122999322884951804575699659\
375142642127070814786578393473307865850934949404883749086951653821665783857399\
452687226471923623229095290835004005949008965999974780012823661052773335527170\
9564917917117942952447673883636749870465125792374784 #^12 #2 + 
                    1034027592146875431193471786882504680959145068094830780818\
344732483978123443057245288974372143853368987007160964363252164693714124000420\
729644073558600244421332570677579408929892504950952210303709662596671803061891\
736544280450371416329471509973861943085256007020292439650119506328983877417009\
525609619472427159053817552067396120545394801723742751149321619400941750470465\
161092364456413136695731430259128401391342136699951537898414096159936932345487\
7530288707848230324307863607043274423332737568763486208 #^13 #2 + 
                    1034385742246717760328128691988962863687417955878722832998\
885752399677954701580494894502697230537182771878623643125655629661649004729600\
285910442835443792495797253301736863175073719178567548955475201117107062600501\
792622873262720041448207409759758652106785442565660781451880118470214062409433\
039559874215986323410058687607666105079608732485873001251307912252481929874867\
238031107230124503102885760159588684930382565743453214306970950057833818243465\
117773112430095284190462991218962013867374582141812736 #^14 #2 - 
                    3644240720977122080881866345708075821652506130577023132572\
490137525473524986419324370037318540698877632440548721604506023243481018939979\
138946961752934578931057369351849823670352007358404595968979149098790240807332\
558605062747067939745586463113185913410114670203735040253457098591182636963208\
357805109499230518301618529396677267020058455303016818009941130235747678644052\
989559735657996863147652532363638958050222013367706757030392841449081248833428\
6653359187731770695054360256083570970046925884260319232 #^15 #2 - 
                    6549963606576267350834128346655006883792665792334840854796\
507158237233063285147564046903924014414396163857149942593086493736705276513985\
509974367819581986913220001412652954020615186560676905542326049082323307480080\
392798360271130239573742071844751889615537693004130013454324728436410132325487\
017797710183979067121543655195578306735574419760854128670380790152690406012596\
313473778313928093174803696123679611949432395469838243609104989303172739882171\
925784076187105142659529100881091891172837902390657024 #^16 #2 + 
                    8647471985461651729588622318774165832655432447318916224021\
119109154740308531639299272194751961434867416617369154141061557935016356181203\
490745359820166698241671933573127358353827229137609170041083154025614425457125\
705550092664864431313564974077073828840233059851366472694520060112203502314379\
594368884163519610489168276897825214951410599554218254800475696923544504001706\
497728396262735910655828952821545676682327249783240872279085636627579189231758\
3037266361384693589410039999982974443592471443880673280 #^17 #2 + 
                    1524159969884198557675825917247598191221400960009093970689\
244363342142208274646390970702525518556086557860804922150366279758111222182197\
406078663527783800895919399300206414135482138801764557224484260138099664199750\
453145152521719850579402593862290065286829459455187868514312877732583776540903\
614886819069821389523820673675379774183260878851343669670822581134710287212629\
316118592291403513021910174237823230326542195436466086079460778751082652372812\
2748809443683297672641074719631123498247215375341846528 #^18 #2 - 
                    1388362038970652617540810670490362189243965036808019299911\
968629603759192946781342942748458759442691259479179639552637761067376004569626\
382093701768876526847603857255575530216440224793586075939805018719442181514394\
700107246748218619453569964523869024942582413637393836109786067806739055753302\
877202457285503608321397177591376674980985104200509594181222492371789673792867\
343850119138340025316897698817854498624254157673765744186673317473077138737831\
11625730729497300931193685862928237918143091219059703808 #^19 #2 - 
                    1470628123102268287802467639566389335584450566981334151223\
697801998457599562694331874633432969974655161207435399302216651381271972372799\
587939766752027337907006277661210815304538684968482036834216091637896188393359\
996637610360719386721289823950116721470915217116715154516446928750380864523913\
559343953598342580000840030118106186125398409112880567524025344689264866577327\
276856836715390742893095474358015162838780546609743893700464051557466761881456\
105074709280745259125118917997180571493189996659081216 #^20 #2 + 
                    1501740688815249563224381022780938476698172175948332331094\
335916495151809730636162091613484197881787898314653989065228884807852360375729\
226947171805751100275876276751962152477534117837773949831394521856327626081150\
730961087582088533757125560069677123700219436693049571382425036912865853736766\
741382760439965005971038195499661055975679266544900267242451722317292288943635\
378716128808260099765549145845717960134116166820894898078128809480433283190853\
74454035459065919227953164612435618125887431118180843520 #^21 #2 - 
                    7786216593857893415230248709953758056971018164340285407325\
718254130642852968961681569511735088078413419571942979598517498635197658742394\
014421980009133498007635283554924747811071429553897352740618269997257550019660\
818167926795749013474501114920165980155838739319386142456193906580518074838199\
761329317586964140679372967305508170587392727544199635002115913464638629436308\
971239504434416084833915890579578600070540455302488649478251096108928905140966\
4551524628731295862126239142603915453434093536903430144 #^22 #2 - 
                    1082712299285071791213577891139074839925278331409159864815\
672739359259180082021239713748659154269458019275423148606278486224689196005568\
353294881324154716047150591347083986080283352628583735795944712718396233038186\
040479290276118660463577502083017884394529527656653569230373718403755512912332\
090834869296744722442454366790841315060702579376408321778377583144008540474171\
337868420304781670013903998173969364417888833278926669007168998125656149132933\
39209558444661136364073861029877001450150799196102328320 #^23 #2 + 
                    2192429401404638580124705545697201920619176003700672338053\
807290610274955140887827762970586782991751484608314419371839361759974226772800\
246682577652896985246165132945599230530253484639732495125768882846872954821609\
630584314448060378748107010203380353163571051605672119259528912255729341052766\
346836387571507621748886617589588647206411436688121276374149031237917770815258\
528941273612153435121605181296158041994565115301115394418729689457585685113768\
18583444104899770098037970013906304065346564937035546624 #^24 #2 + 
                    5253871219761721059697314404979769278697022000643392693908\
112181951349452568479711672163579755056999229011157768658189657471658098697497\
174782792582911231897242244083456128471025687307630709963936923601647804068556\
077409848066539134036100568557131452592404907752735855099796653941182398131642\
623806613533187850793410445642768825045520866481904502620535471357457870908167\
463201009659531202771916535137199437976989768796162906863740451220649058330773\
7416165032197566277854902650876328478517877729438728192 #^25 #2 - 
                    3406668103814050774315176553243190106886061102629706225142\
554964158662749587811468410699969085603641988541969921217996423530806612709962\
150334036017214088971766741917124573605370816976130881254810163897971658215666\
437342205465188294058029778113328934954414993297971340752256819730359505739188\
614603261114511131279034394732317490845755038744524192007258684803731411693788\
160304126014577599188735039088739555934412516467298958297931819404374623667938\
34903483954219876507770777720181611464383684995624992768 #^26 #2 - 
                    2130829285617990641235307738896528562382284961625563919762\
748158039474066786963013166211594863506697380123061881321394456780713650693433\
186424410700991939130744601072268071658385987746716662194041247317450320734138\
720231501709476562066778922636815214593195627015235759953501832461306228472053\
532413178199843291204295000588506318407277943476246557513108192229697272933029\
642862580819329208854028952093386940415889830565891254453024308069819761757461\
7956637984106438833720171879922341990349607459295854592 #^27 #2 + 
                    3608202487452416064237970892046988414340302624140396514043\
864704188272175560165751256502026552380888586736309620041058419254816775984555\
339169344171100785662721044779399903793477547242890318616036386540047633719107\
844707950419628321974944627633888558978151468575111889697897885841084003398847\
548226273352225101575068619266917321481631622961530176456802982485705588226632\
983008088426200210433728988906306775893828101901339765637837417352922677634993\
79342911087116586993589292539126060709525261949140467712 #^28 #2 + 
                    1337982990136760269334914927522542508764376521749199579819\
449453158485360364604355494054637336257949835172193582429253300739441110825376\
289112936734957452053989803697653077281284449817583088192949045743705453179632\
471520772939758871897913393307122490377937556443591762319006003382357560190449\
168996692631565458096599463943680490744066135442289196653684972405738050699126\
218314889473617136566900746588444349070284160695926181355805519662430149137637\
9051299899609172961507049740901178108100808413039034368 #^29 #2 - 
                    2829528341193174875615248859633890158029038467710935114819\
750038867916628552494403434252956000498847595466000915049389397357774933577806\
742863814352175396199664040681848067014452473851796785807652187176737524556978\
828350284013289031525037202809069127585066243973475011037066322368420721417812\
597212964672061616949285707336144200725925336399903066959083058862870543100867\
426962757467198221822257012503411638308114863754953349523294867420083368452177\
57670441480530392156912568223658693034252146764404490240 #^30 #2 - 
                    1041436491702052197754637017953206290857207626996425089820\
718188694102284190502923800675043743237106328488473452390518316118287680537690\
521208577104482455641344548476596206403199860730560943258162554796719668869879\
985566930110508018341340262739807171163514074953147382810292997513768471582887\
625858618094724059648006972355500584098778095283321834846261445359765541749377\
732842798515790322206848435213217082465845058013911720217225424515224783766296\
9187350052541378597470129668937742512681725534719180800 #^31 #2 + 
                    1727338165593346076802065574624276898142583453189978867324\
797321009014159768790375384260761863550502727601352675332422756610318969455340\
645580324449095332033995338034729332569647258990242328130475162668080000122707\
434249364733910680250305014481796792981967745206912723065780032003079488993241\
901937286670688728579533633551547844788204010477861814526403968840519887936248\
206669574980126895974252469627386408743135583419212950547973679168644490383524\
38736096495335367732562411542886251288429257561168936960 #^32 #2 + 
                    5682533157554489697282999387365359191989347584298328264685\
199998182037442327306846814211722889477838478298087475740441535294020730556259\
416813299344180090851154793684931513638651135625769666348876928500773661262147\
063862860227979368613872816115317704381867220528280167244522102600444831170457\
472683932002977160865820399969169253999799052378754705440403929137506784665702\
146569816764949904080871680984442058352212230178403338682018584175570796145279\
067134421330449477049176620044241141688718839412424704 #^33 #2 - 
                    8521171550818050166985313723715197301412948813886403853028\
941141235960502972647382008423364499286647254381644611670282030444351591605296\
089490958976369633656595943117328214264339775096385712215101106559303294627977\
132374378471184058842328965812608673499092848543982681458180926918452930980410\
463444139486286443574790181483039704316967362147343426317203385640396067726579\
492046100189772577697827842970114629558625727630778709045002339069701076982528\
7061749791309366301952423011243258685665520082581716992 #^34 #2 - 
                    2286990629627711278881011429109369304093494838135326600955\
801750910258091182178489546056056635820943769666589567429698289823716373562268\
663526472044722830490560083197141972557133924754122345945947242330959981390424\
412976363034813027721247191689443191145864610524638494884536279966649110987169\
198258734178883272828462070114886675100528708739953867822043436621680291878627\
556391031956196195604898156181249541111788713269689060240538214628474751660926\
596628787051614037311101848161558278835118702229192704 #^35 #2 + 
                    3451121345121206537439503050577345740455029266369514509980\
415272125385664660438819539084948187016367623334501381451029722815149081727771\
520055743033865826238512012614501934592633491907164064870395784267123013765999\
256523259323197214906154091237878926474716549247554160152245074406639855517756\
445110960893218179852040493945890180446034828284781243405142268220475804751923\
764595856557253561186076091430474758244561877976144670800762228200455351967477\
0450353448975307722763707184827738904801300514324086784 #^36 #2 + 
                    1095425439092881578653213493670310654335026083449657549538\
232653624685346288566756052777225068931556806969599264287573325505716516011991\
556986312609604433817264611173547054658172053656698390662943234402700351169852\
282964997388003221166525859662902751321238530157220219792044052948237025635027\
586625451328336851868603715299271144260442380533128503232967102428877556357734\
221087173393389535394098435597207538270588243571938084037192335901337175432414\
723376900482109660540922484932182655504554217321791488 #^37 #2 - 
                    1124856242684827144316485265066134673440177446891481015578\
406386727969897840418209996795080149792976240409796296460882196681270993227141\
750579274216021510392154882355837647188763894968514876705722415745194443478892\
652707927357692260732436908580344358277383137219647417577312287966468118610458\
378963595863236250308956494919158786585628680007901094425622429070829678438713\
377986111666569116373769629502277195042801431017102493531023619246731438237160\
5206973393389361626134112202472452308609936988538142720 #^38 #2 - 
                    6054032389485599725787487236716278006284357972387985407412\
087286280875117417415108420079941379373731692451754401496227942967983382394294\
835609008402941663507891378867965238024272002428354699459256378948649146467177\
620633418601003764582481231604750269053557380118749173967330745106901655875544\
792520174080366854894363142786607028231835092033036921145544631801364202969383\
674837456346121316333243649829199413949364654082673875831529539231378851639500\
81830023790139989574026706594345726175123049723985920 #^39 #2 + 
                    2797287571750347454466275551910119422350465471736519978586\
474506548711964508627497887642401761577293168691606934527856663775481672631290\
149656427444547558203090845940564853570748948831376751290180226298454862887826\
548330017441525206209149418412378186611654796238832647019117764003968456914183\
639419036613728740532748067092865003656566849561228507843799895574889431569522\
078093955931798248557483399278682806075284759394470146239020295102399732496478\
874676873445821383553922208972779312769184796487188480 #^40 #2 + 
                    2346523175794328132972876526836251571961685404166163078934\
247983906044388741711437448164864524050409321827004246320291854446029608683741\
383390743985882997800690192095417965068495513163861799058918437498246388454677\
396747510077916524728600577757398362702919027509947899293786524143128119912270\
125848632949955278480399074851669721236692142626483168383368765675215642596061\
363637190717326165180926341316085970589835816742757278508667988861654564079530\
14078758102338999723024171998288816169467776031784960 #^41 #2 - 
                    4887249016613664013657999914065426088701000863228079608515\
404449194381839920064426975297814189147102154277292245277894959776845405008785\
273359277914425739507399339669351618837267535336123134014718186409797552819142\
163865925711379514246101326987721597243719599282790473026422134856217358313496\
295325617828654363674198904486041288729652970651464936142881737381514071763789\
481406500609927602345242952097546043012346495767387509095861292020756589363958\
62869678446285627417514763910682450469865884840099840 #^42 #2 - 
                    3778573379945288783094543423112419796524915086808247295557\
750048980097695900876714190710177816501080241910581764271018382991874576215848\
134583125980925774407318208779978760554416539942528472249107824311032417390042\
176078295720118451981537253930818874538377759732951693061240342575310316991370\
654610673426758232681795583945310768106746577215745598666903451391990564024165\
633057965246345670127071654542638022716974643280401647642744660754054635016141\
8094295908235569934793128328569715939485789758423040 #^43 #2 + 
                    6897015396103003265219925701195589645438179760695735575718\
885713898026950657711733364626081157563776252762745160188583036739872087803572\
470104316084647447536943745764173680126145546220105901870301775283323572755283\
605136523307367197358833678905876553910290365162580317795434730270884690195006\
295144937726996189154031287351153875907355206271869844150722445948490274275943\
530664909080084689020773956255105457485242291852532318662471382668993278273562\
2672376835622455088964516958047142563203975657553920 #^44 #2 + 
                    
                    8103035161385785775485129621918328724552358460088377764533\
951309612466014844773675320681602121938822254801962684792654317329519968592495\
384174482303933483243318448737839968892159844265852758351135928979020572164321\
096651581191218814451041660810708936283845298348321848698824687677284789834424\
075874034409300237869729051167108825567610275219853610928259680860300914172459\
900418345807368388956187463533910940107735716169743102154480197369051267755861\
521083022272395326342807570360652837761594561658880 #^45 #2 - 
                    5159899934973092149190479087525329707483153254146625054682\
175325967296490110097605770268770357170739599866340830100041533642858573481679\
832772002617915063105699603778878906129771960475590216246095870915344486069174\
930140801873585788255081108560143941056046965029607811557704036106875191568321\
839135221300857258958342373488496208845081479430095857587941925230105149658446\
984642330695546660374980862693489231692987401982485824143029903972721121533964\
724992981409099718995787742842668096490084027596800 #^46 #2 - 
                    2039770978736839380765517890937289068589752625496772449749\
790836322902803620992075225281933284333130347504730328822310568288555657931175\
645367218451012360459929075701652284299548825334845312863439350316953610897314\
836923886244504025014690842164422108699449290119549609762993192590086033364687\
413719494747914719532102327181038887695499579313091592636651200984810585735269\
880672251531797392277956434075970815448046570648664178100278759859313091895129\
66826149097480501955967367824306409385237885747200 #^47 #2 + 
                    6091465703072301873488366673419634359057065065074949551272\
235500473575217694422587015403045750011492386983312221226146311999904136394010\
076987218359922423104653867207743906723636223892284467179108319416753510004895\
007563834519440007452212941722945646160225952041817425562110778358502369434070\
162936828154214589950588122101303167293061227927072527723557491478074688552665\
570424402740234489996541597265341790834775159977254749852200234043929333349910\
40086115721162175848689939040595655167725430374400 #^48 #2 + 
                    1390842702809114526304384165454259183713378504629587852225\
434739136713467084698335412443658294645165254073124037126109406186536453257830\
461117041773919868270968899332683710221512288256274828359256216579772759851993\
848041771248338574395011988901229264479069918420612854781865295338332387222777\
466836073127707528745836530073909973323263410863234282729996495524517850007346\
865829726123658428813229836365818755999121403549590080555516848226446913548657\
16324115924409438210152885644961740345540660428800 #^49 #2 - 
                    4092902375627948272898747094121521068237190950606120807181\
844821124903668387872623762059401999424242175372293290016067604098027183109364\
852533105025572991798947170087273674960566107062802632622415466380851089816909\
740374239448463459518962057576942950563423939593943012160381511619236748301692\
255270034776074745607100604696113448695518477951034386934421585722965702052639\
426063120019543456390409227778380715394000668352217063667509264458741963694357\
1420308332680987640326926130934569621438180580 #2^3 - 
                    6335856568411876447951100388119396135238246899922962175567\
238059066320135202186511039292817950641230191521425661520900553165235895987210\
406652255219203832726211662998994585081063021574449088320116380708046965975888\
248776495555931967727573990404647951248272194672746895553449934317186275696125\
765616553602807039653743214340072488392916954697521205172861324701487140660356\
276095291633523011572317828977901245355720028975808126706719209066890433306782\
09320562205162512842758759407615410545752778696 # #2^3 + 
                    4900475786400584329903928096375687798071101956822600438651\
502208728672593915484334202360498087652503082169358474373317049020975707789461\
957395821774076912873133528420295176292007334513558884757921731890049369965608\
437680730516561350335964114358055995761541998180572740299207896737314916620938\
596785331081999009866368104108015294905883657531588333405447782570825496192822\
952209166762541452034747866213983694155579527350859609070631531416578277193838\
728880467587155456179363187655749006909696531392 #^2 #2^3 + 
                    9452190773792142240879685232219783276104045897101002995329\
357741180521055559291044726030702597545806078608165598509792180024593898348610\
708278652061062849642205585075704211218890952288201344136368403133468535665354\
392616212377256885506642720244661552834634942072984335703164275351554194757077\
742871055112427950742476917356904225254545156308424672151658898560907312344611\
316348329835994489283357821937820520608781479734286306530134888234870661417627\
3155327463626320673674261921986083256335859572736 #^3 #2^3 - 
                    1359579596926758199799556433978421652280476434146585587274\
824735445996862288771296864447776786493017699317559377069541554850395535744331\
168059701357330988031405844711349796534669570316155133243289697529502355288204\
097057831797039286281728229311623919127772430349516009679141964008380921399157\
180324913248947005825542721495308225451458049716541219574714521764430823847986\
315015453422733097701704619941994384887958842596478808584871892947373530485195\
38309541018192344258000271438055060018748390589824 #^4 #2^3 - 
                    5197146137500724322504874352875351352903950772960118240075\
565251513057428140187946267161557316572739879256156777312566542151641361163977\
248829628016883415113431828938086860839635778049732154486881461191955363277438\
251343753031693280819710408041338733679943494776007710332690543009461392420059\
869755469718781292633879336180074304638055768595786513299983332547072072838312\
054479159684867041522360338822751317508469980314272691529832283440519619167486\
819774473589483253891529140876995356569085244651648 #^5 #2^3 + 
                    9192191783405965409724035659075791946799130670154451996285\
209893484990619543436822352808633796043537455395971753256554806021621758914809\
654037079579424944773955917367791072291013564438876093702491007394570386592552\
290409014675083200242020146952130459950303869247289696603138751532761587972020\
424469941751039056958475592801815110870060537154187553520146494548824426601416\
534975793577950345715861878580203680882416501567858426376986147077300954808978\
99633820355082578653966215898774089722615616230400 #^6 #2^3 + 
                    1434296947845396046867151672576849834108058518669185497671\
594567657502078722043920958101759571868928860758278691513527676818883733662775\
481510236157182411575858018066082397359107303052827300763309210476090614669594\
315686612631531665306403435016563866152865722828528212973509708561403874850984\
104929951337560720354281846736498724116981244372627835475785790585843660460148\
970584547490263567726895154210533832388408085831601364243881582827755431226435\
98951471245995546590223679908313120959598541940609536 #^7 #2^3 - 
                    2265081131541971091691934190899844179301821863674635002429\
954060117655338752441868104421028731472776960315955676411735240864310912367023\
516915187101104127155096143760465045910974502728436381216874384033510251023634\
945135681479917930461277330569161262748008884530541335738703821349041948693601\
660737885261352058627378285761592099685797041835312190465295310647929775456713\
707510878958756441171247170500834152830386344026798606462181830963136126855014\
4436085210410928931701606611830547774148819782225920 #^8 #2^3 - 
                    2036742583555589944408479168875550302308096854199059111703\
031934486262004138428505379239452203545981760740031038266285573228314569095233\
773225828510125242320584704305133458728820500975793357556728859728882403491769\
253238914103921176531938930498354009168865259696119146217767599608933494328686\
156408830139343210443603868762306434744922642200249217536908651921307804417376\
222985166744249231857713642806341847366003726735219058745422325341192793732257\
838375767758707360247589650961629251494994170484873216 #^9 #2^3 + 
                    2507913381283675610846475804897566242110200882225326397999\
807190939975612752883388270881762449012973868295105962254462016938377794986131\
576612903272400207910617665499064526284945572355526019093483103259707252686668\
125228602268855732836564263800119085061073274016991893805230496718570457906390\
555122177992981645001642121513068242517785062643648415716313645718509732078577\
785784782084517644009613204327961525057809987063346312248316672552720020002884\
80018768951180477687792904876901463923729146723667968 #^10 #2^3 + 
                    1703372990845719313430273977690891107759275777273861745280\
668487511580513545506247361029924155800978362281785484155191179692543114409443\
323537621323690188695012191513606974430018663799473451415333046577610684003257\
079598696305423594209260153291740586243474590914747322276114957716314488298883\
162539635840248899576353396788351648021356935464237171564306668509351228214219\
671662873613756158008116383018385971738293375365177700371080724658986280302987\
4257403899107860499706087560952853115789754238264328192 #^11 #2^3 - 
                    3259188925809163267127285946503306175556902381636557863425\
684118190079397200134374129163744464404889878166987625945523537552134832329157\
387263945651196748640805764297129976914087500169769705944649977478537018935053\
499754107609694237973398734347349202069322080484996901199396527953133968179324\
825791497401485446192914958823236249441481293605137524204975810770477610243790\
218963977472223413362057366672151849619912787971756723209221198156997850703202\
93049402598889575930700523362177310235710840579997696 #^12 #2^3 - 
                    9073591640379025993334965968317046255017022152728332798160\
812572084770877608353424199027622380835193428991078274399565809705500499594959\
968877742025697469360227396098530254954902232983627230626774626821575049846041\
978328567479062155016493809449591390022943597523021608927164842520112567101866\
423501844273549462523882722180182660518235849868462220356058720076574832050801\
184423510306521943220695244726707425247610074244863057789613517762656556215664\
1320493207183131211190574010545454971920486575026176000 #^13 #2^3 - 
                    8864795101129932626883423379414711111283132169740035115523\
003971520646039668524791216143655678795761679646371143559351172466296104034087\
921777454747243198508301534405826441902777731472562461122802764419018380814736\
141389611327774590809717336470077014132358104045852264264122241118003991678577\
991152385225888541393054194449997073522320037361764519891446174741337079685957\
697637191989597974902986224772868907154025949208648078125367746620475601595183\
726312713368794314894309731895220084960436803370483712 #^14 #2^3 + 
                    3198817997878152712370543969925943463939626688973528004514\
534695774159776165251869852864116429663094783877024089113370519189101990878468\
576322152397730917363508658118592012945251183500280031505584521450092707728507\
971475111627592403442260678011434572860122757521063109110282571804433548502725\
853760216151356395252592921401896583671472332279098069635787643661572500757352\
496912950955372692060035853195283877441952396445177610411629493124591699101872\
91527199091984708738280903133630889521433713322838327296 #^15 #2^3 + 
                    5697341266314944206692573637182817523973068717074834995878\
513274474985313239717895142100075568456139033914016649315242857010108183223336\
881188006681728639924345082051723020354446715616413345491289495595860867546414\
199235485379469720629394060987820963942159490136905126024477502644648284579232\
996775894702062987949646507804111959031565835228111077793884916768117979793756\
401252526475540676717513863824198876459659858631443191234356156268635680314648\
0276991223141843149045589904846403861066929344515145728 #^16 #2^3 - 
                    7592046780219795782395711048487123748170125743300797750505\
732885585227467683497832575197091638737959440340692329922021095198416111514471\
631531488698554096560030345469614414807751294080473430037243512108915024298247\
722443395076877620759669059533603354117540626981140030757127695602456700241043\
568752951188175985512384927601229032102110237950165383204445598397619427157840\
427520575522001132984623430168859223118826555009750997003490823195729779266947\
13976169525340852499857107785553088002185631342282145792 #^17 #2^3 - 
                    1329947399523926248830357309466468360094012347123112586880\
671123008503623582579518794625362232600241965655273885836399110439095893434287\
096057612085776189545744822595477904422337942368243463597770734890026473603325\
273771014191535760746712075626299840230101173904635290943010733704498311320491\
564708455753991679352800074889277857838879964468906482779726883821624082798100\
245356401633900115243906461135644368060367908832249567226095484022266689378879\
52560144387565129931437165261942362072808690934520741888 #^18 #2^3 + 
                    1218964863118935586560540051971949157412920555766520781329\
970644623640757224684600260739735793425324981415603456903138732071953610931315\
347778550445350894821108471199668537556687975364888837470859450824639901105991\
714695310323369732856469182377421057752206365117282923466494711960209219654725\
963004276166123978900947031861924781112002571141011805042088784803515671858292\
121404299500243549008748966326292159909141106360184631043530735488091957758846\
815221490490657099605019371297622529651192405142146121728 #^19 #2^3 + 
                    1215834645659567167850456386385591013799207322849885703803\
595369526691074042396766310293505171268352264649918196975308954230557837943869\
153767166761058034845372117789784914998095512631691558023471182418251804996830\
094136015251698188860343674570369852857887327545716503745284647386155700114971\
040549167444120960433636714556549607129730408711005364035105847225323819785273\
754162305760023156947898385760211738905442426824432453879121847970719065210279\
5200754645759285558044932299541991623745109243484700672 #^20 #2^3 - 
                    1318184574051060624292450223518177641287356373445654329691\
799956607423175479476681025044199457332057698513011758675379209809919385220191\
654247136518575551413207372151515749618580616745179316471129608064095440716941\
904967935333768514874815285796542245948618762973964278179314145458001863933205\
559611390802645060311793166170371540056840430804117609014237480930754132359896\
295269792539894943016173232108428176093718939164223201284939287905184671325454\
556418870080374279904542601147981042257701046140260057088 #^21 #2^3 + 
                    6839537462520624111697747804308631321246239171752716992919\
170947052509430362181372377928713087257558316693085385918880724479634791559497\
182810375194459820189377331811672956129722172115109417572539551148979818505435\
907193315846897684056007585842861175016788935270062148844292966133052909871365\
783120079688077021998688145989484897178362542437261516035690009427361243485240\
789971326587922778044965461406677013405289866940317586646158087644443137467782\
93800901901089004127858326261585423078776016716372639744 #^22 #2^3 + 
                    9494596568500114771585576413543982603848288871154481056165\
617614397430116853519491288190392733794671269002336480642367895774561799831688\
544491344076063579561861084864299774152905745136385410745160103664985763025614\
969080818597184669168732791857258357718829130497265769418864437897895181172237\
894513887944014206710822632564061017067168220349264961564497303940204287699340\
061321234838348099163608882357850982839013003579368632295071473258182868513348\
32558998498965611669688340071768003093433443082534125568 #^23 #2^3 - 
                    1924943900204320151354975718085908540551175929493487841892\
106206221164851855028529931034237054693573020868855238371508927318899548948861\
785529168210521531500334866578729373503027760983677571578974628563640332741209\
233332901526945425918938150835283324846879357122009496822971866421156528905315\
711846303221662754557191627122130003084588094135350110785458301049549360894275\
920587949884281337542984875538351863309054219796337741262516444998109394324978\
195166821723548752927373637431149811494560006081555202048 #^24 #2^3 - 
                    4593073329945058007341302845633537528637092884196560984409\
405507505331105484918715029409316919278483022373305677992837960644949166049140\
184052478965418520438646164140242961081776382750153962143737831751909220998553\
834057728314505157477926312230504578977771422221422080535800977610267555664063\
697203453198310619920179913107155102167776318641898941435876775890507305049070\
385265352320902445401012163862459833306706931021406371469567904887190614007870\
00456170092188484088257435919064122942574193325348225024 #^25 #2^3 + 
                    2991086447743841875182827029002642416849020915987475658076\
845234501705220913689533472369911150293127421336172225091735072551860618844506\
199892513176269236168824123205959188822314251458480653709612024411541024292538\
848145739444852512712950592439973938306845904694656899870337341592686988976489\
901998055916579134424983293831992337521684232379037975160410003731856561317539\
805665626789443974976666909537720616722522004106915928606548046125983632572679\
865073874457878123485043944821283675644303736266356162560 #^26 #2^3 + 
                    1848971455876718540169254146774717084769498192480939463735\
389447443948707260276921824726228291881348012567627020765712337804555201173400\
273799314590972380199997124163877013081543466344109971505220809080115181931646\
443772251312335638993288877304434882369256890977924767144996545465127836403438\
207679991101147997402933355010164175659706256427006149452246169571667152473986\
339950217657993793542540198284440978589153898325091529585178889017123285421471\
78496119263574884919336700728653822342709088527931408384 #^27 #2^3 - 
                    3168241260068503954994350588011106970499987676178755523645\
198405111380799085775569041476150956889263357187377743469444402866439131261071\
494529684288915796101244040221414853869097311663983749637245118676583799349391\
981169524418944978424855854882090632582025341845630707116782155703933843427874\
069153761774751990678796238679627422739759832083979803090912872148006937291139\
680590629494584713668863272233909906070850800941610355979854771484076013515129\
680108510245742343844694449060616664422090426794865852416 #^28 #2^3 - 
                    1157373218718158861720842980278723445028065384561518567628\
197342852463144024651152403586357561138837360213593870444780460159329499658723\
307149381254058362266653507261555316552399838212776615299397665557376591979514\
073582427947630540231976173551269858865963896791670627328468742089342877488225\
196272230573622561836439212814133032292492904652054237734672520579507522122750\
349772026158154466428235233553159919240455110415879268063675796679880796117851\
72905543207638381724376241670880258074114930616324587520 #^29 #2^3 + 
                    2484649256475008733087605341862101368789480147018421348189\
795653078714999254449367067252012585802627687792472748313431808941572603425110\
113205069976761186673019122667985186618802469453105316678461302335791562290001\
091962559137995585338656737003442004009087248289597284751790122720041845679894\
191385859282609262518136159114448785658466818852496724158261940913297574626770\
555688676673403688732542021370998233546262253192834008283462271094930507943938\
522027513698828513178479069401873207623924531047788707840 #^30 #2^3 + 
                    9038131436245371058579271820627573877130850182126203397334\
283786826063510593786196884064758977166681825778930378293585351928068321939461\
567981888643184167295142605837725536623666397962267975797327075541814340192688\
162330222483563185987124940657246657728592928488110495395247720591859699944171\
403933709194000253576452426377881050159805361952837951365438868588117639615127\
053677354204890717566814001377862344752816437990730999749418567749920704808454\
9512356132224793613244681027292418808791340370484002816 #^31 #2^3 - 
                    1516853539510872501733324942203312639565194857065240391867\
956569628909186487836826803673912731875053170434179547627099248834075581003126\
989647366256563886191230430763137613292575917425211400967970568144665763878011\
831792297176276279305432165350147719696634305666502520847526733729045970614493\
638972018169775828721687771402044037911443954991967832356122114184542301614746\
989881458382248852405341413997691816964866301573070612898491837239656880776393\
687707501823700992585605577210986695574885738197456781312 #^32 #2^3 - 
                    4937317583987213030472330186345980655291974538411315361076\
572377924016636915390609468433070806795827481488862987232872761633473330671516\
070820211132606093458168654676418411462672294846372959822898800514517188030521\
669966612274931995836857565623881511986516176444307820309125593620423275584554\
301991937117250699439628336687092685542132253810192645951828970257250348158100\
963537591677439608226865783262072290794465463367542449839969453236752505858990\
4097842138556546939097491651770332382261054522611728384 #^33 #2^3 + 
                    7483009132009560131390266218199539113666806933217415184442\
348364865797166802514050731566903101360513034609714072636477237413919231312003\
904423403567016552747113696364984140104243590249851740792427169371289610940460\
628922752692747070321839282088568794535147567024079339316100539601390904917085\
456323723157571893618382267219495688276161456742657716415790675641916157523447\
636620489786673139537504649568017339880468807656199589512891154047749398432425\
35108059490010857901320317717936446626964472543697698816 #^34 #2^3 + 
                    1986846986140325124465470379828400630436082050562657771724\
086592799618553811223557220873643646635851095549830138270178239217688878059630\
725458230379161071375980627123468319856388509516193527399490117565641157433219\
543903813194770114031826042307830055872390774255474134980981321763965237760730\
863852654893216531944399654124816122188342745491512169984342486471267078231313\
289773457212214628294946298614740788567736352650064322067511815216146834629669\
6326103778194390658982752523876248083657350346021273600 #^35 #2^3 - 
                    3030750468586285941132427547260689149103163174327715993509\
266145508926382164420001260147036171276955192291724683257404926231444655339798\
123591757028598622810023298564415294786358875136474999494264059437530898067922\
994351628232224366556701417766825370245203543077436410986155683780825856366285\
316186300720779204187585036141886762214981036204554115109144824286189454672477\
987575056051959861505588597587103303134927991012389580325845589560370683986009\
13344961053630716433071786381521895266082637637423726592 #^36 #2^3 - 
                    9549022642961902754870858536334122495664666923312656220913\
191537123005375351630523526137249479278164441370677395408004482580739304966674\
491380421713112683044597014711072113943701097922630438642790115364235074529733\
061745032415907496329224587516594797346977188619121615775062695063170648336652\
602656393157314644489717865369279802328096909765242483028861593443778679468567\
148466850982416841556082448239826698131738452251117109379999133273961733250831\
126529721357554071807381080604466420519679543119708160 #^37 #2^3 + 
                    9878826238669187223988632079643797671788625752073882068216\
612338841931766218390120441358730003462520553570338128033682374839500107096583\
356876294506618621035470041292662550348783066994363223530682570261115218940446\
137545247826012523245836319181648947852038032699486369778167810391156040230730\
930132838366306392380579343911600467583077936377564346519323525770080826878114\
042100214157912921492526791654183639128083874671714568813178978949316520207629\
5171349574212629246451004162298156584720030888634613760 #^38 #2^3 + 
                    5298938798301696645095228988161354094335769727015201815997\
431716975092697151423879170245123091767968885942521457936249561725833092110276\
781825341864986255688106983120660028510145886821347954041573113637358705723666\
277351436104278787408354439259809771462342740098547221448155066912092074467308\
233889041978692888127551796540372331098534966255437279446072313085523760497792\
552748087677607789800744889825272118645566667929227930069724349508179413413669\
312836208270961849561007413324569629837436322987376640 #^39 #2^3 - 
                    2456780244570242134375535623249630984835985018519862297954\
324017661961605323603561787938557566514944728764293286103156209387682109357354\
627391335608629428480061997260719974660787542624611431023569416741305374019196\
215516954736407688226461900681399012431267801298641357623690464598017595095511\
510185380754892859261534389613238156585105337804754571322413679974960732038219\
157042354130056457556575750836419164670880055672010399730830940234839260105957\
2932426282442382040163864274185278498444652694040739840 #^40 #2^3 - 
                    2057730855762983814464746766850864535967367410247371765341\
291862080206384728684692951814938052797732007421714545341771781357903838116567\
897587232326816545061680524368803424424115460351038443814489155717013374346307\
019942334732815906232608848019823466972202427815743448451103805942437852357977\
778389473980049660817610228969289140139535468216454073804513842400996271800378\
601901253744425484325091831658203337040508758698587676069949231471209048662640\
987810833212116085250619678861020906850108007346339840 #^41 #2^3 + 
                    4292365754860912887208308308714360835890520727861188751060\
976448470681400015992402980270950830900225730768245913138514257982607240554990\
124068047540552827201054842042299699256782746987593146827210180685224565152367\
300712007245310721223846396243786319109633784226149615156097945543410884306880\
665158310882896839908116346671764068114816782430103486290217085531040012402569\
148116117190014087135566801481139168990020652429416310798955492979568540989209\
237732818188193296351749793494450846931377818246840320 #^42 #2^3 + 
                    3314065056772529079434756681973881577730754340931258307448\
704626059551457706442212394103045841210847914045399165634469958460525244968772\
624463952669550946215346541411312709160532443908912170529892802895640866940657\
871181714054256890717767369246519923104218568188552997283798041152046157758778\
835021619865040760252296446651973580624179717134101276454719172821452755784986\
840294439747107679961246750257122068356855050232154210060425438100608290242228\
31864917882532756643625138125964113399241982953390080 #^43 #2^3 - 
                    6057824833955731337318683549962275248791540819220680642937\
508916968513484283387162806626897999647705762482951316741348263619923785370686\
002900392404160416366382304110594061371156456505313903343429212170977760406973\
388765482828432792183136958843806492874048073890434855984783858203527641510705\
658740944150348715442470029538095374000539957657649957209425012364778514401090\
910048533241076688020860295871497775141499906487367605044086560003950409184129\
65102616258019221028775176333080688192241700616273920 #^44 #2^3 - 
                    7113431649179133761333177339922980035356713184415678395331\
824028724056581872511210988330813542141665557593603469018658230298895091160259\
525863630092303015374744667586796254973195782702259952307684013438309342712275\
377554903137957021800084930894790741860873097982415612535293778607959118442519\
277022187618537755250239582921737531160927622558977175468188523043572909089608\
383460568103529196702161569079806268428614233432291970374260672504605974658046\
5130604912890163323536230110631061714699470608793600 #^45 #2^3 + 
                    4531743571940252708491421672810976252537223391675074740650\
674701534009818789917469929007791295934911866140516004723479335889140928571071\
078606507113105298039113798627015067481182950186762684616461935869695532495824\
422237320482996056029534332547488382560510361419507167621712810804806732144356\
071608706791052607042915218311676697461866064041619857308641884106199913642672\
635256562417019126404750578129606358692442979878655288899050221072580207924149\
0480255144402504412610558536318146569796271787212800 #^46 #2^3 + 
                    1787220745006802358454101939188105069503890148227121375546\
272978117224436332029164127603336163842601750932803391024059100443653521717900\
007516175135202461444550099631586386779677830647827474172099713186545315779639\
673905204930308081908151422287349157165669153459712197419033285158893272828225\
869711698190623147979346891125016909220186180584748058225774295516292246811030\
486446293143429869291413708736641077760154298237878102796075871031951261600920\
153121246599342491865335832062608517647701114880000 #^47 #2^3 - 
                    5350859515528766268524880892282034943444705531866502052645\
002055718552410033200437745961548869156662886238897938629735050114013556439654\
233322733430731044999410802131469948272424982736497867647169884765358566920922\
716133179581893303089448977076041150196542285546889989302309845277209432799306\
144694775276593469308943775646559413060815942918451763217539226047036333543396\
317969202071295482885952403972921139035922600788083796188332061729240973707055\
142818953798713083032546574416896430725848576819200 #^48 #2^3 - 
                    1221544686274413115629457601801444768184280053693457633177\
183360218886764647338931178462461657584513595011103730064753375309196362508344\
235905712839607177284755294799296194743000827442418202332608732498085788962250\
719973686902184666874245688860960974753726958585338503644726748248294245560772\
937655425278681015042500156728358934272633986540884970944066374844480472119951\
625813043277040134371690813616376921787489708888342880976654932687169141415880\
334310671578455117204622802576183853224611020800000 #^49 #2^3 + 
                    8985369044593327685151003497145774972568261344527084342889\
191832939125893506265073431641280023642357911710317982263866498134887897108890\
798324045523649365321401895352264567151658628608792788247070635415698694526293\
473303385399090599342388707225500742749233687081873966797734279269526104803242\
618833608494079230591179685679640803840007703313044300689400945876153477636834\
142724992109365757370388973663631198385942793230028486456175920093335887289470\
8504906889865041687175027376263417530221662640 #2^5 + 
                    1392762716863930747916102764167305964691635545769362014995\
384350907317287275916606246061387910884449543909206821710949774972922154872419\
363692327351024129210387278932919605260818715775046789088619840882913916369010\
041551704897842519132529716021624386790816032302162719892349947800453446667813\
767606283426086444032384188723463736995585487913157190233415502235047437644392\
184590230439640332772065488057745759459043256539961428329841194235333286499467\
565884792316386462501860838521208205623075357696 # #2^5 - 
                    1076417143131179919258363128748732091049089903899102979010\
263537845926326493145708905874929078534333707894664154231053919349761303325683\
687624936308528568270675086480077553883052988108404332076086748886458849305637\
782677332510783761258209269089958364302005283032668100128357865480845388483259\
121759198023743950071647569873046192314073465045779112564178258481733396299030\
768904272912072000199953328209047255444803112332280590987505000472778402197336\
8986334909419428391499093500603294559720717444160 #^2 #2^5 - 
                    2077315969736797376559729269849387356596433703631881254541\
638203051712067807596363189970703232800721634464472797968831714014927544223468\
583079124787117733350379268891154272144005671905177485316311410624483864718144\
399021653413495251321665156712864411289795145265471718481079059009932446006435\
423766537347669327577415846740355731472470743510920933270307485436776273998025\
235267801663846931922695553466146148976937116261412306858262058322304410589978\
44888071008315772189953378449429189506302103888128 #^3 #2^5 + 
                    
                    2987508200060668450465019961360604247373985733925882083395\
950167372473561887431951049986630337320647275781877672171782010024801864998521\
083568647309634782081938744459423108819070771916645603840874908450820944952828\
162629132069315736081462228610256496603223625062425931347765890019189999477630\
954003884478972386379871411730289052213952265673379649511656291364664120632629\
959567564371781863043921975049898426606696245133177210333899753133709851487850\
87188062597983372089286864589991413315912760787200 #^4 #2^5 + 
                    1142275032622279744798814689866820939306525116962790582780\
976573588286452448203230625492556354528130015768696639556567678589872981113669\
777674216861698778228058417501813866192318130897262192681707828770075133292840\
661565161315318097144697565362596731302129202345086129716866678180387951435334\
847921901913465242684953224942174946693474992902748781015511380992241779084302\
167592031881745159076158495984008367911397519220025827024922030089792004893884\
0240426280291179157107936867171418833415553934324736 #^5 #2^5 - 
                    2035440623427864698992405336887374483209203148816593602641\
904305914534641582175773722550719841046715409190022236165481882072251383056357\
665017338761473640131268807583308008972536381421877837342798159897912858654901\
594126868123234418100716911195999109948482738746299577941515212498822339061148\
210501262103965905425420258141800312406194845776015788116342269549543803505235\
828180799126757637602887679810494929109867592167020283941659189727613461489389\
158730050813909070193743877021509365684485504461824 #^6 #2^5 - 
                    3152319239964304749501778260137760410316779295826837782136\
731199751489815332412093255446781549159649039005411399671423425386477530879404\
161005878978891110032072978022680623902216864818979691877486471611010937381447\
602560783748304608885408998584315659006735725583597847925980196435622098484599\
351344359660625390882167820652996543030236147316534970345273739365129496411543\
580705585922306550671017159763622508386383401673295461989165222991560322838418\
29162984607684149364719536929768239406448066722000896 #^7 #2^5 + 
                    5022321182013458655305639483622768893035827861526214388779\
091523244657362788076277570531914452450204317422813955470741112196558932410976\
889692621225768668125757048593074106532440964949405503553181320049096870857114\
646423755314924858228075866341452173861994469825633356575733444515825631179752\
814833501612392653903209747491415128765630021624253454443983560604781471862489\
735982687229261814088586727471160596301584516085162630107544486299628214667485\
9981779806969426360506414419588880016468542885158912 #^8 #2^5 + 
                    4476319762923886553456452093649415835973573054987249637366\
215066162129915170438393266369641496416219874281309081646600103758886077918048\
115850099563995812867963283074022952975328450860800171165421030810627351994033\
329613663146383402790747517263198928805403157382168664872109190869959931866335\
803193522623586957940918205434790443408178249243041899016579779198959211107037\
044506086445804496051261700749447228401940521181380587564745268638245154228801\
738797273925197787760585077355319068108456278326861824 #^9 #2^5 - 
                    5566235478599419106290910860377095757783146685091087507199\
374091340182690164013252218083570055678666083303803437920026788542806689796105\
711097216291368968962434782409646329327796249939978690125760501173296676461398\
703153263343972371004214705595681191349869807069902458280371699592942368906391\
678329453889896040362198465059471645448202197451591576160509008752994841283647\
207596091545353536458654293414134857654725908115840110223167774807681835393277\
93470883195853876557972432209034907212731345845583872 #^10 #2^5 - 
                    3743711600035610141642505957753626103612944327295600650156\
395201106766514212324589451749384830145049974215058466394254862280455487320989\
228986677725054559413931408328082181679757004939003973621780058476903058989658\
238728705491137710821231503676978496170500503722242915792985475427924190612109\
985229161354464394199870585855588445087817963620328277071953284709997029147358\
438341733075606460727843171822244437550325162072344606294937443706996250486305\
6556944284528361306608680962984077203709899760053092352 #^11 #2^5 + 
                    7535371317884985006663502556071600812204583418101111295412\
317047965840539250768346233777417420082842638792506557107980631569497266103959\
322918316743560898325357708487319541063582592267129154713402673722513732273066\
219644183397130390984413750105117224353419717976687555311885246837779821331208\
613619888218005965592534807166134003953517103127658405194988725984536391398163\
153427426224041035190682899178118701507168375099806067076886605337548773894030\
76479522467938840991725282063205051614238452633501696 #^12 #2^5 + 
                    1994286465839544626240646576152976288725581369805980928116\
520026297704463800705030318620567693321401149625895044249493767368511336943539\
810230494303248153490588687870614565741215657395208317475437449675008610154016\
286963913303858791827966682751648115738583111444183889051407842129855981936008\
980487083330962358195168695850791322663005637627637228762425064710173121601623\
237979602820068852730080643851632133918218941392958944752474340863452222766141\
78295513057060795059651334493448146027826484926778048512 #^13 #2^5 + 
                    1932722976222773104225330653048550566879638863608848853954\
735920856023670790868750948937414661846648006035603496228284632105953302834052\
059378672568628069606170129843772855830812196137230821232050141402252682617252\
926234197025341549656360905354339858020508933101295504251090467426369816469126\
338830962391368825534068594410252376210361976546054516980407883058274431443904\
423453368105706387963027944884774505338088034384528581143096763764636420687313\
4483275956742119345387324965380658495189497874642894848 #^14 #2^5 - 
                    7030945647632573959391994024752169880500100157288067547888\
351518557116532496746867668266709861756043218212368337759155497437679457206456\
257114014426641802124412907460840676374698558504042422416121210876673899500365\
277786816340771332740221150069153213041917342090469152464320783109527740445208\
623011412354867395778676334981673952676321541297194726722325444752951700064991\
205093444849947938607454695895020423462359524957813066345357776359700639370434\
81082686480327022743781566238079158800552995445719695360 #^15 #2^5 - 
                    1247993578995101085756706162548712930202694699905294531022\
290284850453433676669067602346295608407214524242092587799555381494937942794723\
387516332843407082284675652131494986958949045173817471021969101975335241235023\
631173232425476745383242698726967576815115080279048215565093414665970195057466\
672098777866355506322177073480805978871255478138945066894596232158368781515366\
472998958168795832220795389080132083447882373612051794321365129964310895189525\
21557060556232520778288931936466977292605552306579046400 #^16 #2^5 + 
                    1668749519084350871649835674524866972586123235784174713887\
218179806714641137979142467819858195863474701339360359146362442564059402015926\
706279996251491276825652972428609636580352052054044624990775794631767181231053\
574346502030836505924207393040334308914379829126144686753726192820440109802486\
439898325115776928675029278697162851103408223430795133617652608715653580616707\
705470700086313291139127790135191244765515167644024404837334355991795620308150\
676205682887150426463236043482623819382286657394179047424 #^17 #2^5 + 
                    2915631700504088273138060721238141494087713006027159432225\
309966840111741107156447870276185526465623361632067062309061546586764769301259\
474587091043760682879801733751322472309073065448517642902428439653366706992070\
719489411606608784152982338249937322035864844884811578543817547512880879613915\
379038555268217853340533997612699715911156167427210337702328631316158004364092\
008471152602817919311526601380160691218408827597734966663483926490038219905293\
59592717670898689853684215908893657788260959406404927488 #^18 #2^5 - 
                    2679244159025192847522849441102317494445518093299249589412\
895460643961400395592725417352219827928115800554671458640508114962193185955821\
487440582197552982017627643398385523944280487157375151112877115155060458961747\
187567020022960676141637998440109466951544772679792857627408628087839364652171\
092204694780682686192538647851693511352699869954493908751387837916114497264880\
549982053794108539555420353486282434134067004522314973905487657759071160250172\
016773275764034528717761788042219150284857699660151652352 #^19 #2^5 - 
                    2585170547932510719951241761300903959305614031236008038694\
165891991049406722348256285661899284402374492769787023242638037624591156747288\
634672077726325776647847054509411662825588932658421700871468342022323757462535\
293796673026963452833743223253373269969129753246615233804680067889782872471690\
167700200943228319718723261553757131901569066347356910416769931894380194422615\
294860713043718837580099575639115268408828068476584319121148602463453259904813\
5676376362842454510428645468414195901763635439078473728 #^20 #2^5 + 
                    2896946789582676554529852154760532822607320738129664553785\
148624811417990456182310511657325224394457482335021103844550871836941121431364\
030613117685979876677165860575874767939001287223326641087660485967315125002439\
403212675640612852849886086351786882080216607394533932146285912021398190008474\
594566368054545335423608819784080083091381738330131069160043454400640382215954\
491967693134080222931672659990187144246894415298350371704314778981928801387017\
887592728687790753303618191193196771911525033007061663744 #^21 #2^5 - 
                    1503936551845131076921556836994219154268051775198527450024\
041497881694346720801263636521121475756471750586672686409880376038102974005561\
421047331308019466663583883748417373252950384395648597709114393934494392488860\
161033083399713748415462625866999759478349457365550060850423342412876634144167\
067606412860658223345265031069892573343309724458801724910334263671112694431513\
639668374863060257567483955092077490136693166278672841821937611132313075049252\
258906444941164404470490572252206601327597377705073442816 #^22 #2^5 - 
                    2085728733968529265102714176401496178913341378524252437003\
253014490315313354882415325176387950420602678664991956459577921056849944481974\
185919666461307148811276832170428116394385718236916178502927490289176334943129\
207400240498729812617125541918378900572999598177187082691203293142696469468625\
790954768903914420481808193963599396758157302489919337163635354510277652980303\
195582697835724303773257329191174943689228812423303904152882282560404537943718\
503818124749899954664783487115565591066685143350719283200 #^23 #2^5 + 
                    4231187061915858100867263238665554361322637448886136483278\
182464069687768201643089166297988953637335120253174812510376067875751809229012\
533935538204577649487702625310319453343500941635664584601764550786275214062362\
806652878047869068043698018302754994173739697070532707230008171222272765789253\
835348338629595571339360517160982328566019360504080759794576558308314947340396\
015070454351729221844015446947025267196638401849074693778159957714774546378578\
039211915196219438805082727934160060548986230014488870912 #^24 #2^5 + 
                    1007644560788396751803662165545697776356252730631609056227\
296188442407749865271464363821489297778481909247659294046146190248964730129189\
461580852502805662109302878133260379192797584461135129342821442085301123668282\
857500770030657170656931259111048774780092780596052415239508015475284535909264\
905869455806688416515865998669405135789640486976823307652169611724787163195767\
048551748981643419061013080397342658863644029998389306465991118808113573247257\
356672512789826037046817093337812400757069900008480833536 #^25 #2^5 - 
                    6574255658600700598350525187278889792843067711044642656866\
554874022079210154068891474578602837606783168447677644790496591420900655649511\
958246671734720242553373124399441535724279025220701291957080050087674580248095\
638627963002157567506691211208572817536563274492806178775738044464903773252007\
379542047484007161585340817549716835338561293040053701954235742401778533717835\
679877969317421441383825006875909650120254928642766063457419021377659348500589\
475401277141884153327176222302579644999906274276691410944 #^26 #2^5 - 
                    4042961835528343161670696985962626672865778847030742927383\
341021417607510141415779846000090952520851766506596100055860577445687455547257\
602775752935305532373097305826032824364743849333258663309114421566547832007128\
119174767607914263136436570854118611990451527826909251351655145088491968900178\
213591506480986515836453190049550991500955574543889643528696050397125985539325\
822633998412343990535038386939089158487743218369096609995084755193476676093270\
41054760388040540866525609735492060806305521644064473088 #^27 #2^5 + 
                    6963556741827636817501775621122931684835548355918531401887\
822659368470045442779786432282028092196616913796938857389178495329863580389051\
837920579764903195871520611427408623162102591201327439216822553910367946944027\
000473062214937493233613779612381195972037285813983285834896601683807037177334\
506600892472319794940427595610638250927485228942073509115129861045153919194534\
979208695439322213384489920328863882444307496964888050170754166196487415651088\
063758954689967707018685090698505592529005590847502155776 #^28 #2^5 + 
                    2526800382630193183739807659503595860077184642300796481949\
620820956730803899866006561276711769104118164868747121785093964111841275599328\
653125886834185223860987410583220830511737281767630395249070535567314141636415\
170317304963334883338332466435046036774876080993697622759829317066217756228039\
695667608873423144845050193011778807369094135588735366013445589290893956279852\
155841831307361524240335782697510688676675707251456179578779374496411171134099\
99495788541953680376140720936724775942411900375351164928 #^29 #2^5 - 
                    5461063539331291443807796385955319693984934291988712310768\
785444944249796832754984928392421091619703657618825056722493238671993321056403\
465562254755475755909352867632825774842327784355094105858767814163149492324774\
514462780861931561127532905779878706512123433044285291843869284762890780933124\
745416826969374452294059664591593463275369754106147106071520786847409207682103\
243601465273705773680555797641045640381318150064950275966932577740260348285990\
609953787616015816686695533470275740389116746574059274240 #^30 #2^5 - 
                    1975844521138597056171881064322744892099850724080200330230\
064273494462249622356787665207263462522695413996393717375051666257032171615926\
823095793175682608270532135711681581758746811594321133750074463599443617653734\
316820924391087810220160232110972369343084788194139032667439790932092571577844\
573495010588958740493156317842447696425606690819461214682837643375908096142157\
696826721274591224750574071596251858733659581359554839460381906726922761389845\
83844306128171342227888491729798446652649610756451467264 #^31 #2^5 + 
                    3333916020260964890877447093363220014050214034260801755015\
382094088150905490298747490728363842233634002647203945279504159144229792599962\
622936912629342775545619166602474318687395645697449475167123541282255802133927\
773260032206615774301098859037080407551667003705909608239661839168130848220777\
190906888924142279581497309674711409068658574647319543783843883700072687033629\
363725964912915172134081324862649760606630247364234781627805223667580950424412\
239462250907494376298037717308979675784038051178115760128 #^32 #2^5 + 
                    1079813830303095262228026467064809439808802501948401335131\
621291914198568377184942421025997933058844527553584538122492864985676336707387\
794079398491615385975764906991738138159980115166447186715643749741541131313005\
513973775283726484629729194246002701691371725336106093607033835000399770691213\
836086910141774505701102640732859628614241522270199560454435401830762540021888\
682243413387567436716607383644683029495321886661748428698145253584324975498859\
21287868596991365963013387060642296514001473739077713920 #^33 #2^5 - 
                    1644696358394499323997342910023470907865832040103746202152\
767400646015271278180599007928305666337387347308929753736045182695649170364970\
093761603700047329996351005073035536110332129994600062660516397738126738992340\
248128262409245678335876473931928759806627364716454961257542995399521312721899\
434175841636379888236323441918482187043615882893282011983589852337845448656821\
727125572567462377109705863246177104998565749185445499772022723109560647104074\
907693931921350118124647085351625044294880725263953428480 #^34 #2^5 - 
                    4344803959013338590496492310264729205346974416007828074336\
015446602533013016240697993461072720554545672271162403754906429525109210664295\
534614317404905694377817693661016498604854725144097012360191515004552181742464\
863773346867369090205882421604747412535266078696334801430857750823542718000106\
762435544416021119055870110731513035113564044697658349790604766311958280469653\
774150339425884273846778617792620898876556792184079988864195386980759437897338\
2924702570315946490393600899873160783435234647532896256 #^35 #2^5 + 
                    6661309048532782316474387914911435562409477027151984603134\
193939521288827323291407840615763483205266674740673489886322301903538014075623\
581189663284540783606960255534811496867267679855793621397853515080707447314002\
417043539364935311744564726438961079640259512293603379762614045205748941280708\
623861934211466244016462503002788715259577180409130829717825726195985007607569\
950906438767671714054246138465008567507004915509513724448549793479150889860518\
56958141393285184614940312328678075684892605584991322112 #^36 #2^5 + 
                    2091455263699729176253973764319063248645681117697123481501\
225402216831549964252185091760401903712457970408886929321940369903430626652971\
570521519753007463090270060999937204808796417605928372472174875765898556423124\
899400126993416079016812493725642673640170340694790390351015395483244180518884\
193414974864268423680169290670835159177735766612770014227264087484080352798895\
971951052445670756167801913840570429969366849749342243802000617556430754080168\
6737860981038911357398303040706911387683599152649863168 #^37 #2^5 - 
                    2171287329580553544783492619801994684938866637607942700942\
421508127991355412447686393474822926471580532252270606376858401809103548495546\
268995633090721059473973153945195283307374867870790651278374714573825751324214\
344594972031527457027905676600046523109561084664031092621689662386691953551912\
792141879233294223861963166442425561807802174575342452901351079169434002336883\
093574784371294404377125778592800337763117591864123509080668207065810479263707\
29464302857358182145571722761171097498494522656093634560 #^38 #2^5 - 
                    1162795980481577620287277881153219679699424280717219762669\
972812120677462116812762481283815731455464568165010266762863168326457509573660\
645221132899595931719492268057824814739596940229546186666515293150348008251537\
021388778958179558774766578724731571739924297697666128380819130095921042621816\
294203033177760291988216950345378408151464306319161776161954591154774940391465\
022070393746086498768325488210924670031682026321376994393961865405063439018624\
8265688839670261600119029634190194955621353230277017600 #^39 #2^5 + 
                    5399858043721904557186716331593029961444322127440612942904\
988076437495479917675137336662074977578019271412128203708445114995633905735530\
326543888373500521133681910601106487961751137719717659859463539266275164435938\
091956716115712886357941677712633669761933052172853162000623341100819772804559\
895566245505622713330972410009624160613982155424956992261385068494176269885070\
245918420014597811531028399061235000229157800336313623578619612133517803564150\
0270519916521931300878850096018607771454259806706073600 #^40 #2^5 + 
                    4519374556205059963734675713230489417807413030244548657969\
023870289933247490142083076630846783043909272073579331962595801018971071603988\
834901280795759683479849790989596336825814285215504130106549514228509101662336\
427981250434153868852584184619672538864738725487096548584468172974757589811062\
111686916609868150828446738469407946259344857620045203699157036609647631137781\
531492496994763987566904197469473354160179294312300519205076627338878838064875\
586207180664890984965728752175307359869299266410250240 #^41 #2^5 - 
                    9434334248165932365978919528879522243141926507862802841945\
801722891254485795567970113439433420169878023426069096513570281051578604177610\
162615432615118003678726853765577705788659665927882588849246519773122008778603\
967346338954981342954666171217076115743470531701426410165380423494315855887140\
797780525211170574355064263689210685496326009187568553692809018228174390377150\
092873202573178783827358852853006324889690539019905039507050867015551624678992\
401398887993516826769287000896491240220644589678100480 #^42 #2^5 - 
                    7279240684999193003450886650608104554568405277736097055144\
223322549420897897088430383542523779073506739546422427395541236056233244598756\
298467121732149901567602905065010935306112033954652468599222865493793054601854\
937927033609708884653841130389048292175577787532506340685176419120117867710033\
479936471131482169886013534918945148647070615919777041580663660898835688030251\
987639411246076034392398723190473942893493341392652311915361848529465165900206\
84170865756669661057548071493881332959709898452500480 #^43 #2^5 + 
                    1331487479836726218130560839305421687459789480101646850513\
930450015414303197374839976971154803863292246569037182584188821146123374736772\
832350262145150464186169687393513248134251274049332679979185725535697027592003\
674452281869913372720350696048663614030009534246403619530954820318017932371851\
670902910591780245793436467279353608187829613359215127513943119452141671895830\
529511220303982641778387812055318220927457408486112249129750184448285160302408\
043995875938939660156189146331660920339047019393843200 #^44 #2^5 + 
                    1563091316364603348200162453461221837968925195445910042167\
983321544088369102361432834131204478460010077570348489788859220994753033045069\
517422194646920768448301915969891069741904653498649731153011121892963721984616\
643636916487423178235441342876437909204083646300076735159527236109102655383419\
714225400735654970160695947287045702171671580040736947476888927675388390520933\
415711167894245763621064674879127075726309310570662433663845844849933599256109\
55845912636761725537089537539809892469234631736033280 #^45 #2^5 - 
                    9960321731397031489745697000584285104347512928908805467509\
430042494382046860222724047205010146505876274607035830096415018826815184363021\
927540342488221357660994741099421532462463007521887226952858003789770844897857\
960683109309629944858360048337081506407690343931074787671601141811429081425256\
441375218836962644012625347743532828609929749952747786083803849622853394944180\
101385584748140953432583681167748149203845798634185073871677401221103402942970\
5603431942327340000884126787644152636590206117478400 #^46 #2^5 - 
                    3923951322719663994238470512417420398397779753934533567856\
133323946230474476008725168883818752343770105136669348572694763390190668883860\
599711857679435634771228095362848990116935320458924139700014374365505789384939\
910361942613750849816878423957608787429368826928650289852432588889224560753276\
564004981431354660918954738745561646832519997622732764865023640456128981692840\
382667665288585491011474653444513560825176877573859410699651913837995989884642\
154994719688588778286589300422394551202639930982400 #^47 #2^5 + 
                    1176143358047750270899328889470013860491311298652132757014\
179856135442122243400471974180784719981053716344994425809807867263239996993410\
638493210897751745044713575378604248401573099166745508443879141929252531600324\
385844306939079040525288689730243495455303267535384700806349649008852245172183\
768225585533251065899623451273410034100885611592148829120731998796920426883357\
357297413277711914783262495303679096268007269260385064309209749792422955837647\
1623575707581791505995923731109892818176843133747200 #^48 #2^5 + 
                    2684791511947501925827800880337229861045505268754986945072\
619070440580194434050057365639220666209685539431286093713064471968202345318013\
171171337669415321766052461449404038747274898405039744587064553580570623779998\
854857846901873765239307668033237671214069406380147820640628040920454440464770\
145241443892895218256938989080884916809358167527013444756071158067085537119044\
350787747603317364795653504441340384230136453164952010743999176175246892247446\
020848871562978539545135180546160133417621834956800 #^49 #2^5 - 
                    5334109668558257070143940316253700109454446822540792087303\
260911378694002606396455663822543986371201972021297747318586053182898267635940\
497519061014391492927966795175422671342124362923950788471290076975871357712374\
455038420534945465095534834063537620253808288161239498204765843109532306260868\
693727463946894684192098077373586685031362680934254066284065173724442018263010\
243212007702629989837767597456107978083234111375073994921978158148632768160514\
1457908546281900354600294249405608473390891840 #2^7 - 
                    8269234525224197240917269214605637862380736736482492713110\
341798066992829027833349018097432866954193076335743787375722774638439718313213\
730950737711377037011796316628285541411767251461129114966551699847392426435566\
259667425436763657112529230056062664491277816481978581587429015002929007838610\
867231413362104665345918833490241239799385046705124507379579683417870415138998\
586697979579352138140823607483382265528932775903956782926154364692329006442664\
64944093256221945616928704960791312681338660480 # #2^7 + 
                    6392815000655711825888007692798860534202454743681271226331\
206640602387213559426463776258351854531439109928048848904989128413838280789772\
722148089128477166028143354964689247784312320192169388577616805414065141052441\
863991087842958745002973958402309057759276643847991687979480766813263155248094\
669485227768209734605867244787028461343704302333719085919733158561444875753538\
800447821966545030995121527751281342301285851633061190065394484707569055618846\
851857908693078231609990834046977554905812012288 #^2 #2^7 + 
                    1233068386437785424949592338172471387882750411554481209742\
696783654405016373112424916683328350756854304176090292486729257084231395304397\
969378866851531993961640635742574525409455124326051398843172001372768145559390\
909628370836895490913597482171960146982483270999755407275265249345139208829540\
387081010360024905013808722521139567846990544364582944645527879067811476196518\
230836770736884570580331535576242629664318727438905627683323945099101066490537\
35053351563243300138807092754445707764710223178752 #^3 #2^7 - 
                    1776915696876014423056168997989085640095817636255731303390\
624768547022879457825915460900505803382051961831929647483318719930334845345663\
385223048388950074024316212208941901980224314197126215327998574513961475038608\
774689453457297019809671575930451444043860953016178457539368058259751319387137\
252880595957604747192163348852226410813533505292761946377555212292547127625965\
022421912649770316263272179506531252613818399474849367886270155732690381448154\
99265847506846191469101844351549363926262280601600 #^4 #2^7 - 
                    6780168413840396807363161403726665119365889850180069274144\
158415323947004801602748656933302986240939860719588138748169330118280040682325\
870638848284621038666486197507396677840824904087198809480055595762554128726647\
568874336731356411462801342266327467188422069618158273582398441600101455364113\
582632241656693885005465750569340151920391672627773224435519962854900328259719\
751498635774663616021872848189422846799473346635903424713715662493387489582971\
364555323941570453270796095815248906455565139275776 #^5 #2^7 + 
                    1227968625178572952916668392391512281114134747663124595336\
624983395772260005281042108858449587797921949131776624429385038499890826053761\
289251657178739185759832510520345852908162189422989428199011187490151411665194\
334931793807727970114394405883388193841424206114658577713848265043726009868636\
649989155628817661611210151771981472145535954547809280464203688758296271963514\
292000733511856806671026421516830401783516864954243419042237435847386242513333\
677535070546377212467504513426401889959167652605952 #^6 #2^7 + 
                    1870798009831920686188693526739879868696230895636076960298\
135481332978403952498116259104424968706375715372875133871153404114381873277947\
113511930750020100761536627291676234591979461080575049539306693034136506783468\
540579729614848491728961938178584761217079887741414152899751070317557524742112\
611959473246595372227962946309153395875095433340355740853981328363560254011089\
241243925632678150761670274968980425505038333098173383956094153574869293837292\
69268080822673297456856684396549487413831804477513728 #^7 #2^7 - 
                    3018023749154487794750351615794763585076715750901560233898\
451195249067850938429612056747839481104647781166192562542187132877897246310910\
815330924205610577786991777584781792708842277043566387990878145262731914122145\
649713075913274860312297530462437662631597212407921199026670269649214988255206\
812803216506406211308467936783321859962444564708085519262257530573436632890616\
352538917696414962003223333582176342596175973566845820745352017992649115287816\
6375474331183489877907142372390229305716162670706688 #^8 #2^7 - 
                    2656336485896438923192026830412374541550987373229161996967\
628330350500791620084647015891839599670137258674287767709457599648181501161865\
044703499169601165925715023414219841788531014455255743708331478393722606792494\
195400696220846386565005784968694814408811463468308459771307057155873349739450\
206416534487894758889510345357809102443237796011532976019113961099694403287989\
223486543218959137041633610473408696654958038758808955613871632589557933464787\
620942677197275015338927275039140681885749773357088768 #^9 #2^7 + 
                    3340693118772048030291762262497644563334990985155492776943\
753770976548873179099423031593731211060200416789186915964402585671872772247220\
000495669696447999919600515417584419454417836839297755558021263389118779840141\
095969108080236038585389443628703498230260616512132693369573948040515706569825\
128374267325907922123756076793807689126545832783111304786843993602561222292240\
800877836405915644042370599402969982547735477046993380800453775568227734525847\
93467433939257565854377425947360320394469403828420608 #^10 #2^7 + 
                    2221543938305197478191447420462880502161798536288659880548\
860667584882055952782745390463064884770042157740344483362483771732171208912992\
438460815227581455582831693622953158141293716256795315194979732773533441757733\
360098937654082929002625438824456904762580144077018705134719218731051537411465\
630544720904801018644919217386154274353287616581844408145338994207823766873341\
276568664828222642799962600954178453701022212590671154946497760825274097967779\
1664858416891702754149191621334550417342570152023687168 #^11 #2^7 - 
                    4700089836303376053356293729594456327453376417021759298844\
783836735574552637746517210600837237042289770072664701037153534856655558537707\
399416456736210228174856753268253764576692556399706281336929832389726198005540\
284856432715564087171247532047161126425534755088930500656131229958154731939126\
220301230576072022277947845599506585143513066135662084993485437250442305618339\
678397495036555726219150086802687271395223072454699935226075771830154122793272\
55090224314484586828572214109795308608382314251812864 #^12 #2^7 - 
                    1183430029173591835128545128883927043627712662667234042464\
626952580369851842571468382863461782991852069229900146873096944260819814665644\
408226665953024711069112273313772206095850128722023061176618802344320265786738\
742323325744217551001317287734941542745343999635841618201643992848412238001689\
113760842616893918187902641915389729247859418227388599939045561883017556959827\
278052105609206618778114293779993533441581550649587894725795901239794081499898\
31079299525379408908969207727694872406333057246014996480 #^13 #2^7 - 
                    1137950891676783839279282862086147897119545782804835956552\
382778886542783516441406678740172114012049532771766574472270114052899081128422\
950813120294957755063309025728867087059164100958839443525707868374001163874874\
767806747768276516806994142423339898717700833033710179300465886083489084807190\
432129204672398769006338275686186653923311979558176169701821865836597714169202\
166284565656701699423480355574258667620626218774265906260029048034097768739592\
4612476442066858530829728691708336736494045507161686016 #^14 #2^7 + 
                    4172283092900517051909874181210163887851032392229943821426\
091561754560592072131800971125506077474571528811773538726768788885720490783004\
762601270692936076686495308217633634005542903973695200518406337788555149856261\
334716878690427829375571470472355018759227067538817178291927619457389761183069\
554374754568754277473756348323210445205923338448142285711360928260830993717538\
320352650164246933511456044040622007519907217538551750316306549924520511035273\
74378046408487920831457661751092984903656193572407869440 #^15 #2^7 + 
                    7382539879638112820644793101342231411155222511853787201153\
301170589312537055920460826893102321578539139096889888216410447340258408184649\
388494088924339428085462977530912768210265612144798038372327257236694970489284\
337578966592677174179298708832839564898195482676623973335622294460398812214272\
536281846918975658243256887422033118021819744874085466014895790318932755824148\
537301362357573923473959306378573837197004127851450556500451910103399295274985\
5577753766346339382083558612970624515401234421116829696 #^16 #2^7 - 
                    9902635184298149280401001672681179411322347359410303130848\
832668832053058417762184680209388232513670410963800550664054243171045939505815\
419336505416922519308997025468323775563092481350005703367375748424378805923318\
829393758963492303784700695421152969115585968465696531468040723532279943840331\
325569253805498760113265760735189975836682602863119774590479812781328927054294\
902071818860113770414986256358054911491749779818745626252002212920455170423844\
80211962094508133541019063565251480554779461532581363712 #^17 #2^7 - 
                    1726155676470311371117778668312137133923640659896335686814\
079150006309967782640740385705791584844999117161033684229330952420186143726883\
135532747820330316768859932103797716055903560375312326118041939522476346989677\
144482489591067896051752569732662594534632998018732723286563631184760671811555\
260568323823377221642569205614359562286453271811241131681711733423654677184779\
553091779147071692916633917294405410364598515350688772968964458868323352624539\
95546635510739014040171385353955885454233276220451061760 #^18 #2^7 + 
                    1589848916880802881910601646597982552103797232567646024998\
078258285642219780842794692639475188343744749517260776432029199906090468455735\
668636567223517508642857393590254970017867191948570980320975082503037641210520\
040870169831572946553966380066223409123504951668223065964451739124856645982812\
685473561136991502720263149784916193750918081534155820830650008687513358673603\
703254302514285183022611905088475621020742967642037973348402134749111485622205\
295370099676932792662231614083321006424335535626443030528 #^19 #2^7 + 
                    1488388492210956205009210706843108707941843994209455080006\
524600606618781741296774950433571287058467560165050721197602595291825926393568\
470943469185728864398197218678402922407588460790480253069402574444700855605016\
099290765322471725003469538339065594213353144979837402343723016970111690506010\
447721648367680255015732979619686307229733959479572713817504353977965956987255\
726938351516797226100203261802525078378420497555124076061060990827326530225993\
3078937439875507487005220602633393841177695481279545344 #^20 #2^7 - 
                    1718815485619793224888105888349731561088807423793420408077\
810517645308406064162808771970564667002174319639292020587464207657578944772756\
474702186855774315045942710567188863726030904714667038498810839260078464134281\
729682928659877884771640905297482747180393806972203513008425053200319186264978\
048756753665376876967681720369397771341930891167932437399836237263990386365413\
235682324156625604806981579320408467748280783452367482389697441308577002351935\
784466833346594095499129327441847296232958075415709089792 #^21 #2^7 + 
                    8927678553961292236007386418133490099404484163195058699374\
115287778747777719470857269279604497230296378691807689440035190688443819272063\
049928361386863710145342653375759595795248493565471022764200432956773758989254\
300274008714286611804765048169918334318548937415163386251006325644370174892868\
825434594234215510684281067008106202552681500230115986232180811569909828821278\
512475301768090916759035004424913624797987210349017961684441015482922514907696\
35613853466573614514072665673487327379642180046233272320 #^22 #2^7 + 
                    1237039646359103417361629447771574337237998462715349471978\
023076746190269375494505517075293169859025065039690614350772867138252709309143\
389287558143997200880349322400080686852342520654347788036739119285332621919543\
396249332082506852368810392191775552767287341680565711574113759475612885434128\
869124528975173175972334064097849544731628000765122880643494671974301218945441\
779088772597869962697208718679444594563368359875478640568697803565249601138902\
485368093220178590100028570889636997011042778095552561152 #^23 #2^7 - 
                    2510905664840121518979494484173120340074987434048090983226\
573163669062509158291251531825152849434120409254688401686726025752637835473198\
931807178419395893705830206190585964063707119103382309717544594027917782365714\
718301221551208716739607953283151106895733719966751005611053185135506793850541\
598138607017728608573635123427544904044377737518281125626989478872967905775061\
108989991067728076773562973994877432747016809239150539758391147783796270229909\
127110338572835059551242803762485974959702600029451583488 #^24 #2^7 - 
                    5969440767512062148170533574174446595527762532534917938182\
061725938002108173063145200499961709291825815685891365331180470920810212577500\
663301597471695163764989139955405316108506218038329531963462186981169108165995\
615882488336514157497612846021397813117754535810428054474333354587776240945431\
127379039977416974560430008135739480890316811845810303581063864334707210651189\
191146805172618703396982348972696409567394776692978878695543360603293338355318\
66881801777097645022763278615340276604941575966689329152 #^25 #2^7 + 
                    3901127605548019813728976074883604018550925347108382045441\
700834304823204923186391246658258109056295770824051800635803728623623987602818\
992876598759094179118216628054603242195905593753599812816704036632684585247196\
126046798642868079426476075901275192320366864461731379240888368791576865021632\
292626649747124763585497734615079330961380173341618772736918529698464585362809\
037916427382212902254187875384466886318661133436026113246760173658224495159140\
795578268429843819437337660443961125931632741839236235264 #^26 #2^7 + 
                    2388377802059211387283869839040924209487772527522054498774\
165642880724815227069838930963077252936117125047459986836758910250937557854480\
426919047883420837413307738389144557040156134428647881285202988523942983942600\
405325362909520599202619474894141327942810458706328129190384981415561509065245\
618830824524338429799421766731439975895527145364565475253700721140519815811465\
025947986765829287752769031793186685180592712450211863149793509041096190400663\
11635370821738385737766344293638438006075289283793518592 #^27 #2^7 - 
                    4132086890321903160581717405993732325264665076269227796032\
697620048964728859172996431639310606202453479887169903502923323540599077050997\
600628708851104907096373415340924577798681397784663093695487930431467609675947\
445553769511706710401976920246401943959197379023278416073684210802334253129547\
363336457600090474562235689680271093653437923367241616378506747512223411483063\
713167935113288399674156571917375966526252559136050056517918431158212391061090\
772578052114574987518554662659929780135216807219411550208 #^28 #2^7 - 
                    1490823759952814901256814739647960704428143813568083684390\
482970013174265188283011774952208119181884118892626508168636333582838206263263\
473122524432604996444203396018365320713643173768294765949326132683098861176079\
717962658328489374754960655418997936841726864695158982188559561538852224731775\
540333073381275652492654624678492727132908500838126363561219675133208531582839\
905122337627721134465498153233072405602619752107199235646146303875999971453739\
96845327352061480773622830183624589123892106057526280192 #^29 #2^7 + 
                    3240515712706044429098768559928035613977292347843203098843\
115829397808498822023902054515098256926882345549893990992822322841689420171232\
281297732549757625870297040664402212600069495918598226298175637255088174782458\
600130446455956204749550667377205946697542979785652556566084154002133742136644\
125320004304315641628816485460263291621336176750411170629554227365788643874870\
802828356916083252842104275594071649113035421057360932801007948052552280752154\
905369233700703114406852609750298622776504623551662260224 #^30 #2^7 + 
                    1167130321615338553152379101190321884621500091619986814343\
832467361360238559641451623068806738161604993877967526481605834211310419580241\
560463675928863678143452041638809824676993125933976151618968729758148686656866\
716737060712347323266743926738683542169327519702933318286821408898466574427363\
385204298050860728159075772831751048699843587634245855731365190120896880436874\
756270992960367435663141445678774713503703197596164629207204121221070584758076\
92892246548982253441005449633220093198616214138058178560 #^31 #2^7 - 
                    1978290675768994275341011770275624884486491466191885820103\
538136349135067432891614897857985616304245578093588332678244987187454322432206\
353591486044788105447597357913083780476829419563290698185012198224548554876496\
567614555825446851984304706935008376692534766175687776371460702524389235156874\
513773628728165826919631505030476472279789037399625889386401570256364901401594\
202066689616500930337281260331431377804691248926320530743605271449028901527710\
826363595956430770044062744397764195907418919080264990720 #^32 #2^7 - 
                    6380922246903344720927536510795552732419430543489416627250\
251714805311985826608178431239216570595478637967621413055196387507746946549015\
454059725655240109135570649438653230179533211177157342785436561338850594703611\
760338184589751936299335298707438429680823440379113923006678541188872706817927\
851165571597384116714442279494564057296134149169682217009287086522270039340134\
329011349656116358526062362595746356598660655841029161157189906915966820656025\
2704847080428627797447120456129029770749253853292527616 #^33 #2^7 + 
                    9759320549426010165924838335286849306768992304950007478815\
414429283076834700884071331013187172308773865406252266149421192950997249725699\
312762017910787386212592975529068016854370334507086736135560292892783886443782\
762368619947659703651708991351881388941318797530281520915402275591248400628839\
664273299639866260525036755620963827261350366630094655086897313792432255068130\
810950215000061168096222612793975609889717236032706690304514264151715922750248\
59004893294292816507117420104616360468467695087542861824 #^34 #2^7 + 
                    2567279290509434221199825637772949295983054480173755615342\
258534332557315209609915489873805613837267891861855367761598098350883107692193\
536991603410332650237119934121504411274197737893346684799120327111628389227039\
586153874236651850500068102373511153118583443867101432138283077799041251565172\
663293750763287828228535392855840727606440546853897777385748334773883474844653\
624999622249682363989420080526904343543986630364690729732640902833024011877054\
9502902285079485933839874151900658910043921234949832704 #^35 #2^7 - 
                    3952693675756681801569308832342031279882298567842262840670\
694609053734817605366821655344227634502294575825427625703652180265171122643037\
621277985772620407577473645277078777957710023613929997515465478268106399725355\
080057353984221315420673200835751219953434073620314093299260524838738182237942\
126818712890166980584900020523045616269613876075348070563548247996295198864812\
469531022888793196852109121922364943043357963633017862458067851275386850412973\
54218296517845933430888923164971428423929362594945564672 #^36 #2^7 - 
                    1237455778356178982361148389535799421264523171452970444355\
185729011296615639606396759874147410382838591978826691392429935574764385738935\
563158533653320218993184661258789081625463910941332458910027344405302384558530\
827080760935774134313690653888881751210600253777029525694744736079279616065992\
828895335859167779881930071759142737676987993370522608842779205362351425896929\
249451012182926014450875647089076248767278702539610869470034258929815800287482\
8321021237542703474912924024334512557322624623464939520 #^37 #2^7 + 
                    1288405962632487641184432750537379119196980349929089166064\
594699762337734002622945977878407480858425716295505025814230519319372226982535\
990990050191912335907688613032859726662142190493810200539800460372764231125116\
982673294980532322111380888044131667888624495257659370685973635300105777024362\
838134444640846211669617508650940068203308578905399987350658892941577007826474\
990340714060868906326173332056602831932500003356512748261272339577527364537530\
77025440916244099182144008452460705491424626077513809920 #^38 #2^7 + 
                    6890785738745968674109650794858001491422906411362407662206\
090990857024718887033588332587849798325868522380689236942066536207923020098276\
836671836901058527579721121456384772064960319656230525894953672990222613729817\
003136336260936200649908551041576582131438791465770788769840066894966572399866\
914854715119007118178006611111157626113450405468214614740080675202505452425101\
193100737390279974754793738395995766167211768767249003022848932510924154333336\
465181234793748337046470791736327513988352037198233600 #^39 #2^7 - 
                    3204208715816066617983919885050606615275962360902099061698\
094839351402250620710999702791519884892284466380460707976657526683389843400392\
350850268631335027220614346810932072341328454530668093937545062235484723608891\
068270346996459850863742944495218243206487255170648526009860460427208378672974\
473790643376737936457276036235105572486157243925637754671669131548161198859602\
827150653368146821491443454866316537177526350391355191540202026984789510090533\
2360494512942617798398138615208628813220635118361640960 #^40 #2^7 - 
                    2680099290906536195936129273599793151512494250467292637236\
247581819140986535337848505894359483011142476145541764708986565085988850045429\
709434350690193725197340213586325908806591547648548536511290894088142109499511\
943158840996920838285125501445404411240109860766951413090443208521375170519520\
497988885857068320137832214300937102516847375106258536221126236425362575989791\
757309460828584573116073864715343156419554419616459420731073700992549470063102\
437770803468755000585338448614531210075802579029196800 #^41 #2^7 + 
                    5598200520742000911337627802351441722153149176241276687455\
759205355191224118878479607126522661515971072787722865172317609205321662351222\
956273531847144386865136167447816418708707231598969108580984751481084568352134\
171251170495618065087461405699945679667913329383015903595443854015990652329413\
277663066078962913545358744427508541741144594896520431514358013647184026536421\
028105334527950308026312061376745838139490857116107089494261122994138961508456\
498180925136635916095188883774654339808328601661603840 #^42 #2^7 + 
                    4317066275289523194324771010891330680861770629162941766170\
538569698635779733383569895818018839926786529978393408416086473378807268180851\
308884673952120365876967666335545704239201257071491067324002031250539353745035\
071809927168859233373390461079707629561423656620335773398173021877905166585289\
270770666189125032654589536080172097809617051285218764947317298584538609735411\
332252570747330312085674506840845969067980077905723806033067206510976144875201\
48968667268164803810521874504884093406772169979985920 #^43 #2^7 - 
                    7900939128921199069605891126330005872047054704964115185729\
109794111825593687754226559506823217611595189577425383916800530103481586040964\
630883921768243000555501291541794155793541353933692494067325494794334125856672\
227021854480378837906162651247026764689742336579716668676477873297879523127477\
571045380161493470645090922583813319371493976005711000869742115224099426884245\
040440679247760601609289513499135231024352841570757349320874572661212747134324\
91855216731911068393828998629860547416871430279659520 #^44 #2^7 - 
                    9273259303039738775478850421729786932236592990613977784453\
326087171740456482176651207812556795483158389215434703259405518544956582227424\
214245355783633255063330587621902296639324432879926436800593970071511957472607\
904295093054780659152725215845295759902659841373560552639211260174723761277369\
061092884278360500159391841683758133266827529644225590417685853413227207155639\
410941716502130212457570933689952511025181639214231488114701302935098341416940\
9461873247062900995792518657862249175950529082163200 #^45 #2^7 + 
                    5910243477744487290405852408954922984901613347039724969309\
579539824036309978331328381471900978794467760564443404541936735587144632759692\
524795962855898542171074856904688213934673080971093863509904693666249544286369\
140449020388626051639066222043282885624441184655355451992643535693690316158981\
642893054479592781440821892015801827242032901592602492001948125149446901159629\
219025074790636584175577373797099279993793767324834716639017378089425930823336\
3793118265670242677510066553239645297367722858905600 #^46 #2^7 + 
                    2326395953317820702462957974273337748699600900880389564055\
490351356392597179990404464866333375412281268018020411925806227706240332196978\
038311060037399993254750584163661134269895454035375462139642706415686912498285\
269195500916493998931863710487787456906336326562754917415462483973000911836335\
470857400251139435319874511858413308202972724631825558661978247923794375777632\
630711866523807870929432825517077048667278137297398224475687692303685631460810\
945609742098471995752279710656114676182186092134400 #^47 #2^7 - 
                    6979348086205606076479125498701207678525011887419205059884\
385936237737612189615975552519567443055871542717211526423732303052389040299698\
320098210280344757455034068440598816126961490863827625721819425389404460803635\
500612513703677324236006396537904515714127327029096038354461040056965903880473\
539203751638021587892402372538409945563472478594044259318047881320117511576341\
951162096360592434674589993190366369766802373711712044394628452690460889238049\
698868202127463412683067154797728195719329952563200 #^48 #2^7 - 
                    1593076396357874314296549736520189590553823269853574514244\
669023113828242380731789823805184257353238095878276958569111501194405339448975\
157378595512355419216761464771751316069455822387078338942748787096132074617289\
885743126621640458777143366106315972276242392238190957996200078400519125471580\
767750670024611294152340696544177426936094452279267906062630376976499460885514\
321483320598896284437968234946134337037751866999792237915785617805970046154418\
342828391511729690833987938685310392829382492160000 #^49 #2^7 + 
                    5252270275802418859264117995503347641713573403459619260276\
872819925436399985394874833266691859632428428170725868499651820633401728265089\
096762099799317882337219210376300518178370492481292478424887846138158671938271\
239785028586412948391670327227185432293243111473546238055358111830345755637573\
056912321352863439508460197807018951838550093158530518284577718454383073319379\
313765793511286704106476256543913199536283801676550622725837925179313736941643\
905033727040557533366886975220816991805791 #3& }, {45, 8, 1}]], 
                   InterpretationBox[
                    TemplateBox[{"Root",RowBox[{
                    TemplateBox[{"\"-1.76\"", 
                    DynamicBox[
                    FEPrivate`FrontEndResource[
                    "FEExpressions", "NumericalApproximationElider"]]}, 
                    "RowDefault"], "-", 
                    RowBox[{
                    TemplateBox[{"\"0.861\"", 
                    DynamicBox[
                    FEPrivate`FrontEndResource[
                    "FEExpressions", "NumericalApproximationElider"]]}, 
                    "RowDefault"], " ", "\[ImaginaryI]"}]}],TagBox[
                    RowBox[{"Root", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"141915005595265", "+", 
                    RowBox[{"1602744041000690", " ", "#1"}], "-", 
                    RowBox[{"21026479615718096", " ", 
                    SuperscriptBox["#1", "2"]}], "-", 
                    RowBox[{"206422740927658864", " ", 
                    SuperscriptBox["#1", "3"]}], "+", 
                    RowBox[{"952385487618214736", " ", 
                    SuperscriptBox["#1", "4"]}], "+", 
                    RowBox[{"9898731005129035360", " ", 
                    SuperscriptBox["#1", "5"]}], "-", 
                    RowBox[{"27585326483089797952", " ", 
                    SuperscriptBox["#1", "6"]}], "-", 
                    RowBox[{"183912745343814561280", " ", 
                    SuperscriptBox["#1", "7"]}], "+", 
                    RowBox[{"344427706022721012736", " ", 
                    SuperscriptBox["#1", "8"]}], "+", 
                    RowBox[{"1846052005691964998144", " ", 
                    SuperscriptBox["#1", "9"]}], "-", 
                    RowBox[{"2071683635294751441920", " ", 
                    SuperscriptBox["#1", "10"]}], "-", 
                    RowBox[{"11047772372340226863104", " ", 
                    SuperscriptBox["#1", "11"]}], "+", 
                    RowBox[{"6111411510209350320128", " ", 
                    SuperscriptBox["#1", "12"]}], "+", 
                    RowBox[{"\[LeftSkeleton]", "27", "\[RightSkeleton]"}], 
                    "+", 
                    RowBox[{"3270651140485492506624", " ", 
                    SuperscriptBox["#1", "31"]}], "+", 
                    RowBox[{"39892244130355612745728", " ", 
                    SuperscriptBox["#1", "32"]}], "-", 
                    RowBox[{"869516270534242861056", " ", 
                    SuperscriptBox["#1", "33"]}], "-", 
                    RowBox[{"13871969261750226780160", " ", 
                    SuperscriptBox["#1", "34"]}], "-", 
                    RowBox[{"137584655427153428480", " ", 
                    SuperscriptBox["#1", "35"]}], "+", 
                    RowBox[{"3712678934157270712320", " ", 
                    SuperscriptBox["#1", "36"]}], "+", 
                    RowBox[{"228520481174711173120", " ", 
                    SuperscriptBox["#1", "37"]}], "-", 
                    RowBox[{"663760396375262494720", " ", 
                    SuperscriptBox["#1", "38"]}], "-", 
                    RowBox[{"33991580643334553600", " ", 
                    SuperscriptBox["#1", "39"]}], "+", 
                    RowBox[{"100752093246253957120", " ", 
                    SuperscriptBox["#1", "40"]}], "+", 
                    RowBox[{"11396042197712240640", " ", 
                    SuperscriptBox["#1", "41"]}], "-", 
                    RowBox[{"7082284247993548800", " ", 
                    SuperscriptBox["#1", "42"]}], "+", 
                    RowBox[{"961852771978444800", " ", 
                    SuperscriptBox["#1", "44"]}], "+", 
                    RowBox[{"213745060439654400", " ", 
                    SuperscriptBox["#1", "45"]}]}], "&"}], ",", 
                    RowBox[{
                    RowBox[{"\[LeftSkeleton]", "1", "\[RightSkeleton]"}], 
                    "&"}], ",", 
                    RowBox[{
                    RowBox[{"\[LeftSkeleton]", "1", "\[RightSkeleton]"}], 
                    "&"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"45", ",", "8", ",", "1"}], "}"}]}], "]"}], 
                    Short[#, 7]& ],
                    Complex[-1.7584488161354914`, -0.8614117528656067]},
                    "NumericalApproximation"],
                    
                    Root[{141915005595265 + 1602744041000690 # - 
                    21026479615718096 #^2 - 206422740927658864 #^3 + 
                    952385487618214736 #^4 + 9898731005129035360 #^5 - 
                    27585326483089797952 #^6 - 183912745343814561280 #^7 + 
                    344427706022721012736 #^8 + 1846052005691964998144 #^9 - 
                    2071683635294751441920 #^10 - 
                    11047772372340226863104 #^11 + 
                    6111411510209350320128 #^12 + 
                    40366740567129769017344 #^13 - 
                    7706811978227604193280 #^14 - 
                    90258488949202493865984 #^15 + 
                    3541711963082557030400 #^16 + 
                    121249408787372767182848 #^17 - 
                    22447678429289496444928 #^18 - 
                    89887854953335201202176 #^19 + 
                    106373365068931581083648 #^20 + 
                    20017867823268914790400 #^21 - 
                    226697165026946495545344 #^22 + 
                    26573915504613290672128 #^23 + 
                    293263535388582809174016 #^24 - 
                    30612114151474466914304 #^25 - 
                    262981868523421171712000 #^26 + 
                    16807982012665193037824 #^27 + 
                    175742299888371319701504 #^28 - 
                    7349864712868343054336 #^29 - 
                    92607953963663715467264 #^30 + 
                    3270651140485492506624 #^31 + 
                    39892244130355612745728 #^32 - 869516270534242861056 #^33 - 
                    13871969261750226780160 #^34 - 137584655427153428480 #^35 + 
                    3712678934157270712320 #^36 + 228520481174711173120 #^37 - 
                    663760396375262494720 #^38 - 33991580643334553600 #^39 + 
                    100752093246253957120 #^40 + 11396042197712240640 #^41 - 
                    7082284247993548800 #^42 + 961852771978444800 #^44 + 
                    213745060439654400 #^45& , \
-70200316271507168397912526370140457916036103806045166974767911468991623992259\
303317425914536086227228818264393292358730270199995473975184965846679256103733\
574485402032360453961494198824241067649963501192172182571377104102659710931477\
581840743413949560249094047960678660134816055939745822577947736867189402551129\
308415502483229366695545754973296837234394091272033109242928320708274729957495\
4746812331186830777661766505 - 
                    1107494235866334714617362865936722194223786092156026154859\
040187453768861818871579481706065771883354740184027162799515762612691597958748\
717568435588330022963449939744604705558287926994636861354538174648657685319799\
318354828829089452100720910187586410672751175449763559948764818714214554901635\
536182776147075091170082523925126383608323439946664132850529136070437415206724\
4473178013912957254025784180168914580147488146050 # + 
                    8161892701345983118896913182906365640877423994940570024668\
202933711983610844806294451471059349656351171753051198615057782997785846985067\
650765770137889498053099663796178101938684196248100771750834546768313373572664\
271604122103366763262734294507072035860248576650294358190570143793042577378276\
660008431459707332230823677263608434405005926336429838085721911290173423871484\
4566845559094093798126064292142416027089092229548 #^2 + 
                    1637613586138376157408239098939167209144404235110057115814\
496186881370388139721017302674413823947150489894457553796529884563485003013067\
045554271483811847260710591266953965597688968693973658986935599152734690403579\
754565471042736498582411402161631142733961026288763614162550563591541182303279\
410713137402262445773689972572018578397178782121046763420107264147101546290760\
167707633640074640737156322158644705274662372707928 #^3 - 
                    2078835843287125803800280293860407523924968258687456724717\
859194122272133029822634112862494096703735202813945811068715178870311057666143\
412969119041976482932077249487077165397174718296059691011665290127986313506591\
563305067436699077066600968325333446697539559388900045428015586502241991444005\
095758052587544644490519882931022329665485544563309261305638272166807976161466\
000301289173685460142464077209321633986061102358304 #^4 - 
                    8967977845793281319981690689126192404765175188323484857153\
871849719964285185181505366126023602669306496921379052629447013986690511884541\
217777879709272272684786999855466443341039100929708099015160633799631978543743\
088373621920901068679284718526744534258494063934757739841965623074409731504829\
035309871485463827003465290201247366304933708011319622980776800372327665618199\
9673895370967396746818344515812052711126173991977472 #^5 + 
                    5016990045060500293416800056629012344843845336721694240980\
844687257921550072504111010808341382813030463572644796482661359077896191929064\
643676229509963673055369108196658165192539606411486640778634150032987904058571\
282638594173241748979728533575468559226426560551691685488154197330675442376746\
155320893144732042085981592496704624909392364922520681869315352775334238381654\
100921993803547444711741733726888322757828170026304 #^6 + 
                    2476544937975174960510621182113291780707132885913092173851\
306281219809237300116283469307272246192040665896674398522432529281143675899836\
181871640661827032735837733785951173494977514665604411731342287902569926334946\
429892431154242401281058734575862712886410371378577881249053627684755146193220\
747998729257311925460811655268169878106359962217064827728045954529191635591248\
878990360028979667260028394918187478456183817383683584 #^7 - 
                    1584188293222855423736970894284398411633827029539431791982\
109942610329611792351062284505163780485609869104539996933537261323153782552391\
508355959857909589891707977277284367355231497773326219493697273780894499617146\
980305207875878821621313275246695865510032424934767697834366801103410738962887\
100096075184008162247136979742261631392020842787072387466521598493172271322792\
46375671725450028608610150471239215995052899772563200 #^8 - 
                    3535077510540415798394816608780792439039270524552470978966\
644757531227177099752672606866762983952327054627311329190814747481744544223651\
733215726440421015856453176406638040953926937752060594722534470583637173198157\
172181079622299395116073618144791998546425387286343152260886830415218546195876\
355855290922849700505636945878510391472204854651713596110798022616565888323683\
7325572364296143119030433349936901709269907363124397568 #^9 + 
                    1821032414045522701476339308297829044674195545243502152151\
079117651374875517817395678471236750277938348617409242377531898725757560834474\
570967020311382218532543018383689839411737188409039237842935882213160117015106\
020144489247102025537181958909870746285537029644925827829199758350240730636763\
959212613224966010592888027729273981498478900053488347610207693814078456374344\
541619131324511436650214153226238769820445892490437632 #^10 + 
                    2971867654883783184470410626226100980076786194360105557444\
990218765225815127077938647300246222732441600935844804645352084145769279810364\
608025850067439827137748370437794401745558939450846624900083194573887542471598\
295821871151756311024183222213532039629524401811931092760754407401389295146755\
192912322123207703692849804814898277910535400083371877176035535904975375440495\
85107134633114837177473850864754823022508298681124714496 #^11 + 
                    1047261287785172827807703452991682472244987892037459105655\
450918580965125908815220254720230143674827243940305591435218603330148844568974\
838308043271116666797057778477224816498882688816502296339151297077831200629653\
967229494447429595530054993665520182741437203191853673688566994429998369492772\
308639453839220807317456049472007951937645941986091332423765792778329243924660\
1983171579877152711451739621298722842865144316149698560 #^12 - 
                    1590095238072539654957835940334890132141787529639135618217\
581287285938909541278229487743921276673269821411267486740658546746490387266323\
665696907603729850512584680872909877872479278630592916136220302498454309194220\
683779431384630067644396310918718248104354911610460170954590232815950340673142\
900237161598610378128540845591176183073190139781381924483701874890335399314277\
595720323803247702880508954265221117232589575242922590208 #^13 - 
                    2213345344968006177062625142375223653836824098256286734325\
504417848041373265288773277779089819491402940517322723512976835846775312323644\
674685353227867758259697670594925798204164395179288088351440278430712129508939\
674551311198174740306323818617159102569618273206022682288269281047021748076864\
662029304164579215213525963130049514190591424772759878213708083100521611753615\
52668405001145322152869465432871942258261609129960570880 #^14 + 
                    5628125612294033455599282202855532954816410661553050145521\
503722195631810248609832138388645890975832494556994181389212361645552925259314\
748768756041820513932789243168500210872166594448896085305695675343235362296509\
256415575141841083931143377223305147116491484776361127109430784476936514994627\
170963429467334344100442404003207600893329068550100751717552933330584477402977\
540372522906534124994112429316828891791537659016313962496 #^15 + 
                    1183251538935159554675501642705781919520899625973902702412\
817317611484016194562311432678236166395352019103551806735187872815262670545929\
829993668741188486343316461468087045837378272537644547954952916241184340597945\
118537201416193428797255399650708006725035404296422317875839806601227199163055\
764835724767864238414563434063926920548233650291831497338186357463552396225165\
168621558737812036623363750227065252162359308179363397632 #^16 - 
                    1341371074051876113047390259953684641741343963582367804931\
383742586734682794504410592808076420761807423526778577291253078440668405331925\
837152569911005538733682881971713193148472524848724799127736085239846425597158\
776640760631884200393743959291930397927704054170006176214281711807719319286791\
647161124278289679462409984228728566399957478585850371834171964366257608641210\
2288748312865574074468757080017947623593444662367539429376 #^17 - 
                    2688811270587464635319704845046921813481312497850911005163\
327985130908547280978320838572484418785824617432425550693711283757010467675214\
145549709353009937396041930714824646812252007614908968608716092861537180456093\
490000395763963800120309280607197633380743187092192928356555759021320361231441\
296772688933960126591132995820695003779667878099784516903375708021358986913597\
810855340278816139103667173981136444244124274035664093184 #^18 + 
                    2165829639575826398723920772972159713600128350544190422139\
365105782207260701532704998187051129266716312198718285829064886212407951955310\
894956407506216025813293760644090692403296929977395766489904290271433788190951\
971344120263481325295552938546639664112159790666759809640900637865643098794520\
243063787928056876817282536531483322616472811749099137359863761596725590511163\
7481400945401605946855728229435309909295396297307479605248 #^19 + 
                    6616378821629947816034435013820960721012763830050706206221\
259745883319997078621280771113431216929405302322621393652650649461902496925788\
603349951815686770828731658147389412492246968191616360745419132324195447780266\
592174044809949946937313041505231429803691640300162248397211416274553467953629\
558004564708589023409741329462861503851340278496870055230528103955227534564210\
33655795559296489786567376256207752305722800062653792256 #^20 - 
                    2366113865247323567098306028956019413100021118053666005016\
019964521058414736033392392792941848328647496959919627920499287641194269196334\
760464351925209595509805383497354427560561730541896936910271466449734279321498\
294927268966197555708869646534109370845192354137375381055605393357620510684686\
225564681212380677963129914217070694973687520718842654937185394723621588315681\
5542974867680826655934097021289653183428001679971373285376 #^21 + 
                    1173279185674675498033835347941584629275390496032317100104\
485181891439812988377660454932629257238605789262702377097504622203792217145895\
292651787201947757382278381540568456556957272159419721771616701094932292341881\
101395097349404930118572312376207672027333586678900138667882228912411533006591\
711094975377300224062238565828542364679921030850350175006214741490496500364971\
9894782228474823521561804108032987206777128030659867049984 #^22 + 
                    1745547619311404141788686767894543489115132508276059780544\
835160038520771662987179749014472735211094459297361102553752484407384703410896\
988420401257537131648246330268207250928529253302519943115691592587169588323481\
531870259952256671679832999372590761972910010037160121591953896607048081182991\
697449736220747340494838937042470230571982573460973978643237584451289247259020\
8707982405650327416051199093376120516564525812484224843776 #^23 - 
                    3397924297846484791782347797191505650622843294074868124507\
541302449164343389715295544996048108738713269346383794829225086633634203447060\
329837186527535297962299336108364329590874408410083507130518206686286687559439\
740873973413781218762610301555403541464807375077897190351926547503088055208513\
151068319578242080958330193314023713370071002079220985611695454231454952874904\
1149331265325106979484325466870805194700509864264653078528 #^24 - 
                    9015208851415440182301923761031655951003046824323274369483\
858159867791481688094599888199997143229083911132564120442351555451578469260840\
110677890340124944729658281419001497031908999820068822415998248177168980591808\
871629826637286740821002996457131597401507429862600972845209915784594755938256\
278417316982603429708932484677639133378210916768748016740198792479748855781021\
116452514089154498031005142165255729119902977862358007808 #^25 + 
                    5317764005447858637183508544068833579221250330475455480562\
509866502922668039490724815127487738411908027328818879686620126519832045784162\
484393133939219320392158993337157323657028361377543816169946561668803086905795\
609147123003663601416510051211948543845440246558480587509089066344962607290840\
767635414733717460076750085934416967414349445167358136597968539674620887024076\
1302204278738247278212609210859408260951090861173343518720 #^26 + 
                    4178891894976772134117927825611216570582791015233972673260\
527090548622200450526620886659713839805270505949201965206853042654417221728984\
012872066360183289233070305997490076033139175395901416155514365240972752367650\
873316841374192489226166188934401551620144830267296640911621418670392930189040\
928593569763663304184704236853262669336791500159105273194101103483943216435561\
311323892238453626156991605242583117451924231570682019840 #^27 - 
                    5649353696032195878158380391472851541337751424849555439354\
617538620162246583073076488629433095539252283093668001577324710378691028802259\
450840459560690174943158922430396906154876185741263523381036484350158656404208\
024637052270196358200420407902427080272458249725190928783121133080340241075551\
274166784015947780273286126970055905897139302491311426747744590033478068503971\
8801613692509130345358901510558831478530278711113803628544 #^28 - 
                    2770606585559965532778752510613217099909608235550679642254\
018997656388742499746199303010690945295422228639472343139739096919659831692844\
489917535413862826423576049717469626915174706243213831990525004681973137836995\
869282624105794531290026566180781551624954601595251885314141245096816744325674\
490007647547747152957286806763173863640393258625296993079222171100229739612705\
804195566285349578456460257550358938728660910889005744128 #^29 + 
                    4437862404204595673978865244941183201753662916389709481153\
833778821271210142318403767715089533134322476577509343696589660430580710408695\
153757018251254664162482864712507571734477753403561903714553975792092647100870\
253912484119870508899872722253421449345228800111028711535724077769533798399778\
633998393732998283708547468078502530045837220823336942104731869970422057057345\
0781448890085121319532041366013304671430203348107892097024 #^30 + 
                    2055954784080231161439957623963255327340839466745432648700\
803781733617168057644708679546937555838385841425866631784434188174358813416077\
739982191169225018759728317486336318240120174937431741079054716106225213228992\
811526424455422131261025225166388121402671620306847867260811856404109794807187\
445707439050665772585109934249210470647206495587827059447174234271305663589317\
812589877746541787005963671865691876737913451823759360000 #^31 - 
                    2712621828450100516477539737741208427456314681757885697176\
246095842067749927400710228937227200127097712315822466640238412777609145414541\
864501067216127859677831948484864755249960635594257158974485199057020248569406\
401853890148708324628677924460932598609631343211303448334016407686247804348484\
458024953166671459660029206182971508524357786936009945181605215308634341472631\
7248914906919514634493528522667575100899853660551288717312 #^32 - 
                    1104714444942948966127406337578189491979760015087506356430\
825520323145955113540445908470376554402549070759770720977201253802469923643794\
149135868912172401586843216520079559646307458246467119739755178287536173667280\
560993017951246122043802264920539518659303481856285168434630446281615781335962\
112807535271185762382222478803346800027338573855030900389487139072361889109523\
395552537195804713920049133006810185214224471964981919744 #^33 + 
                    1339569615525870320392488433437487229358082728473491333767\
773353309395763913004162610869101791379353036018834483885771100883298570456066\
815241529381614374115112153183055089772177820861649346069180646791899466785585\
483074219161232318294796012951256075548865816493155623204714396582063407428138\
578044156736571030054817934621703174998423076585399362423560753538049906115651\
7309681078701149139538498681457552262588751387177280077824 #^34 + 
                    4461081377037414715980066263784861049741843237959561538195\
696881077389377514453085407751083687354953525411349865458985555485035664831985\
257443272728105086109102508048938766304765224419184271020509410409829103567252\
444753520674815784654199853808314338805495582733655100976401577187438489932920\
001388016745372602883471879856031577094986837841269438352092602269859474316451\
41795962675266912011017256580629649245498928394401742848 #^35 - 
                    5429684566339924334660549129047593643503141136829472761742\
051792613959332947854731649346206018570195999463495028825186313944194664172394\
250095185814009302595663832747432160486460556905609669364810397024702257187889\
491765026681185587671292932926457408747007439996141652641036884824469351591712\
558125211185526740447122313097355176071044769327751943826502492384011899306890\
731645423369817103236844074926405552208772132944977330176 #^36 - 
                    2006413844944542675199993588316022965992007154543238272905\
587135606299180351017568931231714094651998766810869800112491982938416202252113\
820260189459888851634114639083270657396287802863299971001239369560489709797082\
444457603293509095676493508998987402639529368672712006246551942339770117868154\
772154155000081627394573696944589716359290478971435738801569908110705164616511\
37852175932846605951788037252938803415003504155553693696 #^37 + 
                    1770669581197360356719689136882185934575026512886425272241\
080419400867438504776655500228527286331897940223437710482953411829057420616845\
411222902732807560730162700436292776915422021608131535745830813393634469695232\
999686277314452789738825490368772286373011164742138963500597503994821284104812\
690025465737551940140618429711886851170887044213593532525844326048084008652234\
838400592574409576982578490990137962966432820557250560000 #^38 + 
                    1024384195841560786203803990261659864941415168828353963865\
514889429083788470409987439754590265618961816302022164464479931412307178243328\
940535200835545019885068896236440098283715281294336198006517282389405216538181\
057852552998133215228559571594024966998226660585642018033386696838705051060739\
400771644697766642486887646318531960901837703138849628511495283206470885727693\
89486428677379752559678729905125262333886212940706611200 #^39 - 
                    4404903188819469762250126285927225455462656966341232172185\
054947307913689096385995110810482590602971793490232236915320465893059674569599\
690156297998655932272241814936015983195747871277485677230191263453241159058478\
335119906579096367551385973276858920532903872985067196552640080965268215346678\
869087133583327933077986244602027661458014868411019054535425228969278238834353\
95874208305015827959466442644322238838780872893703127040 #^40 - 
                    3827987770860919491233684840407289481741771535732531474965\
750463930603038239510027829371105769635461764402277898787160901926580927888897\
574350818492212960002037391048238182286099024785420704529537214387961257277563\
837094194602572561628536141756449403788212894934490365843229239370973613467170\
498521853912020284220969998561645201242753388609912554504523815593683477740744\
0839048501956946811462225367017616433006800804323000320 #^41 + 
                    7699915284162094579185611026585840631037843178805113294306\
205566927573946273628740978477009206308570863015020777641689524265821485789684\
487671786906160745633768926817014196544455181908086706622716282432451619372261\
617465860117148432669545752506667592432871773112494459033677808208034415802365\
843519554636517457156189723584860323006997919736895264265889840824246106250719\
6169620637094918813896695436116768973706857767942225920 #^42 + 
                    6136512664922345768573038016807349795804300759444703208305\
755695353037731250689799425612980184299100771859553223985356798248232756751885\
217516937449568651333045922939998620576367629644077040950012108629408507240653\
630825722294319581797227755112271453240728244574119367953883868041086929695317\
029687963002420241785421255056506685304833840406273915326724502171608496733077\
172830844968881190438346800370011711777556667354316800 #^43 - 
                    1086771210996007289420930388171010450514240601052792407820\
278138212935550469792720145053498236330762274623168545846732562188045786387457\
393524601518515691316261171674447575598089147440003951748666421000629000572075\
427131692536218867882782780750659052549028008235266699307039955278544979144470\
489101077058527378506476176589328476674265936215725876287567624621537182513113\
7178287978349020655210256884784420835935861354707025920 #^44 - 
                    1293662224449047757694709741532758028316076909416427479387\
578201575024109654051165756001463578955702650947413401324034490835473226143326\
295781661787429409015925921658008300606543694839321850507472387802071639127113\
064362721030591918588413450219142555128854687668505883158834167608011941972400\
987486464907600538253076031880675185862589235650044752045926678645715052695733\
975477967577166092013082885619076546823437083119452160 #^45 + 
                    8137118353676547864478219449655128570966401590191503181465\
461878453283229499004394503065250161415568200897382692966184371683716788928348\
688097692499323315547678506533514266331714138566217834905184232299648442851758\
830803229467242829662428939813001376997516514885753932622990847742033492125794\
740639259598780662643172383896789375537032722875584368986292952340951860314301\
67767306706812804784750013655567795696967883318886400 #^46 + 
                    3357801967207691926498313831191559413490860278111372617051\
700331929265170978057732259769304803461334217739206961970794790100710733006319\
638412117027030221521027654381203670096016009184750357084927288124352252428242\
067192193802906990454467381400674479511761732627155698293129844483773010945952\
351835761325843581676255960364506094797500653827830034991584845157069690013010\
0717955563337615190391241908915168475182048634470400 #^47 - 
                    9589302765777780981376455521392141604228629829534006604680\
817940198881717272255841556102401023206209978722206382917915105732642255292269\
959490917940818086249389229009699113680555480767060039776418407495995573573502\
514928406937505439198966584241787686779310739514732473924180252054272484971875\
127949873727927354512357405401609255358835826462254552304925950310083199562544\
4961528659739798528319737879177967436065668700569600 #^48 - 
                    2197974725743681967691251586436657632256566199106247335157\
067692619697547241193057028298544704304903693842939851218599458399293457365615\
245849456617105394577805792051598092965920050216457081446147607679354471423388\
346542588792633062099481543762299084839291500859013112712556145010998348493429\
120886341351078307654648780710736768486515638331766901594773023597082023750820\
1648891055799080230134794862584840887336642910617600 #^49 + 
                    5697718805878897726797326176342762806598302479385350886647\
346910123828440711163908076595908107290386822794753190872515088382641569787951\
586230909478097003352416374695219623979806167568056733349653367241209219665524\
019614954693475116347361123192849636729378825752029780969325757007361737403889\
504588162143224917139800832929463666594772962537777206088721379176774973716748\
71503163437776854875444240098451489416455629800 #2^2 + 
                    8961434820162424750138759862041841932021766263453929715221\
735649214472565735101401316197755977772565075132662184229766075856305578654683\
406203055691940043821776550435584309336953933434349437688448709950341797035748\
914391031218868847212259079913638092622790921248481743837421167991567585662579\
376344044890757260229675429209427517802006669475484461851169182176985736061308\
504980399069464955988541360189141236980441004280 # #2^2 - 
                    6645963225750524318019125682358128463958779774708385435541\
842165853598500755155417968756945512385300665557193126973715597604478774260789\
091046831747156628836860781897977651029202558180002429058763191202709311378319\
520139174136885189854191498891532647934052196443232870539812359277610502461342\
038069279413091847706412731896354146991147118038104473846882815247363457796038\
9644651250507240527492968742868191521514818476800 #^2 #2^2 - 
                    1321115335501725338329552859441545484162707764130161160624\
403499576817837062388118476056590362100107995890344582951756508285493858442110\
862312248116382123890606139350715013316438838789173706197837969227495827087839\
410006144262005250255337527907707030339901484566018650500523966316143963268342\
900158926571714619771088335910163668261533276284807225294665721869823636321404\
288631932087216178688704954435888062960000072057120 #^3 #2^2 + 
                    1729109002701079538491896492831224099019779257788937882649\
232943974681025975369744748328239215223113972831021070074152664524558319843473\
573264792472776234453106692842692293668666336633870722484692001929728874852927\
471729632080823533244441312403879131377079977441193730798256134403249925340950\
058044240241561321497140270568935406113974246667970231817620439749841488683098\
682703889237665637490088020530825822395351293539520 #^4 #2^2 + 
                    7207826976816184881891602881620546223047176133112084683838\
251942038189678131999287970399545655785316630821107508544528957639614022211391\
140818257779483402625228439727783466212179574978491825107876349807205409163448\
049506155562616883535520635628464491932729116027932797491719195158793943998856\
950232133356216044411558466255932979652517544246807573789677987856986250883406\
9398882789278330416399603860019443612969037425020160 #^5 #2^2 - 
                    7568861429057063648611554584131921357045282573392180313003\
231283246050731495558656921310384521226355970795066859108610793372276159919318\
568508876053372585311533377401391439543105707240767593846122066594238248914095\
681569532581269059322106531530677253026254607260618937510509840232358002254511\
465939571661631972609489166053371195939322236900834621225500090778695973537298\
151766575996647891527543794397925406614807746643200 #^6 #2^2 - 
                    1981369543524059945205835368449796103224323061250411240407\
036343204948731219100486391379455919463644597374497541662936335826374424603691\
327398049794513272001205946176474252034528521676195619277720205888564665214601\
763733720259564223482666542723676833595079185928256530265942019586928367729363\
297823683464649954629112847016460589159139528231042952368288024490780458656391\
851815164921216027606370310577393095166184017474045440 #^7 #2^2 + 
                    2418463508743495657920126081826715273626903502241124992485\
748491812150904697411145041657176156399544533576505867620902687413834450295516\
632883387732038606331275182535794057001519602045811930202119733991343432184349\
229977951831710961953587037919718071225968611617253308760690730350646826098281\
423610179481512480527905018557487793498565819732143834752732116949418738749464\
61767545627110789721135153835914088230752188866872320 #^8 #2^2 + 
                    2803237840510556782153012672706099828756873748300407108324\
900515826931133143533849495339681214271736452061661688969601641005287230753668\
769998297187625412000146005729590978961175328929493488760880730954489135058384\
066947043560206742454233129905689714882714319152913476049303058323888481958996\
496284130189229316591407698301086708876631384811365098111194292949607259562700\
1803637620234750492318461770035177601046486304912281600 #^9 #2^2 - 
                    2925158489762943108614801470883924456779858312226457239113\
014013451006121003475728783045443142745816095131960948599582375035987827526868\
066701941544574488715294485948349023865452106143090653049564220122855619649539\
680147405457828140098916531891180391533271802449806618906702982734981722384992\
389960590609342306290796302712762762035793784708020291234457573208704533278130\
538799350229523348088611350750344605738251007162716160 #^10 #2^2 - 
                    2336802799093628300459383207001730294197372087226084721956\
388098002586376436483295711511848318032847825085918416027657037650187053907672\
389519585437268182133113324400868134573289522731185872993472463858103821163361\
734431534678236137785672624591760097116675228375603468537707576877389642423890\
086817174997020847367791448564344549054204738832789520450057716816273049459070\
94015026949218363640081109625883341175435587621988392960 #^11 #2^2 + 
                    2181201629248788104584281467043703242290658877441798147150\
358065392940177612446202697157657990438479390334243912330169751772309714532318\
775762840018907230594956386145231096982018786605414817592064764110052333274538\
347202991572951132448125083418855067294276787724213531916345444184315358061617\
362299677378771600129584200944705521280908253173190545994126734373718867424306\
448518128192035440192151374755159844635686065100472320 #^12 #2^2 + 
                    1241487918296131974257149344815961347759764420706868507646\
831115105038662217576942666619090692823516073844066947555769575981510729290693\
962726109841684648780778498799101026365453534632364222725695362874620836268046\
305548511238789186174126770628948638449308581939507349441193638868061055102371\
783889165472578685768555986499593385788027358415215164643130812817065518650330\
119931360824108650616945653002314084139562703343649095680 #^13 #2^2 + 
                    1271935841766502496077101405394079695348565415498913640158\
135202660254157227935631824547200673757308213384241977409058333623119562203724\
307672589582927881639064071535130762305485372121711013132953645395767722732131\
063376564683536002694727651286648661457916796264883575470653879745754227137428\
830211079772184404570047439901015864260811817661956551994267047590178058266021\
08495386686433474028581648173256236577990698259697500160 #^14 #2^2 - 
                    4367874224041846582231288029371001485038333659506732777485\
858378192811773638067952662773652893286752258161845909079688413848733697249410\
551250453817792589169861634359856088891365901174371544359331562071520499986645\
238074132229090196807697538233564672810310822247319276890367329977791346217788\
404576425952986354384623977349746972787080711369596673186600397456149616008341\
454057809564860985275144921812177310513859383983101706240 #^15 #2^2 - 
                    7858241018115764667283342324125189646494265001352530197000\
108881763528027410824243710386476559428890946720292558944307220600701722992260\
260216284406211690159942922144753042976170139269084739989979821826143994778375\
639902059195666584192898129552446963011039514611633392387772898091939547345085\
172066622497251203436396686118102914135797421709588672201869051800549061886324\
67541847252539302988016695288797921605880945490459361280 #^16 #2^2 + 
                    1035125950164194640304228130468344919098803516577199191588\
757955242184402949856098215825537481834016243038926235988133455745250373349011\
527412733000465883938383762124139146427676137468729899479842379677403304284354\
077274314757746100921169760618951627612385907892350370503422098020940905575244\
354311218246714598383686398498587673523865430736318924452684325379121158887118\
7876317238796997896093120479087879390064363593132010373120 #^17 #2^2 + 
                    1812579835841173868369732383854182383005546414949022350918\
407737236678296503725553356024390373383701904916953059262927212960924109900276\
699056593926885228834360769821282290619263934745349949424734085179082435062540\
671048290270402325127234266857759621761963389414096170796513341289932223925994\
438919844228089949532358189229044525867827968924087977015600799477365184084110\
920025289800341069735346024608605077362967570293241937920 #^18 #2^2 - 
                    1660260361698495149783790370277318177419548817107909776797\
610867472435886345697670959744481995206415550565613404477110820130686481688724\
869323182366182299452632811070167329483116885062076776203862509064590359225882\
363636042680612896790058065126891349825064712950780500496990300065835646976495\
745891275759685613650259728286097616632056290065167184332549541467259053570124\
9665669020470415474906858819084582733698764333354812702720 #^19 #2^2 - 
                    1409917596038888925857750478439334232311936139597103064357\
657038782750733506828610803004952932505476832480645456137145877451548543995626\
250093286797995490131171996920135824167563248012053829320633182759382937721188\
668828625781248328173043729710770202280242865615924334621611665532520575072217\
927304697923212853076405187705532123409698975436899398238353547812004601397887\
56496447951014185083134637245394200034889901009188945920 #^20 #2^2 + 
                    1794201847821415906561895010756170727850292987803665465830\
889981960867492731876167289936033704968934491177003183023140320133989138893072\
603333322842295679785440637425806375267318401011184320418064485505139985099478\
788141248499002446273136495358033332778903884225290913180096891128786970652835\
969108635491335298701080959698554127962301404921371334006964655820245099567580\
9367148841268975146505991333650308739939043989028811571200 #^21 #2^2 - 
                    9360282021988057124442074917718238787612035452381129003260\
833398845444712731330483003252304437982681964688507563960998869048467590760151\
903202872935785187274247238299677170386606353750514882443519282987392478677958\
434400146813692759334461290912238848421532838473008874432522160712504785379629\
225988038403106800192124203758047725640277125264686857960840462126974129071978\
426247856216218950820409000266884029243603842439084769280 #^22 #2^2 - 
                    1291798073967409796534666079865119749790740096368338495912\
786363671784362917822318695141573387461138367016017325675633308058565497630471\
314021810608286226514921719098629609993147022549281193910401651946152143665828\
272077257195851566758800750911058638533317857781977346290515940057841110820810\
761750700225287962127729433047723238413848089977382217964685542008033367967535\
2398089151246101542961675801235470083432142818292625571840 #^23 #2^2 + 
                    2624606109406444992529348923107802382935213933017294006027\
799206452317780703388698144020018556266732113778600141262953028297867299816505\
602732979799618825008968479880602320678192858108015295878407518675988639839070\
965639503565487477714756047696255243120230537808897792642046191846577550489699\
303165570264016590230996355388960180990454783026547055571612443305795105270252\
0992569272872101916801990028642182782421412071600029696000 #^24 #2^2 + 
                    6245929620209587436559110677818450322935094845497096188058\
208429331992029216801542893926298601653071968569574218412417150240007457155338\
765502286027181600829993862682414694385550378583665460789937144830236785360275\
645106553874847980667679056881721678783948076307581006728000031111419156529805\
042942355452411342183951188821678058669083660448011360493439579672880281224176\
091390175004012351234790188699954043163021001444588257280 #^25 #2^2 - 
                    4071990726193482896861770591944552149075985378300709364322\
928002906462546164224289481476422586417413787595761382326809288264639443993038\
248419308807783458492638280101104617270059933936365314115978891938590789865105\
130329156795494754583471218778963762699302477477790407517814364325968641078959\
703744717353543733357822862029017055962602851514993537902681571414079107395029\
7497285926884290322867135084521324377274801997575146700800 #^26 #2^2 - 
                    2508712670871471129888473271323796915632091319885110499353\
277514146755314784772795180347263874991274680549789146363324276836788563070941\
722321059708189314974363820827068886452194832371053183775748091341783790046839\
929603757629238871689853653332815007424185299400923591008583744228214998855374\
669030547003625279102435626458931014996423174498199822764946138666769487157463\
524173728596797081993059187426321564670219057481845309440 #^27 #2^2 + 
                    4309399084546788061526525427531360973133786651397221624535\
945682633658785417878323727585748351694025600641546954050620674426347964623605\
929695913939097298119569232448414414899836071495183826960959056742739516428447\
498341959091331883638648639479623449753181554814754860039340240876570217986592\
617881707728442915068059380695122521413693589816525579819660386975339552015117\
8817662435282132128612257399009307053232202898350234664960 #^28 #2^2 + 
                    1564276898777823507007180870708461658728475433648121078939\
851883960231981873673845979961457840360323355944292867075415324290713401175641\
420900906691103171006489687510403024871148513938523480288959174651029034177862\
090805358386484823943131146406634656378314853289117684644314719355962930207722\
303543328948800030913358386297148629524581747989009475058568733575745367969858\
484772220447809564352389360982903896188374529029670174720 #^29 #2^2 - 
                    3377685121327134312476548990341421286227773449916702345661\
978147904020546422404978930119225807020159853341927811223666822564152102674854\
205559352246573645632550952662274653583233590997895036040227208170769881376321\
967220360654745020440227022923430955887820382076320659498153307645589765497387\
275660048097617208106223783094147721879666185703251327041282276985901514723323\
7505378991912793228303530779436699079885895893920451133440 #^30 #2^2 - 
                    1219561642596567079313966787823742353246982813449577013707\
054277726347503571385110233862197728862176029733353480361577652937173005405078\
711816480551641377076088576215932093416213919720411724609941147562638372964666\
964781378753388789378671391202312791886835105715241393300934163121464182167566\
055797965054990102324855427572792057497083917419108654136339413278779226382369\
079668084062559609627845179769734820682325236053568389120 #^31 #2^2 + 
                    2061229972884006501667146263817344899450191544757523663946\
463286636945143400212692784473970888066511251459141010263588867755453831494522\
996006715141384691385222121437684147864582433173365333999412885152664205249198\
281210039234523919696796143081458637953462973333308622539985691341533980885493\
946133953753830494546648552558496499179023930096028160403352296560038320184495\
3005827162563454888345797532733233099985402977286650593280 #^32 #2^2 + 
                    6652606353521246667552720622733658870541218848710286816248\
392537838087508310950418834681550072691356481627357629325619111614432107454385\
207847518750383085446696198330875774764727113654102577052373368462531219870119\
270043030220323971852137035636389706861280584681402786342216086432540485667190\
709893074166916901035952902062438761878671958440059258575068173205420232896763\
60797420860679366492084772482285815217664356284398305280 #^33 #2^2 - 
                    1016537283496134741076845984276620532014859197226928726580\
916371269170186899728511248411557463758748352671428305927619952087112484600021\
920034602367274472591322052159402867633429320570834852644409427711513389135360\
424530944062043509356256468272246402876207257265686014422208437035967623973976\
205483323247687411640005714465370572254162836207291993384309311711781204006695\
9139394434078938000865877226748340147467370844212124712960 #^34 #2^2 - 
                    2673739614136351779813493119146423760583163894971929113350\
010753356766378511322292588283616460584336550313918021278867507671212931351791\
353605294604843259185562798211234284729926950353367319558867823014941188818363\
011713976640966235553275638844833481538492350216844243101105053524983571043931\
077465867683151523801674593980076426109623924740866518456630842005990956152008\
97540861999204663667949051548813788078033469254443991040 #^35 #2^2 + 
                    4115988146300436802249731562084095509222463209055064420739\
304445601603745987691041666441522241363815454255220758916507258651415813126295\
710160356918618556194233624652598545723552303285321495781584723726988763288379\
964706112527671973631279268734959172453027873036125902188455772901103444275939\
383491731053984737159417679774287435628662501955412961684590903406335005913128\
959334551662250557084357321493205587636360150761917644800 #^36 #2^2 + 
                    1288168965762356762276590386262682226982799175582566548875\
449023200550962755335819784411440065085768456747452389273270115398928511921150\
507648026092520675782606453346181389368325137261885031869934292437117235833794\
059236730102384009422867693963315118521049169629533489092905400029768420916466\
970258825823314167585155061867733109316215455774488274200461569825788458187764\
99887149016773871516739215894133285932207026121694248960 #^37 #2^2 - 
                    1341260722848533990804332255868979067064434963486041378225\
610948485156258432711469040909289715126132033064806157131419888070643595548162\
924696996912598651922819531124053411718296553724948874105753855855557813381341\
044094645037986376454548199787463256728509150391236938701387051140251626108268\
555832082973240200618591138883687687380541574941709903578783334907163980513404\
737555793743219412250597616906777626992083477767127040000 #^38 #2^2 - 
                    7170810393432050748840914912347269905780325913213268245951\
791526314674871444335142227495846941276858753787093311452529183516913108199162\
128395884946550162812332439712414614644684977107228981001962189544140952702760\
690323994564370353582930735898741174020444099153789089893491941981656589516021\
930785686628051942347383486986485973289361897111446337845732023165263692733224\
4231203039398851883414449775324740035416583653713510400 #^39 #2^2 + 
                    3334782380528030238398330808602474541770391811653450648913\
325001576336932366355473535966611865969602386257118361693578407612263279869087\
812494807017184293595742644118453498157322058738932713273523372327544589326191\
583208360749428841768133316387846364677951436533163757233259933638420532329741\
691070057263309143462266676913006848355330707532581632485956702856558727472522\
33374141601273380461209062520983221948768456394617651200 #^40 #2^2 + 
                    2787698816408618786165024109142573580888470349244535147343\
782879234016149517010608670702919946992776660884581697963910491398148332673863\
154491690017143534454595476135059397720235109459810652215694073417059153858860\
728810559585331194155508492292134926674484301480260295087475131597348817752564\
249826381645603747243885240705769344302052854229936615387287397204939491202455\
6502988337680376597549503926919518155178654659143270400 #^41 #2^2 - 
                    5825566465843295750141286873416310682129376766325617405490\
851511350752468716976868555363512629751212390915718672105262571986084193930037\
138531523671754272249239216476454609880457485469811777795170511967579265442928\
778978342463506927236545151766913352571537645604148109176265078581173334614513\
040442018187911907259323166318069774511498589865955440010936457218333888864500\
1074311833586530452892569372293251615538399151338291200 #^42 #2^2 - 
                    4491060397302454265148416428337879073802487650052172833815\
656090478579567373098710555904190060924835021911765003495864078123281498771768\
327896690616720804086781535701314260799312015716076335460239290715828817724743\
507521105563525681406768104013769182792597460881308552427172824992492588709970\
573337133140103437888766999968580088935820526945692212865019764060706094458753\
175343379691545520327404576809279251270546683540275200 #^43 #2^2 + 
                    8219917043445185818792053132011594981442256334198491695692\
741274090417961722703361804080087522340540212773762554082129328477845334719288\
706024941576648628950340981174326885958329127132766423053979750693265206895614\
717462389338078505273278360172713012733412483460265923612747647643861186962030\
034950674943415239854578109018956510179116626542749073361449052640028546804738\
104258746561349177396812810166550517875119150963097600 #^44 #2^2 + 
                    9643562062770076012237409630957425251298387612802705796345\
347920859023770603203259614887993905179542188272945231648913343701802960013794\
976146929144581566234138423986503722882709119172796783581509543433616700621548\
099085277848069463500373434995568956021118870075302259545329954752648418298606\
121725322268340753407585183142791226417100277133320537032947116752191179826543\
51542916161881002125312694138434117177064507939225600 #^45 #2^2 - 
                    6149584901068987390671707347770923064147406315693754795111\
471051300655739717020833422766648394669339472724722334206943571395687734343093\
639325960199340817831477595066155829441696357155545274179068967081239704919909\
739693653357384050169556773973018899336026954560157368938177962897826898735435\
296490024527747062489369722823945929833142996445636940948515173764740986289449\
65434022949954245221637908729392541747113550151680000 #^46 #2^2 - 
                    2423183441795446911289185736208283777597973830260011448667\
599429020300808941978611045811028759333044192447252671324615065539511620816432\
498340386831832349013919171641539807040741649486824539230259967023834712594436\
645568881926667095838982629412331151068658031668434802732866110351718240853255\
509233167966167068856487801277558825151454936326584079944798669788818527351981\
8005311570333773911234257281000148030515451002880000 #^47 #2^2 + 
                    7259333607306256776796209789443942522918666878601577674610\
757389650294364961358969489415456125272784951069675205302402224437658270108457\
624417393479102496716649123211005140464553515208783414502296869361177046917438\
123560906731227182433480133328076606146876435982160010952374762280288014252006\
923970051613164401312550501551615623610923298532861800882827374873979181325616\
0170665300347764995746767594661339031739165573120000 #^48 #2^2 + 
                    1656827345437638621112955036177704208783644346843921999693\
051554767166090071647899498878688020347698454218993533223357708761025531930744\
827851260041597143721540948508607520771912213626955814561725612378589627339698\
928391263160548137483781284915841901792537176022837749156117512898978863523509\
142833577214005971909098840214003824689294406954190286866730907873931710407234\
3005632573698295174981361879700327199268642226176000 #^49 #2^2 - 
                    7450313049899177641782547075454736152108878258205360794322\
129221344306553050971676190004861869010187231022646715393209800866928820807479\
054854886380145176749641580363580947566710184538677794347686003255445320214575\
606603032759974537008932259180027955682103382135525597691908714863870073899578\
440818349597179333111877865515802993637014060141827443104185796844910388363362\
04091658890445912115129474069295459544313282400 #2^4 - 
                    1171864264225089062222921133417512770615364521833102208889\
320475811266394135475235978560147045576940811630959534211983788354491663803642\
015867474593574228251609183368613652570739459607836206736150455067990688973121\
257710758717552482403545407024001659602382676635910809966777027542509799497611\
516495681055153705521353383966427513890903591082711419015123746223060115095529\
8678711525854454377326637374497875542570324828480 # #2^4 + 
                    8800943020932889106978218883477502267181861213544314570898\
531792220078404020614006610030325353758957390085424716979298207333457145016660\
443663093677365535413093118056232615397467416289717084060151962168161179371889\
921634398464616361882116741835112511398638049261497071283957543640633678094213\
793327213323898116418939730321773741882566209438743808139689582141351768449383\
3984157302991706209785786459990910496156576058560 #^2 #2^4 + 
                    1734231411453011406270548110743743340124066359268697747014\
050424792314372573189582488508452164992115057611475536989613339813752307644209\
870004120495756513583649844596563955429742820875328916240121987903983509839995\
861641456569648429508328374485347993015287588881495716857718320330070707613186\
996051436012669259005931005576138388795823374355260262532181139428344827764785\
304097075139740365363685982745186822296091003002880 #^3 #2^4 - 
                    2362321944037610559197362160921106142040250763458647807743\
357967201317495877342904822239513957453134900271042114894332225605640329473182\
375970055566386009689426907702451677808199651942414219844877269841048240096252\
296601299256679737796057338176491675761325664687464759233634144614810534042744\
028064490364442839162995793086398661304116498917126884977045682019105237222882\
418285441720136578742283684298022250290473146707200 #^4 #2^4 - 
                    9511202197042378200080859395583969785990852948633048242766\
038039263409284440603827059821165554120953718577561084952115754513332338980668\
393559548584106221041213000581585340407523365286289207951827089365928751379596\
066406759244094658917147233884821084593031516895263471781212543311156109349199\
153467497120603359905385442049810943536469388092669677615490157306336046693950\
4154742617257428907803931742451516062488201427456000 #^5 #2^4 + 
                    1279494066002026330613546848923415477379434185442101637050\
060863385820226420733330097666227042980046803572699678311505214505809491426143\
878354288474236120695211818488118922561603780559534243678577111789881158254197\
135508829844065901157925979140384774564315871072614185866420657551934587425587\
818689975512673304727865650457724991864889012770926761994188173201300987814928\
4540698039513611177868086257605805831933206678906880 #^6 #2^4 + 
                    2624942543577359741020368390413763349635300245261163228600\
092378717990449266945862062585496539566526200764947171333748375250917330385475\
500567787742618628564239110973842435910452910008247255905687145982188128481113\
387393695495929915011022795199309829028970824842753674971930638240410713107426\
614627535221924003578576043931722637319470887014950727489912604106679504042674\
895126315639772035907398560209946761851824825671045120 #^7 #2^4 - 
                    3546573716592186429804019485966787359250713990724595057490\
500196096210314650852262100823768994069790029131103760610840755062971708033693\
764204062467352923785075421976386406412244663073116016638573371683108845745264\
112051809085777309290974376593474082568343506434327509308489040778056448532081\
106315382027223624919930884928402851025738071052762215158139732970466043164464\
67647354783410494472563094467634866679999698989342720 #^8 #2^4 - 
                    3727957879774611683334047619967079626946280327318534542746\
028978127215863774786586138476403587724746549698601205562160781518546515298321\
119097395435719593319777732926275433758837607670310436676928686243559213996284\
623313564635697192969595355620012430737904651527123141847211970462988350627167\
378680691342640611658465102194726542077714985321799838454385810292976770785857\
6326941292371150216828589319018154524393058228797276160 #^9 #2^4 + 
                    4096818306692283466564926788028732882441862639756283471767\
613621965809781618885994263029083849819432961666441285629679205002580099156588\
108171715915945119912427365614548586803989581538745649527303782148161603207302\
779674441514766593015886398613060137977219415612538045765854209462307085634993\
349878241115316213490863250306081852433134254506284020939472488697060206673454\
957819894863986351823852522712159984453724511729254400 #^10 #2^4 + 
                    3117706629669376311237194264595991115687540813304801992845\
786536022925362913421392027518549726273949100332403785881858444695729781551697\
995881463171207191885615820657587380244479709528652759242263507394600210316550\
916496972614979515488831399890021481933293522652333243860565206983322141580975\
060277042523072016201911712793271553744764680002140621539551111135359698707757\
85937202406629649089916650780717229518995925879151329280 #^11 #2^4 - 
                    3467664158671676162538756922396629711756497456023510721816\
201495750074007382332190737946775307901728231489037190937467130318885872085173\
970239503686553756263659256354423678470903204100652513609466534227789087661865\
447459040955710392717407599178245655460947785892973100976991065142344255695214\
079069080900525228930287324149066697040500041642555933954247588400649460832105\
229301372091244608135517127315666729501445121256325120 #^12 #2^4 - 
                    1660638388141242081260523208393338700333794213664372929909\
542798633328851217789029114116342414095924066420020801123850569264947390616680\
205358585456373687396181124055733740281305335406281599312627470745451093955188\
739690328879693774411107861148873864894362597311472607842835458777532652864625\
117832802885022903195525618018176835324713578279729487945815010301833000153791\
598676814208422288991297017689431515484441115246398013440 #^13 #2^4 - 
                    1704523379985293606862550976811179244008623599457167863984\
146284297522736196874773004936157278348401268724658942642350723250995965525910\
456661368364166656934035599115535860952074110143530937526362321453704690498442\
524808287038677303946061345156605799554431361463743631082964596393610933391558\
478118085869863521927427783480089518857638261137966090235001445858374812775767\
75170340926224319553896246942487851032729528861324738560 #^14 #2^4 + 
                    5854297183266625703464757019063275620218024797747277201531\
984650909755151548079631885265722465144717784704823440353210036151458476770564\
095309184722791440834135537283622111881701259699910957517698361314668578068159\
485211000286914217616856150577284161572844673365111467630202797244338989435197\
190540195143734640228624720255543608725112572173690357529854285540263216169141\
738013143510921844448912420544217708926591760178489589760 #^15 #2^4 + 
                    1060678476826174210013361965469229688715367929369779357409\
146258605518187707033520861074894949355508902879920541275927442983117557652285\
676646242757305582214542140387174734100484379967219638049715207429609921103020\
889607241758045329354560006303077225572326037489192178420869628142388277538216\
177962697533004885462773937908763224067656878770529214646214187186694611415315\
193791999677443232266936182743675022309462167457806417920 #^16 #2^4 - 
                    1389567469204915078478215054095571801784775616797614930107\
678837129767054808303308417970712527618807543621346737388902115940101861847159\
034123913706810409849078813770035637292306660110700236830063099111006941547868\
544453230294668259301269487639084336947262295237824536599702891734101455163079\
244992562708561700190871551478291883188607559742128858133862274260957744657993\
1624235999431151135580463998902965288022890030265154928640 #^17 #2^4 - 
                    2460166521233080752276318095357115031108391735266840734290\
520218754778396474077456174903241973053573033286466373690627970858807215533025\
460124133514986359386375310031714866606453162732504636351276319695640114922310\
766336707279324799974614027697257743378675052187459538751534861565600851848558\
440997172459755257945471316766760216056686236572008091052482837158035931116943\
393618495306211719212977052677639962692100309908245708800 #^18 #2^4 + 
                    2231670502174680935287980250049200920375412478600543003053\
062463819644018937353838167567044500399000718508400912437193711804540219844273\
602191912689951608575206942597763564871115729663765770535313179212227670385144\
677144980574441068336128209782509770896251866806378576390393712058110161227974\
871739010704342627390452871435385559355018252417399049179213082422435402685123\
6843286474790833525408483020092471312222952698599366983680 #^19 #2^4 + 
                    2466378008632139729306495366089305449859712174261663271024\
217611302597702595269125836117018570290962121511026774839273444689133368565799\
306717344785105766390861694005246748743774274057077203393320873539783766973538\
197551308527029572281236978771130666303575836494312531913388304233704413222176\
296125843139204197580464661221932067042862190215774097420443184912401917753967\
89105367139205837177213135211169561067406385767660912640 #^20 #2^4 - 
                    2414937395919171343017202949737644288309982293349389735345\
734760708436152881271667646201057832705203163619000092908832242363066504329501\
072405534671079277845348754732584799848143907763482353723538150467434215486144\
135793938678577459275580215286958812799882576614330279352453262586740116916102\
553914792886941717048038406095253081889808789878037842497918575558981811215540\
5226089776974169973366192486282888064149628149669004574720 #^21 #2^4 + 
                    1250635900197675912191194077673591228361402988017364824576\
046845918734500802273911636507814679500052286313106072937455069740550011695928\
155846697008556515222283692407519741276413411597729161660327032940138774647258\
343961774898306891960094498384133504418234566454641120725030297089630706964714\
883957578449498209675446560117242872791290020997561693520336786781770794391884\
4905758726806010432328258013118969116639282056131887759360 #^22 #2^4 + 
                    1742356770658584159387221245724015954887460697007605126605\
675583783071789918346555701742894193930686845113385529909482234028950239397526\
188491835352171421219460027824701184821138748175130406874202714155244819396735\
981765487364715680694832809060053624689336689722671878872561611539378252259694\
151305176200454016648015002874399332541355661679462234410064173482687060351218\
7333022494228270591831350744470225918638593178064818012160 #^23 #2^4 - 
                    3523285536598507960441956830063153777970406668743552118583\
343786224915570667053089154297701162945827444289481301792012551353959548810007\
332306248428245732003036603096081685829859789246026594366689011420876723002507\
885015947132644880750120314895621130372379293889184398211982042600651508838603\
005877422770001440090523581443984830345190377996012529568077831597196780977462\
3236002984984672570665779009100782920234992543927013212160 #^24 #2^4 - 
                    8467465272339332273376191554902911766844691044444427698649\
025808894645304927809787814036264136322656588433030628656424021731027237533208\
431171579927583218852437593246552605535090843666048710860939489530477944817401\
272334649641301738294999945557665202620143987383148129285176822393220860036261\
050447496957826709869783276390504872195981607200660374333310127268108887246660\
187456864720480095912756626808937291784903832019130122240 #^25 #2^4 + 
                    5475183080350987258164556133975412732007859570433272819768\
601992019639806680331244785026350368113525944735857052778463888625586940449874\
482672709627159243887123032175450122022162901152134841814706295984139044114171\
747567031573165507256233340906419600328249081914080445558038437323386376998212\
639546366270171709562831833605443962196444939020568037739944328411038963177288\
5849696947832868476702942341090864914795659225365426995200 #^26 #2^4 + 
                    3442547313651953646305122942515024163627337651716998163204\
831609592637969100580165478869027028255122465549933346135044120437514525853915\
312067464453860134750751979459169798556587870929417900787936742101505852655832\
677925667907986864043613473166593334424626090105334394256399839367333876297237\
409793610637850351808228797689333010024503123132409618114746861988345449471243\
137909067991350709862021370449348462235272824145093591040 #^27 #2^4 - 
                    5799335607408051025692564634177067972111290787756594080095\
034553291642382028004483098375344178142874283445285717370536531854967006851928\
347942425342728223132224253965555013945118933599186208906926228051353515534154\
824682090360790017596361603553744298993093357758557080035598196874431389369089\
502735272312257833049995927525238994583371951570809648378982525198607791378559\
9151134860137828905118405457172574669510381442456344330240 #^28 #2^4 - 
                    2160895379407369596220275058435153049136758106082754451243\
697328632777180288776667402759443005829918496965465403495690600692941600167508\
799265095550337525445287022018689840877078192377224871850726316831036749015049\
477176435879861533211412164168706377720133243883604079232305373090844595399421\
521198548904036134245775374869884203535358286280044039184420975660668744209079\
484197652218584590615669693799713563025770877640853422080 #^29 #2^4 + 
                    4547911517676001070659551083456524495989387924564053280474\
049257577087158264800087685445815833012169381106778355643475677733401594146404\
553162123909954640831904329086054420478987995165675395938208296328148622484813\
162096390278522656630684003820183569845528357384797970782207811821332568588566\
016369396317527716150036263620670184524936574130628224118715785685377237141047\
0601746883173418603732553263314076041299672910121580625920 #^30 #2^4 + 
                    1678707344140082235920918800786530351969513526281504508027\
608905278787249833466548589031769173035256202046891345174628668291548527085038\
930591413071348309866146083072533497655805249726923065852525795553388065409102\
817005643425356287740970045384993327668326619516835298337365935195418689846970\
294837509599833600446921584320925488288023052390024100607720061991225016474647\
589703485837751717095054994986097657738983185629860331520 #^31 #2^4 - 
                    2776398188473084645186374672574512401680194560508750122740\
442478868895709705507490520711470449028908328777830299644447054127119848736858\
551349858956046558483596755123776029691045281409143577569683838861829077249916\
496484941222460004862005113222646978224047406106685733083496655077591620259490\
982108720710357688073036926434137208042816999637040159196474288187058468940367\
7324602137886842573259092855528754553486402457796786257920 #^32 #2^4 - 
                    9151212124823771418674621943466869862701454125394568161193\
590865755449640882091283749601073638572654862800242613626647483864940261406085\
243015298706941901058408127641610214484841917619458896891628482646256216200457\
514785491939301252974087416470499211005120997935213800956693272316084533973807\
014644628700823129893493574461887336717346070775255972690391760241072825395545\
16555208128389688186055401994101560953073658127722741760 #^33 #2^4 + 
                    1369640937386679282479132011262734786600281335300011461884\
079928003355767577403011356703031541789629578317311515024038290960892240875132\
029426740165557311429488744922004195964845456599164673869265327641834980246241\
031233906347835372129728692995448776321594284212823164493126732753600051522153\
624078175713871002578988806711817131049299705590124852776510144105551798690838\
2609531069144541360003084739840342534814477553661053501440 #^34 #2^4 + 
                    3680700918915067855019080235090760857086648796567821119145\
100164840170616381701667635233480522350966525123098746803027572804812402561219\
596639260856668451599767610336295614203241738495643612313545556657006266518735\
917065244146518440568188622921879144554497936196920887743026475386805560107436\
457223518533274527857802181521878515022354111306942948436188031365400850900963\
93385742254055124353350860874150838213314668097070694400 #^35 #2^4 - 
                    5547134205340392528533135545781439076489770824981170807184\
116811979709417110954723158919558250312640712087110857005036208065471188829868\
683841874476757402630055851652491246463579376279942427231897659405596573005287\
217321017208716982318784261230703438089089839162707507404667795481977783346927\
339216081769478613394210882320347162100370136775541960586677546107370153688666\
426802186889318133400310362835112636672579367147478712320 #^36 #2^4 - 
                    1761495201591019686355225059076032220883446678065330743105\
496233422672535424460114121913314496891199318957854259604830585337368885601866\
157023203582997578288182581993434363033070352150751149206899891441909334651625\
338881393614350756293266286118529118325186236088852904233730918057583657290362\
596223214720944440392779821430742332990215216179808006677366955995342493179536\
59445368600893952047331660176779596566698193586728468480 #^37 #2^4 + 
                    1808033156568664893352883962290936102385575512043901612998\
963514829566624606515654529461437592468907536628159177295504743466385064162036\
925055203092957706400528322207577631169697070596253964041502094061446938390130\
924182445717762226260358803622900941367910889610175374026795298498098178305406\
328671548477632337247959477524575160537056295121896659259033818795284743755333\
029998052165892865147484383776013024199410718229921792000 #^38 #2^4 + 
                    9730957112514325724307124905974784904277045641687280632569\
203869697315167912421734951587934105185435435935349918543190759275022159508843\
883025175892538560099102231663829190848154471576028464115034292702604908903440\
677403325430086325747360929500322977714478325032354654878920457714956734547572\
901611023588815494642208001787810710877961888833638191284715553568546953380344\
1970689375902162413813980445982177445568031008122470400 #^39 #2^4 - 
                    4496240163032759120499504548345680016466344880078004582784\
703393901206142348478265148681934133281725939877193109725393928804403841683998\
633076211581512862821410331245796074465622560043688895608822314745195693155785\
253948626065303031956062611848812687874562011764703244875960667850644264202358\
215804050709867674377274695131381534311526386214835157887656251290092253327555\
24474432816442693187735214760145503280182377746268160000 #^40 #2^4 - 
                    3771512270323502225022420998112702008546107158659665335974\
086088532592255391266178769696596249339993625312940406138129916293182564749615\
331625274602007748489321129325116827376688938323180229713524047802569581450586\
512213779905156956700334784210407743291995129090519805167972139925265827910951\
808218138510694432742690316640208154322780723380657543596013766426412681619037\
7941764051409401595288010243557892361788826231557324800 #^41 #2^4 + 
                    7855533937197682954735736406899392664317781819321571873855\
709331373918224032600125340876798275433106312996891655721699957125824311244471\
420337254837099055823219382138220533541077290002728341651638374033803109320423\
805743256599914945926565462883888296691543329450676784772199867155251923659198\
486781638115538509205693123606099929200355109230349757777591327563330578908398\
7504531451006311502212512733907096776168279444658585600 #^42 #2^4 + 
                    6072821033746696868459410730138038834109605652193378570495\
135998254757300880514360712687428188565954155605407741198067348806004632010047\
412522708589129594856895509996533735427386826707998939251008411799857022899925\
877381794130578731749572154262336710629439766031393530030372698622262897567694\
893249512758190418462246883086035281416622990963611329333148658845714820692572\
853684267501165282564691286661840184266075829121843200 #^43 #2^4 - 
                    1108604197346258161950086354030334721437987061849775270656\
907507440947298235170543922057677756513659930097633943662429662622899275690122\
046303745674611335791973299634670183091601734261268975381124291720552437712914\
228976478769927591604000473236440022662690773843529640026983757200814020183604\
687980265020868142894890515051871494517004850302201029381494706506276136395733\
5985458139665681319891503239327319575182068145979392000 #^44 #2^4 - 
                    1302403192320601969115375005899168656603019515645147224080\
929808139044484452597308074025197312797840556029507743088440529251666486276827\
204149830990845243143408940848058839565229944322623144026926343700388542297648\
548791943499454580720510712650616732545869099789251968320257348647307373493292\
702687557344332615425649847109006370260002081270845032784068951496427500227582\
752807299938167652373712099326991036015450641976524800 #^45 #2^4 + 
                    8293690296918295662256211326321130255782424704495056616951\
124367052738613196626928241844238691843867351170516815385515225309080175089850\
240708289322721087300873261208689369871228475774178089712398810766606683853604\
195050666374365017201443713405065615056906614340841860631941344317039691541405\
344884543257590551362366155981434855424043899016056320811091416294986979915727\
18601450706395683599539701603767995346378710581248000 #^46 #2^4 + 
                    3277659623586383800332295346562460482597199598172885610167\
835857306607598415277803333535426060475236525992908018260643409950122616503304\
072987574333140071118772389660948186142730140728766586654387659767106771135022\
895368143767114955455295885905658433982201321338385198150557023068419705255362\
493282731392815408383191604269837176422817126537008789303626512898406943941134\
6538392412691105739682457019799496056360967077888000 #^47 #2^4 - 
                    9791330256769693184125601255010728306708063968332361120073\
322844843608278626778294413905756993377761562581204608996538548800766311031676\
086472852783776779263789116146450998879957945814572807771791993166161038687371\
265460895631705972522277042667548724641004824399646048788657867130162386386224\
854001330282827146785239901987394344795476439885291184323226670389228431390980\
3638106871296398328434774514119138327153199808512000 #^48 #2^4 - 
                    2235560368863662970752561140668799045178972710356196489568\
342146695099585115312565097861918076149114503683922649797836535256815967005262\
724852029715518859007426024163391296309468915069694219858286084413794055569431\
799692508268941236729632565798051656929569705146538244195225341783410441246221\
302938394580565635709321004829031138663832833205972560165495713251430736948994\
4013909871186881562750868092287802208679769407488000 #^49 #2^4 - 
                    5443456939671115046790982780018602623533085504860674177998\
765262132935817862259333096253392319277713361302045273049903940085847036060811\
583198700133766062842770971544439769907272657803573274440411118649373414157148\
000169261373464965962276186206411253570628858634527467370238476375106876519115\
468176126784140446819503811579523578293750531931948693332860183589863746588932\
031859861362916423403738598267291759423380800 #2^6 - 
                    3110546822669208598166275874296344356304620288491813815999\
294435504534753064148190340716224182444407635029740156028516537191912592034749\
476113542933580607338726269453965582804155804459184728251663496371070522375513\
142953863641979980549872106403663573468930776362587124211564843642918215153780\
267529215305223112468287892331156330453571732532542110475920104908493569479389\
732491349350237956230707770438452433956217600 #^2 #2^6 + 
                    3110546822669208598166275874296344356304620288491813815999\
294435504534753064148190340716224182444407635029740156028516537191912592034749\
476113542933580607338726269453965582804155804459184728251663496371070522375513\
142953863641979980549872106403663573468930776362587124211564843642918215153780\
267529215305223112468287892331156330453571732532542110475920104908493569479389\
732491349350237956230707770438452433956217600 #2^8& , \
-11236610318681990151763060252380792354191495185673926788308104475309115495496\
236821069265075074126614668577919373213066319085553601492832948718859464872990\
902884453386884202363159667683762521878561061668078710855912286927747551878961\
934719624627791123793655857241561528891175604640483035935076108252613082450923\
850018285506637397625386418798350219158592930596633556386314149384321215013140\
447034526847271703146379835280860590827558046812532539855536640712632745277352\
5433581701139 - 
                    1785255254034689247918896652938106889824443715677164597982\
116569830798813460698464059994409677161149574522390566546937975439775080638696\
788752206013811471614070523312026835349490612374937319001191849038391752416198\
271357589722080648587879248770793105729229850251841141992834276263492000655227\
717099143267166925933824574319855064841774613005562160021838741522338096757820\
952352819625663758488380916171788928786342566033511399189117245758547756135245\
155369930936183578606885448738694 # + 
                    1351364431809968091215822609489450980110355042357464632428\
119072465708127525811070436719887680482473434670147243821167496109053588243392\
443260825570499099237581283008284575500046308623097408269833503159431395298768\
223047008494909719562151790454718864983545854578058648127979051361171055266806\
362039616075860004274947719067275368489762557493141727553006181578923861055308\
502998671674894199102975032254927362018407722136058643283356062678006450734303\
4725999860516340328976647141897260 #^2 + 
                    2653945833389056720693560385422319225406563837393089152897\
408252156586183670743211352709910202150788001055093686750627189856014741388803\
003111310968422946030464009009061987600381617293632987673924668151323548669775\
200357745817514919074663343009184438975857941614047626817042192573488923420952\
043057028957444466696216861226712961283268759414973604122711292621780541812361\
971155282502539051346014007186623067393954402113486399879823179410641698749123\
76901776077258035683163163677538672 #^3 - 
                    3766082676731597264975779412165660131853926333952044580723\
567574525978191921941939292100195349392388317646613993479831194489918693789034\
087147051931495506965129866237896343042634736438047018101593375919631571261945\
295650620856404612594705681285553262646611032812559747727281379851540231737010\
498151749645634535374219331293623889540067398946075432241219977168289528507983\
450534702508987739368523683078863125975212048644562152223424814350488939054226\
59742840956935302120167837106080272 #^4 - 
                    1461820240651831899861629824956001015103809281849803967034\
919406605498880590375704939195572829401594363929172633435658654600452178204459\
754632174210326954050743030403740788334748596475094223454584729239748481622678\
468099904515295225150665008466478516205611506564581561429660042454843399863348\
628615680052914956312550129192239460600827264200960416035715711917284693061433\
394574970920096554518719607102850506733243747619907366399257452705375999831708\
9812180587026596787125016745072576320 #^5 + 
                    2139660672086922760778722737265579492414790184116608743067\
807837896803313907440880283053741406457888538260406569744709923736171595215741\
749542324983091247494275555429672324018771599856751233136546494846959661695141\
064732552495653485159949400477778295900727752716554641335727639598041570217807\
636181032367313069532015919696410111389235407456591336239546758851016260841093\
800845216928551102883397665748366078401904776794229275894707619561285673080727\
076512909949083453905085346780944128 #^6 + 
                    4067386796883441814851025652094747036232132591588783965111\
535298938108370991151948255007180990038679506336818589579642592730501901309372\
990149033477583608492494749734739984465222661022796220054102992698017307387587\
694051382930693268627735477577512040267014236496079408778633652489035156224069\
190347985248590625329281261375750968295697815069378760808874666120132372611471\
857917619945451216148406047789288094145661958241275299175874985828096484497898\
40460906206959979391784702074301699456 #^7 - 
                    5906639301531495090574070646025463399960541549679942594540\
277853600632167681496770986709342082183165770033530004741672200620601637223254\
899890359496453105829333551627077072130483622955932181599772912960001364149332\
371572239449901851980473163890415581511612781679867093818902237343413215361901\
875590967711457119389171701681386293925818320152479082178652071336253183275934\
538637886549578922163654287911319783889449420425186434854605865779637600999549\
3709650114016528229026821453604343296 #^8 - 
                    5797220443606385055408193433692421256684419144590872440892\
217132417024500803484684053889940535508382579446239941770608261218040955264038\
732332362314320341657345262471540739544688068397768557339214376579132171906516\
262311814439274964072469538615603368663856704517869069503297267509822618064997\
836434035928907253799243880636936510621731325002886221547039084288771642738380\
535698543742748991089874003105056374374187666218545727238317510660465820089924\
117061196077253245535180563116959475712 #^9 + 
                    6931376910078666672811662427299946423338913460821553606714\
917922481288744768953513147760994330328599909590528985390970232029179631454058\
624715575136708665385838221353363361519316133293857833623416874311054145907895\
746334946378011975562352815272932955057512738105810571169386572234016997039653\
917530425205876522174249284791046687363649715647649909803214007864756931524477\
139858407534007416874374964273747236592478112858616429979487257493671256427254\
23764859879928840484108826731535985664 #^10 + 
                    4855154977154176390059698363939483849278598745906745777942\
773465580356016445542915817965178610924069272848667408030397648031450302722832\
197080037787003394906303353370227043204076797356194152561815894582018386916847\
250329457179401350380791486406792359424912319569745550325200275949262676553131\
039536528367569899442441448673528369834971088371339392501134582617624126838646\
019485176142382458429199333562108165156900872504558520459886596460224818896577\
5474302234386277891711698966782978406400 #^11 - 
                    9579353442192884641928900835537330620250129217601080611876\
148257328365762275394380252924074997355728978501491021034513479506156283970618\
619061019357280448983676030311948342251325902440642208962573293857391870919772\
470250995325468302793369650356020566903461411951595280340151820098496762281432\
027100412158453784696766064688486598617883247636572729620839357404526395395532\
607879614257990579192839250273007577155331541253382235806672866671884738588199\
49962554694092393784081583209705930752 #^12 - 
                    2587396135778163707868164175367914680104131169620779719851\
983558911605131839509677592555281942465293209597725273839798271076246082891907\
810128467288699483387127667664401177287735146842774252009416728886362360311679\
092902967591635935893215841537224744058498365321941550348045864046171310709591\
613467321153297471199099344850921609836138319297537806452616618513605124166283\
250620771867252954347181532825162152719457917568771876110570263197314722692113\
94670248924268761744394351149721083330560 #^13 - 
                    2463445266628364954671515580488638706898311922887300829560\
465236714963182016248541073373253558098857095340993514342189218609876708931179\
811562451145560047345605780463767649051093731395871050579997854076938019230650\
451961149196984954560228814881865568724568945887385691418535856480628213948407\
814895655860965876007503257932019016914141653672835625630835745301852163286205\
921192284207676967429805748526895055523361140055171930486480056343349678954304\
5793216620404178803550402504477521707008 #^14 + 
                    9121968055567456974978553438971852924686055477964118841924\
774145929225292059547094987213269104562928462476225774233230925181404932381726\
138465442136265028101602858501182915606813522523697074404666194852772681863132\
266364786048255783077757201290412590846333723672391571117183714831981337873081\
699763040652834327183198883244651544880952487611388553011851875536635919170542\
278428202979746712028826435364888501347870707200273147214796869892835462090542\
19699407592135205972039965400080099377152 #^15 + 
                    1594707723278140256809784500277329351860670463420018233125\
495546750201956659856358532951897891314533581314810023172625337155789004579680\
218718811808093383550551174891563176128892878534932890241115356313879574201399\
208269283981404220364841850229357333394448472365740974583838319062864510843906\
495492236315718418922421527022703312334028774865048824774294114514897945107416\
851520837545641779152430995285131011823800195384371247474708278479536928572021\
84057805324418639503165722739438223949824 #^16 - 
                    2164593056171709153269443422628201286917256176642347497500\
351551013070983987861247545130123376710653109058185650591178162568670427019094\
529533976211316777238227124685167347969450365165336375414458290843395391917119\
047259396885843215275801035433290434904960471193181326621639277234269971526955\
666385092636966132169848948692256093073336123792761650094915827289480405664595\
967133851203718081501918499031628131718675546688634868729876975728595769628387\
975524927027901165147771941897966131871744 #^17 - 
                    3715362112981341071595237376999983152179964657797349688609\
387123528258179187903873903127658050844231072055619638624994255279962779146911\
240766210565974487324994009342877891807103984476146604602257955534714557806447\
760913459278769580281925590089692608108132515535494263314367958783255182900139\
352489373923809284329881527086146425068179161765929344139069676234490344086575\
026345138734363310974807165680853588084098790210551841229330276473103623921391\
10186780087981529667778576626001991172096 #^18 + 
                    3473727962620115728900439239191646859676429793766160982900\
104379187330376209939639746385138753945033032594942508577751662207185942286299\
236058453284336487386003429729848655871670169548330917383754880178603818776652\
562129350757435244177875223426094217077087145840292264493972158025399407311123\
186781768364649241643586199937203795173235250916969633737791694267799231731557\
006932063830625283923654500350514031859106954056758901768536388718621627512089\
388366468604700746650751523475678890033152 #^19 + 
                    2248272158039850279237722415677718274210117145384244220739\
320493970033934244848598310190281593913109897883838593471135039312470001186369\
262744737264497737937642185466532187157830762447973858904564203768888936357535\
799288890363159492771367084399937880527395348982793462299120281243175403154679\
455578443566716528553979940654344525207023015643223353422563890106741021632202\
412710148254118906522774345321342521538360321007756137763887488638753977566788\
9478152046108340781099075231343641100288 #^20 - 
                    3751698891827214798362291475474850726085862324952712307550\
762087346528778497382319310134486787263117149741946702801379927881146807171872\
273077226686133088974199795957027759869257262611873805455537894182491883853216\
817794829620355021904085552115040490082470560657825089018278370070715991379007\
794026499362088220765671716299714326224411013120378985829074097075539816547268\
942255365649352579323340284618391403066507240277959920794787463034972460185990\
344516250143268590592860163009402529382400 #^21 + 
                    1961301090283385916966858113416082217303900789504555728198\
137769019839747945449002063204891137499749393113059550563181122137111257028400\
098017407809568351841733512577230306382943507290254592157765498953359498190306\
075090141325630690833343749921924817042732910915228844302004205121220342529883\
462215780028697558227103097678404262004844812977306646155977107234244945136334\
045735983987160755585977201259842374335150233594353773742535397434864302309340\
785142821257275200150783584640891912978432 #^22 + 
                    2692146042778512791432236393751113476408185887005715809555\
991447508689138675348765153055804937068513206726811213044578673048870128946505\
233699998971918993641248920864094589251642698256531514105309965699431028864525\
174174351548500729407536188031319864004458513362210608372642567644439394793956\
958752960795477028333533582691752232656859507522130366228323073334296099969161\
335502721463640895486742194234666247299843343349291991103256320006417462561881\
163470689583180093186143233228448198557696 #^23 - 
                    5490998590634946275490104854953673928300645238978567915851\
663785314504108196490212365775882947964517658386350366519140441267885728405174\
148200334925031192817295077224230418535857293669668671989495993573644009462464\
879531921954397292716624870462041990929910058371191294104339995886505596481696\
627004948988280036026398518279079643833909336375300391047484505287515970829334\
152522265472115918272903581339325305749453839518796620087490548030072923298327\
905353123547157044443512461479761313529856 #^24 - 
                    1286408955146707345495253698436746423950476947852304004491\
890690288737693026740311209746390377516001715240007782594122144443481444941756\
564515795162146182290740474461014059752520147809244490762493089152531773334978\
646465422498294673293896716412465445473342663858181651127774305284783457896076\
597871218078682120846645043706412250563500657964008117956807882390145565596803\
147497205253027682580798598031184445109993295465466713918748917012878120040480\
834637504501889906067818076983541532459008 #^25 + 
                    8519618248556699976328495077336730602597784085279631960193\
910800741787683182276097531183588210828467001046605850619471666234061221561217\
009582173640513557952732157704304291275357055103088714671332926473801751292804\
533510076438193142689135097149096393547796440407268863727607843336793948588760\
004555562482146613172784028203671357716124297159621878242801722291171528561543\
348710988183209236642551089056730778125567454734949402285246851755167002531599\
374285294770399724711691459271651561046016 #^26 + 
                    5008046074425879666903860064421624060328247259931751313510\
685014092065489637691750054259095750152480804515426416265725669134442756622765\
843293280305139740655790153962826669087471615926622808621547537411144967801333\
628858756865876425691668942608086825913358978660529235388631241319332829156432\
414070564653251235791096595901495598148373318825929401438621639906609862621890\
677183696728155062262293143554472219151758950644746446807602214878590116017780\
11370226896459787990789706407627219533824 #^27 - 
                    9018267463345557969536089682315350347465652571212644811325\
014597843818062073412889749437456149401041077404847396740256269730194320289858\
987831379077634909894882141626528671961347798081393886075935659945400719950948\
785178686897441733251427111512382659749199494239286171139444535225155123890972\
761807547528280975131594740315587359249497771197425329739173560906906951417862\
470903938781921871487204289100129071945099780241292617734350046485461663742520\
395660793872690712445913856852448071647232 #^28 - 
                    3072148921841153872121883885698541352168304740610359275118\
927198070856990646671732366868935413888393810080458521842274256505235220134580\
052310802491399127705436336973401982572561073962975587738338623851670885142209\
824574843276195130576820905211486232741633390024400828303255376824800076093806\
872869217184680070022636271857684464138097711581863264544733535286309267035281\
948497999359351901888617839775542986263041662823714419726823060367444795992071\
46174302363052817280573299996597522792448 #^29 + 
                    7069675212991093178086985499326915344367724639445251674805\
662241739375854486299192367831985481527651759884978934753056699311914902595113\
565314234596827506900641750972087140719530382086751106113592494604879683835358\
455377259608405952246614661840995433775465314473817190172911602281495089062080\
446158572685452490285972228053853575266796754766462460212500294659940312110180\
176060494598508359561544744928854737391955933994734133924062729880880356082737\
581996281448729090582559395567781197905920 #^30 + 
                    2424382378450782625872596655347614025660511258027440436464\
444989230909605231252777364392179701439606650603273541481081265713333501787072\
130508623609858812101416900730729664683876466007816460940458867578990927309059\
290945543907452709338479876959017305127177455847637861384192014186668417917438\
281873488454122034343344443294620323691779858147350283667538213688835610661625\
502923343632289248388380655302618467797855747216565790279080959986024368017740\
67983666119147686456240622940944739598336 #^31 - 
                    4314665765413647170510866361452531597702575962621501814159\
688837936125193853275971724939692499587069971859049270859142772267082989988342\
973337337391292913584166795849409378933448664443232653207717211890695366880874\
228302579815228182701344682522177150911118306358418822961659888663350998629179\
897071419872094192365142910020905405989188423263982141794209168375409810317119\
082544593692623017572190309746544065892940526860276780973637468124869047911291\
789475982214198445565193943206397644636160 #^32 - 
                    1327116874987919033523656020329119002767737127148949023666\
729844567261562839155017058993551241740068335833964257741111323939072786747615\
401628807778638938402827386041829014894103564973440003411832648228373591084539\
907590347630279148239023043229438859379278746302862451922761483965496871434092\
579323036825391077568995717335616222386544034404288480950649976178539930532545\
080350437321844693231057991943159437969514393544311158790057329271943983939131\
54057243306422523200163969905490506285056 #^33 + 
                    2127965351756299766504689113668115146444521650234073154588\
607446105027797470555524725362753612867859177660756314518314377118731187084681\
034951223592485302630723035291500678890046539493194037135814699413916642513162\
564034289338926696316022158953622769034707109204264613829137120603668366672269\
794814327063710510206841197941181832985473594806312182042482792954740998969718\
027487630859617790782590719153501073948727530566389522945484891453566631549803\
212757213163832880263365190965337465552896 #^34 + 
                    5323075289594062777938145371993348033576024939994163849106\
836598345765295024371901502708863901520534090990352758496378420464920531997625\
379182032843303719824166183185176011649905715135450544267744000405738622880336\
216552750229607327345569092168144022584187078464038522379763280423971157121643\
398137259134837420449857293053906626597223514856904610511329718478015298432158\
922465698918850418819784496779590248410450588058031188752106971502412878129745\
4871378664603926720282149732947918323712 #^35 - 
                    8616743366366022596762339492420308415569324712262289124614\
068617449705823876298562557530689856652172618302040148599345472621036688762492\
921190730858897887470064265238583626348646709799715576741091735495321829082851\
667686202959599796997544696268609264693053603494245358040021409050222449897537\
804680469153696935987197747455462737427234330459670372893351905825498213240225\
654787211749423133285654480693054626374547459843776390459760838426936725618998\
64984321164860663687855594297825213546496 #^36 - 
                    2604306624625450044883592449040418406925596802589340698839\
641396468078713465308192425580214828229094828936440328674103740742221694424442\
798142361471946626191426812489732552786534899728011371921878533266083709543060\
839679124624211691196088539371354706831441555924244104236719258338838554551826\
264817660438567543085029726042149232865950047468371914431267273447710133604170\
116223356629600125422791674239627781146325522310414212509907814586503635200872\
5042458805035439517340581021496589156352 #^37 + 
                    2808227536671251490037476807317447281654406166944717453011\
517468788800419220484988523103868878094398108268087266165397236449551529840794\
763891328566781398185499984376769541978274757775345455651240677385486007207986\
566008311848438624914366990467288971614714426573400531469857451083327302118716\
242127010632032012092249257498407932084138091760715226805699145554231324768387\
102843660536493420325441094013788976110173649972099257780785034038274987504327\
11195475555967457953503897973950345379840 #^38 + 
                    1477476962191919891685346955480353770223065022155192046554\
933011496829610960625473443509163039242260987795197392337661826380810425093826\
165830452379652410839920383708754101648083867094254132880261180771816386430759\
055218442606399866796110933920835497896839361824772538952451239505012864208749\
248711504545140365579149662958170223246367393423845104446758228150968383908107\
023766090010935840064958679033016104958341109131178154554432590635064770473910\
1835503203037966991367650864602892206080 #^39 - 
                    6983120116429653645928456305049564641244521199849873263739\
347417115106904634158213191646041721509300492794722034732859626538574390637041\
141635800678658463668991156119998650964419100465431100441619055434394631244756\
067066289330092582487419489982549834373504792545928416940561239844499255446171\
140424162348923829781682371671894563525718852806810463829560259457706250419295\
544662824677176202126741783764797853333448504732867205738762175508443234743094\
8422514893134445838422996565023082414080 #^40 - 
                    5793945461978742131410928352342846676511791303934992689076\
054002832612824021181037071793857982334495875176240826110629479474978945873104\
823872486317228203273369827326850500704477189986824350373247309974626966309634\
069634552549688558243164688923535318661599248485099102226245617570807100747115\
139046059856439044639923188753788131164738183900630684247289488785145176737670\
884255295224085278593105407467515049403883335372682681158794855833985647313880\
545636164987082804354312390195586007040 #^41 + 
                    1219871137441788367966493518662906365278073285962158821739\
129314115137374824719229811523392250663264520367402445172355597210015114097774\
946194125310686825961816660609068357123955495536766466707017246820709800312913\
157408720206919364790783520352312438823912511427052413859833249187115320865950\
717395097082295353873069790780739641952044059583062544927580425233030378635928\
608102630032666143972501220619377560921069853238895028122549848248125744283871\
6974417341448771919036370300084997324800 #^42 + 
                    9340915191397558221359258284993955235018363094545506815000\
327585272391225186798904080401681303723869444059654398460116770541661892069539\
539212233487589778295631166980587456124705111130595869033295719217427504576636\
955831697585759638730840783920880076346505091685344928409210653243452755366147\
887106868176236218673693209935091823322109652647767614744107111706725524820283\
195089881160547790546744417965870533333029046241834601243135225570525578781710\
35817248347981904032980435757611089920 #^43 - 
                    1721548578638353401230983695140786624106759361120325920020\
443318140638169631849189098690505344988803499922243622154943347570677607807935\
389195063026581980723602425909753907176957973128689889350889220186666793270981\
156425160859638896011221115840672545687139609034038997091359932740846479047856\
530931922456268244822431261304191826864636868232097587062113312746311665975780\
377444263809356344691075027300934038016178651530565608198513166960109308275904\
444915511052835798520677494605249249280 #^44 - 
                    2014370416189024394589969635111285958423199403453220258789\
706200844641237675750854974718725726714048671011319571912820715259451231919783\
268456867933627662022062238101286118562435087363583864919618235969568967988785\
050193461272413664220573575581422998091006558549515834006777324958084224505215\
483442180534710521120727766494930557158726136813408488419546590204080987784255\
822545555222145717187246715373708736350296226980408831027990518656099986735281\
77120368219137442206764029787945041920 #^45 + 
                    1287534111464848644615717468936067317230701242302197692588\
940356816333827212970996047511000467654203652721255906744521263832216000870845\
189032397773514719634290644648209087336078491802579343439763248488464357116420\
326316735487244734336094190024401606815275741191898790106726004111916182683441\
966298514349733242668248275091268898616034725754891018361152925669076855244507\
653323131331774504927969959487033419837959953681298341862383623178423297339609\
90417406964528273225280203899535360000 #^46 + 
                    5017111761924486387318121724412203130880773394470196605538\
593501349225047562136535943897861546572072227198407024872960057060915119730625\
335089964642872981394699496556817946839198809261335728963817622661599291984774\
725762585640787267324821081180684062020222240212240080396179257704789768767027\
811760803122207572057592889767478041385533335379225128798617701889924394415018\
065913954333121169890690041307924090098390918173133602796369515859417825024389\
731838915452099708647076555810406400 #^47 - 
                    1521008345306924074211637176073475288757336616411454482131\
297551767422939019154302491503377273850278660598139173696032960725295786877904\
687339960221531006125243900251396026963813906660421567816190754110996842142239\
898701673472507385304534810908841331172729597247319564067087284788739194212484\
978497191162903114229519561856644948345768903736431849453028481311027583687503\
091255262484471071674374021553501386557021468620505114881882705353759404824228\
5390137232288526292685372421413273600 #^48 - 
                    3468551055912913613162751965950526529005598353979144376121\
838877565719131828729686477460038163034053166534646322636132482661935258629498\
697876558528525790393870902061192564799722980070521273559223106353346424903090\
559162731545824247338187421859570968093708574786005437665675658815442110884600\
388744598985018904229573056307443608718645960283574065272924874191656332137908\
959462250384469062043847616961890793673942145791614301262993641643761197075992\
407793450773404503521875641709363200 #^49 + 
                    6377788794042489164047007577662975615728468176226239631031\
551321098650234495642470153252515745716424069283237936353354278315314018599244\
206874094949628725922391738178247568213001519393414589933505285595416675016012\
387048604193164514993414067181331999779777230247490724681412032427515997525429\
259554760299679697456662545237233036592956495669169355190634134415760615155977\
267011913528392307465403654165465379179777029881351347617782438526856607399064\
26083445387086230299660253390056 #2^2 + 
                    1046830006452207785620168710377061159815117140232237997054\
089320982936800484437017839651044161428537383331822819932305966711112237104300\
548075333952263704244218730709673964100801317859269107848691723139947673437388\
562780176716913211841814401866183359525216091300221689970427462606332722451148\
011745902029940524645659568817159753484971994747025913277603728777271954565275\
452064981078402107715744887681297216084238035992390458738572536545043881915898\
7532440021827065694756261536826176 # #2^2 - 
                    7452891167677522847515181446963172320321422308967980664166\
820863569028435448985097167104724702214091657872735414209314515370106829552002\
523381470298600403214556721290983020008783582229261384379847274705625186787566\
130881896699764284271297692444212671064808646525349860850873395969628900717744\
035128035518230966795885347702263631482198323828341780058991516075315660809106\
435319570503469254937203380185692283950871651906823089588355161496725431569061\
7658371388028811067091545557540416 #^2 #2^2 - 
                    1557507459169545551973845591734955582681019701474785802297\
215007605848057757748274945459426081725399154530997247755766635157642313017032\
642807538982039219064963255593865631941454961027109317154127523126139488436377\
655702331867465027426386167118265236682311074069342885887706151183712952560682\
168826274182002411943968001241951397982502585922484885076102155289826488945821\
250186537054563655952976362092224631428411304861186339790541960327559935650701\
591705688209849535501655127335277216 #^3 #2^2 + 
                    1829770553417777128611790315352882225586608646648074945901\
730117956264080161080762191784584358383983036912162306278053315302032427551604\
424506162192023214406955364062886415712499899942960829397754745153047670746940\
521430436265365630335715686989042691958318059625814450034627834204810056892873\
450308414506113954848619096844602512820701359295362458530372654964335932132187\
050290854936751611766402539479466078461327900675529164626923471182028283240704\
071630583115485859887995524554437632 #^4 #2^2 + 
                    8554597120853523677797085150625371926046377657020896700459\
287897098053287245171170950698414865088242176313758093807667323203336874848977\
149314357704392032293356964196631793877239917378155422086147698565591227158031\
987492088787164303254382220184821918058017419695374115161354707723989861132816\
928908586034397742204988407465573205221899960068092444470925110796147698856884\
741668123048963478420244271106525568436150017038721403528628424608816681522010\
7080077289291606224928715880994200320 #^5 #2^2 + 
                    1569940427739009000245387748650997129687280835282348261060\
666264362941957561297078637925742862721420099914154955505799369309558432230635\
856734206829153626442640434023756711009264245536622149385610108697727314635912\
619154505175619421293500181590418394609227319217933309983701260408382161281648\
224434261551709053744488903334494102805545926826754529896441311054022339771284\
631407542398556606540702814982672920097344307891061213738727301101914083488697\
595289722194669791692064461110477056 #^6 #2^2 - 
                    2386455003415297822273625595067159104213877121636395903159\
364790891399689108582176510027481753417471973872641790741071586438467022585615\
675940960411522849650582861376589839214090275738946764504525244123988947182094\
876802248194695844180527336137585216945435966359255031602305003594831842980167\
525888280019023113833766450967548957355752210345194143689052134347832072620031\
747180432660712201167155760506052935550996851116724744353926633704745081900411\
047298942664757939322366453492899082240 #^7 #2^2 + 
                    1147920488091411188984428709752451181076675926614968980670\
709145916336676067827933831943947297000986599403128490896505463971623717717192\
862680443257665996218337217679322955314135579671426091002860684014442152951273\
408902430747789222000033246463882713680508853532780455600447877305479882497539\
074753999799121824472578420581316720502240059650707000154265069828823907124633\
022962210595622639744445891412341066581741415264012811084621804801503572809962\
76373582861186656484627253513617636352 #^8 #2^2 + 
                    3404945851226274334761796862127304477872242811417906488063\
666850302057507266146908521919528155766369802014744427788780603140872815378131\
503378583106698019897086216161002407550816573579184544093271573056315316119761\
779565695174737577141612039136806890289253028111491395228305309092613228398018\
060343984572640014967935163327095267462945304793705420756706082733570088183057\
632563931534525532070285832531452173804469188578572200222468697408184562075584\
4322296434660862064642944775866611187712 #^9 #2^2 - 
                    1954364107200697424054355983530388867225213748103383622811\
033179686897017342525851751393009667886127661000494844072335590160912085444449\
472344374408451104624640250637494052317443599345994400586012252921332680307163\
438467106812544483635091727366059807750860084129274311247431660298101476253840\
069695886911937888425292455612365589616745201952738801573624487421223649126974\
428664974336869177635738959266432721268590771694146339944146542649049905028254\
650901034378796450627929432144194396160 #^10 #2^2 - 
                    2851386620097011834555767289230947776685024645215388807522\
279621641211471258836304437344127464847046343130352225428746603552139955109543\
179696022402413108103917030410674423358620129939819566721818029032773002162312\
286792632740841377223075761867313319767748440201358873430114765583313679699571\
101536633085134282713040449200700002324445194967481732411200424219934951953534\
727793516373168096887104380168519766911225057756220748372320111702080164203922\
31065700953311906728575467951465404334080 #^11 #2^2 - 
                    6352964679834773708294958747914870125644084639565359116409\
960028291779588515023070844229841076259116774436742355566047119165166247245154\
410754873011104674420640472776771976525409522456530942649654326355461157852587\
787782967574286294983362797757669451757176579849063978924458880221417290871543\
407272622790760111832155185920860573231854697822853792233182036738923114519193\
290443873084313419030198848839648472625908577185447873702910196969510787431953\
753147049373194961467898609420022218752 #^12 #2^2 + 
                    1518806146043087153587839263564594293773498776767642060256\
317279545241326996273440987494281607837614462509880199122156552218680504517366\
240833867218894704330692334714922597687346701742211802423181408577488764546917\
483406002740232648410644669392794418823509758689561635793762240930391351646568\
786426306748705825609357200593271162704292091922072968453363596511423130789064\
994329351969153662115588292114267543024942665240635897508247917393326946592181\
786298063405747793467654172188336056696832 #^13 #2^2 + 
                    1890719969727457921381653754996190836001379278071793358517\
413655761836403077453837668466552467522430459697061513552121079466775877108182\
787966338457859008808095343867976737687166804973769575183899429326099347208739\
830293082536004536500622110823325985019401949734393134894094116371908110573966\
025999696356883670575308838741111901187339424781518148564424959869737475630921\
361920187579925173091467233845849316356227841301148113549479556419825610373282\
30380144772983288500706567158194181963776 #^14 #2^2 - 
                    5352653319421548894719365089380830641921251650390867214617\
826681146569713297885612323954328956210345791996185334203045430596324765730185\
843094889175603607541192540954898612407873945131895483480207107131051470920824\
440982596328841107505908106887253413727572699654628974864936941596417744453670\
272763319743797286246954973596012060667742201045236006181635660774673640013259\
479515737082626914378389566755198055792172161423829758463087560674434576419896\
725929379049351244992021961475522779021312 #^15 #2^2 - 
                    1047089598929066642510421532810097892085802731462692773524\
271610548699983677983115613435697991913155486923452456765658742059534891949074\
957702130797290923151330457706178717515290279505448487313007932916780476564957\
446777499257168494314890939228733313523228352278403037857582702310895621755094\
141304442297315648748160550608903642796494314034436772417656427588949787707117\
964444813393822211595934315784170516004518672436972804683679422833978788041433\
329247592793465701714183401946008642912256 #^16 #2^2 + 
                    1270459862293185322725736615512167797295400144152280604163\
402366394527776633215407032292980279257306196289068201176399606399674175238955\
575477517239604132553341053484445209972756283167531150285755635696616065037579\
918099220548585760432465934868151383447746644715019012327541074690818479796700\
591604395155035141597322501783256880398955344992214017730894123575569592325367\
145969887126300210696357578683057181411940445604408985838750013129506869884190\
6891396147481050356121013993092007486029824 #^17 #2^2 + 
                    2368413749728271180990398098981356037311476787538408937511\
281815439663109496841423642827480981050070212549758807661039974823796620876406\
230794513461159251733363410471987865505847967935972679172321820001373161127752\
217860199467734983873106971543355418883538793952821366693893975421442808747727\
933782889728442011990237474465213632320647297582077817147781240917825043603403\
786883350756605992047484564758341341427169246655244322257531295904406704303102\
813225206679094351695600936069237326217216 #^18 #2^2 - 
                    2042090767037257115064768613786560003286462168424188906570\
302096740554161519679178230861503081773870337752814551688743367415928168230318\
033557792237129713103275584045103117150746481620482888011581915823838361352229\
750460300954788868000648327001073831552563591667396282169780382532198153646775\
768212270265407477861242210004486689523786209678856074295683886259650336290143\
288252833162230264064828750173525382608100963340452442479507643275712912287590\
4438322460967358810421531228413346564800512 #^19 #2^2 - 
                    3423663200057315636620133067391613195863239970256573911562\
847049155840095274647144669776356386851957035248667301421365754044352769948338\
574514529798817082130768886702267402114795609224444982741763975065600443860421\
317323830924789344359893279489318235832346986047197038938519225379578857025268\
865141387897165719195724213081728495435480281890334735786785408214075143611154\
790219214965677554998124348574376654895000247796452414386924705674734215840432\
32251324901565538982508180369829726781440 #^20 #2^2 + 
                    2216146541016463559717414215307002187247280131006941373988\
414003728597936939176220033510651047318304585161163677872836376909955418213161\
084019438674659015924170445083227952914234077269986876530434764133432913415868\
997606146721977532352999443287584518579147468994355783819475293002228696403002\
579825072076533347226986691370753929409176635034898949593574587935041797561722\
120264806926687129129633807570258675193612257537468993041719398144753005933326\
2497900156279900230495603557321181700816896 #^21 #2^2 - 
                    1137057306842313629541361933940428300700832292448272957447\
041291751680188105489969351488659837187795437686169013857048089327898736006265\
062253529784391105523363416918263546090368604934758148202092077818619621018093\
260611040792496391199906740783977927102287414397778643065931066230531071539135\
536438843689385450046765496042353171990140248177749607541651357613072922611743\
441211139933595927697845583552852845013064871952297077110962319540021788395962\
1610665325065874704932826172059774225481728 #^22 #2^2 - 
                    1612124613013230853763100220082564246742817222156467349728\
033326612989499908203527932808756231457006261690031201911289283788323563352637\
098223497997166920031030481814958189013993596978583069902103713453444976802797\
903818388731750184483095888852069214064803391813805054609669973876552639904941\
346501119749884430329048725342083388577385717268818345544668041808107590397411\
602631359033040821280638127086469083322621707134807975143180158421550670261955\
5067706585715333539750040555830427871346688 #^23 #2^2 + 
                    3220678351824862278644210991730029805936827872264855774014\
224586879323636388566215558598534431192011892172039875663714569758290115070806\
176567661374889332675999315266645613107047070898854272756060428293346368837169\
344572515385154817969888593333574396749866555016389656030614589832926538174257\
086395021703274068756337111190784199214029914529915444299760894155870065651789\
955875181891191115953444352847735738801974178127721929572714494882569491249657\
9951661144732001408619930327098107929559040 #^24 #2^2 + 
                    8022059324150296501304763207688762674049544549684868524123\
816199040634913087573563302143688893569858173021030098839979022619543345663549\
545993133326490970312773866760984578642200045034187048633948349803271755819270\
344252641277054565623428254535702327006108114041221981783993020212982875108729\
584051686265998627805213183482508455502773588949632298774995062631753171938144\
433997397146515715302583980470899785385822487488829954537031775061435203560535\
626912326187478590457719983975101831839744 #^25 #2^2 - 
                    5007480201518082870315555648767135190817690383030710880883\
721768213760743675257139239505529233679165568245009109327867000593927455975102\
341811477181727334598997540493945367613204206717024649385812441496707638334299\
607666063737269122338035146854870596541611345881955616162515659705743930820197\
966302522273766415499624891587833575656511823051901289433345348495658108885441\
773809915894184757757923565015124463546274591775833785799740275012031938984432\
1106152798603206077745236029420439594860544 #^26 #2^2 - 
                    3435679385783963247479353413195557832814722192339149336124\
942258682144186590846117060063600988876113475910750577479466446462142906112961\
256329278780757286692177946632278023120875090008062984893097248076395101487863\
286125038899065967953940088425059934795475541394298315328479904630099460725495\
032959166768774466950612635146804068826629193246604942356423598029104680182772\
974796302620565840585145553949656411575911373310018392402003975464166320457658\
124316301397563501942868623544931292545024 #^27 #2^2 + 
                    5303154081497940569931483683627831978369955534401385022970\
913131191184444058521081304944737151460605708893636595416634184124321179846610\
089763277683958819525693561528712574071072094110523466750645047359718371254233\
083182349127418939899348834045289884719754745271391931157662876789643196691955\
660881853336855090810661836618282647770764647039781163809037629287919484191272\
963374121667623960882646807368163038623847201499932885096967746265205985828077\
5763163473646171859930447376600485830066176 #^28 #2^2 + 
                    2196489239998647569964061557029231817151056772599705412738\
274710296633247837381971370577507423466431201193611137685691360857790262400815\
789100343534158543172108985813517375012863000897902945224876352265030169822967\
080777329570398367121267122955984799673863023666249373589440065643773468330676\
863221634088286536567358129621768386116358892283700598182744160123153570666220\
521935637139093150323606886634698882877292370893041332106772981725689949485887\
196334185764832570977150028034358850355200 #^29 #2^2 - 
                    4157981435147323746051725102623292715317599010791452564815\
746392853634909494878133778758299870061755383822794674519279290267056309321553\
892389579984169787202404925398739630193559883038712621523641600342328960412357\
514835544538052264453555987427593809237099346577753665641825732784677385322796\
729605038839704886082022478080545707597216280183111782553920498769641025618175\
515009057776592759941177555019882007536109103217019311727530249027439902930862\
9841874041309205352017494874128699747205120 #^30 #2^2 - 
                    1666707883998665535702578649457928315392202364813784142762\
163029559844435439012627101256657419900416661890560746613876040760688864546434\
696954795436214875484331407479116163541599187913352143832045452711173079744180\
407169449972622118610745585776148924626053981912655261033787592841965122837749\
177140793759449132267271034121622820586823995951629103830264939053197938497737\
369044246153980904827418286274823898131907509630185459514007516556089141304917\
663225444429727633589486380882964651180032 #^31 #2^2 + 
                    2538032928903980378428398770832868655057390735594971132447\
805362885461807582675203872303721079169597036640626834100516023324276215863831\
217581953258360209144427750521251958340276366892357658535396769008955827661541\
088100851001941798837270838454128629584919206227720882316401299715142970668267\
596101097407432299651883974137450219726000154204410989954776783145710527525569\
096919066230538235546802441342290377348403473562445231112182280291461511110707\
6916362218395765892598149971600296978153472 #^32 #2^2 + 
                    9005180169640024585031913529911824007370296854455556909826\
022037852592940397795639369720109929076294562641514487243522489196259296892546\
405718300588257634204429870654237446268579491255388933561760240305687139608628\
694511224893263764500669206243909562005371430419880084090304549602706795927739\
277911307722804369290370159737454514182939805578249850478978461883674430489935\
185188893212898320500988374364486535474453067262848275413661899912393418162883\
92913101842606448927312935222511916810240 #^33 #2^2 - 
                    1251936084450439248677685301747913123683705290958161223474\
907844704232189604975526605827825767254253720229036017339732133694671618469563\
425506711727885474972499001080891783950434073920307340274656158824747152468659\
852304469990003353204275794634789068507975732898972541264207193880250051539248\
811519898747740897515172773527034446118499511302933592011398881867419397469583\
233973403713925104131069264745187647201313692820818324536883906658942288220653\
3922797049338802205742312700116492106072064 #^34 #2^2 - 
                    
                    3620161800652646055817506216359432541198359978618658091831\
077060123470965836988923394040485983695226293488777991915306484270468454816757\
155002170517248271317944732061478303634393448993989191327844896743949264082775\
405646716464938173527547292965087326826396290634454432359490638412624707957806\
662722274931723514317974733725918254998155747495211515033490910414707346688792\
497775968870411162715294967042048121598218480191125001981627734742373630304284\
53125855244510207931011917846712349097984 #^35 #2^2 + 
                    5069685957472908197135907328817713102655755646999136674241\
949886788535372001504806058902769235749361733048383630328694751012805338103939\
919702987485218201686793297101791803602687937486784366834522835627252935967776\
255029544024891706843261264537921477040202738934342900525672309334481165112658\
083828633025900871800474665860452989740286518984492438512651482509978296327147\
701407110900938300654625750013103889897169931733326184609980733184564275904582\
355200092036607310068318899777175342284800 #^36 #2^2 + 
                    1692552117305768168976991610250249250821029139746999451041\
805418222292718907859383252541714843443808968004319599866451138844313984096943\
751278217071546247938076124257786495360917960247671362961325077078221679269833\
566603888397791148370302953407901038776641955108215863397196329688990738630412\
161744260570072903341357058667142759222160318670638345002701109696905915414076\
867100540016325941568082422457478971205767221888804667714562172233126672203834\
51656981517882030650234256679118212956160 #^37 #2^2 - 
                    1652029013896107737745185312085237923240343376172913831204\
114126836901064717141601364845948584545212914968591145286050117920195624136521\
845257605955215853452022101493025186823869277246992886516599051078864925807028\
592984839945179595265789386101755809880872356487605453601117823794426384606093\
261060214972428555324056543900596258737809095163771066094834500278326308088259\
742290747982124482158389460546663792573020561779366256276467459984429029909925\
821121344608588212119777400091632237281280 #^38 #2^2 - 
                    9096273743349881378505669195617851184130531697823727354824\
966800280943667521367642264440496943777407833864802165321520586979867364592525\
925977062571502060042931487448674768749475751683283415480835482015940763311431\
509987694933147572750525546062214157635550252650917592764541330030328874353127\
029517672680652526068204222501056787650749806979455362768565183921902427243902\
409381502161398128096222201568222521043247548330230889882558647359382754456347\
9141913341928777868420908505922189393920 #^39 #2^2 + 
                    4107188867688128548404933270213099806289128362853876318626\
449115406146041485065286532568504873125292941963576494286336759869571836287239\
947753283179933605031021758815222509198635136161526037647418776321345330631471\
972778131295708268843789768869674085431309816344606558594917596028524079421221\
679076296185857586206435011967413335391677703469583475420946372300337269176798\
791418153148190810792511214559198803324382147893267590280129295688203192885954\
55186911381380783825835472238919202897920 #^40 #2^2 + 
                    3481126756468505935678216764826323882778861550572857574892\
586338609036447454971922491676686409118420817039146279050297900554889575608907\
347309511376643038068145901300459775161305674470468759831714354681064700096539\
706258235641341236309073012067955275481955681141830507303932438340649890203157\
608829962061952559849008864881373749008579494457637177042932086174884412401799\
667835309898060627425336920673687492952454985082128144061538760697148662394236\
9422387716520677969338320708344616058880 #^41 #2^2 - 
                    7175592684832000893859490307682413058343828846798780553393\
165900783422806827913299811041350207151338230203654002575282692113189108979001\
756341316583337287760501855826197061145698573624834053064203494036796460170475\
270123101404788859541199255909842159893452109532333765057495840710084645470558\
388858089891341429950282117912464497594400040849577973941929298803561365893804\
475990435040537376842137378093713047098426511204615514708842855010675885276800\
9974125498299558397172475076326541230080 #^42 #2^2 - 
                    5598294815243739169361876121219206742089480551924655987405\
682221486375274756806286101275680763417817031870085411697798634230202787254223\
344689875238120480297803246281154287792275664610242847830916993556338066127945\
419432781801558592337040003344503012677443925915697348861738811081006651198512\
346625768450435695152764090414747971499054514341066397918094398020954329111901\
657704644632979962829860343527157042756956404780091119668003622202275717262727\
002791425334224076615258463147382538240 #^43 #2^2 + 
                    1012337179427100139347149585801065399718122902568026189099\
550505206276867132511780074239452395939742289541763885194475253528670574504800\
885053835974007299286580494673820432752357801449188052570446792251574019619114\
265325246146599511151687920991454069536452733567504760215513751675158497345580\
786854581074317961632829619339727927802866546581466519069216927080606421826674\
098867779716199114868285589776761534333380463875021470651229977224735530836995\
4792770888457746926514457134308628889600 #^44 #2^2 + 
                    1193470269342600551852875005410044192236898362571354559379\
641594818364787696762470991103313459662854450684414080898787144448140042497230\
560931752528527854384831889377672701759237376305993418508365998191569242895598\
105777720070951168366070976493662449684474365758063570039385582257763099909278\
121151340794343107542780008217977042356226461972624309839423078750937092015977\
420878641852848617654363405474785308095500851434996484938851978215419632763113\
064060020487212607039043644748831129600 #^45 #2^2 - 
                    7576770819116407443860588589862987978884891009185472689840\
918520361510495501878197797383523758665449683486644033414836994015226480522266\
985830523487449174520956194150480786809414429691803930258769168747104522127309\
243665907825606862698538772511837455222214627601094875205885625035703398520446\
728382016748525976547379322677943449789688833382844506475972456817053980346838\
757329411191427393378400037128676966229443244040911070684065709771047225952751\
03364040251954482675366751711422054400 #^46 #2^2 - 
                    3040215687460321727752476427019046467342895452755585791441\
020750226590982246015638542318385291597762901727970185723384595332435741120531\
736125841650007934886865046713950314972131733935505638137465087791252671363166\
401598198214836647680417712788179985030554217909775803821807547481269803686973\
125298743689222332894062052389990728959144992408902823040463776825702400882911\
846633986478359840412741205716818310803790634939684549028956677219435123216503\
3820149471473660394922643439380070400 #^47 #2^2 + 
                    8935169282981239218383519998776631121598059556845521400329\
728040855381199196386119172875451612192172264138303218958195059825656381956071\
837096770949572936991010494800002673551970869378921151954937569101118798769382\
850282293498840505923724636934129692331673191814885253226959608759959530753742\
309009597446412687398101761014749622018010568503962556414983605411498890269219\
889984257184253336453073212007244877878578585929940855755061292225158650422007\
9317190026758148474252368703127552000 #^48 #2^2 + 
                    2042252855399130768641837898002399903422300265362773996181\
897943590641670874679316782753235918749749316713990573845930653837585308089781\
354813953747428370199831739089181021730798127322954779537558872573924023255268\
557424255360244869322104682654494641136301412646626775945949951747626762549261\
585424563622587802082571078311856963062334151242118632005619776068620483065693\
466654894756095501630341018961827003549355752251609318430603393597389390224594\
6265756074155171871911498829791232000 #^49 #2^2 - 
                    8553373987033296466269632552213061591597171066418026262894\
471747668172611264616863836116439174357034711432640629298520901203347159670227\
297643102836813980810132374473625752161583517530753680129807827245211926907291\
002084112795363409989756026743334781461298079680390111040805283298456465151115\
918606933889609675304862366388465305800442776145656771077895244597478172419881\
859690132796565506863567732805716912536443430031365170146234845686345521435069\
584187121434484826246941874753520 #2^4 - 
                    1348489835855461888845905873185566836776588274434732471800\
843603309174772619500073836176817823450515368070981814139310386326384865717515\
946582184153978602304123541243638789483182325653124848240921158446363748834536\
124428993072716680816157446394012098521559023513942555445741940641023439988120\
902760272006991973123204710789832128599586076158164370920606117206014157675087\
261582857949661592716703392775073552473283772827271295041199483083975079325261\
87912205031312787857527901344762752 # #2^4 + 
                    1005746829544999273679378210690906843906650511561197266470\
288192942482641007566660940752826543209475571068332324076881488171823131122239\
152996209198764744361619800942032535520034362413855702916182944274546486277872\
963091041839232215570349241649016047191046701134924466996131003674600793057218\
011052616100376465383300899968037724575810319497480670750049348317885106426098\
689540371388404203963762892485209028827888224304624900494399874789516414004146\
398701996710523082248991237523646080 #^2 #2^4 + 
                    1999715877722629282895118949061130560445529728684961342827\
543698532606433585829315606524594398586215035875857647161415341557786192327482\
127719049999696895252119271860524767305689148435816113674926442504220527406307\
664626572699738968157415916913492922233631829174711039485927572207386176918489\
561079175855452024947514862299035894930832382840690757137675062280695964937868\
468992640823570407886043709969621843364999974942764333915771604280701852939283\
7076951984924999679301896573680308736 #^3 #2^4 - 
                    2666623057670456032840703450557166424106531546074381923980\
268277594807212058589799925953855232075518937672075762605397955208476581011752\
565542528258781260838491490787716781969056918581879309755982630061630513018418\
273314466267326498190932155436164253797516225679766690539062504166902012254403\
520802570744922433207703590720988410256341599238014038701879695169279000228991\
268194902911462167433279529154454932626036870926624370368179337420103069324682\
6720266030353773849687463382101366528 #^4 #2^4 - 
                    1097299986925133505770226834338070077140617371416960100595\
439732616591779062248801403341394098305222373538735862691978732353304150704830\
410195644127856843465614223149440570898761257092549734158087343848543196565643\
215441485024011693105302804188441246865970247821234317400386431528488600835094\
797686454731394713226205386818548238201100073515398838890282853772686602820373\
886075876758259410964783298368932610076973447382470718119816113521927042244351\
882636228721937097646590335870783199744 #^5 #2^4 + 
                    1210179227999188759174742654248552159041015508159239259223\
521164234759574990431493343670079490619176919714397689462271678815733168550203\
023753600155982093258584121320396911024311277333253937576950718549064205938282\
335577670915930789080066699440656769330320947262434509511661828702243060952584\
013271565228464221188734642757428113356373121374076991000563806080068473402780\
019290673586345164106221815186249532178191055065185694368066056125644442731198\
66923003017755488422755834660522050560 #^6 #2^4 + 
                    3034199726652883842072382993242654712031655456458277759182\
240217677993594597914279927898277988030228290646063799961352614092653284696891\
885142574848939602877666476932559417085610776939565832827874276956831767690988\
047641400909193504297939659129664558065565860321028863791390183812847247671382\
884362120239143484512107852623400736767945408098876677822070567438687301616893\
960447874633561622833824904662153507930320259728957395448744184248167988818422\
9165113925987015701980447451078318209024 #^7 #2^4 - 
                    3695336947972929303364482682670632003827344865273449305523\
987303570475493304079852422428057526399655925138329141318685147363050452130811\
791253559065430074909838644344139993947413078803279976924616767735972474423124\
573922071993354899247257690794681444980282869811553226336781884921655300279494\
485525315388234743513714232495567478920727846865786598669775243977875862601267\
768717722236641114710242433598669285674293470844838652420512805909935887061513\
176053123233222902834433341289907908608 #^8 #2^4 - 
                    4311909740760355775666829203671354427691287398818711431225\
908221307515178596746951127866707909322380375928994159090234368404839727482261\
623327507121147556368256945723233806967973908686253460842345854314682490047639\
714038164306222185922529940517070079214985032614523780903140025381460175651751\
599097088825631309053420867339764772688537851909307987018745231892821926869533\
771783631877102553341991974253698039349848930385136741421741921241882492786778\
39257142532144397935629527657772324610048 #^9 #2^4 + 
                    4400941602315501700049187744463578888159230316516717891353\
243738334116403018546525925813931379923167597391539958666998326306633215102335\
664912492958953009887063410839147543381878530586609977152614905982855389933119\
920366472424917533653873818391101917677035585357997985460631346002282988206361\
784306234181033160268329711666868015117317265537731861472308092151376069714356\
254335586669728721722799556838529955617139043786131760730632697428200149623009\
8115229457629222029761311709649752834048 #^10 #2^4 + 
                    3606230174125341053046817241364238429220139774074989692713\
919030133263763306946836566965529295699011621952420660584709724124135350694203\
992626846732127377937501557816453539352600855345593941751010017921731555068060\
079815987644328375495545088095581449179554805168161660253492623043268581723145\
996013690951554219447858923676000184808526718056467409378631757851712669015183\
813449695091370071280198090377239652023872086633797372877785430716834917856720\
190878203303436552992832871145295989702656 #^11 #2^4 - 
                    2239140570495368078416851600516890512664402537252603062708\
017707733860776824224289175453114992353557919497504427246658914736349015260759\
008667442390064769614009725368339773351666822525710500063012298981369937189043\
438498382168140947946058884251321022149026340845968068633329781975933258841070\
658240676232700523987108193290893385729840629042546054106250208164246701752042\
740243906067721250655961056565696286688054239410249942964431176472815477681092\
0335209963898372856465364447574005317632 #^12 #2^4 - 
                    1920533958898103040939763192816563392613638787542359894559\
823367004146345962346141566047477450616127354445801138660920229660503944176235\
079805189187869671437401076321858558332333157866800121239058463753726534004297\
395514221147431291465936410126612613801313672371211225453873860446460218370630\
844788057439591314357520412405131881475610900648461418625921039110681570100017\
480929976373753223000359869967434207058773540925130393272357438736628448308503\
6212917509233711284297283475506427012710400 #^13 #2^4 - 
                    2032567606920800977231955254775840948871284777913021555445\
641686163116251293648958639894040290025824389635610048012383235989286298547001\
885118535109931475183809273536669401720252718395722393559631532156765066483982\
573671158749296816885539566234541599338374154526131485847435320831793284661386\
113523516489160292790173562008904149006045797105358138191854472219689126952998\
939744247879900659839368115880440862467310084293414266002897918590871322999899\
659751392307253845415395623161865139388416 #^14 #2^4 + 
                    6769144075957794043276349128197352872990104517415677307024\
950987209139048771763742093764498571589148103498718281358664375178704165745038\
088231594892455596758772033392998028547344691998865907226842464373376518621663\
703133557077205154166299853287343617075673668049015011038479542205979086597293\
147119986243244550778950550370419450917650187803983802507940696634073863020190\
517925763171823035856046152756707926719788106856257301916193061666829736167080\
5743641818956966846025181052273140676689920 #^15 #2^4 + 
                    1240591042549114435229698904834820797914791496459358129378\
451159177633717935884122179149041420920324530558473904531222522232346494205644\
795466193715897885500072795095545117142410488189683669683895798364982883367797\
679956096321206934110298663124736216622882907243107713742563074807907459153877\
203086501294015289446486485857000537915287145212591107768725480125860841208459\
729904157857434827328709167384749574039207232088157129217438035148585288735006\
7257102943460472559020228298527229252468736 #^16 #2^4 - 
                    1606481160505149834898100851251210513353991436019770138070\
577016659467352637516498115117906454552511042980132820877136326925138746393163\
645557044760617573830926082023276324003549562388559748171989952810516600901142\
918342051749531257925882506167393516939943278810795501195932123522263066048470\
716910838966126713823134502663097246528379344148359185424938148805125273778198\
527858070432434059912629983837328896751024200823819507168815494284815944156727\
19214661643858285987124702478040132789207040 #^17 #2^4 - 
                    2865524623184698828199016550889794593321499991404742510123\
410686336800846893715658762478870686096732927774348606197728348886428291848158\
175026446428235018380475060807380649995567716003338683311192123140415043359375\
377392536779160119992188743924213664422946470374792163565142193053558429458923\
706453899839547903774687293545894334222633948301055374300887095946812892703451\
569955266014470319971316527153074710439680189590767234261634137128654350499540\
4005440736404083526941238667351938029322240 #^18 #2^4 + 
                    
                    2580043344533089172524474158384834497663700613186945144538\
328183289573231973301979494395938694245676344558288302483058147934755442875428\
490877552512096114219017629915888757693477583232605899569099846907888985267490\
153802901427974159223911294397958487689000560428463049759764397816371406281148\
917374999104622846495977522719733400533171730696796797026386036623901854405292\
697830481367764885944320546549168054949291028489340278134553318008119286373820\
38781851197340728774125681451485381915574272 #^19 #2^4 + 
                    3042483093774818887430739473721150356472602478591002924911\
585022490101208646248530160243193014236951936885763169473419260935656352139508\
452881388507604568973391244433558848821877085193985028711938612789012315029111\
615978534784981928005958813839723970777338806176952805076059994769188191358009\
523773847053746947284360637329894904728112306724330066146941737533199084335944\
427562390996439583129189072545316290772225026687381019497526477424186722686391\
961901435375436695022324328163538653675520 #^20 #2^4 - 
                    2792817759053669372009556581738135236330904857518117987769\
253050648020522603603499815876654037023847438535622260835492620038274252902523\
454162024537035330785856478496244585211690265370450472790739838626061897626227\
822691932588439748240718712827863091616828204824660258364419405460731962341711\
574871528226430042681658988715838487371039449320100576387703189328381686209643\
085168821226855822078156873934917943126575747650635199105438454291075838197763\
82793300203707190958524367735144737348255744 #^21 #2^4 + 
                    1444977673860296811671575085927705616989203764830383385881\
200676110120831308046260007673219630020685662984261610564604156491377235678181\
068662258122471271152270967871147154985269782247740828292868530165478745569723\
056744245200240364838415456052667556128986695126537819037991816083533593408975\
806315452980598459303549440653629456133761839421643417497217399819440468690557\
413594954257846178982736794922270506163891560002530192836241809935661477727561\
53872686670427911698677513870035777998553088 #^22 #2^4 + 
                    2017288433413402918580232111310300230349981056868583280721\
433193970702963169573467743186448754944629042389423469111704924669737406141010\
712975779021671006600965926010898595439495348748031062874458104967643376760960\
419838934619413310302752180067341113695464803395027514736248866930110797612190\
575027821342753928586143254291909923382517796515840710999579222202597309962476\
629258359042921620722981101854279017670469892234907582519431525088250095993807\
10881281591220815741648570990159359018795008 #^23 #2^4 - 
                    4073052191723711216118324684858399686550798412775081070680\
591687391807654081475647730172611397413009243538952746206032001959671531114814\
958826663115722943012505460723638621065720425095526100328430194280002817454652\
777220135337004568672035147792637460821935492651620976293258277571117785263673\
551676544542000694129073862633579761298405866067115554763745423891057324638981\
957935882492551159294076553305166859938835880562764984118353803978578426685914\
00175306475767140031483893001638973768990720 #^24 #2^4 - 
                    9838205788624589392206113722232622326231234608224709298965\
937139020231376473977483846471418177766205888710283550941445542088954550552781\
474760344862477807905565655079578039007062415448562354198978490274595376944188\
510242649369126250250332281837278433970983473593076384665185077271994785614342\
212008404061824853703981194738192382732539290415800819884394979862105990180977\
258557056089121560621361311490403990212217247616442133537469931087953881062720\
8890220462447017325015036942958037739503616 #^25 #2^4 + 
                    6329350990430110096838692174786072141463731318409712224142\
456622921663261962210602581200950561309312852838037282550389292681051463296350\
970568577194505764312471694755584530397094625722154857460483463438951648478251\
191773561564271429734356220888804456035499849722076022163955589365103170940797\
127009864528365724993820587093412733246697464763075348302135775291195355643913\
986323827814982240732725386714598602728341578124622244051819636271043261852988\
92153043218993147038444368350249214896242688 #^26 #2^4 + 
                    4032911683551862309506855390138844130796968805664661201775\
090676380126223417432061932715515261319268221101349657353128393911819524032931\
714186151153239636549222265380056053082062729302134157478042025399475169366756\
578702932362536761343091299909977958596392448228394637721683355856438592532154\
102619081658639433423270680672832558757423694357994355724379969678579127565852\
951026530583770621718491453404756414508673603577174157672248517812092737371795\
5196144193437998121378666992770594499461120 #^27 #2^4 - 
                    6703517102878021457305232003682301495528624029605859821852\
373492832583529154922433948185960679311283175404233008004412482043577103684023\
392111923954460201237292430811675412026513045402761279837181568972181497033079\
664148877094770773674686413455217822858787627470595351308289376073834072728986\
155685916862861397559352556383025402144425016269502972778208772471803143166915\
520888022041634425718606045748592457109984304790882603788734735185584235499569\
61079518800996515923197945676344127670714368 #^28 #2^4 - 
                    2539503363373943872328638455207297392844642346827195279278\
943536845718464549668625917884806286862955791245468944268704593169039279206658\
389674288574116717810278040409557242294719011261297509499530895315539675499095\
253790644008537571728779568690975833698112149159496974328967227196136661536960\
626099133199233901625758820720314376022722243515818142426388457946433814773384\
683433724608349860094186909361061656030531739205453825305358341861246216662137\
5815235670436919813391735160170580002471936 #^29 #2^4 + 
                    5256615080423395328470774893133387910045145422297650047820\
240507530107086175240642248977002612116211251731008862286281127742462489618365\
375838090807251134460324859911780207838455015122611463213120527731724228734044\
404132041826874239237388791035412613896336050777769773157167290693206680640169\
144825756982341764947543212495851528900411204495314268046707661768654706708390\
354746668277484709301287680151121140467686986190697401475846752250603043906624\
88909926082541611681686720183832238415151104 #^30 #2^4 + 
                    1965456400310127506323047712915260472592695672935839370893\
301430918988221762609212445151165133485606820315233516508987845593279797455637\
801667990905335396950251800923757555701879462680059643312078516199997665913771\
469545711792982909467159404513607793794351652735133993709011458746448362436349\
507547998520816012350361489638315337247940922051375302819602357911573311878663\
224957144873592048001775514909614895734933238412041617545760097691645964687574\
7392296435141580072575431842627108315594752 #^31 #2^4 - 
                    3208896199943891021175661782647850564340992028025124531401\
080850582892432864170556426502589725884745297613938355572518050965552584214323\
812657889258957179735876294822439300123308343245812615146793610210017727231614\
381796805490848935702086028284642147623585173669775693252306765713734365452851\
323538566326680373551119315233142276295735588777480249362645970933665705836200\
986627546646208174995211370580717410068258349911747208223064721527481577124933\
48805901201501610563914803121442167239737344 #^32 #2^4 - 
                    1069956497684498313601175509269021024534985336699941880545\
843706366200267137164861900631323718168766514310899094001812223027575018574591\
582645300039307705999450909693472188222025039280537282837121329555416381407809\
258771395120646498527029287717534028048568226116786358257884014827761618301134\
905303514567203522922438578971447322319006995480147523701829501337107963273981\
448754469956848678798096989258804732785087366976338055263815323945296487389252\
0442729464996010855500963532559468057329664 #^33 #2^4 + 
                    1582944712215016613094596272746715030560955059246282946187\
676538699668470660657888736106497311375609289392568865048624367885984339780641\
866238191963920264341501936144892818984406354713420526151787866080488332088646\
420509940331860629538885760652808029575941579463543826908117918606898730185673\
768003075929419222410595413180659140460597612954408632893677255852306920934144\
287474681885179772226142288576353763587822221942663666163894037612323186505670\
61374812104833390906023037462719789105414144 #^34 #2^4 + 
                    4303569061178000350127900329825220418570502574621806292833\
064175578090415059324334612096316369136594573700683312536109545736744763997896\
831650028443947395538984817484984367219840405575560450096433340198971833432294\
865739181183340412959601744963047293494845826484236532430758130756461880954330\
753286105457485125338628812342307883367783551101427600892861283584881840267196\
633296926748723054644441554067635664630615323790705501051940192120873591093482\
505748533591699957537613360081004757254144 #^35 #2^4 - 
                    6410770898283556902946890223509019948347098108072106032550\
551232405414464725709237867972093216044219373706199566455956164830443048688892\
364179771981851529109750134932278734760357537782916246898365282957325509166374\
322984219551600827907999719227855690928912136133236927685866531495664497874306\
724642168725935137535062044144385068856177729311628219220097919289854006991497\
392266389136442089914615783965288456249685142356037751765552516128503461500142\
7244867461368031353728505412613662448812032 #^36 #2^4 - 
                    2052010429708628075682729313167146410198237912673164729315\
988240166828974328395799147562230778672802926605362575810847335875704080277873\
579795406320999214795887196767508355476732315595496139264132803613063598841059\
677147179638762732903681967286300476400451483261757109645997640800751925265188\
384962936095228665002308416619833693161539588519356417151088133200005585020429\
143552749409572229733390983901493180130135928171814937293325937201295060189621\
414230919991946931524106005175690841817088 #^37 #2^4 + 
                    2089414628786604418115501248577327695788245782265738403321\
114539536065123947145163674368308732092802762745506414593427805550638349755955\
742614437053464424872198710703218499428926240427318488116164043298818666330557\
307230692597359330237230078708071766147241693862030547176895898955362982096124\
279402219897420835477623213707812562769435238856688337380905334785117337838935\
901454357195595330394121895379074193021063342980752872103960534603477618699369\
8162782994091989431489603655240242367037440 #^38 #2^4 + 
                    1128618116428766026895260906659441185215795116635816220057\
537425527028518031924090523940362605328313563850771769033268333033180610155723\
757005036683518960159834161677125678942163669649480339709866341640374477437768\
412743616576834620926674702676027512590558609284207361287341022407304640356757\
308520399964397056264868348726958137829922137098980944650636896189401899140648\
744740910786489899274321147763365312181858834683439410076179080270520928336804\
041239212993931227478963788717262593064960 #^39 #2^4 - 
                    5195671285373648393449903869381541439015599240961636540127\
888857537539248259601914113023978682923482729210916027299967252486441623096723\
832293778431380312587295949391967927011352288833903397930380110156052238532119\
054666223263942203142399562204108587638448014940433722394466245781103606448740\
212736475321287050683728852073776308364771332378783488720865746048535864085344\
160708857278060203478203771992903410257425684100802770299329425665520314965939\
278644001341717774869869897284090257735680 #^40 #2^4 - 
                    4365321371543602502666876039400556165058363175187535513768\
748400446537120322142745052112795524550889979704376035401952075414151701910441\
876492044630417976858742217216161541739948540098211556703982451912434876404954\
720243148761928606951199465874625382386766374743942320433510927212457270894777\
141381689110733144001819429870663518752183768379317367186932644996979784484099\
484060991203427442175848392791528756331284193373561528118255218137266138910730\
90196570555786827566253173188428122030080 #^41 #2^4 + 
                    9077427537093107157619060566030135731868661235043855602068\
289392010802130853316250700515418987991511432582377701758530865429572798225938\
224012221765070322898413764582839917269427356233432748566980326540216816416690\
459573206513520881462906684442791433115048350923919311411063243510391404814502\
072222270963495721058532172159928746113645544504605212438577932010867970364777\
631349170836566543171205188485066145345619134607834423146468445447819144240679\
27072063073704189186443432206104369561600 #^42 #2^4 + 
                    7027770050349875554840776736734475406277323593789733131839\
274448131916457326238512186870667496340053584197167405537130628558502944217289\
967065216835559773232991544195001622627861703225740553636758904705439490722760\
922316190692561027522690750905384892217666731268262078655087190168298164446473\
161257828480050845654075257619369666245147808379009142819234552900143171462806\
292612628940667944372344894559070630244536224930597709534428635143086525070860\
3533065779108411968106432724950644162560 #^43 #2^4 - 
                    1280958704421802371335391610781621169930908315506766305068\
522540338980981698333398854878386174249810045885792345917328759133431799936750\
491682645479613620230634111436563496582719522968545945333462038039361706469354\
286902430706650546487903955839197384406390712932011168722761345454438757948447\
053098821134627186661474870761637938439736805266917012208918870708672476874818\
014019522323367207269026926301358408556774417327226551080353277693562953329765\
86713219329947642393853198370839566745600 #^44 #2^4 - 
                    
                    1505700973772871935395636792341577533575467711706193935875\
921432691290050933751988869408259391478424148038514628958077788143240383971063\
278034451832437497217533646661014370027364342992986112993634057107383125635216\
003992133732172936570984845458160192470557515890645221931582742466514991682681\
115742441639495969834254372419474910694226007577697296217050188774410928786194\
541046759631314355363068927123873572926926495781441079316087263373199300401926\
4774980353387814110412768909947756871680 #^45 #2^4 + 
                    9583893257143113874583936743572146946903353443442960008846\
760854766061382189995195381110282067735792924139642857187044765996631438093808\
731543129719892197771653684232968106388578680668792392666344781854582012496880\
044877535580144223268029258939088466544569761226861339272168472946275886930865\
397508414325749424946999444126368568024684432993404316963585273166889672254468\
325994758771555500767718867368203798249676528975443200409532889433842332582999\
296321903422644114480547880080559308800 #^46 #2^4 + 
                    3797304251646826334491253876256290368729285937659918136657\
076552827388196360008524431391740562062701917161451970336258532625672232774964\
877938984416154616466507784493495096035909614738226304479800788969542929635545\
533312981680891597500159670302543196564013234591843705235229813211179857106089\
835221065294382413311606291796054065035612681434728246867657707044048569015195\
531160974231590077802239179610427586937116360143543479934664090470559819125196\
96217638200618499635005040356438835200 #^47 #2^4 - 
                    1131219850395499510412189374049198426533904786517055788924\
454152425945511790418357625941362550081657409395900911059776850040760345024477\
205486322626327879908930169728793355018943276184052954872648152274369746663332\
522522335363940366129252328588096069279626053104131558280617798568386830284438\
796845453374228681762777827851866882421679855651954778765098978283165224016999\
661560042749473612265184665676200363220175709844134276358231933389013607951128\
107492135023341028629888919422579507200 #^48 #2^4 - 
                    2583246117932749893379067029956969462605294740175895319431\
600524926910322946711286906653218847287083500559055189324615609249061255666597\
130563217181280932863379499296619968706536745830130237222847961055062479117728\
447586336740057639772664110709231885817043516684130038074621213501197800166196\
010766082913150613680773976457396781302634803253921762458495646617608915043652\
086183473292477990290626107836141722507536278833313457218095281430787731636857\
84320523000407134233008505334058188800 #^49 #2^4 + 
                    8036807197236381388471811668452297945204018484589489512953\
734181059240891955608339688767581283018829785442417268061331456770493197868118\
619004653837178048133081003936683583299809578403897413296693320959507498827874\
217184101135462822929882092850600020876049716457711746061822578314167454461094\
293998051050771717060902852548999165341042908987485631075253490352000061088916\
077876162676534311708470026202784320421155190126502281440820263417350914200915\
166776055915022218645060241096320 #2^6 + 
                    1263345811210465081482372287629672247806996822862636662133\
061773662014206086230106775851060049415124101049106020090171662480966916862021\
084232544401778525517335162029204095125281934280412789941588278036240857223109\
823605111327263236647404924569820537097019761245153960967607940659518541411086\
089806068376453157391307522986517466743985214003354174876443454457149564734715\
411620028266645398655575248452392502019108892129173297082892876945458633190937\
95995714059801864062521212323351424 # #2^6 - 
                    9453439921780548339941346497503052295583158987173005317077\
333307426869910988720326263764314983715174310382612007678802120247369216338288\
742314094342511393524511473245452155470811438793502074147686640322335792951661\
076191236365830849287804178344567841838792602301762401079587596520343788259402\
593488906316533693867077156097565360953208243650836892530288553455413535607657\
443561036534222786849659898753887576241536690175817098300965940443646271019618\
76002346108769604924771368435403008 #^2 #2^6 - 
                    1873264158273138578607905216760622946939768787315066365067\
253749141497466917039037924734355439234257679836407137323519927563451355161694\
110975691029803649895059676738918921412854013819552824891600211744531744570741\
141459890015416547691842003933027342769302592579050343436471392783542098921090\
090853642956512417521217491578660696705484805416036608178970587025772818448967\
164802572443917749275899245010181694997487698593354281294326405351008149502825\
7887274743411620171413534226475131392 #^3 #2^6 + 
                    2518965085417017228064904223029523257345826290582240981191\
393736668848414167913622401304418132008354153393656894527539190781451076970409\
669217274027199471842001380896200739988770845922935075234174365693357746136489\
844870865967313999577625602917929649220918090585551438726805273577574595266118\
636736465633059205936262146856757552092743858349168361770548695328644253733660\
363745851044287419972964598135167930533762399171952579399906015078177862565644\
4395817292792468933923911584266702848 #^4 #2^6 + 
                    1027848622656970841802543065743377030900166972459502560345\
352788885419086172427614938015911928422247000835281652397433963481340768792055\
872055977229370353160493567493142047396482265600685274081251494341972006011457\
149955586066039737618634915135285150864484255244348890920540198827482334845781\
150215571528038984782977531711293220588159313745015101545490737904324389549674\
389419508891216842176972577808065128920213618448282409897193065358181659939178\
904017746762238260485407459045217202176 #^5 #2^6 - 
                    1223510848430209973917587517248438685480936237488331068218\
903313462325146248838167101017631896402617536288927065466143986374438669879448\
463441082114584187358129467466774545709492363462540384743905748512134030473475\
827036604251731091955507250555779178903766628412057194804415932897763671022105\
102526566986677810053629131952424112136981802233293531029913624604190482132378\
921291552050760901657283730802345428564479821068007381176191983696735292479488\
79563296549756032218184904998485225472 #^6 #2^6 - 
                    2840526763940723458183291609408115433448940231582643734872\
125161235366199902273974181596244863817229362596189198820124560164009177494034\
711155743181877879752692626874735237796606132228916529339261789690671821520695\
552233922335223905731483678583533076839643124285291340736385429810909877014910\
455866276612282587550292442273691209212272238398872841019929861680045608770057\
478932984987327368126877947154569969541535954665186752602625241902149763967742\
2716086403020015949184495112317532422144 #^7 #2^6 + 
                    3601476885446136105238615385693524307824027182178503264214\
435156054891880549416087221191174218559814517891047060633558667490989250765713\
264305350773874133146933200178036681216672077747825838599417626488123757548778\
268523637757531801064680255327253538158703071438468458145082461488142499767384\
205109463086277227654169403180939856758469540086610873223570711179655295056814\
845471558756563029860506132970519053234668391524897269312212597381694145929422\
131693488085998468117081384934553403392 #^8 #2^6 + 
                    4035636027407669351560802780392597262841069028149720515828\
453677761562666847508785468512863819393821835735010346029807985472787081480084\
728394169144565302596154600147104230112029698585485616424689306916789219756762\
731021985623826480229927114826702495239923776928571988900757023667427038981272\
413020335102814496943779575530503215209207583908213289643732209262130453481255\
790549549432578699958492479696782957066843843237926978188931025259920334113051\
21497650957573036783163856665427821035520 #^9 #2^6 - 
                    4240887761875451418539130847034641556761727864528110486216\
442189425655525638872154725224280966307647449460035822813021345557202138399477\
158055857446234845290820343682782423059643840392046293670460457920528325436327\
939531579168551863754293848281278718019522662136819330071089989874725502344360\
159453158062735749685752909093758614036954012700322012672229941144797077638097\
552620079476543242769131819624975275221495277444718358745815135032159649933730\
3065314640523060713120895705491627311104 #^10 #2^6 - 
                    3374889571602706489117889222647220136868429831764882300530\
980439780242172275228849619754904187467369448128158144502641500954507253751784\
604731602334043253501050903290484002977342327455947270827014871804481745244010\
819008658853447089120940972598661197850599704498937324974997343944769352705282\
982376619896537814851020722599746380198785017718547637138964550457742737868288\
224813119861775546511274419288533840667091971848529294983521069879240354837114\
532671040980609685283516499486290445074432 #^11 #2^6 + 
                    2743074616172696572749264542554268505321180158755078487313\
632373810952170216583736216722581040216989555287306217964397166178207918732972\
978962326326950338487636265433542345886636373774931471720467784976313295231553\
063027732293879925643223163756494588364939242004441455570221661388481868890432\
749757942315511099537404544214587572555547118552291526831053214991020969411591\
735023356887596242065741521300986300274580917731590659048049071611965697414305\
7041735590404847233023781610782580277248 #^12 #2^6 + 
                    1797310960068117152528512463652194777252090760716149957952\
780927241976115082015600945236963713425079375571195632524921598093362896343346\
733030690783062950458438395800783828435850642337427431024209371189267107452222\
580417581400131746250334394288604544032824898271151896025396186712945376120909\
924576577522654868818910098664638768061987173596603952928652021493542405499710\
741323575380745547830576080177445533577970621323907766221421842695768648976316\
1173298367345980914904507345763738066616320 #^13 #2^6 + 
                    
                    1879668264008066807683554048584981893145537978005373874814\
655968791796097730064149575468578416457748581564788580855391037714933274796848\
932771015215369863426230130049628763910993764710808910099945745307699847745713\
304817896898279959741402640123814516707175464468795830061691763533178285223359\
133259813440117826239918113245419907076510429632701691244055105038972319284676\
864395018667543527066142271000823298120676590185231612706120431851253062158103\
056495029998062366378517902832272036331520 #^14 #2^6 - 
                    6334870418490625538388859398029054878924144581703996960101\
290457396455167614804569373335078165363732897671908752907001077331772617140105\
311551635064017477697076037491995170539367134145379724192708684226985878830507\
979165549776246436436142176747396150321393261211354629511120797259676188704025\
238444165518304336769780486455716758110076742635812732784921546115927521179292\
971792417598554284858328270125416843949621777002017644537895822682143879339168\
6932635572957078567555045511280681451257856 #^15 #2^6 - 
                    1155770811048050676520340359562016554816543692649791100676\
145809298512729999891817973526792550758829289778680667115734901317492136383330\
711968337178704932766446992902546710470139520200411272970725809924508437069685\
494616453280430204234044045815360814050593323195181913936618578394261216109938\
598087402857657578047197011632632514903077262986978395494652851729421096697007\
862254793145608723205576066195582972295343702120981391064592172828907377098689\
1463660863816128971611055188973524673888256 #^16 #2^6 + 
                    1503404303193686771218678115200813716324044158045465088296\
349036307937801731768633874642023603345116574267975990113214272890006378423513\
204436594700598993569747893216574861115239269260908080064327010418995619638005\
590303864090738043389177642574151511349983813364441210278371220649826711630526\
049352235603472230658560021877821096518400617648062363395485390356928858554369\
308672925955238898685324055388739256893933544996286341634251363772646783619300\
91669681334809072727617782355813437859168256 #^17 #2^6 + 
                    2673589105537214352994795649330329828662387175711226289565\
781767278187405692549020814925280106673088813780698779753481572885939092750595\
433319351835489437612898988586704450385200328551119478064055075447220059587840\
896662379425380897902432345581165351198241853825059033086608976600678610592175\
941258439168308831222226283302569085476882641730927586551243463631848695678265\
060620984271693114624563671203650919570881190055425225886271559567397172999881\
7570669837273170224975588328033619101614080 #^18 #2^6 - 
                    2414362051440807019967420442742470540652268066055996494600\
004219279042791441756999080575483111043519042920745666738113640235748051641830\
948642580577539907919643239858756440689276893996999051166604844628674903135560\
187960855604069287688269612589692585676815919044820765252107121678464768479396\
611214517099117679641951339013066377630101362623669583697326046611100856021256\
366690964038120193926958575051062792710044320925603758455871880204551890032426\
13770668752118033269150712070184605627449344 #^19 #2^6 - 
                    2766929043075953070027228562297094241377855674872646317218\
972578016916351681309606293506185522527222034186585849486839666286158921551573\
605795917186224690311847584560509700678428111964965270564381236529989301146202\
736183749032503404952215748193975565602855627377506851134485032437083837593373\
835596384306415286401959083890511467706973835703903646345442285730471650506664\
819020097238043803630571669633137673886068892754275540969645016414004017191202\
467208003236577498070384038897022220107776 #^20 #2^6 + 
                    2613024100343684898032928606282987522183300750257987464834\
137118207161561108750461204748405826102010767842073579167385562652489727550037\
017942423862761357370007637541112177125842635067202267334805441448575120043710\
446392536353765895131647210320193599603927454581486623108481405436546718829866\
858907791089475419512639527469358681337713299780749413199711744074722098491009\
525179545363788155420935160318881760223416302899957525081844182603670020523377\
71795328784045519365923970854906419981844480 #^21 #2^6 - 
                    1352712794727536812938255503614900649403927138008692444261\
859356732878302286131570936577240776518261845741234385017163215806384637162077\
467550963079795415787495627617873588944979004122971486769474823445095544849870\
425451662232864989259537651276823796831560346424426377556954059908384040954712\
159465390359880608898592715179144259088714429669131031271410780316787756292871\
827073653490346929211199992642410614664636983396806330160086718037133526143413\
37927289664929448987836677986888731586461696 #^22 #2^6 - 
                    1886521799027513039886592885489471376414373613223753301891\
395088648764962826971168723855981889081534526510144316061042670284910800416941\
853462313483842673050379353940377647812595026237834131740906540932409332421102\
214248809114829402634920337796425291238687287646451434261503707865985671691367\
972041975886778344677552606225475193604291460185165074170910578708644337088995\
268861765657875708370352906728318980117973539847422675721379016329510154219392\
90625011584438875106518256978322696527937536 #^23 #2^6 + 
                    3811746510086194977995756026181372197463049396627583186878\
947812536453953898430488736962813383469031969157990329375772230221621790399837\
518314235155456657380088157945789790576513624702341192737618712761527765231656\
009313757958562090037164370505070001625210442150904384992582093000064307319614\
584134109405054456153005737996562133014117679667636486111001861128403470823729\
698830028975744541102531720378412467904553860662087741035256410293209742803680\
30282872849920477697082132181248148175323136 #^24 #2^6 + 
                    9187852748425740057079749581208137708128787970618306656451\
000633728572732428040288821158871117448448474617306119870029325024318269837964\
046357378132692346694754386586260239797590475465023195336196694170670831873340\
280923584214432021026177025910236594218348159475870245194145565257683071788235\
845975096402088742631989306649591726502487616553169503267060820580195731868775\
137357865110722985159910892639507912292701583708518192052559173451825627284784\
9498342255531114641531172311330005503180800 #^25 #2^6 - 
                    5923077572442887347929053304275047435826807211950877656750\
785696930001019413026285571811002959626142270549707558576834256999575735155478\
714320700548490268780068725206386112529031745439461098903571650743873986843362\
229474985433065615717610499814755253375838672377771767647805210924465677999704\
763588805928908934009564663253472702887535267165417279828926671029901936070101\
124397591375801964280133175568765410944362938631485614580129375554194064150235\
95084604049655732140647326138818892176293888 #^26 #2^6 - 
                    3754711095549175163010026167554895770038448156441566697252\
193698199186397472942807408263605973823479465219125691575836094457109517051122\
421670029807297797473598417274652600413519451621516254991019737156134165951585\
421730656000110015948638924770996059527030222053861532498059099709943755747187\
860352882289077307984819075810725942698832196204203588357170510983056865402658\
058670129025214952734422988907924499017995452721914389484633803401701397113539\
7438116285612520493236911247988125125836800 #^27 #2^6 + 
                    6273250706821828097069486383797727552871039273091120098043\
749143714549120089192444497755916410791276539890045819794054934173610793731834\
033580502661771605748204618232664145388076440650735493136621154867757715570648\
938252612928842473597613289250467322034608237311270201405035989227458930700278\
037199008026089238626215728712304891369240569035815426093061062515067712090694\
019401932774569454234770028821187986310165450395184455795775045969264371537215\
00067988489369174157908702367066337761558528 #^28 #2^6 + 
                    2361724920327167569962306268906332228232390044823069342046\
701459448609825933433348352417271162561053824940994244718506778376645556451092\
938995716319211466515954380757321902100758455235372774827821837911934690440690\
327314108372457739336233750078467247187391513750425424792611079066776291334364\
085199955234938424675863366324007601327891157858102613661119246142385539022074\
637213311768647169070378452540402170490793233272238048117938184335259318577217\
6059916982819419017086652548904391291174912 #^29 #2^6 - 
                    4919258073278628806976421386062186058008871757890099994599\
364516400633982728668046904315636159004390076036473083601245051244175511304792\
718625643796017802690954212171800350088686991796401717640168862853551738415601\
696529165105264450866072660841872973958740020401705862453328502516465400534507\
397500392391843889529601128567345312636572710053664845864909316426704033827969\
823816833763484633279980145604831425019441728364007973931812483165193877707647\
03470327443880964048395077852626420735410176 #^30 #2^6 - 
                    1830489802733130024003146085513296996086791482453496521346\
283269497399428212426691409730591976203955576977681733752160821882394079932111\
314130366637282221435537969683456103827007649547914320631429502408333043211975\
965475917643139170845282038565131423197932801079340260253200389289564679218384\
433535083679309532062753027829496278976098018559131693571364673223049246704285\
548316358851539616845648534501848399140171771349596809395332577221636372921464\
6663930280333565114164097545227097201442816 #^31 #2^6 + 
                    3002972082931485646750069767942663069927365340391770142310\
301612117461868786653369821464825336957903599547392820946411870616060312992757\
145617303089155567918513255588467293855770218936363011415928176519610343457351\
298273208285442967565818636325092634862610068376437874846970271621647157737338\
502207897010384064616361434243390802196005255791243767484146257428475103850289\
788404073663639268220747334466534829062921838339032125363180100557711715612331\
27394050757050161892678914923262986309074944 #^32 #2^6 + 
                    9970203671504415404983545382167360027927974744198412317383\
517801161859518720528637365823997457798046042660618768312800604306519208437461\
269830213515762556660180931744677243307196744836493748193977089750178677454859\
618866574741983620334774733527485984512476860756017323066362144650987270364358\
561911094543257661114171626823060462121274193048503189238306886503472288656447\
922608132181621789553861806240280743074118079889137883427404448378184929290076\
324171227074558620578525901374448268738560 #^33 #2^6 - 
                    1481367985809113519492392036741014950180400967311259788164\
262951317200271799007481165279908516382714887917135596804414981038548765748834\
481500412092217251532025875018988784574215304491894518525448063224230313873339\
964049513774302610775081398607741942602567007848813158123804786979081409754556\
057352720100400529109678736736810807374670283961542281467020986786831602387361\
075598808345883187947066279749197224260661380809287470371091059232566305321916\
72484730095604597087806294117895010143698944 #^34 #2^6 - 
                    4010360092850807617816943634568438372060057543034335139105\
441826545511583792845711413086602152943304642730592061224781760493345769882785\
135554175054293140490329624582968876375027447834922160664162345305384169872852\
490134985576560544275048388444615589561413215183159474396194853602927650916118\
314854929371257967508252459038326820616331889390427340955002774360580666264475\
448339717345085731327902227010491630452396967253030784605527127504976085146168\
329572571252549625311148595128093967908864 #^35 #2^6 + 
                    5999435810166407098079395283308987039377721940415503803050\
630910793542923244793181198203836131672771403898996795267113828822105344247836\
109463805533208085984871273298298948338166903727814037054254066310384201330406\
471861754051842321184142594851131055155998572382853917757404313392938268212010\
209085874855151237904718536219173192292773045815289878229565521632567591143159\
994741650103162464658011931780774304842930239662417539456864216747648490661446\
6215194075669324126247849757807078914654208 #^36 #2^6 + 
                    1914851696353550344144871841923814657013150336087811710192\
777169566189327887344451822025080003620516250466374898840672220577821737971057\
299519835082711836743594823231895089675959044265526541421520664115337224632200\
926308946936843449594443667038260890445668353597721262989686147997453269616780\
040433850473486979981272201116093522088265471635554596390282190739119928350611\
510791448393318565650671057110846392093281658578907161655873565895050887110753\
583792656326582373035441892747189222899712 #^37 #2^6 - 
                    1955374109572822121751289147184322519739100594044486741387\
223586400514723028951207482452283880324260728030719558965470252103474270709439\
317769470519584049803467185379924887672600277380913999682966385300489339665315\
310899082537152443333570658234226162227953824583450931226450128099624320088399\
350630214695525320150344712604043771572013472177841140723221011996637171490316\
606611831939176585529160773318534374335321676016831516485699329535995148590914\
3895064967144313782338027931721110871080960 #^38 #2^6 - 
                    1054855932317227632436830553075988043086824402223660051525\
087562052310900834626315543257770230974344666774002309186698849594579543342394\
199046156303514799971746303634687800794209022116954655087235674168769545005080\
883089173321133964489082092886008815691187219693615939671743799710628084546293\
588757551654194403311409343392100333787073396609238082528215218921503519449405\
545939699685645875694703726161127543790553925599234019101127834588109027999129\
351235855692996719934154335006737249075200 #^39 #2^6 + 
                    
                    4862423405337311264711613868677494843734895701389425430505\
691172555945268369926885916714334617876628630609446245165145768977129022415243\
986052536875064680789361373876846597093470071399612706644914272667732889221879\
807904132985622341421017308356341968737367748682325796979499622987595763982076\
384937125455323213173971626805787322429189245658665427271777538180817436608203\
547309012954407367635866952258767569055349967605452674425685190334416061246012\
772981606379683255433003433153964686704640 #^40 #2^6 + 
                    4082943770906948468949629693891295544595416932774958871481\
481095221521189478032026115465708938452932893015041164914932033190584879540605\
290292226376826901275185646168218638994887397487585590303666827222452437596034\
153477440810001472794429416936269264513729189711548837196893358653742965665526\
963045034249902913444747810934669069898664920208584218326571943068187488804424\
873370777822849215447916079346126444247681186130858375379365086599279820507514\
65348195615263118441993190392047201157120 #^41 #2^6 - 
                    8495215247165325103619869898219581787749288750343029369663\
500085077996654496329625289868383844843717162385080043182940194667795580173627\
314075097320922786135070274341577120351977499710958570784975200585350973027950\
694855693937706522394933510678669147434436230166722369554040108905711158650667\
403256547539653204873151986670136894679181158955097181456032282043013770840728\
500546302591631580558299021834380711900944749092420527555734819876653598935216\
39783490451343629113363825549821041704960 #^42 #2^6 - 
                    6573642444851880977417566993496369859483596627517514022705\
579576039411404764369210827273648335037008927380909005862194678339525972958649\
332858563247460317501106689837840874664322832600224874901532958813700658044261\
094060937099252633916460926352562163706584770325150342697597097087692337808600\
075147219052747248301803788608955297574857925443812146926237087830512859499346\
206688633408966017130673580096481266756651772178579483938810239973664526167928\
2595423165685521425881402213412236165120 #^43 #2^6 + 
                    1198818916311038201234056538676489878888763839270812661626\
061781258872311291750951357498232973170810072205345519096632835346760417837241\
960343939006393151666698171663176509135699489559371206599156486710264223222501\
193359290594488702121411063877971010502887120140122900434785434360188778522924\
635214355311414313653443284366827996508636431055902828863579569158113769149328\
905210198817555783068878015621821967496796603725114061272596919485802175784839\
74718485183371713841707569356193398784000 #^44 #2^6 + 
                    1408872498914002754835541946916365661030059576342605565301\
909608261036940582154749259322851859868868760309252336989306659034680652153060\
032461965662726393052806449126616192452984954622785453263229417583590624935365\
604327199934065848488523733036619242832239398153220397712669239343609063255352\
593911377193091026792223419798228769546911015918729605715576798445233445702783\
751277007252328694933508840847492490799219568265479022922976020599152120548053\
0865700287413321697429068127898456555520 #^45 #2^6 - 
                    8969131665119478822093711753081664796389011581542685472366\
048697696106415604345087991746490015370362577779992606218498133155865981771162\
473748520104001343536492215369287262481595503569232884308515206294112049384547\
505891383186866823060078491947280104763700929071965016502493721580404449768993\
567578005149661805323410894988308917506993749008145357315446584057394783463558\
333916183277352542475617455581606244424410753427700133320004768377037405302911\
251183857721400887126029331268108288000 #^46 #2^6 - 
                    3550728988543702735312982221017113263532396871281415522581\
151386248738789329816372012502094849078578204200328800228925583172850765848888\
402701330886593479327493950115369559854997037727635446786124820014510604209687\
981460549413617812974093585305298182711106177475940338907925096300141610538324\
521625087188795025564199980727620665022344344025785813913620739592005242351873\
431746110317921775510675453336005200529048035776743430285445339429215160773919\
59814987499532611699709810931505561600 #^47 #2^6 + 
                    1058719523804837782080185409888834706850800104872377472460\
086048233094708183864353421861535676840595414515896092868795261367859239113369\
862918421545805463894926765177986912050718961713942224302714265285015871491065\
317046218246034169736416707306842892798654668220434708054795352754638690880968\
991707082350146265693555324939730839083270186566544758948561432634204387576990\
088714354442360946349143278149684387135161007932917721037034267152815440181102\
140919558505704427032021319130336460800 #^48 #2^6 + 
                    2417541331396600960653961681713509816576923275265080697134\
645306281113094104720179258849869735627864613563869317655846825858631301748030\
840309095779755427116621006369779462134397145580370187185863025419967592132048\
220666505464200295463600602830722123888412625611311777252020316609054913997018\
868304375303517857767284600268402490819574615196348179162048786485809874195291\
881304065645502489550857811044035691600992759571724624553253234761143378776798\
71384337796349945643629787837838131200 #^49 #2^6 + 
                    1469080867636147944284555993745119714542374853918764027276\
384327153659360289096246008925910141070110186549308433289745745265493945038522\
980187500403195491700691984493542733180606263550728889235129669893000383015866\
197921772351211888794487475959119138550811841563214209504659800526013378312031\
889639673139972227728538000539504138665976478625817313581286948686834183101638\
143763052645216820278334967295552481007810925739807894380429100290634104104136\
581339890388370236778986629574 #3& }, {45, 8, 1}]]], "]"}], "-", 
                 RowBox[{"2", " ", "\[Pi]", " ", 
                  TemplateBox[{"5"},
                   "C"]}]}], ",", 
                RowBox[{
                 TemplateBox[{"5"},
                  "C"], "\[Element]", 
                 TemplateBox[{},
                  "Integers"]}]}], "]"}]}]}], "}"}]}], "}"}],
         Short[#, 5]& ],
        BaseStyle->{Deployed -> False},
        StripOnInput->False]},
      {GridBox[{
         {
          PaneBox[
           TagBox[
            TooltipBox[
             StyleBox[
              StyleBox[
               DynamicBox[ToBoxes[
                 FEPrivate`FrontEndResource[
                 "FEStrings", "sizeBriefExplanation"], StandardForm],
                ImageSizeCache->{61., {2., 9.}}],
               StripOnInput->False,
               DynamicUpdating->True,
               LineSpacing->{1, 2},
               LineIndent->0,
               LinebreakAdjustments->{1., 100, 0, 0, 0}], "OSLText",
              StripOnInput->False],
             StyleBox[
              DynamicBox[
               ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"], 
                StandardForm]], DynamicUpdating -> True, LineIndent -> 0, 
              LinebreakAdjustments -> {1., 100, 0, 0, 0}, 
              LineSpacing -> {1, 2}, StripOnInput -> False]],
            Annotation[#, 
             Style[
              Dynamic[
               FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"]], 
              DynamicUpdating -> True, LineIndent -> 0, 
              LinebreakAdjustments -> {1., 100, 0, 0, 0}, 
              LineSpacing -> {1, 2}], "Tooltip"]& ],
           Alignment->Center,
           BaselinePosition->Baseline,
           ImageSize->{Automatic, {25, Full}}], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm],
               ImageSizeCache->{54., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True,
              LineSpacing->{1, 2},
              LineIndent->0,
              LinebreakAdjustments->{1., 100, 0, 0, 0}], "OSLControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True,
              LineSpacing->{1, 2},
              LineIndent->0,
              LinebreakAdjustments->{1., 100, 0, 0, 0}], "OSLControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, {25, Full}}],
           Appearance->None,
           BaselinePosition->Baseline,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 106, 25013664343907087308, 5/2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm],
               ImageSizeCache->{62., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True,
              LineSpacing->{1, 2},
              LineIndent->0,
              LinebreakAdjustments->{1., 100, 0, 0, 0}], "OSLControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True,
              LineSpacing->{1, 2},
              LineIndent->0,
              LinebreakAdjustments->{1., 100, 0, 0, 0}], "OSLControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, {25, Full}}],
           Appearance->None,
           BaselinePosition->Baseline,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 106, 25013664343907087308, 5 2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm],
               ImageSizeCache->{45., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True,
              LineSpacing->{1, 2},
              LineIndent->0,
              LinebreakAdjustments->{1., 100, 0, 0, 0}], "OSLControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True,
              LineSpacing->{1, 2},
              LineIndent->0,
              LinebreakAdjustments->{1., 100, 0, 0, 0}], "OSLControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, {25, Full}}],
           Appearance->None,
           BaselinePosition->Baseline,
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 106, 25013664343907087308, Infinity],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm],
               ImageSizeCache->{80., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True,
              LineSpacing->{1, 2},
              LineIndent->0,
              LinebreakAdjustments->{1., 100, 0, 0, 0}], "OSLControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True,
              LineSpacing->{1, 2},
              LineIndent->0,
              LinebreakAdjustments->{1., 100, 0, 0, 0}], "OSLControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, {25, Full}}],
           Appearance->None,
           BaselinePosition->Baseline,
           ButtonFunction:>FrontEndExecute[{
              FrontEnd`SetOptions[
              FrontEnd`$FrontEnd, 
               FrontEnd`PreferencesSettings -> {"Page" -> "Advanced"}], 
              FrontEnd`FrontEndToken["PreferencesDialog"]}],
           Evaluator->None,
           Method->"Preemptive"]}
        },
        AutoDelete->False,
        FrameStyle->GrayLevel[0.85],
        GridBoxDividers->{"Columns" -> {False, {True}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {{2}}}]}
     },
     DefaultBaseStyle->"Column",
     GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
     GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
     GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{1.}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], 
         Offset[1.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    BaseStyle->"OutputSizeLimit",
    FrameMargins->{{12, 12}, {0, 15}},
    FrameStyle->GrayLevel[0.85],
    RoundingRadius->5,
    StripOnInput->False],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  If[25013664343907087308 === $SessionID, 
   Out[106], Message[
     MessageName[Syntax, "noinfoker"]]; Missing["NotAvailable"]; 
   Null]]], "Output",
 CellChangeTimes->{3.859465223580615*^9, 3.8594668256168585`*^9, 
  3.8594670360091534`*^9, 3.8594695200792055`*^9, 3.8594732288976927`*^9, 
  3.8598923301287165`*^9},
 CellLabel->
  "Out[106]=",ExpressionUUID->"9c2f6694-d26a-47c1-8f0c-50cf6f25bed2"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"numerical", " ", "confirmation"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"a1", "=", " ", "2.2399276459821427`"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a2", "=", 
     RowBox[{"-", "1.454173861470849`"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a3", "=", 
     RowBox[{"-", "1.642278426824202`"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a4", "=", 
     RowBox[{"-", "0.06596787581179242`"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a5", "=", 
     RowBox[{"-", "2.745193075830472`"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Cos", "[", "a1", "]"}], "+", 
    RowBox[{"Cos", "[", "a2", "]"}], "+", 
    RowBox[{"Cos", "[", "a3", "]"}], "+", 
    RowBox[{"Cos", "[", "a4", "]"}], "+", 
    RowBox[{"Cos", "[", "a5", "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Cos", "[", 
     RowBox[{"2", " ", "a1"}], "]"}], "+", 
    RowBox[{"Cos", "[", 
     RowBox[{"2", " ", "a2"}], "]"}], "+", 
    RowBox[{"Cos", "[", 
     RowBox[{"2", " ", "a3"}], "]"}], "+", 
    RowBox[{"Cos", "[", 
     RowBox[{"2", " ", "a4"}], "]"}], "+", 
    RowBox[{"Cos", "[", 
     RowBox[{"2", " ", "a5"}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Cos", "[", 
     RowBox[{"a1", "+", "a2"}], "]"}], "+", 
    RowBox[{"Cos", "[", 
     RowBox[{"a2", "+", "a3"}], "]"}], "+", 
    RowBox[{"Cos", "[", 
     RowBox[{"a3", "+", "a4"}], "]"}], "+", 
    RowBox[{"Cos", "[", 
     RowBox[{"a1", "+", "a5"}], "]"}], "+", 
    RowBox[{"Cos", "[", 
     RowBox[{"a4", "+", "a5"}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Cos", "[", 
     RowBox[{"a1", "+", "a3"}], "]"}], "+", 
    RowBox[{"Cos", "[", 
     RowBox[{"a1", "+", "a4"}], "]"}], "+", 
    RowBox[{"Cos", "[", 
     RowBox[{"a2", "+", "a4"}], "]"}], "+", 
    RowBox[{"Cos", "[", 
     RowBox[{"a2", "+", "a5"}], "]"}], "+", 
    RowBox[{"Cos", "[", 
     RowBox[{"a3", "+", "a5"}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Cos", "[", 
     RowBox[{"a1", "-", "a2"}], "]"}], "+", 
    RowBox[{"Cos", "[", 
     RowBox[{"a2", "-", "a3"}], "]"}], "+", 
    RowBox[{"Cos", "[", 
     RowBox[{"a3", "-", "a4"}], "]"}], "+", 
    RowBox[{"Cos", "[", 
     RowBox[{"a1", "-", "a5"}], "]"}], "+", 
    RowBox[{"Cos", "[", 
     RowBox[{"a4", "-", "a5"}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Cos", "[", 
     RowBox[{"a1", "-", "a3"}], "]"}], "+", 
    RowBox[{"Cos", "[", 
     RowBox[{"a1", "-", "a4"}], "]"}], "+", 
    RowBox[{"Cos", "[", 
     RowBox[{"a2", "-", "a4"}], "]"}], "+", 
    RowBox[{"Cos", "[", 
     RowBox[{"a2", "-", "a5"}], "]"}], "+", 
    RowBox[{"Cos", "[", 
     RowBox[{"a3", "-", "a5"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.859469547299243*^9, 3.8594695879493*^9}, {
  3.8598920833683715`*^9, 
  3.8598920972183905`*^9}},ExpressionUUID->"fde7d517-81b7-4604-b64c-\
d7e2fe0693a1"],

Cell[BoxData[
 RowBox[{"-", "0.4999999999999941`"}]], "Output",
 CellChangeTimes->{3.8594695881593003`*^9},
 CellLabel->"Out[25]=",ExpressionUUID->"bd8e7e9f-8947-4e96-9676-000a7c269b03"],

Cell[BoxData[
 RowBox[{"-", "0.4999999999999991`"}]], "Output",
 CellChangeTimes->{3.8594695881693*^9},
 CellLabel->"Out[26]=",ExpressionUUID->"5caaaf4d-8763-4f00-8264-b41d2ea27d7b"],

Cell[BoxData[
 RowBox[{"-", "0.49999999999999917`"}]], "Output",
 CellChangeTimes->{3.8594695881693*^9},
 CellLabel->"Out[27]=",ExpressionUUID->"c8f85f64-dd36-4603-b77d-262dc052dc35"],

Cell[BoxData[
 RowBox[{"-", "0.5000000000000053`"}]], "Output",
 CellChangeTimes->{3.8594695881693*^9},
 CellLabel->"Out[28]=",ExpressionUUID->"53521bfe-a102-4960-8590-c3535ad79ba9"],

Cell[BoxData[
 RowBox[{"-", "0.5000000000000041`"}]], "Output",
 CellChangeTimes->{3.8594695881693*^9},
 CellLabel->"Out[29]=",ExpressionUUID->"827bd9f1-11ce-418d-bfd4-0d4f919299ae"],

Cell[BoxData[
 RowBox[{"-", "0.49999999999999745`"}]], "Output",
 CellChangeTimes->{3.8594695881693*^9},
 CellLabel->"Out[30]=",ExpressionUUID->"dde2aae5-a4a1-42a8-926b-c8176292b9b4"]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1192, 1874},
WindowMargins->{{-1204, Automatic}, {Automatic, 0}},
FrontEndVersion->"12.0 for Microsoft Windows (64-bit) (April 8, 2019)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 174, 3, 67, "Section",ExpressionUUID->"6606521d-4f1c-4d78-9c4e-91b66dbefdab"],
Cell[CellGroupData[{
Cell[779, 29, 4593, 116, 415, "Input",ExpressionUUID->"01b24a31-52e7-4f01-bfec-eede66446653"],
Cell[5375, 147, 2158511, 28655, 327, "Output",ExpressionUUID->"9c2f6694-d26a-47c1-8f0c-50cf6f25bed2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2163923, 28807, 3008, 85, 238, "Input",ExpressionUUID->"fde7d517-81b7-4604-b64c-d7e2fe0693a1"],
Cell[2166934, 28894, 186, 3, 32, "Output",ExpressionUUID->"bd8e7e9f-8947-4e96-9676-000a7c269b03"],
Cell[2167123, 28899, 182, 3, 32, "Output",ExpressionUUID->"5caaaf4d-8763-4f00-8264-b41d2ea27d7b"],
Cell[2167308, 28904, 183, 3, 32, "Output",ExpressionUUID->"c8f85f64-dd36-4603-b77d-262dc052dc35"],
Cell[2167494, 28909, 182, 3, 32, "Output",ExpressionUUID->"53521bfe-a102-4960-8590-c3535ad79ba9"],
Cell[2167679, 28914, 182, 3, 32, "Output",ExpressionUUID->"827bd9f1-11ce-418d-bfd4-0d4f919299ae"],
Cell[2167864, 28919, 183, 3, 32, "Output",ExpressionUUID->"dde2aae5-a4a1-42a8-926b-c8176292b9b4"]
}, Open  ]]
}, Open  ]]
}
]
*)

