(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    119966,       2814]
NotebookOptionsPosition[    115198,       2733]
NotebookOutlinePosition[    115575,       2749]
CellTagsIndexPosition[    115532,       2746]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{
  RowBox[{"2022", "/", "04"}], "/", "20"}]], "Subsection", "Input",
 CellChangeTimes->{{3.8594351088345947`*^9, 3.8594351088345947`*^9}, {
  3.8594618217125654`*^9, 
  3.859461849232604*^9}},ExpressionUUID->"5c6818b9-b806-4d29-b56f-\
05d41631800e"],

Cell["\<\
Matrix Y is obtained from the Sinkhorn algorithm, Y = sinkhorn(X), where X is \
a circulant seed;

S = circ[c_1, c_2, c_3, c_4, c_5, c_6, c_7]

with c_j being random complex Gaussian number.
The circulant structure of Y is preserved.
After dephasing K = dephase(Y), matrix K is most likely C_{7C} or C_{7D}.\
\>", "Text",
 CellChangeTimes->{{3.8594477587150145`*^9, 3.8594479659353046`*^9}, {
  3.859448060835438*^9, 3.8594480619154387`*^9}, {3.8594526888513403`*^9, 
  3.8594526892913413`*^9}},ExpressionUUID->"126734c3-ede9-448f-9a01-\
224961264891"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"matrix", " ", "Y"}], " ", "=", " ", 
    RowBox[{"sinkhorn", "[", "SEED", "]"}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Y", "=", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"0.1504600724409901", "+", 
         RowBox[{"0.9886160865578968", "I"}]}], ",", 
        RowBox[{
         RowBox[{"-", "0.3027687563706069"}], "+", 
         RowBox[{"0.9530640483019996", "I"}]}], ",", 
        RowBox[{
         RowBox[{"-", "0.9663566736285941"}], "+", 
         RowBox[{"0.2572057140373794", "I"}]}], ",", 
        RowBox[{
         RowBox[{"-", "0.4014220062604764"}], "+", 
         RowBox[{"0.9158932104180123", "I"}]}], ",", " ", 
        RowBox[{"0.6863042165592272", "-", 
         RowBox[{"0.727314596535107", "I"}]}], ",", 
        RowBox[{
         RowBox[{"-", "0.9973099330599615"}], "-", 
         RowBox[{"0.07330005061345544", "I"}]}], ",", 
        RowBox[{
         RowBox[{"-", "0.4120310966871163"}], "-", 
         RowBox[{"0.9111697840484027", "I"}]}]}], "}"}], ",", "\n", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "0.4120310966871109"}], "-", 
         RowBox[{"0.9111697840484045", "I"}]}], ",", " ", 
        RowBox[{"0.1504600724409719", "+", 
         RowBox[{"0.9886160865578998", "I"}]}], ",", 
        RowBox[{
         RowBox[{"-", "0.3027687563705814"}], "+", 
         RowBox[{"0.9530640483020074", "I"}]}], ",", 
        RowBox[{
         RowBox[{"-", "0.9663566736285991"}], "+", 
         RowBox[{"0.2572057140373606", "I"}]}], ",", 
        RowBox[{
         RowBox[{"-", "0.4014220062604855"}], "+", 
         RowBox[{"0.9158932104180084", "I"}]}], ",", " ", 
        RowBox[{"0.6863042165592149", "-", 
         RowBox[{"0.7273145965351187", "I"}]}], ",", 
        RowBox[{
         RowBox[{"-", "0.9973099330599595"}], "-", 
         RowBox[{"0.0733000506134846", "I"}]}]}], "}"}], ",", "\n", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "0.9973099330599594"}], "-", 
         RowBox[{"0.07330005061348416", "I"}]}], ",", 
        RowBox[{
         RowBox[{"-", "0.4120310966870996"}], "-", 
         RowBox[{"0.91116978404841", "I"}]}], ",", " ", 
        RowBox[{"0.1504600724410041", "+", 
         RowBox[{"0.9886160865578952", "I"}]}], ",", 
        RowBox[{
         RowBox[{"-", "0.3027687563705949"}], "+", 
         RowBox[{"0.9530640483020023", "I"}]}], ",", 
        RowBox[{
         RowBox[{"-", "0.9663566736285999"}], "+", 
         RowBox[{"0.2572057140373561", "I"}]}], ",", 
        RowBox[{
         RowBox[{"-", "0.4014220062604658"}], "+", 
         RowBox[{"0.9158932104180173", "I"}]}], ",", " ", 
        RowBox[{"0.6863042165592321", "-", 
         RowBox[{"0.727314596535102", "I"}]}]}], "}"}], ",", "\n", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"0.6863042165592426", "-", 
         RowBox[{"0.7273145965350915", "I"}]}], ",", 
        RowBox[{
         RowBox[{"-", "0.9973099330599567"}], "-", 
         RowBox[{"0.07330005061351247", "I"}]}], ",", 
        RowBox[{
         RowBox[{"-", "0.412031096687115"}], "-", 
         RowBox[{"0.9111697840484028", "I"}]}], ",", " ", 
        RowBox[{"0.1504600724409748", "+", 
         RowBox[{"0.9886160865578985", "I"}]}], ",", 
        RowBox[{
         RowBox[{"-", "0.3027687563706119"}], "+", 
         RowBox[{"0.9530640483019972", "I"}]}], ",", 
        RowBox[{
         RowBox[{"-", "0.9663566736285981"}], "+", 
         RowBox[{"0.2572057140373634", "I"}]}], ",", 
        RowBox[{
         RowBox[{"-", "0.401422006260501"}], "+", 
         RowBox[{"0.9158932104180021", "I"}]}]}], "}"}], ",", "\n", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "0.4014220062604775"}], "+", 
         RowBox[{"0.9158932104180108", "I"}]}], ",", " ", 
        RowBox[{"0.6863042165592338", "-", 
         RowBox[{"0.7273145965351001", "I"}]}], ",", 
        RowBox[{
         RowBox[{"-", "0.9973099330599611"}], "-", 
         RowBox[{"0.07330005061345578", "I"}]}], ",", 
        RowBox[{
         RowBox[{"-", "0.4120310966871258"}], "-", 
         RowBox[{"0.9111697840483979", "I"}]}], ",", " ", 
        RowBox[{"0.1504600724409972", "+", 
         RowBox[{"0.9886160865578956", "I"}]}], ",", 
        RowBox[{
         RowBox[{"-", "0.3027687563705678"}], "+", 
         RowBox[{"0.953064048302012", "I"}]}], ",", 
        RowBox[{
         RowBox[{"-", "0.966356673628598"}], "+", 
         RowBox[{"0.2572057140373655", "I"}]}]}], "}"}], ",", "\n", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "0.966356673628601"}], "+", 
         RowBox[{"0.2572057140373541", "I"}]}], ",", 
        RowBox[{
         RowBox[{"-", "0.401422006260501"}], "+", 
         RowBox[{"0.9158932104180013", "I"}]}], ",", " ", 
        RowBox[{"0.686304216559219", "-", 
         RowBox[{"0.7273145965351142", "I"}]}], ",", 
        RowBox[{
         RowBox[{"-", "0.9973099330599591"}], "-", 
         RowBox[{"0.0733000506134793", "I"}]}], ",", 
        RowBox[{
         RowBox[{"-", "0.4120310966871105"}], "-", 
         RowBox[{"0.9111697840484041", "I"}]}], ",", " ", 
        RowBox[{"0.1504600724410076", "+", 
         RowBox[{"0.9886160865578952", "I"}]}], ",", 
        RowBox[{
         RowBox[{"-", "0.3027687563706014"}], "+", 
         RowBox[{"0.9530640483020014", "I"}]}]}], "}"}], ",", "\n", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "0.3027687563706129"}], "+", 
         RowBox[{"0.9530640483019972", "I"}]}], ",", 
        RowBox[{
         RowBox[{"-", "0.9663566736286076"}], "+", 
         RowBox[{"0.2572057140373293", "I"}]}], ",", 
        RowBox[{
         RowBox[{"-", "0.401422006260482"}], "+", 
         RowBox[{"0.9158932104180095", "I"}]}], ",", " ", 
        RowBox[{"0.6863042165592383", "-", 
         RowBox[{"0.7273145965350963", "I"}]}], ",", 
        RowBox[{
         RowBox[{"-", "0.9973099330599586"}], "-", 
         RowBox[{"0.07330005061349722", "I"}]}], ",", 
        RowBox[{
         RowBox[{"-", "0.41203109668712"}], "-", 
         RowBox[{"0.911169784048401", "I"}]}], ",", " ", 
        RowBox[{"0.1504600724409712", "+", 
         RowBox[{"0.9886160865579005", "I"}]}]}], "}"}]}], 
     "\[IndentingNewLine]", "\[IndentingNewLine]", "}"}]}], ";"}]}]], "Input",
 CellChangeTimes->{{3.8594351968447175`*^9, 3.8594354558260803`*^9}, {
  3.8594355061361504`*^9, 3.8594355073461523`*^9}, {3.8594376159052486`*^9, 
  3.859437619935254*^9}, {3.8594378115665226`*^9, 3.8594378625065937`*^9}, {
  3.859446322552003*^9, 3.859446345442035*^9}, {3.859446853745747*^9, 
  3.859446856475751*^9}, {3.85946186089262*^9, 3.859461868492631*^9}, {
  3.859463093535632*^9, 3.859463105105648*^9}},
 CellLabel->"In[52]:=",ExpressionUUID->"c8c2df10-0ca4-4374-98de-9d39e6df097d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Y", " ", "is", " ", "CHM", " ", "indeed"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Y", "//", "MatrixForm"}], "\[IndentingNewLine]", 
   RowBox[{"complexHadamardQ", "[", 
    RowBox[{"Y", ",", 
     SuperscriptBox["10", 
      RowBox[{"-", "13"}]]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"after", " ", "dephasing", " ", "it", " ", "is"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"K", "=", 
     RowBox[{
      RowBox[{"dephase", "[", "Y", "]"}], "//", "Chop"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"K", "//", "MatrixForm"}]}]}]], "Input",
 CellChangeTimes->{{3.8594355090361547`*^9, 3.8594355286561823`*^9}, {
   3.859435559766226*^9, 3.8594355618362284`*^9}, {3.8594355969362774`*^9, 
   3.859435633726329*^9}, 3.8594378248865414`*^9, {3.8594378659565988`*^9, 
   3.8594378665365996`*^9}, {3.8594463505320425`*^9, 
   3.8594463535220466`*^9}, {3.859446931005855*^9, 3.859446933735859*^9}, {
   3.8594618842626534`*^9, 3.859461913412694*^9}},
 CellLabel->"In[53]:=",ExpressionUUID->"f179f85e-2523-4bdc-b53a-f32fb3be56b4"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"0.1504600724409901`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.9886160865578968`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.3027687563706069`"}], "+", 
       RowBox[{"0.9530640483019996`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9663566736285941`"}], "+", 
       RowBox[{"0.2572057140373794`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.4014220062604764`"}], "+", 
       RowBox[{"0.9158932104180123`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.6863042165592272`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.727314596535107`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9973099330599615`"}], "-", 
       RowBox[{"0.07330005061345544`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.4120310966871163`"}], "-", 
       RowBox[{"0.9111697840484027`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.4120310966871109`"}], "-", 
       RowBox[{"0.9111697840484045`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.1504600724409719`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.9886160865578998`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.3027687563705814`"}], "+", 
       RowBox[{"0.9530640483020074`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9663566736285991`"}], "+", 
       RowBox[{"0.2572057140373606`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.4014220062604855`"}], "+", 
       RowBox[{"0.9158932104180084`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.6863042165592149`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.7273145965351187`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9973099330599595`"}], "-", 
       RowBox[{"0.0733000506134846`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.9973099330599594`"}], "-", 
       RowBox[{"0.07330005061348416`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.4120310966870996`"}], "-", 
       RowBox[{"0.91116978404841`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.1504600724410041`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.9886160865578952`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.3027687563705949`"}], "+", 
       RowBox[{"0.9530640483020023`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9663566736285999`"}], "+", 
       RowBox[{"0.2572057140373561`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.4014220062604658`"}], "+", 
       RowBox[{"0.9158932104180173`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.6863042165592321`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.727314596535102`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.6863042165592426`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.7273145965350915`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9973099330599567`"}], "-", 
       RowBox[{"0.07330005061351247`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.412031096687115`"}], "-", 
       RowBox[{"0.9111697840484028`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.1504600724409748`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.9886160865578985`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.3027687563706119`"}], "+", 
       RowBox[{"0.9530640483019972`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9663566736285981`"}], "+", 
       RowBox[{"0.2572057140373634`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.401422006260501`"}], "+", 
       RowBox[{"0.9158932104180021`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.4014220062604775`"}], "+", 
       RowBox[{"0.9158932104180108`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.6863042165592338`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.7273145965351001`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9973099330599611`"}], "-", 
       RowBox[{"0.07330005061345578`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.4120310966871258`"}], "-", 
       RowBox[{"0.9111697840483979`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.1504600724409972`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.9886160865578956`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.3027687563705678`"}], "+", 
       RowBox[{"0.953064048302012`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.966356673628598`"}], "+", 
       RowBox[{"0.2572057140373655`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.966356673628601`"}], "+", 
       RowBox[{"0.2572057140373541`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.401422006260501`"}], "+", 
       RowBox[{"0.9158932104180013`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.686304216559219`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.7273145965351142`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9973099330599591`"}], "-", 
       RowBox[{"0.0733000506134793`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.4120310966871105`"}], "-", 
       RowBox[{"0.9111697840484041`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.1504600724410076`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.9886160865578952`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.3027687563706014`"}], "+", 
       RowBox[{"0.9530640483020014`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.3027687563706129`"}], "+", 
       RowBox[{"0.9530640483019972`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9663566736286076`"}], "+", 
       RowBox[{"0.2572057140373293`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.401422006260482`"}], "+", 
       RowBox[{"0.9158932104180095`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.6863042165592383`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.7273145965350963`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9973099330599586`"}], "-", 
       RowBox[{"0.07330005061349722`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.41203109668712`"}], "-", 
       RowBox[{"0.911169784048401`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.1504600724409712`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.9886160865579005`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859452955575714*^9, {3.8594618913826632`*^9, 3.8594619138226943`*^9}, {
   3.8596216827528353`*^9, 3.859621686277037*^9}, {3.8596340139482546`*^9, 
   3.859634043448296*^9}, 3.859634262442603*^9, 3.8596348596304393`*^9, 
   3.859635249773986*^9, 3.859868965263525*^9},
 CellLabel->
  "Out[53]//MatrixForm=",ExpressionUUID->"c191512f-f01d-4d58-a2a6-\
0448cf9ba095"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{
  3.859452955575714*^9, {3.8594618913826632`*^9, 3.8594619138226943`*^9}, {
   3.8596216827528353`*^9, 3.859621686277037*^9}, {3.8596340139482546`*^9, 
   3.859634043448296*^9}, 3.859634262442603*^9, 3.8596348596304393`*^9, 
   3.859635249773986*^9, 3.859868965263525*^9},
 CellLabel->"Out[54]=",ExpressionUUID->"b8226813-f387-4370-baf8-a9288338fccc"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1.`", "1.`", "1.`", "1.`", "1.`", "1.`", "1.`"},
     {"1.`", 
      RowBox[{
       RowBox[{"-", "0.9829396292583579`"}], "+", 
       RowBox[{"0.1839284785818674`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.7455597578001354`"}], "+", 
       RowBox[{"0.6664387800458517`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.3890038269761909`"}], "-", 
       RowBox[{"0.9212361383477514`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.9975734668422751`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.06962167947042752`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.8172817923881637`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.5762382075416298`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.6973520451957538`"}], "+", 
       RowBox[{"0.7167287667320874`", " ", "\[ImaginaryI]"}]}]},
     {"0.9999999999999999`", 
      RowBox[{"0.8172817923881629`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.5762382075416296`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9933599032372318`"}], "+", 
       RowBox[{"0.11504826222293262`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.32392188915092895`"}], "-", 
       RowBox[{"0.9460838280664619`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.3239218891509321`"}], "+", 
       RowBox[{"0.9460838280664605`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9933599032372313`"}], "-", 
       RowBox[{"0.11504826222293416`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.8172817923881633`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.5762382075416285`", " ", "\[ImaginaryI]"}]}]},
     {"1.`", 
      RowBox[{
       RowBox[{"-", "0.9093252788235024`"}], "-", 
       RowBox[{"0.41608597343885373`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.8781501666083806`"}], "-", 
       RowBox[{"0.47838508012444736`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.0991018483865862`"}], "+", 
       RowBox[{"0.99507729531246`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.21292571612712324`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.9770683903451952`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.32392188915093195`"}], "+", 
       RowBox[{"0.946083828066462`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.997573466842276`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.06962167947042702`", " ", "\[ImaginaryI]"}]}]},
     {"0.9999999999999999`", 
      RowBox[{
       RowBox[{"-", "0.9933599032372323`"}], "+", 
       RowBox[{"0.11504826222293335`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.973527794718967`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.22856866125876885`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.16814032696802717`"}], "+", 
       RowBox[{"0.9857630701375897`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.09910184838658381`"}], "+", 
       RowBox[{"0.9950772953124608`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.32392188915093106`"}], "-", 
       RowBox[{"0.9460838280664634`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.389003826976192`"}], "-", 
       RowBox[{"0.9212361383477515`", " ", "\[ImaginaryI]"}]}]},
     {"1.`", 
      RowBox[{"0.21292571612712458`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.9770683903451943`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.4306163167996572`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.9025350894596269`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.9735277947189657`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.2285686612587694`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.8781501666083791`"}], "-", 
       RowBox[{"0.47838508012444697`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9933599032372323`"}], "+", 
       RowBox[{"0.1150482622229335`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.7455597578001356`"}], "+", 
       RowBox[{"0.666438780045851`", " ", "\[ImaginaryI]"}]}]},
     {"1.`", 
      RowBox[{"0.8554173028038058`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.5179394154376178`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.2129257161271238`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.9770683903451951`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9933599032372324`"}], "+", 
       RowBox[{"0.11504826222293218`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9093252788235028`"}], "-", 
       RowBox[{"0.416085973438854`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.8172817923881637`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.5762382075416301`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9829396292583585`"}], "+", 
       RowBox[{"0.1839284785818675`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859452955575714*^9, {3.8594618913826632`*^9, 3.8594619138226943`*^9}, {
   3.8596216827528353`*^9, 3.859621686277037*^9}, {3.8596340139482546`*^9, 
   3.859634043448296*^9}, 3.859634262442603*^9, 3.8596348596304393`*^9, 
   3.859635249773986*^9, 3.859868965273525*^9},
 CellLabel->
  "Out[56]//MatrixForm=",ExpressionUUID->"ca8977ba-666a-466d-ad12-\
f6e1f02bae0e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"let", "'"}], "s", " ", "do", " ", "some", " ", "magic", " ", 
    "to", " ", "see", " ", "that", " ", "one", " ", "entry", " ", "in", " ", 
    "K", " ", "is", " ", "almost", " ", "calculated"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"k0", "=", 
     RowBox[{
      FractionBox[
       RowBox[{"5", "-", 
        RowBox[{"Sqrt", "[", "21", "]"}]}], "4"], "-", 
      RowBox[{"I", 
       FractionBox["3", "2"], 
       RowBox[{"Sqrt", "[", 
        FractionBox[
         RowBox[{
          RowBox[{"Sqrt", "[", "21", "]"}], "-", "3"}], "2"], "]"}]}]}]}], 
    ";"}], "\n", 
   RowBox[{
    RowBox[{"k1", "=", 
     RowBox[{
      FractionBox[
       RowBox[{"3", "-", 
        RowBox[{"Sqrt", "[", "21", "]"}]}], "5"], "-", 
      RowBox[{"I", " ", "2", " ", 
       RowBox[{"Sqrt", "[", 
        FractionBox[
         RowBox[{
          RowBox[{"Sqrt", "[", "21", "]"}], "-", "3"}], "2"], "]"}]}]}]}], 
    ";"}], "\n", 
   RowBox[{
    RowBox[{"k2", "=", 
     RowBox[{"I", " ", 
      RowBox[{"Sqrt", "[", 
       FractionBox[
        RowBox[{
         RowBox[{"Sqrt", "[", "21", "]"}], "+", "3"}], "2"], "]"}]}]}], ";"}],
    "\n", 
   RowBox[{
    RowBox[{"almost", "=", 
     RowBox[{"k0", "+", 
      RowBox[{"k1", " ", 
       RowBox[{"Cos", "[", 
        FractionBox[
         RowBox[{"2", " ", "\[Pi]"}], "7"], "]"}]}], "+", 
      RowBox[{"k2", " ", 
       RowBox[{"Sin", "[", 
        FractionBox[
         RowBox[{"2", "\[Pi]"}], "7"], "]"}]}]}]}], ";"}], "\n", 
   RowBox[{"N", "[", "almost", "]"}], "\[IndentingNewLine]", 
   RowBox[{"N", "[", 
    RowBox[{
     RowBox[{"Im", "[", 
      RowBox[{"K", "\[LeftDoubleBracket]", 
       RowBox[{"2", ",", "4"}], "\[RightDoubleBracket]"}], "]"}], ",", "20"}],
     "]"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{"so", " ", 
     RowBox[{"Im", "[", 
      RowBox[{"'", 
       RowBox[{"almost", "'"}]}], "]"}], " ", "equals", " ", "to", " ", 
     "imaginary", " ", "part", " ", "of", " ", 
     RowBox[{"K", "[", 
      RowBox[{"[", 
       RowBox[{"2", ",", " ", "4"}], "]"}], "]"}]}], " ", "*)"}]}]}]], "Input",
 CellChangeTimes->{{3.8594374409850035`*^9, 3.859437584365205*^9}, {
  3.8594378248965416`*^9, 3.8594378249065413`*^9}, {3.859437886206627*^9, 
  3.859437919186673*^9}, {3.859438214210087*^9, 3.859438219140094*^9}, {
  3.859438399684346*^9, 3.8594384589544296`*^9}, {3.859439676980135*^9, 
  3.859439797290303*^9}, {3.85943983049135*^9, 3.859439831021351*^9}, {
  3.859439867631402*^9, 3.8594398681214027`*^9}, {3.859446439433167*^9, 
  3.859446544873315*^9}, {3.859452741921415*^9, 3.8594528074515066`*^9}, {
  3.8594559048357253`*^9, 3.859455906465728*^9}, {3.8594619323627205`*^9, 
  3.8594619499527454`*^9}, {3.859462320096264*^9, 3.8594623231162677`*^9}},
 CellLabel->"In[57]:=",ExpressionUUID->"9c4c0d17-471e-4449-a549-9625327a8e48"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "0.0929878850338528`"}], "-", 
  RowBox[{"0.9212361383477508`", " ", "\[ImaginaryI]"}]}]], "Output",
 CellChangeTimes->{
  3.859437919486674*^9, {3.8594382156200886`*^9, 3.859438219600094*^9}, {
   3.859438414174367*^9, 3.8594384609444323`*^9}, 3.859438553074561*^9, {
   3.859439685550147*^9, 3.8594397031801715`*^9}, {3.8594397337902145`*^9, 
   3.8594397409302244`*^9}, {3.8594397737102704`*^9, 3.859439797700304*^9}, 
   3.859439831441351*^9, 3.859439868271403*^9, 3.859446362292059*^9, {
   3.8594464462031765`*^9, 3.8594465077032623`*^9}, 3.859446545293315*^9, {
   3.8594527481614237`*^9, 3.859452807761507*^9}, 3.8594619503527455`*^9, 
   3.859462327536274*^9, 3.8596216876951184`*^9, {3.859634019768263*^9, 
   3.8596340464583*^9}, 3.859634264112605*^9, 3.859634860860441*^9, 
   3.859635250693987*^9, 3.8598689675835285`*^9},
 CellLabel->"Out[61]=",ExpressionUUID->"03b2f4e0-49b2-4c93-8609-99ccede75145"],

Cell[BoxData[
 RowBox[{"-", "0.9212361383477514`"}]], "Output",
 CellChangeTimes->{
  3.859437919486674*^9, {3.8594382156200886`*^9, 3.859438219600094*^9}, {
   3.859438414174367*^9, 3.8594384609444323`*^9}, 3.859438553074561*^9, {
   3.859439685550147*^9, 3.8594397031801715`*^9}, {3.8594397337902145`*^9, 
   3.8594397409302244`*^9}, {3.8594397737102704`*^9, 3.859439797700304*^9}, 
   3.859439831441351*^9, 3.859439868271403*^9, 3.859446362292059*^9, {
   3.8594464462031765`*^9, 3.8594465077032623`*^9}, 3.859446545293315*^9, {
   3.8594527481614237`*^9, 3.859452807761507*^9}, 3.8594619503527455`*^9, 
   3.859462327536274*^9, 3.8596216876951184`*^9, {3.859634019768263*^9, 
   3.8596340464583*^9}, 3.859634264112605*^9, 3.859634860860441*^9, 
   3.859635250693987*^9, 3.8598689675835285`*^9},
 CellLabel->"Out[62]=",ExpressionUUID->"f64dbb58-07c0-4b6b-86c0-8ea142e2fd9b"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "let", " ", "us", " ", "calculate", " ", "the", " ", "full", " ", "entry", 
    " ", "in", " ", 
    RowBox[{"K", "[", 
     RowBox[{"[", 
      RowBox[{"2", ",", " ", "4"}], "]"}], "]"}]}], " ", "=", 
   RowBox[{":", " ", "a"}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.859461958492757*^9, 3.8594619953228083`*^9}},
 CellLabel->"In[16]:=",ExpressionUUID->"013df528-3658-45ef-aad4-c171e14cf61e"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"imaginaryPart", "=", 
   RowBox[{
    RowBox[{"Im", "[", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        FractionBox[
         RowBox[{"5", "-", 
          RowBox[{"Sqrt", "[", "21", "]"}]}], "4"], "-", 
        RowBox[{"I", "*", 
         FractionBox["3", "2"], "*", 
         RowBox[{"Sqrt", "[", 
          FractionBox[
           RowBox[{
            RowBox[{"Sqrt", "[", "21", "]"}], "-", "3"}], "2"], "]"}]}]}], 
       ")"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         FractionBox[
          RowBox[{"3", "-", 
           RowBox[{"Sqrt", "[", "21", "]"}]}], "5"], "-", 
         RowBox[{"I", "*", "2", "*", 
          RowBox[{"Sqrt", "[", 
           FractionBox[
            RowBox[{
             RowBox[{"Sqrt", "[", "21", "]"}], "-", "3"}], "2"], "]"}]}]}], 
        ")"}], 
       RowBox[{"(", 
        RowBox[{"Cos", "[", 
         RowBox[{
          FractionBox["2", "7"], "*", "Pi"}], "]"}], ")"}]}], "+", 
      RowBox[{"I", " ", 
       RowBox[{"Sqrt", "[", 
        FractionBox[
         RowBox[{
          RowBox[{"Sqrt", "[", "21", "]"}], "+", "3"}], "2"], "]"}], 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"2", "/", "7"}], "*", "Pi"}], "]"}]}]}], "]"}], "//", 
    "Simplify"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"realPart", "=."}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"imaginaryPart", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"-", 
      FractionBox["3", "4"]}], " ", 
     SqrtBox[
      RowBox[{
       RowBox[{"-", "6"}], "+", 
       RowBox[{"2", " ", 
        SqrtBox["21"]}]}]]}], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     SqrtBox[
      RowBox[{"6", "+", 
       RowBox[{"2", " ", 
        SqrtBox["21"]}]}]], " ", 
     RowBox[{"Cos", "[", 
      FractionBox[
       RowBox[{"3", " ", "\[Pi]"}], "14"], "]"}]}], "-", " ", 
    RowBox[{
     SqrtBox[
      RowBox[{
       RowBox[{"-", "6"}], "+", 
       RowBox[{"2", " ", 
        SqrtBox["21"]}]}]], " ", 
     RowBox[{"Sin", "[", 
      FractionBox[
       RowBox[{"3", " ", "\[Pi]"}], "14"], "]"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rp", "=", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{
       SqrtBox[
        RowBox[{
         SuperscriptBox["realPart", "2"], "+", 
         SuperscriptBox[
          RowBox[{"(", "imaginaryPart", ")"}], "2"]}]], "\[Equal]", "1"}], 
      ",", "realPart"}], "]"}], "//", "Simplify"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"realPart", "=", 
  RowBox[{"realPart", "/.", "rp"}]}]}], "Input",
 CellChangeTimes->{{3.859439116887351*^9, 3.859439149437396*^9}, {
  3.8594465642133417`*^9, 3.8594465803233643`*^9}, {3.8594467410835896`*^9, 
  3.8594468105756865`*^9}, {3.859446898225809*^9, 3.8594468985358095`*^9}},
 CellLabel->"In[63]:=",ExpressionUUID->"76cf0454-49b2-4cb0-b482-fa24b8c46019"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", 
    FractionBox["1", 
     RowBox[{"2", " ", 
      SqrtBox[
       FractionBox["2", 
        RowBox[{"53", "-", 
         RowBox[{"19", " ", 
          SqrtBox["21"]}], "+", 
         RowBox[{"16", " ", 
          SqrtBox["3"], " ", 
          RowBox[{"Cos", "[", 
           FractionBox["\[Pi]", "14"], "]"}]}], "+", 
         RowBox[{"24", " ", 
          SqrtBox["3"], " ", 
          RowBox[{"Cos", "[", 
           FractionBox[
            RowBox[{"3", " ", "\[Pi]"}], "14"], "]"}]}], "-", 
         RowBox[{"30", " ", 
          RowBox[{"Sin", "[", 
           FractionBox["\[Pi]", "14"], "]"}]}], "+", 
         RowBox[{"6", " ", 
          SqrtBox["21"], " ", 
          RowBox[{"Sin", "[", 
           FractionBox["\[Pi]", "14"], "]"}]}], "+", 
         RowBox[{"72", " ", 
          RowBox[{"Sin", "[", 
           FractionBox[
            RowBox[{"3", " ", "\[Pi]"}], "14"], "]"}]}], "-", 
         RowBox[{"24", " ", 
          SqrtBox["21"], " ", 
          RowBox[{"Sin", "[", 
           FractionBox[
            RowBox[{"3", " ", "\[Pi]"}], "14"], "]"}]}]}]]]}]]}], ",", 
   FractionBox["1", 
    RowBox[{"2", " ", 
     SqrtBox[
      FractionBox["2", 
       RowBox[{"53", "-", 
        RowBox[{"19", " ", 
         SqrtBox["21"]}], "+", 
        RowBox[{"16", " ", 
         SqrtBox["3"], " ", 
         RowBox[{"Cos", "[", 
          FractionBox["\[Pi]", "14"], "]"}]}], "+", 
        RowBox[{"24", " ", 
         SqrtBox["3"], " ", 
         RowBox[{"Cos", "[", 
          FractionBox[
           RowBox[{"3", " ", "\[Pi]"}], "14"], "]"}]}], "-", 
        RowBox[{"30", " ", 
         RowBox[{"Sin", "[", 
          FractionBox["\[Pi]", "14"], "]"}]}], "+", 
        RowBox[{"6", " ", 
         SqrtBox["21"], " ", 
         RowBox[{"Sin", "[", 
          FractionBox["\[Pi]", "14"], "]"}]}], "+", 
        RowBox[{"72", " ", 
         RowBox[{"Sin", "[", 
          FractionBox[
           RowBox[{"3", " ", "\[Pi]"}], "14"], "]"}]}], "-", 
        RowBox[{"24", " ", 
         SqrtBox["21"], " ", 
         RowBox[{"Sin", "[", 
          FractionBox[
           RowBox[{"3", " ", "\[Pi]"}], "14"], "]"}]}]}]]]}]]}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.859439142297386*^9, 3.859439149867397*^9}, {
   3.8594466305634346`*^9, 3.859446642953452*^9}, {3.859446749243601*^9, 
   3.859446810875687*^9}, 3.859446903645817*^9, 3.8596216909683056`*^9, {
   3.8596340265382724`*^9, 3.8596340484983034`*^9}, 3.8596342663826084`*^9, 
   3.859634862440443*^9, 3.8596352548539925`*^9, 3.8598689698535314`*^9},
 CellLabel->"Out[67]=",ExpressionUUID->"e1a24233-6edd-40e4-a8f0-db5998ccdfd7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"a", "=", 
   RowBox[{
    RowBox[{"realPart", "[", 
     RowBox[{"[", "1", "]"}], "]"}], "+", 
    RowBox[{"I", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         FractionBox["3", "4"]}], " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"-", "6"}], "+", 
          RowBox[{"2", " ", 
           SqrtBox["21"]}]}]]}], "+", 
       RowBox[{
        FractionBox["1", "2"], " ", 
        SqrtBox[
         RowBox[{"6", "+", 
          RowBox[{"2", " ", 
           SqrtBox["21"]}]}]], " ", 
        RowBox[{"Cos", "[", 
         FractionBox[
          RowBox[{"3", " ", "\[Pi]"}], "14"], "]"}]}], "-", " ", 
       RowBox[{
        SqrtBox[
         RowBox[{
          RowBox[{"-", "6"}], "+", 
          RowBox[{"2", " ", 
           SqrtBox["21"]}]}]], " ", 
        RowBox[{"Sin", "[", 
         FractionBox[
          RowBox[{"3", " ", "\[Pi]"}], "14"], "]"}]}]}], ")"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"a", "//", "N"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"K", "[", 
   RowBox[{"[", 
    RowBox[{"2", ",", "4"}], "]"}], "]"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "we", " ", "have", " ", "one", " ", "analytical", " ", "number", " ", 
    "from", " ", "K"}], " ", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.859439003536192*^9, 3.859439086427308*^9}, {
   3.8594391552174044`*^9, 3.8594391874074497`*^9}, 3.8594394652278385`*^9, {
   3.8594459128404293`*^9, 3.8594459184704375`*^9}, 3.8594466475234585`*^9, {
   3.8594466905235186`*^9, 3.859446696353527*^9}, {3.8594467622336187`*^9, 
   3.8594467640536213`*^9}, {3.85944691303583*^9, 3.8594469488658805`*^9}, {
   3.8594620013928175`*^9, 3.8594620108728304`*^9}},
 CellLabel->"In[71]:=",ExpressionUUID->"12aeed72-bd29-4233-ab83-f935f4906382"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "0.38900382697619224`"}], "-", 
  RowBox[{"0.9212361383477508`", " ", "\[ImaginaryI]"}]}]], "Output",
 CellChangeTimes->{
  3.859446733753579*^9, {3.859446764463622*^9, 3.8594467813136454`*^9}, 
   3.8594468124156895`*^9, {3.8594469070658216`*^9, 3.859446952415885*^9}, 
   3.859462011552831*^9, 3.8596216939424753`*^9, 3.8596266512393785`*^9, 
   3.8596291009604945`*^9, 3.859629582328027*^9, {3.859634028288275*^9, 
   3.859634050608306*^9}, 3.8596342683426113`*^9, 3.859634862960444*^9, 
   3.859635256873996*^9, {3.8598689720035343`*^9, 3.859868975243539*^9}},
 CellLabel->"Out[72]=",ExpressionUUID->"1a9cbd5f-e3fb-4001-9e29-932a70ae7bcf"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "0.3890038269761909`"}], "-", 
  RowBox[{"0.9212361383477514`", " ", "\[ImaginaryI]"}]}]], "Output",
 CellChangeTimes->{
  3.859446733753579*^9, {3.859446764463622*^9, 3.8594467813136454`*^9}, 
   3.8594468124156895`*^9, {3.8594469070658216`*^9, 3.859446952415885*^9}, 
   3.859462011552831*^9, 3.8596216939424753`*^9, 3.8596266512393785`*^9, 
   3.8596291009604945`*^9, 3.859629582328027*^9, {3.859634028288275*^9, 
   3.859634050608306*^9}, 3.8596342683426113`*^9, 3.859634862960444*^9, 
   3.859635256873996*^9, {3.8598689720035343`*^9, 3.859868975243539*^9}},
 CellLabel->"Out[73]=",ExpressionUUID->"7e2e0b60-7e9f-417e-89e4-8537503da1a5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"parameter", " ", "'"}], 
    RowBox[{"a", "'"}], " ", "can", " ", "also", " ", "be", " ", "obtained", 
    " ", "as", " ", "the", " ", "maximal", " ", "real", " ", "root", " ", 
    "of", " ", "the", " ", "polynomial"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"\[Zeta]", "=", 
     RowBox[{"Root", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"1", "+", 
         RowBox[{"12", "#"}], "+", 
         RowBox[{"18", 
          SuperscriptBox["#", "2"]}], "-", 
         RowBox[{"64", 
          SuperscriptBox["#", "3"]}], "-", 
         RowBox[{"96", 
          SuperscriptBox["#", "4"]}], "+", 
         RowBox[{"45", 
          SuperscriptBox["#", "5"]}], "+", 
         RowBox[{"43", 
          SuperscriptBox["#", "6"]}]}], "&"}], ",", "6"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a", "=", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", 
        RowBox[{"2", "\[Zeta]"}]]}], "+", 
      RowBox[{"I", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           FractionBox["3", "4"]}], " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"-", "6"}], "+", 
            RowBox[{"2", " ", 
             SqrtBox["21"]}]}]]}], "+", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          SqrtBox[
           RowBox[{"6", "+", 
            RowBox[{"2", " ", 
             SqrtBox["21"]}]}]], " ", 
          RowBox[{"Cos", "[", 
           FractionBox[
            RowBox[{"3", " ", "\[Pi]"}], "14"], "]"}]}], "-", " ", 
         RowBox[{
          SqrtBox[
           RowBox[{
            RowBox[{"-", "6"}], "+", 
            RowBox[{"2", " ", 
             SqrtBox["21"]}]}]], " ", 
          RowBox[{"Sin", "[", 
           FractionBox[
            RowBox[{"3", " ", "\[Pi]"}], "14"], "]"}]}]}], ")"}]}]}]}], ";"}],
    "\[IndentingNewLine]", 
   RowBox[{"a", "//", "N"}]}]}]], "Input",
 CellChangeTimes->{{3.859445876739379*^9, 3.859446008790564*^9}, {
  3.8594466602734756`*^9, 3.859446665043483*^9}, {3.8594467091835446`*^9, 
  3.8594467313835754`*^9}},
 CellLabel->"In[74]:=",ExpressionUUID->"0ca4487e-e4f8-46a3-adea-42f1aa55e9dc"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "0.3890038269761921`"}], "-", 
  RowBox[{"0.9212361383477508`", " ", "\[ImaginaryI]"}]}]], "Output",
 CellChangeTimes->{{3.8594466638734813`*^9, 3.859446665263483*^9}, 
   3.859446731663576*^9, {3.8594468139956913`*^9, 3.8594468298257136`*^9}, {
   3.8594469541458874`*^9, 3.8594469570358915`*^9}, 3.8596216958265834`*^9, 
   3.8596225848904347`*^9, 3.8596233025919867`*^9, 3.8596238375627356`*^9, 
   3.8596259976247597`*^9, 3.859626652429446*^9, 3.8596287204127283`*^9, 
   3.8596292601636004`*^9, 3.8596340524183083`*^9, 3.8596342714426155`*^9, 
   3.859634863700445*^9, 3.859635257853997*^9, 3.8598689771035414`*^9},
 CellLabel->"Out[76]=",ExpressionUUID->"a6b8824e-a917-40eb-8405-2aeff205b647"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "after", " ", "a", " ", "while", " ", "one", " ", "sees", " ", "that", " ",
     "other", " ", "entries", " ", "in", " ", "K", " ", "are", " ", "just", 
    " ", "functions", " ", 
    RowBox[{"of", " ", "'"}], 
    RowBox[{"a", "'"}], " ", "and", " ", "two", " ", "additional", " ", 
    RowBox[{"numbers", " ", "'"}], 
    RowBox[{"x", "'"}], " ", 
    RowBox[{"and", " ", "'"}], 
    RowBox[{"y", "'"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"'", 
    RowBox[{"x", "'"}], " ", 
    RowBox[{"and", " ", "'"}], 
    RowBox[{"y", "'"}], " ", "can", " ", "be", " ", "obtained", " ", "from", 
    " ", "the", " ", "system", " ", "of", " ", "equations", " ", "below"}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"x", "=."}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"y", "=."}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"xy", "=", 
     RowBox[{"NSolve", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"1", "+", 
           FractionBox["1", "x"], "+", 
           FractionBox["1", "y"], "+", 
           FractionBox[
            RowBox[{"1", "+", "a", "+", "x", "+", "y"}], 
            SuperscriptBox["a", "2"]]}], "\[Equal]", "0"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"1", "+", 
           FractionBox["a", "x"], "+", 
           FractionBox["x", "a"], "+", 
           FractionBox[
            RowBox[{
             SuperscriptBox["a", "2"], " ", 
             RowBox[{"(", 
              RowBox[{"1", "+", "x"}], ")"}]}], 
            RowBox[{"x", " ", "y"}]], "+", 
           FractionBox[
            RowBox[{
             RowBox[{"(", 
              RowBox[{"1", "+", "x"}], ")"}], " ", "y"}], 
            SuperscriptBox["a", "2"]]}], "\[Equal]", "0"}]}], 
        "\[IndentingNewLine]", "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "y"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"xySolution", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"x", ",", "y"}], "}"}], "/.", "xy"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x", ",", "y"}], "}"}], "=", 
     RowBox[{
     "xySolution", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
    ";"}]}]}]], "Input",
 CellChangeTimes->{{3.8594460374206038`*^9, 3.859446112310709*^9}, {
   3.859446202131835*^9, 3.8594462869519534`*^9}, 3.8594464031321163`*^9, {
   3.8594620237738485`*^9, 3.859462080513928*^9}, {3.8594624702164736`*^9, 
   3.8594624837964926`*^9}, {3.8596217018329268`*^9, 3.85962173126661*^9}, {
   3.859621764389505*^9, 3.8596218577398443`*^9}, {3.8596219266607866`*^9, 
   3.859621953636329*^9}, {3.8596224046571264`*^9, 3.859622405270161*^9}, {
   3.8596226349382973`*^9, 3.859622667656169*^9}, {3.859628712820294*^9, 
   3.859628748433331*^9}},
 CellLabel->"In[77]:=",ExpressionUUID->"cac4bfd1-e9f4-4728-89f8-f31f1cd04d22"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"L", "=", 
    TagBox[
     RowBox[{"(", "\[NoBreak]", GridBox[{
        {"1", "1", "1", "1", "1", "1", "1"},
        {"1", "y", "x", "a", 
         FractionBox[
          SuperscriptBox["a", "2"], "x"], 
         FractionBox[
          SuperscriptBox["a", "2"], "y"], 
         SuperscriptBox["a", "2"]},
        {"1", 
         FractionBox["y", 
          SuperscriptBox["a", "2"]], 
         FractionBox[
          RowBox[{"x", " ", "y"}], 
          SuperscriptBox["a", "2"]], 
         FractionBox["x", "a"], 
         FractionBox["a", "x"], 
         FractionBox[
          SuperscriptBox["a", "2"], 
          RowBox[{"x", " ", "y"}]], 
         FractionBox[
          SuperscriptBox["a", "2"], "y"]},
        {"1", 
         FractionBox[
          SuperscriptBox["y", "2"], 
          SuperscriptBox["a", "2"]], 
         FractionBox[
          RowBox[{
           RowBox[{"-", 
            SuperscriptBox["a", "3"]}], "-", 
           SuperscriptBox["a", "4"], "-", 
           RowBox[{
            SuperscriptBox["a", "2"], " ", "x"}], "-", 
           RowBox[{"a", " ", "x", " ", "y"}], "-", 
           RowBox[{"x", " ", 
            SuperscriptBox["y", "2"]}]}], 
          RowBox[{
           SuperscriptBox["a", "2"], " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "a"}], ")"}], " ", "x"}]], 
         FractionBox[
          RowBox[{
           RowBox[{"-", 
            SuperscriptBox["a", "3"]}], "-", 
           SuperscriptBox["a", "4"], "-", 
           RowBox[{
            SuperscriptBox["a", "2"], " ", "x"}], "-", 
           RowBox[{"a", " ", "x", " ", "y"}], "-", 
           RowBox[{"x", " ", 
            SuperscriptBox["y", "2"]}]}], 
          RowBox[{"a", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "a"}], ")"}], " ", "x"}]], 
         FractionBox["y", "a"], 
         FractionBox["a", "x"], 
         FractionBox[
          SuperscriptBox["a", "2"], "x"]},
        {"1", 
         FractionBox[
          RowBox[{"x", " ", "y"}], 
          SuperscriptBox["a", "2"]], 
         FractionBox[
          RowBox[{
           RowBox[{"-", 
            SuperscriptBox["a", "3"]}], "-", 
           SuperscriptBox["a", "4"], "-", 
           RowBox[{
            SuperscriptBox["a", "2"], " ", "x"}], "-", 
           RowBox[{"a", " ", "x", " ", "y"}], "-", 
           RowBox[{"x", " ", 
            SuperscriptBox["y", "2"]}]}], 
          RowBox[{
           SuperscriptBox["a", "2"], " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "a"}], ")"}]}]], 
         FractionBox[
          RowBox[{
           RowBox[{"-", 
            SuperscriptBox["a", "3"]}], "-", 
           SuperscriptBox["a", "4"], "-", 
           RowBox[{
            SuperscriptBox["a", "2"], " ", "x"}], "-", 
           RowBox[{"a", " ", "x", " ", "y"}], "-", 
           RowBox[{"x", " ", 
            SuperscriptBox["y", "2"]}]}], 
          RowBox[{
           SuperscriptBox["a", "3"], " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "a"}], ")"}]}]], 
         RowBox[{"-", 
          FractionBox[
           RowBox[{
            SuperscriptBox["a", "3"], "+", 
            SuperscriptBox["a", "4"], "+", 
            RowBox[{
             SuperscriptBox["a", "2"], " ", "x"}], "+", 
            RowBox[{"a", " ", "x", " ", "y"}], "+", 
            RowBox[{"x", " ", 
             SuperscriptBox["y", "2"]}]}], 
           RowBox[{
            RowBox[{"a", " ", "x"}], "+", 
            RowBox[{
             SuperscriptBox["a", "2"], " ", "x"}]}]]}], 
         FractionBox["x", "a"], "a"},
        {"1", 
         FractionBox["y", "a"], 
         FractionBox[
          RowBox[{
           SuperscriptBox["a", "3"], "+", 
           SuperscriptBox["a", "4"], "+", 
           RowBox[{
            SuperscriptBox["a", "4"], " ", "x"}], "-", 
           RowBox[{
            SuperscriptBox["a", "3"], " ", 
            SuperscriptBox["x", "2"]}], "-", 
           RowBox[{
            SuperscriptBox["a", "2"], " ", "x", " ", "y"}], "-", 
           RowBox[{
            SuperscriptBox["x", "2"], " ", "y"}], "+", 
           RowBox[{"x", " ", 
            SuperscriptBox["y", "2"]}], "+", 
           RowBox[{
            SuperscriptBox["x", "2"], " ", 
            SuperscriptBox["y", "2"]}]}], 
          RowBox[{
           SuperscriptBox["a", "2"], " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "a"}], ")"}], " ", "x"}]], 
         FractionBox[
          RowBox[{
           RowBox[{"-", 
            SuperscriptBox["a", "3"]}], "-", 
           SuperscriptBox["a", "4"], "-", 
           RowBox[{
            SuperscriptBox["a", "2"], " ", "x"}], "-", 
           RowBox[{"a", " ", "x", " ", "y"}], "-", 
           RowBox[{"x", " ", 
            SuperscriptBox["y", "2"]}]}], 
          RowBox[{
           SuperscriptBox["a", "2"], " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "a"}], ")"}]}]], 
         FractionBox[
          RowBox[{
           RowBox[{"-", 
            SuperscriptBox["a", "3"]}], "-", 
           SuperscriptBox["a", "4"], "-", 
           RowBox[{
            SuperscriptBox["a", "2"], " ", "x"}], "-", 
           RowBox[{"a", " ", "x", " ", "y"}], "-", 
           RowBox[{"x", " ", 
            SuperscriptBox["y", "2"]}]}], 
          RowBox[{
           SuperscriptBox["a", "2"], " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "a"}], ")"}], " ", "x"}]], 
         FractionBox[
          RowBox[{"x", " ", "y"}], 
          SuperscriptBox["a", "2"]], "x"},
        {"1", 
         RowBox[{"-", 
          FractionBox[
           RowBox[{"x", " ", 
            SuperscriptBox["y", "2"]}], 
           RowBox[{
            RowBox[{
             SuperscriptBox["a", "2"], " ", "x"}], "+", 
            RowBox[{
             SuperscriptBox["a", "2"], " ", "y"}], "+", 
            RowBox[{"x", " ", "y"}], "+", 
            RowBox[{"a", " ", "x", " ", "y"}], "+", 
            RowBox[{
             SuperscriptBox["a", "2"], " ", "x", " ", "y"}], "+", 
            RowBox[{"x", " ", 
             SuperscriptBox["y", "2"]}]}]]}], 
         FractionBox["y", "a"], 
         FractionBox[
          RowBox[{"x", " ", "y"}], 
          SuperscriptBox["a", "2"]], 
         FractionBox[
          SuperscriptBox["y", "2"], 
          SuperscriptBox["a", "2"]], 
         FractionBox["y", 
          SuperscriptBox["a", "2"]], "y"}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.7]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}], "\[NoBreak]", ")"}],
     Function[BoxForm`e$, 
      MatrixForm[BoxForm`e$]]]}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "now", " ", "we", " ", "have", " ", "analytic", " ", "form", " ", "of", 
     " ", "K"}], ",", " ", 
    RowBox[{
     RowBox[{"let", "'"}], "s", " ", "call", " ", "it", " ", "L"}]}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"L", "//", "N"}], "//", "MatrixForm"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"L", ".", 
    RowBox[{"ConjugateTranspose", "[", "L", "]"}]}], "//", "MatrixForm"}], "//",
   "Chop"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"K", "-", "L"}], "//", "MatrixForm"}], "//", "Chop"}]}], "Input",
 CellChangeTimes->{{3.8594400712762413`*^9, 3.859440180156394*^9}, {
   3.859440277726531*^9, 3.8594403596966457`*^9}, {3.8594405010888433`*^9, 
   3.8594405370898943`*^9}, {3.8594406476200485`*^9, 
   3.8594406596200657`*^9}, {3.8594408535733376`*^9, 
   3.8594408536633377`*^9}, {3.8594409710145016`*^9, 3.85944099129453*^9}, {
   3.859441044064604*^9, 3.8594410917746706`*^9}, {3.8594412609049077`*^9, 
   3.8594413322350073`*^9}, {3.859441370545061*^9, 3.8594413706150613`*^9}, {
   3.8594415265162797`*^9, 3.8594415422063017`*^9}, 3.8594415874563646`*^9, {
   3.8594419686168985`*^9, 3.8594420147489634`*^9}, 3.8594420673490367`*^9, {
   3.8594422939229093`*^9, 3.859442297392914*^9}, {3.8594423762030244`*^9, 
   3.8594424554231353`*^9}, 3.859442514983219*^9, {3.859442553663273*^9, 
   3.859442570963297*^9}, 3.859442604633344*^9, 3.8594426520034103`*^9, {
   3.8594426915034657`*^9, 3.8594427355035276`*^9}, {3.859442816413641*^9, 
   3.859442836553669*^9}, {3.859442870653717*^9, 3.859442893114748*^9}, {
   3.8594429322358027`*^9, 3.8594429515858297`*^9}, 3.859443075208003*^9, 
   3.8594440329796333`*^9, {3.8594461183007174`*^9, 3.8594461262607284`*^9}, {
   3.8594461882818155`*^9, 3.8594461975118284`*^9}, {3.859462095373949*^9, 
   3.859462123354988*^9}, {3.8594625004165163`*^9, 3.859462500546516*^9}, {
   3.859622086570933*^9, 3.859622190494877*^9}, {3.8596350922007647`*^9, 
   3.859635093810767*^9}},
 CellLabel->"In[82]:=",ExpressionUUID->"d4d38f92-0ac6-4678-b2fb-9b3df79b2739"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1.`", "1.`", "1.`", "1.`", "1.`", "1.`", "1.`"},
     {"1.`", 
      RowBox[{
       RowBox[{"-", "0.9829396292583592`"}], "+", 
       RowBox[{"0.18392847858186748`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.7455597578001365`"}], "+", 
       RowBox[{"0.6664387800458519`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.3890038269761921`"}], "-", 
       RowBox[{"0.9212361383477508`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.9975734668422743`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.06962167947042824`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.8172817923881621`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.57623820754163`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.697352045195753`"}], "+", 
       RowBox[{"0.7167287667320876`", " ", "\[ImaginaryI]"}]}]},
     {"1.`", 
      RowBox[{"0.8172817923881641`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.5762382075416315`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9933599032372342`"}], "+", 
       RowBox[{"0.11504826222293174`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.32392188915093084`"}], "-", 
       RowBox[{"0.946083828066464`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.3239218891509302`"}], "+", 
       RowBox[{"0.9460838280664619`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9933599032372303`"}], "-", 
       RowBox[{"0.11504826222293124`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.8172817923881621`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.57623820754163`", " ", "\[ImaginaryI]"}]}]},
     {"1.`", 
      RowBox[{
       RowBox[{"-", "0.909325278823504`"}], "-", 
       RowBox[{"0.41608597343885595`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.8781501666083845`"}], "-", 
       RowBox[{"0.4783850801244447`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.09910184838658054`"}], "+", 
       RowBox[{"0.9950772953124636`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.21292571612712477`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.9770683903451963`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.3239218891509302`"}], "+", 
       RowBox[{"0.9460838280664619`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.9975734668422743`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.06962167947042824`", " ", "\[ImaginaryI]"}]}]},
     {"1.`", 
      RowBox[{
       RowBox[{"-", "0.9933599032372342`"}], "+", 
       RowBox[{"0.11504826222293174`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.9735277947189689`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.2285686612587735`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.1681403269680241`"}], "+", 
       RowBox[{"0.985763070137593`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.09910184838658043`"}], "+", 
       RowBox[{"0.9950772953124635`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.32392188915093084`"}], "-", 
       RowBox[{"0.946083828066464`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.3890038269761921`"}], "-", 
       RowBox[{"0.9212361383477508`", " ", "\[ImaginaryI]"}]}]},
     {"1.`", 
      RowBox[{"0.21292571612712477`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.9770683903451963`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.4306163167996617`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.9025350894596307`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.9735277947189689`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.2285686612587735`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.8781501666083845`"}], "-", 
       RowBox[{"0.4783850801244447`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9933599032372342`"}], "+", 
       RowBox[{"0.11504826222293174`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.7455597578001365`"}], "+", 
       RowBox[{"0.6664387800458519`", " ", "\[ImaginaryI]"}]}]},
     {"1.`", 
      RowBox[{"0.8554173028038057`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.5179394154376221`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.21292571612712477`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.9770683903451963`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9933599032372342`"}], "+", 
       RowBox[{"0.11504826222293174`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.909325278823504`"}], "-", 
       RowBox[{"0.41608597343885595`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.8172817923881641`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.5762382075416315`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9829396292583592`"}], "+", 
       RowBox[{"0.18392847858186748`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859440359906646*^9, {3.859440502448846*^9, 3.8594405419899006`*^9}, 
   3.859440661330068*^9, 3.8594408553133397`*^9, {3.859440974904507*^9, 
   3.859440991814531*^9}, {3.859441046374607*^9, 3.8594410921046715`*^9}, {
   3.8594412650949135`*^9, 3.859441332675008*^9}, 3.8594413711550617`*^9, {
   3.859441531846287*^9, 3.859441542656302*^9}, 3.859441588426366*^9, {
   3.859441986076923*^9, 3.8594420150789633`*^9}, {3.859442068309038*^9, 
   3.8594420757990484`*^9}, 3.8594422976229143`*^9, {3.859442379343029*^9, 
   3.859442457233138*^9}, {3.8594425158432198`*^9, 3.8594425719232984`*^9}, 
   3.859442609363351*^9, 3.8594426568534174`*^9, {3.8594426917834663`*^9, 
   3.8594427505035486`*^9}, {3.8594428298036594`*^9, 3.85944283696367*^9}, {
   3.859442871233718*^9, 3.8594428936347485`*^9}, {3.859442933215804*^9, 
   3.859442952095831*^9}, {3.8594430757780037`*^9, 3.859443096588033*^9}, 
   3.8594439137794666`*^9, 3.8594440332396336`*^9, {3.8594458865893927`*^9, 
   3.859445909510425*^9}, 3.8594459880205345`*^9, 3.859446018730578*^9, {
   3.8594461197607193`*^9, 3.859446126720729*^9}, {3.859446195321825*^9, 
   3.85944624172189*^9}, 3.8594463033119764`*^9, {3.8594620879339385`*^9, 
   3.859462123644988*^9}, 3.8594625037565203`*^9, {3.8596221840365076`*^9, 
   3.8596221909009*^9}, {3.8596224320036907`*^9, 3.8596224390490932`*^9}, 
   3.8596340559183135`*^9, 3.8596341179584007`*^9, 3.8596342750826206`*^9, 
   3.8596348680904512`*^9, {3.8596350827407513`*^9, 3.859635094090768*^9}, 
   3.859635262384003*^9, 3.859868981023547*^9},
 CellLabel->
  "Out[83]//MatrixForm=",ExpressionUUID->"82dc2bd8-bfcf-4cbd-840c-\
8075520a4dd0"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"7.`", "0", "0", "0", "0", "0", "0"},
     {"0", "6.999999999999996`", "0", "0", "0", "0", "0"},
     {"0", "0", "7.000000000000001`", "0", "0", "0", "0"},
     {"0", "0", "0", "7.000000000000011`", "0", "0", "0"},
     {"0", "0", "0", "0", "7.000000000000024`", "0", "0"},
     {"0", "0", "0", "0", "0", "7.000000000000028`", "0"},
     {"0", "0", "0", "0", "0", "0", "7.000000000000016`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859440359906646*^9, {3.859440502448846*^9, 3.8594405419899006`*^9}, 
   3.859440661330068*^9, 3.8594408553133397`*^9, {3.859440974904507*^9, 
   3.859440991814531*^9}, {3.859441046374607*^9, 3.8594410921046715`*^9}, {
   3.8594412650949135`*^9, 3.859441332675008*^9}, 3.8594413711550617`*^9, {
   3.859441531846287*^9, 3.859441542656302*^9}, 3.859441588426366*^9, {
   3.859441986076923*^9, 3.8594420150789633`*^9}, {3.859442068309038*^9, 
   3.8594420757990484`*^9}, 3.8594422976229143`*^9, {3.859442379343029*^9, 
   3.859442457233138*^9}, {3.8594425158432198`*^9, 3.8594425719232984`*^9}, 
   3.859442609363351*^9, 3.8594426568534174`*^9, {3.8594426917834663`*^9, 
   3.8594427505035486`*^9}, {3.8594428298036594`*^9, 3.85944283696367*^9}, {
   3.859442871233718*^9, 3.8594428936347485`*^9}, {3.859442933215804*^9, 
   3.859442952095831*^9}, {3.8594430757780037`*^9, 3.859443096588033*^9}, 
   3.8594439137794666`*^9, 3.8594440332396336`*^9, {3.8594458865893927`*^9, 
   3.859445909510425*^9}, 3.8594459880205345`*^9, 3.859446018730578*^9, {
   3.8594461197607193`*^9, 3.859446126720729*^9}, {3.859446195321825*^9, 
   3.85944624172189*^9}, 3.8594463033119764`*^9, {3.8594620879339385`*^9, 
   3.859462123644988*^9}, 3.8594625037565203`*^9, {3.8596221840365076`*^9, 
   3.8596221909009*^9}, {3.8596224320036907`*^9, 3.8596224390490932`*^9}, 
   3.8596340559183135`*^9, 3.8596341179584007`*^9, 3.8596342750826206`*^9, 
   3.8596348680904512`*^9, {3.8596350827407513`*^9, 3.859635094090768*^9}, 
   3.859635262384003*^9, 3.859868981023547*^9},
 CellLabel->
  "Out[84]//MatrixForm=",ExpressionUUID->"be3e3ebd-eb21-47fe-ab9e-\
dea702af2f4f"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859440359906646*^9, {3.859440502448846*^9, 3.8594405419899006`*^9}, 
   3.859440661330068*^9, 3.8594408553133397`*^9, {3.859440974904507*^9, 
   3.859440991814531*^9}, {3.859441046374607*^9, 3.8594410921046715`*^9}, {
   3.8594412650949135`*^9, 3.859441332675008*^9}, 3.8594413711550617`*^9, {
   3.859441531846287*^9, 3.859441542656302*^9}, 3.859441588426366*^9, {
   3.859441986076923*^9, 3.8594420150789633`*^9}, {3.859442068309038*^9, 
   3.8594420757990484`*^9}, 3.8594422976229143`*^9, {3.859442379343029*^9, 
   3.859442457233138*^9}, {3.8594425158432198`*^9, 3.8594425719232984`*^9}, 
   3.859442609363351*^9, 3.8594426568534174`*^9, {3.8594426917834663`*^9, 
   3.8594427505035486`*^9}, {3.8594428298036594`*^9, 3.85944283696367*^9}, {
   3.859442871233718*^9, 3.8594428936347485`*^9}, {3.859442933215804*^9, 
   3.859442952095831*^9}, {3.8594430757780037`*^9, 3.859443096588033*^9}, 
   3.8594439137794666`*^9, 3.8594440332396336`*^9, {3.8594458865893927`*^9, 
   3.859445909510425*^9}, 3.8594459880205345`*^9, 3.859446018730578*^9, {
   3.8594461197607193`*^9, 3.859446126720729*^9}, {3.859446195321825*^9, 
   3.85944624172189*^9}, 3.8594463033119764`*^9, {3.8594620879339385`*^9, 
   3.859462123644988*^9}, 3.8594625037565203`*^9, {3.8596221840365076`*^9, 
   3.8596221909009*^9}, {3.8596224320036907`*^9, 3.8596224390490932`*^9}, 
   3.8596340559183135`*^9, 3.8596341179584007`*^9, 3.8596342750826206`*^9, 
   3.8596348680904512`*^9, {3.8596350827407513`*^9, 3.859635094090768*^9}, 
   3.859635262384003*^9, 3.859868981023547*^9},
 CellLabel->
  "Out[85]//MatrixForm=",ExpressionUUID->"998ffb7f-45e2-4052-99dc-\
f0c488bb3ce0"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"is", " ", "L", " ", "equal", " ", "to", " ", "C_", "7", 
     RowBox[{"X", "?", " ", 
      RowBox[{"https", ":"}]}]}], "//", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"chaos", ".", "if", ".", "uj", ".", "edu", ".", "pl"}], "/", 
         RowBox[{"~", "karol"}]}], "/", "hadamard"}], "/", "catalogue"}], "/",
       "0703."}], "html"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"if", " ", "we", " ", "impose", " ", "that", " ", "a"}], "=", 
     "1"}], ",", " ", 
    RowBox[{
    "we", " ", "recover", " ", "C_", "7", "A", " ", "or", " ", "C_", "7", 
     "B"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"for", " ", "other", " ", "value", " ", "of", " ", "a"}], ",", 
    " ", 
    RowBox[{
     RowBox[{
     "it", " ", "looks", " ", "like", " ", "C_", "7", "C", " ", "or", " ", 
      "C_", "7", "D"}], "..."}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"LP", "=", 
     RowBox[{"L", ".", 
      TagBox[
       RowBox[{"(", "\[NoBreak]", GridBox[{
          {"1", "0", "0", "0", "0", "0", "0"},
          {"0", "0", "0", "0", "0", "0", "1"},
          {"0", "0", "0", "0", "0", "1", "0"},
          {"0", "0", "0", "0", "1", "0", "0"},
          {"0", "0", "0", "1", "0", "0", "0"},
          {"0", "0", "1", "0", "0", "0", "0"},
          {"0", "1", "0", "0", "0", "0", "0"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.7]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}], "\[NoBreak]", ")"}],
       Function[BoxForm`e$, 
        MatrixForm[BoxForm`e$]]]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LP", "//", "MatrixForm"}], "//", "Chop"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"well", ",", " ", 
     RowBox[{
     "it", " ", "is", " ", "\"\<not exactly\>\"", " ", "C_", "7", "C", " ", 
      "or", " ", "C_", "7", "D"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"however", ",", " ", 
     RowBox[{
      RowBox[{"the", " ", 
       RowBox[{"Haagerup", "'"}], "s", " ", "sets", " ", "are", " ", "the", 
       " ", "same"}], "..."}]}], " ", "*)"}]}]}]], "Input",
 CellChangeTimes->{{3.8594471026460953`*^9, 3.8594471747061963`*^9}, {
  3.8594472610163174`*^9, 3.859447286722354*^9}, {3.8594473978225093`*^9, 
  3.85944739825251*^9}, {3.859447989515338*^9, 3.859448040645409*^9}, {
  3.8594527056513643`*^9, 3.859452706881366*^9}, {3.859462128664995*^9, 
  3.8594622114651113`*^9}},
 CellLabel->"In[86]:=",ExpressionUUID->"0b4cd938-24e5-46c1-8953-7cca5e16c278"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1.`", "1.`", "1.`", "1.`", "1.`", "1.`", "1.`"},
     {"1.`", 
      RowBox[{
       RowBox[{"-", "0.697352045195753`"}], "+", 
       RowBox[{"0.7167287667320876`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.8172817923881621`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.57623820754163`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.9975734668422743`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.06962167947042824`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.3890038269761921`"}], "-", 
       RowBox[{"0.9212361383477508`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.7455597578001365`"}], "+", 
       RowBox[{"0.6664387800458519`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9829396292583592`"}], "+", 
       RowBox[{"0.18392847858186748`", " ", "\[ImaginaryI]"}]}]},
     {"1.`", 
      RowBox[{"0.8172817923881621`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.57623820754163`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9933599032372303`"}], "-", 
       RowBox[{"0.11504826222293124`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.3239218891509302`"}], "+", 
       RowBox[{"0.9460838280664619`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.32392188915093084`"}], "-", 
       RowBox[{"0.946083828066464`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9933599032372342`"}], "+", 
       RowBox[{"0.11504826222293174`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.8172817923881641`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.5762382075416315`", " ", "\[ImaginaryI]"}]}]},
     {"1.`", 
      RowBox[{"0.9975734668422743`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.06962167947042824`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.3239218891509302`"}], "+", 
       RowBox[{"0.9460838280664619`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.21292571612712477`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.9770683903451963`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.09910184838658054`"}], "+", 
       RowBox[{"0.9950772953124636`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.8781501666083845`"}], "-", 
       RowBox[{"0.4783850801244447`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.909325278823504`"}], "-", 
       RowBox[{"0.41608597343885595`", " ", "\[ImaginaryI]"}]}]},
     {"1.`", 
      RowBox[{
       RowBox[{"-", "0.3890038269761921`"}], "-", 
       RowBox[{"0.9212361383477508`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.32392188915093084`"}], "-", 
       RowBox[{"0.946083828066464`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.09910184838658043`"}], "+", 
       RowBox[{"0.9950772953124635`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.1681403269680241`"}], "+", 
       RowBox[{"0.985763070137593`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.9735277947189689`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.2285686612587735`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9933599032372342`"}], "+", 
       RowBox[{"0.11504826222293174`", " ", "\[ImaginaryI]"}]}]},
     {"1.`", 
      RowBox[{
       RowBox[{"-", "0.7455597578001365`"}], "+", 
       RowBox[{"0.6664387800458519`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9933599032372342`"}], "+", 
       RowBox[{"0.11504826222293174`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.8781501666083845`"}], "-", 
       RowBox[{"0.4783850801244447`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.9735277947189689`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.2285686612587735`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.4306163167996617`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.9025350894596307`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.21292571612712477`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.9770683903451963`", " ", "\[ImaginaryI]"}]}]},
     {"1.`", 
      RowBox[{
       RowBox[{"-", "0.9829396292583592`"}], "+", 
       RowBox[{"0.18392847858186748`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.8172817923881641`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.5762382075416315`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.909325278823504`"}], "-", 
       RowBox[{"0.41608597343885595`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9933599032372342`"}], "+", 
       RowBox[{"0.11504826222293174`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.21292571612712477`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.9770683903451963`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.8554173028038057`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.5179394154376221`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.859447103876097*^9, 3.8594471749861965`*^9}, {
   3.8594472618963184`*^9, 3.859447286972354*^9}, 3.85944739850251*^9, 
   3.859634058518317*^9, 3.8596341223684063`*^9, 3.8596342772326236`*^9, 
   3.8596348702704544`*^9, 3.8596352645940065`*^9, 3.859868983693551*^9},
 CellLabel->
  "Out[87]//MatrixForm=",ExpressionUUID->"57ee216a-c01a-4770-ba8c-\
447b25e81d10"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"complexHadamardQ", "[", 
    RowBox[{"LP", ",", 
     SuperscriptBox["10", 
      RowBox[{"-", "13"}]]}], "]"}], "//", "MatrixForm"}], "//", 
  "Chop"}]], "Input",
 CellChangeTimes->{{3.8594472634763207`*^9, 3.8594473101823864`*^9}},
 CellLabel->"In[88]:=",ExpressionUUID->"c317e2ab-ebb0-47f9-87e9-246059c55db7"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.859447307572383*^9, 3.859447310392387*^9}, 
   3.8596340605683203`*^9, 3.8596341237284083`*^9, 3.859634280382628*^9, 
   3.859634871210456*^9, 3.85963526710401*^9, 3.859868984563552*^9},
 CellLabel->
  "Out[88]//MatrixForm=",ExpressionUUID->"56fdd2ec-14f9-4265-a1fe-\
2c61bb59aed6"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"finally", ",", " ", 
    RowBox[{
    "we", " ", "can", " ", "\"\<restore\>\"", " ", "full", " ", "cyclic", " ",
      "form", " ", "of", " ", "L", " ", "aka", " ", "K"}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"FCF", "=", 
     RowBox[{"restoreFullCyclicForm7", "[", "L", "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"FCF", "//", "MatrixForm"}], "//", "Chop"}], "//", "N"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"we", " ", "can", " ", "confirm"}], ",", " ", 
     RowBox[{
      RowBox[{
      "that", " ", "after", " ", "dephasing", " ", "we", " ", "have", " ", 
       "K"}], " ", "\[Equal]", " ", 
      RowBox[{"L", " ", "again"}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"dephase", "[", "FCF", "]"}], "-", "K"}], "//", "MatrixForm"}], 
    "//", "Chop"}], "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQBWIQ/cFdfmHowTeOc0LbjoFoG/G1l0B0iTjrVRBt9tP9
Foi2U2K5DaLXpFewhgHp5KVFHCB6Y1CwGIhe/+23OIi+3FanAKLLg3S0QDTT
eQ8bEF3K6+0OopviWeJBdI3OxwQQfevHtCIQvWFuei2I1i61bgLzdS73g2gp
yakzQfQ+xs5zILoiXYkrHEj7FWgJgmgrzZ3iIHqDXboSiJYwZGJcDaRj2L4z
g+gZsZaCINrlhp8qiP65I8oURNsWbbQH0XFcf1xBdImJQxCITntfGQGiJcxX
g+k9vyPyQbQc24sCEP0hN64BRG9kF2gC0SvEXnaA6EUZnZ0gGgCljKxp
  "],
 CellLabel->"In[89]:=",ExpressionUUID->"b828f054-3d8b-4a9f-9432-6a0620ba94d6"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"0.3319658604055963`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.9432914011720727`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.3226763705178061`"}], "-", 
       RowBox[{"0.9465093554262712`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.22380394392365666`"}], "+", 
       RowBox[{"0.9746341850582783`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9003970085549015`"}], "-", 
       RowBox[{"0.43506922091246786`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9411962388414227`"}], "-", 
       RowBox[{"0.33786038535282364`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.7083697056498622`"}], "-", 
       RowBox[{"0.7058415970439316`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.16251236014509937`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.9867065079343859`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.16251236014509937`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.9867065079343859`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.33196586040559684`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.9432914011720736`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.3226763705178061`"}], "-", 
       RowBox[{"0.9465093554262712`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.22380394392365657`"}], "+", 
       RowBox[{"0.9746341850582781`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9003970085549015`"}], "-", 
       RowBox[{"0.43506922091246786`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9411962388414227`"}], "-", 
       RowBox[{"0.33786038535282364`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.7083697056498622`"}], "-", 
       RowBox[{"0.7058415970439316`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.7083697056498615`"}], "-", 
       RowBox[{"0.7058415970439311`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.16251236014509943`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.9867065079343859`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.33196586040559617`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.9432914011720726`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.32267637051780557`"}], "-", 
       RowBox[{"0.9465093554262703`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.2238039439236565`"}], "+", 
       RowBox[{"0.9746341850582773`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9003970085549005`"}], "-", 
       RowBox[{"0.43506922091246747`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9411962388414216`"}], "-", 
       RowBox[{"0.3378603853528236`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.9411962388414206`"}], "-", 
       RowBox[{"0.3378603853528236`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.7083697056498613`"}], "-", 
       RowBox[{"0.7058415970439312`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.16251236014510564`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.9867065079343831`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.33196586040560194`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.943291401172069`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.32267637051780507`"}], "-", 
       RowBox[{"0.9465093554262693`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.22380394392365666`"}], "+", 
       RowBox[{"0.9746341850582763`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9003970085548993`"}], "-", 
       RowBox[{"0.43506922091246747`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.9003970085548985`"}], "-", 
       RowBox[{"0.43506922091246714`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9411962388414208`"}], "-", 
       RowBox[{"0.3378603853528236`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.7083697056498649`"}], "-", 
       RowBox[{"0.7058415970439254`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.16251236014510523`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.9867065079343822`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.33196586040560166`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.9432914011720677`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.3226763705178045`"}], "-", 
       RowBox[{"0.9465093554262686`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.22380394392365666`"}], "+", 
       RowBox[{"0.974634185058275`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.2238039439236567`"}], "+", 
       RowBox[{"0.9746341850582741`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9003970085548985`"}], "-", 
       RowBox[{"0.4350692209124673`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9411962388414232`"}], "-", 
       RowBox[{"0.33786038535281954`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.7083697056498641`"}], "-", 
       RowBox[{"0.7058415970439247`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.162512360145105`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.9867065079343812`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.3319658604055945`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.9432914011720699`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.32267637051780385`"}], "-", 
       RowBox[{"0.9465093554262677`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.3226763705178068`"}], "-", 
       RowBox[{"0.9465093554262639`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.223803943923657`"}], "+", 
       RowBox[{"0.9746341850582744`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9003970085548978`"}], "-", 
       RowBox[{"0.43506922091246264`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9411962388414185`"}], "-", 
       RowBox[{"0.3378603853528188`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.7083697056498606`"}], "-", 
       RowBox[{"0.7058415970439254`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.16251236014510162`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.9867065079343798`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.3319658604055974`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.9432914011720662`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.8594594914477477`*^9, 3.859459498287757*^9}, {
   3.8594595349578085`*^9, 3.8594595391778145`*^9}, {3.859459572327861*^9, 
   3.8594596115779157`*^9}, 3.8594596886380234`*^9, 3.859459752619113*^9, 
   3.8594598004991803`*^9, 3.8594602510028114`*^9, 3.8594602890038643`*^9, {
   3.8594603285639195`*^9, 3.8594603340339274`*^9}, {3.859460370203978*^9, 
   3.8594604336650667`*^9}, {3.8594604690451164`*^9, 3.859460480785133*^9}, {
   3.8594605918652887`*^9, 3.859460687815423*^9}, 3.8594607931765704`*^9, {
   3.8594608582966614`*^9, 3.859460881417694*^9}, {3.8594610247678947`*^9, 
   3.8594610631979485`*^9}, 3.8594610996479993`*^9, {3.8594611392580547`*^9, 
   3.8594612077991505`*^9}, {3.859461238279194*^9, 3.8594612468292055`*^9}, {
   3.8594613276293187`*^9, 3.859461483180092*^9}, 3.8594615494311843`*^9, {
   3.8594616074512653`*^9, 3.859461623031287*^9}, 3.8594616837313724`*^9, 
   3.859461749141464*^9, {3.8594622564551744`*^9, 3.85946228190621*^9}, 
   3.859462419836403*^9, {3.8596340622383223`*^9, 3.85963412460841*^9}, {
   3.8596341878184977`*^9, 3.859634241989574*^9}, 3.85963428199263*^9, {
   3.8596343216126857`*^9, 3.8596343299826975`*^9}, {3.859634365413747*^9, 
   3.8596344749939003`*^9}, {3.8596346079550867`*^9, 3.859634626165112*^9}, {
   3.8596346584151573`*^9, 3.859634685935196*^9}, {3.859634737656268*^9, 
   3.8596348343064036`*^9}, 3.859634872380457*^9, {3.859634964850587*^9, 
   3.859634969000592*^9}, {3.859635061540722*^9, 3.8596351001807756`*^9}, {
   3.859635208610928*^9, 3.859635216800939*^9}, {3.8596352681140113`*^9, 
   3.859635276644023*^9}, 3.859868985773554*^9},
 CellLabel->
  "Out[90]//MatrixForm=",ExpressionUUID->"49dc085d-dd66-4853-ac9c-\
2ea89a42bfbf"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.8594594914477477`*^9, 3.859459498287757*^9}, {
   3.8594595349578085`*^9, 3.8594595391778145`*^9}, {3.859459572327861*^9, 
   3.8594596115779157`*^9}, 3.8594596886380234`*^9, 3.859459752619113*^9, 
   3.8594598004991803`*^9, 3.8594602510028114`*^9, 3.8594602890038643`*^9, {
   3.8594603285639195`*^9, 3.8594603340339274`*^9}, {3.859460370203978*^9, 
   3.8594604336650667`*^9}, {3.8594604690451164`*^9, 3.859460480785133*^9}, {
   3.8594605918652887`*^9, 3.859460687815423*^9}, 3.8594607931765704`*^9, {
   3.8594608582966614`*^9, 3.859460881417694*^9}, {3.8594610247678947`*^9, 
   3.8594610631979485`*^9}, 3.8594610996479993`*^9, {3.8594611392580547`*^9, 
   3.8594612077991505`*^9}, {3.859461238279194*^9, 3.8594612468292055`*^9}, {
   3.8594613276293187`*^9, 3.859461483180092*^9}, 3.8594615494311843`*^9, {
   3.8594616074512653`*^9, 3.859461623031287*^9}, 3.8594616837313724`*^9, 
   3.859461749141464*^9, {3.8594622564551744`*^9, 3.85946228190621*^9}, 
   3.859462419836403*^9, {3.8596340622383223`*^9, 3.85963412460841*^9}, {
   3.8596341878184977`*^9, 3.859634241989574*^9}, 3.85963428199263*^9, {
   3.8596343216126857`*^9, 3.8596343299826975`*^9}, {3.859634365413747*^9, 
   3.8596344749939003`*^9}, {3.8596346079550867`*^9, 3.859634626165112*^9}, {
   3.8596346584151573`*^9, 3.859634685935196*^9}, {3.859634737656268*^9, 
   3.8596348343064036`*^9}, 3.859634872380457*^9, {3.859634964850587*^9, 
   3.859634969000592*^9}, {3.859635061540722*^9, 3.8596351001807756`*^9}, {
   3.859635208610928*^9, 3.859635216800939*^9}, {3.8596352681140113`*^9, 
   3.859635276644023*^9}, 3.859868985773554*^9},
 CellLabel->
  "Out[91]//MatrixForm=",ExpressionUUID->"4e51917f-f8ca-42ea-98d1-\
7fa35b6605eb"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["alternative approach", "Subsection",
 CellChangeTimes->{
  3.859633648344743*^9},ExpressionUUID->"c14410af-9af4-4541-9d02-\
bcf1edd1f98e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"parameter", " ", "'"}], 
    RowBox[{"a", "'"}], " ", "can", " ", "also", " ", "be", " ", "obtained", 
    " ", "as", " ", "the", " ", "maximal", " ", "real", " ", "root", " ", 
    "of", " ", "the", " ", "polynomial"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"\[Zeta]", "=", 
     RowBox[{"Root", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"1", "+", 
         RowBox[{"12", "#"}], "+", 
         RowBox[{"18", 
          SuperscriptBox["#", "2"]}], "-", 
         RowBox[{"64", 
          SuperscriptBox["#", "3"]}], "-", 
         RowBox[{"96", 
          SuperscriptBox["#", "4"]}], "+", 
         RowBox[{"45", 
          SuperscriptBox["#", "5"]}], "+", 
         RowBox[{"43", 
          SuperscriptBox["#", "6"]}]}], "&"}], ",", "6"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a", "=", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", 
        RowBox[{"2", "\[Zeta]"}]]}], "+", 
      RowBox[{"I", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           FractionBox["3", "4"]}], " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"-", "6"}], "+", 
            RowBox[{"2", " ", 
             SqrtBox["21"]}]}]]}], "+", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          SqrtBox[
           RowBox[{"6", "+", 
            RowBox[{"2", " ", 
             SqrtBox["21"]}]}]], " ", 
          RowBox[{"Cos", "[", 
           FractionBox[
            RowBox[{"3", " ", "\[Pi]"}], "14"], "]"}]}], "-", " ", 
         RowBox[{
          SqrtBox[
           RowBox[{
            RowBox[{"-", "6"}], "+", 
            RowBox[{"2", " ", 
             SqrtBox["21"]}]}]], " ", 
          RowBox[{"Sin", "[", 
           FractionBox[
            RowBox[{"3", " ", "\[Pi]"}], "14"], "]"}]}]}], ")"}]}]}]}], ";"}],
    "\[IndentingNewLine]", 
   RowBox[{"a", "=", 
    RowBox[{"a", "//", "N"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"b", "=."}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"c", "=."}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"bc", "=", 
    RowBox[{"NSolve", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"1", "+", "a", "+", "b", "+", "c", "+", 
          FractionBox["1", "a"], "+", 
          FractionBox["1", "b"], "+", 
          FractionBox["1", "c"]}], "\[Equal]", "0"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"1", "+", "c", "+", 
          FractionBox["1", "c"], "+", 
          RowBox[{"a", " ", "b"}], "+", 
          FractionBox["1", 
           RowBox[{"a", " ", "b"}]], "+", 
          RowBox[{"b", " ", "c"}], "+", 
          FractionBox["1", 
           RowBox[{"b", " ", "c"}]]}], "\[Equal]", "0"}]}], 
       "\[IndentingNewLine]", "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "c"}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Abs", "@", 
     RowBox[{"{", 
      RowBox[{"b", ",", "c"}], "}"}]}], "/.", "bc", " ", 
    RowBox[{"(*", " ", 
     RowBox[{
      RowBox[{
      "this", " ", "agrees", " ", "with", " ", "Haagerup", " ", "C_", "7", 
       "X"}], "..."}], " ", "*)"}]}]}]}]], "Input",
 CellChangeTimes->{{3.859629081314371*^9, 3.8596290942281094`*^9}, {
  3.859629159780859*^9, 3.859629160345891*^9}, {3.8596307270505013`*^9, 
  3.8596307434334383`*^9}, {3.859631366844548*^9, 3.859631433054641*^9}, {
  3.859631817596179*^9, 3.859631879586266*^9}, {3.8596325212011642`*^9, 
  3.8596325216011653`*^9}, {3.859633687087797*^9, 3.8596336874377975`*^9}, {
  3.859635287134038*^9, 3.8596353017840586`*^9}, {3.8598688019032965`*^9, 
  3.8598688540033693`*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"fc68b164-5245-4b7d-8e55-2777ced16bc9"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "0.3890038269761921`"}], "-", 
  RowBox[{"0.9212361383477508`", " ", "\[ImaginaryI]"}]}]], "Output",
 CellChangeTimes->{{3.8596290950931587`*^9, 3.8596291056597633`*^9}, {
   3.859630735682995*^9, 3.8596307448895216`*^9}, 3.8596308035858793`*^9, 
   3.8596308662104607`*^9, 3.8596309091629176`*^9, 3.859631235223567*^9, 
   3.8596314347146435`*^9, {3.859631842286214*^9, 3.859631880766268*^9}, 
   3.8596325225411663`*^9, 3.8596326568513546`*^9, {3.859633669267772*^9, 
   3.8596336880677986`*^9}, 3.859634504974942*^9, {3.8596348998604956`*^9, 
   3.8596349035405006`*^9}, {3.8596352824040313`*^9, 3.859635302184059*^9}, {
   3.8598688563533726`*^9, 3.8598688620033803`*^9}},
 CellLabel->"Out[10]=",ExpressionUUID->"c5399766-ed5a-4b88-bfae-37030e2b65b8"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"b", "\[Rule]", 
      RowBox[{"0.21292571612712213`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.9770683903451972`", " ", "\[ImaginaryI]"}]}]}], ",", 
     RowBox[{"c", "\[Rule]", 
      RowBox[{
       RowBox[{"-", "0.32392188915093206`"}], "+", 
       RowBox[{"0.9460838280664631`", " ", "\[ImaginaryI]"}]}]}]}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"b", "\[Rule]", 
      RowBox[{
       RowBox[{"-", "0.8142958022322597`"}], "-", 
       RowBox[{"0.5804501240131841`", " ", "\[ImaginaryI]"}]}]}], ",", 
     RowBox[{"c", "\[Rule]", 
      RowBox[{"0.7032996292084515`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.7108935444602493`", " ", "\[ImaginaryI]"}]}]}]}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"b", "\[Rule]", 
      RowBox[{
       RowBox[{"-", "2.09382171661614`"}], "-", 
       RowBox[{"0.5506687898820951`", " ", "\[ImaginaryI]"}]}]}], ",", 
     RowBox[{"c", "\[Rule]", 
      RowBox[{"1.8227405118236237`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.5950399344352298`", " ", "\[ImaginaryI]"}]}]}]}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"b", "\[Rule]", 
      RowBox[{"0.6858407097015919`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.7277516890506075`", " ", "\[ImaginaryI]"}]}]}], ",", 
     RowBox[{"c", "\[Rule]", 
      RowBox[{
       RowBox[{"-", "0.7968368827253995`"}], "-", 
       RowBox[{"0.6041944904817191`", " ", "\[ImaginaryI]"}]}]}]}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"b", "\[Rule]", 
      RowBox[{"0.23405734255734945`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.9722227935997945`", " ", "\[ImaginaryI]"}]}]}], ",", 
     RowBox[{"c", "\[Rule]", 
      RowBox[{
       RowBox[{"-", "0.3450535155811588`"}], "+", 
       RowBox[{"0.9385830125167833`", " ", "\[ImaginaryI]"}]}]}]}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"b", "\[Rule]", 
      RowBox[{
       RowBox[{"-", "0.44669859558527`"}], "-", 
       RowBox[{"0.11748038198328935`", " ", "\[ImaginaryI]"}]}]}], ",", 
     RowBox[{"c", "\[Rule]", 
      RowBox[{"0.4957874543301779`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.16185152653642568`", " ", "\[ImaginaryI]"}]}]}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.8596290950931587`*^9, 3.8596291056597633`*^9}, {
   3.859630735682995*^9, 3.8596307448895216`*^9}, 3.8596308035858793`*^9, 
   3.8596308662104607`*^9, 3.8596309091629176`*^9, 3.859631235223567*^9, 
   3.8596314347146435`*^9, {3.859631842286214*^9, 3.859631880766268*^9}, 
   3.8596325225411663`*^9, 3.8596326568513546`*^9, {3.859633669267772*^9, 
   3.8596336880677986`*^9}, 3.859634504974942*^9, {3.8596348998604956`*^9, 
   3.8596349035405006`*^9}, {3.8596352824040313`*^9, 3.859635302184059*^9}, {
   3.8598688563533726`*^9, 3.8598688620433807`*^9}},
 CellLabel->"Out[13]=",ExpressionUUID->"20840157-453e-4c07-8da3-fb6a61b3db74"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1.0000000000000013`", ",", "1.0000000000000009`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1.`", ",", "1.0000000000000009`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2.165023209372955`", ",", "1.917408536805792`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0.9999999999999978`", ",", "0.9999999999999982`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0.9999999999999984`", ",", "0.9999999999999987`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0.4618888128638668`", ",", "0.5215372628234435`"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.8596290950931587`*^9, 3.8596291056597633`*^9}, {
   3.859630735682995*^9, 3.8596307448895216`*^9}, 3.8596308035858793`*^9, 
   3.8596308662104607`*^9, 3.8596309091629176`*^9, 3.859631235223567*^9, 
   3.8596314347146435`*^9, {3.859631842286214*^9, 3.859631880766268*^9}, 
   3.8596325225411663`*^9, 3.8596326568513546`*^9, {3.859633669267772*^9, 
   3.8596336880677986`*^9}, 3.859634504974942*^9, {3.8596348998604956`*^9, 
   3.8596349035405006`*^9}, {3.8596352824040313`*^9, 3.859635302184059*^9}, {
   3.8598688563533726`*^9, 3.8598688620433807`*^9}},
 CellLabel->"Out[14]=",ExpressionUUID->"2759f4de-d38d-40c7-8625-bbdce0d3524c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"bcSolution", "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"b", ",", "c"}], "}"}], "/.", 
    RowBox[{"bc", "[", 
     RowBox[{"[", "1", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"b", "=", 
  RowBox[{"bcSolution", "[", 
   RowBox[{"[", "1", "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"c", "=", 
  RowBox[{"bcSolution", "[", 
   RowBox[{"[", "2", "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"p", "=", 
   RowBox[{"-", 
    FractionBox["a", 
     RowBox[{"a", "+", "b", "+", 
      RowBox[{"a", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "a", "+", "b", "+", "c"}], ")"}]}]}]]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"q", "=", 
   RowBox[{
    FractionBox["1", 
     RowBox[{"1", "+", "a"}]], 
    RowBox[{"(", 
     RowBox[{"1", "+", "a", "+", 
      FractionBox[
       SuperscriptBox["a", "2"], "c"], "-", 
      FractionBox["a", 
       RowBox[{"b", " ", "c"}]], "+", 
      FractionBox["1", 
       RowBox[{
        SuperscriptBox["b", "2"], "c"}]], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox["a", "2"], " "}], 
       SuperscriptBox["c", "2"]], "-", 
      FractionBox["1", 
       RowBox[{"b", " ", 
        SuperscriptBox["c", "2"]}]], "+", 
      FractionBox["a", 
       RowBox[{
        SuperscriptBox["b", "2"], 
        SuperscriptBox["c", "2"]}]]}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"r", "=", 
   RowBox[{
    RowBox[{"-", 
     FractionBox["1", 
      RowBox[{"1", "+", "a"}]]}], 
    RowBox[{"(", 
     RowBox[{"1", "+", "a", "+", 
      FractionBox["1", "c"], "+", 
      FractionBox["1", 
       RowBox[{"b", " ", "c"}]], "+", 
      FractionBox["1", 
       RowBox[{
        SuperscriptBox["b", "2"], "c"}]]}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"C7tilde", "=", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"1", "1", "1", "1", "1", "1", "1"},
       {"1", 
        SuperscriptBox["a", "2"], 
        RowBox[{"a", " ", "b"}], 
        RowBox[{"a", " ", "c"}], "a", 
        FractionBox["a", "c"], 
        FractionBox["a", "b"]},
       {"1", 
        RowBox[{"a", " ", "b"}], 
        RowBox[{"b", " ", "c"}], "c", 
        FractionBox["1", "c"], 
        FractionBox["1", 
         RowBox[{"b", " ", "c"}]], 
        FractionBox["1", 
         RowBox[{"a", " ", "b"}]]},
       {"1", 
        RowBox[{"a", " ", "c"}], "c", 
        FractionBox["1", "b"], 
        RowBox[{"a", " ", "c", " ", "r"}], 
        RowBox[{"c", " ", "r"}], 
        FractionBox["1", 
         SuperscriptBox["b", "2"]]},
       {"1", "a", 
        FractionBox["1", "c"], 
        RowBox[{"a", " ", "c", " ", "r"}], "r", 
        RowBox[{"a", " ", "r"}], 
        FractionBox["1", 
         RowBox[{"b", " ", "c"}]]},
       {"1", 
        FractionBox["a", "c"], 
        FractionBox["1", 
         RowBox[{"b", " ", "c"}]], 
        RowBox[{"c", " ", "r"}], 
        RowBox[{"a", " ", "r"}], 
        RowBox[{"c", " ", "q"}], 
        FractionBox["1", "b"]},
       {"1", 
        FractionBox["a", "b"], 
        FractionBox["1", 
         RowBox[{"a", " ", "b"}]], 
        FractionBox["1", 
         SuperscriptBox["b", "2"]], 
        FractionBox["1", 
         RowBox[{"b", " ", "c"}]], 
        FractionBox["1", "b"], "p"}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"C7tilde", "//", "MatrixForm"}], "//", "N"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"C7tilde", ".", 
    RowBox[{"ConjugateTranspose", "[", "C7tilde", "]"}]}], "//", 
   "MatrixForm"}], "//", "Chop"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Abs", "[", "C7tilde", "]"}], "//", 
  "MatrixForm"}], "\[IndentingNewLine]", 
 RowBox[{"complexHadamardQ", "[", 
  RowBox[{"C7tilde", ",", 
   SuperscriptBox["10", 
    RowBox[{"-", "10"}]]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8596308229689875`*^9, 3.859630967480253*^9}, {
  3.859630999439081*^9, 3.859631005243413*^9}, {3.859631084232931*^9, 
  3.8596311288374825`*^9}, {3.8596312449611244`*^9, 3.8596312461671934`*^9}, {
  3.8596313150644755`*^9, 3.8596313336045017`*^9}, {3.859631440894652*^9, 
  3.8596314769147024`*^9}, {3.8596315849548535`*^9, 3.8596317927851443`*^9}, {
  3.8596318866562757`*^9, 3.8596321534086494`*^9}, {3.8596321861686954`*^9, 
  3.8596323381599083`*^9}, {3.8596324864811163`*^9, 3.8596325168611584`*^9}, {
  3.859632595891269*^9, 3.8596326499413447`*^9}, {3.8596326909414024`*^9, 
  3.859632704081421*^9}, {3.8596331477630415`*^9, 3.859633173603078*^9}, {
  3.8596336966378107`*^9, 3.8596336967478104`*^9}, {3.8596358898958817`*^9, 
  3.8596359010358973`*^9}, {3.859636863311117*^9, 3.859636871121128*^9}, {
  3.859636903442173*^9, 3.8596369499322386`*^9}, {3.8598689006934347`*^9, 
  3.8598689406834908`*^9}},
 CellLabel->"In[40]:=",ExpressionUUID->"c683569c-cb05-4c83-baf1-a64557292680"],

Cell[BoxData[
 RowBox[{"0.21292571612712213`", "\[VeryThinSpace]", "+", 
  RowBox[{"0.9770683903451972`", " ", "\[ImaginaryI]"}]}]], "Output",
 CellChangeTimes->{{3.859631320454483*^9, 3.859631333884502*^9}, {
   3.8596314371246467`*^9, 3.859631477264703*^9}, {3.859631586554856*^9, 
   3.8596316671049685`*^9}, {3.8596317126750326`*^9, 3.859631793045145*^9}, {
   3.8596318825662704`*^9, 3.85963188916628*^9}, 3.8596320426474943`*^9, 
   3.8596321044485807`*^9, {3.859632137928628*^9, 3.85963215370865*^9}, 
   3.859632230478758*^9, {3.8596322620388017`*^9, 3.8596322792288256`*^9}, {
   3.859632315199876*^9, 3.8596323386299086`*^9}, 3.8596324124600124`*^9, 
   3.8596324902211213`*^9, 3.85963252503117*^9, {3.8596326532913494`*^9, 
   3.8596327043214207`*^9}, 3.8596331754530807`*^9, {3.85963367477778*^9, 
   3.8596336971278114`*^9}, 3.859633998168233*^9, 3.8596345067749453`*^9, 
   3.8596349051305027`*^9, {3.8596352845740347`*^9, 3.859635304724063*^9}, {
   3.859635901525898*^9, 3.859635911325912*^9}, {3.8596368592411113`*^9, 
   3.859636871371128*^9}, {3.8596369106021833`*^9, 3.8596369341322165`*^9}, {
   3.859868895163427*^9, 3.8598689014434357`*^9}, 3.859868941063491*^9},
 CellLabel->"Out[41]=",ExpressionUUID->"861be215-7eb2-4e9b-92c2-88f6b6a5e94e"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "0.32392188915093206`"}], "+", 
  RowBox[{"0.9460838280664631`", " ", "\[ImaginaryI]"}]}]], "Output",
 CellChangeTimes->{{3.859631320454483*^9, 3.859631333884502*^9}, {
   3.8596314371246467`*^9, 3.859631477264703*^9}, {3.859631586554856*^9, 
   3.8596316671049685`*^9}, {3.8596317126750326`*^9, 3.859631793045145*^9}, {
   3.8596318825662704`*^9, 3.85963188916628*^9}, 3.8596320426474943`*^9, 
   3.8596321044485807`*^9, {3.859632137928628*^9, 3.85963215370865*^9}, 
   3.859632230478758*^9, {3.8596322620388017`*^9, 3.8596322792288256`*^9}, {
   3.859632315199876*^9, 3.8596323386299086`*^9}, 3.8596324124600124`*^9, 
   3.8596324902211213`*^9, 3.85963252503117*^9, {3.8596326532913494`*^9, 
   3.8596327043214207`*^9}, 3.8596331754530807`*^9, {3.85963367477778*^9, 
   3.8596336971278114`*^9}, 3.859633998168233*^9, 3.8596345067749453`*^9, 
   3.8596349051305027`*^9, {3.8596352845740347`*^9, 3.859635304724063*^9}, {
   3.859635901525898*^9, 3.859635911325912*^9}, {3.8596368592411113`*^9, 
   3.859636871371128*^9}, {3.8596369106021833`*^9, 3.8596369341322165`*^9}, {
   3.859868895163427*^9, 3.8598689014434357`*^9}, 3.859868941063491*^9},
 CellLabel->"Out[42]=",ExpressionUUID->"c30d39db-740b-4cb5-a2b6-d4d776754c37"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1.`", "1.`", "1.`", "1.`", "1.`", "1.`", "1.`"},
     {"1.`", 
      RowBox[{
       RowBox[{"-", "0.697352045195753`"}], "+", 
       RowBox[{"0.7167287667320876`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.8172817923881655`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.576238207541629`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.9975734668422762`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.06962167947042708`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.3890038269761921`"}], "-", 
       RowBox[{"0.9212361383477508`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.7455597578001341`"}], "+", 
       RowBox[{"0.6664387800458517`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9829396292583567`"}], "+", 
       RowBox[{"0.18392847858186978`", " ", "\[ImaginaryI]"}]}]},
     {"1.`", 
      RowBox[{"0.8172817923881655`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.576238207541629`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9933599032372339`"}], "-", 
       RowBox[{"0.11504826222293585`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.32392188915093206`"}], "+", 
       RowBox[{"0.9460838280664631`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.32392188915093156`"}], "-", 
       RowBox[{"0.9460838280664615`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9933599032372299`"}], "+", 
       RowBox[{"0.11504826222293539`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.8172817923881639`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.5762382075416279`", " ", "\[ImaginaryI]"}]}]},
     {"1.`", 
      RowBox[{"0.9975734668422762`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.06962167947042708`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.32392188915093206`"}], "+", 
       RowBox[{"0.9460838280664631`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.2129257161271216`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.9770683903451948`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.099101848386588`"}], "+", 
       RowBox[{"0.995077295312457`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.8781501666083757`"}], "-", 
       RowBox[{"0.47838508012444925`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9093252788235023`"}], "-", 
       RowBox[{"0.4160859734388491`", " ", "\[ImaginaryI]"}]}]},
     {"1.`", 
      RowBox[{
       RowBox[{"-", "0.3890038269761921`"}], "-", 
       RowBox[{"0.9212361383477508`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.32392188915093156`"}], "-", 
       RowBox[{"0.9460838280664615`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.099101848386588`"}], "+", 
       RowBox[{"0.995077295312457`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.1681403269680295`"}], "+", 
       RowBox[{"0.9857630701375846`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.9735277947189631`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.2285686612587652`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9933599032372299`"}], "+", 
       RowBox[{"0.11504826222293539`", " ", "\[ImaginaryI]"}]}]},
     {"1.`", 
      RowBox[{
       RowBox[{"-", "0.7455597578001341`"}], "+", 
       RowBox[{"0.6664387800458517`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9933599032372299`"}], "+", 
       RowBox[{"0.11504826222293539`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.8781501666083757`"}], "-", 
       RowBox[{"0.47838508012444925`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.9735277947189631`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.2285686612587652`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.4306163167996552`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.9025350894596224`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.2129257161271216`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.9770683903451948`", " ", "\[ImaginaryI]"}]}]},
     {"1.`", 
      RowBox[{
       RowBox[{"-", "0.9829396292583567`"}], "+", 
       RowBox[{"0.18392847858186978`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.8172817923881639`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.5762382075416279`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9093252788235023`"}], "-", 
       RowBox[{"0.4160859734388491`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9933599032372299`"}], "+", 
       RowBox[{"0.11504826222293539`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.2129257161271216`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.9770683903451948`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.8554173028038072`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.5179394154376096`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.859631320454483*^9, 3.859631333884502*^9}, {
   3.8596314371246467`*^9, 3.859631477264703*^9}, {3.859631586554856*^9, 
   3.8596316671049685`*^9}, {3.8596317126750326`*^9, 3.859631793045145*^9}, {
   3.8596318825662704`*^9, 3.85963188916628*^9}, 3.8596320426474943`*^9, 
   3.8596321044485807`*^9, {3.859632137928628*^9, 3.85963215370865*^9}, 
   3.859632230478758*^9, {3.8596322620388017`*^9, 3.8596322792288256`*^9}, {
   3.859632315199876*^9, 3.8596323386299086`*^9}, 3.8596324124600124`*^9, 
   3.8596324902211213`*^9, 3.85963252503117*^9, {3.8596326532913494`*^9, 
   3.8596327043214207`*^9}, 3.8596331754530807`*^9, {3.85963367477778*^9, 
   3.8596336971278114`*^9}, 3.859633998168233*^9, 3.8596345067749453`*^9, 
   3.8596349051305027`*^9, {3.8596352845740347`*^9, 3.859635304724063*^9}, {
   3.859635901525898*^9, 3.859635911325912*^9}, {3.8596368592411113`*^9, 
   3.859636871371128*^9}, {3.8596369106021833`*^9, 3.8596369341322165`*^9}, {
   3.859868895163427*^9, 3.8598689014434357`*^9}, 3.859868941063491*^9},
 CellLabel->
  "Out[47]//MatrixForm=",ExpressionUUID->"a1fe7535-f521-4777-81ab-\
676b76047fee"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"7.`", "0", "0", "0", "0", "0", "0"},
     {"0", "6.999999999999995`", "0", "0", "0", "0", "0"},
     {"0", "0", "7.`", "0", "0", "0", "0"},
     {"0", "0", "0", "6.999999999999981`", "0", "0", "0"},
     {"0", "0", "0", "0", "6.999999999999972`", "0", "0"},
     {"0", "0", "0", "0", "0", "6.999999999999966`", "0"},
     {"0", "0", "0", "0", "0", "0", "6.999999999999976`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.859631320454483*^9, 3.859631333884502*^9}, {
   3.8596314371246467`*^9, 3.859631477264703*^9}, {3.859631586554856*^9, 
   3.8596316671049685`*^9}, {3.8596317126750326`*^9, 3.859631793045145*^9}, {
   3.8596318825662704`*^9, 3.85963188916628*^9}, 3.8596320426474943`*^9, 
   3.8596321044485807`*^9, {3.859632137928628*^9, 3.85963215370865*^9}, 
   3.859632230478758*^9, {3.8596322620388017`*^9, 3.8596322792288256`*^9}, {
   3.859632315199876*^9, 3.8596323386299086`*^9}, 3.8596324124600124`*^9, 
   3.8596324902211213`*^9, 3.85963252503117*^9, {3.8596326532913494`*^9, 
   3.8596327043214207`*^9}, 3.8596331754530807`*^9, {3.85963367477778*^9, 
   3.8596336971278114`*^9}, 3.859633998168233*^9, 3.8596345067749453`*^9, 
   3.8596349051305027`*^9, {3.8596352845740347`*^9, 3.859635304724063*^9}, {
   3.859635901525898*^9, 3.859635911325912*^9}, {3.8596368592411113`*^9, 
   3.859636871371128*^9}, {3.8596369106021833`*^9, 3.8596369341322165`*^9}, {
   3.859868895163427*^9, 3.8598689014434357`*^9}, 3.859868941073491*^9},
 CellLabel->
  "Out[48]//MatrixForm=",ExpressionUUID->"0ea1ee9b-e2a9-452c-94a0-\
e28549dcb369"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "1", "1", "1", "1", "1", "1"},
     {"1", "0.9999999999999993`", "1.0000000000000009`", 
      "1.0000000000000004`", "0.9999999999999997`", "0.9999999999999988`", 
      "0.9999999999999984`"},
     {"1", "1.0000000000000009`", "1.000000000000002`", "1.0000000000000009`",
       "0.9999999999999991`", "0.999999999999998`", "0.9999999999999991`"},
     {"1", "1.0000000000000004`", "1.0000000000000009`", 
      "0.9999999999999988`", "0.9999999999999966`", "0.9999999999999969`", 
      "0.9999999999999974`"},
     {"1", "0.9999999999999997`", "0.9999999999999991`", 
      "0.9999999999999966`", "0.9999999999999962`", "0.9999999999999959`", 
      "0.999999999999998`"},
     {"1", "0.9999999999999988`", "0.999999999999998`", "0.9999999999999969`",
       "0.9999999999999959`", "0.9999999999999948`", "0.9999999999999988`"},
     {"1", "0.9999999999999984`", "0.9999999999999991`", 
      "0.9999999999999974`", "0.999999999999998`", "0.9999999999999988`", 
      "0.9999999999999966`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.859631320454483*^9, 3.859631333884502*^9}, {
   3.8596314371246467`*^9, 3.859631477264703*^9}, {3.859631586554856*^9, 
   3.8596316671049685`*^9}, {3.8596317126750326`*^9, 3.859631793045145*^9}, {
   3.8596318825662704`*^9, 3.85963188916628*^9}, 3.8596320426474943`*^9, 
   3.8596321044485807`*^9, {3.859632137928628*^9, 3.85963215370865*^9}, 
   3.859632230478758*^9, {3.8596322620388017`*^9, 3.8596322792288256`*^9}, {
   3.859632315199876*^9, 3.8596323386299086`*^9}, 3.8596324124600124`*^9, 
   3.8596324902211213`*^9, 3.85963252503117*^9, {3.8596326532913494`*^9, 
   3.8596327043214207`*^9}, 3.8596331754530807`*^9, {3.85963367477778*^9, 
   3.8596336971278114`*^9}, 3.859633998168233*^9, 3.8596345067749453`*^9, 
   3.8596349051305027`*^9, {3.8596352845740347`*^9, 3.859635304724063*^9}, {
   3.859635901525898*^9, 3.859635911325912*^9}, {3.8596368592411113`*^9, 
   3.859636871371128*^9}, {3.8596369106021833`*^9, 3.8596369341322165`*^9}, {
   3.859868895163427*^9, 3.8598689014434357`*^9}, 3.859868941073491*^9},
 CellLabel->
  "Out[49]//MatrixForm=",ExpressionUUID->"d803a7db-b0c7-4e53-affa-\
c3777283c5f9"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{{3.859631320454483*^9, 3.859631333884502*^9}, {
   3.8596314371246467`*^9, 3.859631477264703*^9}, {3.859631586554856*^9, 
   3.8596316671049685`*^9}, {3.8596317126750326`*^9, 3.859631793045145*^9}, {
   3.8596318825662704`*^9, 3.85963188916628*^9}, 3.8596320426474943`*^9, 
   3.8596321044485807`*^9, {3.859632137928628*^9, 3.85963215370865*^9}, 
   3.859632230478758*^9, {3.8596322620388017`*^9, 3.8596322792288256`*^9}, {
   3.859632315199876*^9, 3.8596323386299086`*^9}, 3.8596324124600124`*^9, 
   3.8596324902211213`*^9, 3.85963252503117*^9, {3.8596326532913494`*^9, 
   3.8596327043214207`*^9}, 3.8596331754530807`*^9, {3.85963367477778*^9, 
   3.8596336971278114`*^9}, 3.859633998168233*^9, 3.8596345067749453`*^9, 
   3.8596349051305027`*^9, {3.8596352845740347`*^9, 3.859635304724063*^9}, {
   3.859635901525898*^9, 3.859635911325912*^9}, {3.8596368592411113`*^9, 
   3.859636871371128*^9}, {3.8596369106021833`*^9, 3.8596369341322165`*^9}, {
   3.859868895163427*^9, 3.8598689014434357`*^9}, 3.859868941073491*^9},
 CellLabel->"Out[50]=",ExpressionUUID->"5e84dd40-8f25-420a-97c6-5c1778f8fbcf"]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1191, 1874},
WindowMargins->{{-1204, Automatic}, {Automatic, 0}},
Magnification:>1.25 Inherited,
FrontEndVersion->"12.0 for Microsoft Windows (64-bit) (April 8, 2019)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 272, 6, 35, "Subsection",ExpressionUUID->"5c6818b9-b806-4d29-b56f-05d41631800e"],
Cell[855, 30, 562, 13, 210, "Text",ExpressionUUID->"126734c3-ede9-448f-9a01-224961264891"],
Cell[1420, 45, 6930, 165, 780, "Input",ExpressionUUID->"c8c2df10-0ca4-4374-98de-9d39e6df097d"],
Cell[CellGroupData[{
Cell[8375, 214, 1168, 26, 158, "Input",ExpressionUUID->"f179f85e-2523-4bdc-b53a-f32fb3be56b4"],
Cell[9546, 242, 7253, 161, 180, "Output",ExpressionUUID->"c191512f-f01d-4d58-a2a6-0448cf9ba095"],
Cell[16802, 405, 403, 6, 40, "Output",ExpressionUUID->"b8226813-f387-4370-baf8-a9288338fccc"],
Cell[17208, 413, 5695, 123, 180, "Output",ExpressionUUID->"ca8977ba-666a-466d-ad12-f6e1f02bae0e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[22940, 541, 2924, 78, 253, "Input",ExpressionUUID->"9c4c0d17-471e-4449-a549-9625327a8e48"],
Cell[25867, 621, 953, 15, 40, "Output",ExpressionUUID->"03b2f4e0-49b2-4c93-8609-99ccede75145"],
Cell[26823, 638, 877, 13, 40, "Output",ExpressionUUID->"f64dbb58-07c0-4b6b-86c0-8ea142e2fd9b"]
}, Open  ]],
Cell[27715, 654, 462, 11, 35, "Input",ExpressionUUID->"013df528-3658-45ef-aad4-c171e14cf61e"],
Cell[CellGroupData[{
Cell[28202, 669, 2911, 93, 256, "Input",ExpressionUUID->"76cf0454-49b2-4cb0-b482-fa24b8c46019"],
Cell[31116, 764, 2662, 74, 175, "Output",ExpressionUUID->"e1a24233-6edd-40e4-a8f0-db5998ccdfd7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[33815, 843, 1802, 51, 105, "Input",ExpressionUUID->"12aeed72-bd29-4233-ab83-f935f4906382"],
Cell[35620, 896, 682, 11, 40, "Output",ExpressionUUID->"1a9cbd5f-e3fb-4001-9e29-932a70ae7bcf"],
Cell[36305, 909, 681, 11, 40, "Output",ExpressionUUID->"7e2e0b60-7e9f-417e-89e4-8537503da1a5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[37023, 925, 2246, 67, 133, "Input",ExpressionUUID->"0ca4487e-e4f8-46a3-adea-42f1aa55e9dc"],
Cell[39272, 994, 738, 11, 40, "Output",ExpressionUUID->"a6b8824e-a917-40eb-8405-2aeff205b647"]
}, Open  ]],
Cell[40025, 1008, 3083, 79, 344, "Input",ExpressionUUID->"cac4bfd1-e9f4-4728-89f8-f31f1cd04d22"],
Cell[CellGroupData[{
Cell[43133, 1091, 8972, 237, 372, "Input",ExpressionUUID->"d4d38f92-0ac6-4678-b2fb-9b3df79b2739"],
Cell[52108, 1330, 6938, 140, 180, "Output",ExpressionUUID->"82dc2bd8-bfcf-4cbd-840c-8075520a4dd0"],
Cell[59049, 1472, 2511, 45, 180, "Output",ExpressionUUID->"be3e3ebd-eb21-47fe-ab9e-dea702af2f4f"],
Cell[61563, 1519, 2407, 45, 180, "Output",ExpressionUUID->"998ffb7f-45e2-4052-99dc-f0c488bb3ce0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[64007, 1569, 2945, 73, 322, "Input",ExpressionUUID->"0b4cd938-24e5-46c1-8953-7cca5e16c278"],
Cell[66955, 1644, 5658, 122, 180, "Output",ExpressionUUID->"57ee216a-c01a-4770-ba8c-447b25e81d10"]
}, Open  ]],
Cell[CellGroupData[{
Cell[72650, 1771, 359, 9, 38, "Input",ExpressionUUID->"c317e2ab-ebb0-47f9-87e9-246059c55db7"],
Cell[73012, 1782, 398, 9, 57, "Output",ExpressionUUID->"56fdd2ec-14f9-4265-a1fe-2c61bb59aed6"]
}, Open  ]],
Cell[CellGroupData[{
Cell[73447, 1796, 1509, 38, 156, "Input",ExpressionUUID->"b828f054-3d8b-4a9f-9432-6a0620ba94d6"],
Cell[74959, 1836, 8623, 178, 180, "Output",ExpressionUUID->"49dc085d-dd66-4853-ac9c-2ea89a42bfbf"],
Cell[83585, 2016, 2469, 45, 180, "Output",ExpressionUUID->"4e51917f-f8ca-42ea-98d1-7fa35b6605eb"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[86103, 2067, 144, 3, 67, "Subsection",ExpressionUUID->"c14410af-9af4-4541-9d02-bcf1edd1f98e"],
Cell[CellGroupData[{
Cell[86272, 2074, 3876, 108, 391, "Input",ExpressionUUID->"fc68b164-5245-4b7d-8e55-2777ced16bc9"],
Cell[90151, 2184, 794, 12, 40, "Output",ExpressionUUID->"c5399766-ed5a-4b88-bfae-37030e2b65b8"],
Cell[90948, 2198, 2964, 71, 89, "Output",ExpressionUUID->"20840157-453e-4c07-8da3-fb6a61b3db74"],
Cell[93915, 2271, 1263, 24, 40, "Output",ExpressionUUID->"2759f4de-d38d-40c7-8625-bbdce0d3524c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[95215, 2300, 5276, 151, 570, "Input",ExpressionUUID->"c683569c-cb05-4c83-baf1-a64557292680"],
Cell[100494, 2453, 1265, 17, 40, "Output",ExpressionUUID->"861be215-7eb2-4e9b-92c2-88f6b6a5e94e"],
Cell[101762, 2472, 1263, 18, 40, "Output",ExpressionUUID->"c30d39db-740b-4cb5-a2b6-d4d776754c37"],
Cell[103028, 2492, 6413, 132, 180, "Output",ExpressionUUID->"a1fe7535-f521-4777-81ab-676b76047fee"],
Cell[109444, 2626, 1971, 37, 180, "Output",ExpressionUUID->"0ea1ee9b-e2a9-452c-94a0-e28549dcb369"],
Cell[111418, 2665, 2595, 47, 180, "Output",ExpressionUUID->"d803a7db-b0c7-4e53-affa-c3777283c5f9"],
Cell[114016, 2714, 1154, 15, 40, "Output",ExpressionUUID->"5e84dd40-8f25-420a-97c6-5c1778f8fbcf"]
}, Open  ]]
}, Open  ]]
}
]
*)

