(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     13682,        343]
NotebookOptionsPosition[     12771,        322]
NotebookOutlinePosition[     13117,        337]
CellTagsIndexPosition[     13074,        334]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Gamma]", " ", "=", "2"}], 
  RowBox[{"(*", 
   RowBox[{"RandomInteger", "[", 
    RowBox[{"{", 
     RowBox[{"1", ",", 
      SuperscriptBox["10", "6"]}], "}"}], "]"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"y", "=", 
   RowBox[{"Exp", "[", 
    RowBox[{"2", " ", "I", " ", 
     FractionBox["Pi", "\[Gamma]"]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Y8", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", 
       "1"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"1", ",", 
       SuperscriptBox["y", "2"], ",", 
       RowBox[{"-", 
        SuperscriptBox["y", "2"]}], ",", 
       RowBox[{"-", "1"}], ",", 
       RowBox[{"-", "1"}], ",", 
       RowBox[{"-", 
        SuperscriptBox["y", "2"]}], ",", 
       SuperscriptBox["y", "2"], ",", "1"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"1", ",", 
       RowBox[{"-", "1"}], ",", "y", ",", 
       RowBox[{"-", 
        FractionBox["1", "y"]}], ",", "1", ",", 
       RowBox[{"-", "1"}], ",", 
       RowBox[{"-", "y"}], ",", 
       FractionBox["1", "y"]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"1", ",", 
       RowBox[{"-", 
        SuperscriptBox["y", "2"]}], ",", 
       RowBox[{"-", "y"}], ",", "y", ",", 
       RowBox[{"-", "1"}], ",", 
       SuperscriptBox["y", "2"], ",", 
       RowBox[{"-", "y"}], ",", "y"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"1", ",", 
       RowBox[{"-", "1"}], ",", 
       RowBox[{"-", "1"}], ",", "1", ",", 
       FractionBox["1", "y"], ",", 
       RowBox[{"-", "y"}], ",", "y", ",", 
       RowBox[{"-", 
        FractionBox["1", "y"]}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"1", ",", 
       RowBox[{"-", 
        SuperscriptBox["y", "2"]}], ",", 
       SuperscriptBox["y", "2"], ",", 
       RowBox[{"-", "1"}], ",", 
       RowBox[{"-", "y"}], ",", "y", ",", "y", ",", 
       RowBox[{"-", "y"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1", ",", "y", ",", 
       FractionBox["1", "y"], ",", 
       RowBox[{"-", 
        FractionBox["1", "y"]}], ",", 
       RowBox[{"-", "y"}], ",", 
       RowBox[{"-", "1"}], ",", 
       RowBox[{"-", "1"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"1", ",", 
       SuperscriptBox["y", "2"], ",", 
       RowBox[{"-", "y"}], ",", 
       RowBox[{"-", "y"}], ",", "y", ",", "y", ",", 
       RowBox[{"-", 
        SuperscriptBox["y", "2"]}], ",", 
       RowBox[{"-", "1"}]}], "}"}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Y8", "//", "MatrixForm"}], "\[IndentingNewLine]", 
 RowBox[{"unitaryDefect", "[", 
  RowBox[{"N", "@", "Y8"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"N", "[", 
  RowBox[{
   RowBox[{"Y8", ".", 
    RowBox[{"ConjugateTranspose", "[", "Y8", "]"}]}], ",", "64"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"complexHadamardQ", "[", 
  RowBox[{"Y8", ",", 
   SuperscriptBox["10", 
    RowBox[{"-", "15"}]]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{"EvenQ", "[", "\[Gamma]", "]"}], ",", 
     SuperscriptBox["Y8", "\[Gamma]"], ",", 
     SuperscriptBox["Y8", 
      RowBox[{"2", "\[Gamma]"}]]}], "]"}], "//", "MatrixForm"}], "//", 
  "FullSimplify"}]}], "Input",
 CellChangeTimes->{{3.859866021794366*^9, 3.8598663771598635`*^9}, {
  3.8598664432147045`*^9, 3.859866443324704*^9}, {3.859866503934789*^9, 
  3.8598666152749453`*^9}, {3.859866658856006*^9, 3.8598668867463255`*^9}, {
  3.8598669213763733`*^9, 3.8598669814664583`*^9}, {3.8598670171265078`*^9, 
  3.8598670211265135`*^9}, {3.8598670512365556`*^9, 3.8598670520165567`*^9}, {
  3.859867112606642*^9, 3.8598671126566415`*^9}, {3.859868007178894*^9, 
  3.859868092232013*^9}, {3.859868133902072*^9, 3.859868135162073*^9}, {
  3.8598737502117653`*^9, 3.859873794531827*^9}, {3.859873887352957*^9, 
  3.8598739027229786`*^9}, {3.8598739835230913`*^9, 3.8598740397631702`*^9}},
 CellLabel->
  "In[199]:=",ExpressionUUID->"5b817d23-adce-42b1-a9ee-6635f7436854"],

Cell[BoxData["2"], "Output",
 CellChangeTimes->{{3.8598661857845955`*^9, 3.8598662477256823`*^9}, {
   3.8598663168197794`*^9, 3.8598663783298655`*^9}, 3.859866445194707*^9, {
   3.8598665115548*^9, 3.859866615724946*^9}, {3.85986666154601*^9, 
   3.859866887096326*^9}, {3.859866924296378*^9, 3.8598669817664585`*^9}, {
   3.8598670174965086`*^9, 3.8598670218465147`*^9}, 3.859867052446557*^9, 
   3.859867112986642*^9, {3.859868007978895*^9, 3.859868029108925*^9}, {
   3.859868077011992*^9, 3.859868152012097*^9}, {3.859873730721738*^9, 
   3.8598737949718275`*^9}, {3.859873888012958*^9, 3.859873903152979*^9}, {
   3.8598739840930924`*^9, 3.8598740403531713`*^9}},
 CellLabel->
  "Out[199]=",ExpressionUUID->"cc3728d6-010d-430c-a846-017a22997d18"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "1", "1", "1", "1", "1", "1", "1"},
     {"1", "1", 
      RowBox[{"-", "1"}], 
      RowBox[{"-", "1"}], 
      RowBox[{"-", "1"}], 
      RowBox[{"-", "1"}], "1", "1"},
     {"1", 
      RowBox[{"-", "1"}], 
      RowBox[{"-", "1"}], "1", "1", 
      RowBox[{"-", "1"}], "1", 
      RowBox[{"-", "1"}]},
     {"1", 
      RowBox[{"-", "1"}], "1", 
      RowBox[{"-", "1"}], 
      RowBox[{"-", "1"}], "1", "1", 
      RowBox[{"-", "1"}]},
     {"1", 
      RowBox[{"-", "1"}], 
      RowBox[{"-", "1"}], "1", 
      RowBox[{"-", "1"}], "1", 
      RowBox[{"-", "1"}], "1"},
     {"1", 
      RowBox[{"-", "1"}], "1", 
      RowBox[{"-", "1"}], "1", 
      RowBox[{"-", "1"}], 
      RowBox[{"-", "1"}], "1"},
     {"1", "1", 
      RowBox[{"-", "1"}], 
      RowBox[{"-", "1"}], "1", "1", 
      RowBox[{"-", "1"}], 
      RowBox[{"-", "1"}]},
     {"1", "1", "1", "1", 
      RowBox[{"-", "1"}], 
      RowBox[{"-", "1"}], 
      RowBox[{"-", "1"}], 
      RowBox[{"-", "1"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.8598661857845955`*^9, 3.8598662477256823`*^9}, {
   3.8598663168197794`*^9, 3.8598663783298655`*^9}, 3.859866445194707*^9, {
   3.8598665115548*^9, 3.859866615724946*^9}, {3.85986666154601*^9, 
   3.859866887096326*^9}, {3.859866924296378*^9, 3.8598669817664585`*^9}, {
   3.8598670174965086`*^9, 3.8598670218465147`*^9}, 3.859867052446557*^9, 
   3.859867112986642*^9, {3.859868007978895*^9, 3.859868029108925*^9}, {
   3.859868077011992*^9, 3.859868152012097*^9}, {3.859873730721738*^9, 
   3.8598737949718275`*^9}, {3.859873888012958*^9, 3.859873903152979*^9}, {
   3.8598739840930924`*^9, 3.8598740403531713`*^9}},
 CellLabel->
  "Out[202]//MatrixForm=",ExpressionUUID->"8e8715b5-7b8c-48e5-bd51-\
bf2aa98c365f"],

Cell[BoxData["21"], "Output",
 CellChangeTimes->{{3.8598661857845955`*^9, 3.8598662477256823`*^9}, {
   3.8598663168197794`*^9, 3.8598663783298655`*^9}, 3.859866445194707*^9, {
   3.8598665115548*^9, 3.859866615724946*^9}, {3.85986666154601*^9, 
   3.859866887096326*^9}, {3.859866924296378*^9, 3.8598669817664585`*^9}, {
   3.8598670174965086`*^9, 3.8598670218465147`*^9}, 3.859867052446557*^9, 
   3.859867112986642*^9, {3.859868007978895*^9, 3.859868029108925*^9}, {
   3.859868077011992*^9, 3.859868152012097*^9}, {3.859873730721738*^9, 
   3.8598737949718275`*^9}, {3.859873888012958*^9, 3.859873903152979*^9}, {
   3.8598739840930924`*^9, 3.859874040363171*^9}},
 CellLabel->
  "Out[203]=",ExpressionUUID->"9c1f326b-8930-4d4b-8788-41f39234f035"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "8.`64.", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",",
      "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "8.`64.", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",",
      "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "8.`64.", ",", "0", ",", "0", ",", "0", ",", "0", ",",
      "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "8.`64.", ",", "0", ",", "0", ",", "0", ",",
      "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "8.`64.", ",", "0", ",", "0", ",",
      "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "8.`64.", ",", "0", ",",
      "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "8.`64.", ",",
      "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     "8.`64."}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.8598661857845955`*^9, 3.8598662477256823`*^9}, {
   3.8598663168197794`*^9, 3.8598663783298655`*^9}, 3.859866445194707*^9, {
   3.8598665115548*^9, 3.859866615724946*^9}, {3.85986666154601*^9, 
   3.859866887096326*^9}, {3.859866924296378*^9, 3.8598669817664585`*^9}, {
   3.8598670174965086`*^9, 3.8598670218465147`*^9}, 3.859867052446557*^9, 
   3.859867112986642*^9, {3.859868007978895*^9, 3.859868029108925*^9}, {
   3.859868077011992*^9, 3.859868152012097*^9}, {3.859873730721738*^9, 
   3.8598737949718275`*^9}, {3.859873888012958*^9, 3.859873903152979*^9}, {
   3.8598739840930924`*^9, 3.859874040363171*^9}},
 CellLabel->
  "Out[204]=",ExpressionUUID->"a5261da9-9306-42d7-b831-3dc2cc0800a9"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{{3.8598661857845955`*^9, 3.8598662477256823`*^9}, {
   3.8598663168197794`*^9, 3.8598663783298655`*^9}, 3.859866445194707*^9, {
   3.8598665115548*^9, 3.859866615724946*^9}, {3.85986666154601*^9, 
   3.859866887096326*^9}, {3.859866924296378*^9, 3.8598669817664585`*^9}, {
   3.8598670174965086`*^9, 3.8598670218465147`*^9}, 3.859867052446557*^9, 
   3.859867112986642*^9, {3.859868007978895*^9, 3.859868029108925*^9}, {
   3.859868077011992*^9, 3.859868152012097*^9}, {3.859873730721738*^9, 
   3.8598737949718275`*^9}, {3.859873888012958*^9, 3.859873903152979*^9}, {
   3.8598739840930924`*^9, 3.859874040363171*^9}},
 CellLabel->
  "Out[205]=",ExpressionUUID->"019e03be-b3db-4706-a774-205130e6aba2"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "1", "1", "1", "1", "1", "1", "1"},
     {"1", "1", "1", "1", "1", "1", "1", "1"},
     {"1", "1", "1", "1", "1", "1", "1", "1"},
     {"1", "1", "1", "1", "1", "1", "1", "1"},
     {"1", "1", "1", "1", "1", "1", "1", "1"},
     {"1", "1", "1", "1", "1", "1", "1", "1"},
     {"1", "1", "1", "1", "1", "1", "1", "1"},
     {"1", "1", "1", "1", "1", "1", "1", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.8598661857845955`*^9, 3.8598662477256823`*^9}, {
   3.8598663168197794`*^9, 3.8598663783298655`*^9}, 3.859866445194707*^9, {
   3.8598665115548*^9, 3.859866615724946*^9}, {3.85986666154601*^9, 
   3.859866887096326*^9}, {3.859866924296378*^9, 3.8598669817664585`*^9}, {
   3.8598670174965086`*^9, 3.8598670218465147`*^9}, 3.859867052446557*^9, 
   3.859867112986642*^9, {3.859868007978895*^9, 3.859868029108925*^9}, {
   3.859868077011992*^9, 3.859868152012097*^9}, {3.859873730721738*^9, 
   3.8598737949718275`*^9}, {3.859873888012958*^9, 3.859873903152979*^9}, {
   3.8598739840930924`*^9, 3.859874040363171*^9}},
 CellLabel->
  "Out[206]//MatrixForm=",ExpressionUUID->"c005a63b-3031-47e7-87c5-\
218ce20cc725"]
}, Open  ]]
},
WindowSize->{1192, 1870},
WindowMargins->{{-1204, Automatic}, {Automatic, 0}},
FrontEndVersion->"12.0 for Microsoft Windows (64-bit) (April 8, 2019)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 4308, 113, 453, "Input",ExpressionUUID->"5b817d23-adce-42b1-a9ee-6635f7436854"],
Cell[4891, 137, 752, 11, 32, "Output",ExpressionUUID->"cc3728d6-010d-430c-a846-017a22997d18"],
Cell[5646, 150, 2178, 61, 164, "Output",ExpressionUUID->"8e8715b5-7b8c-48e5-bd51-bf2aa98c365f"],
Cell[7827, 213, 751, 11, 32, "Output",ExpressionUUID->"9c1f326b-8930-4d4b-8788-41f39234f035"],
Cell[8581, 226, 1855, 45, 166, "Output",ExpressionUUID->"a5261da9-9306-42d7-b831-3dc2cc0800a9"],
Cell[10439, 273, 753, 11, 32, "Output",ExpressionUUID->"019e03be-b3db-4706-a774-205130e6aba2"],
Cell[11195, 286, 1560, 33, 164, "Output",ExpressionUUID->"c005a63b-3031-47e7-87c5-218ce20cc725"]
}, Open  ]]
}
]
*)

