(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    430041,       9188]
NotebookOptionsPosition[    417783,       8995]
NotebookOutlinePosition[    418129,       9010]
CellTagsIndexPosition[    418086,       9007]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Initial Calculations", "Subtitle",
 CellChangeTimes->{{3.833005282163151*^9, 3.833005306743185*^9}, {
  3.8598906633383827`*^9, 3.8598906923484235`*^9}},
 Background->RGBColor[
  1, 0.85, 0.85],ExpressionUUID->"739a3ce6-e009-4449-80df-566b3dd56858"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"a", "=."}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"b", "=."}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"c", "=."}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"d", "=."}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ucss", "=", 
   RowBox[{"Solve", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"1", "+", 
         FractionBox["1", "a"], "+", "a", "+", 
         FractionBox["1", "b"], "+", "b", "+", 
         FractionBox["1", "c"], "+", "c", "+", 
         FractionBox["1", "d"], "+", "d"}], "\[Equal]", "0"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"1", "+", 
         SuperscriptBox["a", "2"], "+", 
         FractionBox["1", 
          SuperscriptBox["a", "2"]], "+", 
         SuperscriptBox["b", "2"], "+", 
         FractionBox["1", 
          SuperscriptBox["b", "2"]], "+", 
         SuperscriptBox["c", "2"], "+", 
         FractionBox["1", 
          SuperscriptBox["c", "2"]], "+", 
         SuperscriptBox["d", "2"], "+", 
         FractionBox["1", 
          SuperscriptBox["d", "2"]]}], "\[Equal]", "0"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"1", "+", 
         FractionBox["a", "b"], "+", 
         FractionBox["b", "a"], "+", 
         FractionBox["b", "d"], "+", 
         FractionBox["d", "b"], "+", 
         RowBox[{"a", " ", "c"}], "+", 
         FractionBox["1", 
          RowBox[{"a", " ", "c"}]], "+", 
         FractionBox["d", "c"], "+", 
         FractionBox["c", "d"]}], "\[Equal]", "0"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"1", "+", 
         RowBox[{"a", " ", "b"}], "+", 
         FractionBox["1", 
          RowBox[{"a", " ", "b"}]], "+", 
         RowBox[{"b", " ", "d"}], "+", 
         FractionBox["1", 
          RowBox[{"b", " ", "d"}]], "+", 
         FractionBox["c", "a"], "+", 
         FractionBox["a", "c"], "+", 
         RowBox[{"d", " ", "c"}], "+", 
         FractionBox["1", 
          RowBox[{"d", " ", "c"}]]}], "\[Equal]", "0"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"1", "+", 
         FractionBox["a", "d"], "+", 
         FractionBox["d", "a"], "+", 
         FractionBox["b", "c"], "+", 
         FractionBox["c", "b"], "+", 
         RowBox[{"b", " ", "c"}], "+", 
         FractionBox["1", 
          RowBox[{"b", " ", "c"}]], "+", 
         RowBox[{"a", " ", "d"}], "+", 
         FractionBox["1", 
          RowBox[{"a", " ", "d"}]]}], "\[Equal]", "0"}]}], 
      "\[IndentingNewLine]", "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "b", ",", "c", ",", "d"}], "}"}]}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{
  3.8330056250556307`*^9, {3.8330058508959475`*^9, 
   3.833005858105957*^9}},ExpressionUUID->"e2a84108-f3a9-4328-806e-\
1785a69e5efa"],

Cell[BoxData[
 RowBox[{"ucss", ";"}]], "Input",
 CellChangeTimes->{{3.833005687825719*^9, 3.8330056881957197`*^9}, 
   3.8330058017658787`*^9, 
   3.8330058552959538`*^9},ExpressionUUID->"66e9736a-73bb-4057-992b-\
42d3a1a1bd7d"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"<<", "MaTeX`"}], "\[IndentingNewLine]", 
 RowBox[{"MaTeX", "[", "\"\<x^2\>\"", "]"}]}], "Input",
 CellChangeTimes->{{3.840505663503107*^9, 3.8405056698931155`*^9}},
 CellLabel->"In[66]:=",ExpressionUUID->"076c76c0-496f-47bf-8638-39ddb4d98640"],

Cell[BoxData[
 GraphicsBox[
  {Thickness[0.07473841554559042], FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGI5IIaxWZDYzCSwGaB8BjL0DhR7oNwMAEUOAp8=
    "], CompressedData["
1:eJxdlH9IU1EUx+dmmKjT+dzae05ybqL2g0wNzKId/5DQTCUFfxGWtJlIGBiY
MSMlEzEKKsSJZf4gFVYqYaSUGNEvUAsNDYUU9I+WGhkp/l67976dkQcuj8+9
7557zvece7X5xWeMMolE4uYYmY4hdYzB2oHKmFkBAsruXRl214CTMxbHlurj
NTCTkBff0CNAZLTDSjQQ9kdvayh08cKtS7VRGzzy3v7HA8ZfPFQFe4QOxYj/
f+IhhqyPBUI68VuhZv6b90BOaJZm5JUShohZlXDS+q5dUs8h0++CApmjcSrA
PL06GT2vQn7qf0Be8F29Y90Zh4LF9Uxg/lcVcJPMfw2CNyTfVo7Nh4ewfHID
4KLJYXU6sBBbU8La4vzg0VY9XCN+96uRy0ReFZn+b+FxvZ6yAMrbST/dM/RA
ZIjmeJg73zwec0iPetD8GnXIv1u6gofDXVxA4wmBl+lxWfYCHl4XmxctxhCm
KycgU10rAnewBqYigqx2mQ6Z+u9w8Y2NuMsjHXqmQ6wAD6qrcsY0oSKrkYOJ
jilK5LtZtalu3Rxkeaqqo7vEeOM5pssxHat/hD9E7uvkvriHgne8PKm+UI77
afzPvZEnfKZUxhUp8kyK7dxW04ah9O2LBMuWFtn3bNp0VKmLM8n5eVowEp1M
m4bOFdvVIdCC+Uflel3fFnJs/sETu8CO/PDj/baiJ3YD7ZsLWmibbJ89LJMA
Pa9cCxJiIGP11OnZ/Wj1xPqyfLyRabmz/ZBpvT74Qc3xxH5Tiw7ZTszXxXRf
TQjr4+t+4Mx3eWCpt2Dcl9XrW7DYT96iroHs/Agv1j/JaqDpm3bjfWHxyJA1
Paom6YwUOZfcP7MEuTepO7ZxbdNA+/yUCryIf5ubeF9VYCufLfpslcIdUnc/
NTKte7OL/5K463iWp8GN5RkmiOdvG5zM4l5HHt14P/Eoe1lkHtn5XvzP4vuQ
vG2gefYFYL2cnDaXOHpkzAM5lTDnBeFEvxoVnKbsI+qgFvWVox6svxW4n/Zr
CYdMdUhTIzvfT/bOCLDzff0H/muFeg==
    "]], FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 
    0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
    3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {
    0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGI9IGYC4jmLlHf+Oa7mcOqw09pMO3WHhJAg9QWeCP6L
LO1v023VHDaoPmme91bNYUp7a9RlGTUHU5u9QdMU1RxeFW8V/f1a1SEj/0Pr
ySuqDqI9Xq9YYPQWVYg581TgfLB5sQj+TBDoVITz1wrp8KWvU3Yw0FopfGGJ
ugMDCHxQdjAD2fdQ3aHm04aA7FkqDmB3p2s4bNLLW8x4R8XhUYT49osLNBxS
Yu+4Md9Qdaj9bVVwrkPTAea/ehA/QwvOB5tzSxvOl1n+wkNvv66DzLw4zdMG
qhBzfug5iFROKjlrogznK197FMzgowjnV9//ccuYW8Ghhdd//ZRWXTh/A8hd
MjpwPjh8QrQh/l2pANFvoe3QbeO5K+0Rgu++5uhyBgtFOD89DQi2KUL0lyD4
TxIXXjPh14Hz/7x9fcDysY6D84RmobRXCnD+DJB9OxF8cHgaKDq8AMUbt57D
ym8vK844KDn8+Vb6YE6hHsR+DmU4X2LqFc6MJhU4H+xPV1VoOOnC+bDwhPFN
jEFAC5peVCDp4J8GJPxslBz+gswTVIfyFSDxx6AKDy9IOlKB89+A3HsawU8D
AxWHgFvSNYlBanA+enoGAPMMPec=
    "]]},
  AspectRatio->Automatic,
  BaselinePosition->Scaled[0.3237956353650342],
  ImageSize->{13.376866749688668`, 16.368856787048568`},
  PlotRange->{{0., 13.38}, {0., 16.37}}]], "Output",
 CellChangeTimes->{
  3.840505671463118*^9, 3.840507009730992*^9, {3.859890479857126*^9, 
   3.8598904903281407`*^9}},
 CellLabel->"Out[67]=",ExpressionUUID->"d436311e-4637-445d-b272-bad7cfdefc11"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "two", " ", "monic", " ", "palindromic", " ", "polynomials", " ", "are", 
    " ", "obtained", " ", "from", " ", "symbolic", " ", "solution"}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"ComplexPlot", "[", 
    RowBox[{
     RowBox[{"1", "+", 
      RowBox[{"6", "z"}], "+", 
      RowBox[{"15", 
       SuperscriptBox["z", "2"]}], "+", 
      RowBox[{"26", 
       SuperscriptBox["z", "3"]}], "+", 
      RowBox[{"3", 
       SuperscriptBox["z", "4"]}], "-", 
      RowBox[{"24", 
       SuperscriptBox["z", "5"]}], "-", 
      RowBox[{"27", 
       SuperscriptBox["z", "6"]}], "-", 
      RowBox[{"24", 
       SuperscriptBox["z", "7"]}], "+", 
      RowBox[{"3", 
       SuperscriptBox["z", "8"]}], "+", 
      RowBox[{"26", 
       SuperscriptBox["z", "9"]}], "+", 
      RowBox[{"15", 
       SuperscriptBox["z", "10"]}], "+", 
      RowBox[{"6", 
       SuperscriptBox["z", "11"]}], "+", 
      SuperscriptBox["z", "12"]}], ",", 
     RowBox[{"{", 
      RowBox[{"z", ",", 
       RowBox[{
        RowBox[{"-", "1.2"}], "-", 
        RowBox[{"1.2", "I"}]}], ",", 
       RowBox[{"1.2", "+", 
        RowBox[{"1.2", "I"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"FontFamily", "\[Rule]", "\"\<Latin\>\""}], ",", 
        RowBox[{"FontSize", "\[Rule]", "22"}]}], "}"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"TicksStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"FontFamily", "\[Rule]", "\"\<Times New Roman\>\""}], ",", 
          RowBox[{"FontSize", "\[Rule]", "20"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"FontFamily", "\[Rule]", "\"\<Times New Roman\>\""}], ",", 
          RowBox[{"FontSize", "\[Rule]", "20"}]}], "}"}]}], "}"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"MaTeX", "[", 
         RowBox[{"\"\<Re(z)\>\"", ",", 
          RowBox[{"FontSize", "\[Rule]", "24"}]}], "]"}], ",", 
        RowBox[{"MaTeX", "[", 
         RowBox[{"\"\<Im(z)\>\"", ",", 
          RowBox[{"FontSize", "\[Rule]", "24"}]}], "]"}]}], "}"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"PlotTheme", "->", "\"\<Default\>\""}], ",", 
     RowBox[{"FrameStyle", "\[Rule]", 
      RowBox[{"Opacity", "[", "1", "]"}]}], ",", 
     RowBox[{"FrameTicksStyle", "\[Rule]", 
      RowBox[{"Directive", "[", 
       RowBox[{"Black", ",", "22"}], "]"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "512"}], ",", "\[IndentingNewLine]", 
     RowBox[{"ColorFunction", "\[Rule]", "\"\<MaxAbs\>\""}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Epilog", "\[Rule]", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Black", ",", 
          RowBox[{"Circle", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "0"}], "}"}], ",", "1", ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", 
              RowBox[{"2", "Pi"}]}], "}"}]}], "]"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Black", ",", 
          RowBox[{"Disk", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "0.03648457547380327"}], ",", 
              RowBox[{"+", "0.9993342162422422"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0.02", ",", "0.02"}], "}"}]}], "]"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Black", ",", 
          RowBox[{"Disk", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "0.9635154245261968"}], ",", 
              RowBox[{"+", "0.26765280999851826"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0.02", ",", "0.02"}], "}"}]}], "]"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Style", "[", 
         RowBox[{
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"MaTeX", "[", 
              RowBox[{"\"\<c\>\"", ",", 
               RowBox[{"FontSize", "\[Rule]", "42"}]}], "]"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "0.05"}], ",", "1.1"}], "}"}]}], "]"}], ",", 
          "Black", ",", "16"}], "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Style", "[", 
         RowBox[{
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"MaTeX", "[", 
              RowBox[{"\"\<b\>\"", ",", 
               RowBox[{"FontSize", "\[Rule]", "42"}]}], "]"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1.05"}], ",", ".3"}], "}"}]}], "]"}], ",", 
          "Black", ",", "16"}], "]"}]}], "\[IndentingNewLine]", "}"}]}]}], 
    "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"ComplexPlot", "[", 
    RowBox[{
     RowBox[{"1", "-", 
      RowBox[{"3", "z"}], "+", 
      RowBox[{"9", 
       SuperscriptBox["z", "2"]}], "-", 
      RowBox[{"16", 
       SuperscriptBox["z", "3"]}], "-", 
      RowBox[{"12", 
       SuperscriptBox["z", "4"]}], "+", 
      RowBox[{"6", 
       SuperscriptBox["z", "5"]}], "+", 
      RowBox[{"3", 
       SuperscriptBox["z", "6"]}], "+", 
      RowBox[{"6", 
       SuperscriptBox["z", "7"]}], "-", 
      RowBox[{"12", 
       SuperscriptBox["z", "8"]}], "-", 
      RowBox[{"16", 
       SuperscriptBox["z", "9"]}], "+", 
      RowBox[{"9", 
       SuperscriptBox["z", "10"]}], "-", 
      RowBox[{"3", 
       SuperscriptBox["z", "11"]}], "+", 
      SuperscriptBox["z", "12"]}], ",", 
     RowBox[{"{", 
      RowBox[{"z", ",", 
       RowBox[{
        RowBox[{"-", "1.2"}], "-", 
        RowBox[{"1.2", "I"}]}], ",", 
       RowBox[{"1.2", "+", 
        RowBox[{"1.2", "I"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"PlotTheme", "->", "\"\<Default\>\""}], ",", 
     RowBox[{"FrameStyle", "\[Rule]", 
      RowBox[{"Opacity", "[", "1", "]"}]}], ",", 
     RowBox[{"FrameTicksStyle", "\[Rule]", 
      RowBox[{"Directive", "[", 
       RowBox[{"Black", ",", "22"}], "]"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "512"}], ",", "\[IndentingNewLine]", 
     RowBox[{"ColorFunction", "\[Rule]", "\"\<MaxAbs\>\""}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Epilog", "\[Rule]", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Black", ",", 
          RowBox[{"Circle", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "0"}], "}"}], ",", "1", ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", 
              RowBox[{"2", "Pi"}]}], "}"}]}], "]"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Black", ",", 
          RowBox[{"Disk", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "0.3396214473934099"}], ",", 
              RowBox[{"+", "0.9405622108454099"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0.02", ",", "0.02"}], "}"}]}], "]"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Black", ",", 
          RowBox[{"Disk", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0.8396214473934099", ",", "\[VeryThinSpace]", 
              RowBox[{"+", "0.5431720032153677"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0.02", ",", "0.02"}], "}"}]}], "]"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Style", "[", 
         RowBox[{
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"MaTeX", "[", 
              RowBox[{"\"\<a\>\"", ",", 
               RowBox[{"FontSize", "\[Rule]", "42"}]}], "]"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "0.37"}], ",", "1.04"}], "}"}]}], "]"}], ",", 
          "Black", ",", "16"}], "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Style", "[", 
         RowBox[{
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"MaTeX", "[", 
              RowBox[{"\"\<d\>\"", ",", 
               RowBox[{"FontSize", "\[Rule]", "42"}]}], "]"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{".91", ",", ".61"}], "}"}]}], "]"}], ",", "Black", ",", 
          "16"}], "]"}]}], "\[IndentingNewLine]", "}"}]}]}], 
    "\[IndentingNewLine]", "]"}]}]}]], "Input",
 CellChangeTimes->CompressedData["
1:eJwdz1soQwEcBvDlEi9Mmft1TEbMHpicKecowstc4kGiZG2NjCYLy1Jiag1F
rhMPlrK8UaSZSy5RLMwl92LSIbnlYcn5zsO/X199ffXn16pL5R4cDieOOdhq
uf6bNdDUjq7Iz8I4pA4IhO5lSRQUVyfyYXSQTAgrV/SZMHxLXwBJHamBDclk
C7zp5zl7TTQlj3Gdwbn2LM0Io+LeRwsn14ibO8alxc97eDRT/gwV1kgaPoWN
FYvMNPVqu9RAw55DCxekMgMUvDQaYd1TnwXqU6zzsJSrX4XPIYd2aH84WIfv
OtEudJflsv5eLDrY3Zo2J1SGDlzBFG6XC/Z4f7xCMSHhpTEG+0pj4ba1Iwl2
Zlekwot8swhaS7wyIMERELCKvibhyXJ4ARR7dMtgfcx4OfSftCnZHn9DBQWe
GU1srpB3wkKuuxu+TUUbYIAq3QhdssJBGP81OAy/b49HYYc8xwztkUobJKd5
mzAhgmJVEZI9+BjRvA9DEs9Poe/ShAve5Tlp2GTS/rD/JYzzhRs0JSGEAvgP
JJcRFQ==
  "],
 CellLabel->"In[64]:=",ExpressionUUID->"f20a2b48-2ebe-44f1-bcea-20323f8badef"],

Cell[BoxData[
 GraphicsBox[{GraphicsComplexBox[CompressedData["
1:eJx12z+o73Mcx/GTIxmksJjUHdRNZFCySDbzGQw3lptbysCgXEmkm9ykZLDc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    "], {{
      {Opacity[1.], Texture[
        FormBox[
         GraphicsBox[
          TagBox[
           RasterBox[CompressedData["
1:eJzsveeTZNeZ5jchfdFH/QuKkBShkEKK0G4otNoYabSh0Wp2tDPkzJBLNzQY
kqABQRAgCRAAQTjCO8I3PLrRje5Ge1fdXabL+6zKSu99Xu/N8fe27rmZWZXl
utEgyJlZbcdDBolAdFVl/e6555z3eZ/3v7rtp3/z/f/sT/7kT+75L6L/+pvv
3Pt/3n33d371t/9l9H++dOc9P7z9zu999y/u/Pn3bv/e3f/rbf959A9X+//h
//v6zj/h56zwBgr6Cm6gkIv1Fd5MQV/XN8W2i24p5ApCsqUgFsORQhqJcJFY
mMZiIQ5ihX2RSNd7CuhAbLv2+aF2i38mt/gB/7P880cALNipGzEWXGeb2osr
uk3Blvhvmw1rG2CcMdJTDBgOgoFixgKKAooDEgtHjJEQ0RCxWEGIQq4+adcD
MtAuzPpwfzrGgltn7J8lZn8gxnZxdcuABWFfe9O1i7FwB2N0SCTSgDHcUxAg
LhaLxiKxMA5QLEgCSEPIQhiEMOxhFkSKGNuO2TDWbAiznm6C2XWu/8TYrTG2
P103ZYztyVjA33A3ByxkXPsAxhUSOgCMBYj1GYNcFAYEBjgSClAsiANAAkAD
wAIQhCCMMAtgzBi63scMX2ck1p6Y7fhxPi1jN9hr/LPFbOtb/0wL97BuRteN
GdsTMLpDA8D4tigMtotx8d85HdIAsOv9DRbtvQID2BcDjAJGQBAJgwDBAMIA
wMBHgUcCjwY+C/yAC4RcnLTrDMXCsXpfcpPpvZayHmN7Yzb4YG68k92hf2xo
bvFPn65dP8StoLWpzwbYzkc+ZmwnXQORcFO7AOtjtgXY5g6+t8Hq7bGi9x/l
gPEVijGfUZ8Rn2GPIZ9BnwHAfBB4MHBx4JLAZYEbBF6EWRiJgZBFjMWY0Ug4
Fv9iIaU9bW0Btz0yQ1vKYFNDn80tMvbPZUm7xZ/mhnR9ZsY+PWBkWHstYjjs
nw9jkYG2ACMh7Inyt6BPmcciUY8RlyGXQZcBj/ke83zmAGYjZpPAZoETRGJu
yLyQ+dcZuE4jwZgxdL3/ZXo09zBj4eYhtqcdjLG9GPs9MPunSdqnePnfmLRd
dN3yi3Kfuwa2ecsw9Gsiu8QPhOGwGN7G2BZgsVAsGAuQSIHPX4TM5SIOxQ5F
NgU29R3musxxmeUzAzGTMJMyM2BWwJyQuiH1rlOfM0YiwZCgWJuY0b72wGzX
AXk3Y7eE2T/h08B+58Bb+bH2AuzTMrb9KukmgG1eN7BhunoKhjDrA4ZCOlDv
l49joVgQhSASDn0uvtlySbROUZsSm2KLQpP6JnUtalvUtKnuURVSDTONMj2g
RkCtkNohca4T9zrxQwxCDGP1vsxguexjNvi2h3eSf3jG/omQ9vswFmsfwG7E
GOtr513l3hemewG2eekwBBjaFKerpy3A4AAB2Aesx5gfy0N8s+VgZhFqEmIQ
ZBCgEU8ltk5Mg2gmkR0qASphKlOqBEQLiBES8zq2r2MnRF6I/BCBEMFYiK+S
PcZ654rhR2P4tLITs70+rc8Ds39c2H4/xnYcuW/KGNumGzN2A8DwdqFhwDYv
IKLNeEhjEbjFWI8CCEMAQx+GHgxdrsCBgRW9CxHVMdEwUjGQsStiU8aagmUV
dyzS9kkbkw4lYoDlEKsh0kNkhtAOoRtCL4R+CAD/qyHqv4zRcH1gaPkdPhHf
lLFPj9l/hIztebOzH2NsD+0L2NZlVv90trmx2QFY/949vt6CwaYY3LznCikI
SazobYZiQcBZiOSD0AOhwxVYIDAB0yFVEZERkpAvIKeN9A6Su6gjopqOKh6u
YlyjqBVAIYRSCNQQGKFvhb4d+m7oe6Hvc3ZBb6HEWwfXzW948xU/fLO3hdkf
lrF/LMw+L8D2IG0/tPZlbOel/C7ABldag1utPmBwU0EAAjYQjcWvuqLtUqzo
hQZjAZ/j4Hmh64W2F1peYHqB4TPNpzIgXYg6wG8CuwbUCujWQK0BsgpMuyiD
YYGCauC3Qq8benLoaqFrhK4Vuk7ouqHnc3B92N/q9U6tvW91UE7YPAjvzdie
mH1+jP2jkPaZGLtBvW0TsxvStcUY3dKejO0LGN12tzW43opvuIKeaCwSC3vx
psnj7zTgxUuOy6Fw3NB2Q9MNDTfQXKa4VHRJ20N13694VsFTNrxGxs3n3aWu
N+eCRewlmZMP7Wpot0JLDCwlsPTAMgPbDhw3cP3A43dp8T6vf2SNvsPNx6G/
gdy809uJ2T6MfUrMbuUS8585Y/wK+2aMUa6A7s1YH7DBhenWtel2wGBfcYUn
LvLwO3h+i8q8IBKNRWJhN0BuEO2bgMPlO6Hn8LXHcULLDg070OxAsZhk0a5N
mjYq2yBr2+u2vGBVZ63Eonm5YZ9xnRFizAX6eqAVA7UeaJ1AkwJNDQwjMO3A
cgPbC6L3brS9i04RHuYXIr0CFBwUqzbPv717vM3K13avyPB94R+IsT8maZ83
Y2zYiLMvXbsZ21rEyOCefAdgQzenW5enZAAYv0Llim9RuVxGuQISCzsBcgLo
BMDmuyfPDl07dKzQtgLTCgwzUM1AMgLBYG2d1nVc1GFSd+c07apaO6bMnpHf
r6gveuJHrHMlaC+xdpZ1KkxoMVFgiso0I9Cjv8gJopeuDfj5wY0Z8wj/lnr8
w35BdBtj2zC7iRvoPzF2A5vXHnTtsYiRLfUYuylgvcvT3v2pH/82Pcr6F6mM
OYzGIg6LAMN2gOwA2gGwgmiT7pmha4aOGVjRChQBogeqFkhq0FGCpsyqEsmL
aE3wpzrW8bb4Sn3lt9Unuo1vso0XaPIszczRwgatlGijyToCE1UmG0y1mO4E
RrSxi84P0TE1vg3pVzgHjMHBybd3j3cDxm5oOvv/AWM3BGx/g9c+jA0sMdsB
ixkbupffvJrfup3HvfvTPmAe6d+ixjf1zKEcMJuL2AxHshiyAmgGwAx8I/CM
wNEDO9pJaYGh8dedogSiHHQk1hBYqc2yTbJaRZMF/1TSemlGvu1k3fzFN923
XwTnTqGZWby+QfJlUmnRpkg7KhMNJltMdZnmMQMwE/K6kxOXN3uM+dys0T/2
onAbY2TL7XZLxsbPhbE/DmbhLWPW/yl3GlVvah/cRhoZMlztYKxXVt6r9rMH
YDh+JcVyY8acWDalkSxKLBYJm1zIZNBgwAh8PXC1wNECWw1MJTCUQJMDRQqi
916nyxotVm6wbIUmcmRmDV+aRMePgnP3m43vXjOeOeceuwbGV9FSDqdqpNgm
VYk2VdoxqGgz2WWqz3TADMgszOz4O3HjImi0ReyddmHQvx/uVSJ6ddVND9It
mmf/Y2VsjzL2HiXefRyEsQtn4EzewRjuaydjg9rP5u18vwjEL+jjrXX8Vupd
00ey41+uRSi/sqfE4MIGRQZDOoM6AxrzNeaqgROdCOXAlAI92raLgdINxA7r
tFizzqoVWijQVIqsLpG5MTT1MUy8ojeeqKmvJe2jSe9KFsyV0VoTZwVckkld
Jy2Tdh0qeVTxqQYpL2zymkGEerSi8he3Fx9192OM7LSb3ZJH+4aMffqzwj8+
Y3tbJcKehu2D+wFGhjXE2Ka7bztje9YX9wYslsPFAbNimZiahBqE6DQS1inS
uKBKgcp8hbkyc2RmScwUAr0bqJ1AbjOxybp11qqyWpGWszS3TlILZH0MJ8+A
whGz/Z6sHG5YZ6ruaN2fa8FEF2UkXNRw1YgOoqTjEtGjMuBVTR1RI/4G7PiV
HR09PH6L0mcMDjGG92Zsb4P2DT3aQzbtT7+vvvH690dibF+fRLg3YPu4VMlO
8V0I3gUYGriw0BBjg9oPHFSAekUgH8aWrljROc6OhJgVy4x/xZF4WYhEwipF
kRQKFQpk6svUlagjMltgZpfpbaa2mNxkYp11q6xdYo08raZpKUHyCyR/DZWu
+PXzdve0oZ5RzBHBuSZ4CyJIyDCtoYKBKhZuOLjtEcEnEiQKIlr0pfkqSq14
TzhgLL4TjstbvUJqvy+Fbz9v7M6+uUF7YG/8DID9ETC7AWP7enHCGzC2w6W6
i65en8XAIREzhgY+0gFgnLHtJUa4vQIUF4ECN1YPMIuLb7YjGYivJJE0TFRM
FIJlgmQCI0kESNQXqStQp0vtDjXbVG8xrcGUGhOrTCixdoE1s7S+QasJWlnE
1RlYv+a3Rl3xiqVeMY1x3Z7R3CXNW9NB2oQFC1YcVPdQy8ddgEWE5eiLRmDH
r2mLnziig23vji7GrF9C3cEYjZ2zN8dsD7TCYLvJ8XNl7PPB7NYYC4Nd2hew
QclkO13bGOuZ4TcZg7HTL9YmY7tLjNsAA/w+yublRmYCfqaL9ts65JsiFRIV
RatK9EvHEkYigbGAQPwucbvE6RC7Tc0mNRpUq1OlSqUyFYu0m6PtDG1tkGaC
NJZRcwG2Z/3utCdNOuqkbUzb1rzlrFjuuuVnbFBwQdmDdR81AeogJERfi+CI
ao1vAnGfsfiOzosrDqBfoO+t09swu6k7e6sJINxXt+5t/CNgtt8ucRddPe3N
GOtrP5cqDncoQMO63rcrbwF2vVfD3ipjD0qMvMroh67PqzaOH9ixLD8wfWZE
Z7r4WKdFmyJAFUhkLiyhaHmJfvuwywU62O8Qt02cFrGbxGoQo070KlErRC4R
qUCEHOmmSWcDt9dwexV1lmB3AYjzvjznqfOuvuBaS6696rpJ18t4fsEHZQBq
EDYRbOPoqyCJRC9lxBmLz7N2fDvnBtgLejVTDMLdZsYdjO3tzh46WX3umP1B
T597MrYLrf0AC9gQYMNGnGCXiTCmCw21jPUUd/f0GeuZlnue0h5jw2XsuMoY
l7GDSI7HCzeR+vVsj+kev55SfRpJiWvbEiAiwALEvMgdMcAxAC3st7DXxE4D
23Vs1bBRJXqFaCWiFImcJ2IWC2ksbODuOuomUHcFCstAWvLlJV9d9vQVz0x4
1rrnpHw3C7wC8MrQryHQRBG9UOCv42jXB7X4JGvySzlk8zIW8kLs9RnrbQG2
GWbjZpbdjNHt/Vh7G7T3Yuzztp79XpjtZmwXWtsYY9vE9mJs2JCHh7TZ+jpA
awBY3HkBBoz510msvlViqIztxWVs1+XVZzuW5QamGxgu012mufwWVIkOd7Ek
n4h+tA/n26QOQG0IW3y1AQ3kN5BXR04N21VsVbBZxnoJa0Ws5rGSw1IGS2ks
biBhHQlrUExAcRVIK0BZ9dVVX1/zjXXfTPl2Bjh54JSgW+F/W8RttDz6At/v
gehkofF7EmgyaPHiAnIizLacjFuG2fjyb1DQ2OqZGm5jp/sztjdmfyjGPjtm
w1+GGyZutA7vAOymjOEhryoaCA46E2HYax9jPfm8/4LGIh7XllXCDYHLfRJx
GTtwnMCOZTm8RGg4ge4wzWGqwxSHcb8qN09QwSVdj3Q83PajDXm0X4INAOow
eq9Fy45XRREbdhlZZWSWkFFAeh6pOaRkkZxGUgpJG0hMIjFibA1KCSgngLIG
1DWgJYG+AYw0MHPQKsDob3Civ6qO3Wht7BAv2uxFZwqF+ioDOr/vBVYA7AA6
WzbG3ssfDZuyY89sbP8fNH7usv/v2WjyOWL2R2Jsv6PKQLsA24OxvayEW/37
QdxhzRtggyHFdHFRP27B8AaMRU9+rJ5bom+VsAPH5kYay+ZWB8MOdJtpNlNt
pthMtplkU9GhgkO6Dum4uO3ilouaHmr4sOaDKgAV4Jdh9IJzS9AuQqsIzQIy
8kjPIS2L1AxSUkjeQFIyEpTWobTGJa9BZR2qSahtQD0NjSw08tAsckSjxTB6
7Ua7Ozfa5gnUk6inME9lvs6LVr7Jy6Pc7DFgDA4Y6137bTLW85UM2/93MLaf
QXsPzP6JWc8+JWNsD8a2AKPhDkPhltNrwFi/hT8CjPsIueL+xKAHmMdFe3Lj
Lgw39slHz3+sTbeEYwW2FVg9t0Qs3WKaxRSLVwwli4oW7Vq0Y5O2TVo2bjq4
4aC6i2ourHqg4vsl3y/yfZRbAHYeWhEqOc6MnoFaGqopqKSgvAHlHmADyev8
nygb/F/QMlDP8nXPKCKzwnd00cHBbkUHVeoI1JH4Ba+rBp7Gq6Ke2ffJRoxF
L3zg9zGDA8a2TNmb3v897f/7OWc/D8w+NWCfEbNdgO3B2M5QnOFe/772ZGzL
6dVjrGciDPp91j15fcCYG7eSuSFxeLMPdmLGbO6W54BZoWdxu6ljBrbJrRJG
LN1gmsFUg8kmk0wmmlQwacekbZO0TNK0cMPCNRtVbVRxYNkFJdcven7e93K+
mwNOFlhZYGb4uy9anbQUVDc4SEoyhmqYsWSfMSXN1zotWvQKfBdnVLBRI2aD
WC1qdagtMFvkFQRH4fVQVw9ck3/j0cMRLcO+18es7/qHA0c27ttJNp9MvKv7
ah/Gdr5Ztp3IPrUt6B+Dset7AXYLjG16cTaNqrF6RtVeL7+3Jd4MG4s6XJwx
O+73sUJkhTB600QLgTmw4xiBbQSmHhg6d+RoOlN1puhM0pmoU0GnHZ22ddo0
SMMgdQPXTFw1UdmCJRsWbVBw/LzrZV0347lp3077VirawANjg++yor2WmgTK
eqRtgHFFjG0gOcV3a9GeTc1htYC1Eo4OpHqNGA1qtKjZ5lUDS2SWHNhKYGvc
2uGagRszFr3nvU3LP+jXKwDqF/nRoGl9zxaT7e7sIVfjXtrN2Gepc36umO0F
2PVddG3DjO5krGda3W35QiTOuhn2EcaMeYzT5fbFnJ54uyLvWIxkhdi6js24
68cMQfS+MULP4M756Ndm6YGpBTp35DBVY4rGJI2JGhM02tVoW6MtjTQ0UtNI
VccVHZUNVDJgwYR5C+RsP2t7acdNuc6GZyc9K+mbSX5U1Nd9bZ3v6qO9vczV
34lxccb4KUCKGZOz/PipFIha4rdqWo1f4epNXpMyuswQeZ2dW7A17h2K1l3H
4n5IN2bM87Ys/1uu/9j4v9lfMtxi0rdmb2ajbY+NuQlj4U3rnJ+ZsVvD7FYZ
G87FGURKULI9Do5rK09py0fYM6pyr2qcGjFo6rf74l2xFgeMmCEHzLiOjBAa
IdBDXw89PXS0MFodLDUw1EBXAlVhisIkhYkKExTaVWhboS2FNhRSV0lVxWUV
lzRU1FBehzkDZA2QMf2U5W3YbtJx1l17zbPWPHPNMxKenvC1hK8mfCUB5FjR
cTISP1quR4qPmdF5M42lLJZyRC7wO1ulzAsEap2pTaa1eXldFwND4pahiLHo
aYhe7NH+0bG5qZvfu8SMeXE/lB+7/ns2pUEkwmYrDLdmD0WiBXsytidpO+8w
b4bZZwLslhnbrwq2l19n60cj+zCGeWDXVmYXDkBs89r0EUaMuTRwGJcdKe7r
tyLAAmpGigEzuHj3oh5CLQRa6Guhq4aOGm63fDFJYqLEBIl1JdqWaEuiDZnU
ZVKVSVnGRRkXFJRXUFaFGQ2kdX9D95OGt266a5aTsO1Vx1pxzRXXWOGXq9qK
r674yoovrwBpFYhc/H5MWIvvypJI2ODXs2KGiDkiFohU5OUnucrkOlOaTG0z
rcttQrrEv0FD4690y+AHFNsObYf3pzhe6PqhGzO21VnCm0t66WZcPcDQsDX7
88Bs30L6Leed3TJm+3zt/dxgezC2FSkxSB0cMAYRF0BbVsLYRxg4lMuOxJjF
mBkpBswICFeIdS6khVDlAmroKaGrhI4S2nJgygPLl8jt9ILAugJtC7Ql0IZI
6yKpiqQs4pKI8yLOSSgjw7QMUwpIqv46r2V7CcNdMZ1ly16yrUXHXHSNJVdb
8tQlT1ny5GVf4gLiChBWoLAK+W3/GuLX/hu4m8LdDBGyRMhToUjFMq+kS3Vu
21DaTOkGqsj7SKJVVlf5njE6nUQnYMsOLIc3QNle6Pi8o9ONGfPij8bH/bUe
9Haug06+vRjbiiMa3g9vv0TaoxxzM8Y+G2afJ2M7YuT2iMYZirVEQ7lwPcB2
WAkJF/cRUq4IMIOLJ0joAdF5mz+OpIYoAkwJgRL6ctzJKIWOFFrReyhaKYRA
FQK5y8Qu63ZYu0NbHdrs0HqHVLuk0iWlLi50cU5AaQGlRLghgnUJrMl+QvFW
VHdZc5Z0e9GwFixz3jbmHX3e0eZddcFVFjx50ZMWfXHJF5ZAdxl2V2BnFXUS
qLOOO0ncSZFOmnSytJOn3QLrlplQ5aYgqcmkNou+IyX61qToNc7929GhRDd4
Q4ppB6YTWm5oeaHNGdvevTQwjIOh/pKB/Z/nOuIhDade7Y/ZLsPVfmFn2/SH
wmxPxnZY84cZ6wO2mc07iE7dTLYcZqyXDjdwem36CO3YJNrLwDEo01kkqnER
NYiElQBFkkMoh0AKfTH0xNAVQ1sILSEwohdSz1bYYUKbdVq01aLNFq23aLVF
Ki1SapNCG+faONNGqQ5KduBaFyQEsCL6y5K3JLsLijOv2XO6NWuYM5YxY+sz
jjbrKHOuPOdK85447wsLfncRdJZAZxm2V1B7FbXXcGsdtzZIK0VbGdrO0XaB
dUrccibUmdBkYptJXSZH7Eu8O0BVo1NvwDuWTN60ZDi86mV6vIDfa13qdS+5
eNDANNiw9ppEYU/97NCbY3YTxsK9M/X+qIztEQC23a/TM+hshT9vZvNupadu
5lvCfvxgnzEQeIC5gDmQ2XDgI8TMiESYTnkSjspoLKJECrAcIIkLiiEQQ1/g
TdluN7S7odUJjE4Qba+VViC1+K+23aDNBq03aLVBKg1SapBCA+eaONNEqSZa
b8FEC660wXLHX+p6C4I3L7pzsjOj2NOqNaWbU4YxaWmTtjrlKNOONOOKs54w
63Xn/M48aC+A9iJsLaPmCmomcHONNJKksUGbGdrM0VaBtkusXWGdGus24064
Dn97S1Igy4GsBooWqAbvqtOsgDctDRizALe8ccwQczGXR1ivpyoS9/7HGmYs
DkAeaGsDTD/lUtZfLbZjtlcSzh8Es/1D5nZ6woYDxjfznzcTercDhkAAQQC4
mA8YZ8xnNmBWpL6PkOmYSyNMJVShPA9HZiSSxHAEmBhAgQt0Q78Teu3QaYd2
OzRbgd4KtGagNAKxEXuja7RepdUqrVRJqUoKNZKr4UwNp2ooWUeJOlxpwKUm
WGj5821vtuPOdJ1p0Z6UrGuKOaEaE7o+bmrjljJhy9ccadIRptzutNeZ8duz
fmseNBdgYxE1lnF9BdcTpL7O7Yv1NG1kabNAmyXWqrB2LSKd9wJE7+1oeyhK
vMVJUgNZC2QjUMxAtQLNCXSX20NMnzvdrLh1Ke5eijtLBg1VPcZ8nhfKFSfT
UjSkHmN4i7Etbbe+bCunDzG2Rdo+gUufP2Y3DmHdbQgbzhjffMR6Ib1xgCrP
UAU9xhjwme/zEMIIMCdizO9/wAYPL2EaikRVTBVCZUIlSkVKIgkMCwx1GewG
oBOANg+XcFuh0wztZmg2Ar3Be7TlWiDWWKca/Y5pvUwrJVIqk0KZ5Mo4U8ap
MkpWUKICV6pwsQrma2C27s80vKmWO9l2Jrr2uGCNSeaoYlzVtKuGetVURi1p
zBYnnO41tzPptae81rTfnAWNOVhfQLVFXF3G1VVSXaPVJK2laS1L63naKNFG
hTVrrNVg7Va0MeQNl12RCXIgqIGo8b5g2eQd6KrDjSG6x21uZtwe11vQ7UED
E28uodSLxMNC6Q7M4C7MyC7M9mJsVy19gNm+iV57YnbjQsHnxBjZxdgAsF4K
dC+8BPtcvRhVnqTqx0GXHnM95njMjh5ir2clpFrcXKFEQlTGPNdLJFSgpMuF
Owy1GWwz0Ar8ZuA1QrcROvXQqoVmLdSrgVoN5EoglPl+qFmivMejQAoFkiuQ
TAGnCjhZRIkiWinCxRKcL4OZsj9V8a7V3Im6O9Z0RlvW1Y55RTAuS/qIol3S
lEuGfNkUr1jCqN0Zc9rjbvOa15j069OgNgOrc6gyj8uLpLxMyglaWaeVFK1m
aDXPv3KtTOs11miwZos1O6zVZW2RdWTeDixovPNSMnmtXnH6/ZfRD28AakBq
ImpiamHeQWUTyltCKeWYMeLxQFquXvoxHKi36e0dr8j2PNDdmG0vde7E7Pow
Zp898mxwifupGdvh7N1rEQvx7qCvXjNEnNPbi+r1GPR4kmo/TNXlcZe2yyyX
mi7VXap5mz5CKkEqIiog2sWkQ0g7EsUtiloMNhloML8eeLXArYVONbQqoVEO
tXKglAKpFAhFbr7nDR45WsqSXIZksjiVxcksSuTQSg4u5eF8HswUwGTRHy95
Y2X3atW5UrNHGtallnmxY1wQtPOyel5VzunSBUO4ZHYv2+0rTnPUbYx59Qm/
eg1UpmB5BpXmcHGeFJdIcZWU1mlpg5YztJyjlSKtlvmLulZn9Sart1mjy5oi
a8msrbCOxgSDF1Elm8oOVVyqelSLHzCdd8jF3UtxA5NFiM0zQokbaxtmwU7M
+kf4cBgzQm+U2LirkL6VRvJ7Rp5trxV8SsZ2znzZbQjrXw/ypud4X9pb0jez
oL1BWq/LfDcGzGGOQ22HWg41HKo5VHX55x37CKkIqABJF5IO4glyTRIJNyiq
U1inoMb8KvMqgVsO7FJoFUOjGGqFQCkEUj7o5lgry+pZWsnQYppkUyS1gZMp
nEihlRRaTMP5NJzJgMmsP57zr+a9ywX3Usm5WLHP18xzDeNsSz/T0U6LymlF
PqWJZ/TuObN9wWpdshuXndoVrzrql8dB6RosTqH8DM7Pkfwiya+QwhopJGkh
TYtZWirQUomWo81gnVWarNpmtS6ri6whs5bK61pdg1fpRZtKDpVdonhE8YkK
iAaJhoiOiYGJSQhnjGCb59BiNxL/JLl6j21vEzKYF4BR/wYS34CxYMiysU88
0I0Zu1XMbrQ7G0783Wuu0O7wwmAz8Qv0T0C9/QOJP5YIMOQw6DDgMN9hnkNd
mzo2tW2eqmpYVLOoEn/koksEL/YR+qQNSAuSJiINjGskEqoSWKGgQv0y80rM
KQZ2IbDyoZELtWygZAMxE3TTrJVm9RQtb9BCkmTWcXINJ9bQyhpaXIfz63Am
CSY3wPiGfzXljaTdC1nnXN4+W7ROl81TVeNkQzvRUj/pyp9I0nFVOKF3Thut
s2bjvF274FQuueXLfvEqyI/B3ATKTpLsLMkukOwyySZIbp3kUjSfpfk8LZRo
sUKLNVpqsnKbVbqsJtK6zNvHWxppG6Rjka5NBIeIHpF8IgOixB1yKm+SwzrG
BsEmwVafMRQpTtVGvQfWjxRvcXczNhiyg3dbNoZ2N7t7XXek3HzejO3CbP+Y
TC7Cru9Ix9xMlRuk2fcC7Xu7CLwJmM18m0byLOrEsb2WRU2L6iZVTSKbRLSI
YPd8hKTtkZZPGgDXIa4hXMG4jFGZwBIBReoXqJtnTo7Z2cDMBEY61FKBnArE
jaCTZM0kq63T8hrNJ0h6Fa8v45VltLiM5lfgzCqcXAXjCf/qmj+y7l1Iumc2
nFNp+2TO+qRgHC/rx6rq0YbycVs6IohHlO5RrfWJ3jhp1E5blbN26bxbuOjl
RkD2KkyP4dQ1nJrGqTmSWiTpFZJeI5kNksnQbJ5mizRXofkazTdosUVLXVoR
SU3mJdOGTloGaVu4Y+OuiwUPiz4WAZYglhFWEFYx0jCK42eRSZDFw7TRnpiB
PmZocPfYK9VhEmxjbFdc4440vT0Z+1wwu9FZc1/Gtsa+7DSEbTp1+llfHDAa
byR6jyG0KbB4KLRnUtekjkltk1omMQyiG0Q1iKwTIXq+zejjJy2bcB+hi2se
rgJcgbiEcBGjAoZ5AvLEy1E3S50Ms9LM3Aj0ZKiuB/JaIKwFnQRrrrLqCi0t
09xS9OvHiQW8OI/m5+HMApxcBOOL4OqSP7LsXVhxz6y6J9ac40nraMo8kjUO
F7SPyuqhmnywKR7sCh9K7UNK84hWP2ZUPjFLp+zCGTd3zstcAKkRmLyCk+M4
OYmTszi5QJLLJJkgG0mykSapHE0VabpMM1WabdB8ixS7pCSSioyrKq7ruGHi
poVbDmq7qOOhro+6AIkQSQjJCKkYahjqGBoEmpEotPinxxU/qtGWI9rZ8gNU
fBfUu3IcZoyLBFuWjd1+jV1per3Ukc8dsxtdaexkbPt0oeGxL8PJhWBzaEJ8
4o7FY+1t/iRGHxQwqW9Qz6CuQR2DWDoxdWLoRNOJohFJI4KG2zpuGdxEWLdx
zcEVF5c9XPJRAaI8QlkEsxhksJcmboo4G9RKMnOd6YlAXQ3llUBYDtrLrLHE
qou0uECz82RjDq/OooVpNDMNJ2fg+Ay4OuuPzPkX5r0zC+6JJefYsn141Tq0
bh5M6R9k1fcLyntl6d268G67847Yel+uH1Srh/XSx2bhuJ094aRPextnwdoF
lBjBiVGcuIYT0zgxjxNLJLFK1tbJWoqsZ8l6gSZLdKNK0g2SbeN8FxdEXJJR
WUVVHdVMVLdQw0FNF7U81AaoA6AAoQihjICCgIqBhoFOgEGAGYk/noCPBuCb
DRAPoQDxCX2TsV4VGOKBeDl92LIxnPe9rb91R6zNp8Ts91jKwu2M7TUfjQNG
ru8V/RWbdejm0IQ4iqkfa4/iZPvoE/N14mnE0YitEUsjhkZ0jagqz4gWVdxV
cEvFDQ3XDVw1ccVCJRsVHZT3UM5HGQjTEG4gfwN7SeyuE3uNWAlqrDBtmalL
gbwQCAtBe5415lhllhZmaGaaJKfwyiSav4Ymx+H4BLh6DYxM+hemvDPT7okZ
99icc3je/mDRfG/FeHdNe3tDfSsrHyiKb1a7bzTbb3QbB6Tau0r5A61wyMge
sVJHneQnXuIUWDmDli+i5St4aRwvTeGlWby8iJdXyPIaWdkgKxmymieJElmv
4o0GTrdRtotyIioosKjBsg4rJqzasObAugcbPmz5oA1AFwIB+hLyZeQr2Fex
r/GPy48+NIOv/77FtxnRbjY6NPneADPA+J12XDoBcSG4x9jAsjEUCTrcDhbu
wuwWGfu9ewKu7wSsz1h/utB1QvaY/LKZKufFF9ROb3QCPxxFe9doXxGt/NGD
GX1urkochdgKMRViKDyEXFGwLGNRxh0ZtyRUU1BVRWUdlQxUMFHeRlkHpl2Y
8mESwDXoJ5CXQO4qtleItUSMRaotMGUukGYDYTpoTwf1KVaZpIVrNDNB1sfx
8hiaG0XXrsCrV8DIVf/CqH9mzDsx7h675hyetD+ctt6ZNQ8s6G8sa6+vKa+m
pFdywsulzsv11sud+qti5U25+Laafd9IHbTWP3JWP/aWj4OFk2jhHJofQfOj
Eb94fgbPz+P5ZTyfIAsbZCFDlvJ4pYQTVbTeQBttmOrCjARzCshroGCAogVK
Nii7oOqBuu83fb8FvA70utATkSchT8aegj0VR8+jFz2V8eIf7TG8aCvr8FN5
DzM/vs32AS/++gPGuAaWjX5u6VB7DtoxyHUTs+t/KMz2rQNsG/W4I2Su5zgc
BIDtiP7iTh3cA6w/OiE6HMXbV6jzAQq+SlyFOBKxZJ5yr0tYlbAiYUnCgoja
ImqKqCai6K1SVFBBgzkdZkyYtuCGA9ddkPDBCvCXobcE3UVkL2BznhhzRJuh
yjSTJoPutaA1EdTHWXmM5Udp+ipZi9aay3j2Epq4CEYugAsX/DOXvJMj3rHL
7uGrzodj9jsT1puTxqvT+svz6kvL8otr4vPp7nOF9nPVxnOt6gtC6RUp97qa
fktff9dc/cBZOuTNfQxmP0EzZ9DMRTR9BU2Po+kpPD2Hp5fw9CqeTpLZNJ7P
o8USWqnC1QZYa4OkADYkP634Gc3PGX7e8vOOX3S9iufVPLfhu03gtoHbga6A
HBE5EnZk7CjYUfma70Yy+CbWtfh53I0x8+KBTVxgCzN/YAva9GsMmia2GEPh
Xphdvylmn3dU6A5X654phv14ua1YprBnSnEHiV8m5jlMBj+JRwelaB8bbTOi
x9OVsC1iS8CGgDUBqwKSBSQKqCugVhc1urDagUUB5iWYlWFGhSkNJg2wZoFV
Gyy7YNH354E3B9w5aM8gcxrrU1i7RuQJKo6x7mjQuhLUL7PyZZYfoalLZO0i
XjqPZ86h8bPw0mlw5rR/8ox37Kx7+Lzz4UX73RHrzSvmK6PGCxPac9PKM/PS
0yvCk8nOE9nmE+X6E43y053C82Lmd0ryNW31gLn4jjP3vjd1CE4ehddOwmvn
0MQImhhDE5NoYhZPLOKJFXxtHU+l0WwezpfAYg0sN/2Vjp8QvHXZS6rehu6l
TC9teznHLThOyXUqnlPz7QawW8BuQ7sDbQHZIrKjT0nG0Wpvq3xf4Rj8lBQd
xh3OGHVdXiXh8rmvIMLMi30sHtrm1+gP1hw0f8Gtduk9x1LvwOwmAY5DJsfP
zNjQML4dU9I2A8C2hr9wZ13oDUK/7L6LojeeA8cTOqDCh3R4Ep/TEX2MZodP
UtA6SOkgqYOEDup0YLMN621YacNCG2a6IC1GTz9YV0BCAys6WDL9Bdufc/0Z
z5vy3SlgT0JzAunjSB3F8lUiXqadEda6GNQvsPJ5ljtHU2dJ4gxZPI2nT6Gx
E/DiJ/6pY/6x497hE+6HJ513T9sHzlqvXjBfvKQ/c0V7Ylx5fFp6bKH7yGr7
4VTj4UL1N7XiY+3sU8LGc3LiJW3pVXP2TWfybX/8Azh2BI5+Aq+egVcvoitX
0ZUJdGUGXV7AV1bQ2DqcSIPJvD9T9udq3nzTW+y4y6K7IrsJ1VnTnXXTSVl2
xrbzjlV0rbJnVX2r7psNYLag2YbRJ2NGn0/0GErYkoml8o1rdD6KjuG2xW8U
bYc6Dp8I5ni84OvEmMUOloEtiPRzjQeeID6/tY9ZuBdmu2ZSf8oB6NtNjrcC
GGdsr2F8ZGiIFe8B3D78xRsMf7EHgUwGohrqxeRER3J+Yop2GtGLIHpOo4+x
jfQWUltIbkGxBbst2G7CRhPWmqDcAPkGSLdAsgPWumBV9Fdkf0n153V/1vSn
bW/S9SY8d8y3R4F5FepXoDqC5EtYvEA652jzLKudZuVTLHeSpk7QxCdk4Tie
OoZGP4YXjvgnD3tHPnIPHnHfO+ocOGa/dsJ86ZTx7Fn9txfUhy/LD42LD850
Hlhq3b9e/1Wu8qtK4cFW+tHu2pPS0rPq3Ivm5CvO6Bv+lXfByCFw6Ri8eApe
vAAvXEYXxtH5aXRhHl1agVfW/dGMP573rpXdqboz03Lmuva8aC8o9pJmLxvW
mmklLTNtm1nHKLhGyTMqvlH1jTowGtBoQaONjA4yutgQsRHtKKKNq8YP4KZB
LZPfKFoxZrbLS71csXfFhix24vXnaW5Nbh0wBgaMbQ6kHg7j+syY3aCx6dMx
tmtW2s4BQ0PDX9x4/os9mP9i9EbAQH59LfEpMNHBPDo3RdtapwOtNjSaUKtD
pQ6lOhTqsFMHrTqo10GlDoo1kKv5qZqfaPgrLX+54y8K/rzkzSjelOZdM7wx
273qupc9e8QzL/n6BaCeh/JZJJzBnVOkeYLVjgfloyx3lKY+pqtHyMJhPPUR
Gj0IL3wITnzgHXrPfe99560P7dcOWb87Yj53zHjihPbIafX+8/J9l4VfTnR+
Pte8Z7V6T7p0dyn3y0bywc7KI+L8E+rUM+boi86lV/wLb4HzH4CzH4MzJ+Dp
c/D0CDw1Bk9OoTPz4PyKfzHpjWTcKwVntGKP1+1rLWuya01L5oxqzmnmkmGs
mvq6pW/YWsbRcq5W8LSSp1Z8tQq0OtAaUGsirY20LtJEvl/Vo5ORym94DIOY
Jr+yNm1qOtRyIzHL4/MNrYEtyOHhpLF3fdCGszUgOO7E3wx86A893zX3nNyQ
sVvF7GaMbc7j25yV1kv/GoQzccA257/43JHen//iB71AJs2nCiAywCLEAoTR
2Tw6OrWh04JWExp1qNWgUgFiFXSroF0FzSqoVfxyxS9U/GzZ3yj7q1Vvqe4t
NL25tjfd9SZFd0JxRzX3iuFesp0Ljn3ONc96+hlfPQXkk1D4BHWO4eZRWjvC
Sh+x3EGWOkhXPyQLH+Cp99HVd+H5d8CJt71DB9y3Dzivv22//K71/AfmU4f0
R49oDx5TfnlSuvu8cNeV9p2TjZ8sVu5IFu4oZH5aX/tle/FBcfoRdey35qVn
3LMv+aff8E+9B04cBp98Ao6fhUcvwY9H4bEpcGLeO73ink0657P2xaI1UjWv
NMyrbWNMMMZlY1LVZzVtQVeXDSVhKUlbSTlyxpVzrlzw5JIvV4BcBUr0mTSg
0kZKF6kCPxBF525NJZrGb6p1kxgWNexYDjVcZgxsQRbseYL6rnU37sHxBh2F
O+dQD0UkbQZX7oPZzsGOtxRHe0PGBmlz/SzczVlpPcAG4UxDyUy8v8bi81+4
sbMfyORRmcfk4C5AbQDbAEQn9CZwGsCK3gtVPnVILgGhBDolv1Xy6yW/WvJL
JT9f9NJFb73grRS9ubI3U3OnGu61ljveca+KzmXZuag65w3njG2fdMwTrv6J
px735aNAOALbh1HzEKl+SEvvs/y7LPUOTbxNFt7CUwfQ1Tfh+TfAJ6/5h151
D7zsvPKq/cLr1tMHjMff0R/6QLvvkPKzo9IdJ7s/utD6wVj9+7Pl7yXy38ul
flhduas190th4kF15BHzzBPuief946/5R9/xjxwCh4+BQ6fBwYvw0Kh/eMo7
uuAcX7VPbpins8aZkn6upl9oahc72iVRuyorE4o8rUlzurRoiCumuGaJSVtM
OWLGFXOeWPDFEhDLQKxBqQGlaAvR4Ueh6MStyFhVsaoRVScaH2jIa7u6TXWH
m1V61jNj03rGfWcxZrTfSNhjrI9ZuAszniW4A7N+ljjdJyp0KP7s5m2aN2Zs
m01n4NTpz7HqJTNtD87hbVyWE8Z5OUEvL0d2qcQr3LjDQythwwcN36v70THK
rPh62VeLvlTwhZzfzvvNvF/Le+W8V8h72byXyrlrOXc5687m3cmSO1FxxurO
laYz0nYuCPY5yT6t2icM65hlfmzrRxz1sCsf8oWDoP0BbLyHqu+Q0ls09yZL
vU4Tr9OF18jUq/jqK/D8y+CTl/xDL7oHnndeet5+9kXriZeNh1/XHzig/vxd
5ScHpe9/3P2H063vjNS+PVn61lL2m+nkbZWlHzWnfiZcvVc996B5/BHv42e8
w6/4B9/2Pzjov3cUvHMKvHPRf2/U/XDaPrRoHkkYR1P6sbz2SVk9UVdOtZQz
XfmCKF2WxDFFmFS7M3pn3ugsmZ0Vq7Nmd5JOJ+V2Ml4n53cKfrfMl3ShAYVo
j9rhZ21JxJKMZQXLGlF0ohhEMYlqUdWmauxU0Qax7Dw1O2YsDs7m7V29RsJe
T7Q3mHUOdmB2fROzfvruUF79vphtN3vti9lNfLJ9K1hvJF9vXFpvlJXHo/82
Zwzx1Jze/Bc7tO3Q5Fkm3EKsWEEvLCdOyuEZOQ0P1jxQ9byKZ5c9s+TpRU/J
e1LW66a9VtqrZ7xqxitl3HzGzWTcZNpNpJ3FlDOTdsZzzmjBuVy2L1Xt8w37
bNs+1bU+kayjqnXYMA+axoe2+oEjv+cK73rtt0HzAKy+gUqvkdwrNP0SW3uR
Lr5Ipl/Ao8+jC8/BE8/6Hz3jvfWU8+KT9lNPmY89a/z6Rf3el9WfvSH/6B3x
tg+7f3+0+fWzta+OFr8yn/kPG2tfL81/tzFxR/fi3eqJ+6zDv/EOPu29/zvv
nQP+gQ/914/6r57y37jkvjVuvTNjvLekf7CmHkwrHxXkwxXpSEM61hZPdbvn
xM4lqX1VaY2rzSmtOWs0583mktVYsZtrTjPpNlNeM+O3Cn6rzPcMnWh3Gh2C
OqjbRYKIRAmLCpZULGlE0olscPOA3LOexY47LfYPR4wZuB/ObvVbCGPMBq33
Xj+sph+L1Et4g1uhu2x/zHoFnhtgdoP2phsz1pt/AYbGpXnxjCE3njFk8wSt
fqiJGdomn3JmmLzjRjG4X100GQ8ysbjBoGmjWj+8xCu5dtE182603VWi10Ta
7Wy40edcS7rlDbe44WY3nNSGs550VpLOQtKeXrdHN+yRjH0xb58rWWcq1sm6
dbxlfdw1P5LMD1XzPcN429TesuQDtvCG23nda77q116GpZdQ/gWSfpatP02X
niYzT+GxJ9HFJ+HJ34LDj3tvP+b87lH7tw+bDz9u3P+k/vNn1Ttfkm9/TfzW
292vHGx+6ZPq314q/M1U+otrq18qznyrfvX27pmfqEfusd//tfvOk96bL3mv
HfB+94H/wsf+S6edV0as1yb0N+bUAyvKW0npnaz4bkl4t9Y92Ox83G590mmc
EeoXpNqIXBtVqxNadcqozprVeau6ZFdXnFrCrW3wR6ye9xslP9qUNqPjTxO2
27DdRR0BdSXclbGgYkEjgk5EgwgW4daz2Gun+FQFTINMj1shjEFjl9Vvhe41
3fcY4xk1vUCkXrbbIAp1N2Zbkcd7pYXuydh+7U03Ymy7U8frjbLqjxniM4as
eP6LGbiD+S+m3h8wJGvcst7VGQ8yMUjTxHUTVSxYtP284+UdO+dEx3Yt7cgp
R0g67TWnsepUV51SwsknnEzC2UjYiYS9lLDnVu3JVWt01Tq/bp1NW6ey1omC
eaxsHqmZh5rGBx3jXdF4S9Xf0LVXDfkVS3zZ7rzkNF/was/7pWdh/imcfoKs
P06XH6Wzj5LxR/GlR+Cph8GR3/jvPuS+8qD95APmrx807ntYv/tx9cdPyd99
QfzGq92/fbv514er//5M4S/HU3+5vPxX+cmv1i7d1j3+Q+29u5y3HnRfe8L9
3Uve8we8pz7wnj7mPHvWfP6K9uKk8rsF6eWE8Eq6+2qh82ql/Vat8X6j9lGr
eqxTPimUzkqli3Lxsloc1YoTenHKLM5axXm7tBT91PzhqkTLeJ5vR2sVfrhu
NPlVYbODWgJqSagt47aCOyru6NyX0rWIwI12fLyEzCNuqcqbIOJ2G8LbBs24
QTXCzIrzHJyAuXFGzU7MeEblJmb98PDNcRtDQ9D2cG3vk+S4O4Vqr2uzPmOb
kx/9/ri03jQr0psxZPLASWCw3vwXW+2nTWgKbyGUlEBQgrbCPZ9xigmPMCkZ
IM8jn720badsY8NWk7a0bncTdmvFri85lUW7uGTnlu3Usr2+bK8sW4vL1syS
dW3JvLJonls2T66Zn2yYRzPG4bxxsGS8XzXeaegHOvrrov6yqr2oKS8Y4nNm
51m7+bRTe9Ir/9bPPwbTj+D135CVX9P5B8m1B/DlB9CZ++HRX/nv3+e9dq/z
zC+th35h/PJe/a4H1R8+otz2hPS157pffLX1796t/tvjhT8f2fi/Fpb+bXbi
76pn/7770ff0A3c6rzzgvPCk+/RL7uMHvEcPOo+fMJ64oD41Jj09Izyz3Hkm
2Xo223yuVH+5Un2zVnq3UTzYyh/p5I4L2VNS9qycuahmLmuZUT07YWYnreyc
nVuyo8eqEC3g0T4h2o4W/UrFr9RAtQFqLVjvwLqAGiJqSrip4KaKWzppm6QT
W+wEj4o+n2Yux+0PatzMpcdtg0avy56xTcacQQ7SFmbXt3JQe6nOOzHb6dre
rzNgR5Ljp086g4PBfF7fQsF6k4ZMik0eztyf/6IyV2H2YPiLKvFOVVEMOiJr
Sqwu0ZpMKgouqaiggazhb5hu0rLXLWPNUhOWtGp1l63molWbt8qzdn7Oysxb
G/NWYt5anjfn583peXN83rw8Z5ybM44vGR+vGh8ljQ/T+ns5/e2i/mZFe62h
vdzWXhDVZxXlKU16Uu/+1mw9btUfdcoPe4WH/MyDMHk/Xr2PLvyCTv2CXP0F
PvdzePzn4OA93pt3uy/8zH70LuPnP9XvvEf7wX3Kdx6Svvq48IXn2n/+Wu3f
HCz82dmN/2N68c/So39dOfnV7ru3Ga/c6Tz3oPPEU+5vXnYfeNv59RHjN2eU
hy+Lj0x2HlloPZJoPJKuPZ6vPFMqvlTJvVbLvNVIvdfaONRJfiwkj0vrp+T1
s+r6BS05oidHjY0pMzVnpZfsaN3OJt1c2s3nvELRL5b9Uo3fQpdbvN5R7aKq
iGrcJ4DrGm4YuGXxnL4OjxylQmxKlyCVEVUwUwlvStXi9meOWT8zJMYs5Opl
bfUyA3sJqMOMwd6Ujetbqcd7NgfsGRi6O1nvUzC220XRq3Ab8RSY3vwXhXp8
NgezBNbr0la6gdTh7YStDqt3ucG4LJCiiPMyzCogpXnrurtq2CuGsWIqy6a4
aHYWzMacWZ0xi5NWLvrYp831aXN1xlycMWdnjMkZY3TauDStn5nSj83ohxb0
D1b0d9e0tza0N7LaqwXtdxX1hbr6TFt5UlQek6WHVeE3evsho/Frq/KAU/yV
m73X3/gFTNyDF39GZ+4k4z/FF+9EJ++Eh3/iv/MT7+U7nCd+bN3/I+MnP9Ju
/6ny7V9IX3lQ+MJj7T9/rv6/Hyj+62OpfzW2+K82rvy78tEvC699y3ruLvvx
h5wHn3F+/qr7yw+M+z6R77vQ/dV461dz9ftWqvemyg9m84/mM0+VNp6vrL9c
S7zRWH27tfJ+Z/mQsPyxtHxcXj6pLp/VVkb01TEjMWWuzVnrS3YyYW8knXTa
zeS8bMHLlf181S/UQaEJim1Y6sCSwB0CFRXX9GjTgRs2aTmk7XIvepd3PfDm
GgnzPkGFMDVijHFxzIIeZtQOeL5WHOPWCwyMMbs+jBmBA6GtAPftobQ7u0/I
vh1OOxnbD7MeY95grFW/wh0XINX+hA4g8jRdt8ujAo0Wz0GSmnGLdpM1mqza
ZKUWK7RJroMzAkxJYF32VlVnUbcWdH1BV+Z1Yc5ozxj1aaMyaRTGjcyYuTFu
JCaM5WvG/DVj+po+cU2/ek2/OKGfntCOjWsfTGnvzGlvLalvJNRXkupLGfX5
vPJMWXmirjzakn8jyA/Iwq+Uzn1a416j+gur9HM7d7ebustfuxMu3YHnfkQn
f0Au/wCf/QE69gPwwe3+67e7z33ffvh75t3f1W//vvrtO+Sv3i1+4f7O//1Y
8397ofy/vJ/+lxcW/8XqyJ+XD/6t+MK37cfvse9/1LnrBeeut/WffSz97Gz7
rtH6XTOVO5dLdybzv0ilH8iuP5xf/W1p6ZnKwou1+Vcac2+0Zt/uzL4vzB6S
Zo/IsyeUuXPa/Ii+MGYsTZnLc+bKkpVYtdfWnfWUm8y6GwUvVfLTFT9TB9kG
yLVgrgvzIreglDVUMXAttm42XdLySNsnHT7knHdviZhKhPc7K7y5PmKM6nFU
iBGH0lhBL8NtCLPr/YjdXlp4L5d+c4YL2h58jLc1B+yN2a6o0E/FWOwQ4YAN
Kty9WTAqIjLCIp9rwOcmtHmsrtUgep0qNSpWeftss8pqVVaucTd7pk5TTZxs
w7Wuvyq6i7Izq1ozmj6jydOaMKW1JvXahF4e0/NX9fSIsX5FX72qL47qs6P6
1Kg2NqpdHtXOj2qnRtWPr6ofjKoHJtXXZ5VXFpSXVpTn1pWnU/ITOfnRkvxQ
TXqgJd0riPdI3buV5s+02l16+U4z/xM7/WN3/Yf+yu1w/nt4+h/o2HfIxdvQ
ydvgR7eBt7/jvfwd58lvWw98y7jjm9p3vqN87Xbpb34q/MV97T99rPY/v5z9
n44t/Y/zF/+s9PYX5Se+a99/n/2TJ50fva7/6CPhh6ebP7hS/f508R+Wc7ev
pX6STNyTXrovN//rwsyjpaknK9eerU+82Bx/pT3+Rmf8LWH8A2niiHztpDJ5
Tp0a0WbG9NlJY37WXFi0llbt5XVnJeWsZt21vLde8pIVP1nzNxpgow2jpzMn
w7yKijoqc9Mm9wbXXdL0SQuQNu/bol1MBcIbUaW4rV6JAxw0nkXTZ8zkAW79
qMBeImUvXLcX49xLpAdbEwJ6mG3m0m4xRvbNc9zd4fRpGPMH09OcQYW7NwuG
Vx95ZQi1IWjyTHunhqwq1ss8261b4GkP9QJvMCwUaaZEk2W6VsWJBlxu+Ysd
d06wp2RzQtEmFHlC7Y6rzTG1elUrXdFyl7TUBW3tgrZ8KXrStZkR7dqINnpZ
vXRZPTuinhhRjowo719S3riqvDyhvDgtPzcvP70s/zYhP7ohPZSVHihK91bF
e1riTwXhDrH9Y7n+I7XyQ71wu5n9vr3xXTdxm7/4bTj7TXztG+TK1/HZb6Dj
34AffsN/8xveC193Hvu6de/XjB9+Vf3G15Uv3Sb+vz/u/ptfNP/FY8X/4a3V
/270wr8u/O4L2oM/tn78sP3dl7V/ONi57XTtW1eLX5/Jfm1p4zurK99fn79j
Y/pnmYlf5MbuL155qHz50erIE/VLzzQvvtC++Er30lvCyIfi5Y+lKyeV0XPq
2Ig2MaZPThpTs+bMojW7Ys2v2QsbzmLGXcq7K0Vvpeyv1v1ECyS7ICXCjAJz
8ZSvoonKNq7GPQ4NnzTjpq02Ih1Mu7zTmYqUSmwbY3ocqxWnt/GQwF4cpXOd
qxfgHGfRb046wZvh2nArYhsNRdP28xzpVn/AjgaU4S66T8VYHKvTmzpk9KqP
Pp+hIPg83L7pwxrPG3dLPJFez/Gwyk6aNFK0kqbFNM1m6EaOrubJchEvVuB8
3ZttOlMda1wwrkraVVm6KneuKI3LSmVEKUQHrvNq8qy6ekZdPKvORQ/7eXX8
vHrlgnLxgnLmgvLJeeXwefn98/Ib5+UXLsvPjklPTUq/nZUeWZQeWhUfSIr3
ZsR7CsJPq8Idze4Pup3vic3vSdXvKqXbtNx3jNS3rLW/d5a/4c1/DU59BY99
mYx8CZ/+Mvr4y/D9L/uvf9l77svOo1+yfvl3xg/+Tv3q38lf/Lr4F9/t/Old
9f/+0fR/8/Glf5l9/EvWj++zv/mS8o1Dja+cLf7tWOav5pJfWlz8+sr0t9fG
v5e88sP0pTuz5+/On/1l8cz9lVMP1U490jj5RPPkC+1Tr3VOv9M9e1A8d1S6
cEq+eF4ZGVGvjGmjk/rYrDGxYF5bsabW7OkNZzbjzOXcuaI3X/WWGv5qG6wJ
ICnBlAozOsqZqGChkoPLLq76uAZII+4KbGHe4NwhtBuHNkhxNogSJx1pcaZW
HN3WZ6yP2fV+erPLg+hxPOmkVx3cnEK1lX08iKaF2zFDe/SgDCXrbRXPb4QZ
j26K51vZ8dQh3WOqS2U+RoF0HNx0eOp42fXznpvxrRTQNoC0DtsJVFvlTdPZ
BNlYJ4kNspgic1k8UwDTZe9azRlrmlc6+kVRvSiKF6X2Ral+QS6fl/Nn5fRp
Zf2ksvKJsnBSmTmlXDutjJ1WRs7I58/Ip87Ix87IH52R3jstvXFaeuGs9OQl
8fGr4iMT4kMz4v0Lwr0rwj3rwl3p7h2F7g8q3e82O9/ptL4l1L8pVf5eKXxD
y3zN2PiqlfgPzuKXvdm/A9f+Bl39Arn41/jUF9CRL8D3vgBe/4L3/Bfcx/7a
vu+vzTv+Svv7f6988QvS//OV7p9+v/bf/ubaf52468fWV17rfvFE4S+ubvz5
9Mpfzs18cXHsyysjX0uc/2by9G2pE9/PHP9h7uhPCkd+Vjr888pHv6p99Gjj
8NPNIy+1jr7ROfZu9/gh4cQx6dQp+cx55dyIen5Muzipj8wYVxbMq8vWWMIe
T9oTaWei4Eaf02zdW2j5y3xzAdYVuKHBtAGzFvecF1xc8nDl/+PrPYOruPL1
3c+37q06/3tPmjMeY2MbZ+OMAxiMCSaZYIzJOeeMSAKURZKEAAEiSCBQQEJI
KOecdo6dw8455+7dW+fu1VvCeGbOqXo/uCgMH/SyenWv33qeILirRUVYTYTV
MqwOXKIHuAZTlDVzfM1irC02XrNRludPMu5RJgHUTaCbE4TwhOwgMCY7CY8z
3EP/tGbj5NDwS3JogkDxPzvQY6807Z90LDQaSPitAjE3L4Wx+8DhkNHD6uIb
Tw+AQiOeoNLrl/o8Ir9DABBwusEQMRCB+lnFICseZoeFTJ+Y6ZJFOlWhDsTf
inubaXe9zvHcaKsxmWpNulozVWPGnlugaouiyiqJv3mVWQfKrT0V1s5Ka2ul
tbHK+qLK8qzKUl5lKaky368yF1SacyvNGc9NKfWmc82m0x2mpB7T0QHjoRHj
Polxt8KwHTZsxg3rNfo1eu0qI7nKjK20Qr/blb85pcvdwmXeoaX+3sXBzl8i
LQvZ+vlM9YJI2YJw0YLQ7QXBvAWB7Pm+C/O8ST+7D8x1bZvjWDPLtnSmdf6M
b7u6pvW0zexrnDPwYv5Q9aKRyqWi8uWSJytlj9YoiterHmyG7m9D7u3E7h7A
754g752j7mXQD65oi/J1xXcMjx4YHz82lVaYy6utFXW2yib7szbH8y5nbZ+r
btBdL/A0iD2NCm8L5GvH/F1UoFcbGODHmQTWkNgekjrDcndYCS41RGB/BA0y
GH8ZkIywNMNqwA160DFDvGZcvGOMhWOsgNXG2Pk4eP7ky5q5/5uvGeDPR3jT
QcKmEQ6MuSgSkzQJm95LynZoHFAb4q9tvKQ6jiEdR/9cs/9hDuifdCwILFe+
hHvIxzm9wKdgdkcNLlbjZAgHmLVXOYJSh1/g9Ay4HT1ec7dP2xnAO0LKdkbc
yQz3MH38+HGLMNIiCzapfA2Ip45wPtfYK/XWKoOxyqipMhJVJqTSrHpqlpWb
RaWW4ceW+CtY9xNLe6klvoGpL7fUlJurKsxlFeZH5eZ75aaCclNumSmz3Jj8
zHj6hTGp0XiszXioy7C/37B72LBDZNgi12+A9Gsw3Upat1xH/2oglpnQZRb1
Upt8sUPyi0uwyDO4wN8zP9jxc7hlLlM/m30+i6mYHSmZHb4/K3RrVij/p2DO
j8HL04OXvw9d/ypcMUmt/r9/l/30neToNFHmTFHOHPG1eZL8hdLri+X5yxTX
flNdWwnlbYDzdqB5+7Frx/D8M+T1VOpGNl2Qo711Q3enUH+3yHj/samowvyw
2lJSZ33SZCtrc5R3OZ/2uSoHXVVCd43MU6f2NqG+VsLfofF36wN9xuCgJThi
CwkdIYkrLPOEFb6wyh+BAhE4FEHDDM5faiZZhmYZLSCBMIYoYwRoIwbULDZe
s1HQsfGaAVyz+78jPHw+wtcsodIIJ6QtgbEkPHoJXWMCtB2MJBi1fwI7JpCO
gOo4PgY2xtcDJ5z/tGN/XzMwr+MHEiKPF2g7HG7O5gKse72dpW0sZo2oLWGZ
OSg0+wcsnvgmvtlhbnBr671onV/2IjRcH+lriXR0RJp7I3WDkReiQK3cWwO5
n2GOp5StVGcu0+vL9XS5AS83wmVGZalJ+sQkLDEPPTT3PTB3PjS3PTI3lZjr
HpufPzZXPjGVPjE9fGK698RY8NiY+9iYVWI4V2pIqjQcqzEcqjfsbzHs6dDv
6NVvHdRvFOrWynSrVLrfUO1SSvuLllqkxxcakYVm1QKrbL5dPM85Mtc9MMfb
M9vf8VOwZWa4YUbkxXS2ehpTMY0pnRop+S7y6Bum5Eum4mP/i/dMfRP6oH85
ofzLKtmCxbKt82SH5sqSfpafXaA4v0SZ8psqdY06bROUvhPJ2I9mHsWyTuEX
z5OXMqgrl+mredrcAt21u/rrxYabT0y3nprvVFvu1lnvx19e2uzFXY6HA84n
AleF1P1M6amFvQ24r5n2t+n8nYZAjznQbw0OOUIjrpDIHZJ4wzJ/WBGIqIIR
KBxBwHVmBuc7RgEMCOiYngNcIyMXMQFKG4ABWmMRG0CbRhx8nGNIcECe5wUH
4YRKwzfm1EnM0CRGtQLBP0Dbf7oowPx5iDs2jtv7Bz91QoD+z6bMXlnHwMgO
kBB5PMDc4XByVgdAkessLGVmUSOj1IdFutCg1t+p9TSB55+53KYpc8JlHnFZ
oLci3FETbmoM17ZHqnrCVcP+SonnqdJZjtifEJZijemRVluiIx/r0cd69WOD
vMQoeWgUFJsGH5h67po67plaHpgai0wvik3VD00VD41PHhqLHxrvPjTefGjI
LTZkFxsuFOtPPNYfrtDvr9bveaHf2aTb2q7b1K1bN6BbLdCukGiXKbWLEc0C
UvOzhpyrw+Ya4Dkm5RyLbLZNNMsxMtM18KOnd4a3c7q/bVqgeWqo4bvQi2/C
NV+Ha74M1XwWePGJp/kDa8/bpPS/uqB/zVP9ZZvi3fWKeavlq1cqtq5U7Fmt
PLhOdWSj+vg2KGkXfGo/cvoIevYklpyMn08lU7Kp1Kt0er4m85Yu+57+0kPD
lVJjzlNzXrUlv856vdl2s9Ne2O94MOJ8JHGVKdyVkOc55n1B+Rq1vhaDv8MU
6LYGeu3BAWdw2B0SeENiX1gaCMuDYWUooo5EoEgEYSIYGyHYCAU4MxEtIBpF
9H/XsVHQsVdqFnYC5nyYtxskJBohXteSGKAJJlQB/j+EAfHNUsI5m3Bn+/80
x83zJsZl6C8t1ew/jAL9L4P/8VYnPEQeFwAx2+2c1coZzVGdMUrqWUTLKKiw
gAj1YIFm1PMcdZQS5ntazS2L+rZ9pNDbfj/UUBp6Xg1mRJ90BJ8M+J6IXI8V
9kewtQg336MNDzSaIi1erEOKdapivazIIHpgGL5v7L9r7L5tbL9tar5jrL9r
rL1nfHbfGN8zP75vKHpgKHxguHlfn3tff/G+PuWe/tQ93YGHuj1lup2Vum01
us0N2vWt2jWd2t/7tMuHNUvEmkUKzTyYnkPQM2nyRy36ox760aicYZbNsIqm
20d+cAxOc/VNdXd/5+n41ts2xdfyla/5S2/zZ56Wyc72D6297+oEbyKq/+iC
/70I+us51YQdyk+2KmdtUS7drFy9RbVxm3rbTvXOvdCeA/D+o8jBJPTwWezo
BeJ4Bpl0iTqZS5++rjl7W3fuvv7CQ0NqqTHtqSm91pLdbL3aacvvs98acdwT
O4sVrseQuxzzVJHeGo23Xu9rMvnbLP5Oe6DHGexzBwc9oRFfSBgIi4NhaSgs
D0eU8Y4xYYQJY2yYYMMkABmFNVxYB8hsYUMsbORRk+ZY2ALAuWEbHzugzYOO
OUdDLqDPAPGMSZsSzqmAb2wQMP78AuF9oMA5y6OQfWMU0dgY4TEKjrBf+tBf
Wqpfel3/PAT0jyNmfMd84K8GUzvOmNsec1g5q5kzGqJabZSgWZhgZEhkRB3q
UgTqpd4yifOuzJyn1mRSqizT4GVnQ17w2b1QaVmoqDb0oNX/oM/9QOC4L7Pe
g8x3MONtUldIk3c16D0NdF+ruKeT3NML7+qH7hj6bhu6bhrarhubbhrrbhlq
bhuq7hjK7xhKCg1FhfrCQv3NQn1uoe7iHV3qHd2Z29ojd7S7irTbH2s3V2g3
VGvW1mlWNml+a9cs7dH8MkgvENJzZfQsNTUDo6ZRxFQNOlUHTTUop5pk35vF
31kF39qGvnEMTHH2fu3s+crV9YWz6zNn12R7z0eW/vcNI+9Q0gkQ8h/d8F8q
oNfy1RPOqt/ao/pgt2rabtXPe9RL9qpX7IdWH4LXH0U2JaFbzmDbz+M704jd
2eTeK9T+PPrgTc2hO7rDD/RHnhhOVBnPvDCnNFsyO62X+2x5w/YbYscdufOB
2vUIdZeSnqcab7Xe+8Loa7D4W2z+dv7aQq8n2O8LDvlDI8GQCFxeDssiYSWg
MYRhNoyyYTwaJqJhKl4zgGXjaxYbr9lo2Dz6as1CdmA0CDn5uIAGKOgeE04l
1E3AeuIFuyMQXgbqSzhnE17jEJCze8cJj95o1MeP4rzqqo6M64NfGQX6Y5Lx
H+dkwZPaA0wxPgdQsLgsMZuRM+sAZ5XAWAhipIrIkCTUMRKoHfA96nFd67am
9WtPSNWH6N7Tlmep/pIbwbuPgtefBQtaPLd6nbcE1lsy8021MR/T3yDoAhK/
TcN3aNUdjeyOVnxHN3JbN3hL33tT33ld35pnaLxmeHHd8PyGvvKmvqxAX1Kg
f1CgKyzQ3SzQxTc5lwq0aQXa5Jva4zc1e29pttzTbHyoWVeqWVVJr6ihf22g
F7fSC7voef3U7BFqpoSarqSmIuS3BDGFQqdooCk65RSDbIpR8rVZ+JVl5Evr
0Be2gc9tA59a+ydbBj42D31gGHlXI34LV76uRP7Si/y1Fv5bMfRGHvRWinrS
CfUHB9SfHoSmHoZmHYHnH4d/OYksO4P+dg77PRVfnUmsuUSuy6HWX6c3Fmq3
PdTtLtMfqDYcqzeeajGf67Kk9VuzR2xXxfZ8cOTqvIu6ign3Y42nXO+pMnpr
LL46m6/J4W91BTo8gW5fsM8fHAiGhkMhYTgkDodkkZAC4D5CEBtC2BAGMFkh
kgvRgPsX0gKEKQCZGmMhE8Ayg1hGQ1aAmg/xRoOgA8hZQHgNUCAhnPIkMuZn
BEnIQP1jRuOENTvBEnXzdxoBgC8KrOgvddWh8dOnceHmy5Pzl3MZf+d0A68e
QEjkBCIPMFdhAtRoq4YzEAB4iigYmSgyOBBu7wo+b/EV17lzntuSnut3tEBr
pF079Q+P+wtyAleLAleeeXNaHXl91jyhKU9uyIF0VzFNHk5cJ5EblPomrSig
JQUaYYF2+Ka2/4auJ1/XkadvydE3XNXX5uqr8/RPr+nK8nWP8nUPrusKr2tv
XtfmXddeuq6N73bO5WuS8jUHr9Hbb9Dr79Cri+jfH9PLK6il1dSiOmp+MzW3
g5rVS/04RE4Tkd/JySkQ+RVOfE6iX9DQFxrVFzr553rp50bxZ0bhpybBZNPI
J6aRj42CD/XC97XiSZR8Iqp+XYH8dQB5rRl5/Sn85gP4revwpEvQ+2nQx+fh
T8/CX5yBp5xFvj+H/pCCzczA514iFuSSi29QywvpVcWa9U+0Wyp1O2v1+xoN
h9tMJ7rNZwcsKSPWTIntssKeBzluoM47pOu+xv1I7y41ep5avNU2X63D1+Dy
N3v8bb5AZyDYEwz2h4JD4Gp8UBwJSpmgggmq2CDEBpFoEI0G8WiQ5IIUAEsG
tbGgLhYENRsNGUcTNQta+FhHg7bRIN+xgAMIgEB41ZQ/ITVzj/kZvQk1BbBT
8LbZhNE4AO6mJLTszjA4UnSC6QjGzUV4mzD47PFSvskmavYnaOM/dR3+N3j7
cILVFbg8zKMew6hLG7NTMTPK6VQAfqoeZoRdka7G4PNKf9Ejz9VCR1KBeW0h
9nN9+6/kjUO+9Bz/+UfetBf2zE5z9qAhW6zLVmozYfoSSlzFwfTLNVJ5nZJd
p8XXacF1zWC+pu+atjtP256ja7mia7ioq72se3ZF9/SqrjRH9yhX+yBXW5ir
vZmrycvVXM7VZOTS53PpUzn0kRx6dw61MY9aWUD9do9a9pBaXEotrCTn1ZCz
G8mZbeT0bnLqAPmtgPhaSnypIj5DiU9w7BMSnkyrJ2sUk7XyT3TST/SSj/Xi
j/TiD3Ti97WSd2nZO4RyIgLHO/baMPK3TmRCHfLmU+TtR8ikQvj9m8hH15DJ
ucjnOejXOei3udi0fPzHm/jsO8S8++QvD6llpfTvlZq1z7Wb6nXb4++8ncaD
vaZjQ+ZTQss5qTVNacuG7VcxRz7pvKVx3dW7ikzux2B03Fvl9D53++q8/kaf
vzXg7wgGuoOB/lBgKBwQRAKiSEDKBORsQMkG1NEAHA2g0QDGBQlAlQQd0yRq
NhrUA+h30Ajw8kHzWMfiP0cQO98xx6jfySf+nEqElzN6EuE1oO6EbRYYjceV
2QktOxiKZG0MY49GnFEwRuiJgbfSIPiWNmZFTByevzwz//OB+R/rWMJMBJ7j
FoDB9+lGPfSoE4/Z4JhRzmmEHNYXVbSxwzWRtsehygL/rSz32ZP2bUf1M1Nb
pkKnznoP3nccrzGdatef7deeE9IX5NR5NZkO49kochlTX8WVuYQsj5TkUcJr
9HAePZCn6c3VdF3VtF/RNl/SNmRpazO1z7K1Ty9qSy9pH13WPrisKbyiKbii
uXaFvnKFzrpCp1ymzlymjl2m9l8mt18i11wlf71OLrlNLnpAzi8h51aQs6qJ
H+uIH5qJ7zuIb/qIr4aJL8T4p3L8Ewj/EMM+wJEPSehDSvUhrfhQI/9AI3tf
I3uPlr1LySeRyrdx9ZvxjinRvwnR1/uQN9qQifXI28+QSeXI+yXIh8XoJw/Q
z+6jX93HvnmATy3Gp5cQP5WSP1dQC5/RS2o1vzVoV7foNnTot/QYdg4Y94+Y
jojNSXLLWZU1BbFl4vbLlCNP67xhcN4xu+5b3Y/snlKn96nb+8zrq/X5Gvy+
loCvI+jrDvn6wv7BiH8EMGT8EsYvA1Asvyrqh6IBBMAkAzgXIAEdN0DHAtpY
QAeQ8gED+KkFTECTAWLhnSy8+if+YPI7QHzOsXh5M6OHj9s9ljHVrJcbMxrz
vmxwCyjImkOMORKxsCFrNGDn/K5YfCsH3kRDYzYx/hwg9vI883/rGOMAb75g
vTWM+rWA7utGRp1KgJIzDsU0XRzaEFU8ZYfvMx05kdrkcMmeYMHKYO6sk4p/
nd8uW90Jbe1D9oygB8XYUTl2WoWeh+A0GMpEVRcxxWVcdpWQ5JCiHHIkhxrK
ofqv0j1X6c7LmrZLmuZsTX2mtjZN+yxdW5GhKc3UPMrSPMjWFGbTBdl0fjZ9
NZvKzqZSs6nkbDIpmzyURe7OIjdlEb9fJBbnEgtvEvPuEnOK4z90YkYlMa2G
+K4Rn9KGf9WNfz6ATxbgH0vxD1X4+wj2Loa+i8PvEur3SNW7lPJdSjGJVICC
Eaq3MOhNBJmgQl+XoBOG0Td60Ykd6NvN6KQ69L0a9MNn6CdV2GeV2JeV+JQq
/LtnxA/PyZm15Jx6an5TfDeo+bVTu7JHt3ZAv2nEsF1k3CMzHVSaj8OW05j1
PGlL19gv6h05Rke+xXnL5rrrcBe7PI89nnKv55nPU+v3NAS8LUFvO4AtePvC
3sGIb5jxCRmfmPXJWJ8i6gMd4/ww50c5Px7zEzE/GfPTMb9mNKAdfVkzv3HU
bwKPIb9l1G/lw+ulfLzIjPflgXc6L29m9Dj/kMy63LwHxQ1cxvaXOuPEFSA/
uGamD4X0TMDIes2cx84vfr5RXxB83kh8ow2PHzS96gsbt4ON14x1gpOIiJUX
LujBOuwnOC/MueWcQ8hZ+zhjK6ep4fDHUfVNVprODB8J9W/wDMyjVB8dVb83
V565SlyzWdyzWzpyUC45rpSdVsvPQ/JURJ6ByrIx6UVcfJkQXSEEV8jhK+TA
FarvMtV9me68SLdl082ZdH26pjZV8+yCpiJFU5qmKUmji9Lpu+n0rQwqP4PK
yaAuZpDpGeT5DPJUOnE0ndiXTmxPJ9an4csz8PlX8Ln5+Kzb+I/348sLPrUc
/7Ya/7oO/7IF/6wTn9yHfTyMfSDG3pNj76qxdxD0bQx5G4fewdXvEPGoQMFw
9US+Y29A6AQFOkGMvjmCThxA3+5BJ3Wi77VhH7RgHzdhnzbhXzThXzcR37YQ
01rJGe3UrPiLRg+9qF+zdEi7QqBbI9ZvkBm2Ko27INN+1HyEsJykrck6W6rR
nmW2X7E68hzOm05XodtV5HE99rrKfa5n4FayuyHobg6528OerrCnN+IZYDzD
jFfAesWsVxr1yqM+JedTcz6Y8yExHxbz4TEfCSjffhrw5OMLgl836n/ZMdOo
zwysUj4rH9uoNx47HwcvO3QA9WfCMJuQzDpd4PJPwmVscyd0xoCSDETGYIQt
TPqDeNhLMQ4tUEHZHDGHF7wWxN87/bwbJTQuQ+ElO3/voeONYPGOOcDxPWPh
tQs6LkTFH/0Aj+mVsa4R1tHDWJsjxuqw7mGIuu7HUj3IIRuyjiZntxLfnoBn
bIGS1qhub1dW71O2HVH1JamHzkCC87AoFRGlo6JMTJSNCy/igkvE8CVi8BLZ
f4nsvUR1X6Q6sqm2TKo5g65Po2sv0NXn6KfJdOl5uuQ8XXSBupdC3U6hbqSQ
uSnk5RQyM4VISSHOpBAnUohDKfjuFHzLBXzNBWxpCjYnG/spB5txA/uhEPu+
GPumFPu6CvuiFvusCfukHfuoB/tgEHtPiE2SYu8osbdgdCKKTMTgeK/ewqFE
wUDHUDhRszcU6JtSdKIIfXsEe2cIe28A+6AP+6gXn9yLf95LfNUbfxCT3w+Q
0wepn4bpuQLNArFmiVS7XKFbpdavhw2bMeMO0rSXNh/WWU4YrWfM1gtWW4bd
fslhz3PZb7rthR5Hkdfx2Oco9zurAs5aQFdwNYddbWFXFwATufsZ9xDrEbAe
UdQjAehIr4LzqjgvBJDLXpTvGAEeND561KcBXoz43sanH/UZRn3xfU6iY+ZR
ryX++sYH1AzcwUjEzXfMxRtmgWTWwSudxl3GVl5nnHAZa50s5WRwVxhy+xV+
pyJkhKJaDWDCm73xnRogcntZgHkPcmN+ipciJ16s8yfLIW8psgLBB2OIRrRs
mGRDKBNQxbcEEe9Q2N0VcjYGbVV+S5HHeM1pSDEbDpL69UPaZU/IBeew1YfR
U1uRvJ1wyUGo9hjUegruPgv3n0eGUtHhdHQkExvJwkey8eGLxNBFYuAi0X+R
7M0mu7LIjkyqNYNqTqMaUqgX56nqZKryNF12mio5QxWfpe4lk3eSyZvJ5LVz
xJVzRPY5Iu0cce4cfvIcfjQZ35+M7UjGNiZjK5OxX5LRmeno9MvotGvod7fQ
KfGNUwn6eQX26XPskwbso/hC1B2vCjpJgL4tQd9SoBMh9E0EfSNeKr5pf4Sv
2Zsw+qYanRhvoxx7R4a9K8HeF+MfivBPRMRnIuJLMTlFTH4npX6QUTMV9Byl
Zr5a+wuiXYbpfif0aynDJq1xu960x2g+aDYft5hP2ywX7JZMp+Wyy5rnthZ4
rIVeW5Hf9thvLw/Yq4L2mpCjPuxoijjbIs5OQL5y9bOuwfg/7ahbGHVLOLeM
8yg4jyrmUcc8MOiYFxv14qNectRLjXppIF7x6oDix2sAMikQ06g30THLqMca
D68EtgHpp9sO4koYZu3ASxfvmN0x5jK2jumMo0Z7VG8HnlnCykCWkNTiG7RZ
O7xQDyOFWNgapvyANepgwh4WsJF5tHtCHJD4NPuqvGmsY1HOFgVzlUbgX2Bo
JoIzYTgSUoSDolBgIOjr8Hvqve4Kl/O+3ZFrsKVi5mNCw65G3cbb9KoMYv8Z
POUQdm0vVnQErUpCGk4j7clo9wW0LxUdSMcGM7ChTHwoCx/Mjofozyb6soie
LLIrk+zIINvSyeZUsuEC+eIc+fwsVXWKKk+iHidRD0+SD06RhafIgtNE/mki
5zRx6TSecRq/cBo/cxo7cRo7dBrbcxrddhpdfxpdcRpddBr98QI6NQv9Nged
cgP98i76+UN0cjn6cTX6YT36fiv6bhf6TvzxJ0AnStA3FSh4LMZXLVAzKJ6J
8dUMV4NlLb64YfDbKPI2ir6Nxp+t2Lsw/n78rQHCP4aITyHiC4j8Gia/Rahp
KD0Dp2cRmp8p7SKNdqlWt0KvW2PQbzLqt5v1ey2Gw1bDCbvhrMOY4jRmuU1X
PKZrXnOBz3w3/k81YHkctJYHrVUhW03YVhexN0XsrYy9g3F0s44+1jkYdQ4D
KqlLzLmkALPsVsbc6pgbGvUgwFDgwYELw0OBVzOPZtSjHfXEX9P04IOAxzjq
MfExj3oSHkZe9+m2jYllXbxWc6xgdqCms9s5m52z8jHbwRmiwRrVWYEGFDMy
Kn14hPa34Lb7ROc1X6Xc3e+wI36nPuyxMX4XAIqG/ABUC7juvPpk7PrcK14w
0DE2auNVMsYIq4sAejkeikDBsDwQEvqC/d5Au8tXb/c8NbmLNI4biC1bbEnu
NB6t0O+5odl/mUpOJS+dIm4eJIqO409PYXVnsZbzWGcK1pOG9aVjAxn4QCY+
mIkPZMVD9GcRvZlETybRlUF0pBNtqURLCtl4nqxLJmvOkM9OkU9PkKVHyUfH
yKJjxN3jxO3jxI0TeN4J/MoJPOsElnYCO3cCO5WEHktCDyShu5LQLUnI2iRk
eRKyIAmZcRb5Jh35+jLyRT7y2R1kcjHycSkS37G/X4e+24q+042+NYBOFIBH
4RtKdAKMvo7Cb8Q7ligYvzd7B0Q9iVC/S0DvEdD7BPwBgXxEIB8T6GQC+5zE
viTxKRT+PUX8QBMzNeQcLblARy7WU8uN1CoTvd5Mb7HQO62a/XbNEYc2yalN
dulS3fosj/6K13DNZyjwG+8GTEVBU0nIXB42V4UtzyOWOsbayNhaWVsHa++O
2vui9oGoYxhgb52imFMac8pjLkXMpQJiAjc86kZH3fiomxh1x9/L6FG3ZtSt
HXXrRt36Ubdh1G3kYxp1m4Hl023hY425ErHx6lYbuLjoAKbsMVl2PNaEMtvK
maxRgwXYZmkji+kYFRURwqFWobewxnt+ZY72UYdLqg5otBGrlXG5ABstEACU
2nAkAXIfd+tw4zXjv8vGIuBmqCXMGkOsLsjQAQb3RyBvWO4JCZ3BAXug0+xr
1HufUe4SyHlHbM/tsWS8MJ0t1p+8rUvN1VzKovPPU3eTqEenyMqzxIvzeHMK
3p6Kd6Xhvel4XwbenwlqFk/8P/oy8d4MoieD6EonOtOI9hSi5QLRdI6oP0vU
niaqTxKVJ4jyo8TjQ0TxIeL+IfzOYbzgCJ5/BMs5gl06gmUcRVOOomePoklH
kSNHkX1HkR3HkE3HkNXH4F+Pge/w00/CX12Av8iGP8tDPrmFfFSEfFCKvPcM
mVSPvNOGvNWDThxC3xCDvf3rEPo6Ak8AHVO9RSjfJpXvxN80KcW7tOI9WvEB
rfiQVn5EKz+hVZM1qs806i806q+10Lda+HsdPF2HzNQjcwzofCP6iwldZsZ+
t2BrrPhGG77NTux2kAec5FEXddJNJ3voVK8my6e94tdeC+gKgvrCkL4oZCgJ
G8sixsqI6TljrmPMjaylhbW2R61dAENqG+DsQ5xdEHOIYg5JzCEbdSpGnapR
p3rUBQPNigsbdRGjLnLURY266PGOjdUs5jaCr+jxuMx8LOOxxpx8HHzsfGxW
Lh6rlbPwMVuATsxgAkfVtJ7FaRbCwCnPQD/TXx1Gc1HnbZm3gwzCpojezto8
UbcfYPcC4TEAcoT946rJWM0S3/5DY3PVxgCr84G7MLgbKN4V9pDIEhw0Brq0
vmbCW6N2l0mcD/rtN5usV56aL5YYr97V513X3byiuZuuKT5LlyZTz+IrUgrR
nEq0p+Nd6XhPxljHXqaP/5WedLw7De9MxdtT8NZ4J8/hDWfxutN4zUn8WXwx
PIqXHsJL9uNF+/C7+/Db+7Eb+7G8A9iVA2j2ATT9IHr+IHLmIHLiIHLoELz3
ELz9ELzxMLzqMLz0CDTvCPTDcejzc/CnmfAnufBHt+APipD3ypBJ1cjbjcjE
DuTNfuQNATpBBjr2NxSegKvfJJRvUYp3aPkkjew9rfR9rfQDnfQjnfRjnXSy
XvaZXva5XvalQT7FIP/WoJhqVEw3KmealLPNqp/NqoUW9RKrerkNWmWH1zng
zU5kuwvd40IPurFjHvyUFz/nI9L8ZDa4zE5fC9IFIU1hWFsU0ZVE9GWMvpIx
PGeNL1hTY9TUAuijli7O0stZ+wG12zYSswljdvGoXTrqUIw6lKMO9agDHnWi
o05s1EmMOslRJ98xlwZ8M3fpYi49MHuCGGMuEx++Zk7LeMYL5vhzwUDHElp2
M2c0cQZjVKeParRRkopiKAsro7CAI7pYc4PP12gLDlrCKhtDOVmTN+rwAySa
j58HCgGK+ysfZV+9YR4A6iKLD+hWdG6GdoG7V/GdncIcEuuDQ7S/B/O1qj0v
JO7KAeejVnthnbWwylz4xFR433CvQF+Uq3uUpS29oHmaStfEN/DpZEsG0R5f
qcAzESxciXaBdSwDpC8d703De+ILXQrecQFvO4e3JONNZ7D6U9iLJOz5cazq
KFZ+CHuyH3u4B3uwEyvchRXsRq/vRnN3o5f3IFl7kLS9yLm98Om98PF98MF9
8J790Lb90IYD0MoD0JKD0NxD0LQj0OSz0McZ0Ic58Pu34HeL4XcqkLdqkYkt
yBs9yIQR5HUZ8jcIfQ2FJuCqN0nF27Rsklb6rk7yvl78oUH0kUH0iVE02Sj6
zCT6wiT6yiyaYhZ/axFPtYh/sEh+tEpm2aRzbbIFdtkvdvkyh3yFU7Hapdzg
Um1xq3Z61Hu90CEffNyPnPYj5wJoWhDLDuFXQ8S1MFkQoQojdBGjKWG0Zay2
ktVVR/UvooYGztjMGds4U2fM3BMz98csgzHryKhVOGoTj9qkozbFqF05aleP
2uGYA4k5sJgDjznImIOKOWlgWnRqgdPTqedjiDmNfEx8zHwswHH+MnY+NgsX
j5UP6Ni4nN1g4PR6oJ3VUFEa4zQQp5PHTKL4EzziFwTDMl8EBc4OcHvdznOE
vPwkEP+1jO/YuOjkj8MlH28v8rBGF6NzMLQtglvCsDGs1IUkVGAY9feqfO1i
T8OQu7bH+azN/rTeVvbMUlpqflJkLL1tKLumr7ikq8rQPs/U1GdSTZlUWxbZ
mUV0x7deWfEd/vizMgOkPx3vj+/T0rCeVKz7AtZ5Hus4h7WdxZpPY43xvVwS
VnscrT6CVh5Cy/ejj/eiD3eh97ejd7aiN7eh+duQnO3Ipe1w5g44dQecvBM+
tRM6tgs6uBvavRvauke9fq/6933qxfvVcw6ovz+o/vgM9GEG9F4uNOkO/E4J
/NYz+M1GZEIX8voQ8jcp8hqE/BVTTyCUE2nZ21rJJJ3oPYPwA6PgI9PIJ+bh
yZbhz6zDX1iHv7INT7ENf2sb/t4+8oN9ZIZD8JNDMMcpnOcULnKJlrjFy93i
lR7JWo90o1e21Sff5Zfv8ysOB5QngqrTQfX5EJQehrPDyNUIei2CFTB4IUM8
YMkSliqN0k+jmmpOW8vpGjh9c8zQFjN2xow9MVN/zDQYM4/ELMKYRRyzyGJW
ecyqBIooGwxkZHYsZsdjdgIIFh10zKEBxlgQHThodhj48BetHSY+5vGMt4sv
2B8ds5hBxjrG+9kNes6g5Qw0uN9oxGJmeNSu4tzKqF/NhNEIQ4ZZPbhQzNl5
n7KX5+zxs4xjVG0m9sfhEuiYlxcYxZc+O6O3MhpzBLCmtSE1FZRjATHkH5b7
+kWeriF3W4+zqc1RX2+rrbY+LzNXF5uq7xir8w3PL+trL2nrL2maLtKtF6mO
i2R3Ntkbf4WMv0iCrT7Y84NkYPE3zYE0rD8V64u/FFzAus+jnclo+1m09TTa
fBJtPIHWHUNrjiDPDiFP9yNle5HHu5Di7cj9LcidjcjNjci1jXDOJvjSZjhz
M5S6BUreCp3cqj62TX1gu3r3DvXWnep1u9Qrdqt/2aOevU/97QH1B2fU72VB
k/Kht+/DE8vhN+rgCR3I3waR16TIX+F4x1QTKPlEjeQdvehdo+AD0/CHlsGP
rQOTbf2f2fu/cPR/5eib4uz71tn3vat/mqt/hntgpntgtmfwZ8/gAs/QL97h
Zb7h33wjq/yCdX7hpoBoW0C8OyjZH5QeCclOhOVnworzEWV6RJXNQFcZ+BqL
FLBoYRR7EMUfcUQpRz7lqOoYXRvT1Me0zTFdW0zfGdP3xAz9MeNgzDgSMwlj
JnHMLANmKIsyZlHHrHDMisSsaMyGx2xEzEaCY2U7HbNrYnZtzJ7omP4fOsbX
zP4yYwWLjS1iZhBQMxPomNnImXhLuwl4tGNmOmaN/y3x7R8W82JcgAAzbIwu
yhqB1hZgN9w8nMo/RqPledqv+E3GDpc8UeAwcrJWO2OyMnpTRKMPk5oQRgYh
NKBQ+yVyn0DkBUiKHldXm6Ot3t5SbW0qszQ8NDcUGhvyDQ25+qYcXctVTdsV
uvMK1X2Z6r1E9vFfw8AniywcfL7IxIYysMF0bDANG0hF+1PQvvNozzm0Oxnt
PIO2n0JaTyLNJ5CGY0jdEaTmEPxsP/x0L1y2G368A364Fb6/Cb6zHr65Br62
Brq6Frq0Dspcr05dr07eoD61UX1sk+rAZtXuraqt21TrtqtW7FQt2qX6aY/q
64Oq95LV71xSv3ULerMEnvAcfr0Nfm0Q+asM+S8E/iuhnEBL39KJJhlH3jMP
fmjt/9jWN9nR85mz+3NX95furq/dXd94ur7zdE31dk33dv3o657l657r75nn
713o710S6Ps10P97cGB1cHB9aGhzaHh7eGR3WHAgIjwSESUxkjOM9AIrS2fl
F1nl1agqP6ou4KBCDnnAoY9iWGkMfxojqmPkixjVEKObY5r2mKYrpu2J6fpj
+qGYfiRmEMaM4phRFjPJY2ZlzKyOmaGYBYlZ0JgVB4rY+E/fRsVsNNBe2/iO
gehjdgMfIx/TeMY7ZvsjYwV72TEQIx8DZ9HHrDr+jwXiY/CdxAcOScF4ZMQI
rkRF7TwGwc2TqfzjHNrwuBTgTx1zR10uwCC12Xg7gzGi14c1dIgkghgSgFR+
pcwnFXpFg+7hbtdAq7O33t5Vbesos7YXm9vumFoLjG039O35us5r2q5cTU8O
3XeV6r9CDlwmBi8RQxfx4Wx8OAsfzsSGM7DhdGwoDR1MQQcuoP3n0b5zSM9Z
pPsM0nkKaU+CW4/DzcfgxiNw3SG4Zj9UvReq3A2V74CebIMeboYebIAK16oL
VqnzV6hzVqgv/a7OXKlOXa06t0Z1aq3q2DrVwQ3K3RuVWzcr121V/rZduWCn
csZu1eeHVe+kqN/KU7/5AJpQBf+tBf7rIPwXOfKfqPqvpOwNregtw8gk88D7
1r6P7N2fOLs+dXd87mn/0tv2ta/tG1/rd/7WqYHWHwKtMwJtPwXbZgfbfw61
Lwh1/BLqXBruWh7uXhnuWRPp3RDp28L072AG9jCDB9nho+xIUlRwNiq6EBVn
cJKLnOwqJ8/nFLc45V1OXcRBJRxcxiGVHPqcw15weCNHtHBkO0d1cXRvTNMf
0w7FdCMxnTCml8QMsphBHjMqYyZ1zATFzEjMjAI/rIWIWUggvLbGlxq+YyDx
Vuj5GACR5NWagXMg89/lj46BmMZjjIEYwB9iB3u8UZcOfOn1gxmPWMgEprsZ
G7htF3XxIBffH+TGMZL2P3YM2LLsrMPK2MyAnw/Y5lRIgwdJOIAp/bDUpxR4
ZQMecZdL0OIcqnMMVNn6Sq09xZbu+6buQmPPbX3PTV3vdW1fvmYgjx7MoYau
gqPJkcvEyEVckI0LsjBBJibIwEbS0ZFUdDgFHbqADJ5DBpKRvrNw72m4+yTc
mQR3HIfajkLNh6HGg1D9fnXtXnX1bnXVTnXFNnXpFtWjjaqidaq7a1S3V6pu
LFflLlVdXqrK+lWVtlx5boXy9O/K46uUB9cod69Tbt2gXLtJuXyrct525bRd
yg+TVBOz1W/cgV6vgF5rhv9rEP5PJfIfmPI1WvKGfuRt88C7tt4PHF0fu9on
e1o/8zV/4W/6KtA4Jdj4bbDh+1DDtHDD9HDDzHDjrEjj3EjTPKZ5IdO8mGlZ
xrT+xratYtvXsh0bo11bo907oz17o72Hon3HogOnooPJ0aHU6EhmVHA5KsyN
im9EJbejsnucvJhTPOZU5Zy6ioNqOLiOQxs5rAXYUogujuzlqAGOHgKuMa2I
00k4nYzTy2MGZcygjhmhmAmJmdCYOb5HwmNmMmahYhYaJF4zqxasPNaXHeNr
BmJ6Ja90zPp3HRurWSyexP9o5x+4Lv6bm5c/Dw2awHBOxBZjHODKcAKvkeBQ
gY7x4Nk/dyzhmHBFPQ7gMwKuGVPEqo+YNWEjGdJhQQ0UIBV+wKMb9qr6PPIO
l6TJKap1CCptw+XWocfmwYemwQfGwbv6wdu6oQLt0A3NcD49kkcJckjBVUJ4
mRBewkUXcVEWJsrEhBmoMA0VpKKCFGTkPDJ8DhlKhgfOwP2n4b6TUM8JqOs4
1HFU3XZY3XJQ3bRf1bBX9WK3qman6tk25dMtyrJNysfrlQ/XKu+vUhauUBb8
qsxfory6SHlxoTL9F+WFJYozvypO/KY49Ltiz2rF1rWKtRsUyzYr5mxTTtmj
nHheNSFf/bcn0H81wf85BP87BP8bIX9NK3zTNPiOrec9Z8eH7tZPfE2f+hs+
D9Z9GXrxdbj2m0jNd0zNVKbmB7bmR7bmJ7ZmDls7j61dyL5YzL5Yxtb9xtav
YhvWso0b2aatbPMOtnUP23aQbT/KdiaxXWfYngtsbzrbnx0dvBoduhYduRkV
3ImKHkTFj6LSJ1FZRVTxLKqsiarrOaiJg1s5tIPDujm8lyMGOHKIo0Y4WsRp
JEDQqZMDFaxezRkgzoBwRjS+D+dMeMxEgJqZEzXTxCzamEU3VrP4KgTCr0j/
WLN/0i6Q+K+P/Z7E0ufg30xd/KmBl5/oCPJztmE7GAZj+Avp0QSHiifpjcGN
+dtxf6hMAK3ACRQqHivQEDiNvKmBDpuJkBEJ6lQBjcxPCn3YoBfp8ajbXcom
p7zOIX1uE1daRWVm4WOTsNgovK8X3tUJb2uFBRrRdVp0jRLnkuIcQnyFkFzC
JRcxSRYmyUTFGag4DQVn5RcQ4XlYcA4eOQsPn4EGT0EDSVD/CXXvMXX3EXXn
IVXHQVXrflXzXmXjbmX9TmXtdgW4oL1JUbFBUbpWUbJaXrxSfu83+Z1l8puL
5XkLFVfmKbLmKlLnK5IXyZOWyA//Kt+7Qr51tXzNesWSTYqZ2xSTjyknXFa9
9lD9l0boP0bgf0PU/06J/2YYmmjtmeRsf9/T/JG/YXLwxWfhmi8i1V8xVVOY
yu+Yp9OYihlM+UymfDZT/jNTMZ+pWMRULGGe/spUrmCqVjHP1jLVG5nnW5ja
HcyL3Uz9fqbhMNN0nGk+xbQms+2pbEcm23WJ7clh+/LZgVvs4F12uIgVPIoK
S6Pip1Hps6isNqqojyqbourWKNQRhbujaC+HDXD4EEcIOFLEURKOlnEaOadV
Aqu1DuL0MGdAOQPGGXHOSHAmkjNRnJnmzBrODGhKoGbxrZTlzzUDMSXCL1b/
U8HGY+ffQ5385zU3OJMCx+t+fu4xxF9IibjAVXTWO4afGqM1JsjG49zsVzrm
4NVsFt5qpI84NRE7GbZiITMcBIhgqV8j9FFDXqLPjXa64FanutGuemFTVFvk
T82yUpO0xCAt0kvv6aSFWuktjfQmLc2npHmkLIeQXcVll3HZRUyWjckyUWkG
Kk1DJKmI5AIsPg+LkiHhWUhwGho5qR5OUg8eVw0cU/UdUfUeUnYfUHbuU7bv
UbTuUjTvUDRuk9dtkddukj/fIKtaJ6tYIytdKStZISteLru3VHb7F9mNhbLc
n2WXZsszfpKfnys/tUB+dLF836/yrSvlq9fKF21SfL9D8Xqa6q/31f/ZCP2b
CP7/MMV/6kYmWHrfdra/5238MPDi41D1p5Gqz5mKr5jSbyOPp0YeTY88/DFS
PCtSPCdcPC9cvCD88Jfww6XhR7+GS1aEH68KP1kbKd0QKdscqdgeeborUrUv
8uxQ5PnRSG1SpO4M03CeaUxjmrOY1itMex7TeYPpvs323mP7i9nBEna4jBVU
sqJqVlzLShui8uaooi2q6oiqu6NwXxQZADpOTBDFRRwh4SgZR8k5Wslp1JwW
4nQwp0c5PcYZcM5AcEaSM1KcieZMfMdAdPHtOh8DH2N8f8XH9Er+WcdeLZid
/9Dh5A8I3OBgHcxv+PnB2iB/qy7iHqMcsAn2VHCcBRp5hf//6joWsLN+K+M1
MR5DxKUNO6mQHQ9ZkaBZFTDK/XqxVzvioQfcZLeLaHdgzXak3grXWKAqs7rc
qHpsUD7UKx/olHe1itu0ooBSXKcU10hFLqG4iisu44qLmCIbVWSi8nREnobI
UmDZBVh6DpIkQ+IzatEptfCkWnBCNXJcNXxUOXhYOXBQ0XdA0btP0b1H3rlL
3r5D3rpN1rxF1rhJWr9B+mKd9PkaadUqydPfJWW/SR4vkxQvkdz7RXJ7geTG
z5Lc2dKLP0rTZsjOzpYdny/bv0S2dYVs5Vr5z5sVn55U/vW2+j8aoX+Vw/+H
lPzF1P+Go/0db8P7wecfRSonM2VfRB5NiRR9F773Q7hwRvjOT6Hbs0O3fw7d
mh+6tTB0e3Ho9tLQneWhwhWhu6tC99aG7m8IFW0OFW8LP9oZLtkTfnIgXHYk
XHE8XHkq/Cw58jwlUpsRqbsYabgaab4Wab3JtN9hOu8z3cVM72Omv5wZrGSH
n7OCF6yogZU0s7I2Vt4ZVXZHVX1RaCAKD0cRQRQTAYc1IYuSco5ScrQafA7V
wpwW5XQYp8c5PQG+XxkozkhzRg3gwZn4joHoObPhj5qB8K+N/3PNxjvGfz1L
fKp18qecbjC2ASbQfPztgCB/ny4Mrp8DVEsCOZUgNL6kGb9qlxjrWNDOBKyM
3xzxGSMeXdhNh5xE0IEGbGq/ReEzS7xGgUc/6Nb2OukOB9ViIxqseK0Fe2ZC
K4xIqQF+pIeLtNA9DXSHhgoo9Q1SfY1Q5xLqq7j6Mqa+iKmyUFUmokpHlKmw
MgVWnIfk5yD5WbXstFp6SiVJUolPqETHlMIjSsEhxfBBxdB++cBeef9uWe9O
Wc92adc2accWadsmScsGSdM6ScMacd0qce3v4urfRJW/isqXip4sFj1aJHow
X1T4s/jmbHHuTMnFHyQpP0hPzpYeXCTdulz221r59F2K/8pX/XsT9P9C6n/R
Db9m73jLW/9u6NmHTNknkeIvw3e/Cd+aGroxPZQ/M5g3K5g7J5gzL5izIJiz
KJizOJC7NJC3PHhtRTB/VfD6muCN9cGCTcFbW4N3dgTv7g7e2xd6cChUfDRU
khR6ciZUdi5ckRquygxXXwrX5ITr8iMNBZGmwkjr/Uj7w0jnE6annOmrYgae
M0MvmJEGVtjMittYaScr62EVfaxqMKoejkKCKCKKopIoJovicgBIItVRCuJo
mNOgnBbjdDinIzg93zED37GxmulAQMf4mplfdmy8Zpb/qWPj383GOsYfbrr4
gQ0PGHEEo9p+/n5TkL8RHOYBGkxgDJ2X4H++RLL/YTBJdCxkZ4JWJmCO+I3A
PuOlQ24y6EIDTshvV/hsUq9F6DYNuYy9Tn2nXddq0zRa6RdmqtpEPjUSpXq8
RIcVabF7GvQOjRZQ6A0SuUYguThyFYcvY/BFFM5CoQwESoehVFh9AVKdh1TJ
auUZteK0SnFSJT+hlB1XSo8qJIcV4kNy0QG5cJ9sZI9seJd0aKd0YLukf6uk
d7O4Z6O4a724Y62ofbWodZWw+Xdh42/Cul8FtUsF1YsFlYsE5QsFT+YLHs4V
3JstLJgpzJsuyv5WkjxdcmQ+qNmSDfKPLyn/rVX9L7j0Xy1dE7x170QqPogU
fxq+/XUo/7tgzrTgpRmB7J8CmbP9GXP96fP86Qv86Yv86Uv8Gcv8mcv9WSv8
2Sv9F9f4L63zX9noz9kSyN0euLYrcH1v4OaBwK0jwcLjwXungg/OBh9eCJak
h0qzQhWXQ5W5oerr4Zpb4brCcMODcPOjSNuTSEdFpKsq0lvD9Ncxg43McAsj
aGdFnaykh5X1sfJBVjnMqgQsJIrCkigqi2KKKK6MEuooCUUpOEqjnAbjtDin
JTgdyekpTk9zBg2IUcsZ+Y6Bj6jjHTMbQV7tGMj/2jE7f6bp5GeB3HYwPfv3
HePRGQkEEDPO/0xAjMew/3/SMDmZsJ0JWSMhcyRoDAd0Ib8m6CMDHtTvhnwu
pdch9diFbuuQy9LnMHfZja02oDl4YdZVGzVPDXSpni7RUUVa8h5N3qGIApK4
QeLXCDwXx65i2GUUu4iiWQiagSBpMJICwRcg+JwaOquGzqjUp1SqJKXqhFJ5
TKE4opAfkssOyqX7ZZK9MvFuqWinRLhDItgmHtkiHtokGtwgGlgn7Fsj7F0l
6F4p6Fox0rF8pG3ZSOvS4ebFww2LhusWDtfMH37283DFnOEns4eLZ44UThdc
+16Y+bXkxBxJ/KE5+4zi33rU/49+4C/eF28xT94P3/o8mPNNIGuqP3W6//xM
X/Is35k53tM/e0/N955a6D31i/f0Eu/pZd4zy71nV3iTV3rPr/ZeWOdL3eBL
2+zL2ObL2uG7uNt/eb8/55A/76j/+onAzdOB28mBuymB+xnB4uxgyZVgaV6o
4kao8nao+m6otihcXxJuLA23VETan0U6ayI9dZG+RmaghRlqZ0a6GGEPI+5n
pYOsfJhVCFiViFVLWFgWRRSA8oarowQUJZEohUZpLKrBoxoCgCx1FKejOT3f
MQPfMRC+Y6ZXOgby5479qWbgXGm8Y/yJuSMxCMQPNLod4AqAF9xpAtczA15A
MwjxCKAEyowB13oBxDhBYn/JwhjH+jiBcRIIAc3hkDEMTMR0MEAGfKjfC/k8
Cq9b6nEJXc4hp73PAUxArVZzo8X0wmSsNhqeGvSlOl2JVluk0d6jNXcouoCk
rxPUNZzKwckrGHkJJbIRIhPB02E8FcZSIOy8Gk1Wo2dVyGkVclIJn1BCxxXQ
UYX6sFx1UKY6IFPukyr2SOW7JLIdEuk2sXSLSLJJJN4gFK0XCtcKBKsFIytH
hlYMDy4fHlg21L90qHfxUM+iwa6Fg53zB9rnDbTOHWiaM9Awe6D2p4FnMwfL
ZgwWTxu+MUWY+pNk2wbZ3xTq/8v74s1I4cfBi1/7z33vPTnde/RHz6GfPAdm
u/fPde+f5963wL1vkXv/L+79S9wHlrkPLncfWuE+stJ9dLX7+FrPiQ2ek5s8
p7d6zm73nt/lTdnrTTvgzTzsyz7mu3zSl3PGf+28/0aq/1ZmoPBi4P7VQPG1
YMnNYOntYMW9UFVx6HlJ6EVZuOFpuPlZuLU23FEf6W6K9LZG+tuZoS5mpJcR
9jPiQUY6zMqErELMqiSsWsbCChZRRlF1FIOiOBIl0SiFRSk8ShNRDRnV8h3T
aUDN9FrOoAOJd8zIdwzklY6Z/9wxyysd+6Nm4x1zJDrmGOuYxxXzgruZ4Jp5
wAcwKSGeMZXoGDOGLx6j/b9kYYx1jLVHGGskYg5HDKGwLhSigyEiAPTEap9f
4fFJ3F6Byz3odPXanZ02R4vF3mC21ZqszwxA4PJEZ3qkNT7QGO5S+tuk7iap
u05o83BNDqa5jNIXUToLoTJgKg0mUyHyAkScUxNnVfgZFX5KiSUpseMK9JgC
PSJHDsmQAzJ4nxTaI4V2SdQ7xertYtVWkXKzULlRqFgvkK8dka0eka0clq4Y
liwfkiwbFC8ZFP0yIFw4IFjQL5jXPzK3b3hO39Cs3sGfevt/7Omb0dMzvafr
h572aT3N03prpg4U/yDe4ap/3X92invPNNfWGc6NM53rZznWzXGsnetYO8+x
br5j3ULH+kWODYsdG5c4Ni1zblnu3LrCuX2lc8dq5661rj3rXfs2ug5sdh3a
5j660318t/vkPveZg57kI54Lxz1pp7yZZ70XL/iupvnysnzXL/lv5fgL8wP3
bwYe3gk8vh8sKw4+fRysLgvVVobqq0NNteGW+nB7U7irNdLTEenvigz2MsP9
jGCIEY0wEiEjE7MKKauUsWoFC6lYRB1FoSiGRHE0SmBREo9SRJQmwXSElubA
qD3fMT3fMQPfMeN4x0yvdMz8545ZXukYqJl1rGP2xCijHYz9u/h7THzHYi87
FuDJP6Hg2J3exNVxnlAwpiz5g+mT6BhrDTPmELC26YJAeET6Q5gvCHmCSndA
6vILHb4hu7fP5umyuNrMziaj44XBXq23PdVayzSWEtpcTJnukcY7hKEAN9zA
9NcwXS6qu4JoL8GabFiTCdHpEJ2mplJU1HkVlawkzyrJ0wripJw4IcePy/Cj
UuywFDsowQ6I0X1idI8I2SVEdgjhbQJ46wi0eRjaOKxeP6ReO6haPaBa2a/6
vV/5W5/y117Fsh7Fkm7FL13yRZ3yhR3y+e3yeW2yn1tlP7fI5jbL5zbK59Yp
5tWoFj6Flz6gthz3QBMKDFO2mGb8bp61zDJ3iWXeEuuCJdZFS6yLl9iWLLUt
W2b79Vfbb8vtv6+wr/zdvnqVfe1q+/q1jo3rHZs3OrZudmzf6ty53blnl3Pf
HtfB/a4jh1zHjrqTTrjPnHKfO+tJOe9JT/VmZ3ovX/TmXvXl5/kKbvjv3Pbf
vxsoLgo8fhQoKw1WVgSrq0K1z0P1daGmxnBrc7ijLdzVGentjvT3RYYGIiND
jFDAiEWMVMzIpKxCzqqUrFrFwhCLwCyKRLF4x/AoSUQpMkpTIBoajOLotJwu
0TE93zHDWBIdM73SMfOfO2ax/NExq5WvWWJK1j7WMacT3JJz83d+vQCUMern
gT/B4B8Yxsg4HPsPCsYfTB+g0A0D+yTgvwYYg5/Hc3rDgJ7oDqmdQbkjILH5
BVbfoNnba/J0GNwteleD1lmrcTyj7QAyRlofERZA6cFMd1BjAWK4gRiuwfpc
SHcVAj6OiyptlkqTodSkKelUBbjke05OJcuoM1LylJQ8KSFOiInjIuKoCD8s
xA8JsAMj2L5hbO8QunsQ3TmA7uhHtvUhW3qRzT3wxm54Qxe8rhNe2wGvaYdW
tUIrW6Dfm6EVjdBvDfDyOnh5Lbz8ObK8Cl1ejv32mFjxgF5ZYFiV7dhxzJO2
yN09UYS8eV3zYZL+q72GqdtMMzaZftpgnrPOMm+dZcFay6K11sXrrEvXWX9d
b1u+wbZio23lZtvqLfa12+zrd9g37bRv2e3Yts+x84Bj9yHnvqPOg8ddR066
jp9xnTznPpPiPp/uSc3yZF7yXMzxXr3mzbvhu3Hbd/vu/8/Yez5JcaXrvn/A
/XQ/3Yjz4Z57ztlm9szIgJBBGlnkkEMWSUhIQggQAoQT3tM00N209957772r
Lu+99zYzK6sqvatq7VOZ3S1gZvaNE/EEERD4+vVa71rrfZ8Hr2/Gm9uItk6i
q5foHSAHh8mRMWp8kpqaoWbn6YVFemmFXhUxaxJGKmPkClapYtUaVqtj9XrW
aORMZs5i4axZxuycw5F2OtMuV9rtTns8aW+WMV/a799iLMgzFhIYC28wtgVY
9BHAYrH/gjFwg7HMQ8aE2aV/YGz9D8ZIanNonHnc4f9xQx/ex5riQ8VAgovh
QnYbyvpTjCfJOBO0NU6ZIFIHEKooLovgayFsOYjM+1PTvuS4JzHshgdc8R4n
1OkAW+1Aky1Wb4vWWKNVlki5JVxqDhWbQ4WmYIEpmGcM3DMEcg3+O3r/bb3/
ls53Q+u7rvFe1XivqL2XVN6LSs95heec3HNW5j4jdZ+SuH8Vu0+suY6JXL+s
un5edh1Zch1edP204Dw45/xx1vnDtPP7Ked3E679Y65vR1zfDLm/GXDv6/Xs
6/bua/ftaw7sqwvtq4h98yD+zU3k6G/IpR+Q8rfBmSeM2v8xYv+f5d5/vRl4
6nzouVPhl45HXjkafeNI9M3DsXcOxXYfAt4/BHx4CNhzGPzkCPj5z+Deo9BX
x6B9x6Fvf41/fyp+4Ez8p9/gI+fhoxfh41cSJ68lztxMns9JXrqbvHo/dbMg
dacYuVeGFFSixTVoWT1W1YzVteGNnXhrD9HZT/QMkf2j5PAEOTZNTc5RM4vU
/DK9JKJXxPSalJHIGZmSUapZtZbV6lm9kTWYOJOFs1g5q42zOTiHk3O60i53
2u3h+1S9vrTPLzAWSAeC6aAAWEgALCwAFtkCLPoIYLHHAdvQH4zxmEECZnE+
EwsWZjATwjh5SjDHQAWfH1xwxiPph4w99L/YTMN5yNiGlfVmO2w6ivI5Pf4k
64X5YBobSJtjtD5KqcOkIkhI/Hxw9qIHnXUjk67UqCM5aOczHLus8XYr1GIB
G81AnTlWbYpWmiLlxkiJMVxkCBUaQgX6YJ4+eE8XuKsN3NEGcjT+W2r/TZX/
usp/Tem7qvBdlvsuyXwXpN7zEu+5Ne9ZkffMqvfUivfkkvfXRe/xec+xOc8v
M96fp71HJr2Hx72Hxrw/jXgPDvl+7Pcd6PX/0BX4viP4fUvou8bwd7XR78qB
/YXx/XdTP15Hj/+GXDiC3P4cqXszMvGMRfY/V4z/q9vxLxWef7vr/+u1wDMX
Qy/8Fn7pdPjVk5E3fo2+eSL6zonY7hOx93+NffQr8PFJ4NNTwOenwS/Pgl//
Bn1zHvruInTgUvynK/HD1+NHb8InbsOnchNn7ycu5CcvFyavl6Rulady+UhW
pLABLW1GK9qwmk6soQdv6cfbh4juUaJvghyaJkfnyIkFanqZmlulF8X0ipQW
yRmJkpGpGYWWUelZjYHVmViDmTVZObONs9o5m5OzuzinO+3ypN3etMe3xZgA
GM+YAFhIACwc2WIs+ghjsYf6O8aARxgDIX5YKassY/EEP+T7zxhb32SMeeiG
zW519Avt/H84RvF5zQRvpAEJTsN8SmAyHYA5L8S5QNYeY80RxhCiNQFK4SMl
XmLVTSw6sVkHOmlHxqypIUuyz5zoNsMdpnirCWoygvVGoNYQqzJEK/TRMn2k
RB8u0oUf6EIF2lCeJnRfE7yrDuaqgjnKwG1l4JYicEMeuC4LXJP4r4j9l9f8
l0T+C6v+88v+c0v+swv+M/P+07P+kzP+X6f8Jyb8x8cCv4wEjg4Ffh4IHukL
Hu4OHeoM/9QWPtgcOdgQ+7EGOFABHSiGf8hLHchBf76K/noOOX8MufEdkv9h
snlXaPw529q/KDX/MmH+13bHv1W6/1Tg+0uOf9v14LNXQjsvhV6+EH7tfOSN
c5G3zkXfORd971zsg/Oxjy7EPrkIfHYJ2HsZ+Ooq+M018Lsb0A+3oIM58SO5
8V/uxU/kw6cfwL8VJy6WJa5UJG9Up3LqUvcakYIWpLgdLe9Cq3uwun6saQhv
G8W7JojeaWJwlhxZIMeXqKlVanaNWpDQy3JapKTFakaqYRQ6RmVgNSZWZ2YN
VtZo48x2zuLgbC7O7uacHs7l3WLMn/YFeMb8WcZCfB9+FrCQANgmY9FHGIv9
A2PA43qEsU3MYH68N55ch1N8XmkSXU9hvG8wSvAm1Ti1TtBbzheC3Tr7aDs/
39G/wRhC8JHNMLYOoRkglYkmM2E4E4DSXiDtinH2CGcJsgY/o/EyCjctcVKr
DnLRRsxa8SkzNmZCh4ypfkOy25Do0MOt+niTHmrQgbU6oFoXq9TGyrXRUm2k
WBMp0oQfqMMF6nCeKnRfGbqrCOUqQnfkwRxZ8JY0eFMcvLEWvC4KXl0NXlkO
Xl4KXlwIXpgPnp8NnpsOnp0KnZkInR4LnRrhHb5O9IeP90aOdUf4EJDW2M9N
wJF68HANdKgC/qkkcbAgdfAueuQWevwqevoceuEEcv0gkrsXKXs/3r4rMPaC
feU/tMp/XdL/25Dl31sdf6p2/7nI+5f7/qfuBJ65FXz+RujFa6GXr4Zfuxre
dTXy1tXIu1ej712Lfng9uudG7NObsS9uAV/mAPtywf13wR/uQz/lQ0cexH8p
jv9aCp8uh89VJS7VJq7VJ281JXNbU3ntSGEXUtqLVg6gtcNY4yjWOoF3TOM9
s8TAAjG8RI6tkpNr1KyEmpdRSwp6VUWvaRipjpEbGKWRUZtZrYXV21ijnTU7
OItzkzHHBmO+tMef9gYExoJpf0hgLCwwFtliLPoIY7H/A8aAzQGlDcb4oUuY
nx+Hkpk4b4ixnhDsfVKCTRkqOC4SzDrJbjL29yMjm5ZkPGP470nsdxhdj6fW
geR6FF4PQ3yUmzeacYXT9mDa7OcMXk7jYhUORmKjVy30opmaNRKTBnxMjw3p
0H4t0q1NdmgTrRq4WRNv0EB1GrBGA1RpgAp1rEwdLVFHi1WRQlXkgTKSrwjn
KcL35eF7svBdafiOJJwjDt8WhW+thm+uhK8vha8thq/Oh6/MhS/NhC9OhS9M
RM6PRX4biZwdip4ZiJ7ujZ3sjv3aAZxoA483g8caoF9q4J8rE0dKk4cLkcP3
0aO56PGb6Kkr6G/n0EsnkeuHkZz9SN4nSM17QNcu//hO+9KTetm/SzT/PmX8
U7/1P1odf651/bXM80Sh76k8/7a7gWdzgzvvBP+WE3rlduj12+E3c8Jv50R2
34m8nxv96G70k3uxz/NiX+YD+x4A+4vAH4rBn0qhIxXQsar4yZr42Tr4QiN8
pTlxoy2Z05m8150q6EsVDyDlw2j1GFo/gTVPY+2zePcC3r9EDK0So2vkpISc
kVHzCmpJRa9o6DUdLTEwciOjNDNqC6u1sXo7a3SwJidncXE2N2f3cA4v5/Rx
bn/aExAYEwDjGQsLjEW2GItuMRbb1GOA/SNdjzDGC8oA8U3MwARvhRFHeFef
BO9Rxm9+iMAYLhgUk7zRumDik97Kvnks+BLFf89us9mFkM/VTazH4usRcD0Y
E9LcghmHP23xpA2utNqells5sZldMTILenpGS01qyFE1PqjC+lRotwrpUCVb
VYlmFdygitepoBoVWKUCKlRAuTJWqoyVKKNFimihIvpAHimQRfKkkfuSyD1x
5O5aJFcUubMayVmO3FqK3FyI3JiLXJ+NXpuOXpmMXh6PXRqNXRyOnR8AzvUB
v/WAZzvB023QqZb4yUb4RG3ieFXyWFnql2L0lwLs+D3s1zvo6Zvob1fQC+fR
K6fQG0eRnAPI/S+R0j2JxveiPbt84y85FrcZJX9Sqv60qP+PMdOfe61/aXX8
td71RJXnqTLv08W+7Q/8O/IDz+UFduYF/5YXejUv9EZe6M388DsF4fceRD4s
jHxcFP2sJLq3NPZ1eWx/JfBDFfhTDfhzHXS8ETrVHP+tFb7YAV/tStzqSeb2
J/MGU4UjSNkYUjWJ1k2jTXNY2wLetYT3rRKDa8SohJyQkdMKak5FLWqoFR0t
MtASIy0zM0oLo7YxWjurd7BGJ2tysRY3Z/Vwdi/n8HFOP+cOpD3BtDeY9gmA
+cMCYxGBsSgPGM9YjNdjgAGb+i8ZA/hJ3k0JmAEwb4IBJnk/n+xWF8f5lJAk
ueHnyQ8kEZsu65uBEexWuNIjkZd8AD0qWAQlhWhdaD0KrGe/DgKhjNefcXrT
NlfaZE9rLZzSxEn03IqWnVez00pmXEGNyMkBOdErw7pkfIx7qzzZJE80yPnA
thoFVKUAKxVguQIoUwAl8lixPFYkixXKog+k0QJJNF8czVuL3luN3l2J5i5H
7yzGchZit+dit2ZiN6eA6xPAtTHg6gh4ZQi81A9d7IUudMXPdcDZz/BsU+J0
ffJUTepkBXKiFD1RiJ3Mx07fw87koOduoBeuoJfPo9dOozePoXd+Qu59izz4
LFX1EdSyO9y3yzfxN8fCDpP4zxrFn0XaP88a/jJi/kuv7Yl2x5NNzqfq3E9X
e7ZXeHeU+Z4t9T9f4t9ZHHipOPhycfC1ktAbpaG3SsPvloffr4jsqYx8WhX9
oib6dV1sfz1woBE41AwebQVPtEOnO+PneuKX++DrA4mc4eS90eSD8VTJFFIx
g9TMoY2LaOsy1rmK96zhAxJiREaMK8gpFTmroRZ01LKBFhlpiZmWWRiFjVHb
Ga2D1TtZg4s1uVmLh7N6ObuPc/g5Z4BzBzmesVDaFxYAi/DiGYumQ/8AWBR4
SNf/D2CP/hxhZjwThTLReCYGZ2JJvpAC0AwkOOAlBDNPlPcl3rRYF1yiBMbW
H2Fs04mMz6BHBD+qBH/lBoHr2fMHH0wZyPi8GbcrbbenzZa03sipdJxUw60q
2QU5Oy1lxsTMkJjqF5M9YrxTjLWJkRZJqkmarJcm6mRwjSxeJYMqZWC5DCyT
AaUyoEQGFEtjRZJYoTj2YC1WIIrlr8byVmL3l4B7i8DdeSB3DrgzA+ZMgbcm
wJtj0I1h6Ppg/Gp//EoPfLkrcbE9caElea4x9VsdcrYaPV2OnS7BzhRiv+Vj
5+5hF3KwizfQy1fQa+fRG2fQ28fR3MPo/e+Rgi+R8k8T9R8BHbtDA7u8Ey87
Fp4zrz2hk/9Fpv7Lku6vU8a/Dpuf6LM+2Wl/qtW5rcm1vcG9o87zbI33+Wrv
zmrfS9X+l6v9r1YHXq8JvFkTfLs2uLsu9EF9eE9D+NOmyN7m6Net0f1tsQMd
wKEu4GgP+GsfdGYgfmEofnUEvjmWyJ1M5k0ni2ZTZfNI9SJSv4I2i7B2MdYt
xfvl+LCSGFMTUxpyVkcuGKhlIyUy02ILLbPRCjujcjAaJ6NzswYPa/KyFh9r
9XF2P+cIcM6gwFgo7Q0LjAmABaK8h0CWsXAsE45tMQb8HwO2tdZFt35VJCsw
HYHSETgdSaQjqXRUyDaHyDRMZZJMBtk0vt708BecyB5h7KHhHY4KMfQJwTEI
5NvTwAj/dB/yZfzujMfBv2BYjGmDjlOrObmCFUnZRTE7I2LGVpiBZaZ3mepa
IdtX8NbV7P8f0riWrBcnaiVwtSReJYUqpVCFFCyTgqVSsEQCZFUsBorWgEIR
8GAVKFgB8pfAvEXw/jx4bw68OwPlTkF3JuI5Y/Hbw/DNQfhGX+J6T+JqZ/JK
W+pyM3KxAb1Qi52rws+V4+dLsAuF2MV87NJd7EoOdvUGdv0KevMCevsMeucE
evdnNO9HtOAbpOSLZM0nUMuH0e53g0O7PJOvOBaeN4ue1sv+qlT+VaR9Yl7/
xKTpyRHzU/3Wp3ts2zod29udO1pdz7a4nm9272zyvNTkebnJ+2qT7/Vm35vN
/rdbArtbAx+0Bfe0hz7tCO3tDH/dHdnfEznQFz3UHzs6CJwYBk+PQufHocsT
8RtTcM5M4t5c8sFCsnQpVbmC1InQJjHaJsW65FifEh9SE6NaYlJHzhjIeRO1
ZKZWrbTYRkvtdLb2VbkYjZvReViDlzX5WIuftfo5e4BzBDlniHOHOE847Y2k
fZG0P7oJWDCWDsUExjYIAf6esf9yi3wUsC0+w9nfDUiHwHQQSgfhdDCZDiPp
KO+vmI7T6QRvR5xBN5zV+ZAIIYiEd7t7fF5EYAz5HUuuo7Dg7ALwTdxgiG/d
5eMpnWmvNe0ypm06zqjitHJOIWbXVtmlZWZmkRlbYAbn6e55umOeal0kmpew
xmWkfjVVJ0rWrCWqxXCVOF4pgSokULkELJOApWKwJKs1sFgEFq2ChSvgg2Xw
wSJUMA/lz0F5M/H7U/F7E/DdMfjOcCJnMHG7P3mzJ3WjM3W9DbnajF5pwC7V
4peq8Mvl+JUS/Eohn5N77R52PQe7eRO7dRW7fZHPNr37K3r/KJr/E/pgP1ry
JVL1Odz4MdDxQbjvXf/ILvfUK/aFFyyr2w3SJ9SKJyTqJ5d1T84Znpo0PTVq
fnrIsr3f9kyvfUe3/dkux/Ndzp2drpc6XS93ul/t9Lze5dnV5X2727u7x/dB
r39PX+DT/sDegeDXg6H9Q+EDI5FDo9Gj49ETE7EzU8D5GfDyLHRjPp6zCN9f
TjxYSZaIkpXiVK0UaZShrQq0U4X1avBBLT6qJyaMxIyJnLeQS1Zq1UatOWip
k1a4aJWb0XgYnZcx+FiTn7UEWGuQswc5R4hzhTl3mPNEBMaiAmOxTcCyVDwE
TNjv/qivgEf1OGAPZ3gF8Y4EwpKYRdcfS/sAPnHGl+ACCB8LHKU4kOFgLp1M
p1HeVv2PhIjNdv5/YIx31E4IYfQg374Nh9ehQAbw8nMJQVvaZ+Jdh+0qziTj
tGt8B4p4gVmaZWZmmPFpenCK7p6iW6fp5lmycR6vX0TrllI1K8nq1UTVGly5
Fq8QQ1mVi6EyXmDpGlgigkpWoeIVqGgZKlqEChfiD+biBTNw/hScN5G4P5a4
N5K8O5i805/K6UFud6I329Ebzdi1BvxaLX69Gr9egd8oxW8U4TcL8Fv3sNt3
sJyb2J2rWO5F7N5v6P2TaP4x9MEhtPAHtGQfUrU30fAZ1Lon2v1BaPBd39gu
98wr9sWdltUdRsmTWvmTctVTa5qnlnRPzRmenjJuGzdvH7U8M2zdMWR9btD2
/IB954D9pQHHywPOVwecrw+6dg263x5y7x72fDDs3TPi+3TUt3fM//V4YP9k
8MBU6NB0+OhM5MRc9Mx87PwicGUJvLEC3VmN31+DC8WJUmmiUp6sVaSaVEib
Gu3UYr06bNCAjxiJCTMxbSHnrOSinVpxUGtOWuqi5W5a5eEvjHQ+xuBnTQHW
EmStIdYe4hxhzhXh3BHOE017o2lfjMeAZwzYACwdBrN7HK9HGQP+Uf+UMeFW
jbcjEA4R2UrPm+U5yjkB/kbejTB+ggnRbIw3ImZTGY5njI+H4BkTYm42Q7se
d4YlU+tEYh2Pr6OgEBceysD+NOROxxzpiJkL6DmPinNIOfMqp1tklbOseIpZ
GmdmRumxUXpglO4apVrGqYZJsm4ar51DaxZS1UvJqpVEpQiuEMUr1uLlAmPl
a1BZViKoNKtVqGQ5XrIUL16IF83DhbNw4XTiwWSiYDyZP5q6P5S6N4Dc7UXv
dGE57ditFvxWI3Grjrhdg9+uxHPK8Jxi/E4Bnnsfz83F7t7C7l3D7l/C8s5h
BafRB8fRwiNo8QG09Fu06utk/d54y6dA555w//uB4Xe8E7tcs6/aF1+0rD5r
lDytkz+lVD4lUT+9qn16Sbdt3rBtxrh9yvTMpOnZCfNz45bnxy07x6wvjdte
Hre9Om5/fcK+a8Lx9qRz95TrgynXnmn3pzOevbPer+d8++f9BxYChxaDvyyF
fl0On1mJXBBFr6wBN8XgHSmUJ4sXKuAyZaJKlazTJJu0qTY90mVA+4zYoBkb
teATVmLaRsw5yEUnueKi1tyUxEPLvbTSx2j8jC7AGAKsKchaQqw1zNrDnCPC
uaL85+6Jcd4NwABeQWFfC2crqA3AIF4xQcAjeniZD26ZXTwyJ77lRZAOBgVb
lWztF2BtQdYcZkwgbU1RLoIKMFSMo+NpJpVhsXVOyIZI07//EaX0hy3sHzmq
VHKdhDMElMGBDBZJI8F00sfBLg6ysTETG9YyfjnjXmNsi7RhmlGOMuIhZqmf
numjR/uo/j6qY4BqGqJqRqjqCbxqBq2cT1UuJiuWExWrPGPlWcbWoD9UJoqX
rcbLVuKly/HSRbhkAS6ZSxTPJIqmkoUTqQdjqYJhJH8Qvd+H3uvG7nbgd1qJ
3CYit4HIrSXuVuF3y/F7Jfi9Qvx+Hp53F8+7jeVfxwouYw/OY4VnsKITaPHP
aOlBtOw7tPqbZMNX8ZYvgM5Por0fhYbe84+97Zna5Zx7xbb0oln0nFGyTS97
Wq14Wq56Wqzetqrdtqzbvqh/Zt6wY87w7KzxuVnj87OmnbPml2bNL89ZXp2z
vD5v3TVve3vBtnvB/sGiY8+S89Nl195l974Vz3er3h9FvsNr/l/EgV8lobPS
8AVZ5Ko8elMRy1UCeWqoSBMv08LVukS9PtlsTLWbUt1mpN+CDlmxMTs+6cBn
nMS8i1xyk6seas1LSX203Ecr/bQmwOiCjCHEmEKsJcxaI6w9wjmjAmM8YJwP
SPuzgAmudCFBYSgTgf45YOCjehyzjeFKYMOLIMR3BwX9fEeH28MHzRiyi6qX
VERwTRKzUJiPxaNpMp6hUus0ts4nrwrhI+k/4roeibbcSOmlkxkKzpBQmoil
8QiHBTjEyyadLGxhID0dU1FhCeVbJl0zpGWM0PaT0i5qqZWebqVGWqnedqqt
i6rvpSoHqYpRvHwKLZ9NlS8kypfh8tV4uegxwPjvZpX98RW4bAkuW0yUzidK
Z5Ml08niyVTROFI4gj4YQgv6sfwe/H4ncb+NuN9C5DUSeXVEXjWRX0Hkl+IF
RXhBAf7gHv4gBy+8iRVdxYovYCVnsdKTWNkvaPkhtOIHtHZ/snEf3Pol2Pl5
tPfj8OCHgdHd3sm3XTNvOBZesS5vMLZdL9umUWxTKLdJVdvE6u0izfZV7TMr
uh3LumeX9c8t619Y1u9cNry0Ynh5xfjqqvF1kelNkfntNcvuNcsHYuseie0z
iX2v1LFP5vpO5v5R7jms8B5T+k8qA2dVwYvq0FVN5JY2elcXy9cDxQao3Biv
NsEN5kSLRchNsiH9dnTYgY45sSkXPusmFjzEspdc9ZFiPyX1U4oArQrSmhCj
CzGG7BoSYS0R1hZl7dltK8a5Ypwb4LzZMglM+0GBMSgdgrKACYzF+QuHqOCL
CGxpwylx85FoQxstFht9iRtDl4IXQSzEzwWEfWm/O+2yc2YzozJmz7zYlCex
mMoiAXvSqWgmW1wRQs+10G29mW6TfrTPeivaMssYk8zQcJoC09kFkAxzuJ/F
PAxip1MmCtaSkJyIifDQPOYdRx0DqLETVTVhq7X4VCU1VE1215PNzWR1B1na
S5YMYyWTSMlssnQB5pep7Hol4vfHPxjL7pv87pld35bhiqUEj+J8six7rJ9K
lU4gJWNo8TBWNIg/6CMKuomCDrKgjXjQTDxoIApricIqoqicKCrBix7gxXl4
SS5ecgsvvYaVXsLKzmHlp7CKY1jlYbT6R7Tu+2TTt3Db12DX3ljvZ+HBPcHR
D3wT73qm33LOv25fetm68qJ5bYsx+TalYrtcuV2q2i5RPyPOSrNDrHlWrHlO
rHlBot0p1b4k1b4s070q172u0L+pMLyjNO5WGT9QmT5WWz5TW7/U2L7R2L/X
Og5qXUd07mM67ym97zeD/5IheM0Yum2K3DNFC8yxEgtQYYVqbPFGO9zqSHQ6
kr3O1IALGXGj4x5syovN+fBFH7HsJ0QBUhKkZEFKEaLVYVobZvQRxhBhTFHW
EmVtMdYey5ZGnAvgPCDnBbOleNoPpQOQwFg8HY6nHwUs9jhg0B8S2ip4bbQj
bvTwbwzwRvgjHxDgxzZDruyRj7NqGdkaOTwfL1Y6+xCXigt7M9mfnkrwXv0k
8bBFkXs8DO6PXMssY2wizWT3VpCjoxwVYkkfQ7hozEqhBjKlwhNiDFpEYpOp
0GDS25GwNcC6SlhanJzNRwfyyfZSor6GKGsmC7rI7BJUOJnMFldFi/FsSZ+t
7bMVftlGMSZU/lnGskVa5SpcuZyoXEpULiQr5lIVM0j5FFI2gZaOYiVDePEA
UdRLFnWRxR1kcStZ0kSU1BMlNURpJVFaSpQV4WX5ePk9vDwHr7iBV1zBKs9j
lWewqhNY9c9Y7U9I44Fky3dw+zdg91exvi8iQ58ERz/yT7zvmX7HNbfLsfia
beVvFtFOk/hZgzTL2HaNfLtKsV2h5DGTK5+RK3fIVVk9q1A9r1S9oFLtVKte
0qhe1qpf1anf0GveNGjeMWjfM+o+NOo/Nhk+N5m+NJu/MVu+N9sOWuw/W5zH
La7TVs85q++y1X/dFsyxhe7bIw8c0VJHrNIJ1rqgJle8zQ13eRJ9nuSgNzXq
Qyb86LQfmw/gi0F8JUishUhJiJSHKWWEUkdobZTWRxljjDHHWAvA2gDWnq29
Qc4Nch6I71rIMhaIp4PxTcDCcDoCZ6KwcGsqeAgDgpkwKLgKbyi+aQO74dW5
OR7CDyLF+DsF3h8jxFtngN71mDMTNmd8qrRljl2qg/ad6OinlCbOE8rCyz8M
oTgfS0ht9Sf+0Zy41f36MNGSg9MsxLEAy0RYOshQXop0koSFwPUYqkBSomRi
FoZGoFgnGKoDPCVRy/2o6jawdD0+eA1tySUqS4mCeuJuJ35vOJk3BefPQw+W
wUIRULwGlIiBUglYLgErJDxj2WNmlQiuWoWzJ4Kq7LlgIVU1h1TOIBVTaMU4
Vj6Clw0RJf1kaQ9Z2kWWtZPlLWR5I1FeR1RUExUVRGUJUVlIVObhVbl41S28
+hpefRGv+Q2rPYnV/oI1HEGaf0q2/QB37od69sX6v4wMfxYa+9g/+aF3Zrd7
7m3H4hu25VcsopfM4ueNkh0G2TM6+SZjSl7PCNqhUuxQy5/Vyp/XyV8wyF80
yl42yV4zy3eZ5W9Z5O9aFe9blR/ZVJ/Y1Z/btV86dPschv1O4w8u808u61GX
7YTLccblOu/yXHF7b7j9d9zBPE+o0BMp80SrvLF6L9jsg9p98W5/ot+fHAqk
xoLIZBCdCaHzIWwpjK+GCXGEkEZIRZRSRSlNjNbFaAPAmADGDDJWkLWDrANi
nRDnhjhPnPPFOX88HYD5y6sQvAFYOsqbn2diggs6INihg4IvelaChfX6pgTM
Npv2IcHGExDc8KK8Sx5vZebjXc4g8zqgTEfn8EjdcPhsa8goBVA3zMSQdALP
oCTfdrHR2rPRnPgYY4+kpnIJjs/EARg2QjNBivYStBOnLCihT+EKGBWBqdlo
YjiU/c+JVXmC913uS27TSZ/kRGjs13j9RbwwH79Zi9/sTt0eg+7MAneXYnmi
aIE4WiiNFUtjpTKgXApWSKFKCVQljlevwdWiRM1KsmYpxZ9A55DqGbRqEqsc
xytGiPJBsryPrOghKzvJynayqoWsaiSra4nqKqKmnKgpJmoKiNp7eG0OXncD
r7uC153H609jDcexpqNI6+Fkx0G4+weo79vY4NeRkb2h8U/9U3u8M++7599x
Lr5pX3nNKvqbWbzTKH1WAOyZLGBqgTFV9lv5M+rsj8h26KQ79NLnDZIXTeKX
zWuvWdZ2Wdfetq29a1973772kUP8iVPyuVP6pUu+z63Y71b94NEc9GiPePW/
eI2/+synfdZzfvtFv/NqwH0r4M0N+PMDweJAqDwQqQ5GG4JASxDsCEE9IXgg
lBgOJ8fDqakIMhtBF6PYchQXRXFJjJDFSCVAqgFKC1B6kDaCtBliLBBjg1h7
nHXGWVecc8c5L8z5YM4PC4wl0iHBVD+SSP+XgPESmsESm92tcHzT43rD75of
181ugTHBtTgkuBm711PWTErHIOIENqFKDYsRoxEDPQQRI9kElUaZjODR+ftD
H9hHul8fZSy90dAP0FyUYkME48P4kHprktLHs/9YXBTGZv3IkCvRZoUq9LE7
quBZuetHpeEzy9w+f9XP2K272LnG1MUh4MpM5Ppy6PZaKFfKt1UUyCNFimip
IlYuByplYJUUqpbEa8RwrShRu5KsXU7VLiD8XccMVjOJV48RVSNk1SBV3UfW
9JA1nWRtG1nbTNY1kHW1RH0lUV9G1BcRDflEw1284TbeeA1vvIQ3/YY3ncRa
jyMdR5Pdh+HeH6GB72PD30TGvgpNfB6Y/sQ796F7Ybdz+S376uvWtZfNkheN
0ucMWZDkO9SKZ1T8wiUsYlnGsvtmFjzJswbxC0bRS6bVVywrr1uX37QvvetY
es+5+KFr6WP30mee5b2ela+9q9961773iX/0SQ/55Uf9yuMB9amA7mzAcCFo
uhy0XA/Zb4ecuWF3XthbGPGXRIMV0XBtNNIYjbVGgc4o1BuND0bh0VhiIpac
jiHzALIEoKsAtgbgUpCQg4QKJDUQpYMoA0Sb4rQ5zljjjB1mHTDrhFk3zHlg
zpvgL0X9iS3AkulIMh1N8g+L/NtiUnjFTvJtOZCQIRLfyBMRGOPjRYQMiKSg
Dd9+BBL8/AHB4T8sREt413FXmrDQlDZJKTyk0km6XBQQplGQoYUMiAzBrVPc
+h8dPRudiQ+DLLciU/n8uDidBikuSnAhjPUjrDvJ2OLZVZpShck1HzHnxIZN
SLs6WbEG58wBp8fC+wc8u4c0O2VlX6Z+LkJ+GQweX/CcXvOcl3muKn23VP67
6mC+OlSkjpSqouVKoFIBVsuhWmm8TgLXrSXqV1P1y0j9Ilo/h9XN4HWTRO0Y
WTNC1Q5Sdf1UfQ9Z30k2tJGNzWRjA9lYQzZVEk2lRFMh0ZxHNOcSzTfxlqt4
ywW89QzWcRLpOp7s/RkeOAQN/QiMfhcZ3xea+jIw+5lvfo976X3nyjt20S6r
+BWz9EWj/Hm94jmN4lmVcoeCr76EMixbjwmMaSXP6NeeN66+ZM5uqdmNdf4t
x9y7rtkP3DN7PDOf+ma+8M185Z/9JjC3P7hwILj4U3D5SGj1l5D4REh6Oiz/
Lay6GNZciehvRIw5EcvdqC0/6iiKuUtj3krAXwsEG8BwMxhtB2PdINgPQkNg
fAxMTELJWSi1ACHLECqCMHEcl8VxRZxQx0ltnNTDlBGmzTBtgRlbgrEnGGeC
dSVYT0IALMn5k1wgyT/xhJJbjKUyMT6Mho+kyQoSFOfFNxny7ax/aCvOJrWZ
cSPk3UBCAg7A20AR4XUimCF9HO1mGBvK2ADGHmGCUQYCWDTBkQjHYum0kGWz
vhHL9XjL2GOZvLxrLCyYW8dwLoxygVT2yyS79WfPy4wmQEvd5JKFmNDivWK0
YTZVOJi42gT9Ugx8eSPyxm+lb4FvimSfyWXfqdSHtYZf9dazBudVgydH77+v
DxbqwqXaSIU6Vq0Ca5VQnTxeL000iJONolTjCtK4iDbOYw0zRP0kWT9O1Y9Q
DUNUYz/V1EM1d5LNbWRLM9lST7bWkK0VZGsJ0fqAaLtPtOUQbTfw9st4x3ms
6wzSezLZfxwe+hkaOQSMH4hO7g/NfB2Y+8K3+Il7+UPn6rt28ZtW6atm+UtG
xQs65fNq1XMK1bMy9Y7sKVKSPUuqtkuV2+TZ06Vsm1a8w7D6gmnpZUv2+Dn7
lnNqt3viA+/4Hv/YZ4HRvcHRr0Nj34bHv49M/BiZOhSd+Tk6dyy68Gts+XRs
9VxMfDEmuxpT3oypcwDdPcBYAJiLQFsZ6KgC3bWQtxHyt0DB9ni4Ox7tg4FB
GByB4+MwPA0n5uDkIpxagdE1GJUmMHkCVyYITYLUJUhDgjIlKEsyu6fQ9iTj
SDKuZPbLn/UkWV+K86f4TyrIBxulwynhwTqV3gCMZ0xI18qK7y3ktRG8JbRM
pzbTuFJJ/nDID+cmfs8Kg4WcOIiPjeMzCqPrVCRDh9JMgOF8BOtLsoE4G4U5
OMGhqTSJpRkiIwTZZDJbmVyPtow9FvqcSVIZmMxABN/NH0Gyay9fTLpirDXE
GHyMykGvGal5BTm6hHeOYjWtaH4Rcv08lnOAadm1av9vX5mOfW6sOWgYOW5c
PmtSXjQbr1rsNyyee2Z/oTFUqo9U6mI1GqBOBTUo4o2yRJMk2byWal5Fm5ew
5gW8aZZonKIax/mo6JYhqqWfau2h2jqptjayvZlsryc7asiOCrKjhOgsIDrv
EZ23ic5rRPclrPc82n82OXQSHjkGjf8MTP4Unf4hPPdtYOEr3/LnntU9zrX3
7JK3rNmKXfE3g+pFjXqnUvO8TPOcWPusSLuDvwrTbF9VbxOptkkU2xTSbZq1
HYblneb5V20zu5wT77pHP/AN7QkMfBbq3xvp+zqaLfP6vwcGfgQHD4HDP4Nj
x6GJk9D0GWjuHLR4CVq5Cq3dhKR3IMU9SF0Q1xXHDWVxc1XcVhd3NMLuVtjb
Afu7E6G+RGQoER1JAuNJaCoZn0kl5lPJ5VRqNYmIk6gsiSmSuDpFaFPZYpg0
pihzirKkaFuKdqQYZ4pxp1hPivWmWB/C+RH+9TCIpEMI/1Sd/eCiSDqGZADk
EcAQPs2N718VtJEhmNyKFNwcmdzKtcQ30lRhPl+VNxkD1xkgw8TSXITlwhQX
wblYKg0i6SSaxtAMiWdoPsWGD0v6B8Y2gwUfiXtOUXzXWRzPgGh2peWPJ4Hs
uTjKOYKsxcPqrIxcR69KqJk5cqifn3fuKqB7L3CT+xOKN5dc287ZPjliu/WT
rfGUbfSibeW6TXnbZsy1Oe7afYWWYJkpXG2I1umABg3UpIKbFYkWWapVjLSK
0NZlvHWBaJklW6ao1gmqbZRqH+ZfDTp6qc4uqquN6momu+rJ7mqyu5zsLiZ7
Coieu0TPLaL3Gj5wGR06nxo5mxg7GZ88Bkwfic4eDC98H1z6xrey17P2qUvy
oV32jlXxhln1ql79slrzkly7U6x7YVX/3JL+2UX9jnn9M/O67QvabUvqp1eV
T0tlT6uzjC29aJl5zT7+lnvoPV/fR6HuTyMde2PtX4Nt++PZE2v7QbjjcKLr
aKLneKL/ZHLoTHL0fGLiUmL6amL+ZmLpTkJ0LyEpSMiLE6qyhK4qYaxLmBsT
ttaksyPp7k76+pOBoVRoNBWZSMWmU+AsAi0g8BKSWEGTaygiQVA5gikRXIPg
OoQwIKQJoSwIZUVoO0I7kWyRzLgR1ovyEQr+7HaDckGUC6HpMJqOoHzXTQzl
+7tAQXwzoRBGCaN8gzTfI40KQx9b2shIRTdieYV8XiLJe/KQQgo5Df/OxHlD
ThbKcCCXBplsLZWO44IhP57BiQxJ8hE27GZM0npmK1jw4Svl+qOYIcLQSALj
sc9WiVGYf5LwR9LuAD8FY7KwGg0rFzOSOWZ1iF1u4VaK0tKLuOZQ2PXxoved
XPdHV13Xzriqzrl6rzlnc5ySe05tvtNa4HAXOQIV1nCtOdpgAJp1UKsGblMm
2+WpdgnasYZ1rODti2T7HNU2TXdM0p1jdNcw1T1A9fRSPV38C0JvM9VbT/ZV
k33lZF8x2ZdP9OcSA7fwoevoyOXU+IXE5Nn49Elw9lhs/kh46WBw5Tu/aJ9H
8oVLtseheM+qetOseUOnfU2pe0Wq/5vI8OKS8YV54/MzpmenTDsmjdsnDdum
9E/Pap9aVD0lkj2pFG03LLxomXzdOfSOt+fDUNsn0aa9UP3XcO3+ZM0PqZqD
SO1htP4o2ngcazmJtZ9Fu8+jfZfQoavo2E10KgeZu4csFiCrRYikDJFXIepa
RNeIGFsRSwdi70Zc/YhnCPGNIsEJJDyNRudQYAEFl9H4KgqvYUkJlpJhiAJD
1RimxXA9Rhgx0oyRVoyyYbQDo10Y48YYD8b6sgUzxgYwLohli2cunN16sHQU
S8d4ZQA+3pQf/okLgrHsx7qeVVJgbCNvdzPfWch6xhDBW0DIst+Itud9n4TM
XDaxnhUHZ9JwmvevTjD8hseHCpIZglqnNjKSmHWO3Ux8e/yJ8mFAqsAYSvKT
JkmMX1ezZxAgnokC6VCYH6pyO9MOC2fVcmYpZ1jkff/07RljGWW5nXSd9oW/
Xwp+W+n7Lt97K8dbfdnXneOZyvOICt3qYre51O0qdQWqHOF6a6zZDLYa4u06
uFOd7FIgXTK0S4x3rRJdS2TnPN01wzdv9IzTvSN03yD/BtrfTQ208/4Qgw3k
YA05WE4OFpOD+eRQLjFyGxu/gUxeSU5fgGfPQvMnY4vHIitHQqIf/eL9XulX
LsVnDtWHNs27Ju1bWv0uheF1ifHVFdPLC+aXZiw7Jy3Pj1meHbbsGLJsHzJv
GzY+Nap/ckrzxKLiCena0/q5F62jb7h7dgda9sRqP4+Xf50q2Y+W/IiWHkHL
jmEVv2JVp7Ha37D683jTJbztCt55nei5SQzkECP38Ml8fLYIXyzDVisxSS2m
aMTULZi+AzN1Y9Z+zDGEuUYx7wTmn8ZCc1hkAYstY8AqBolxWIon5HhSiSNq
HNUQmI7ADThhwgkLTtpwyo5TTpx244wHZ7w448fZAM4Gcb7HJoxnd7A/AEv/
ARj0d4AJSgnaiA7fTKtH+f5U3lgA/Z1EBTceRDAWQ3gfTt6KM7We5pXJJNO8
Dz/CZFBaGBQRwmsYRsjh2sh6e/hK+U8Zw0h+Yi4lrKVwgn9rAGL843vIzztc
+a28lZ9HkXGvZNwTGXcP46nH/IVQ5JojdmY5crI5dLI6WFASaLgf6MsPTBf7
ROU+daXXXOV1Vnv8te5IkyPWZgU7TPEufaJHm+pRIb1yrFeC94rInmWqZ4Hu
naP7p+mBCXpwlB4coof6qaEeariDGm6hRhqokRpypJwcKSZH84nx7EeZg07f
TM1ehecvQou/AcunoqJjIfHhgPSAT/6tW7nXqf7Ypv3ApN+tNbyjML0pNr+x
bHltzvrKlO1vY7YXh+wv9Nmf67Hv6LJv77Q93WV9qsf0xKD+r5Oqv6yI/6Kd
3Wkd3OVt/SBS9Slc+BVS8AOafwTNP44WnEILz2LF5/mnq4orePV1vP4m3nQb
b8sluu4RvfnE4ANytJicLCNnK8nFWlLUQEhbCGU7oekmDH2EeQi3jeLOCdwz
jfvm8MAiHl7GoyICEBOglIjLCVhJJNVESksgegI1kLiJxM0kYSVIO0E5CcpF
0B6C9hKMj2D8BBsk2BCxARgXxfmmwRjOt6eC2WoHF3qhhUzwBC7MdwhK4fwy
ws+sZYXxwjDBUgAT3FEE8XZPKO9cx5vXobwPJ4eup9H1DK8Mb8KPcUL7PrNO
bqQjbYVwpR/PrPz7wHqeMZxYx3B+/czWgdkjLZ8IBvAOokCAt7SN2tcjRt4r
PizKhGfZ8DAZbUeA6lg83wreWQVudUdvtUaq6sPtFeHhstBsVVBcG1DX+80N
fleDz9/gjbS5gE471GOBe43Jfl2qX40OKLABGTGwRvav0P2L9OA8PTRDD0/S
I2P06DA9OkCP9VBjndRYKzXeSI3XUOMV5Hj2EyzAp++js3dS87cSi9fiy5fA
1d9i4lNh6bGg/LBf+YNH/Y1T+7mdf+X5UGt6X2F+V2x5e8m2a9b++oTj1WHn
y/3Ol7pcO9tczze7nm10PVPv3FbveLLR9tc201/6tP8xLf0Pxczz1u43/VUf
QXlfIbkHkZxj6O3T6O1z6J1L2N2rWN517MEtrDgHL8/Fq+/h9XlEcwHRXkR0
l5D95eRwJZn9q07XUfON1FILvdZOybopVR+lHSSNo6RlgrRPk6450rtA+pfJ
kIiMiMmYjAQUJKQiYQ2Z0JEpPYkYSdREYhYKt1KEjSIdFOkiKTdJe0naRzJ+
kgmQbJBkwwQfb5VVlEjHsoc1Ig0SaYjIHtyEuHkiAxPCZAchzBAR/HzjJmA4
/1kL4j0r8A1rFFwwesIE2zpMcODEfs8qzUuwRscyfMoDnt6aD+Gjkdb/GAtP
px/PRf17xv7z998JYh3H+cUTEVqu+RhNkH9TgINCjIVzHTL/DmkykJSDlmho
koD7U8mWUKLGDJeLoJIRoKI/1tYZG2iKTtZFF5vC0paQtjVoaQu6WwOBVn+0
ywP0OuP9tsSgOTlkQIa12LAKH5aTQxJqSEQPLzMjC8zoHD02TY9P0BMj9MQg
PdlLT3ZRk23UVCM1VUtNVVAzJcRcIbaQhyzdTa7chlevQ2uXAMm5iOxUSHEs
oD7k1X7v1n/tMHxhNn2qM+9RWD8U295btr8763hrwrlryPVar/uVDs/fmr0v
1nlfqPI+V+59psS7rdjzVLHrr+X2P9eb/r1X8W/L0zsszW+H73+O3DyEXDmJ
XjyPXryCXrqBXrmNXb+D3b6L3b2P5+fz7/LlRXh1CdFQRrRUEJ1VZG8tOVhP
jmb/ti3UbBu92EmvdtPiPkY+yKhHaP04bZqibbOUc4FyL1M+ERUQU2EZFVVQ
gIoCNVRcRyUMVNJIpcwUaqUwG4XbKcJBk06adNOUh6J9FO2nmADFBCk2lGWM
5CIkFyW5GB+nlgZJ/uoJIjNxkr8i+CeAEfzULT94KwgnfueFPwSMZwwXfBFx
wYETF8yEBVP0DCHY7xNCksjmcMjWLOUfvgObiahb2buPAyYwxv9Z2X1Z6LoW
ws1B3i5780HB9XvSmknq00klm1yjUvMYOhZH+wKpTnOyRQw3zsTbx6HBQXCi
G5xvA0SdMWVXxNAdtnWHPN2hYGcw1ueDBl3wsD0xakmNGdExHTamJsYU5KiU
Hl3jhwImlpjJeWZqhpmapKfH6OkheqafnummZ9qp2SZqtpaaqyQXyvClYnSl
IJU9u63lxCU3QNnlmOJcWHUqqDnm0x3yGL5zmvZZzF/qrZ8rbZ9I7HuWnR/M
ut6bcL8z5Hmrx/tGm++1Rv8r1YGXygI7HwR23g++kBt4/nZgxy3/07e8f851
/luZ/l8GZp8ylb4Xv3IIOXUOOXYdPZqD/nIXPZGHnSrAzhVil4qw6yX4nVI8
rxwvqiDKq4iaGqKxjmxrILubyP7szt5OTXRSMz30Qh+9MkCLhxnZKKOaYLRT
rHGWsSww9mXGJaK9Ytovo0MKOqKiYxoa1NFxAw2b6KSZTllpxEajDhpz0riL
Jtw06aEpL037aTpAM0Ga70EN8/5KfMNzjOIAij/wQYI2ASMzCUFJUpiCFIQK
wgThJM8YsSXe34kQ3OoE8d6bgtLElmE1+TufISLEiGwlIqW3hnUfjar8J4z9
5xZj2T8iC3N2R84eLoTGa/4iDgeEiOrA75hnHbWnUTOHahlMTuKrKD4LYhM+
dNic6pcme5YTI3Pw9GR8cTgu6oPkA4B2MGYejDoHI76BcLg/BA7546OexLgz
OWFDJs3YpAGf1JKTKmpCTk9KmCkRMy1MB8zOMXNTzNw4PT9Mzw/Q8z30fAe9
0Ewt1FNL1cRKBSYqQcSFSUkeLLsDKW4CqisRzfmQ7nTAcMxr+sll/sFm3W+w
7VPbv5Q6P191fTLv/miSb4re3eN/py3wZkPwjcrg68Wh1/NDb+SG37gZfv1K
+PXz4VfPhF8+Fdp5Mrj9rPt/5Yr+P+Xl75HvryPfPoC/KwMPVII/VUE/V8eP
VSdOVqfOVqMXarCrNfjtOiKvnihuICqayLoW/rq4s4Pq6+LLyPE+enqQXhim
V0aZtQlGNsUoZ1jtHGtYZE3LrG2VdYpZj5T1KZigiglrmKiOAQwMZGJgC5Ow
Mkk7gzgY1MVgbgb3MISXIX0M5WeoAEMHGSbEMGGajdBslOZiNP/8B9JbgFH8
rFBWCYo//yWp9ZQghOIHuh8DjOS7JbIiBVGCeKs68neWl+AhzGvLEZ3iA0SE
DJGNqJrM5hTlw6v9zOPJzrz+8xHAssr+/lmMsyUfhfJHVzLB38LxN72R34ng
OuHLEK40YWMJPv2ZIKVJYjWGL/qwWTM6qUQmJan5leTKfEI8CcvHYM04ZBoH
7eOAZywWGI1GRyLQeBCe8iWn3akZBzprxWdNxKyenFHTMwpmRsrOiZn5VWZh
iVmYZxZnmMUJZmmUWRqkl3rppU46W9isNJKiWlxchUrLUrKihCI/rroLam7F
dFfD+gtB42m/+ReP9bDDdtBk/17r/Fbu+lrk/nLB8/mU75MR/0d9gQ/ag7sb
Qu9Uhd8pDr+bF9mdE9l9Lbr7QvS9U7H3fom9dxDY/S2w+3Nw94fgu2+Bb7/2
6qTu7THjhyPWzwYdX/e7v+/x/dQdPNoZ+bUDONMev9CWuNKWutGK3Wkj8tuJ
kg6yqots6CbbeqmefmpwkBobpqdG6flxZnmKWZthZHOMcoHVLLH6FdYk4qxi
vmvdreC8KjagYUM6NmpgARMLWti4jU3Y+dbQlItF3SzmYXEfS/hZMsCSQZYK
snSIZcIsE2HYKMPGGBZg+MENiOYTbuM0b+8F05kEzb/a8HcMjwJGrWOCcF68
2Q7vhSJoEzCK90Lk7RAp3j2YNxAWtGm5vyU+QITZitx6OA3+SBbqH4D9A2O8
pSfB78XZY0X26Eon+SAJCvydiq1T4QwVSFN8ij1DWyhah/HhvPIoIfbiKxZs
UYuuKhGJNCVfTanmk9rZhHEWts3GXbOQfwYMTwHAZBSeCSXm/Kl5D7rgxBZs
xIKZHyWc1zLzKn5Oc1HKLq2xyyvMyiKzMsusTjGrY8zqMLPaR6920aI2StxM
SBsweQ2qqEipShKaB5DuHqDPiRqvhc0XAtbTPttxl+OoxXlY7zqodH8v8Xy7
7Ns34/9yLPD5QPCTztCepvCH1ZGPSiMf5Uf33Il9fC328Xngk1/BTw4LJmOf
wfveS/3yFn7jb2z7n/TW/+tD3d6XFeVviEd3idbeWdF9Nmf5dsrx07jnl5HA
qaHw+QHgSj90sz+R24fk9WFFfUR5P1k7yL9QdI5Q/WP0yAQ9yRvXMUtzjGiB
kS6xyhVWI2L1YtYk5axyzqHkXCrOo0n7dVzIwEVMXMzCgTYubmdhJ5t0sSkP
i3hZ1MfifpYIsESQJUMsFWbpCC8myvLzGgDL8oDxSseZNMzwj86bgNH8dG2K
5ue4+VFu4bKBNw0QRNCPALalDcZ4v016yz1YEO+3vxEdwjwSUsOuPz6m+/D5
6CFg648BlhW/QhJ8sZc9UzAIHyHBwHwmDgOsM9EME0ozPpbhH0YJxozQhjil
iZBKLyGz4lITptRhaiWqkyKGFcS8nLQtJ1zLsG8pHlqEovMgNBdLLIZTSwFk
2YetuPEVB7FipZZN9LKOWVazK0p2VcaKxKxIxK4tsWvzjHiGEU8w4hFGPMBI
emhpJylvJZRNmKoO0VQldWWwvggy5gHmOxHL9ZDtot9xxuM8aXcdN7qParyH
Zb6Dq/4f5vlBoX1DoS97wp+3Rj6ri35eHv2iMPbFXWDvDWDvBfDLk9BXh+Nf
fwt/+2nylw/RS++QD15hu54El//HgvX//sHw13d1R19TF7yr6HxfNv2hVPKR
xPDNivXQguvErO+3qeDlyejNcTB3DM4fSxaPoRVjeM0Y2ThOtU/SvdP08Aw9
McfMLjBLvDMiKxWxSsHhVS/nTArOquIcGs6lS3v0ab8xHTSlw5Z01JYG7Bzk
5GcoEh4u5eUQH4cGOCzI4SGOCPPNyVSE7yClYxwT41iAY0GWhVguqzibhlkB
MCadZPi52hTD32MhDG8U8E8Ao3k3pw3TMIretEDkXRDph4zx9tTMltk+858P
42n+ED/b9g+AZR4BbP33RwH7z9+F5ZHgAyOyx1UWFe7fEutsfJ0FM2wszYY5
NsCyXorPGbenGEucNkYonZfUOAmdlTCYcJMOsyhRqwR1SBC3JOUTJ4JrcHQ1
Di5D8AqQEkWRtRC65sfFHkLsJNds9JqZERlYkZYVq1mxgpVIWekaK11hZYus
bJavYWRjjGyQUfRRym5S3YFrWlBdY8pQmzBWxM0loKUgZsuNOG4EnZd8rvNO
z1kL3+F8XOk/Kg4cXgoenAn9MBbe3x/5piP6dWNsX3XsmxLgmzzw29vgt5eh
/Wfi3x2Fv/8ucWgvcuYT7Ob7ZMkutuM5dPovfvV/n7H9P+dM/+8+w2e79Wff
0hZ+qG77VDn+hWLlS7n6G5n5yJrj1Irn4lLgxkIkdw4omIuXzCYqZ5G6Waxp
lmifo7rn6cFFZnyJmVlhFkXMqpj/pylkrEbBWwibNPxltkOw2/ea0n5zOmhN
h23pqCMNOPlBsLgnnfCmk/40EuDQIIeFODzMERGOjHJUjBcNcAzIi+8phTgu
znE8YIKSLH9LunFRyt+VCoxhgnBBBC/ex4m3chJEMw8B4ztZmS1v6kcY2wym
2YxAekTpP/SQsceewR9njN98s5UewV+J8DdvCB/pxcEZDspwQJqLclyI4QIk
68X4ph8HxKf0mv2UmQ+4JG1Wwm7EnVrcpcI8StSvREIK3swfkCbiYjgpARFp
DJWFcVmAkHlJmYuSORiplZWYOKmek2k5uYqVy1mFhDd1Vi6zynlWOc0oxxnV
CKMepLR9hK4LN7SjxuaUuT5hqYrbykB7Ycx5L+y+GfRc83gv230XTP6zmsAp
efCEKPTLQvjIVOSn4eiBntj3rcAP9cCBCvBAIXjgLvTj9fiP5+GDJ+CfDiaP
fYtc2IvnfEKW7mbaXqXG/nd37/ksyXWeef4j+2UnYmM3YicmZjZmZ0M7Ezsm
QjPa5cSMpJE04ogSRVEkQZGgA0gRIEg4AmjCNhquYRqmu9EW7X1f7/29deuW
9z69z5OZ55zM6q33ZFbdqrqmL5yCVMX7BSSiu1D1q5PnnPd5n+dfSlP/tLDV
Yex/ejb5T7619ftfjX/rK/HH/nPs1T9ZP/HVtatfW534+uryN1a3/m4p+/B8
8Zez1V9PN56f4g9Pim9OKu9O6B9Omicn7bNT6MKUe3XGuzXrjc7jqUU8t4SX
VsjaGomtg3lwapNkt2ghAZPRlTStZWgj67fyPlfwhaIvlalSoWqVajVq1KnZ
oFaT2i2KOOrwUK5APZF0CktQRCZEIbRTKqERYKwMKHCi6NR+gLHyvAiwiDHM
/M9xlObQCz8Kdgdsu3d0z+/vge/KGBxU4UrEbFODdRAUaFRRgVAO06ZL6jap
GiDwKAperuFma26+7BQKqJBFxaRd2rTLMau6YTbWjdaazq9o0rKqLij6kmgs
89ZK016poZWKs1x0l3PeUhovJcgyM9BYWSOry2R1Aa92nilTeG0Mr93Bazfw
+lU3dsnZ/MTeOmsmPtZTH6npY0rmbTH3Op9/uVU81Cj9ulJ+Ml/5Var66Gbt
71fqD883fjzZ/MHd1veucQ9c4L99iv/2h8J33ha/c0T8zgvSA0/LD/xC/u5D
yne/q/7wG/qjf2k989/RkT90P/gDfOnfGCP/ilv8Z9n0/3wn80+OpP/X7yd/
728Tf/E/Ej/5r1u//pP4m38RO/XXsWt/uzHxnY2lv9uI/3A9++hq6aml6vOL
zcML/Fvz0nvzykdz+ql58/y8fWkBXVtwby16I0t4cgXPreGldbIWI7FNsrVF
UglwQC+kaSlDK1laY5FHraLPlXyh7EsVX676as3XGr7epGaLWhwMiyGeIoE6
InVFNnkhUSxDEQWKAQbl66wM0gcYK5sVwu3QKMzBke0hOB92K7IL7gJG++NC
usWi3HYB7N5OwHYwBseH8KBqw70uMKb7VPV9mfoS67lzDtwpNwxSU3BF8Eot
r9xwK1WIUq0WnGoG1ZKonrCbWxYXN4VNQ9rQlTVNX1XNdclaF+yNFlqvO+tV
d73kreXxaoaspshagqxvkvUNsrFKNpYg+iDW2RtP4NgIjt324jfcrasoeclK
nTfTZ/TsSTX3oZx/Vyy+yZcOtyov1KuHSrVnsrWnEvXHNxq/WG7+fLb103Hu
J7f5H14Rvn9eePBj8cH3xQePSg++Kj/4G/kHTyk/eET54Y/UnzygP/ZN87m/
Qkf+3H3/j/D5/+Tc+rfq9O811v5FNve/jGT/t3cz//RnqX/+/dSffCv5vb9M
/vJPki9+LfHeN7fOPRC/+f341I/iyw/Ft34Wzz0RKx1arx1ea761yh9bkY6v
qKdX9E9WzCsr9o1VdGfNHV3zJjubgRhZ2iSrWySWIFtJmkrTbIYWsmCuX2Eh
IQ0WqMVXfKHqSzVfrvtqw9eaMExtcDDxags+EmAy0ZEojM3KUFiBIioU1Vjp
lNFFwOQEej7dui9geBuwLmNhiAMZZIx2c9zoveHlaydgw4zB+TTCzG77FvQO
fN33NeorxO8870EjiyhvkZZOGgqui7jOe/WW16i7jarbKDnNnNPKIi5j82lL
TFlyAtJJ9E3d3FStuGzHBRTnnHjT3ayBc0OsSDZyNJahm0myuUXiMRJfBzON
+CKJz5L4FI6P4cRdL3nLSd9AmStW9qKRO6cXTqnF4zKI/Y7y1SNNEMm/WGz8
JtN8dqv59HrriUXulzP8o2PC398UH74sPnROeuik9NAx+aG35IcOKw8fUh5+
Qn3459pPf6D/6u/MQ9+yj/y1895XvTN/TK7/gTX2H+SFf1Pf/D/T+f99PP/P
TmT/xa8z/+rh9H/9QfrbD6R//jfp576Wfv1bqePfS176UfLuT5MzjyRXH0sm
Hk/mn01WXtmqvxVvHdsUTsTkszH1Yky/GjNvxuy7m2g87k7FvbktvJiAH1Qs
Df5a6SzNMkfqUtGvsgiaMOOIr/lC3ZdY2rzSDLRWoHO+wfum4FsijFfDwKzs
u51SfE/xsQpFNEq6gFGDgr2JySqiq1uIRB50YUWX9N3C3QI/atJNcOgx1o2k
2QbM3649AdvBGNx+REtZAI0DMwgM3+/8MDrrb+egIrvM9NqkvE44Fm3PCZjj
MNf0uLrHV1y+6AoFR8wjKWcrWUtNW3rKNBOGndTspIKSopPk3WTLS9Rxokq2
SnSrQLeyNJEGy6lknCQ3SHKVJJdIcp4kZ0hqEqfH3MxdJ3fLzl+3CpeN4gW9
dFatnJSrH4i1d/j6m43Ga5Xm4XzrpTT3fJx7bo3/9YLw5LT4q1HxFzekRy/J
j56THz0hP3pMefRN5dFX1EcPqY8+rj369/qTPzZ/86B95AHn3b/xPv4LfPm/
uXf/szH9H8WVf19L/N/pwv8xVfiXZ/P/1+Hcv340+//9LPPNH2d++mDm6e9k
D387+96DmbMPp68/kh77ZXr+yfT6M5nUoUzhpUz1zXTjWIo7mRTPJZVLSe16
0ridtEaTcHyeSbnzadgYdNbtWJZu5Wm6QLPgFuyXWWhDnSXPcCwGMIq9bbHE
SC7Q+cAQAlMMLMm3JR/JvqMAYK7qex3ANCiiQ8Ezx4DqAgYV2GFFgAUHA6yP
MdoNoxlizB+ue8G9+wIWMcYwg35BhzHLD0wadJbdzvZRY6oh2aaSSUWdCioR
FSJKWIRgaCw2PLHqSRVXLjtKyVGLSCvYes4ys5adMVBGc7KKk5XcjOBlOJxu
kFSNJMs0VaSpPPyo0ymaTtDMJs2sk8wKySySzBzJTnu5STc/5hTv2qVbVvma
UbmkVc+rtdNy47jYPMY136m33ipzb+T4Iyn+lU3hxVXxN/PSs1PS0yPykzfk
Jy8pT5xTnjipPnFMfeJN7YlXtCcO6U88rj/9iPnCw/ZrP0Lvfs89+S188a/I
7T91Jv5QX/iKuPEfa+l/my7+3mzxX18q/D/v5P/9k7nf/2XuG4/kfvKz3JM/
yb30YP7oj/Inf5a79FjuzpO56Wdzy8/nNl/OZ17Nl14v1I/lWydzwrmsdDmr
3Mjqd7LGWNaayqK5nLOYc1fyeD1PYp2fVZGmSzRXpoWKX676VWZz3mxEeVki
S5XvJkYGuhgYYmBKgSUHthwgJXBUAMzVfHCZ0KGIwSxNOmVC+Z2yfGAsBAx1
y4Fqg8/hfQBrh/kglO5gbAda7a7LwL3t2hMwYMwLGWM9KduHspiQo3M+0V0f
vNVtqphU1qmsEZkF3MsilnmstLDS8JS6p9ZcreroFccoQZ6XnbdQ3nQKultQ
3YLs5UWc53CuSbJ1mq362TL8nHM5CGbJpWhuCwL0cmskt0zyC7gw5xWn3dKE
Ux61K3es6k2jflVrXFSbZ+XWSZH7qMV9UOPfKwlv54Q3k+JrMenwivTSvPz8
pHJoRHnuhvrcZfW5c+qzJ7Vn39eefUt/5rD+zCHj2SfMlx6zX/85eu8h9+QP
vE8eIDe+gce+as/+qbbyh0L8K7Xs72fK/26h9B9ulH7/ePEPXip85enC158s
/PhXhSd+UXjx54U3Hyp++Ejx/OOFG88Uxp8vzL9cXDtSBP3S26XysXLjZIk7
VxIvF+WbRfVuUZ8omjNFe76IlosOWO+UcLxMEhWartBcFRxQy3W/yryBm8zI
JExdixIjozQ/cFIy5cBSwPEGqQGYS3RKDzw9wEanGGNmBBgYNIVlMzewsH3d
BSxwmZFm6NfaazZi2ptY6zrq7wSsZyiwg66w7u2s9r39GAPM/Gid7TzRTdCk
+TryNdtXTaoZVNOpphFNIZpENAFrHNZaWG96esM16q5Zc6wqsssIlWynbLpl
3SurXknGJZEUeVJo0XwDPuHOD7nzvICgjBwtpiGYsRinxQ1aXCWlZVxe8Cpz
bnUa1Sbs+qjVuG00r2utyyp3XubPCMLHTeFEVfywKB3LSu8k5KMx+Y0V5ci8
+sqk+vKI+vJN7aXL2kvn9Rc/1l98X3/xqPHCq8YLvzEP/9p68wl07BfOyb/3
zv8YX/seGflbb/rr1uJfaOt/JiT/qJ7/Srbyn5bL/+/d8lfOlv7L0dIfP1/8
q0PFHz9TfPzp0gtPlt78VemDx8pnni5fPVQeebk8c6S8/FZ5851K+v1K4Xi1
+nGtda4qXKlKNyvKSEWbrBizFWuhYneO0p2TzmbV26ox87A6zdVpoQFeu1Vm
qAlGrXwgsJAiuT9mTQ4MJTCVwFIDWw2QxhjTGWMGY8wMSKcsKHBn6tIFhRhj
TrfcLmMHAWybMX8bsGHGgr0Za+9arEcQtjvD94TYg9xmdyumC9pa3fYNyzdM
ahjU0KiuEl0mukgMARs8NjjPZNmXdsNFdcepIrdqu1XTqxpeVcNVhVQkMP8o
c36p6Zfq8KTobEjKRb+cp+UsLadoOUHLm7SyTqqruLbs1Rfc+ixqTNnNcbM1
YnC3NP6aKlySxE948WxDOl2VTxbBOOKDhPJeTH17RX1rXntjSnt9VH/9lv7a
Ff21T4wjp4wjHxqvvm2+esQ88oJ19BD64NfOx4+753+Br/6U3PkhnXrAnf9b
a/Wv1c2vCek/rxf/OF/9L2vVP5yo/LfLlT/9qPznh8tfe7n84xfLT7xQfuE3
5Teeq3zwTOX0M9XLL1Zvv1qdfLO68E51/YNa4ngte6peOluvf9LgLjfEWw1l
tK5N1fW5urlUt1fraKPhxBtusuGlm5i5OtFiy+98FDVmdtgSAl4AD95eNlGU
49cBTIUCoX2YGNkBzIDyTChsRYARO6CsOltp2FBD9QMG1Q6dWqNu9g7AerEg
UWqD3+cmMMRYMFwHACxkjDU6ATM/WltReOj1AsvxTcTK9k3LNw1q6tTUqKlQ
UyamRCwRWwK2eQ9xHmq5TtNxG47XsL2GhRsGrmukrhIwemR+7J0fb5W5GVc7
G5IypC9Wc341Q6tJWt2itRipr+PGqtdccloLiJu1+SmLHzNgvOKGKl2V5Mu8
fKGhnK8oZ4rqqYx6IqF9FAPXuHfn9Xen9HfGjHduG29fM96+YB49bR79yHzr
Xeut1613X0EfveicOuR+8rR39XF8+xEy8RCZe9BZ/jtz49tq4m+E3F81yl8t
1P4sVvvvM7X/cbP6tbPVr79T+ZvXKz95rfLEq9UXD1fffKX6wcu10y/WL71S
v/l6ffzt+tz79dXjjfipRvpcs3ChWb3cal5rCTc5eZRTp1r6fMtYallrLTvW
crZaboqDHWmeg/W8BH5Ofk3wG2LQEgNeCoRuaMxAwJrGAAu19gYTLED4LWPM
YozZUVHEXObCcqBCGU4IWDAAWF+Rwbb2EGDDjO2ga4CxPenqMoYZYx7DvbOw
Omz2F2GQbUM5vo182/Zty7dN3zaorVFbpbZCoGSIikYipKy6vOe2XK/l4JaN
WxZpmaSpk6ZKG4pfl/y64Nc5MPaGHIwai/QsQSY2ZLCnoXPX3CKtTdxa97hV
h19CwrwtzljipCGN6vJtRbkpwmD1lYZ6qaJ9UtDOZfQzCf3jmHFixfhowfho
2vhw3PzwjvnBdfP9S+b7Z61jJ6xjx+z330InXnPOHHYvvOhdO4RvP03Gf0Vn
f46XHnLWf2TGv6+mvysWvtWs/nWp8Zdb9a8v1L8xWv/m5dq3T9S++07tobdr
Tx2tvfRW7a036x+8UT/9euPSa80bbzXHjjVnP2oun2rGzrWSF1q5K1z5Ole/
xXN3BXFUUKYEbV4wlgVzXbA3BZQQnLTgZgWvIMC2ITTa6XwgDclvyQEvg2W9
xFKJouQrLZrnCPNIo0hSsxt+G2oJ7chcjqAuY852gTWr2zVo/WyA9TvvBHsA
FmF2H8A6FUSd9PB9wMObiWkdJttGboCcTsGsE7Jhqg4ZPtIp0lipxFGII2O3
U6LnCR4WXCw4RECEtwhvUs6AudKW4jfloCmC8z+Y2jIfNci+LvvNot/M+60s
tIa5JAGhS8wT1h1xBUlLtjxnydOGMq6ro4p6V9RucdqNhn6tol8p6BezxidJ
42zMPL1qnl40T82apyasj0eskzetk5etE+chZ+04jM8554+6l173rh/Gd14k
48/Rmafo0mN47RG0+TMz+RM1+0Ox9L1W7Tvl5reSzW+vNB6YavzdzcaD5+s/
+qD+0Pv1p99vvHKscfRY48P3mmfea156t3Xzndboh9zMSW7pLLdxgUtc4bPX
+eItoXpXaI6J/KQkTUvqvKSvSOaGZMUllJScjOTmJK8o4bKMqzIs7OCAAtYU
Aa8EohpIajRfC3Npet88R09uz5SqUcAyaAnbBIUVUAcqdGQNqw8wqK4eJxig
qw+w9u6A9TlW7MnY/QHrMcbgDneEHcZcHGHmuKycwEG+Y/uO5Tum7xidoo5O
XY1AqcRTsCdjLHlEconkEFD+2lQ0qWDAUCmvBpwM6RJ859HAB3wrgHTrus9V
fa4M3To+R4UsEdJYTHrSlivFwPpMWbFhYGfW1KY1bULRx0R9hNPvNIxbFeNG
0byaNS8nzYub1oU165Ml65M56/yUfW7UPnfLPnvVPnPBPnManT3uXPjAvfKe
d+Ood/d1PH6YzLxIF5+ja095scdR4jEz84hW+KlU+QnX+EG19f1M68GN1g/n
mj8ebT50tfmzM81HTjafOdE8fKL5zonW8eOts8e5y8e5m8f50eP89Gl+8RNh
7bKwdV1I3xILd8XKmFSflLgZWZyTlUVFW1GMDcXaUuyUgrKKk1fcouKVFVxV
Yf8QulMw24BA1AK5O2WrhQNDbJ6jX24filUjvSqTEwJgDhTtlNvuAeb30RUZ
TfeKDBb1e+qJbZeKAa+KfRjrnhoPxBjpMobDgweJpk5cj5UbuA4r5Lu271q+
a3aKugb19E4RTyNYJVjBRPGI4lLZoTKicKdmwSCpqAedj1FQAkGGjUfnDNU5
qgutQGj4Qs0XKr5Q8kF1kCdSFstpT066StxRY0hds7VlS18w9DkNRvWnRGOC
M8ca5kjFvF20bmbBSfVa3L66bl9Ztq8s2JenIYTo0h108TpkRF4451w+5V4/
4d3+0Bs5hifeJrNv0MXD/toLJPacl/g1Sj9l5h7XSo/JtZ/zzZ/WuIdy3MNx
7mfL3M+nuEfvtB673Hr8bOvZM60jZ7h3z3AnznDnzvBXzvC3zghjZ4Tpc+LC
RXHtqhi/KaXuSvkxuTwp12aU1rwiLKrSiqquafqGZm5pdkpDWc0paG5J8yoa
rmm4oRFwDtApH81zB3J30FY3IZUjiiG1umm3dpSrHOpVI+vCsFwAjDHGHFlZ
McFXBFiwK2B0oO4D2DBjgzcTB2WMdBnD0Q0dMAblwagmlBN4yPdsVhYrk2KD
lU6IRoiKqeqxcqmKYGpBsXzZDCSWxNR5FoA1Ueisxkz7mJuaL1VZL7hE5QJR
8ljNemra1RKuFkf6hm2sWsayYSxq5rxszorWNGdNNqzxKjhb3s3Zt1PgOn4r
hm6uopuL6MYsuj6Jro041245V6861y64t855d097Yyfx1Edk7hhdfJuuveFv
HiaJl9z08yj3nFl8Rqs8JdcfF7hfNPhHC/wvkvxja/yv5vknxvmnbnLPXOQO
XeBfv8Afu8B/fEH45KJw9aJw+6I4dlGavigtXJFXb8ibd+TUqJybVEozSnVe
bSyq3IomrmnKhq5t6saWYaUMlNPhtrCsw1m7buCmQVoG4Q0ajnTL3TlIzWzr
Vtuw2jA21JXbo64aOszuZnrVLmNulzFvGzC/K/jq1f6Ate8LWLA3YAdmLHw8
9+5NwvtfDBOa2GPlBtgJMOqUD2Wzsig2KemUQajeKczKYzJMlomp2vDRKSyM
SWFZOeBIJEWGanIL2nNy3VeqvlqhaoloBazlPD3j6SnXSICRo7lumWuGtQJO
aNaCaM9x9mwDDC0nS2g8j8bSiMlq0ciac3fZuTPv3JmG1NFbd5xb1927V7yx
i97keTxzhsx/TJY+omvH/M23/cQbJH3EzR5GhZfM8gt67ZDSfEbkn2qKT5SE
JzPC05vCr5eFZ2eEQ6PC8zeEl64Kb1wVPrgqnL4qXrgmXrsm3bkmjV+XZ67L
i9eV1VtKbERJTqjZabU4p1YWtcaKxq3pwoYuxw01YehJ00ybds5ERRPuDKum
1zBx0yScSQQTthPdacjuHKTdNuy2ySaH+kX3rtOniWaKQtKtDmDbjOGugXk/
Y6SrK9wNsAMztvsV/sEYo13Goup1F2AKuI+xsBC4tRCblUWpyaqDmREKl8J7
W8fXEcxdaRYbU2bzwSqLywHLK2aopnKB2gxAZlCnWpXqFfA6NgqekfPMjAsz
hlvI2rSsDcNeV+1V2V4W0RKHFhporoZmys503pnKOlNJZzLuTGw4EyvO+CKE
jY5OuqMj7tgtb+KGN30Vz10ii5+QlbN0/WN/87ifPEbT7+DcUbfwBiq/ZlUP
642XVe4FSTjUkp6rSIdy4m8S4vPr4ouL4svT4uFR8chN8a2b4kc3xTO3pEu3
pBu35bu35Yk78uwdZfGuunpXjY2piSktM6sVFjSQz63prQ2D3zSkhKmkTC1t
GlnLyluoaDkVy61ZcKvTsnDnTCRYsGvtTqr5Wm9GDbVN1A5nO1CfIDqSE7pd
xryoIsbwdkUm+d3aofwaVrDeB7A9GkQHZ6zvdDGMGWOMeAFxu+V0yodCPrU7
RakF5VvENzErzzfdaBSGTY62dcj8auuhjQezIwJPNTE07Qv0lq83QJIH6uIK
NksYRnJyrpV27KRtJyw7bqBNFW3IYPu2yoFR6mLNWSg785Cm6c6l3dmEOxNz
Z9bc6SV3at6dmnYnx7zpETx3Gy/cJMvXyOplunGBxs/6yVN+5jjNfYALx9zy
O6h61Kq/abReU/lXZellXn6pJr9UlF5JS4fj0qur0msL0htT0lsj0jt3peN3
pXMj8uUR+eaoPDKqTI4ps+Pq0ri6NqHFJrTEtJ6Z1wtLennVqK0bzU2T3zLF
pCmnLS1r6Xkb+mslG1WQW0NeA3kthHnUORkRCcHeVUFgJKF1x9QAMKdtdWc7
erLoCLBtRWGXMTCU7mOMDAAW7Cot3Jbn7MrYfVrcn5Kxe/0nWNotNmDO3jtj
jBV1u+X4UAjKtykrsNTzrVB36UZzMJ3fY2fZ7+wuOptYgyV/GRrcYBsy9ON0
ITD4wOB8swWaT5AWV9kwThFMj2FEOm2jlImShrOlOXHZiYnOBu+uNd2VOnjX
L5cg8GUp4y4mvYW4t7Dhza9AHvfcrDc3hRfG8fIoWb1D1m/Rzet064qfuuBn
zvn5U7R4EpePu9UPUP2Y1XzX4I5q4puK/JqgvNZQXivLr+fkN5LyWzH56Ir8
zrz83pT8/rh8Ylw+P6FcnVBuTSqjk+rUlDo3rS3NaGsz+uasnpgzMgtGfsUo
rZnVmNnYMrmkJaQtOWureVsv2mYJWRWEqsipOW7T8TgH853Tt9M5g1PFoWyQ
CBb/vhGidk99H+nuhyWroeArAox26QprgDG6g65+65OeBOxgIp1Pz9g9xpi/
F2NdzKjXV4CZ7zusOowh6qOwMdDrDTDMOp9S5/fY2Vd0tq+dU5JpgEOMqbEW
iQLdXlMMQB/F+xbHRMUNYtdgEgeVPVR0Ud4Bq4eM6aQNJ6W5CcXdEt1NHnye
1+veetVbK0Nk1WoWch5XEt5yzFte85aWvcV5mNNYnSLrEyQ2RuN3aeKWn77u
Z68EhQt+6Twpn8HVU279JGoet7kPTeGYLr2rKG+L6tGmcrSqvF1Q3sko724p
xzaUD5aVD+eV49PKyWnlwrR6bVq9PaOOzWrTc9r8nLY8r68v6JuLRnLJyCyZ
+VWztGFV41YjYbVStpC1pbytFJBWQkYFmVXHrjuo0WHM9TgXLhJFl8gu7ZzE
O6ekziZWdyPLkuHxjiFZ9LaisJ+xez3A/D66IjOdvQHbT2b4BTB2r4+x7ep6
FwwwFvr/eN2CO5gIs+3mE2K9AcSU453PB1Z7tqkIp97htodNolta21JBsmJJ
AQjwBN/mmaK4SVCDzRJWPKfEBvALtps33azhZjQ3rXhJCeydt1pevOGB3rHi
xYo4lscbGchEXo/jtQ28ugoTGhsLZHOOxKdpYpKmxvzMiJ+7HRRuBOUrfuUS
qV3A9fNu84zDnbL5k6Z4XJc/VNX3JfUYpx6rqe+X1A9y6ocp9aO4emJdPbms
nlpQz8ypF+fU6/PanXltfEGbWdQXlvSVZWN9xYivmMlVM7Nm5detUsyqbNn1
pN3K2HwOSQWklJBacfSqY9Ydq+Giputwrsu7cF8teR3GCAOMsjkP2Gn0BPjD
6vtdVKvhlzSkK2z7fXQNM+bvUp8LsP0Y234FuzPW/7PwO4CFtY1ZrxsW6kdY
/8kJVb0e/PrCUVGYSLajex7bZJ0RHdzUbAVkUaC+E30kgGQdRm+aEBDgVj0Y
vS8jcKopml7BAAvBrOJlJC8t4CQHiRtM7wipjlsFiELeTOPNBI5t4tg62Vwl
W8skuUhTczQz4+cm/fy4XxwJyreD6g1au0YaV3DzkstdcPjztnjWlE8byklN
Oy5px3nteEM7UdFOFLSTWe3jpHY6rp1Z186taJ8sahcXtRtL2t0lfWJZn1nR
F1aNlTVjY92Mb5jJmJXZtPKbdiluVxJ2PY2aWcTnkVh05LKjVh295hgNF2QD
nOvwnit4nhgy5hHVo5o3wJjtbcd0O7spowcEX0OMRaqcQcZ2Q2ubsb0AOyBj
u2N2bx/Gdscs6GHWd4XcZSzsP7kk+kwcL1rkw1FROH133Q5CmyukgSAKKZDT
5Ei+I0LKicuzEcImduseGDtUEUSMlS2vZOCChvMqWDpnRQhByLRwugFBUakK
ThUhaDuRIYkkTGUkYiS5TtOrNLNMc4t+ft4vzvilqaAyHtRG/Pod2rxFWjcw
d80VrjjiJVu6YCnnDfWsrp+W9VOCfqqpn67pp8v6mbx+NqOfT+qfxPULG/ql
Vf3Kin5jRR9Z1SfXjNk1Y3HdWN0wN2JmfNNKxq3Mlp1P2KUkqqRQPYOaOYcr
OGLJkSsOiOvqrtF0zZYH4gHBc0TPlVhnRMFwr6jhzqmchocmKxLgQw0ztodq
tV/zNShf7XNr2rWCIUvNzwTYMGO7vMLx3q4hxgBjtP/xHt0ZB7iPMSgK1tlu
qLJkn0a4vIenISecdw9vqi3o6oKEQAc1lKMGoB+WfVeCiRtXgAFVrwXj9uDq
UEdgtFW1cMXAZR2MdgsyyYskL0BgUK4JOaHZKmQfZwoknSPpNEklSGaLZjdp
boPm1/ziil9a8ivzQXU2qE8FjXG/NUq5u4S/jYWbrnjDka4h5YqlXjK1C7px
XjHOicZ5Tj9f189X9E+K+oW8fjGjX0rqV+L61Zh+fc24uW6MrhuTG8ZczFzc
NFfj5saWtZWwUkk7k7LzaVTKoEoW1XNOM+9wRUcou1LVVequ1vD0FlNACR4S
PUeCDq+nYKx2GIMbbLj8gUhbEp6eQn10sJc4OgKM3hvWfO2mLtyTsWBfxg4O
WPs+gO1gDIruqJCxfsyg+nqcrAW1jVlvPDS8OXTRNmPMSo3J7bQAxMOKD7M2
Epsc5AkM2rcgjQI3EK7bYBhYNcBft6yCYXhJgpygIk+KLQgJLdRIvkJyRZLL
k2yW5tI0n6SFLb+46Zc3/MqaX10JaktBYz5ozgbclM9NUn6cCKNYuuvKtx3l
JlKvW9pVU7+sGxcV46JoXOSNi03jUs24VDYuF40rOeNqxrieMm5sGbc2jdsx
Y3TTnNo05+Lm0pa1mrBiSWsrZafSdjaD8llUyqFK3qkXnGbR5UquUHGlmqc0
PLXp6Zxn8p4lYlvCSMaugqHPqxGsEaIPMtbV4EdPh2FxNItaIHRPxgJ/uPoE
hrs60H0+wNr3AWxXxnYlrYcZ6evhD7Y5WYWrOjsBbWOGIuMWN7JSAzGnpwee
BhMQnsIGBiWCBTZlz3tgStMK5+0scD2t6eATXlFIRQZlTJmHYNBSExLbi1Va
LMOoTyFHi1laSvvlpF9J+NW4X48FjfWguRK0lgJ+PuDnfGGGilNEmsDymKuM
OOodpN229Zumcd0wr6rmVcm8KphXW+bVunGtalwrG9cLxo2ccTNj3k6Zd5Lm
yJY5tmVObplzCWspaa2mrFja3srYqSzK5lC+gEpFp1Jy6mW3WXG5qitUPanu
yR3GWp7OY0PAEWMKcVSQEwBjOiFGp+AqOxTj+30S6cDdRbt6b4gxn+4p+xpm
bLizvRtjnxaw9n0A6zF2AMyGm/akj7HtTicewAyuDcMOCIpEKSB/ChkzAph9
0HyssoFBicJwvYjBjoZ3wVyLs8GLsmmCdXNdg6QDEDtKkNUIqaAtSImt1MC3
tlyi5YJfyfvVrF/L+PVU0EiA/WMrFnDrgbASCEu+uECleSrPEmXaUyZdddzR
xpA+Yht3LPOWYd1UzRuyeUMwb3DmjaZ5s2berJi3Subtgnknb97NmiMZcyxl
TiStyaQ1l7KW0vZqxo5l7a0cSuVRtoDyRadUdioVt151mzWXq3tC3ZMantzE
Koe1DmMiNiUMirseYzqBhi9ryUW32UOMDemju7fkXcb21RUOMLaP/ut+Ax/7
1v5w3Z8xf+hyZQdjYQ20OUn3fB3eFrpdzFCEGWYaTmxGgw8wX6OxcVSFDddL
mNnRQO4JOARyzFO3ZYD/PBM7gu6qIbI8UI7WmrRWp9UqrZb9WsmvF/1G3m/m
gmYmaKUCLhHw8UCItaX1QFr15WWqLBJlAatznjbj6lOOPoGMcdsctay7hnVH
tW7L1m3Rus1bt1vm7YZ5p2beqZh3S+ZI0RzNW2M5ayJrTWas6bQ1m7EXs/Zq
zt7Io60CShVRpuTky06pAqPN9ZrbrHtcwxOantjCModVHmtChzFiysRSiK0S
RyOuTj2DgrSgw5gFBbEdTI/vd2X40XY3+oQHlF/3doqjd2dsX4Fh+37THnui
df8nZD9j2w/nXfeGdEebK6xtsRsNG+r3BhjrwyzUCeDQRM3uatHNACZrgDGf
jTwz6wYZg9ORxKzbBAQ2p7zFlI465TRQXLVkyACFOGMehi4g+brmN6owDdss
+a1iwOUDPhcImUBIgcuoFA/kWKCs+8oaVVeItoS1RU+fd41Zx5hG5qRtjVv2
qGGPataIYo2I1ghv3eWskaY1UrdGqtZoxRorW+Mla6JoTRas6bw9m7Pnc/ZC
zl7Jo40CihdRsuxkKk6+6pZqbqXu1hpes+lxLU/gsMhjWcCqQDSR6FKXMY0i
nQnwQsYYYMTutk4ixlixg9Wu2tVdABvSrt5fYPgp5NL3vQPbl7F7Q3vAvTEb
atr7/d10tkkg97qdTlY9xtyuFoXpNkEkHGHGxgN1nw3UM28QhTkdwdwwM58U
bfBqFkzINYCUFhXizCCcUWSB7KGmtgGyWq4a8JWALwdCMRALYGMrZdpyqq0k
AjXuq5u+tkG1daKvYmPZMxZdc96x5pA1Y9tTlj1h2OOaPa7YY5I9JlhjnDXW
ssYa1ljdGq9ZExVrsmxNle3pkj1TtOeK9kLRXiqglSJaK6HNspOsOJmqk6+5
xbpbaUCoUIPzOA7zPAyiyiJRJZjk0mViKtRSacSYQV2TelaHMdCxEAYYdbqX
213AgiHA9hPg31f59Rm10l88Y3staP5ujHX+M4l/r7cRjTDD25hBhSqUCDMm
QbfZxFY4GwiYUZAHAWYYZtMVFzwnZcRcmi3mOW+wfBaNxZnJLF5W9HkephP5
pi80AqEeiLVArARSOZCLbbnQVnJtNdPWUoGW9PUtX49TI0aMdWyueuaKay05
1gKy52w0Y6Fpw57S7EnFnpTsCcGe4O2Jlj3RtCYa1kTdnqzZU1V7umrPVOy5
ij1fsRfLaLmMVstovezEKs5W1UnX3FzDLTa9csurcV6Dxy0B8yIWJSxLRJVh
YFBXqKlSS6O2TpFBHbPDGCjxQq0UqFlYIxh6KKyiCyLcTbzaXR99cOXXHlLW
LxuwiLEDYtYVg/Qx1t0V9I457FawfynrMQZSOhAGsxmHcGLL6s44G8wSRCfM
RMuLDCeVrkuzDGJH0NRKOsTkQSCjDIHFLHIdsrClVgBuEXXw4laqbbXcVott
rdDWc4GeCfS0bySpkaBmnJgxbG141pprrzj2EkILNpoz0ayBZjQ0rdjTkj0l
2lO8PcnZky17smlPNeypuj1dt2dq9mzNnq+hhRpaqqGVGlqrORs1Z7PmbNXd
ZMPNNt1CyytzXpXHDQG3RMxLWGQhVopCNJXqGox0WXrIGKjWXSuSfWIGGDDm
spSrMISoX8r62dSF+9P128xYqAfp33b239VEl8+9dm0ocOpKgiPGGGbRaHNo
1BDazujMpY25TTLvXFA6sjgD01cMUL2HGXnbmtpuTjEEyDYDtd7Wam2t2tbL
bb3YNgqBkQvMrG+mqZmiVoJYcWxvevaGi9YctIKcJdtZNNG8juY0NKegWcme
Ee1p3p7m7OmWPd1k1bBnGiCOnGug+QZabKDlBlppOGtNJ9YEt5hEy0213EzL
y3FeifeqAjjPtCTMy2DdIKtE0YimUV2HyUHLoLbhIzNizO0whvoZC8KUq7Ci
q8hdFawHUX7tT9fnYuzTvPZibBfSdqomd8WM7IdZNJ8VDgOGc83MBiQ0NYpk
jroHXqZgnBsqHW2Wl8HEjqCpZfGLcqipDfWOYYBsq60323q9bdTaRqVtlsGU
2yz4Vt63stTOEDtF7ARGWx7adJ0Nx1lDzorlLJvOko4WVDSvoDkJzYloVrBn
OFYte6YJNctqrokWmmixhZZbIGVb55wY58Z5N8m7acHLCl5e8IoCLou4LuGm
THiFiCqRNaLoMGKvQ2IatUwYIUQWDODAfETImNMpUOgBY72mMN6bsQOqC/dB
6x+SsfbAhdw+sA0PFoSMbVf3nrkPsz5pU6gEDsdntjELx+dDtxkCHhtgztb1
MtWZM7POxI6axRJ/DJgNixIYlW6GrBhEAbIcZMiazbZZb1u1tlUJrHJgl3y7
ANbcKEtQhqAUdhKeE3fdmOOu2+6a5awazormLKloUUYLEpoX0RyPZjkbqgWY
zbKaa6H5Flrg0BKPlnlnVXDWBRaUK7pJCRr2OckryLgk44qMazJpKIRTiaAR
SafAmEF1k5qmb1kwqYpsmPMCxlCHMSYwZirQnoYq6g7jYPvqe8cito3Z7oB9
5ob2FwpYyFh7P8b67oD3Z6wPs22dSU+c2ROch/NZEWb+tsGGHdqy4Qgzk3ky
h4Jao5vGApFSDLMoflHZDpA1WICsyUGGrNVo23Vm/F4NUNlHJR8VqZMnTpY4
GeymPDfhunHHjdnuhumuG86q5qwozrKMlkS0IKB5Hs1xbHigC9gs/CP87ws8
WhKcZdFZlZwNyd2U3S3ZTYUpuWF8qcqG2zTShNkjIuhUMqhiUM2kugWz9pYN
A9EI+Q7qAAYDX56zzRgJGespEEiv+hU6g4ztVEZ/XtHEFwpYj7H2vd2g2lnB
DtJ2ZYxua5l2YMbGS3vz8j2HGbsrc7Qipw1WThReADL3ME+K5eKx7EWW78kC
ZKMMWaFt822ba6NWGzUDVA9QLXCqvlOhTgkc4N08drPYzXhe0vUSyN2y3E3T
jenuuuqsKc6K5MDMgACL1TyH5loDjM12wOv8XyJa7PxrsrOqOBuKu6m6Cc1L
aV5W8/I6Luq4okOuZMMgTYNwMHhERYPKJlVZ8qNhM8YQY8yJhgohpM+NsiDD
OMiIMdLNhST7qcC+BGHOFwrYAGO7uZXtyliv9lvKaJ8yszcjE8799QaZI+uP
0CmLdG02+tW0LksuQFHQD4RJMczC4EUI9+wLkLWlNgpzirm2A1HFLF+g5rtV
6laoWyJeEXt57GVdL+14KdtLWO6W4cY1N6Y667KzJjorQuc5iBY5tNBCc+E2
jD0uO3uzWQHNimheQguys6w4q6qzobmbupswIG47a+KCCbbMFZPUWOxfKwpj
i6JFO0cXsKZBvgX5jz5iEZAwu+pGQZDYG2QMAOuKXobEhgeR53zqhvaXBti9
wT/j0zIWVfd6eZCxQVX5NmZBH2bsqtGhw2raELOu30aE2bagtqupDcN3bJYe
CyVDSDGkV/BtlwvcVuA2fbcRhmJTr0K8EsYFD+dcnEVexvZSppfU3S3NjStu
TIL91SqPVlpoCfb2nVMkMNbZ8MMBs3PS7BwEJDQro3nVWeo8Wzurn9FZBjug
emnLy9m4YOOyTao2+DM3WR4bC2PrGzxiAaOWAxmjiA3gA2NhEGSPMQCM7WF7
uukhQesBJWBfPGOf4zXwJ/X91Z+Bsah6ArldMesfkx+Q0oKato1IOzTIDaXG
iOnaI0FtT1NrRpraruSx7aiQUOzIkJDiQhY2i8PmWIZF0/ca1KsTXCW4jHHJ
wwUH5xHOWV6mswTpXlKFPdWm6MR4Z72FVppoqYEW6vZc3Z6pw8XFVJNdlwn2
lGzPqGiucwg1nGXLXbPdzc5iiLx0509zcNHBZYfUHNJwaMuhYVyWxEKM+oZC
/M7jv/PLiRhjgIVhozicAgsP4r0nQL8s4eASsE/V1v6yAduHsd1J22sCbxfM
2sOYRUvZoMzRjeyCoCLb0q6adqegNhqctiJZbeiXBOmxLKHYDYOwWRY25KSw
1HXc8nGTJVnUCKliUnYhz6Jo47zp5QxItUgrnYOhu9U5JHLORtNZraPlGlqo
2nNVe6ZqTdbgtn+cs8ZFaDZNamjGRPOWs4Sctc6pobOv6zx5XZzzcNEjFY/U
PNLwaMujvEdF1++FGA0NhSAP7ESAsTBsNGIsihztJdv6fYAdlLFPBdj9Gfsi
XvszdlDM9mFsGLOuA4MXbPtiuT0pLat+zHqC2mhkuqepDbVoRhTz5Gn3PBaE
DVnYMstJEX2ISuF90qKkSUgdAwBVl1QQLlu42NlB6Z3DoJeRvZTgJjjIT4nV
0VoVLZfthZI9W7SmStZ4xRqtW3db1l3RGlHtMcOesNEMQouus+o6m56bxF4G
tnm4hEkFd/4W2sQQaiBgKmFfxr6Ko4AZoxv7EQr2nW6aLQu0DfpE+nsyFuwG
2Odi7Mum64CMDWN2EMb84bGF7UnSfhsZ3LNfCx2Depj11LT9ou1eTpnd1TuC
Fq3thQnFYQq2ykoJOpgRiUWlCDRMS+l89Z0VhtQdUkWkYuGygYsaLihwr5Xh
3VTTTdSdzQpaL6KVvL2Qs2az1mTOHC2YtyvmzYZ5QzRvaNZtyx5F1rRrLXj2
Gkab2EkRN9s5TZDOfg/XKGlQ2qKUJ1QkvkTAf14lYfjHQCoDU+t3GesT6QNg
fcm2/iBgO9O6hxn7YhaxL/p1EMaGkbs/ZjvEZ2TQdaFfSusNKrbD6sdsSLft
9usdLcgmxiwCG+tR0jpk8SgsjkfyqUipQClHaIsFpjQc2JPXTFLV4S6rJHsF
wctxbqbuJivOVglt5tF6xl5OWnNb5viWcTtlXM/rl2vGBdG4aJhXbOOOY0x6
xgI214gVJ3aaOvnOoRWOFbhBcQuQhr9RohCiAWnv1NdJYLArZov0G5pvi6kj
xuj2iKu/I0B5r7TuAcy+AMa+hNdnYKy//zWE2YBu3B8cHe1njOwq194p2maC
2hCzAU1tpEW7F2YT4zDpCcKeGGMMMxbH43e+686SAk+uzgaJc2kLMQ03CLhx
VcVlCRd5L990c3U3W3EyJZTMo620vbFlLW0Y06v67TXtQkI7XdJOCNoJUz2H
lOueMk7UeaqvUWPLtzLQR3DKvluD8wXmOitn5y+Fv9pXfF/1fT0MfKdBzzcf
dYcFe2p9PGD+22WsP9x296juQcY+F2Bf5uuzMNbeu6G/D2N0kLEBuXafF26o
dByaDfB6dg9OT/J4D0Jjw8Q6qx3GrHcwo3oApQVU9TuYRYk8IoZQns5Zj0O0
ZcEFaUMjdQVXRVzmQZBTqrvFqlMoOdkcBI1tbZrrq8b8vDY6pXwyL7+bll8T
ldcs/iOPu0T4EV+c85W1QEsERjawigGqBk4Dbks6Bw0sdpbQDuHwHnw98I0O
Y34U+2772475/WbTA4z1JdsOM7Z3s+8zMfYP9fpyGduJGd1Vrt3PGG0PCWp7
Lg9dvWMUF0tYMDHDrBsoFmaKMcx8jS0jSueZ1dkaYQgTDcW1vEU4Axo9DTmM
5sH1lldruNWqWy45xSzKJ6z0uhlf0FcnlKmb0uWL/JFF7hdS85dO8Q2/eDao
3g2a84GwARpILQ/Nd7vWdpptl4fzLGwFGWDwHgzIBoLoFqsX++5Hqdz9wdwR
Y33qsF0YC/ZhbOdzb68v7h9o6foyGQt2MDaMWU+rPYhZvz3V8GwA7nMS6WbF
RqnEqBta18utM9k3q4epTz7siDobbwX7obhWtOHunTegYd1i0TwtAbc4r9nw
GlW3XnKqWVTesgsrZmZKj9+Qlz7m775Re++j8p/pm9+gcy+QlXM0OeYXl4JG
PBCybaXU1mttq8maC0LbkzonjjZRIaKRMsB8KwQs6CW/t/vdzIdcgIcA8/vo
2o2xzyE2/Id8fUbG7oPZwaYC9mKs3wVt20CEJXhCdcOIw9hrYIxhxjLFurFi
BmMsSn3qimvBRrSXy6MRQSGCTAQRCzzmmx5Xc1slp5lB9bhdXTXLM1rhlpQ+
0Yg9nZv7o+XL8je/ax553bl6ES9OkdSaX075rUIgVdtaA3rxttB2JLij81Q4
fcBT2wTs4S3Z7W3AnDD5PTQC3sNmepuxYACwYAitzyM2/EfI2DZpuyu2d2C2
7bQXxd5B8l03Jbafsf5sxCi6jmEGuyCDsljHfnGtDR1qyaCSRiGXRyGShCUB
Sy1PrHliyRXyDp+2+U2TW9K4MZE7XxPeX5aPvWlnvptWXxq3r8y5c+s4nqT5
nF8vg8Zb4UD1YUnQz3JVdotiwOYQ1tXwLSEWR+Ww5He3n7F+n9b+B+VAgHJ/
fXGC1t8NxvbDbG+Phb0Y67enGsQs1Dt2qxdG3A1VB8a2MWPRdVaYLNYNFzPC
COQo+8lXTBDbqDpVNaoqILZXBaxwWKl7StVVSo6St5WUqa5r2qJgTBetO4t4
6pKX+1CWT5fs21l3KY+TJVqsQtIA3wpkIdAlaM1DV0uHyzpssi0ie4LDu+oC
BoyF4e/DgO2hDhsCbJix/U+KvyWAfV7G9sRs38mTPYZPdrqg3RuoXkRsL1E9
ZKyHmdN9JIXpdVY3XMzs8xDVbF+zfFBzGSB+1lWqK5DLo/NYa3l6wwOPnTIy
c5aV1iC+IVbGsS2SnCO1cVsZU+15zt1o4kwLsnmagi+IEEKjKSACsXXobXkm
XKd0TiLUhud49MbCcD1mOQ2M9Ye/H4CxgypbfxsB+wIY2x2zg04FDAw47TIb
QAfNj7o519uYMXFtlI3odNPr+gPsIuEjeIhCS9pAIOIK458gmifM5ZGIKRJT
wFHwU81BZdsta15RxLm6XyxAxDwf8/R1G8V1L62Qgkxrss8pvqiC9lvTQG5k
h1ENkNAAB144jzjRDyHwuoX7AevZaO4ucd0NsH2/it9GwIYZ+8KWsv2mAvYU
be+KWZ+sdhAzfC/w7kVfnNtL4Qy6mPUktiToeoj6Jot/sphQ0LJ8y4ApIUul
FgvlscNQHt4Dq8OmjRs6qcu03lmu6hD5reSJmXOdPPJKJqnB6Lov6L7MXPUN
MzBZYENoow8Xd+GxN3yge923iruM7RcBv5fE9QBfxW8jYF8MY7tgtuN+sN93
9D6DAf6w1dEQZgHuVd/6EGHWL7Htah97cjTLGY5/QgaNonlYLg9YNokeuGiK
Nnib8yrkVkC4ZDPQ69SuEbfm4YZDWjDA7kvM8Vy3gsjr3I5czmFimV2w0O56
u/2G96JrFw/NHf6/v6uMDZP22RgbxGxPjeOejB0Ms+0I9d5X1o/ZdkhiEAzY
iIYeokzy2B//1I3mYSPbLJrHiwJTXKogChkWbApKlSEY1xR8xIMXHzgLiXDZ
5isIJqcMFPQbnbtO6J4P1yzAWLjkhsXefBvqAC7An0EX9lvNWP/rszE2mJa5
t5R2T8Z2YtZHWiR8JIPVH3XQO6+5UU5ie9tGlDGG+uOfHH87modlpkSxKZCZ
wpIs2PGABX8YbUj6Y3m4jgxuaUQGzwS4ctPYYIvJPIJRn8U5uy5mly29x3rf
297Of98B2JfpMf3b9ep7Z5/uv+cgjA0phPZnrE9WuytmfTsc3GUsiuPsRiVG
MXY40gSGEnoW/xRE0TyQmQKxKWDQBD5gJEoZgIEVpu8G1S1LKfXCsHjmztEV
7IAiLHIH7tlPA2O4yxgZXIFpP2MDTZH7APaPlrFPXZ+WsV1HUPZQb+8krSdK
62HWZaynS3NDCU0o1vKGEqCidJ4wOSWMtGBmhuHYClN5h362oSLSM7s+MAbM
tjOpDsjB2qjr3LrtC4wHvID733wfXQN1H8A+O2O/pa/Pi9l9GTu42HE30uA7
Cnc1w5gNxnH2KdK6itNeAhQL6Oklp3R9magfbeC6Bt2OE5lAstRIlntrMReF
SKfDbFudPttWPOg6PegCzN78zgj4kLH9P7gDbVh+ZwC79/kYC08On5GxfUlr
Dz1oaHsHZkNOol1FGmuxB72gsf6AnjDVomvKtL2H6z79usq1MDKyF6zczYXv
F+n0mwJ3U+AHGNuZ/97ncrjfVuOgm+LfGcDufW7AwvoCMdv+OuiOPTPZVWU7
aCO6/d33QqD6wlOiVIvemFRP8e31hEXutvvQdmb3diL8Dj/NITvgPSyAh07j
exyc/jECFr4+P2P3J20fxoaVtbtitrfKtj8wcWeXvReesm1g0ucGv/2I3c71
6E9YY44KA2ndwwodOuxAdxAL4B2Mhf6Gn42x343XF7KUfR7MBlWPu5K2U2i7
g7H+Gs6BwoPZFj1D+P7lryf96PeH6QXd7pLTvbvFYT9jeygJdgNsjw90P8Z+
x15fFGP7IbcXWruIa3fWbirbYbfa/i57H2ZRfgrps2AagKXPgLTXkx8IiGRz
fIMRtweIgN9HEbUHXQf5WH8X4dp+fRmMDfN2vw9/b8z2VtkO6zn6ZzFIezAk
rWu+NKzMHezMbydeDeRC7qKb2C+e+/6MfbrP93di9fr/AZcwZK8=
            "], {{0, 204}, {204, 0}}, {0, 255}, ColorFunction -> RGBColor], 
           BoxForm`ImageTag[
           "Byte", ColorSpace -> "RGB", Interleaving -> True], Selectable -> 
           False], DefaultBaseStyle -> "ImageGraphics", 
          ImageSizeRaw -> {204, 204}, PlotRange -> {{0, 204}, {0, 204}}], 
         TraditionalForm]], EdgeForm[None], GraphicsGroupBox[
        TagBox[PolygonBox[CompressedData["
1:eJxNm3V01UfXhXPvD3e3oMGCBQlO0QDBA4Hg7u4uwSluhQKlRYsXCsXdnUIL
xd0dSpGi5T17zfOt9f2xV0/3nXNmZj/DhVSytO4R2d0fEBBQ1QsIiGF/9Zn0
95lNmajto4AseKq1LghPdUxTVjzVsUzZ8FTHNmXHUx3HlANPdVxTTjzV8UzB
eKrjm3LhqU5gyo2XxpTWVMxUlDqdqTheIlNiUz5TXuokphA81UlN+fFUJzMV
wFOd3FQQT3UKUyE81SlNoXiqU5kK46lObSqCl5ozF8XTXRKa8nCnhJw5L57u
EmgqwZ2CuXe4qbIpvSmDqZSpJHVG0zd4meBWxlSaWtzK4mWBWzm8ILiVx8sK
twp42eAWhpcdbhXxcsCtEl4o94401eEu6TlrCe6ie1fhTrm5d1W8PGRRDS8v
3Krj5YNbDbwQuNXEyw+3WngF4BaBVxButfEKceY6eDnJvDJ3Kgy3utypCCzr
4anWu4vCK849G5jqU+vuDfHKk2NLUwt6i7M2irXi2IieUrBtjFcWTs1NzajL
M0teaTg3NTVhL3FqxZ5lmNGMNWFwa82aGuTWxdSZDJRFW1MbanFrhxcOt/Z4
VeDWAa8anDqZOjK3q2miaQJ71cLrQi0u3fCqc6bOzKjImdpw5gi4daenNix7
4NWBW0+8unDqbepFrdz74EXBoi9efbj1w2sAl/54DeEyAK8RrAbiNSHnwaZB
1Mp+CF4zuA3Fi+SMvThzc9gOY01LOA03RZOBshhpGkEtLqPwWtATzYxW9Ixg
RmdyF4vx9IrjaGa0h+VY0xhqcRyH1xEu3+J1YuZ4vHbMGMNMvY1q9HWAsbhN
CnBvYotpq+m86S8YitsU02Rq5TIVrydZTcPrBcfpeL3hOAOvDxxn4vWF43d4
/eA4C68/HGfjDYDt93hjuffPpqXUuvcyvCFw+8E0j1oc5uMNg82PeNFw+Qlv
OKwW4I2A60K8kXBahDeKnBfjjSb7JXhjOPNSPL1JvcO5pjnUQzjrXO4ilsu5
0yzuvdH0W4B7N+K20rSCWixX4U2C22q8yXBbgzcFbr/gTYXbWrxpcFuHNx1u
v+LNgNt6vJlw24C3iHvvNe3hLhM463LuIpabuNMc7q13uJlaWWzFmwe3bXg/
wG073ny47cD7EW478X6C2y68BXDbjbeQM+/B+47Mf+NOi+G2jzstgeV+PNV6
dwfwlnHPQ6aD1Lr7Yby15HjKdJLeZaw9wFpxPELPSjgexVsDpxOm49RrmXWC
teJ8jJ51cPqdPVcz4zhrfoXbadZsJ7dLpotkoCz+MJ2hFrc/8TbC8izeZrjp
u+QczMTpQoD7jtF3j75j9C4nsZe4XGbPnXC5greNM11kxnrOdIYz74LbVXp2
w/Ia3h64XcfbB6ebphvUyv0W3gFY3MY7CLc7eIfgchfvMFzu4R0h9/t4R8n5
Ad4xsn+Idxxuj/D2csYbnPkEbB+z5hScnpqekIGyeG56Ri0uL/BO0vOEGb/T
84wZF8n9nektveL4khnnYPmP6RW1OL7GOw+XN3gXmPkWT7P0Nv5m5iW4/sue
l+H2Hu8K3D7gXSOHT6aP1MrmM949cvXsByu/z/VeY+0H1orrF3puwvU/vDtw
8+kHM5+rNVOz5N2C+1d67sMths/teZsZ6v3KZ+IY0+fWvOTuiaxO6HMMxSG2
1bF8rhabOD7nPYFLXJ/znsIqns95z+GSwOr4zNTsvKY8PsdIXJJYndjnanFJ
6nPeCzioTzMe8q50Fp35Ge9Gs7Xnazgm87kZb+GWwurkPsdIOae2OpXP1co+
jc95AeSYyZTR5xirR2tT+txacUzrcz2f4JTO57z/yD6D1enJOIBZ8j7DMdDn
et7xjjRbZ3zDW9RZk3EWsc3MmeKRYy5TMBkoi2ymrNTikh3PD/cszIhBj9YG
sVbcctATB2458eKTe272TADDPHhxOVMwPR57BLHnb6aNpj9Nf8BYXENM+WCk
exYw5YeRcihkKkitbELxAsm1pKkEvclZW4C1YlWYnlRwLYKXltyLm4pRBzKr
OGvFtSg96eFWij3TMKMYazLA9hvW5CCHSqaKMFPuZUylqZVLWbwsZFUOLwg2
5fGywSXMVIHskpJVCHsp+8rsGQyncLzsnKkiMzJyptKcORccq9CTG7ZV8VTr
12o1vBD2rmmqQa3ca+EVgEUEXkG41cYrBJc6eKFwicQrTO518YqQcz28omQf
hVcMbvXx8nFGna06n4ltA9aUhFMjU0MyUBZNTI2pxaUpXgl6GjKjFD2NmfGF
71m9k0B6xbEZM8rBsoWpObU4tsSrAJdWeGGwao1XlhnNmVkRzm1YUwnObfEq
w7EdXlXYdTR1IBNl09nUiYyVay9TT5hXZW171oprF3pqwrUrXm249TB1p45k
Vg/Wins3elpyr+GmaD6rTW83ziKuvTlTU+49xDQYBmLR39SPWhwG4NXjHfRh
Rn16tLYva8VuID2N4TwIrxlZD2XP5nAahteEMw2mJ4o9+rJnC+4YTU8rOI3g
zoOZO880F2biNMo0klrsRuO1g8MYvPawGYvXAbbj8DrBabzpW2pxmoDXBQ4T
8bqS+yS8brCYjNeaM47kDt3hOoU1PeE0zTSVzJXDDNN0amUzE68HPVOZ0Yue
6cwYQs4/kFFf2H3HjP5wm22aRS1u3+MNhMscvEFkPhevHzNmMXODz/0epd+b
zrC3uM3nDItMi017TXvIQFksNC0gU+W4wrScWjmuxBtOj9b+5HPvYjj1j8wa
xT4LYTaeWctgLs5LOMcovMX0TITTKvbUG9Bb+Nm0lM/EaTVrZpHTRu49BRa/
mNZQi8NavOlw+9W0jllTWLuatdP5bC1rxWk9PbPhsIk9Z/6/3LVG31X6ztG7
bsdnszjbBu4+lrssYZY4bmbmHNhuwZtPrjtM26mV9U68pWRzwLQfxvNZu421
YrWLngVw2Y23mHPs87k3sYSZ+/EWwmUPPfPYQ7O3wlRsD5kO+twbEbcjpsPk
qNx+N50iY2V93HSM3hWsPcTd5zF7C4xXs/aoz73laHKYz16r+OwIjMXtpOkE
e4vLac6wHg5n8NZyxlP0rGHGCc6oP7vozyz6fa08zMXprM/9GfCi336mMr0z
vfU7Zjr3X6Zz1LrLebytZHcBbxusLuJth+slvB1wu4y3E25X8HbB5Sreblhd
w9sD1+t4p8jhqekJtXJ4hifueku3TDdhKi53TLepxeou3mFyv4d3BBb38Y7C
7gHeMXJ9iHecrB/hnYDDY7yTnPkJnu6id3mDO+3jzDfxTsP2OXe6yr0/mj74
3PeiuL00vaAWy7/xzsLtFd45uP2D9xfcXuOdh9sbvAtwe4t3EW7v8C7B7V+8
y3B7j/eQe8eytxTT7+7yB2d9zl1070/c6Tr3/ox3gyy+4N2E5X94t+Gmf/H5
lVrcfH7n3YWb3++8e3Dz/M67D7cYfuc94Mw6q7wrZP6BOz2CW2y/u9NjWMbx
O0+13l1cv/Oecc/4Vsfzu1p3T+B33htyTG51Mr/rVY/WasYLOCb0u56XcEzk
d94/cEpqdRK/qzVTs+T9DefEftfzFk4p/G7PV3BXr9a8g1tKv1sTQG6ZTBn9
LgNlkdrqVH5Xi1sav/M+wi2t33mf4JbO77wvsEtvdSBzM5vKmEqzlx8vE7W4
ZMH7CmudJYPfnVVn0llSslbcguiJwbvLihcTbtnwYsMphyk7tXLPiRcXbsF4
8eCWCy8+XHLjJYBLHryE5J4XLxE558NLDLcQvCRwy48XizNm58xJeScFWJMc
ToVMBclAWRQ2hVKLSxG8ZPQUZEYKekKZkZHcxeIbesWxKDPEUCyLm4pRi2MJ
PNViWxIvAzM1qxSz0tKrmZ/5dRzIrMxwK8ub6GTqbBpv+haG4lbeVI5auVTA
y0ZWYXjZ4VgRLwccK+HlhGNlvGA4huPlgmMVvNxwrIqXB47V8Ipz7wam+tTK
oiFeCNxqmmpQi0MtvAKwicArCJfaeIVgVQcvFK6ReIXhVBevCDnXwytK9lF4
xThzfTzdRe+wOnfKx5lr4JWCZWNTIzLQvTuY2vvduxG3pqYm1GLZDK8s3Jrj
lYNbC7zycGuJVwFurfDC4NYaryLc2uBVgltbvMpwa4dXl3v3NvXiLqU5a2Pu
ont35E7VuHcnvOpk0RmvBty64NWEW1e8WnDrhhcBt+54teHWA68O3HriRXLm
XnjhZN6eO9WDWx/uFAXLvniq9e764TXingNNA6h190F4rchxhGk4vXq7/ZnR
BI6D6WkKxyF4LeAUbRpG3YpZ0awV56H0tIbTSPZszoxhrGkDt1Gs6Upuk0wT
yUBZjDGNpha3sXgd4DYOryPcvsXrDKcJfvcdo+8efcfoXZZlL3GZzJ7d4TIF
rwtnmsiMtpxpNGfuAbep9PSE5TS8XnCbjtcHTjNNM6iV+3d4/WAxC28A3L43
zaYWlzl4g+AyF28wuc/DG0LOP+ANJfv5eMPg9iNeb844gzNHw/Yn1oyA00LT
AjJQFotNi6jFZQnecHoWMGMkPYuYMZHcV5lW0iuOS5kxDpbLTD9Ti+NyvPFw
WYE3gZkr8cYy42dmToLravacDLc1eFPg9gveNHJYZ1pLrWx+xZtLrltNW+id
xtpfWCuu6+mZCdcNeN/DbbNpE/VcZm1mrd7Cb/TMg9s29pzNDPVu5DNx3M6a
pdz9gGk/DMVhp2kHtdjswlsAl914C2G1B28xXPaZ9jJTs2+ZbrKXuBzEXwaX
Q3hLONN+ZsznTDs48yL22Muey+F4mBkr4XbUdARGyvmE6Ti1sj+Jt4kcz5nO
wngNa4+xVhxP0bMOTr/jbSD7P0xnyHgTs/5krTiepmcVexzjjCs48xHusBm2
f3GmPdz1uukaGSgL/Yx+kVpcLuNtgft5ZmyjR2svsFbcrtCzC25X8faS+w32
3AeLm3i7OdM1erayxwX21D9L2MzPmfrZ8wBcb/MGDnHPu6Y73Fs53Dfdo1Y2
D/BOk+tz0zN6j7D2LmvF6iE9x+H6CO8UuT81PaE+zaynrBXXx/ScgeUL9jzJ
jCes+RO2f5tekply+GB6DzPl/o/pFbVyeY13nqze4F2AzVu8S3D51+/+GcxB
MrtDhlfJ/iN7XoPTJ7zLnOk9M85yplec+TocP9NzA7Zf8G7C6T+82+yt/5D4
K7Vy93nOuwsLv+e8e3DzPOfdh0sMz3kP4BLTc95Dco/lOe8ROcf2nPeY7ON4
znsCt7ie825xxq+c+Sls43luzXNYJrA6vucyUBaJrU7kuVpcknjOewZ3rdWM
l+SmtQk992t5A+/kNL3imNRzM97AMrnVyTxXi2MKz3nv4JLSc96/sErlOe81
70C9mvkezqk9t+YDnNN4zvsIx7Se876QQ3qrAz1XK5sMnvNikms2U1bPMVeP
1qaDsbhm9FxPAFwz4XlwCzJloY7JrCDWintmelJwr1BTIT7z6M3MWcQ1O2dK
wr3zm0JgIBa5TMHUYpkbLzbvIAcz4tKjtTlhJnZ5TXmoxTkfXlI4FWDPZHAq
iJeYM4XQE4c9crJncu5YiJ6UcCrMnUOYW9NUA2biVNRUhFrsiuGlhUNxvHRw
LIEXCMeSeOnhVAovA5y+wcsIh9J4mci9DF5mWJTFS8UZi3CHLHAtx5qscKpg
Kk/myqGiKYxa2VTCC6KnPDOy0RPGjPzkXIuMcsKuMjNywbqKKRyG4lbNc/8P
RF64VMfLR+Y18IKZEc7MtqZ2ptGmUewtbhGcoZ4pytTH1JsMlEVdUySZKsfG
pkbUyrEJXig9WlvHc+8ilLo2s4qyT12YlWJWQ5iLc33OURQvip7ScGrKniWY
od4GfCZOzVgTTnbtuXc5WLQwNacWh5Z4YXBrbWrFrHKsbcbaMD5ryVpxakNP
VTh0NHXgs//LXWs+8fuM3nVaPgvnbG25ewnuUp9Z4tiJmdVh2xkvgly7m7pR
K+seeA3Ipr+pH4wjWNuVtWLVk55IuPTCi+IcfT33Juozsx9eXbj0pqcme2h2
F/YW2wGcoTHcBpkGkqNyG2EaTsbKeqhpCL2NWTuAu9dkdmcYN2PtYM+95ULk
EMFeTflsEIzFLdo0jL3FZSRnaAOHUXgtOeNwepozYxhnFDe9rTGe+zX1P4uT
Py0=
          "]],
         Annotation[#, "Charting`Private`Tag$7609#1"]& ]]}, {}, {}, {}, {}}, 
     LineBox[CompressedData["
1:eJwt0bdNgwEQBtAfTMY2OdsgWsIChJ7QURE6CrDJyYmcBAsQFoAFCAvAAoQF
YAHCAsCzRPGkK06nu+86p5fHlgqCIEhRSL7uYJApclxyzyvfVGnqZZQkp1zz
yDu/xA3rZ4IM59zyzCeRUBB0M8wsCZLMMc8CiyyxzAqrrLHOBinSZMiSY5Mt
ttlhlz32OeCQI46ZYYguwnzY64kbzkgzTh8xftz1xgNXnJBghB6ifMnnhTsu
yDLJAO3EidFGKy0000QjDdRTRy01VOczJ0qEMJVUUE4ZpZRQTBGh/3/+Ac0Z
Le4=
      "]]},
    VertexTextureCoordinates->CompressedData["
1:eJx12z/IZVcVQPFBQdOmk3Ria6etjIVYKlhZiBLBwkqwEtOmEgRRSSnYmFbL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     "]], {}},
  Axes->{False, False},
  AxesLabel->{
    FormBox[
     GraphicsBox[{
       Thickness[0.016739203213927016`], 
       StyleBox[{
         FilledCurveBox[{{{1, 4, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 
           0}, {1, 3, 3}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
            3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 
           3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
           3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
           3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
           3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{16.306299999999997`, 
           22.7125}, {16.306299999999997`, 21.496899999999997`}, {
           15.685899999999998`, 17.9922}, {10.893799999999999`, 17.9922}, {
           8.200000000000001, 17.9922}, {9.77344, 24.2625}, {
           9.987499999999997, 25.1438}, {10.082799999999999`, 25.1922}, {
           11.012499999999998`, 25.1922}, {12.7297, 25.1922}, {
           14.779699999999998`, 25.1922}, {16.306299999999997`, 
           24.571899999999996`}, {16.306299999999997`, 
           22.7125}}, CompressedData["
1:eJx11AtIU1EYAOClSxFRS7N8rDbb47o593LKhKzfYGElTk3KMhOT+cBIJSWM
9dIkcJoWZloi9gALtIwsU3IZIkuW4qMsNPCRQvgIDTEj0zz37p4Ljg6Mu++e
c+695z/n//1OZ8Xq7Vgs1rH1H7q+vbhTk/ZIBYF+3MUzlQTQnj730vPPDAGL
rcPFf4tUYG57XeqwxR+Mh6bZ6mTGOQ3GkXQFY3K+QAUR6I+ZgJTErwfsvVRw
zUX3rEJPwOH3jmH3ipTgdfujU7qdAO6Uu10IMSrALTF6VEXwqXFTcuxtJesv
bJZhe9WeElvmA+F85yttdSPj6GFfQ/KAEPsKu6tM+UsEy3MzHaGFMmA7FXNT
ogKgC31nuQwqyPcGwAeyyWAy+f6QWheIvYbaZcbBe9pjK8cZd3fub8x4qoCK
60UnBlcCYF/BhLkqU0n1SyUglzzx6GtWUutzVkA1asdVlBNUsLKUN1YTrsbO
XQ+3JSoEWzhZWNsj0QAx52JS5Cug/nuEbG08lJoXI8E2jC4PB1l8sN8ZTQXq
b17YaanrzcHW8Tta+llnGaMwq5WhMKZNCr/7nHHc3OBC1VUfbHJ9HJ6Ns9E5
YDHemx//OLhdAxarw6ym+xN44QspJRrQNnTVs75wwRftm0JDxem3Oxh+NkVn
tokgQRjP6eW4wxTaHzchNX92K2RkzRd1VwjgRrxRt6nJAZvsj7TD/uwysl2/
xLIxfX5oq4NQ40NOfW7Tqps9NhnPh/Yb+h2xdZMHB4I9nEEwNHGEFcmn7r9w
xa4iF+SDTcY3hrPBu/DzPPJv5fawedjk/qQyJuM5a+u+T0dn5b4CbHq9je5S
17RLjEtRvMq52A2o3+RtYyp/GHPQ/mQL/2s6/7htdSb9D2/wJA+IiNpPMQ90
/TdPrhZa835CiJ0UF0vUZUiwyfzXBlB1wlOB3QIowWTYdD6S+WKRUPc3SyES
zcuTQM0DfuuKWULVpXmxtb75W8eLcb2iTY4nCOw3WYa56i4+VRfKpECGO2g3
jKHE6ZBjozJp6VVi0/WzCj1nRgQb6+s/Pm9HbQ==
           "]}], 
         FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
           3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
           3}, {1, 3, 3}}, {{1, 4, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
           3}}}, {CompressedData["
1:eJxTTMoPSmViYGBQBmIQ3cBytN/wu41DC6//+impGg4w/pPEhddM1ms4iE+9
wplxycbhVfFW0d+vNRw43FRLmXYh+Cmxd9yYVyD4f76VPpiz0MbhPwjc13BQ
fdI872yWjcNfkHihhoPPxYkx/x5bOfiB6GQVh4I13bczFlg4lB/e5jpzrbID
D8gZO8zh/BgFx4/JMWZwvs8JdtvZS00dAm5J1yReUoXzZ4JApCacr6+1UvgC
ixacD6ZNtR16vF6xmDCaOfx4+/qApbOew4FaWYt0F3M4X+Mt7z6Dlwg+H8g9
HZYO56+GvdGP1nOwqYxYYbrWChJO5voQfq2NwxkQ8DGAh0cJMDhOrzOE86NB
/pAxgvPVQfZoGkPCab+1gy3IHFkTiHm6VnA+2P9rzOH8g23Lw08JmUDcedMQ
zof5D8YXBXtUzUFmXpzm6QZTh/eL1iuc3aEENw/G32L+41DKKys4Hxb/HvuB
AXNc3QE9fQAAjCD3Og==
           "], {{27.94059999999999, 18.110899999999997`}, {27.94059999999999, 
           15.607799999999997`}, {24.126599999999996`, 15.607799999999997`}, {
           23.125, 15.607799999999997`}, {22.123399999999997`, 
           15.607799999999997`}, {23.1484, 19.279700000000002`}, {
           25.412499999999998`, 19.637500000000003`}, {26.176599999999993`, 
           19.637500000000003`}, {27.224999999999994`, 19.637500000000003`}, {
           27.94059999999999, 19.0172}, {27.94059999999999, 
           18.110899999999997`}}}], 
         FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
          3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
          3}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJ5IGYC4uASlen/Zzg5LL21/LGhM58DjL8Ejf9l38et
6df4HI5rWk063e/kwOPI5zUjk98hm/PngnRmJ4e+iG5/RgMRh/bl4aeMehwc
um08d6UZKcD5AbekaxKF9OH8mSDw08xB+JPj+bS/jg4S8+I0TzNYOag+aZ53
dpKTw/IXHnr/Da0dVND4MPf4X5wY888ZwU9PA4IwBL/+t1XBuQxruHv1tVYK
XyixdrBvenR8RjOCDzY3EcGfb6NzZVaco0OP1ysWk42WDt0g+qSDwzKQOkFz
B1fVUqZZBg4OMQqOH5NzTBzkgdQZVgcHjbe8+wxuGsL5MiCD5fXh/OO7dvSy
bdB2MAYBaQeHU4ed1mbeU3UQn3qFM+OSg0MvKPwK5B3OgECKo4NI5aSSsy2i
Dqu7b2cwxDs52JY41p6W4YW7H8aHhReMD/P/fxCoR/Bh8QsA/+TUsw==
          "]], 
         FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGI5IIaxWZDYzKNsmrABTqYCqw==
          "], CompressedData["
1:eJx1lGlIVFEUx0fTFrLNCKM0ymVyJtTZwhKkv8y8hYoKDRormixHpUUT7EOg
JVkWLShmNJqIZTQJgQZFalFRTElmZUa0EA4tTEURRpgiYnPenXmXBjrwPvx4
996z/c9ZsqMk2zlJo9GE+b8t/i/c/8WcfTmtKEPGBNmgDkGObd6m652tR9fb
E+POdBnlvzo27N6sR8VYxr6n8zlHrW+vd2o4R//KelYwLsGxMXtpi06Pavem
x6bfEnx5F15Z2nXYWJZ4bqJDQpz7i5w6qEVEa11G2LjI7ncnwR5zs19THcIi
54Pkf6qIz/TeLC3jHgFfdi0bPlehRdmNeWO96wR8oItYijcLy/NMKZxX90zJ
PB/J+erJd0Uan01lJX4P58v+MCfabOjp7jw9eTZ/r0AxHTRkLgGf6LxXDyFp
f3ijQcSRGf7CRKaAwm70ifDS/8o05i9dwiGK227AixLHlKd5Eu5WxK0ovG5Q
691AlmvC4J2ZTeaLMrIOf3jkumVWeevirKGd3zlnHrBfWR5nwSo6V/V/Tq1t
GTEWc17xyrPXUiTDoG+b+zzCghzqj13GdNGfyFszzgxPdriiZLSSowET9kwb
bSl8IMFMlmPCtdTi1rCyELZwnk96ipZwPX3kfv4JE9PLaxFPyGLNjF0i3lFd
b5hxj+qQL6rxddB7UZyD9Q+yUk+3DePD+71NQ8Z/uZTzR9KLw6j2M+lTVXNf
hlHtd5CprE/ec1b05bUF8gnc/2qDT9GbEbmkz0UCSM4TpYH8OgSWX1Mg/28h
rBdVVvpdKKr3Fb24xYB/E0D9Wygh+ceMO4Y3RlaftZy1dG4XZ6WflSHnT3Gm
svWdl1BDjR40qnpk9TPAS3qqE3FTcZymzlsK6eNSCpsfQWD/R/ToJ/3OEVB/
7OjmgVg96kkvL21YQ+eW6/Dd77ZhQXCetEzXbVY2N/sSVLbWVkUXLODsFRxZ
jf3xbN90WvHzYvvivs54WKgPvZznUv/ec5Zo/rxW3C4p/9HgiWf7Y9gK+arH
rbEnsP2gtbF3jyeCxtR53Mb6sVaL7Q8GljlHQ3iloLISt11AZYSnxvgnCZG0
v84KcNI6eJjI6vlMgIvy6EpgfQwX1fiC+g6y0u8aSeXg/pVpITxKRuh+/gtk
EHnt
          "]], 
         FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
          3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
          3}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJ5IGYC4pASlen/PXwcAm5J1yQK6TvA+NLz4jRPOxg6
2Dc9Oj7D2MdB4y3vPgNNE4cp39jiZ9R4O5wBARtzh+UvPPT+v/Ry+LIhIHvW
dkuH45pWk06/93TQ11opfKHE2sHEGAhOI/hg9QcRfAXHj8lntno6lGwV/X06
D8EvWNN9OyPA2kEeys+H8ut/WxWc2+HpEC6+/SKDnbXDFr28xYx7PCHmGlo7
pKcBgZ+XgwTI/QxWDupPmuedPeTtMBMEfprB+TIgDfL6cP5aIR2+dDsFh/jD
l7VTA70cGEAgQQRu/nXe22KpZvxw+7/s+7g1/Rof3L1Lby1/bOiMm1+wvGTD
P39euP9tSxxrT8vwwsMHxgeH6xsE3/za0VyTD14Q980TdfA5wW47u9Xbofzw
NteZvAoOOhMW/DCU83HY4QCMqAhVePzJgyyq13JAj18AehrVkg==
          "]]}, 
        Thickness[0.016739203213927016`], StripOnInput -> False]}, {
      ImageSize -> {59.73678704856787, 30.684921544209217`}, BaselinePosition -> 
       Scaled[0.3129897120096467], ImageSize -> {60., 31.}, 
       PlotRange -> {{0., 59.74}, {0., 30.68}}, AspectRatio -> Automatic}], 
     TraditionalForm], 
    FormBox[
     GraphicsBox[{
       Thickness[0.015735641227380016`], 
       StyleBox[{
         FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 
          3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
          3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
          3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
          3}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJrIGYC4r35NW9nmio6PE1ceM2EX8UBxs/M/9B6coqK
w+kzQPBGAc7/+x8I9svD+V/2fdyafk0Sg9/AcrTf8DuCnxASpL6gUxUn/9Rh
p7WZ91Qd3NccXc5gIeUgMfUKZ8YiNQeVa4+CGXqUIfJyFg4zZgLBT2UHv4sT
Y/59tnAIuCVdkyik4tDj9YrFxNDSYYPqk+Z5vepw/kww0IDzz18Ne6P/G5N/
A2iM0VIEf/kLD73/Dy0dvE+w284uRfCl5sVpng5A8MH+LlGH8xt+WxWcy1Bz
+L7zVtffq5YOoOA706MK568V0uFLj5OH88H+L5OF80UqJ5WcdZGGmxetGiFz
LkYSzof4RwLOh5gvjsGPEN9+kSEPwYf5ty+i258xQALOh4U3jL/i28uKMwIK
GPyCNd23MxgQfLvKiBWmey3gfHFQfE2ycLjvGu8466M81H4LeHq5LvTJ8byZ
hQOI+/++kEPNpw0B2bvUHIRB/mURgqY/VQdjELgsCE9PMSD/72GF89U/qbyc
1ckI5889MXlJ9rL/9uj88sPbXGeuVYbzTcAGKzts99pgMWcnowOM/7L2cfb5
NUxwvl2JY+1pGTY4v2B5yYZ//lyQdOijDHUPL5wPTo8zpeD8kLeXP85olIHz
37TldhvNloOb9wAUPo4KcD6YWozgw/IfOh+WPwGU+bBh
          "]], 
         FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGItIIaxWZDYzMOEzQDlM6CxB8ocXGbSQj0xbADjbQLn

          "], CompressedData["
1:eJxdlX9MVWUYx1FYDVcZmlJTC7v3wuVy7+W959xz7hXvhefmdJQ4DJrdZpom
v4oKTJ2zUiu3Wt4c1EQQiYm4aSvk1jKRyjIj/IVKCm1ikxUuZjKXEunI6Dzv
e9/njN7t/PE573nPe57v9/u8Z/bzFQXF8XFxcROMa41xTTSuqTdCZ0vWAWQ6
Pp56LsEBkn2Bbwp2hBxQuNZaO1YGkH9xxhsrX3XAmoPTRk8tMbk88fbu0rkm
+3o7Xvb6AVptA1saF8XW2wFOHnus5YVN6ZB3/O7gro4ciOJ8iw3yuj949t/f
smH9sS/n72yxQBUuuB4k/u6dfU+f/Nzk95+4muB9Mgh1O41x2OQ4HGAjHnwx
Y6R2Yyp84bv1fVF9EBbhPvF2eh+/v9UOFZ9G+spSsuEBXHjBAV4VR46Yz2LE
S1NCf65q8Iyfn6TC77jPsmwIbgjv12Z54QrytgAx13U4i7i2evJr+idzoM+Q
S9FUeCuho8pzyC/muzzA8Pm9fvh5imHEdBV24PN9Plp/Z2Rdf0OSTvxgzYXE
shsqcfPlI/c1nFfgNI4GBRai3sUK5PP6FTFfqAi9VqhgH7r3CHvGQ+v5ujxG
/CZ+ny+T+Dj6+LAbbkYXl9d3quCc/cjwS7pL+HZZgbM9S65lLnXSfp3tbdvu
imaI+SpGzOtebzLP1XIGA+HkQ939GVCJvgCLvd9JXLTs0oL4OpN5fpqdUFpi
jAUMWjBXQ044ij7/xMDF9XQB3u7KUmAQN4q4hY/N6nifDea6/2gyr/NvBv+g
7iGTRX4UYlkvv9/O4K/DF7femeahujePZlWeCTNY8VRB2u4TmbAdfY1kiH7o
cQsf96TBGI7NbpGDolSR89suyP124yx/mpV4XvWWKSVXLcThxOnvqjkWWn99
T2tKV9uj5J9kub9kWX8k8Hh7yUSLyGc5o/6SPnF9RyxwAv0/wEDD86HJJvJy
mok6alKBt0ehJ+ajQ/TNTEXoURPTwW7qFMF+PapAztu/dtb94SHd12IeDigx
3b2kP+/vJI2eG1jZ1OsdM3kv5vumTrwJ98v1QdT9SvOEawrxKszRLQ8x/+7z
Jsu+qOYHmE46rcbcRXXSXbLw0SX0KtXJ32Gs+6AGV/A7J6eKc+kjDdrAKDhs
E/ts0OAc9s0MK7H0V7L09zOs42uN/BvG/CXrxFy3Mybzvh3SoX/+c6H6buM8
NWJUavWJHLxng2TM3Yd+8pn3YaNf6LOfCd0uzSE9a7Cu1wPEPN8VQWJ+3v0Q
JL0lS70l7xvMdY81MejBfusNCH+TnDCzcXn6qcUBcW5p6ULnhwLinLjfLvI5
Olecg6vTiGX+JPP3VFrhnvzW7cVtgfF6/BIk5vVPAmL5/+Pn2Ffp8P//43/L
EA5o
          "]], 
         FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
          3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
          3}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJ5IGYC4p23uv6m1rs4LL21/LGhM5/DDih/CZQPk/+y
7+PW9Gt8DroTFvwwLHNx4HHk85qRye9wMT+e/dxLZ4e+iG5/RgMRhze8+wxm
Fjk5dNt47kozUoDzA25J1yQK6cP5M0Hgp5lDRcQK07OPnR0k5sVpnmawcujx
esViUunisPyFh95/Q2sMPsw9/hcnxvxzRvDT04AgDMGv/21VcC7DGu5efa2V
whdKrB2WgczJRPB5/ddPSfVA8FkWT7JidHWG2LvR0uHzhoDsWeudIPoEzR1W
d9/OYBB3cohRcPyYnGPi0L48/JTRG0cHjbdAj900hPNlQA6W14fzj+/a0cu2
QRvib0Ynh1OHndZm3lN1qAW5c4eTQy8o/ArkHUyMgcDb2UGkclLJ2RZRB6FP
jufTXF0cbEsca0/L8MLdD+PDwgfGh/n/PwjUI/iw+AUAQFDazQ==
          "]], 
         FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGI5IIaxWZDYzKNsmrABTqYCqw==
          "], CompressedData["
1:eJx1lHlIVEEcx1ezIsqSDoxy0Ty2dtPafbuSSMdXYt+x3SlkFi0dauXdhZFa
dFOZEpZHYidYGFiQeBQW1abkkZIEWrCSVhaG6B9mdNibN+4bWmhgePuZnZnf
zO/7/c28HWkb48dpNBoPuW+Ru6fcj/6MTG8NsGGUNKceLvYr26Zv8jHAP2pw
Z7PWhqyh++uT4gzo3X7jrWVUUvlA1ayfTZ8YZ8beCW/pkWCP2Tj/ut6AAe96
Y3GXhM9kXaUetV3nfscXStCW94mLnDokTfpxPbFHpOvrQvAkWxuRmOzGoYyV
+AMCPpLvNB3lSgF9excOF2br0DU3azsXLuBDrG91O+YDxz80FM1gfH9R6i2P
fl7lmUNRrxNaGCvnr2A8ZV1lQXw+j8a6mtwJPmy/BKXp6TdHQC+Z321Axfl3
uzW+Ik56ywvHh4EMa1pFdJMfxxZjOomnlWieY42IeOtIsYgSvedDo5rvYtI2
cxBCDnqWnLUhisR9ZFZ5a4A8sZ/xssPywbUWkLSO7vk/FwxPsBfFML62NLSj
ZK0NRsPdGW1eFtQQfVbYMJmXN+4y49fWFMefIQm3nPVTS99waEuzT2y9K8FM
WjQH38sdk3bHufEcxtnkniMiHi4ZebbrHIf9xC/1IppJ8zNTzhHxjuhWZYau
90RZi01Uzzeb7DckqOzKv4sV/XJ5/B4+2F06aPqXMxj3EJ/YTaqeISROpEnV
28Wnyze94l4wVvzVwI/dZ2x9G4/Pit9MeEp08xJonjM4Wg9XBHq/Ug455P5t
buwjqqzovUZU1yt+uSiOxefouIeEBd/kQuo00XGO8QXbVy/LBsZlRM8Et/n7
GBMZzccl5EUfCC50mlQ/0vwZYSV+yhRRrSR6sVpvYcQft8No/YQK9P8RA/Xv
CI+CM6fi3vgZqF/qeKxqnLjsargeMXKYUY2rnnTQkJZvpd/0IJVX5p+YnjCH
cbfVHlXSHkjjX7Ni4GZlQEtNIK2LB4wV/Z4zvkfqr8GKx2lZ34odgVSf91aI
9xzlmtggdBKfefPUl2eDqV6pPNVjtQ6N+shLTU439hdUVup9uYBjXo480/cQ
JJP364iAeDL+Mpj6rUpAETlnbRDV54ugns/lbxcreh+SVHa9vyJ5EBoWwP19
/gvvzoKO
          "]], 
         FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
          3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
          3}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJ5IGYC4j23uv6m6vs5BNySrkkU0neA8aXnxWmedjB0
WPrCQ++/pJ+DxlvefQaaJg5/YnKP/kvydTgDAjbmDrz+66ekXvBx+LIhIHvW
dksH/QkLfhhe83bQ11opfKHE2mHGTCDYiODzgNSvQPDbl4efMprj7VCyVfT3
6TwEv2BN9+2MAAQ/H8p/krjwmsl8b4dw8e0XGeysHSSmXuHMWOTtsBzkTkNr
iLtMfBwkQO5nsHLo8XrFYrLS1wHkjJk/zeB8GZAGeX04f62QDl+6nYLDUU2r
SafNfRwYQCBBBG7+dd7bYqlm/HD7v+z7uDX9Gh/cfUtvLX9s6IybX7C8ZMM/
f164/21LHGtPy/DCwwfGNzEGgssI/lwbnSuzrvlA3DdP1GGDXt5ixhxfh/LD
21xn8io4TPnGFj+Dxc9hh0PTo+MRqvD4kwf5r17LAT1+AeWE1K0=
          "]]}, 
        Thickness[0.015735641227380016`], StripOnInput -> False]}, {
      ImageSize -> {63.55296637608966, 30.684921544209217`}, BaselinePosition -> 
       Scaled[0.3129897120096467], ImageSize -> {64., 31.}, 
       PlotRange -> {{0., 63.55}, {0., 30.68}}, AspectRatio -> Automatic}], 
     TraditionalForm]},
  AxesOrigin->{Automatic, Automatic},
  BaseStyle->{FontFamily -> "Latin", FontSize -> 22},
  DisplayFunction->Identity,
  Epilog->{{
     GrayLevel[0], 
     CircleBox[{0, 0}, 1, 
      NCache[{0, 2 Pi}, {0, 6.283185307179586}]]}, {
     GrayLevel[0], 
     DiskBox[{-0.03648457547380327, 0.9993342162422422}, {0.02, 0.02}]}, {
     GrayLevel[0], 
     DiskBox[{-0.9635154245261968, 0.26765280999851826`}, {0.02, 0.02}]}, 
    StyleBox[
     InsetBox[
      FormBox[
       StyleBox[
        GraphicsBox[{
          Thickness[0.05094243504839531], 
          StyleBox[{
            
            FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
             3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1,
              3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
             3}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGI9IGYCYul5cZqnG4wcuNxUS5lWmTjA+FvMfxxKeWXi
ULCm+3aGg5EDAwgomDp4n2C3nS2Kxv9qCOerPmmed/aVocMd6ZpEI1FTiDld
hg4GWiuFL2wxcdjq0PTo+A5diD5VQwffixNj/h1Whci3GDgIV04qOTtFCc5/
05bbbTRbEs4/AwJvRB2SY++4MXMYw/kw+2H8Rpaj/YbTzSDmHZFwqAfxl1tB
5M/IOfwHgXpbhzuasmv+T1Z0+LIhIHtWub3DTBCQVHMQ/uR4Pu2uA0RdvDac
3wIyp1wHztd4y7vPoBPoTiA185KDQ39wicr0eEMHHv/1U1Jv2Dssvr+Pb85k
AzjfGAwQ/JpPQIut9B0+gOwPt3eYAbJ/p57D0hceev8V7R3WggNU16HH6xWL
SaMdnO8DCr+rtnD+k8SF10z+20Bofn2Hkq2iv0/X2UDsDzaA8/VB4RhiCOd/
2Xmr62+pkcMNUHyF2sL5YPsZ7eF8kDHGTQj/ugOTyywPR0j8emnD+Z02nrvS
ghTg/DQwYHXwAcXzZBs4fwXI/IVmcL59ZcQK079GDmuEdPjS9wk7TGlvjboc
o+/gPKFZKC1LCc6H+RfGh6VXsH/kEOkXlp4B4/46Cw==
             "]]}, 
           Thickness[0.05094243504839531], StripOnInput -> False]}, {
         ImageSize -> {19.625484433374844`, 52.20421419676214}, 
          BaselinePosition -> Scaled[0.30763656780021675`], 
          ImageSize -> {20., 53.}, 
          PlotRange -> {{0., 19.630000000000003`}, {0., 52.2}}, AspectRatio -> 
          Automatic}], StripOnInput -> False], TraditionalForm], {-0.05, 
      1.1}], 
     GrayLevel[0], 16, StripOnInput -> False], 
    StyleBox[
     InsetBox[
      FormBox[
       StyleBox[
        GraphicsBox[{
          Thickness[0.05151983513652756], 
          StyleBox[{
            
            FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 
              3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
              1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
              3}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1,
               3, 3}, {1, 3, 3}}}, {CompressedData["
1:eJxTTMoPSmViYGDQBGIQ/R8E7hs6hItvv8jwz9oBxufxXz8l9Ya9QwsviKHv
4K5ayjTLw9HheZb2t+mymnC+xNQrnBmHVOB8YxC4rOCw/IWH3v9EB4cv+z5u
TS+Tc3gK0vfW3mGHQ9Oj4xGqDgtsdK7M4nNzYOLskk/OU3XYqJe3mFHFDSI/
Q9WhbXn4KSMXBH9N9+0MhngEf8o3tvgZU9wcUmLvuDHPUMHJnzMTCH7KO1zM
j2c/V+kG8Z+8rMOBWlmL9BI3hxjVCJlzc6Qg8pluDjPBQBwin+LmYALyz2Rh
iHgk0P5gq4j/6UIQ94Ug+JURK0zPfnaF8/UmLPhhuM/VoU2BXfWMiAicH/T2
8scZB0Xh/DMg4COHwY8AxUcfgg+OjwgEX/VJ87yzRq4OrSDzv8g47LzV9Td1
uouD+ieVl7M8ZSDhZe7iIFw5qeSsi4TDfpB/TJwg/t/PAfFPpYVDwBPPS6bC
7A4vQPGTaw7nN7Ic7TfcbgbnbwDFjw6Cn54GBM8MIfErJuowpb016nKMPjy8
YXxw+G3WhPNh6Qscja9NHdDTHwDP3yo8
              "], CompressedData["
1:eJxTTMoPSmViYGAQAWIQfeKw09rMe5oOW8x/HEo5ZeKQmgYEx9QdGlmO9hu2
GzmoXHsUzPBG2cFAa6XwhRYDhweu8Y6zBBXg/B3BVhH/j0vB+TX3f9wyfi3i
8GXnra6/rYZwPsx8GH+DXt5iRh0zhyoQP1vU4dOGgOxZ380c+iK6/RkLJCD6
n1o6qH9SeTnLU8ZB9UnzvLOrbB3+g8B8GYf8Nd23MxjsHFZ+e1lxxkHZQfiT
4/m0uw4OgbekaxI/acD5pjZ7g6Yt1IHzWTi75JP99ByOtC0PP/XIHs73OcFu
O3urLZx/ACS/ydpBR1H+S843bbj70MMLAAYSlfU=
              "]}]}, 
           Thickness[0.05151983513652756], StripOnInput -> False]}, {
         ImageSize -> {19.412383561643836`, 52.20421419676214}, 
          BaselinePosition -> Scaled[0.30763656780021675`], 
          ImageSize -> {20., 53.}, PlotRange -> {{0., 19.41}, {0., 52.2}}, 
          AspectRatio -> Automatic}], StripOnInput -> False], 
       TraditionalForm], {-1.05, 0.3}], 
     GrayLevel[0], 16, StripOnInput -> False]},
  Frame->True,
  FrameLabel->{{None, None}, {None, None}},
  FrameStyle->Opacity[1],
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  FrameTicksStyle->Directive[
    GrayLevel[0], 22],
  ImagePadding->All,
  ImageSize->512,
  Method->{
   "GridLinesInFront" -> True, "ScalingFunctions" -> None, 
    "TransparentPolygonMesh" -> True, "AxesInFront" -> True},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.02]}},
  Ticks->{Automatic, Automatic},
  TicksStyle->{{FontFamily -> "Times New Roman", FontSize -> 20}, {
    FontFamily -> "Times New Roman", FontSize -> 20}}]], "Output",
 CellChangeTimes->{{3.8405070349310274`*^9, 3.8405070904711046`*^9}, {
   3.8405071267211556`*^9, 3.840507394853531*^9}, 3.840507430364581*^9, {
   3.8405074778846474`*^9, 3.840507495484672*^9}, {3.840507591285806*^9, 
   3.840507712345976*^9}, {3.8405077660260506`*^9, 3.8405078309361415`*^9}, {
   3.8598904517770863`*^9, 3.8598904850281334`*^9}},
 CellLabel->"Out[64]=",ExpressionUUID->"a12c5afb-7891-4b73-b391-783ff2f3934e"],

Cell[BoxData[
 GraphicsBox[{GraphicsComplexBox[CompressedData["
1:eJx12z+o73Mcx/GTIxmksJjUHdRNZFCySDbzGQw3lptbysCgXEmkm9ykZLDc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    "], {{
      {Opacity[1.], Texture[
        FormBox[
         GraphicsBox[
          TagBox[
           RasterBox[CompressedData["
1:eJzsvWeTZNl558eQ3uilvoI+A1cRWjFC2lUoxN2VRGrJpV1acAFwiQCGJLAE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            "], {{0, 204}, {204, 0}}, {0, 255}, ColorFunction -> RGBColor], 
           BoxForm`ImageTag[
           "Byte", ColorSpace -> "RGB", Interleaving -> True], Selectable -> 
           False], DefaultBaseStyle -> "ImageGraphics", 
          ImageSizeRaw -> {204, 204}, PlotRange -> {{0, 204}, {0, 204}}], 
         TraditionalForm]], EdgeForm[None], GraphicsGroupBox[
        TagBox[PolygonBox[CompressedData["
1:eJxNm3V01UfXhXPvD3e3oMGCBQlO0QDBA4Hg7u4uwSluhQKlRYsXCsXdnUIL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          "]],
         Annotation[#, "Charting`Private`Tag$8155#1"]& ]]}, {}, {}, {}, {}}, 
     LineBox[CompressedData["
1:eJwt0bdNgwEQBtAfTMY2OdsgWsIChJ7QURE6CrDJyYmcBAsQFoAFCAvAAoQF
YAHCAsCzRPGkK06nu+86p5fHlgqCIEhRSL7uYJApclxyzyvfVGnqZZQkp1zz
yDu/xA3rZ4IM59zyzCeRUBB0M8wsCZLMMc8CiyyxzAqrrLHOBinSZMiSY5Mt
ttlhlz32OeCQI46ZYYguwnzY64kbzkgzTh8xftz1xgNXnJBghB6ifMnnhTsu
yDLJAO3EidFGKy0000QjDdRTRy01VOczJ0qEMJVUUE4ZpZRQTBGh/3/+Ac0Z
Le4=
      "]]},
    VertexTextureCoordinates->CompressedData["
1:eJx12z/IZVcVQPFBQdOmk3Ria6etjIVYKlhZiBLBwkqwEtOmEgRRSSnYmFbL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     "]], {}},
  Axes->{False, False},
  AxesLabel->{None, None},
  AxesOrigin->{Automatic, Automatic},
  DisplayFunction->Identity,
  Epilog->{{
     GrayLevel[0], 
     CircleBox[{0, 0}, 1, 
      NCache[{0, 2 Pi}, {0, 6.283185307179586}]]}, {
     GrayLevel[0], 
     DiskBox[{-0.3396214473934099, 0.9405622108454099}, {0.02, 0.02}]}, {
     GrayLevel[0], 
     DiskBox[{0.8396214473934099, 0.5431720032153677}, {0.02, 0.02}]}, 
    StyleBox[
     InsetBox[
      FormBox[
       StyleBox[
        GraphicsBox[{
          Thickness[0.0425531914893617], 
          StyleBox[{
            
            FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
              3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 
              3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 
              3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
              1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {CompressedData["
1:eJxTTMoPSmViYGAQB2IQ7XOC3Xa2qbbDHemaRCNRU4ct5j8OpZzScniSuPCa
SbwJnD8TBDxNHJ5naX+bPlfTIVJ8+0WGOmOH1DQgOKbu8Pdb6YM5gUYOjSxH
+w3FVRwMtFYKX2gxcOCPDbhvpK4A5/dFdPszFkjC+V/2fdyaPk0Uol/QCM7n
cVMtZeoygfO/bAjInnXdzGFHsFXE/+NSDimxd9yYO6wh8t9kIe70snW4oym7
5v9lRYf9tbIW6TIODr4XJ8b8O6zqIPzJ8XzaXQeH2YuUd/5h14Tzwf7s14Pz
W3j9109Zqu9g3/To+AxvOzj/685bXX+/2sL5X5D5qfoOvcElKtPjbR2O7trR
yxagD3cPevgCADBTpkc=
              "], CompressedData["
1:eJxTTMoPSmViYGDQB2IQ/SRx4TUTf1OHNBAQM3OA8Tfq5S1m9DFzOFAra5Gu
YurQyHK037DczMHv4sSYf49N4Pwl9/fxzWlG8Gt/WxWcqzBx+POt9MEcRzOH
CPHtFxn8TBxk5sVpnl5g6mBbGbHCdK2xQ3LsHTdmDWOHbq9XLCYPjRwMtFYK
X2gxcOB2Uy1l0jKE81t4/ddPeaoP55+/GvZGf7e+g0PTo+MzZhvC+ctfeOj9
LzSC80HaUjOMIfzf+g6nDzutzbxnDHFPnIFDwZru2xkNpg77Qf4zMYT4e70F
xD0HjRwaQP75bgfxh6Kxw+RvbPEzbBxQ+TEI/nFNq0mnlzs42IPctdrI4Q3v
PoOZjxwc1J80zzvLheD7g8JvswGcD3MPyDkM6g4O9aDw8zBweJql/W36WXuI
/5fqO4CC2bjIwUFi6hXOjCRdB3dgMM3ycHSYvUh55x92TTj/QPe+JhNleTgf
HK9prA4+IHuLbeB8WPzA+OD4ljFy0Pik8nJWpojDlPbWqMsx+g7yuxbsSz0n
D+eD7W9SgfP/gswp1HCYPoG/yqza0GGL+Y9DKae0IPF818jhAciDC7Qh8Zdi
4HB0145etgn6cP0zQYDTEM4Hm+NtBOfHKDh+TPYxhsRPvoHDC1C48Jo49IDi
6aOhg8ZbYEDuNIGIxxrD0y84fbw2dUBP3wBKCURy
              "]}]}, 
           Thickness[0.0425531914893617], StripOnInput -> False]}, {
         ImageSize -> {23.499825653798254`, 52.20421419676214}, 
          BaselinePosition -> Scaled[0.30763656780021675`], 
          ImageSize -> {24., 53.}, PlotRange -> {{0., 23.5}, {0., 52.2}}, 
          AspectRatio -> Automatic}], StripOnInput -> False], 
       TraditionalForm], {-0.37, 1.04}], 
     GrayLevel[0], 16, StripOnInput -> False], 
    StyleBox[
     InsetBox[
      FormBox[
       StyleBox[
        GraphicsBox[{
          Thickness[0.04295532646048111], 
          StyleBox[{
            
            FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
              3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
              1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 
              3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
              3, 3}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
              3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGCwB2IQ/SRx4TUTf1OHNBAQM3OA8Tfq5S1m9DFzOFAra5Gu
YurQyHK037DczMHv4sSYf49N4Pwl9/fxzWlG8Gt/WxWcqzBx+POt9MEcRzOH
CPHtFxn8TBxk5sVpnl5g6mBbGbHCdK2xQ3LsHTdmDWOHbq9XLCYPjRwMtFYK
X2gxcOB2Uy1l0jKE81t4/ddPeaoP55+/GvZGf7e+g0PTo+MzZhvC+ctfeOj9
LzSC88+AwBwEPxLkjjpjB5BxqRoGDlwge1aZODCAgICZwwIbnSuz+NwcVJ80
zzsrZQbxv4qbQ+Ga7tsZBmYObcvDTxm5IPggiiEewZ/yjS1+xhQ3hwnBJSrT
15sSzf+yISB71nRjSLjXuzmsAPkj0djhYn48+7lKNwd7kD9XG0HiocTNQR3k
Pi4jiHymGyS8vAwh8iluEH/aGTjMBIFIN3j4gd0fguCDouHsZ1c4X2/Cgh+G
+1wd6kHx52EA5xdvFf19+h6CvwEULm+M4PzrQp8cz38zgsRzH4LPAwrnCATf
4trRXBMLV3h8iwCF03ih8teMHG5K1yQa/XWB2/80S/vb9LP2EPct1XcAJTPj
IgcHialXODOSdB3cgd6e5eHoMHuR8s4/7Jpw/oHufU0myvJwPjhdp7E6+IDS
bbENnA9LnzA+OL5ljBw0Pqm8nJUp4jClvTXqcoy+g/yuBftSz8nD+WD7m1Tg
/L8gcwo1HKZP4K8yqzZ02GL+41DKKS1IOr9r5PAAFDALtCHpN8XA4eiuHb1s
E/Th+sHxxGkI54PN8TaC82MUHD8m+0DTR76BwwtQuPCaOPSAwvGjoYPGW959
BjtNIOKxxvD8C84fr00d0PM3ALrlrHU=
              "], CompressedData["
1:eJxTTMoPSmViYGAQB2IQ7XOC3Xa2qbbDHemaRCNRU4ct5j8OpZzScniSuPCa
SbwJnD8TBDxNHJ5naX+bPlfTIVJ8+0WGOmOH1DQgOKbu8Pdb6YM5gUYOjSxH
+w3FVRwMtFYKX2gxcOCPDbhvpK4A5/dFdPszFkjC+V/2fdyaPk0Uol/QCM7n
cVMtZeoygfO/bAjInnXdzGFHsFXE/+NSDimxd9yYO6wh8t9kIe70snW4oym7
5v9lRYf9tbIW6TIODr4XJ8b8O6zqIPzJ8XzaXQeH2YuUd/5h14Tzwf7s14Pz
W3j9109Zqu9g3/To+AxvOzj/685bXX+/2sL5X5D5qfoOvcElKtPjbR2O7trR
yxagD3cPevgCADBTpkc=
              "]}]}, 
           Thickness[0.04295532646048111], StripOnInput -> False]}, {
         ImageSize -> {23.28194271481943, 52.20421419676214}, 
          BaselinePosition -> Scaled[0.30763656780021675`], 
          ImageSize -> {24., 53.}, 
          PlotRange -> {{0., 23.279999999999998`}, {0., 52.2}}, AspectRatio -> 
          Automatic}], StripOnInput -> False], TraditionalForm], {0.91, 
      0.61}], 
     GrayLevel[0], 16, StripOnInput -> False]},
  Frame->True,
  FrameLabel->{{None, None}, {None, None}},
  FrameStyle->Opacity[1],
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  FrameTicksStyle->Directive[
    GrayLevel[0], 22],
  ImagePadding->All,
  ImageSize->512,
  Method->{
   "GridLinesInFront" -> True, "ScalingFunctions" -> None, 
    "TransparentPolygonMesh" -> True, "AxesInFront" -> True},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.02]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.8405070349310274`*^9, 3.8405070904711046`*^9}, {
   3.8405071267211556`*^9, 3.840507394853531*^9}, 3.840507430364581*^9, {
   3.8405074778846474`*^9, 3.840507495484672*^9}, {3.840507591285806*^9, 
   3.840507712345976*^9}, {3.8405077660260506`*^9, 3.8405078309361415`*^9}, {
   3.8598904517770863`*^9, 3.8598904880681376`*^9}},
 CellLabel->"Out[65]=",ExpressionUUID->"34791258-d583-4f2e-8bbb-7a8bdba657c1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"NSolve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"1", "-", 
     RowBox[{"3", "x"}], "+", 
     RowBox[{"9", 
      SuperscriptBox["x", "2"]}], "-", 
     RowBox[{"16", 
      SuperscriptBox["x", "3"]}], "-", 
     RowBox[{"12", 
      SuperscriptBox["x", "4"]}], "+", 
     RowBox[{"6", 
      SuperscriptBox["x", "5"]}], "+", 
     RowBox[{"3", 
      SuperscriptBox["x", "6"]}], "+", 
     RowBox[{"6", 
      SuperscriptBox["x", "7"]}], "-", 
     RowBox[{"12", 
      SuperscriptBox["x", "8"]}], "-", 
     RowBox[{"16", 
      SuperscriptBox["x", "9"]}], "+", 
     RowBox[{"9", 
      SuperscriptBox["x", "10"]}], "-", 
     RowBox[{"3", 
      SuperscriptBox["x", "11"]}], "+", 
     SuperscriptBox["x", "12"]}], "\[Equal]", "0"}], ",", "x"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"NSolve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"1", "+", 
     RowBox[{"6", "x"}], "+", 
     RowBox[{"15", 
      SuperscriptBox["x", "2"]}], "+", 
     RowBox[{"26", 
      SuperscriptBox["x", "3"]}], "+", 
     RowBox[{"3", 
      SuperscriptBox["x", "4"]}], "-", 
     RowBox[{"24", 
      SuperscriptBox["x", "5"]}], "-", 
     RowBox[{"27", 
      SuperscriptBox["x", "6"]}], "-", 
     RowBox[{"24", 
      SuperscriptBox["x", "7"]}], "+", 
     RowBox[{"3", 
      SuperscriptBox["x", "8"]}], "+", 
     RowBox[{"26", 
      SuperscriptBox["x", "9"]}], "+", 
     RowBox[{"15", 
      SuperscriptBox["x", "10"]}], "+", 
     RowBox[{"6", 
      SuperscriptBox["x", "11"]}], "+", 
     SuperscriptBox["x", "12"]}], "\[Equal]", "0"}], ",", "x"}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.832149810331072*^9, 3.8321498155510798`*^9}, {
   3.8321498552321353`*^9, 3.8321498727921596`*^9}, {3.8328555043072987`*^9, 
   3.832855507247303*^9}, {3.8328556482574606`*^9, 3.8328556625622787`*^9}, {
   3.8328557866533766`*^9, 3.832855791158634*^9}, {3.8328625335862236`*^9, 
   3.8328625457362404`*^9}, {3.833005884985995*^9, 3.8330058882559996`*^9}, 
   3.83300593836607*^9},
 CellLabel->"In[76]:=",ExpressionUUID->"17d50811-44f9-41fb-9ebe-addb6ce92af7"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{
      RowBox[{"-", "0.9589327659704645`"}], "-", 
      RowBox[{"0.2836334788917458`", " ", "\[ImaginaryI]"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{
      RowBox[{"-", "0.9589327659704645`"}], "+", 
      RowBox[{"0.2836334788917458`", " ", "\[ImaginaryI]"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{
      RowBox[{"-", "0.3396214473934099`"}], "-", 
      RowBox[{"0.9405622108454099`", " ", "\[ImaginaryI]"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{
      RowBox[{"-", "0.3396214473934099`"}], "+", 
      RowBox[{"0.9405622108454099`", " ", "\[ImaginaryI]"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{"0.052491065764414126`", "\[VeryThinSpace]", "-", 
      RowBox[{"0.3384387938850105`", " ", "\[ImaginaryI]"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{"0.052491065764414126`", "\[VeryThinSpace]", "+", 
      RowBox[{"0.3384387938850105`", " ", "\[ImaginaryI]"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", "0.39663110654305395`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{"0.44750893423558596`", "\[VeryThinSpace]", "-", 
      RowBox[{"2.885336423443998`", " ", "\[ImaginaryI]"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{"0.44750893423558596`", "\[VeryThinSpace]", "+", 
      RowBox[{"2.885336423443998`", " ", "\[ImaginaryI]"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{"0.8396214473934099`", "\[VeryThinSpace]", "-", 
      RowBox[{"0.5431720032153677`", " ", "\[ImaginaryI]"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{"0.8396214473934099`", "\[VeryThinSpace]", "+", 
      RowBox[{"0.5431720032153677`", " ", "\[ImaginaryI]"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", "2.5212344253978753`"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.8405051567593975`*^9},
 CellLabel->"Out[76]=",ExpressionUUID->"e5f270bc-e4dd-486c-8278-f6f4cb332d9f"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{"-", "3.684372153487191`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{
      RowBox[{"-", "0.9635154245261968`"}], "-", 
      RowBox[{"0.26765280999851826`", " ", "\[ImaginaryI]"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{
      RowBox[{"-", "0.9635154245261968`"}], "+", 
      RowBox[{"0.26765280999851826`", " ", "\[ImaginaryI]"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{
      RowBox[{"-", "0.855780357502347`"}], "-", 
      RowBox[{"2.280681527249405`", " ", "\[ImaginaryI]"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{
      RowBox[{"-", "0.855780357502347`"}], "+", 
      RowBox[{"2.280681527249405`", " ", "\[ImaginaryI]"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{"-", "0.2714166643164747`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{
      RowBox[{"-", "0.14421964249765304`"}], "-", 
      RowBox[{"0.38434987625900086`", " ", "\[ImaginaryI]"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{
      RowBox[{"-", "0.14421964249765304`"}], "+", 
      RowBox[{"0.38434987625900086`", " ", "\[ImaginaryI]"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{
      RowBox[{"-", "0.03648457547380327`"}], "-", 
      RowBox[{"0.9993342162422422`", " ", "\[ImaginaryI]"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{
      RowBox[{"-", "0.03648457547380327`"}], "+", 
      RowBox[{"0.9993342162422422`", " ", "\[ImaginaryI]"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{"0.9778944089018328`", "\[VeryThinSpace]", "-", 
      RowBox[{"0.20909931859892616`", " ", "\[ImaginaryI]"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{"0.9778944089018328`", "\[VeryThinSpace]", "+", 
      RowBox[{"0.20909931859892616`", " ", "\[ImaginaryI]"}]}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.8405051567593975`*^9},
 CellLabel->"Out[77]=",ExpressionUUID->"9c411320-6e4c-4f83-8522-fd79fe7349b5"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Palindromic Polynomials and Cardano Formulas (1)", "Subtitle",
 CellChangeTimes->{{3.8330059553160934`*^9, 3.833005977877125*^9}, {
  3.8598906601183786`*^9, 3.8598906612883797`*^9}},
 Background->RGBColor[
  1, 0.85, 0.85],ExpressionUUID->"548f844c-31b7-4d58-9f6b-013f8c1f487f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"-", "5"}], "-", 
     RowBox[{"72", 
      RowBox[{"(", "x", ")"}]}], "-", 
     RowBox[{"48", 
      RowBox[{
       RowBox[{"(", "x", ")"}], "^", "2"}]}], "-", 
     RowBox[{"4", 
      RowBox[{
       RowBox[{"(", "x", ")"}], "^", "3"}]}], "+", 
     RowBox[{"9", 
      RowBox[{
       RowBox[{"(", "x", ")"}], "^", "4"}]}], "+", 
     RowBox[{"6", 
      RowBox[{
       RowBox[{"(", "x", ")"}], "^", "5"}]}], "+", 
     RowBox[{
      RowBox[{"(", "x", ")"}], "^", "6"}]}], "\[Equal]", "0"}], ",", "x"}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.832855990763051*^9, {3.8328560714746675`*^9, 3.8328560882406263`*^9}, {
   3.8328561189313817`*^9, 3.8328561575095882`*^9}},
 CellLabel->"In[82]:=",ExpressionUUID->"10a1082e-8ce3-439a-aa99-87f55cd64e69"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{
      RowBox[{"-", "1"}], "-", 
      SqrtBox[
       RowBox[{"1", "+", 
        InterpretationBox[
         TemplateBox[{"Root",TemplateBox[{"\"-4.60\"", 
             DynamicBox[
              FEPrivate`FrontEndResource[
              "FEExpressions", "NumericalApproximationElider"]]}, 
            "RowDefault"],TagBox[
            RowBox[{"Root", "[", 
              RowBox[{
                RowBox[{
                  RowBox[{
                    RowBox[{"-", "5"}], "-", 
                    RowBox[{"36", " ", "#1"}], "-", 
                    RowBox[{"3", " ", 
                    SuperscriptBox["#1", "2"]}], "+", 
                    SuperscriptBox["#1", "3"]}], "&"}], ",", "1"}], "]"}], 
            Short[#, 7]& ],-4.5960737305479915`},
          "NumericalApproximation"],
         Root[-5 - 36 # - 3 #^2 + #^3& , 1, 0]]}]]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      SqrtBox[
       RowBox[{"1", "+", 
        InterpretationBox[
         TemplateBox[{"Root",TemplateBox[{"\"-4.60\"", 
             DynamicBox[
              FEPrivate`FrontEndResource[
              "FEExpressions", "NumericalApproximationElider"]]}, 
            "RowDefault"],TagBox[
            RowBox[{"Root", "[", 
              RowBox[{
                RowBox[{
                  RowBox[{
                    RowBox[{"-", "5"}], "-", 
                    RowBox[{"36", " ", "#1"}], "-", 
                    RowBox[{"3", " ", 
                    SuperscriptBox["#1", "2"]}], "+", 
                    SuperscriptBox["#1", "3"]}], "&"}], ",", "1"}], "]"}], 
            Short[#, 7]& ],-4.5960737305479915`},
          "NumericalApproximation"],
         Root[-5 - 36 # - 3 #^2 + #^3& , 1, 0]]}]]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{
      RowBox[{"-", "1"}], "-", 
      SqrtBox[
       RowBox[{"1", "+", 
        InterpretationBox[
         TemplateBox[{"Root",TemplateBox[{"\"-0.141\"", 
             DynamicBox[
              FEPrivate`FrontEndResource[
              "FEExpressions", "NumericalApproximationElider"]]}, 
            "RowDefault"],TagBox[
            RowBox[{"Root", "[", 
              RowBox[{
                RowBox[{
                  RowBox[{
                    RowBox[{"-", "5"}], "-", 
                    RowBox[{"36", " ", "#1"}], "-", 
                    RowBox[{"3", " ", 
                    SuperscriptBox["#1", "2"]}], "+", 
                    SuperscriptBox["#1", "3"]}], "&"}], ",", "2"}], "]"}], 
            Short[#, 7]& ],-0.1406138049051985},
          "NumericalApproximation"],
         Root[-5 - 36 # - 3 #^2 + #^3& , 2, 0]]}]]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      SqrtBox[
       RowBox[{"1", "+", 
        InterpretationBox[
         TemplateBox[{"Root",TemplateBox[{"\"-0.141\"", 
             DynamicBox[
              FEPrivate`FrontEndResource[
              "FEExpressions", "NumericalApproximationElider"]]}, 
            "RowDefault"],TagBox[
            RowBox[{"Root", "[", 
              RowBox[{
                RowBox[{
                  RowBox[{
                    RowBox[{"-", "5"}], "-", 
                    RowBox[{"36", " ", "#1"}], "-", 
                    RowBox[{"3", " ", 
                    SuperscriptBox["#1", "2"]}], "+", 
                    SuperscriptBox["#1", "3"]}], "&"}], ",", "2"}], "]"}], 
            Short[#, 7]& ],-0.1406138049051985},
          "NumericalApproximation"],
         Root[-5 - 36 # - 3 #^2 + #^3& , 2, 0]]}]]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{
      RowBox[{"-", "1"}], "-", 
      SqrtBox[
       RowBox[{"1", "+", 
        InterpretationBox[
         TemplateBox[{"Root",TemplateBox[{"\"7.74\"", 
             DynamicBox[
              FEPrivate`FrontEndResource[
              "FEExpressions", "NumericalApproximationElider"]]}, 
            "RowDefault"],TagBox[
            RowBox[{"Root", "[", 
              RowBox[{
                RowBox[{
                  RowBox[{
                    RowBox[{"-", "5"}], "-", 
                    RowBox[{"36", " ", "#1"}], "-", 
                    RowBox[{"3", " ", 
                    SuperscriptBox["#1", "2"]}], "+", 
                    SuperscriptBox["#1", "3"]}], "&"}], ",", "3"}], "]"}], 
            Short[#, 7]& ],7.73668753545319},
          "NumericalApproximation"],
         Root[-5 - 36 # - 3 #^2 + #^3& , 3, 0]]}]]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      SqrtBox[
       RowBox[{"1", "+", 
        InterpretationBox[
         TemplateBox[{"Root",TemplateBox[{"\"7.74\"", 
             DynamicBox[
              FEPrivate`FrontEndResource[
              "FEExpressions", "NumericalApproximationElider"]]}, 
            "RowDefault"],TagBox[
            RowBox[{"Root", "[", 
              RowBox[{
                RowBox[{
                  RowBox[{
                    RowBox[{"-", "5"}], "-", 
                    RowBox[{"36", " ", "#1"}], "-", 
                    RowBox[{"3", " ", 
                    SuperscriptBox["#1", "2"]}], "+", 
                    SuperscriptBox["#1", "3"]}], "&"}], ",", "3"}], "]"}], 
            Short[#, 7]& ],7.73668753545319},
          "NumericalApproximation"],
         Root[-5 - 36 # - 3 #^2 + #^3& , 3, 0]]}]]}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.8328559913100824`*^9, 3.8328560891646795`*^9, 
  3.832856119371407*^9, 3.8328561584536424`*^9},
 CellLabel->"Out[82]=",ExpressionUUID->"219b57af-cbb1-4703-a16a-31ba4f326cba"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"reduced", " ", "Cardano", " ", "form"}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.832857211236858*^9, 3.8328572192023134`*^9}, 
   3.833006061577242*^9},ExpressionUUID->"72a19949-f693-494e-86e2-\
b9a1b8d66fb4"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"a", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"b", "=", 
   RowBox[{"-", "3"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"c", "=", 
   RowBox[{"-", "36"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"d", "=", 
   RowBox[{"-", "5"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"p", "=", 
   RowBox[{"(", 
    RowBox[{
     FractionBox["c", "a"], "-", 
     FractionBox[
      SuperscriptBox["b", "2"], 
      RowBox[{"3", 
       SuperscriptBox["a", "2"]}]]}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"q", "=", 
   RowBox[{
    RowBox[{"-", 
     FractionBox[
      RowBox[{"c", " ", "b"}], 
      RowBox[{"3", 
       SuperscriptBox["a", "2"]}]]}], "+", 
    FractionBox["d", "a"], "+", 
    FractionBox[
     RowBox[{"2", 
      SuperscriptBox["b", "3"]}], 
     RowBox[{"27", 
      SuperscriptBox["a", "3"]}]]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      SuperscriptBox["y", "3"], "+", 
      RowBox[{"p", " ", "y"}], "+", "q"}], "\[Equal]", "0"}], ",", "y"}], 
   "]"}], "//", "N"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"-", "5"}], "-", 
      RowBox[{"36", "x"}], "-", 
      RowBox[{"3", 
       SuperscriptBox["x", "2"]}], "+", 
      SuperscriptBox["x", "3"]}], "\[Equal]", "0"}], ",", "x"}], "]"}], "//", 
  "N"}]}], "Input",
 CellChangeTimes->{{3.832857473575083*^9, 3.832857579085231*^9}, {
  3.832857775886506*^9, 3.8328578254565754`*^9}, {3.8328579131366987`*^9, 
  3.832857930527723*^9}, {3.8328595031325445`*^9, 3.8328595275425787`*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"9a140d0d-bee4-4e0e-a8d6-70f0004fcd17"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"y", "\[Rule]", 
     RowBox[{"-", "5.5960737305479915`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", "\[Rule]", 
     RowBox[{"-", "1.1406138049051986`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", "\[Rule]", "6.736687535453189`"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.8328574919051085`*^9, 3.8328574946351123`*^9}, 
   3.832857579835232*^9, {3.8328577906865273`*^9, 3.8328577934165306`*^9}, {
   3.8328579158967023`*^9, 3.832857930807723*^9}, {3.832859504022546*^9, 
   3.8328595397325954`*^9}, 3.8328627604215417`*^9, 3.832865358265477*^9},
 CellLabel->"Out[7]=",ExpressionUUID->"28cb63ce-464e-4c3b-bd9d-efcb3870b15e"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{"-", "4.5960737305479915`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{"-", "0.14061380490519848`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", "7.73668753545319`"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.8328574919051085`*^9, 3.8328574946351123`*^9}, 
   3.832857579835232*^9, {3.8328577906865273`*^9, 3.8328577934165306`*^9}, {
   3.8328579158967023`*^9, 3.832857930807723*^9}, {3.832859504022546*^9, 
   3.8328595397325954`*^9}, 3.8328627604215417`*^9, 3.832865358265477*^9},
 CellLabel->"Out[8]=",ExpressionUUID->"5bbafa87-67e0-458a-b73e-e21141e16d2c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"-", "5.5960737305479915`"}], "-", 
  FractionBox["b", "3"]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"-", "1.1406138049051986`"}], "-", 
  FractionBox["b", "3"]}], "\[IndentingNewLine]", 
 RowBox[{"6.736687535453189`", "-", 
  FractionBox["b", "3"]}]}], "Input",
 CellChangeTimes->{{3.832859534162588*^9, 3.8328595584146223`*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"5ebe1b98-0eda-4324-9eba-95bc18061c15"],

Cell[BoxData[
 RowBox[{"-", "4.5960737305479915`"}]], "Output",
 CellChangeTimes->{{3.8328574919051085`*^9, 3.8328574946351123`*^9}, 
   3.832857579835232*^9, {3.8328577906865273`*^9, 3.8328577934165306`*^9}, {
   3.8328579158967023`*^9, 3.832857930807723*^9}, {3.832859504022546*^9, 
   3.8328595593946238`*^9}, 3.8328627624615445`*^9, 3.832865359555479*^9},
 CellLabel->"Out[9]=",ExpressionUUID->"a8372254-0414-4dc5-a1e0-0882dd016cf2"],

Cell[BoxData[
 RowBox[{"-", "0.1406138049051986`"}]], "Output",
 CellChangeTimes->{{3.8328574919051085`*^9, 3.8328574946351123`*^9}, 
   3.832857579835232*^9, {3.8328577906865273`*^9, 3.8328577934165306`*^9}, {
   3.8328579158967023`*^9, 3.832857930807723*^9}, {3.832859504022546*^9, 
   3.8328595593946238`*^9}, 3.8328627624615445`*^9, 3.8328653595654793`*^9},
 CellLabel->"Out[10]=",ExpressionUUID->"7c7ee450-959d-4b3a-9a7b-97a573ff7487"],

Cell[BoxData["7.736687535453189`"], "Output",
 CellChangeTimes->{{3.8328574919051085`*^9, 3.8328574946351123`*^9}, 
   3.832857579835232*^9, {3.8328577906865273`*^9, 3.8328577934165306`*^9}, {
   3.8328579158967023`*^9, 3.832857930807723*^9}, {3.832859504022546*^9, 
   3.8328595593946238`*^9}, 3.8328627624615445`*^9, 3.832865359575479*^9},
 CellLabel->"Out[11]=",ExpressionUUID->"84b0b59c-5a7d-486f-b525-7a620d0d2de1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[CapitalDelta]", "=", 
   RowBox[{
    FractionBox[
     SuperscriptBox["p", "3"], "27"], "+", 
    FractionBox[
     SuperscriptBox["q", "2"], "4"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"y1", "=", 
  RowBox[{
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{"-", "1"}], "-", 
      RowBox[{"I", 
       SqrtBox["3"]}]}], "2"], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        FractionBox["q", "2"]}], "-", 
       SqrtBox["\[CapitalDelta]"]}], ")"}], 
     RowBox[{"1", "/", "3"}]]}], "+", 
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"I", 
       SqrtBox["3"]}]}], "2"], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        FractionBox["q", "2"]}], "+", 
       SqrtBox["\[CapitalDelta]"]}], ")"}], 
     RowBox[{"1", "/", "3"}]]}], "-", 
   FractionBox["b", "3"]}]}], "\[IndentingNewLine]", 
 RowBox[{"y2", "=", 
  RowBox[{
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"I", 
       SqrtBox["3"]}]}], "2"], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        FractionBox["q", "2"]}], "-", 
       SqrtBox["\[CapitalDelta]"]}], ")"}], 
     RowBox[{"1", "/", "3"}]]}], "+", 
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{"-", "1"}], "-", 
      RowBox[{"I", 
       SqrtBox["3"]}]}], "2"], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        FractionBox["q", "2"]}], "+", 
       SqrtBox["\[CapitalDelta]"]}], ")"}], 
     RowBox[{"1", "/", "3"}]]}], "-", 
   FractionBox["b", "3"]}]}], "\[IndentingNewLine]", 
 RowBox[{"y3", "=", 
  RowBox[{
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["q", "2"]}], "-", 
      SqrtBox["\[CapitalDelta]"]}], ")"}], 
    RowBox[{"1", "/", "3"}]], "+", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["q", "2"]}], "+", 
      SqrtBox["\[CapitalDelta]"]}], ")"}], 
    RowBox[{"1", "/", "3"}]], "-", 
   FractionBox["b", "3"]}]}]}], "Input",
 CellChangeTimes->{{3.832857940297736*^9, 3.832858053527895*^9}, {
   3.832858090007946*^9, 3.8328581092179728`*^9}, {3.832859167088465*^9, 
   3.8328591864684925`*^9}, {3.8328593054522676`*^9, 
   3.8328593332123065`*^9}, {3.83285936443235*^9, 3.8328594082424116`*^9}, {
   3.8328595841946583`*^9, 3.8328596087446923`*^9}, {3.8328596416247387`*^9, 
   3.832859671804781*^9}, 3.832859747684887*^9, {3.832859999924121*^9, 
   3.832860179144372*^9}, {3.8328605037668266`*^9, 3.8328605072868314`*^9}},
 CellLabel->"In[12]:=",ExpressionUUID->"26e084e9-7cd4-4679-a135-1b4991fcc516"],

Cell[BoxData[
 RowBox[{"1", "+", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "-", 
     RowBox[{"\[ImaginaryI]", " ", 
      SqrtBox["3"]}]}], ")"}], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      FractionBox["43", "2"], "-", 
      FractionBox[
       RowBox[{"3", " ", "\[ImaginaryI]", " ", 
        SqrtBox["771"]}], "2"]}], ")"}], 
    RowBox[{"1", "/", "3"}]]}], "+", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     RowBox[{"\[ImaginaryI]", " ", 
      SqrtBox["3"]}]}], ")"}], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      FractionBox["43", "2"], "+", 
      FractionBox[
       RowBox[{"3", " ", "\[ImaginaryI]", " ", 
        SqrtBox["771"]}], "2"]}], ")"}], 
    RowBox[{"1", "/", "3"}]]}]}]], "Output",
 CellChangeTimes->{{3.8328580367378716`*^9, 3.8328580548478966`*^9}, {
   3.8328581068579693`*^9, 3.8328581101479745`*^9}, {3.832859167758466*^9, 
   3.8328591877684937`*^9}, {3.832859325062295*^9, 3.832859333542307*^9}, {
   3.832859365522352*^9, 3.832859374262364*^9}, 3.8328594089024124`*^9, {
   3.8328596186347065`*^9, 3.8328596631347685`*^9}, 3.832859748184888*^9, {
   3.8328600209841504`*^9, 3.8328601796543727`*^9}, 3.8328602238644342`*^9, 
   3.832860507646832*^9, 3.8328627643715467`*^9, 3.832865361555482*^9},
 CellLabel->"Out[13]=",ExpressionUUID->"c1d7ca1b-6c17-4328-8df2-4b824b5d2114"],

Cell[BoxData[
 RowBox[{"1", "+", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     RowBox[{"\[ImaginaryI]", " ", 
      SqrtBox["3"]}]}], ")"}], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      FractionBox["43", "2"], "-", 
      FractionBox[
       RowBox[{"3", " ", "\[ImaginaryI]", " ", 
        SqrtBox["771"]}], "2"]}], ")"}], 
    RowBox[{"1", "/", "3"}]]}], "+", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "-", 
     RowBox[{"\[ImaginaryI]", " ", 
      SqrtBox["3"]}]}], ")"}], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      FractionBox["43", "2"], "+", 
      FractionBox[
       RowBox[{"3", " ", "\[ImaginaryI]", " ", 
        SqrtBox["771"]}], "2"]}], ")"}], 
    RowBox[{"1", "/", "3"}]]}]}]], "Output",
 CellChangeTimes->{{3.8328580367378716`*^9, 3.8328580548478966`*^9}, {
   3.8328581068579693`*^9, 3.8328581101479745`*^9}, {3.832859167758466*^9, 
   3.8328591877684937`*^9}, {3.832859325062295*^9, 3.832859333542307*^9}, {
   3.832859365522352*^9, 3.832859374262364*^9}, 3.8328594089024124`*^9, {
   3.8328596186347065`*^9, 3.8328596631347685`*^9}, 3.832859748184888*^9, {
   3.8328600209841504`*^9, 3.8328601796543727`*^9}, 3.8328602238644342`*^9, 
   3.832860507646832*^9, 3.8328627643715467`*^9, 3.832865361565482*^9},
 CellLabel->"Out[14]=",ExpressionUUID->"549f41c9-e107-46e1-8285-c9a047ed2b8c"],

Cell[BoxData[
 RowBox[{"1", "+", 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     FractionBox["43", "2"], "-", 
     FractionBox[
      RowBox[{"3", " ", "\[ImaginaryI]", " ", 
       SqrtBox["771"]}], "2"]}], ")"}], 
   RowBox[{"1", "/", "3"}]], "+", 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     FractionBox["43", "2"], "+", 
     FractionBox[
      RowBox[{"3", " ", "\[ImaginaryI]", " ", 
       SqrtBox["771"]}], "2"]}], ")"}], 
   RowBox[{"1", "/", "3"}]]}]], "Output",
 CellChangeTimes->{{3.8328580367378716`*^9, 3.8328580548478966`*^9}, {
   3.8328581068579693`*^9, 3.8328581101479745`*^9}, {3.832859167758466*^9, 
   3.8328591877684937`*^9}, {3.832859325062295*^9, 3.832859333542307*^9}, {
   3.832859365522352*^9, 3.832859374262364*^9}, 3.8328594089024124`*^9, {
   3.8328596186347065`*^9, 3.8328596631347685`*^9}, 3.832859748184888*^9, {
   3.8328600209841504`*^9, 3.8328601796543727`*^9}, 3.8328602238644342`*^9, 
   3.832860507646832*^9, 3.8328627643715467`*^9, 3.832865361565482*^9},
 CellLabel->"Out[15]=",ExpressionUUID->"c1edd963-f6f2-41eb-95b5-4617280afd20"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"z1", "=", 
  RowBox[{
   RowBox[{"-", "1"}], "-", 
   SqrtBox[
    RowBox[{"1", "+", "y1"}]]}]}], "\[IndentingNewLine]", 
 RowBox[{"z2", "=", 
  RowBox[{
   RowBox[{"-", "1"}], "+", 
   SqrtBox[
    RowBox[{"1", "+", "y1"}]]}]}], "\[IndentingNewLine]", 
 RowBox[{"z3", "=", 
  RowBox[{
   RowBox[{"-", "1"}], "-", 
   SqrtBox[
    RowBox[{"1", "+", "y2"}]]}]}], "\[IndentingNewLine]", 
 RowBox[{"z4", "=", 
  RowBox[{
   RowBox[{"-", "1"}], "+", 
   SqrtBox[
    RowBox[{"1", "+", "y2"}]]}]}], "\[IndentingNewLine]", 
 RowBox[{"z5", "=", 
  RowBox[{
   RowBox[{"-", "1"}], "-", 
   SqrtBox[
    RowBox[{"1", "+", "y3"}]]}]}], "\[IndentingNewLine]", 
 RowBox[{"z6", "=", 
  RowBox[{
   RowBox[{"-", "1"}], "+", 
   SqrtBox[
    RowBox[{"1", "+", "y3"}]]}]}]}], "Input",
 CellChangeTimes->{{3.8328601982543983`*^9, 3.8328602433144617`*^9}, {
  3.8328603197955685`*^9, 3.832860344286603*^9}, {3.8328603745066457`*^9, 
  3.832860382016656*^9}, {3.832865366655489*^9, 3.832865385785516*^9}},
 CellLabel->"In[28]:=",ExpressionUUID->"25e12ee4-dc88-4045-9756-636605033982"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "1"}], "-", 
  SqrtBox[
   RowBox[{"2", "+", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "-", 
       RowBox[{"\[ImaginaryI]", " ", 
        SqrtBox["3"]}]}], ")"}], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        FractionBox["43", "2"], "-", 
        FractionBox[
         RowBox[{"3", " ", "\[ImaginaryI]", " ", 
          SqrtBox["771"]}], "2"]}], ")"}], 
      RowBox[{"1", "/", "3"}]]}], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{"\[ImaginaryI]", " ", 
        SqrtBox["3"]}]}], ")"}], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        FractionBox["43", "2"], "+", 
        FractionBox[
         RowBox[{"3", " ", "\[ImaginaryI]", " ", 
          SqrtBox["771"]}], "2"]}], ")"}], 
      RowBox[{"1", "/", "3"}]]}]}]]}]], "Output",
 CellChangeTimes->{{3.8328602157644234`*^9, 3.832860243644462*^9}, 
   3.8328603446366034`*^9, 3.8328603826366568`*^9, 3.832860509886835*^9, 
   3.83286276653155*^9, {3.832865363605485*^9, 3.8328654025655394`*^9}},
 CellLabel->"Out[28]=",ExpressionUUID->"aabc5316-c428-4c6f-8594-7f5ff82fb257"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "1"}], "+", 
  SqrtBox[
   RowBox[{"2", "+", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "-", 
       RowBox[{"\[ImaginaryI]", " ", 
        SqrtBox["3"]}]}], ")"}], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        FractionBox["43", "2"], "-", 
        FractionBox[
         RowBox[{"3", " ", "\[ImaginaryI]", " ", 
          SqrtBox["771"]}], "2"]}], ")"}], 
      RowBox[{"1", "/", "3"}]]}], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{"\[ImaginaryI]", " ", 
        SqrtBox["3"]}]}], ")"}], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        FractionBox["43", "2"], "+", 
        FractionBox[
         RowBox[{"3", " ", "\[ImaginaryI]", " ", 
          SqrtBox["771"]}], "2"]}], ")"}], 
      RowBox[{"1", "/", "3"}]]}]}]]}]], "Output",
 CellChangeTimes->{{3.8328602157644234`*^9, 3.832860243644462*^9}, 
   3.8328603446366034`*^9, 3.8328603826366568`*^9, 3.832860509886835*^9, 
   3.83286276653155*^9, {3.832865363605485*^9, 3.8328654025655394`*^9}},
 CellLabel->"Out[29]=",ExpressionUUID->"69bf67ad-352e-41a5-9b72-00e22c09e99d"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "1"}], "-", 
  SqrtBox[
   RowBox[{"2", "+", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{"\[ImaginaryI]", " ", 
        SqrtBox["3"]}]}], ")"}], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        FractionBox["43", "2"], "-", 
        FractionBox[
         RowBox[{"3", " ", "\[ImaginaryI]", " ", 
          SqrtBox["771"]}], "2"]}], ")"}], 
      RowBox[{"1", "/", "3"}]]}], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "-", 
       RowBox[{"\[ImaginaryI]", " ", 
        SqrtBox["3"]}]}], ")"}], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        FractionBox["43", "2"], "+", 
        FractionBox[
         RowBox[{"3", " ", "\[ImaginaryI]", " ", 
          SqrtBox["771"]}], "2"]}], ")"}], 
      RowBox[{"1", "/", "3"}]]}]}]]}]], "Output",
 CellChangeTimes->{{3.8328602157644234`*^9, 3.832860243644462*^9}, 
   3.8328603446366034`*^9, 3.8328603826366568`*^9, 3.832860509886835*^9, 
   3.83286276653155*^9, {3.832865363605485*^9, 3.832865402575539*^9}},
 CellLabel->"Out[30]=",ExpressionUUID->"b406c38b-fb71-4a25-957e-8ab051cf4bf0"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "1"}], "+", 
  SqrtBox[
   RowBox[{"2", "+", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{"\[ImaginaryI]", " ", 
        SqrtBox["3"]}]}], ")"}], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        FractionBox["43", "2"], "-", 
        FractionBox[
         RowBox[{"3", " ", "\[ImaginaryI]", " ", 
          SqrtBox["771"]}], "2"]}], ")"}], 
      RowBox[{"1", "/", "3"}]]}], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "-", 
       RowBox[{"\[ImaginaryI]", " ", 
        SqrtBox["3"]}]}], ")"}], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        FractionBox["43", "2"], "+", 
        FractionBox[
         RowBox[{"3", " ", "\[ImaginaryI]", " ", 
          SqrtBox["771"]}], "2"]}], ")"}], 
      RowBox[{"1", "/", "3"}]]}]}]]}]], "Output",
 CellChangeTimes->{{3.8328602157644234`*^9, 3.832860243644462*^9}, 
   3.8328603446366034`*^9, 3.8328603826366568`*^9, 3.832860509886835*^9, 
   3.83286276653155*^9, {3.832865363605485*^9, 3.832865402575539*^9}},
 CellLabel->"Out[31]=",ExpressionUUID->"cf88cdf8-5413-46e6-bca0-bc8fb24a465c"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "1"}], "-", 
  SqrtBox[
   RowBox[{"2", "+", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       FractionBox["43", "2"], "-", 
       FractionBox[
        RowBox[{"3", " ", "\[ImaginaryI]", " ", 
         SqrtBox["771"]}], "2"]}], ")"}], 
     RowBox[{"1", "/", "3"}]], "+", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       FractionBox["43", "2"], "+", 
       FractionBox[
        RowBox[{"3", " ", "\[ImaginaryI]", " ", 
         SqrtBox["771"]}], "2"]}], ")"}], 
     RowBox[{"1", "/", "3"}]]}]]}]], "Output",
 CellChangeTimes->{{3.8328602157644234`*^9, 3.832860243644462*^9}, 
   3.8328603446366034`*^9, 3.8328603826366568`*^9, 3.832860509886835*^9, 
   3.83286276653155*^9, {3.832865363605485*^9, 3.832865402585539*^9}},
 CellLabel->"Out[32]=",ExpressionUUID->"2dabc94f-06f9-40b9-a40a-2ad8f8a508c1"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "1"}], "+", 
  SqrtBox[
   RowBox[{"2", "+", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       FractionBox["43", "2"], "-", 
       FractionBox[
        RowBox[{"3", " ", "\[ImaginaryI]", " ", 
         SqrtBox["771"]}], "2"]}], ")"}], 
     RowBox[{"1", "/", "3"}]], "+", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       FractionBox["43", "2"], "+", 
       FractionBox[
        RowBox[{"3", " ", "\[ImaginaryI]", " ", 
         SqrtBox["771"]}], "2"]}], ")"}], 
     RowBox[{"1", "/", "3"}]]}]]}]], "Output",
 CellChangeTimes->{{3.8328602157644234`*^9, 3.832860243644462*^9}, 
   3.8328603446366034`*^9, 3.8328603826366568`*^9, 3.832860509886835*^9, 
   3.83286276653155*^9, {3.832865363605485*^9, 3.832865402585539*^9}},
 CellLabel->"Out[33]=",ExpressionUUID->"608806ff-ce4e-4e64-b7ae-9fdc653dcf55"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"p2analytic", "=", 
  RowBox[{
   FractionBox[
    RowBox[{"z3", "+", 
     SqrtBox[
      RowBox[{
       SuperscriptBox["z3", "2"], "-", "4"}]]}], "2"], "//", 
   "Simplify"}]}], "\[IndentingNewLine]", 
 RowBox[{"p3analytic", "=", 
  RowBox[{
   FractionBox[
    RowBox[{"z4", "+", 
     SqrtBox[
      RowBox[{
       SuperscriptBox["z4", "2"], "-", "4"}]]}], "2"], "//", 
   "Simplify"}]}]}], "Input",
 CellChangeTimes->{{3.8328654089755483`*^9, 3.8328655021556787`*^9}},
 CellLabel->"In[50]:=",ExpressionUUID->"945c87d5-e3cc-47f7-94c3-3cd90a0eb72b"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "2"], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     SqrtBox[
      RowBox[{"8", "+", 
       RowBox[{"\[ImaginaryI]", " ", 
        SuperscriptBox["2", 
         RowBox[{"2", "/", "3"}]], " ", 
        RowBox[{"(", 
         RowBox[{"\[ImaginaryI]", "+", 
          SqrtBox["3"]}], ")"}], " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"43", "-", 
           RowBox[{"3", " ", "\[ImaginaryI]", " ", 
            SqrtBox["771"]}]}], ")"}], 
         RowBox[{"1", "/", "3"}]]}], "+", 
       RowBox[{
        SuperscriptBox["2", 
         RowBox[{"2", "/", "3"}]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "-", 
          RowBox[{"\[ImaginaryI]", " ", 
           SqrtBox["3"]}]}], ")"}], " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"43", "+", 
           RowBox[{"3", " ", "\[ImaginaryI]", " ", 
            SqrtBox["771"]}]}], ")"}], 
         RowBox[{"1", "/", "3"}]]}]}]]}], "+", 
    SqrtBox[
     RowBox[{
      RowBox[{"-", "4"}], "+", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"2", "+", 
          SqrtBox[
           RowBox[{"8", "+", 
            RowBox[{"\[ImaginaryI]", " ", 
             SuperscriptBox["2", 
              RowBox[{"2", "/", "3"}]], " ", 
             RowBox[{"(", 
              RowBox[{"\[ImaginaryI]", "+", 
               SqrtBox["3"]}], ")"}], " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{"43", "-", 
                RowBox[{"3", " ", "\[ImaginaryI]", " ", 
                 SqrtBox["771"]}]}], ")"}], 
              RowBox[{"1", "/", "3"}]]}], "+", 
            RowBox[{
             SuperscriptBox["2", 
              RowBox[{"2", "/", "3"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "-", 
               RowBox[{"\[ImaginaryI]", " ", 
                SqrtBox["3"]}]}], ")"}], " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{"43", "+", 
                RowBox[{"3", " ", "\[ImaginaryI]", " ", 
                 SqrtBox["771"]}]}], ")"}], 
              RowBox[{"1", "/", "3"}]]}]}]]}], ")"}], "2"]}]}]]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{{3.832865410835551*^9, 3.832865502545679*^9}},
 CellLabel->"Out[50]=",ExpressionUUID->"e04813b1-f2de-48a5-98dd-a943bbcc198e"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "2"], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "1"}], "+", 
    SqrtBox[
     RowBox[{"2", "+", 
      RowBox[{
       FractionBox["1", "2"], " ", "\[ImaginaryI]", " ", 
       RowBox[{"(", 
        RowBox[{"\[ImaginaryI]", "+", 
         SqrtBox["3"]}], ")"}], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"43", "-", 
            RowBox[{"3", " ", "\[ImaginaryI]", " ", 
             SqrtBox["771"]}]}], ")"}]}], ")"}], 
        RowBox[{"1", "/", "3"}]]}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", "\[ImaginaryI]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "\[ImaginaryI]"}], "+", 
         SqrtBox["3"]}], ")"}], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"43", "+", 
            RowBox[{"3", " ", "\[ImaginaryI]", " ", 
             SqrtBox["771"]}]}], ")"}]}], ")"}], 
        RowBox[{"1", "/", "3"}]]}]}]], "+", 
    SqrtBox[
     RowBox[{
      RowBox[{"-", "4"}], "+", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         SqrtBox[
          RowBox[{"2", "+", 
           RowBox[{
            FractionBox["1", "2"], " ", "\[ImaginaryI]", " ", 
            RowBox[{"(", 
             RowBox[{"\[ImaginaryI]", "+", 
              SqrtBox["3"]}], ")"}], " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               FractionBox["1", "2"], " ", 
               RowBox[{"(", 
                RowBox[{"43", "-", 
                 RowBox[{"3", " ", "\[ImaginaryI]", " ", 
                  SqrtBox["771"]}]}], ")"}]}], ")"}], 
             RowBox[{"1", "/", "3"}]]}], "-", 
           RowBox[{
            FractionBox["1", "2"], " ", "\[ImaginaryI]", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "\[ImaginaryI]"}], "+", 
              SqrtBox["3"]}], ")"}], " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               FractionBox["1", "2"], " ", 
               RowBox[{"(", 
                RowBox[{"43", "+", 
                 RowBox[{"3", " ", "\[ImaginaryI]", " ", 
                  SqrtBox["771"]}]}], ")"}]}], ")"}], 
             RowBox[{"1", "/", "3"}]]}]}]]}], ")"}], "2"]}]]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{{3.832865410835551*^9, 3.8328655025556793`*^9}},
 CellLabel->"Out[51]=",ExpressionUUID->"783291b7-5a84-47fd-a04c-1d403210fb10"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"p2analytic", "=", 
  RowBox[{
   FractionBox[
    RowBox[{"z3", "+", 
     SqrtBox[
      RowBox[{
       SuperscriptBox["z3", "2"], "-", "4"}]]}], "2"], 
   RowBox[{"(*", "p2", "*)"}], "//", "Simplify"}]}], "\[IndentingNewLine]", 
 RowBox[{"p3analytic", "=", 
  RowBox[{
   FractionBox[
    RowBox[{"z4", "+", 
     SqrtBox[
      RowBox[{
       SuperscriptBox["z4", "2"], "-", "4"}]]}], "2"], 
   RowBox[{"(*", "p3", "*)"}], "//", "Simplify"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", 
   FractionBox[
    RowBox[{"z6", "+", 
     SqrtBox[
      RowBox[{
       SuperscriptBox["z6", "2"], "-", "4"}]]}], "2"], "*)"}]}]}], "Input",
 CellChangeTimes->{{3.8328603978766785`*^9, 3.832860569866919*^9}, {
  3.832860609226974*^9, 3.8328606231869936`*^9}},
 CellLabel->"In[31]:=",ExpressionUUID->"ab2cbe16-2518-4dfa-9f21-003a3d2e56a0"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "2"], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     SqrtBox[
      RowBox[{"8", "+", 
       RowBox[{"\[ImaginaryI]", " ", 
        SuperscriptBox["2", 
         RowBox[{"2", "/", "3"}]], " ", 
        RowBox[{"(", 
         RowBox[{"\[ImaginaryI]", "+", 
          SqrtBox["3"]}], ")"}], " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"43", "-", 
           RowBox[{"3", " ", "\[ImaginaryI]", " ", 
            SqrtBox["771"]}]}], ")"}], 
         RowBox[{"1", "/", "3"}]]}], "+", 
       RowBox[{
        SuperscriptBox["2", 
         RowBox[{"2", "/", "3"}]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "-", 
          RowBox[{"\[ImaginaryI]", " ", 
           SqrtBox["3"]}]}], ")"}], " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"43", "+", 
           RowBox[{"3", " ", "\[ImaginaryI]", " ", 
            SqrtBox["771"]}]}], ")"}], 
         RowBox[{"1", "/", "3"}]]}]}]]}], "+", 
    SqrtBox[
     RowBox[{
      RowBox[{"-", "4"}], "+", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"2", "+", 
          SqrtBox[
           RowBox[{"8", "+", 
            RowBox[{"\[ImaginaryI]", " ", 
             SuperscriptBox["2", 
              RowBox[{"2", "/", "3"}]], " ", 
             RowBox[{"(", 
              RowBox[{"\[ImaginaryI]", "+", 
               SqrtBox["3"]}], ")"}], " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{"43", "-", 
                RowBox[{"3", " ", "\[ImaginaryI]", " ", 
                 SqrtBox["771"]}]}], ")"}], 
              RowBox[{"1", "/", "3"}]]}], "+", 
            RowBox[{
             SuperscriptBox["2", 
              RowBox[{"2", "/", "3"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "-", 
               RowBox[{"\[ImaginaryI]", " ", 
                SqrtBox["3"]}]}], ")"}], " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{"43", "+", 
                RowBox[{"3", " ", "\[ImaginaryI]", " ", 
                 SqrtBox["771"]}]}], ")"}], 
              RowBox[{"1", "/", "3"}]]}]}]]}], ")"}], "2"]}]}]]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{{3.8328604071566916`*^9, 3.8328604683567767`*^9}, {
   3.83286049912682*^9, 3.8328605703169193`*^9}, 3.832860623476994*^9, 
   3.8328627697615547`*^9},
 Background->RGBColor[0.88, 1, 0.88],
 CellLabel->"Out[31]=",ExpressionUUID->"e510292c-5dff-4166-8c2f-66053d6429ef"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "2"], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "1"}], "+", 
    SqrtBox[
     RowBox[{"2", "+", 
      RowBox[{
       FractionBox["1", "2"], " ", "\[ImaginaryI]", " ", 
       RowBox[{"(", 
        RowBox[{"\[ImaginaryI]", "+", 
         SqrtBox["3"]}], ")"}], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"43", "-", 
            RowBox[{"3", " ", "\[ImaginaryI]", " ", 
             SqrtBox["771"]}]}], ")"}]}], ")"}], 
        RowBox[{"1", "/", "3"}]]}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", "\[ImaginaryI]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "\[ImaginaryI]"}], "+", 
         SqrtBox["3"]}], ")"}], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"43", "+", 
            RowBox[{"3", " ", "\[ImaginaryI]", " ", 
             SqrtBox["771"]}]}], ")"}]}], ")"}], 
        RowBox[{"1", "/", "3"}]]}]}]], "+", 
    SqrtBox[
     RowBox[{
      RowBox[{"-", "4"}], "+", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         SqrtBox[
          RowBox[{"2", "+", 
           RowBox[{
            FractionBox["1", "2"], " ", "\[ImaginaryI]", " ", 
            RowBox[{"(", 
             RowBox[{"\[ImaginaryI]", "+", 
              SqrtBox["3"]}], ")"}], " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               FractionBox["1", "2"], " ", 
               RowBox[{"(", 
                RowBox[{"43", "-", 
                 RowBox[{"3", " ", "\[ImaginaryI]", " ", 
                  SqrtBox["771"]}]}], ")"}]}], ")"}], 
             RowBox[{"1", "/", "3"}]]}], "-", 
           RowBox[{
            FractionBox["1", "2"], " ", "\[ImaginaryI]", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "\[ImaginaryI]"}], "+", 
              SqrtBox["3"]}], ")"}], " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               FractionBox["1", "2"], " ", 
               RowBox[{"(", 
                RowBox[{"43", "+", 
                 RowBox[{"3", " ", "\[ImaginaryI]", " ", 
                  SqrtBox["771"]}]}], ")"}]}], ")"}], 
             RowBox[{"1", "/", "3"}]]}]}]]}], ")"}], "2"]}]]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{{3.8328604071566916`*^9, 3.8328604683567767`*^9}, {
   3.83286049912682*^9, 3.8328605703169193`*^9}, 3.832860623476994*^9, 
   3.832862770061555*^9},
 Background->RGBColor[0.88, 1, 0.88],
 CellLabel->"Out[32]=",ExpressionUUID->"a7880056-7198-4619-98d9-977bb0d7b628"]
}, {2, 3}]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Conjugate", "[", "p2analytic", "]"}], "//", 
  "N"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Conjugate", "[", "p3analytic", "]"}], "//", 
  "N"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"p2", "=", 
     RowBox[{
      RowBox[{"-", "0.9635154245261968`"}], "-", 
      RowBox[{"0.2676528099985182`", " ", "\[ImaginaryI]"}]}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"p3", "=", 
     RowBox[{
      RowBox[{"-", "0.03648457547380327`"}], "-", 
      RowBox[{"0.9993342162422422`", " ", "\[ImaginaryI]"}]}]}], ";"}], 
   "\[IndentingNewLine]", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.8328605722869225`*^9, 3.8328605787669315`*^9}, {
  3.8328606144169817`*^9, 3.832860640457018*^9}, {3.832862792161586*^9, 
  3.832862799221596*^9}},
 CellLabel->"In[42]:=",ExpressionUUID->"a8360895-a957-443b-b6c3-2a7277f535e5"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "0.9635154245261965`"}], "-", 
  RowBox[{"0.2676528099985188`", " ", "\[ImaginaryI]"}]}]], "Output",
 CellChangeTimes->{
  3.8328606710080605`*^9, {3.832862772131558*^9, 3.8328627998415966`*^9}, 
   3.8328654523256087`*^9},
 CellLabel->"Out[42]=",ExpressionUUID->"9c7f4c7f-94da-4cd1-95f0-c3ea58f709ba"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "0.03648457547380335`"}], "-", 
  RowBox[{"0.9993342162422422`", " ", "\[ImaginaryI]"}]}]], "Output",
 CellChangeTimes->{
  3.8328606710080605`*^9, {3.832862772131558*^9, 3.8328627998415966`*^9}, 
   3.832865452355609*^9},
 CellLabel->"Out[43]=",ExpressionUUID->"c7411359-50c6-4439-b5ca-e0d0cf244ae5"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Palindromic Polynomials and Cardano Formulas (2)  ", "Subtitle",
 CellChangeTimes->{{3.8328610202105494`*^9, 3.8328610207505503`*^9}, {
  3.8328628264616337`*^9, 3.832862830271639*^9}, {3.833006090627283*^9, 
  3.8330061053173037`*^9}, {3.859890646278359*^9, 3.8598906576483746`*^9}},
 Background->RGBColor[
  1, 0.85, 0.85],ExpressionUUID->"ea3d79a6-b1a6-47a1-86d3-156532f01aa0"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "-", 
     RowBox[{"3", "x"}], "+", 
     RowBox[{"9", 
      SuperscriptBox["x", "2"]}], "-", 
     RowBox[{"16", 
      SuperscriptBox["x", "3"]}], "-", 
     RowBox[{"12", 
      SuperscriptBox["x", "4"]}], "+", 
     RowBox[{"6", 
      SuperscriptBox["x", "5"]}], "+", 
     RowBox[{"3", 
      SuperscriptBox["x", "6"]}], "+", 
     RowBox[{"6", 
      SuperscriptBox["x", "7"]}], "-", 
     RowBox[{"12", 
      SuperscriptBox["x", "8"]}], "-", 
     RowBox[{"16", 
      SuperscriptBox["x", "9"]}], "+", 
     RowBox[{"9", 
      SuperscriptBox["x", "10"]}], "-", 
     RowBox[{"3", 
      SuperscriptBox["x", "11"]}], "+", 
     SuperscriptBox["x", "12"]}], ")"}], "/", 
   SuperscriptBox["x", "6"]}], "//", "Simplify"}]], "Input",
 CellChangeTimes->{{3.8328610238605547`*^9, 3.8328610465805864`*^9}},
 CellLabel->"In[37]:=",ExpressionUUID->"b5e21a58-7079-49ef-b5e7-4cf44df00a4e"],

Cell[BoxData[
 RowBox[{"3", "+", 
  FractionBox["1", 
   SuperscriptBox["x", "6"]], "-", 
  FractionBox["3", 
   SuperscriptBox["x", "5"]], "+", 
  FractionBox["9", 
   SuperscriptBox["x", "4"]], "-", 
  FractionBox["16", 
   SuperscriptBox["x", "3"]], "-", 
  FractionBox["12", 
   SuperscriptBox["x", "2"]], "+", 
  FractionBox["6", "x"], "+", 
  RowBox[{"6", " ", "x"}], "-", 
  RowBox[{"12", " ", 
   SuperscriptBox["x", "2"]}], "-", 
  RowBox[{"16", " ", 
   SuperscriptBox["x", "3"]}], "+", 
  RowBox[{"9", " ", 
   SuperscriptBox["x", "4"]}], "-", 
  RowBox[{"3", " ", 
   SuperscriptBox["x", "5"]}], "+", 
  SuperscriptBox["x", "6"]}]], "Output",
 CellChangeTimes->{{3.832861033360568*^9, 3.832861046890587*^9}, 
   3.832862839191652*^9},
 CellLabel->"Out[37]=",ExpressionUUID->"d0873cbc-cbd7-452a-b992-427a20265875"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"a0", "+", 
   RowBox[{"a1", " ", 
    RowBox[{"(", 
     RowBox[{
      FractionBox["1", "x"], "+", "x"}], ")"}]}], "+", 
   RowBox[{"a2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       FractionBox["1", "x"], "+", "x"}], ")"}], "2"]}], "+", 
   RowBox[{"a3", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       FractionBox["1", "x"], "+", "x"}], ")"}], "3"]}], "+", 
   RowBox[{"a4", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       FractionBox["1", "x"], "+", "x"}], ")"}], "4"]}], "+", 
   RowBox[{"a5", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       FractionBox["1", "x"], "+", "x"}], ")"}], "5"]}], "+", 
   RowBox[{"a6", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       FractionBox["1", "x"], "+", "x"}], ")"}], "6"]}]}], "//", 
  "Expand"}]], "Input",
 CellChangeTimes->{{3.8328612800619135`*^9, 3.8328613595730247`*^9}},
 CellLabel->"In[38]:=",ExpressionUUID->"61a21cc1-fb43-4c88-b0b1-21411465451d"],

Cell[BoxData[
 RowBox[{"a0", "+", 
  RowBox[{"2", " ", "a2"}], "+", 
  RowBox[{"6", " ", "a4"}], "+", 
  RowBox[{"20", " ", "a6"}], "+", 
  FractionBox["a6", 
   SuperscriptBox["x", "6"]], "+", 
  FractionBox["a5", 
   SuperscriptBox["x", "5"]], "+", 
  FractionBox["a4", 
   SuperscriptBox["x", "4"]], "+", 
  FractionBox[
   RowBox[{"6", " ", "a6"}], 
   SuperscriptBox["x", "4"]], "+", 
  FractionBox["a3", 
   SuperscriptBox["x", "3"]], "+", 
  FractionBox[
   RowBox[{"5", " ", "a5"}], 
   SuperscriptBox["x", "3"]], "+", 
  FractionBox["a2", 
   SuperscriptBox["x", "2"]], "+", 
  FractionBox[
   RowBox[{"4", " ", "a4"}], 
   SuperscriptBox["x", "2"]], "+", 
  FractionBox[
   RowBox[{"15", " ", "a6"}], 
   SuperscriptBox["x", "2"]], "+", 
  FractionBox["a1", "x"], "+", 
  FractionBox[
   RowBox[{"3", " ", "a3"}], "x"], "+", 
  FractionBox[
   RowBox[{"10", " ", "a5"}], "x"], "+", 
  RowBox[{"a1", " ", "x"}], "+", 
  RowBox[{"3", " ", "a3", " ", "x"}], "+", 
  RowBox[{"10", " ", "a5", " ", "x"}], "+", 
  RowBox[{"a2", " ", 
   SuperscriptBox["x", "2"]}], "+", 
  RowBox[{"4", " ", "a4", " ", 
   SuperscriptBox["x", "2"]}], "+", 
  RowBox[{"15", " ", "a6", " ", 
   SuperscriptBox["x", "2"]}], "+", 
  RowBox[{"a3", " ", 
   SuperscriptBox["x", "3"]}], "+", 
  RowBox[{"5", " ", "a5", " ", 
   SuperscriptBox["x", "3"]}], "+", 
  RowBox[{"a4", " ", 
   SuperscriptBox["x", "4"]}], "+", 
  RowBox[{"6", " ", "a6", " ", 
   SuperscriptBox["x", "4"]}], "+", 
  RowBox[{"a5", " ", 
   SuperscriptBox["x", "5"]}], "+", 
  RowBox[{"a6", " ", 
   SuperscriptBox["x", "6"]}]}]], "Output",
 CellChangeTimes->{{3.832861355233019*^9, 3.832861359793025*^9}, 
   3.8328628409526544`*^9},
 CellLabel->"Out[38]=",ExpressionUUID->"e54fc888-7fca-4973-a627-899aa96f93b7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"a0", "+", 
       RowBox[{"2", " ", "a2"}], "+", 
       RowBox[{"6", " ", "a4"}], "+", 
       RowBox[{"20", " ", "a6"}]}], "\[Equal]", "3"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"a6", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
     RowBox[{"a5", "\[Equal]", 
      RowBox[{"-", "3"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"a4", "+", 
       RowBox[{"6", "a6"}]}], "\[Equal]", "9"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"a3", "+", 
       RowBox[{"5", "a5"}]}], "\[Equal]", 
      RowBox[{"-", "16"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"a2", "+", 
       RowBox[{"4", "a4"}], "+", 
       RowBox[{"15", "a6"}]}], "\[Equal]", 
      RowBox[{"-", "12"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"a1", "+", 
       RowBox[{"3", "a3"}], "+", 
       RowBox[{"10", "a5"}]}], "\[Equal]", "6"}]}], "\[IndentingNewLine]", 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "a0", ",", "a1", ",", "a2", ",", "a3", ",", "a4", ",", "a5", ",", "a6"}], 
    "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.8328614314431257`*^9, 3.8328614533731565`*^9}, {
  3.8328615105932364`*^9, 3.832861590244348*^9}},
 CellLabel->"In[39]:=",ExpressionUUID->"16d66407-60d5-47d3-98cf-c60fbf43267c"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"a0", "\[Rule]", "43"}], ",", 
    RowBox[{"a1", "\[Rule]", "39"}], ",", 
    RowBox[{"a2", "\[Rule]", 
     RowBox[{"-", "39"}]}], ",", 
    RowBox[{"a3", "\[Rule]", 
     RowBox[{"-", "1"}]}], ",", 
    RowBox[{"a4", "\[Rule]", "3"}], ",", 
    RowBox[{"a5", "\[Rule]", 
     RowBox[{"-", "3"}]}], ",", 
    RowBox[{"a6", "\[Rule]", "1"}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.8328615906643486`*^9, 3.832862842302656*^9},
 CellLabel->"Out[39]=",ExpressionUUID->"09dd1922-c4e1-4922-b425-394b6f2aed6d"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"q", 
    RowBox[{"(", "x", ")"}]}], "=", 
   RowBox[{"43", "+", 
    RowBox[{"39", "x"}], "-", 
    RowBox[{"39", 
     SuperscriptBox["x", "2"]}], "-", 
    SuperscriptBox["x", "3"], "+", 
    RowBox[{"3", 
     SuperscriptBox["x", "4"]}], "-", 
    RowBox[{"3", 
     SuperscriptBox["x", "5"]}], "+", 
    SuperscriptBox["x", "6"]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.8328615968843575`*^9, 3.832861629774403*^9}, {
  3.832861662304449*^9, 
  3.832861696865497*^9}},ExpressionUUID->"ab1f3caf-e061-4c5a-bb91-\
bed7866fac04"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"43", "+", 
   RowBox[{"39", 
    RowBox[{"(", 
     RowBox[{
      FractionBox["1", "x"], "+", "x"}], ")"}]}], "-", 
   RowBox[{"39", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       FractionBox["1", "x"], "+", "x"}], ")"}], "2"]}], "-", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      FractionBox["1", "x"], "+", "x"}], ")"}], "3"], "+", 
   RowBox[{"3", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       FractionBox["1", "x"], "+", "x"}], ")"}], "4"]}], "-", 
   RowBox[{"3", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       FractionBox["1", "x"], "+", "x"}], ")"}], "5"]}], "+", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      FractionBox["1", "x"], "+", "x"}], ")"}], "6"]}], "//", 
  "Factor"}]], "Input",
 CellChangeTimes->{{3.8328616365444126`*^9, 3.8328616719344625`*^9}},
 CellLabel->"In[40]:=",ExpressionUUID->"2157ab9b-cb74-4588-90ca-184f76d9f25c"],

Cell[BoxData[
 FractionBox[
  RowBox[{"1", "-", 
   RowBox[{"3", " ", "x"}], "+", 
   RowBox[{"9", " ", 
    SuperscriptBox["x", "2"]}], "-", 
   RowBox[{"16", " ", 
    SuperscriptBox["x", "3"]}], "-", 
   RowBox[{"12", " ", 
    SuperscriptBox["x", "4"]}], "+", 
   RowBox[{"6", " ", 
    SuperscriptBox["x", "5"]}], "+", 
   RowBox[{"3", " ", 
    SuperscriptBox["x", "6"]}], "+", 
   RowBox[{"6", " ", 
    SuperscriptBox["x", "7"]}], "-", 
   RowBox[{"12", " ", 
    SuperscriptBox["x", "8"]}], "-", 
   RowBox[{"16", " ", 
    SuperscriptBox["x", "9"]}], "+", 
   RowBox[{"9", " ", 
    SuperscriptBox["x", "10"]}], "-", 
   RowBox[{"3", " ", 
    SuperscriptBox["x", "11"]}], "+", 
   SuperscriptBox["x", "12"]}], 
  SuperscriptBox["x", "6"]]], "Output",
 CellChangeTimes->{{3.832861668904458*^9, 3.8328616721644626`*^9}, 
   3.832862844332659*^9},
 CellLabel->"Out[40]=",ExpressionUUID->"10575584-12f4-43f0-90f1-7e14c2e91bea"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"43", "+", 
     RowBox[{"39", "x"}], "-", 
     RowBox[{"39", 
      SuperscriptBox["x", "2"]}], "-", 
     SuperscriptBox["x", "3"], "+", 
     RowBox[{"3", 
      SuperscriptBox["x", "4"]}], "-", 
     RowBox[{"3", 
      SuperscriptBox["x", "5"]}], "+", 
     SuperscriptBox["x", "6"]}], "\[Equal]", "0"}], ",", "x"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.83286171330552*^9, 3.832861716315524*^9}},
 CellLabel->"In[41]:=",ExpressionUUID->"b2da3e0f-b8f8-4a6f-a3cc-9490fb9d18c2"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        SqrtBox[
         RowBox[{"1", "+", 
          RowBox[{"4", " ", 
           InterpretationBox[
            TemplateBox[{"Root",TemplateBox[{"\"-6.74\"", 
                DynamicBox[
                 FEPrivate`FrontEndResource[
                 "FEExpressions", "NumericalApproximationElider"]]}, 
               "RowDefault"],TagBox[
               RowBox[{"Root", "[", 
                 RowBox[{
                   RowBox[{
                    RowBox[{"43", "-", 
                    RowBox[{"39", " ", "#1"}], "+", 
                    SuperscriptBox["#1", "3"]}], "&"}], ",", "1"}], "]"}], 
               Short[#, 7]& ],-6.73668753545319},
             "NumericalApproximation"],
            Root[43 - 39 # + #^3& , 1, 0]]}]}]]}], ")"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        SqrtBox[
         RowBox[{"1", "+", 
          RowBox[{"4", " ", 
           InterpretationBox[
            TemplateBox[{"Root",TemplateBox[{"\"-6.74\"", 
                DynamicBox[
                 FEPrivate`FrontEndResource[
                 "FEExpressions", "NumericalApproximationElider"]]}, 
               "RowDefault"],TagBox[
               RowBox[{"Root", "[", 
                 RowBox[{
                   RowBox[{
                    RowBox[{"43", "-", 
                    RowBox[{"39", " ", "#1"}], "+", 
                    SuperscriptBox["#1", "3"]}], "&"}], ",", "1"}], "]"}], 
               Short[#, 7]& ],-6.73668753545319},
             "NumericalApproximation"],
            Root[43 - 39 # + #^3& , 1, 0]]}]}]]}], ")"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        SqrtBox[
         RowBox[{"1", "+", 
          RowBox[{"4", " ", 
           InterpretationBox[
            TemplateBox[{"Root",TemplateBox[{"\"1.14\"", 
                DynamicBox[
                 FEPrivate`FrontEndResource[
                 "FEExpressions", "NumericalApproximationElider"]]}, 
               "RowDefault"],TagBox[
               RowBox[{"Root", "[", 
                 RowBox[{
                   RowBox[{
                    RowBox[{"43", "-", 
                    RowBox[{"39", " ", "#1"}], "+", 
                    SuperscriptBox["#1", "3"]}], "&"}], ",", "2"}], "]"}], 
               Short[#, 7]& ],1.1406138049051986`},
             "NumericalApproximation"],
            Root[43 - 39 # + #^3& , 2, 0]]}]}]]}], ")"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        SqrtBox[
         RowBox[{"1", "+", 
          RowBox[{"4", " ", 
           InterpretationBox[
            TemplateBox[{"Root",TemplateBox[{"\"1.14\"", 
                DynamicBox[
                 FEPrivate`FrontEndResource[
                 "FEExpressions", "NumericalApproximationElider"]]}, 
               "RowDefault"],TagBox[
               RowBox[{"Root", "[", 
                 RowBox[{
                   RowBox[{
                    RowBox[{"43", "-", 
                    RowBox[{"39", " ", "#1"}], "+", 
                    SuperscriptBox["#1", "3"]}], "&"}], ",", "2"}], "]"}], 
               Short[#, 7]& ],1.1406138049051986`},
             "NumericalApproximation"],
            Root[43 - 39 # + #^3& , 2, 0]]}]}]]}], ")"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        SqrtBox[
         RowBox[{"1", "+", 
          RowBox[{"4", " ", 
           InterpretationBox[
            TemplateBox[{"Root",TemplateBox[{"\"5.60\"", 
                DynamicBox[
                 FEPrivate`FrontEndResource[
                 "FEExpressions", "NumericalApproximationElider"]]}, 
               "RowDefault"],TagBox[
               RowBox[{"Root", "[", 
                 RowBox[{
                   RowBox[{
                    RowBox[{"43", "-", 
                    RowBox[{"39", " ", "#1"}], "+", 
                    SuperscriptBox["#1", "3"]}], "&"}], ",", "3"}], "]"}], 
               Short[#, 7]& ],5.5960737305479915`},
             "NumericalApproximation"],
            Root[43 - 39 # + #^3& , 3, 0]]}]}]]}], ")"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        SqrtBox[
         RowBox[{"1", "+", 
          RowBox[{"4", " ", 
           InterpretationBox[
            TemplateBox[{"Root",TemplateBox[{"\"5.60\"", 
                DynamicBox[
                 FEPrivate`FrontEndResource[
                 "FEExpressions", "NumericalApproximationElider"]]}, 
               "RowDefault"],TagBox[
               RowBox[{"Root", "[", 
                 RowBox[{
                   RowBox[{
                    RowBox[{"43", "-", 
                    RowBox[{"39", " ", "#1"}], "+", 
                    SuperscriptBox["#1", "3"]}], "&"}], ",", "3"}], "]"}], 
               Short[#, 7]& ],5.5960737305479915`},
             "NumericalApproximation"],
            Root[43 - 39 # + #^3& , 3, 0]]}]}]]}], ")"}]}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.8328617166655245`*^9, 3.8328628459026613`*^9},
 CellLabel->"Out[41]=",ExpressionUUID->"34e60d6c-15b3-4e1f-a09d-3fefb556d8f9"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    SuperscriptBox["x", "3"], "-", 
    RowBox[{"39", "x"}], "+", "43"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"a", "=", "1"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"b", "=", "0"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"c", "=", 
     RowBox[{"-", "39"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"d", "=", "43"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"p", "=", 
     RowBox[{"(", 
      RowBox[{
       FractionBox["c", "a"], "-", 
       FractionBox[
        SuperscriptBox["b", "2"], 
        RowBox[{"3", 
         SuperscriptBox["a", "2"]}]]}], ")"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"q", "=", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{"c", " ", "b"}], 
        RowBox[{"3", 
         SuperscriptBox["a", "2"]}]]}], "+", 
      FractionBox["d", "a"], "+", 
      FractionBox[
       RowBox[{"2", 
        SuperscriptBox["b", "3"]}], 
       RowBox[{"27", 
        SuperscriptBox["a", "3"]}]]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        SuperscriptBox["y", "3"], "+", 
        RowBox[{"p", " ", "y"}], "+", "q"}], "\[Equal]", "0"}], ",", "y"}], 
     "]"}], "//", "N"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        SuperscriptBox["x", "3"], "-", 
        RowBox[{"39", "x"}], "+", "43"}], "\[Equal]", "0"}], ",", "x"}], 
     "]"}], "//", "N"}]}]}]], "Input",
 CellChangeTimes->{{3.832857473575083*^9, 3.832857579085231*^9}, {
  3.832857775886506*^9, 3.8328578254565754`*^9}, {3.8328579131366987`*^9, 
  3.832857930527723*^9}, {3.8328595031325445`*^9, 3.8328595275425787`*^9}, {
  3.8328618214256716`*^9, 3.8328618588257236`*^9}},
 CellLabel->"In[42]:=",ExpressionUUID->"6fc2a0b2-6b6e-472f-879c-97468fc46c8d"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"y", "\[Rule]", 
     RowBox[{"-", "6.73668753545319`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", "\[Rule]", "1.1406138049051986`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", "\[Rule]", "5.5960737305479915`"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.8328574919051085`*^9, 3.8328574946351123`*^9}, 
   3.832857579835232*^9, {3.8328577906865273`*^9, 3.8328577934165306`*^9}, {
   3.8328579158967023`*^9, 3.832857930807723*^9}, {3.832859504022546*^9, 
   3.8328595397325954`*^9}, 3.8328618598657255`*^9, 3.8328628476226635`*^9},
 CellLabel->"Out[48]=",ExpressionUUID->"82f89906-7d1d-47df-b6b0-71feb266c3ba"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{"-", "6.73668753545319`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", "1.1406138049051986`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", "5.5960737305479915`"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.8328574919051085`*^9, 3.8328574946351123`*^9}, 
   3.832857579835232*^9, {3.8328577906865273`*^9, 3.8328577934165306`*^9}, {
   3.8328579158967023`*^9, 3.832857930807723*^9}, {3.832859504022546*^9, 
   3.8328595397325954`*^9}, 3.8328618598657255`*^9, 3.8328628476326637`*^9},
 CellLabel->"Out[49]=",ExpressionUUID->"f3c05fbd-8ffc-43bb-927b-84e1a5243a14"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"-", "5.5960737305479915`"}], "-", 
  FractionBox["b", "3"]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"-", "1.1406138049051986`"}], "-", 
  FractionBox["b", "3"]}], "\[IndentingNewLine]", 
 RowBox[{"6.736687535453189`", "-", 
  FractionBox["b", "3"]}]}], "Input",
 CellChangeTimes->{{3.832859534162588*^9, 3.8328595584146223`*^9}},
 CellLabel->"In[50]:=",ExpressionUUID->"baa38a6d-b310-4654-a80a-793d61784612"],

Cell[BoxData[
 RowBox[{"-", "5.5960737305479915`"}]], "Output",
 CellChangeTimes->{{3.8328574919051085`*^9, 3.8328574946351123`*^9}, 
   3.832857579835232*^9, {3.8328577906865273`*^9, 3.8328577934165306`*^9}, {
   3.8328579158967023`*^9, 3.832857930807723*^9}, {3.832859504022546*^9, 
   3.8328595593946238`*^9}, 3.8328628491326656`*^9},
 CellLabel->"Out[50]=",ExpressionUUID->"c76c4437-cf5a-49b5-a779-2ba4b6a9391a"],

Cell[BoxData[
 RowBox[{"-", "1.1406138049051986`"}]], "Output",
 CellChangeTimes->{{3.8328574919051085`*^9, 3.8328574946351123`*^9}, 
   3.832857579835232*^9, {3.8328577906865273`*^9, 3.8328577934165306`*^9}, {
   3.8328579158967023`*^9, 3.832857930807723*^9}, {3.832859504022546*^9, 
   3.8328595593946238`*^9}, 3.8328628491326656`*^9},
 CellLabel->"Out[51]=",ExpressionUUID->"29205a33-daa1-42f3-bd26-7eeca76df5ad"],

Cell[BoxData["6.736687535453189`"], "Output",
 CellChangeTimes->{{3.8328574919051085`*^9, 3.8328574946351123`*^9}, 
   3.832857579835232*^9, {3.8328577906865273`*^9, 3.8328577934165306`*^9}, {
   3.8328579158967023`*^9, 3.832857930807723*^9}, {3.832859504022546*^9, 
   3.8328595593946238`*^9}, 3.8328628491326656`*^9},
 CellLabel->"Out[52]=",ExpressionUUID->"947277b3-b038-44ff-a87a-802491f29ee4"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[CapitalDelta]", "=", 
   RowBox[{
    FractionBox[
     SuperscriptBox["p", "3"], "27"], "+", 
    FractionBox[
     SuperscriptBox["q", "2"], "4"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"y1", "=", 
  RowBox[{
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{"-", "1"}], "-", 
      RowBox[{"I", 
       SqrtBox["3"]}]}], "2"], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        FractionBox["q", "2"]}], "-", 
       SqrtBox["\[CapitalDelta]"]}], ")"}], 
     RowBox[{"1", "/", "3"}]]}], "+", 
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"I", 
       SqrtBox["3"]}]}], "2"], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        FractionBox["q", "2"]}], "+", 
       SqrtBox["\[CapitalDelta]"]}], ")"}], 
     RowBox[{"1", "/", "3"}]]}], "-", 
   FractionBox["b", "3"]}]}], "\[IndentingNewLine]", 
 RowBox[{"y2", "=", 
  RowBox[{
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"I", 
       SqrtBox["3"]}]}], "2"], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        FractionBox["q", "2"]}], "-", 
       SqrtBox["\[CapitalDelta]"]}], ")"}], 
     RowBox[{"1", "/", "3"}]]}], "+", 
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{"-", "1"}], "-", 
      RowBox[{"I", 
       SqrtBox["3"]}]}], "2"], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        FractionBox["q", "2"]}], "+", 
       SqrtBox["\[CapitalDelta]"]}], ")"}], 
     RowBox[{"1", "/", "3"}]]}], "-", 
   FractionBox["b", "3"]}]}], "\[IndentingNewLine]", 
 RowBox[{"y3", "=", 
  RowBox[{
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["q", "2"]}], "-", 
      SqrtBox["\[CapitalDelta]"]}], ")"}], 
    RowBox[{"1", "/", "3"}]], "+", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["q", "2"]}], "+", 
      SqrtBox["\[CapitalDelta]"]}], ")"}], 
    RowBox[{"1", "/", "3"}]], "-", 
   FractionBox["b", "3"]}]}]}], "Input",
 CellChangeTimes->{{3.832857940297736*^9, 3.832858053527895*^9}, {
   3.832858090007946*^9, 3.8328581092179728`*^9}, {3.832859167088465*^9, 
   3.8328591864684925`*^9}, {3.8328593054522676`*^9, 
   3.8328593332123065`*^9}, {3.83285936443235*^9, 3.8328594082424116`*^9}, {
   3.8328595841946583`*^9, 3.8328596087446923`*^9}, {3.8328596416247387`*^9, 
   3.832859671804781*^9}, 3.832859747684887*^9, {3.832859999924121*^9, 
   3.832860179144372*^9}, {3.8328605037668266`*^9, 3.8328605072868314`*^9}},
 CellLabel->"In[53]:=",ExpressionUUID->"d147338b-532e-4302-9c63-7597040be879"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "-", 
     RowBox[{"\[ImaginaryI]", " ", 
      SqrtBox["3"]}]}], ")"}], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["43", "2"]}], "-", 
      FractionBox[
       RowBox[{"3", " ", "\[ImaginaryI]", " ", 
        SqrtBox["771"]}], "2"]}], ")"}], 
    RowBox[{"1", "/", "3"}]]}], "+", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     RowBox[{"\[ImaginaryI]", " ", 
      SqrtBox["3"]}]}], ")"}], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["43", "2"]}], "+", 
      FractionBox[
       RowBox[{"3", " ", "\[ImaginaryI]", " ", 
        SqrtBox["771"]}], "2"]}], ")"}], 
    RowBox[{"1", "/", "3"}]]}]}]], "Output",
 CellChangeTimes->{{3.8328580367378716`*^9, 3.8328580548478966`*^9}, {
   3.8328581068579693`*^9, 3.8328581101479745`*^9}, {3.832859167758466*^9, 
   3.8328591877684937`*^9}, {3.832859325062295*^9, 3.832859333542307*^9}, {
   3.832859365522352*^9, 3.832859374262364*^9}, 3.8328594089024124`*^9, {
   3.8328596186347065`*^9, 3.8328596631347685`*^9}, 3.832859748184888*^9, {
   3.8328600209841504`*^9, 3.8328601796543727`*^9}, 3.8328602238644342`*^9, 
   3.832860507646832*^9, 3.832861864615732*^9, 3.8328628511726685`*^9},
 CellLabel->"Out[54]=",ExpressionUUID->"570c38f3-6a46-486e-b776-2f1e523e0a8b"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     RowBox[{"\[ImaginaryI]", " ", 
      SqrtBox["3"]}]}], ")"}], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["43", "2"]}], "-", 
      FractionBox[
       RowBox[{"3", " ", "\[ImaginaryI]", " ", 
        SqrtBox["771"]}], "2"]}], ")"}], 
    RowBox[{"1", "/", "3"}]]}], "+", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "-", 
     RowBox[{"\[ImaginaryI]", " ", 
      SqrtBox["3"]}]}], ")"}], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["43", "2"]}], "+", 
      FractionBox[
       RowBox[{"3", " ", "\[ImaginaryI]", " ", 
        SqrtBox["771"]}], "2"]}], ")"}], 
    RowBox[{"1", "/", "3"}]]}]}]], "Output",
 CellChangeTimes->{{3.8328580367378716`*^9, 3.8328580548478966`*^9}, {
   3.8328581068579693`*^9, 3.8328581101479745`*^9}, {3.832859167758466*^9, 
   3.8328591877684937`*^9}, {3.832859325062295*^9, 3.832859333542307*^9}, {
   3.832859365522352*^9, 3.832859374262364*^9}, 3.8328594089024124`*^9, {
   3.8328596186347065`*^9, 3.8328596631347685`*^9}, 3.832859748184888*^9, {
   3.8328600209841504`*^9, 3.8328601796543727`*^9}, 3.8328602238644342`*^9, 
   3.832860507646832*^9, 3.832861864615732*^9, 3.8328628511826687`*^9},
 CellLabel->"Out[55]=",ExpressionUUID->"ca334e1d-0eaf-4fdf-89cf-b8db83980c96"],

Cell[BoxData[
 RowBox[{
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      FractionBox["43", "2"]}], "-", 
     FractionBox[
      RowBox[{"3", " ", "\[ImaginaryI]", " ", 
       SqrtBox["771"]}], "2"]}], ")"}], 
   RowBox[{"1", "/", "3"}]], "+", 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      FractionBox["43", "2"]}], "+", 
     FractionBox[
      RowBox[{"3", " ", "\[ImaginaryI]", " ", 
       SqrtBox["771"]}], "2"]}], ")"}], 
   RowBox[{"1", "/", "3"}]]}]], "Output",
 CellChangeTimes->{{3.8328580367378716`*^9, 3.8328580548478966`*^9}, {
   3.8328581068579693`*^9, 3.8328581101479745`*^9}, {3.832859167758466*^9, 
   3.8328591877684937`*^9}, {3.832859325062295*^9, 3.832859333542307*^9}, {
   3.832859365522352*^9, 3.832859374262364*^9}, 3.8328594089024124`*^9, {
   3.8328596186347065`*^9, 3.8328596631347685`*^9}, 3.832859748184888*^9, {
   3.8328600209841504`*^9, 3.8328601796543727`*^9}, 3.8328602238644342`*^9, 
   3.832860507646832*^9, 3.832861864615732*^9, 3.8328628511826687`*^9},
 CellLabel->"Out[56]=",ExpressionUUID->"3bf289b5-75e8-46c7-b3e0-6160a48b7606"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"z1", "=", 
  FractionBox[
   RowBox[{"(", 
    RowBox[{"1", "-", 
     SqrtBox[
      RowBox[{"1", "+", 
       RowBox[{"4", "y1"}]}]]}], ")"}], "2"]}], "\[IndentingNewLine]", 
 RowBox[{"z2", "=", 
  FractionBox[
   RowBox[{"(", 
    RowBox[{"1", "+", 
     SqrtBox[
      RowBox[{"1", "+", 
       RowBox[{"4", "y1"}]}]]}], ")"}], "2"]}], "\[IndentingNewLine]", 
 RowBox[{"z3", "=", 
  FractionBox[
   RowBox[{"(", 
    RowBox[{"1", "-", 
     SqrtBox[
      RowBox[{"1", "+", 
       RowBox[{"4", "y2"}]}]]}], ")"}], "2"]}], "\[IndentingNewLine]", 
 RowBox[{"z4", "=", 
  FractionBox[
   RowBox[{"(", 
    RowBox[{"1", "+", 
     SqrtBox[
      RowBox[{"1", "+", 
       RowBox[{"4", "y2"}]}]]}], ")"}], "2"]}], "\[IndentingNewLine]", 
 RowBox[{"z5", "=", 
  FractionBox[
   RowBox[{"(", 
    RowBox[{"1", "-", 
     SqrtBox[
      RowBox[{"1", "+", 
       RowBox[{"4", "y3"}]}]]}], ")"}], "2"]}], "\[IndentingNewLine]", 
 RowBox[{"z6", "=", 
  FractionBox[
   RowBox[{"(", 
    RowBox[{"1", "+", 
     SqrtBox[
      RowBox[{"1", "+", 
       RowBox[{"4", "y3"}]}]]}], ")"}], "2"]}]}], "Input",
 CellChangeTimes->{{3.8328601982543983`*^9, 3.8328602433144617`*^9}, {
  3.8328603197955685`*^9, 3.832860344286603*^9}, {3.8328603745066457`*^9, 
  3.832860382016656*^9}, {3.8328620478869886`*^9, 3.832862055426999*^9}, {
  3.8328621506781325`*^9, 3.832862181468176*^9}, {3.832862292318331*^9, 
  3.8328623252077713`*^9}, {3.8328623927760267`*^9, 3.832862396766032*^9}},
 CellLabel->"In[57]:=",ExpressionUUID->"61722d8e-3881-4510-a203-4f08389e6907"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "2"], " ", 
  RowBox[{"(", 
   RowBox[{"1", "-", 
    SqrtBox[
     RowBox[{"1", "+", 
      RowBox[{"4", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", 
            RowBox[{"\[ImaginaryI]", " ", 
             SqrtBox["3"]}]}], ")"}], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", 
              FractionBox["43", "2"]}], "-", 
             FractionBox[
              RowBox[{"3", " ", "\[ImaginaryI]", " ", 
               SqrtBox["771"]}], "2"]}], ")"}], 
           RowBox[{"1", "/", "3"}]]}], "+", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"\[ImaginaryI]", " ", 
             SqrtBox["3"]}]}], ")"}], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", 
              FractionBox["43", "2"]}], "+", 
             FractionBox[
              RowBox[{"3", " ", "\[ImaginaryI]", " ", 
               SqrtBox["771"]}], "2"]}], ")"}], 
           RowBox[{"1", "/", "3"}]]}]}], ")"}]}]}]]}], ")"}]}]], "Output",
 CellChangeTimes->{{3.8328602157644234`*^9, 3.832860243644462*^9}, 
   3.8328603446366034`*^9, 3.8328603826366568`*^9, 3.832860509886835*^9, 
   3.832861866485735*^9, 3.832862055877*^9, {3.8328621597781453`*^9, 
   3.8328621820581765`*^9}, 3.8328623255827928`*^9, 3.832862397536033*^9, 
   3.8328628527726707`*^9},
 CellLabel->"Out[57]=",ExpressionUUID->"ac29dff2-2ad1-4dc8-abe7-69ccb2d92ea8"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "2"], " ", 
  RowBox[{"(", 
   RowBox[{"1", "+", 
    SqrtBox[
     RowBox[{"1", "+", 
      RowBox[{"4", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", 
            RowBox[{"\[ImaginaryI]", " ", 
             SqrtBox["3"]}]}], ")"}], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", 
              FractionBox["43", "2"]}], "-", 
             FractionBox[
              RowBox[{"3", " ", "\[ImaginaryI]", " ", 
               SqrtBox["771"]}], "2"]}], ")"}], 
           RowBox[{"1", "/", "3"}]]}], "+", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"\[ImaginaryI]", " ", 
             SqrtBox["3"]}]}], ")"}], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", 
              FractionBox["43", "2"]}], "+", 
             FractionBox[
              RowBox[{"3", " ", "\[ImaginaryI]", " ", 
               SqrtBox["771"]}], "2"]}], ")"}], 
           RowBox[{"1", "/", "3"}]]}]}], ")"}]}]}]]}], ")"}]}]], "Output",
 CellChangeTimes->{{3.8328602157644234`*^9, 3.832860243644462*^9}, 
   3.8328603446366034`*^9, 3.8328603826366568`*^9, 3.832860509886835*^9, 
   3.832861866485735*^9, 3.832862055877*^9, {3.8328621597781453`*^9, 
   3.8328621820581765`*^9}, 3.8328623255827928`*^9, 3.832862397536033*^9, 
   3.832862852782671*^9},
 CellLabel->"Out[58]=",ExpressionUUID->"6fde7e7b-7795-4603-90da-16753e3c6131"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "2"], " ", 
  RowBox[{"(", 
   RowBox[{"1", "-", 
    SqrtBox[
     RowBox[{"1", "+", 
      RowBox[{"4", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"\[ImaginaryI]", " ", 
             SqrtBox["3"]}]}], ")"}], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", 
              FractionBox["43", "2"]}], "-", 
             FractionBox[
              RowBox[{"3", " ", "\[ImaginaryI]", " ", 
               SqrtBox["771"]}], "2"]}], ")"}], 
           RowBox[{"1", "/", "3"}]]}], "+", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", 
            RowBox[{"\[ImaginaryI]", " ", 
             SqrtBox["3"]}]}], ")"}], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", 
              FractionBox["43", "2"]}], "+", 
             FractionBox[
              RowBox[{"3", " ", "\[ImaginaryI]", " ", 
               SqrtBox["771"]}], "2"]}], ")"}], 
           RowBox[{"1", "/", "3"}]]}]}], ")"}]}]}]]}], ")"}]}]], "Output",
 CellChangeTimes->{{3.8328602157644234`*^9, 3.832860243644462*^9}, 
   3.8328603446366034`*^9, 3.8328603826366568`*^9, 3.832860509886835*^9, 
   3.832861866485735*^9, 3.832862055877*^9, {3.8328621597781453`*^9, 
   3.8328621820581765`*^9}, 3.8328623255827928`*^9, 3.832862397536033*^9, 
   3.832862852782671*^9},
 CellLabel->"Out[59]=",ExpressionUUID->"3ebe00b7-f558-4afd-ad48-1af9d8d633c1"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "2"], " ", 
  RowBox[{"(", 
   RowBox[{"1", "+", 
    SqrtBox[
     RowBox[{"1", "+", 
      RowBox[{"4", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"\[ImaginaryI]", " ", 
             SqrtBox["3"]}]}], ")"}], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", 
              FractionBox["43", "2"]}], "-", 
             FractionBox[
              RowBox[{"3", " ", "\[ImaginaryI]", " ", 
               SqrtBox["771"]}], "2"]}], ")"}], 
           RowBox[{"1", "/", "3"}]]}], "+", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", 
            RowBox[{"\[ImaginaryI]", " ", 
             SqrtBox["3"]}]}], ")"}], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", 
              FractionBox["43", "2"]}], "+", 
             FractionBox[
              RowBox[{"3", " ", "\[ImaginaryI]", " ", 
               SqrtBox["771"]}], "2"]}], ")"}], 
           RowBox[{"1", "/", "3"}]]}]}], ")"}]}]}]]}], ")"}]}]], "Output",
 CellChangeTimes->{{3.8328602157644234`*^9, 3.832860243644462*^9}, 
   3.8328603446366034`*^9, 3.8328603826366568`*^9, 3.832860509886835*^9, 
   3.832861866485735*^9, 3.832862055877*^9, {3.8328621597781453`*^9, 
   3.8328621820581765`*^9}, 3.8328623255827928`*^9, 3.832862397536033*^9, 
   3.8328628527926707`*^9},
 CellLabel->"Out[60]=",ExpressionUUID->"6dc22c3e-a0bf-4df1-857c-8925e7746b37"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "2"], " ", 
  RowBox[{"(", 
   RowBox[{"1", "-", 
    SqrtBox[
     RowBox[{"1", "+", 
      RowBox[{"4", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", 
             FractionBox["43", "2"]}], "-", 
            FractionBox[
             RowBox[{"3", " ", "\[ImaginaryI]", " ", 
              SqrtBox["771"]}], "2"]}], ")"}], 
          RowBox[{"1", "/", "3"}]], "+", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", 
             FractionBox["43", "2"]}], "+", 
            FractionBox[
             RowBox[{"3", " ", "\[ImaginaryI]", " ", 
              SqrtBox["771"]}], "2"]}], ")"}], 
          RowBox[{"1", "/", "3"}]]}], ")"}]}]}]]}], ")"}]}]], "Output",
 CellChangeTimes->{{3.8328602157644234`*^9, 3.832860243644462*^9}, 
   3.8328603446366034`*^9, 3.8328603826366568`*^9, 3.832860509886835*^9, 
   3.832861866485735*^9, 3.832862055877*^9, {3.8328621597781453`*^9, 
   3.8328621820581765`*^9}, 3.8328623255827928`*^9, 3.832862397536033*^9, 
   3.8328628528026705`*^9},
 CellLabel->"Out[61]=",ExpressionUUID->"98ccaa9f-0061-4424-a519-7bdc6ce83bf9"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "2"], " ", 
  RowBox[{"(", 
   RowBox[{"1", "+", 
    SqrtBox[
     RowBox[{"1", "+", 
      RowBox[{"4", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", 
             FractionBox["43", "2"]}], "-", 
            FractionBox[
             RowBox[{"3", " ", "\[ImaginaryI]", " ", 
              SqrtBox["771"]}], "2"]}], ")"}], 
          RowBox[{"1", "/", "3"}]], "+", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", 
             FractionBox["43", "2"]}], "+", 
            FractionBox[
             RowBox[{"3", " ", "\[ImaginaryI]", " ", 
              SqrtBox["771"]}], "2"]}], ")"}], 
          RowBox[{"1", "/", "3"}]]}], ")"}]}]}]]}], ")"}]}]], "Output",
 CellChangeTimes->{{3.8328602157644234`*^9, 3.832860243644462*^9}, 
   3.8328603446366034`*^9, 3.8328603826366568`*^9, 3.832860509886835*^9, 
   3.832861866485735*^9, 3.832862055877*^9, {3.8328621597781453`*^9, 
   3.8328621820581765`*^9}, 3.8328623255827928`*^9, 3.832862397536033*^9, 
   3.8328628528026705`*^9},
 CellLabel->"Out[62]=",ExpressionUUID->"34e03397-77a9-41f6-b3b5-030bc01f7a1b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 FractionBox[
  RowBox[{"z3", "+", 
   SqrtBox[
    RowBox[{
     SuperscriptBox["z3", "2"], "-", "4"}]]}], "2"], "\[IndentingNewLine]", 
 FractionBox[
  RowBox[{"z4", "+", 
   SqrtBox[
    RowBox[{
     SuperscriptBox["z4", "2"], "-", "4"}]]}], 
  "2"], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.8328618944657736`*^9, 3.832861959486865*^9}, {
   3.8328623488859653`*^9, 3.832862386806018*^9}, 3.832862440446093*^9},
 CellLabel->"In[63]:=",ExpressionUUID->"4069ae0c-a761-4e42-99d9-265c3fb9638e"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "2"], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     FractionBox["1", "2"], " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       SqrtBox[
        RowBox[{"1", "+", 
         RowBox[{"4", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             FractionBox["1", "2"], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", 
               RowBox[{"\[ImaginaryI]", " ", 
                SqrtBox["3"]}]}], ")"}], " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", 
                 FractionBox["43", "2"]}], "-", 
                FractionBox[
                 RowBox[{"3", " ", "\[ImaginaryI]", " ", 
                  SqrtBox["771"]}], "2"]}], ")"}], 
              RowBox[{"1", "/", "3"}]]}], "+", 
            RowBox[{
             FractionBox["1", "2"], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "-", 
               RowBox[{"\[ImaginaryI]", " ", 
                SqrtBox["3"]}]}], ")"}], " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", 
                 FractionBox["43", "2"]}], "+", 
                FractionBox[
                 RowBox[{"3", " ", "\[ImaginaryI]", " ", 
                  SqrtBox["771"]}], "2"]}], ")"}], 
              RowBox[{"1", "/", "3"}]]}]}], ")"}]}]}]]}], ")"}]}], "+", 
    SqrtBox[
     RowBox[{
      RowBox[{"-", "4"}], "+", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "-", 
          SqrtBox[
           RowBox[{"1", "+", 
            RowBox[{"4", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                FractionBox["1", "2"], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "1"}], "+", 
                  RowBox[{"\[ImaginaryI]", " ", 
                   SqrtBox["3"]}]}], ")"}], " ", 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", 
                    FractionBox["43", "2"]}], "-", 
                   FractionBox[
                    RowBox[{"3", " ", "\[ImaginaryI]", " ", 
                    SqrtBox["771"]}], "2"]}], ")"}], 
                 RowBox[{"1", "/", "3"}]]}], "+", 
               RowBox[{
                FractionBox["1", "2"], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "1"}], "-", 
                  RowBox[{"\[ImaginaryI]", " ", 
                   SqrtBox["3"]}]}], ")"}], " ", 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", 
                    FractionBox["43", "2"]}], "+", 
                   FractionBox[
                    RowBox[{"3", " ", "\[ImaginaryI]", " ", 
                    SqrtBox["771"]}], "2"]}], ")"}], 
                 RowBox[{"1", "/", "3"}]]}]}], ")"}]}]}]]}], ")"}], 
        "2"]}]}]]}], ")"}]}]], "Output",
 CellChangeTimes->{{3.8328619212158113`*^9, 3.8328619346768303`*^9}, {
   3.8328623385059505`*^9, 3.8328623552759743`*^9}, {3.832862387236019*^9, 
   3.8328623995260363`*^9}, 3.8328628548326735`*^9},
 CellLabel->"Out[63]=",ExpressionUUID->"645c174b-a119-4f66-84b5-cb0579224015"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "2"], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     FractionBox["1", "2"], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       SqrtBox[
        RowBox[{"1", "+", 
         RowBox[{"4", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             FractionBox["1", "2"], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", 
               RowBox[{"\[ImaginaryI]", " ", 
                SqrtBox["3"]}]}], ")"}], " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", 
                 FractionBox["43", "2"]}], "-", 
                FractionBox[
                 RowBox[{"3", " ", "\[ImaginaryI]", " ", 
                  SqrtBox["771"]}], "2"]}], ")"}], 
              RowBox[{"1", "/", "3"}]]}], "+", 
            RowBox[{
             FractionBox["1", "2"], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "-", 
               RowBox[{"\[ImaginaryI]", " ", 
                SqrtBox["3"]}]}], ")"}], " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", 
                 FractionBox["43", "2"]}], "+", 
                FractionBox[
                 RowBox[{"3", " ", "\[ImaginaryI]", " ", 
                  SqrtBox["771"]}], "2"]}], ")"}], 
              RowBox[{"1", "/", "3"}]]}]}], ")"}]}]}]]}], ")"}]}], "+", 
    SqrtBox[
     RowBox[{
      RowBox[{"-", "4"}], "+", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", 
          SqrtBox[
           RowBox[{"1", "+", 
            RowBox[{"4", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                FractionBox["1", "2"], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "1"}], "+", 
                  RowBox[{"\[ImaginaryI]", " ", 
                   SqrtBox["3"]}]}], ")"}], " ", 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", 
                    FractionBox["43", "2"]}], "-", 
                   FractionBox[
                    RowBox[{"3", " ", "\[ImaginaryI]", " ", 
                    SqrtBox["771"]}], "2"]}], ")"}], 
                 RowBox[{"1", "/", "3"}]]}], "+", 
               RowBox[{
                FractionBox["1", "2"], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "1"}], "-", 
                  RowBox[{"\[ImaginaryI]", " ", 
                   SqrtBox["3"]}]}], ")"}], " ", 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", 
                    FractionBox["43", "2"]}], "+", 
                   FractionBox[
                    RowBox[{"3", " ", "\[ImaginaryI]", " ", 
                    SqrtBox["771"]}], "2"]}], ")"}], 
                 RowBox[{"1", "/", "3"}]]}]}], ")"}]}]}]]}], ")"}], 
        "2"]}]}]]}], ")"}]}]], "Output",
 CellChangeTimes->{{3.8328619212158113`*^9, 3.8328619346768303`*^9}, {
   3.8328623385059505`*^9, 3.8328623552759743`*^9}, {3.832862387236019*^9, 
   3.8328623995260363`*^9}, 3.8328628548426733`*^9},
 CellLabel->"Out[64]=",ExpressionUUID->"d1c775a1-1f9b-4314-b91c-4463b6474de7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"p1analytic", "=", 
  RowBox[{
   FractionBox[
    RowBox[{"z3", "+", 
     SqrtBox[
      RowBox[{
       SuperscriptBox["z3", "2"], "-", "4"}]]}], "2"], 
   RowBox[{"(*", "p1", "*)"}], "//", "Simplify"}]}], "\[IndentingNewLine]", 
 RowBox[{"p4analytic", "=", 
  RowBox[{
   FractionBox[
    RowBox[{"z4", "+", 
     SqrtBox[
      RowBox[{
       SuperscriptBox["z4", "2"], "-", "4"}]]}], "2"], 
   RowBox[{"(*", "p4", "*)"}], "//", "Simplify"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", 
   FractionBox[
    RowBox[{"z6", "+", 
     SqrtBox[
      RowBox[{
       SuperscriptBox["z6", "2"], "-", "4"}]]}], "2"], "*)"}]}]}], "Input",
 CellChangeTimes->{{3.8328603978766785`*^9, 3.832860569866919*^9}, {
  3.832860609226974*^9, 3.8328606231869936`*^9}, {3.832862362415984*^9, 
  3.8328623690659933`*^9}, {3.8328624268760743`*^9, 3.8328624269460745`*^9}},
 CellLabel->"In[65]:=",ExpressionUUID->"11837a9b-e3d9-4487-bf7e-d7c94a27d49f"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "2"], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     FractionBox["1", "2"], " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       SqrtBox[
        RowBox[{"1", "+", 
         RowBox[{"\[ImaginaryI]", " ", 
          SuperscriptBox["2", 
           RowBox[{"2", "/", "3"}]], " ", 
          RowBox[{"(", 
           RowBox[{"\[ImaginaryI]", "+", 
            SqrtBox["3"]}], ")"}], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "43"}], "-", 
             RowBox[{"3", " ", "\[ImaginaryI]", " ", 
              SqrtBox["771"]}]}], ")"}], 
           RowBox[{"1", "/", "3"}]]}], "+", 
         RowBox[{
          SuperscriptBox["2", 
           RowBox[{"2", "/", "3"}]], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", 
            RowBox[{"\[ImaginaryI]", " ", 
             SqrtBox["3"]}]}], ")"}], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "43"}], "+", 
             RowBox[{"3", " ", "\[ImaginaryI]", " ", 
              SqrtBox["771"]}]}], ")"}], 
           RowBox[{"1", "/", "3"}]]}]}]]}], ")"}]}], "+", 
    SqrtBox[
     RowBox[{
      RowBox[{"-", "4"}], "+", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          SqrtBox[
           RowBox[{"1", "+", 
            RowBox[{"\[ImaginaryI]", " ", 
             SuperscriptBox["2", 
              RowBox[{"2", "/", "3"}]], " ", 
             RowBox[{"(", 
              RowBox[{"\[ImaginaryI]", "+", 
               SqrtBox["3"]}], ")"}], " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "43"}], "-", 
                RowBox[{"3", " ", "\[ImaginaryI]", " ", 
                 SqrtBox["771"]}]}], ")"}], 
              RowBox[{"1", "/", "3"}]]}], "+", 
            RowBox[{
             SuperscriptBox["2", 
              RowBox[{"2", "/", "3"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "-", 
               RowBox[{"\[ImaginaryI]", " ", 
                SqrtBox["3"]}]}], ")"}], " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "43"}], "+", 
                RowBox[{"3", " ", "\[ImaginaryI]", " ", 
                 SqrtBox["771"]}]}], ")"}], 
              RowBox[{"1", "/", "3"}]]}]}]]}], ")"}], "2"]}]}]]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{{3.8328604071566916`*^9, 3.8328604683567767`*^9}, {
   3.83286049912682*^9, 3.8328605703169193`*^9}, 3.832860623476994*^9, 
   3.8328618707157407`*^9, {3.8328623784060063`*^9, 3.8328624293260775`*^9}, 
   3.832862857942678*^9},
 Background->RGBColor[0.88, 1, 0.88],
 CellLabel->"Out[65]=",ExpressionUUID->"f2122a29-e5ec-4386-bfcf-6c6cbae39f17"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "2"], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     FractionBox["1", "2"], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       SqrtBox[
        RowBox[{"1", "+", 
         RowBox[{"\[ImaginaryI]", " ", 
          SuperscriptBox["2", 
           RowBox[{"2", "/", "3"}]], " ", 
          RowBox[{"(", 
           RowBox[{"\[ImaginaryI]", "+", 
            SqrtBox["3"]}], ")"}], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "43"}], "-", 
             RowBox[{"3", " ", "\[ImaginaryI]", " ", 
              SqrtBox["771"]}]}], ")"}], 
           RowBox[{"1", "/", "3"}]]}], "+", 
         RowBox[{
          SuperscriptBox["2", 
           RowBox[{"2", "/", "3"}]], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", 
            RowBox[{"\[ImaginaryI]", " ", 
             SqrtBox["3"]}]}], ")"}], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "43"}], "+", 
             RowBox[{"3", " ", "\[ImaginaryI]", " ", 
              SqrtBox["771"]}]}], ")"}], 
           RowBox[{"1", "/", "3"}]]}]}]]}], ")"}]}], "+", 
    SqrtBox[
     RowBox[{
      RowBox[{"-", "4"}], "+", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", 
          SqrtBox[
           RowBox[{"1", "+", 
            RowBox[{"\[ImaginaryI]", " ", 
             SuperscriptBox["2", 
              RowBox[{"2", "/", "3"}]], " ", 
             RowBox[{"(", 
              RowBox[{"\[ImaginaryI]", "+", 
               SqrtBox["3"]}], ")"}], " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "43"}], "-", 
                RowBox[{"3", " ", "\[ImaginaryI]", " ", 
                 SqrtBox["771"]}]}], ")"}], 
              RowBox[{"1", "/", "3"}]]}], "+", 
            RowBox[{
             SuperscriptBox["2", 
              RowBox[{"2", "/", "3"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "-", 
               RowBox[{"\[ImaginaryI]", " ", 
                SqrtBox["3"]}]}], ")"}], " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "43"}], "+", 
                RowBox[{"3", " ", "\[ImaginaryI]", " ", 
                 SqrtBox["771"]}]}], ")"}], 
              RowBox[{"1", "/", "3"}]]}]}]]}], ")"}], "2"]}]}]]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{{3.8328604071566916`*^9, 3.8328604683567767`*^9}, {
   3.83286049912682*^9, 3.8328605703169193`*^9}, 3.832860623476994*^9, 
   3.8328618707157407`*^9, {3.8328623784060063`*^9, 3.8328624293260775`*^9}, 
   3.8328628585326786`*^9},
 Background->RGBColor[0.88, 1, 0.88],
 CellLabel->"Out[66]=",ExpressionUUID->"9a9f15e9-39c2-47c8-a367-df2dacff4621"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Conjugate", "[", "p1analytic", "]"}], "//", 
  "N"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Conjugate", "[", "p4analytic", "]"}], "//", 
  "N"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"p1", "=", 
     RowBox[{
      RowBox[{"-", "0.3396214473934099`"}], "-", 
      RowBox[{"0.9405622108454099`", " ", "\[ImaginaryI]"}]}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"p4", "=", 
     RowBox[{"0.8396214473934099`", "\[VeryThinSpace]", "-", 
      RowBox[{"0.5431720032153677`", " ", "\[ImaginaryI]"}]}]}], ";"}], 
   "*)"}]}]}], "Input",
 CellChangeTimes->{{3.8328605722869225`*^9, 3.8328605787669315`*^9}, {
  3.8328606144169817`*^9, 3.832860640457018*^9}, {3.832862408786049*^9, 
  3.832862443106097*^9}},
 CellLabel->"In[67]:=",ExpressionUUID->"96b952f0-6801-4982-ac3d-c50ba20fd9b6"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "0.33962144739340955`"}], "-", 
  RowBox[{"0.9405622108454099`", " ", "\[ImaginaryI]"}]}]], "Output",
 CellChangeTimes->{
  3.8328606710080605`*^9, 3.8328618741257453`*^9, {3.832862410956052*^9, 
   3.8328624435260973`*^9}, 3.832862859942681*^9},
 CellLabel->"Out[67]=",ExpressionUUID->"bf9820d1-c021-4449-8ced-2b109e7494b0"],

Cell[BoxData[
 RowBox[{"0.8396214473934097`", "\[VeryThinSpace]", "-", 
  RowBox[{"0.5431720032153682`", " ", "\[ImaginaryI]"}]}]], "Output",
 CellChangeTimes->{
  3.8328606710080605`*^9, 3.8328618741257453`*^9, {3.832862410956052*^9, 
   3.8328624435260973`*^9}, 3.832862860012681*^9},
 CellLabel->"Out[68]=",ExpressionUUID->"82bb2c7f-956c-402b-b79b-59cb5f7ded41"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Final Form and Haagerup\[CloseCurlyQuote]s Set", "Subtitle",
 CellChangeTimes->{{3.8329093347849474`*^9, 3.8329093483049664`*^9}, {
  3.8330023349317226`*^9, 3.83300236146176*^9}, {3.8330061670583897`*^9, 
  3.833006170618395*^9}, {3.85989052546819*^9, 3.8598905257881904`*^9}, {
  3.8598906301183367`*^9, 3.8598906420983534`*^9}, {3.859890703308439*^9, 
  3.859890712078451*^9}},
 Background->RGBColor[
  1, 0.85, 0.85],ExpressionUUID->"fc3817d8-68aa-46de-b33d-5bd0567f03cb"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Omega]", "=", 
   RowBox[{"Exp", "[", 
    RowBox[{"\[ImaginaryI]", " ", "2", " ", "Pi", " ", 
     FractionBox["5", "6"]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   SubscriptBox["\[Zeta]", "1"], "=", 
   RowBox[{
    FractionBox["1", 
     SuperscriptBox["2", 
      RowBox[{"4", "/", "3"}]]], " ", "\[Omega]", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"43", "-", 
       RowBox[{"\[ImaginaryI]", " ", "3", " ", 
        SqrtBox["771"]}]}], ")"}], 
     RowBox[{"1", "/", "3"}]]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   SubscriptBox["\[Zeta]", "2"], "=", 
   RowBox[{
    SuperscriptBox["2", 
     RowBox[{"5", "/", "3"}]], " ", 
    SuperscriptBox["\[Omega]", "2"], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"43", "+", 
       RowBox[{"\[ImaginaryI]", " ", "3", 
        SqrtBox["771"]}]}], ")"}], 
     RowBox[{"1", "/", "3"}]]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.8330007804935465`*^9, 3.8330008915137014`*^9}, {
  3.8330009572837934`*^9, 3.8330009806138268`*^9}, {3.833001258534216*^9, 
  3.8330012665442266`*^9}, {3.8330016834768105`*^9, 3.8330017134178524`*^9}, {
  3.833001788647958*^9, 3.833001791777962*^9}},
 Background->RGBColor[1, 0.9, 1],
 CellLabel->"In[68]:=",ExpressionUUID->"6574e895-3973-4d31-84c2-74b16c74f6e9"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   SubscriptBox["\[Gamma]", "1"], "=", 
   RowBox[{
    RowBox[{
     FractionBox["1", "4"], 
     SqrtBox[
      RowBox[{"1", "-", 
       SubscriptBox["\[Zeta]", "2"], "-", 
       RowBox[{"Conjugate", "[", 
        SubscriptBox["\[Zeta]", "2"], "]"}]}]]}], "-", 
    FractionBox["1", "4"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   SubscriptBox["p", "1"], "=", 
   RowBox[{
    SqrtBox[
     RowBox[{
      SuperscriptBox[
       SubscriptBox["\[Gamma]", "1"], "2"], "-", "1"}]], "-", 
    SubscriptBox["\[Gamma]", "1"]}]}], ";"}]}], "Input",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGCQBGIQ/S9V6PDGvjeOr1rcj4JoC82IUyB6x7rmcyA6+vDt
PyD6iZYR5yYg3THpgBiI5q/fpQiiDQ7f97gNpJm16nxBtIV9SiiI7lK4DqYr
JCpyQfQcHfkGEJ1n+r0NRO9oy5gGoqN5WOaA6FeeYXNB9JNv05aD6HqTzJUg
emHKzYA7QPqqkGEQiP5wr074LpBe9DJXAkS7TYuqANH3F1jWgOhr94+dB9E6
a2dfBdEhIrfugugva5XvgejvV4yV7gHpnZ9ngGmfltP6ILrIqNsARKcHCdiB
6Igbv91A9K9HTt4g2lrsHphWWXfCH0QvOHQNTNsE/ooFq6/qiwfRB6v4UkB0
9vaXhSA6KfBxKYj+w/mrAkSvSsiXuQ+kH0zuAtM75ikqg+g8/udgGgBwOOTI

  "],
 Background->RGBColor[1, 1, 0.85],
 CellLabel->"In[71]:=",ExpressionUUID->"39f841b1-d434-4dcb-b77b-89937a4ebe49"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   SubscriptBox["\[Gamma]", "2"], "=", 
   RowBox[{
    RowBox[{
     FractionBox[
      SqrtBox["2"], "2"], 
     SqrtBox[
      RowBox[{"1", "-", 
       SubscriptBox["\[Zeta]", "1"], "-", 
       RowBox[{"Conjugate", "[", 
        SubscriptBox["\[Zeta]", "1"], "]"}]}]]}], "+", 
    FractionBox["1", "2"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   SubscriptBox["p", "2"], "=", 
   RowBox[{
    SqrtBox[
     RowBox[{
      SuperscriptBox[
       SubscriptBox["\[Gamma]", "2"], "2"], "-", "1"}]], "-", 
    SubscriptBox["\[Gamma]", "2"]}]}], ";"}]}], "Input",
 CellChangeTimes->CompressedData["
1:eJwdzE0ogwEAh/HXaqUwRkR2UZOZ8rGDphx8JA5GTFrM5yjWZrQW7SBpVsRS
09aUNREO2iwaB4paRmGZg2VYGcvWZNtlxYr3/x6efrenaFjROUojCKKQDJrd
m1s+XaR+Zkq4Db295VZII3bt0GLVHkNW6fI1fBCXuKGCm3yEhognBHm2sTCc
FQ59Q3X/XAKGVzX0Z1JTniUNXhzYmZD1Ls6BjTUb1XAyi8mHdW1ltZCzz2uH
oumoEMZ8xm6otd074Eji6QT2eMwBuPNB/4L0YEYMqlX5caj0MwpeSNdWzJQR
z5ECBmV3SpjrqNDABsb4AjQsNi1Bmcuog+tnHD2kCQ4pr+YzL2GycsAFnSH5
DfVPldzCLu5p8yupPEXUAvucqlbIDmQLoOavahBOmPQSyN8r9sJ0lZTyU//G
8pPGpUHK3x8+G55HOyj/Aff/+pg=
  "],
 Background->RGBColor[1, 1, 0.85],
 CellLabel->"In[73]:=",ExpressionUUID->"b52444c1-520c-402c-8256-b1b360a567b4"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   SubscriptBox["\[Gamma]", "3"], "=", 
   RowBox[{
    RowBox[{
     FractionBox[
      SqrtBox["2"], "2"], 
     SqrtBox[
      RowBox[{"1", "-", 
       SubscriptBox["\[Zeta]", "1"], "-", 
       RowBox[{"Conjugate", "[", 
        SubscriptBox["\[Zeta]", "1"], "]"}]}]]}], "-", 
    FractionBox["1", "2"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   SubscriptBox["p", "3"], "=", 
   RowBox[{
    SqrtBox[
     RowBox[{
      SuperscriptBox[
       SubscriptBox["\[Gamma]", "3"], "2"], "-", "1"}]], "+", 
    SubscriptBox["\[Gamma]", "3"]}]}], ";"}]}], "Input",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQB2IQfXrvpZg7fW8c7VQSY0F0SY5SMogO4D+SB6J79BJL
QPSbuluVILqKN60dRD8Rd+0E0X1Fvv0gujREYhqIdtj4fw6IFuLZsARE8y17
uQJES83hWgOi847ybQDRMt8PbQXRp9bv3Ami6xTid4HoA1kV10D0wz0HboBo
q1XMzHeBNFPKJyEQXbIgIRFER7twJoHoG3svTAXTK4Vmg2iBk/ULQLTSSfOF
IFr/geteED0r/wGY5jHkPwGi56RwnQHRBcERnveAtN/3BWDabFeaL4g+tvQB
mF4gv6IVRMvFWrWBaMfMm7NA9BxFi9kg2m1j7UMQvU38DZiuu1gjdx9IJ/g0
gulfynNVQLRB+AEwDQD0TND4
  "],
 Background->RGBColor[1, 1, 0.85],
 CellLabel->"In[75]:=",ExpressionUUID->"93a0f125-b3dd-485d-9f5e-ca3f8c176401"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   SubscriptBox["\[Gamma]", "4"], "=", 
   RowBox[{
    RowBox[{
     FractionBox["1", "4"], 
     SqrtBox[
      RowBox[{"1", "-", 
       SubscriptBox["\[Zeta]", "2"], "-", 
       RowBox[{"Conjugate", "[", 
        SubscriptBox["\[Zeta]", "2"], "]"}]}]]}], "+", 
    FractionBox["1", "4"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   SubscriptBox["p", "4"], "=", 
   RowBox[{
    SqrtBox[
     RowBox[{
      SuperscriptBox[
       SubscriptBox["\[Gamma]", "4"], "2"], "-", "1"}]], "+", 
    SubscriptBox["\[Gamma]", "4"]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.8329981331948395`*^9, 3.8329981890659175`*^9}, {
  3.832998225905969*^9, 3.8329982635360217`*^9}, {3.832998309356086*^9, 
  3.8329985588494353`*^9}, {3.83299861897952*^9, 3.83299865515957*^9}, {
  3.83300047604012*^9, 3.833000478420123*^9}, {3.83300056176024*^9, 
  3.833000565410245*^9}, {3.833001031233897*^9, 3.8330010345139017`*^9}, {
  3.8330011622840805`*^9, 3.833001165184085*^9}, {3.8330022325805798`*^9, 
  3.8330022326905794`*^9}, {3.8330022810306473`*^9, 3.833002281680648*^9}},
 Background->RGBColor[1, 1, 0.85],
 CellLabel->"In[77]:=",ExpressionUUID->"b675b313-33ee-4c4e-b03a-bcac5b9473ad"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  SubscriptBox["p", "1"], "//", "N"}], "\[IndentingNewLine]", 
 RowBox[{
  SubscriptBox["p", "2"], "//", "N"}], "\[IndentingNewLine]", 
 RowBox[{
  SubscriptBox["p", "3"], "//", "N"}], "\[IndentingNewLine]", 
 RowBox[{
  SubscriptBox["p", "4"], "//", "N"}], "\[IndentingNewLine]", 
 RowBox[{"On", "[", "Assert", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Assert", "[", 
  RowBox[{
   RowBox[{"N", "[", 
    RowBox[{"Abs", "[", 
     SubscriptBox["p", "1"], "]"}], "]"}], "\[Equal]", "1"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Assert", "[", 
  RowBox[{
   RowBox[{"N", "[", 
    RowBox[{"Abs", "[", 
     SubscriptBox["p", "2"], "]"}], "]"}], "\[Equal]", "1"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Assert", "[", 
  RowBox[{
   RowBox[{"N", "[", 
    RowBox[{"Abs", "[", 
     SubscriptBox["p", "3"], "]"}], "]"}], "\[Equal]", "1"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Assert", "[", 
  RowBox[{
   RowBox[{"N", "[", 
    RowBox[{"Abs", "[", 
     SubscriptBox["p", "4"], "]"}], "]"}], "\[Equal]", "1"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Off", "[", "Assert", "]"}]}], "Input",
 CellChangeTimes->{{3.832998564279443*^9, 3.8329985888394775`*^9}, {
  3.83300224011059*^9, 3.833002252860608*^9}, {3.8330022890406585`*^9, 
  3.833002316770697*^9}, {3.833002572874056*^9, 3.8330026002640944`*^9}, {
  3.8330027016842365`*^9, 3.8330027160342565`*^9}},
 CellLabel->"In[79]:=",ExpressionUUID->"40dc1504-2428-4b37-ae9b-5a3c3e5b2050"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "0.33962144739340955`"}], "+", 
  RowBox[{"0.94056221084541`", " ", "\[ImaginaryI]"}]}]], "Output",
 CellChangeTimes->{{3.8330023171906977`*^9, 3.833002326271711*^9}, 
   3.8330026008240952`*^9, {3.833002709814248*^9, 3.8330027165942574`*^9}, 
   3.833003095623683*^9, 3.8583896420665083`*^9, 3.8583938058848333`*^9, 
   3.858408701519833*^9, 3.859433030283684*^9, 3.859890535738204*^9},
 CellLabel->"Out[79]=",ExpressionUUID->"1e183e66-1e88-48e3-b363-cea56eaba300"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "0.9635154245261963`"}], "+", 
  RowBox[{"0.26765280999851965`", " ", "\[ImaginaryI]"}]}]], "Output",
 CellChangeTimes->{{3.8330023171906977`*^9, 3.833002326271711*^9}, 
   3.8330026008240952`*^9, {3.833002709814248*^9, 3.8330027165942574`*^9}, 
   3.833003095623683*^9, 3.8583896420665083`*^9, 3.8583938058848333`*^9, 
   3.858408701519833*^9, 3.859433030283684*^9, 3.859890535738204*^9},
 CellLabel->"Out[80]=",ExpressionUUID->"b0c88521-646a-4580-8356-0fbb141e7dc3"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "0.03648457547380362`"}], "+", 
  RowBox[{"0.9993342162422421`", " ", "\[ImaginaryI]"}]}]], "Output",
 CellChangeTimes->{{3.8330023171906977`*^9, 3.833002326271711*^9}, 
   3.8330026008240952`*^9, {3.833002709814248*^9, 3.8330027165942574`*^9}, 
   3.833003095623683*^9, 3.8583896420665083`*^9, 3.8583938058848333`*^9, 
   3.858408701519833*^9, 3.859433030283684*^9, 3.859890535738204*^9},
 CellLabel->"Out[81]=",ExpressionUUID->"b523c5df-b8b6-463f-9f4f-d1d4337896b6"],

Cell[BoxData[
 RowBox[{"0.8396214473934096`", "\[VeryThinSpace]", "+", 
  RowBox[{"0.5431720032153681`", " ", "\[ImaginaryI]"}]}]], "Output",
 CellChangeTimes->{{3.8330023171906977`*^9, 3.833002326271711*^9}, 
   3.8330026008240952`*^9, {3.833002709814248*^9, 3.8330027165942574`*^9}, 
   3.833003095623683*^9, 3.8583896420665083`*^9, 3.8583938058848333`*^9, 
   3.858408701519833*^9, 3.859433030283684*^9, 3.859890535738204*^9},
 CellLabel->"Out[82]=",ExpressionUUID->"f334ae93-e862-40e1-ab75-418e4338c876"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c", ",", "d"}], "}"}], "=", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["p", "1"], ",", 
     SubscriptBox["p", "2"], ",", 
     SubscriptBox["p", "3"], ",", 
     SubscriptBox["p", "4"]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Y9", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", 
       "1", ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"1", ",", "a", ",", 
       FractionBox["1", "a"], ",", "b", ",", 
       FractionBox["1", "b"], ",", "c", ",", 
       FractionBox["1", "c"], ",", "d", ",", 
       FractionBox["1", "d"]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"1", ",", 
       FractionBox["1", "a"], ",", "a", ",", 
       FractionBox["1", "b"], ",", "b", ",", 
       FractionBox["1", "c"], ",", "c", ",", 
       FractionBox["1", "d"], ",", "d"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"1", ",", "b", ",", 
       FractionBox["1", "b"], ",", "d", ",", 
       FractionBox["1", "d"], ",", 
       FractionBox["1", "a"], ",", "a", ",", "c", ",", 
       FractionBox["1", "c"]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"1", ",", 
       FractionBox["1", "b"], ",", "b", ",", 
       FractionBox["1", "d"], ",", "d", ",", "a", ",", 
       FractionBox["1", "a"], ",", 
       FractionBox["1", "c"], ",", "c"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"1", ",", "c", ",", 
       FractionBox["1", "c"], ",", 
       FractionBox["1", "a"], ",", "a", ",", 
       FractionBox["1", "d"], ",", "d", ",", 
       FractionBox["1", "b"], ",", "b"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"1", ",", 
       FractionBox["1", "c"], ",", "c", ",", "a", ",", 
       FractionBox["1", "a"], ",", "d", ",", 
       FractionBox["1", "d"], ",", "b", ",", 
       FractionBox["1", "b"]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"1", ",", "d", ",", 
       FractionBox["1", "d"], ",", "c", ",", 
       FractionBox["1", "c"], ",", 
       FractionBox["1", "b"], ",", "b", ",", 
       FractionBox["1", "a"], ",", "a"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"1", ",", 
       FractionBox["1", "d"], ",", "d", ",", 
       FractionBox["1", "c"], ",", "c", ",", "b", ",", 
       FractionBox["1", "b"], ",", "a", ",", 
       FractionBox["1", "a"]}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Y9", ".", 
     RowBox[{"ConjugateTranspose", "[", "Y9", "]"}]}], "//", "N"}], "//", 
   "MatrixForm"}], "//", "Chop"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Abs", "[", 
   RowBox[{"N", "[", "Y9", "]"}], "]"}], "//", 
  "MatrixForm"}], "\[IndentingNewLine]", 
 RowBox[{"unitaryDefect", "[", 
  RowBox[{"N", "[", "Y9", "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.8330024693229113`*^9, 3.833002509712968*^9}, {
  3.8330027436342955`*^9, 3.8330027516143064`*^9}, {3.833003084433667*^9, 
  3.833003112163706*^9}, {3.8330031674637833`*^9, 3.833003175433795*^9}, {
  3.858389635236499*^9, 3.858389659106532*^9}, {3.8583898244567633`*^9, 
  3.858389854096805*^9}, {3.8583938538049006`*^9, 3.8583938612649107`*^9}, {
  3.8583939009449663`*^9, 3.858393902054968*^9}, {3.859433040623698*^9, 
  3.8594330409336987`*^9}, {3.8598905392382092`*^9, 3.8598905523982277`*^9}},
 CellLabel->"In[89]:=",ExpressionUUID->"bf79c215-bc54-4183-836f-fa6f98dab95d"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"9.`", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "9.`", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "9.`", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "9.`", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "9.`", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "9.`", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "9.`", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "9.`", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "9.`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.833002505452962*^9, 3.833002524282988*^9}, 
   3.833002726224271*^9, {3.8330030888436737`*^9, 3.833003112503707*^9}, 
   3.8330031759237957`*^9, {3.858389644946512*^9, 3.85838966477654*^9}, 
   3.858389826696767*^9, 3.8583898599478135`*^9, 3.858393813424844*^9, 
   3.8583938665949183`*^9, 3.8583939095249786`*^9, 3.858408708429843*^9, {
   3.8594330357836914`*^9, 3.859433045633705*^9}, 3.859890557458235*^9},
 CellLabel->
  "Out[91]//MatrixForm=",ExpressionUUID->"a56a5159-5125-4e16-8241-\
044f3dec51cf"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1.`", "1.`", "1.`", "1.`", "1.`", "1.`", "1.`", "1.`", "1.`"},
     {"1.`", "1.`", "1.`", "1.`", "1.`", "0.9999999999999999`", 
      "1.0000000000000002`", "1.`", "1.`"},
     {"1.`", "1.`", "1.`", "1.`", "1.`", "1.0000000000000002`", 
      "0.9999999999999999`", "1.`", "1.`"},
     {"1.`", "1.`", "1.`", "1.`", "1.`", "1.`", "1.`", "0.9999999999999999`", 
      "1.0000000000000002`"},
     {"1.`", "1.`", "1.`", "1.`", "1.`", "1.`", "1.`", "1.0000000000000002`", 
      "0.9999999999999999`"},
     {"1.`", "0.9999999999999999`", "1.0000000000000002`", "1.`", "1.`", 
      "1.`", "1.`", "1.`", "1.`"},
     {"1.`", "1.0000000000000002`", "0.9999999999999999`", "1.`", "1.`", 
      "1.`", "1.`", "1.`", "1.`"},
     {"1.`", "1.`", "1.`", "0.9999999999999999`", "1.0000000000000002`", 
      "1.`", "1.`", "1.`", "1.`"},
     {"1.`", "1.`", "1.`", "1.0000000000000002`", "0.9999999999999999`", 
      "1.`", "1.`", "1.`", "1.`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.833002505452962*^9, 3.833002524282988*^9}, 
   3.833002726224271*^9, {3.8330030888436737`*^9, 3.833003112503707*^9}, 
   3.8330031759237957`*^9, {3.858389644946512*^9, 3.85838966477654*^9}, 
   3.858389826696767*^9, 3.8583898599478135`*^9, 3.858393813424844*^9, 
   3.8583938665949183`*^9, 3.8583939095249786`*^9, 3.858408708429843*^9, {
   3.8594330357836914`*^9, 3.859433045633705*^9}, 3.859890557458235*^9},
 CellLabel->
  "Out[92]//MatrixForm=",ExpressionUUID->"d9331275-5379-48d0-9e2d-\
dda550498787"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.833002505452962*^9, 3.833002524282988*^9}, 
   3.833002726224271*^9, {3.8330030888436737`*^9, 3.833003112503707*^9}, 
   3.8330031759237957`*^9, {3.858389644946512*^9, 3.85838966477654*^9}, 
   3.858389826696767*^9, 3.8583898599478135`*^9, 3.858393813424844*^9, 
   3.8583938665949183`*^9, 3.8583939095249786`*^9, 3.858408708429843*^9, {
   3.8594330357836914`*^9, 3.859433045633705*^9}, 3.8598905575382347`*^9},
 CellLabel->"Out[93]=",ExpressionUUID->"69c1babc-a45d-47eb-ab13-458ae501bd65"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Y9", "//", "N"}], "//", "MatrixForm"}], "\[IndentingNewLine]", 
 RowBox[{"UnitaryMatrixQ", "[", 
  RowBox[{
   FractionBox["1", "3"], " ", 
   RowBox[{"N", "[", "Y9", "]"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8330031823038044`*^9, 3.833003216373852*^9}, {
  3.8330032580139103`*^9, 3.8330032601639132`*^9}, {3.8583896707765484`*^9, 
  3.8583896730065517`*^9}, {3.858393927835004*^9, 3.8583939288250055`*^9}, {
  3.859890584728273*^9, 3.8598905860682745`*^9}},
 CellLabel->"In[95]:=",ExpressionUUID->"dbe99189-fdcf-4950-ae05-008020f36329"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1.`", "1.`", "1.`", "1.`", "1.`", "1.`", "1.`", "1.`", "1.`"},
     {"1.`", 
      RowBox[{
       RowBox[{"-", "0.33962144739340955`"}], "+", 
       RowBox[{"0.94056221084541`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.3396214473934096`"}], "-", 
       RowBox[{"0.94056221084541`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9635154245261963`"}], "+", 
       RowBox[{"0.26765280999851965`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9635154245261963`"}], "-", 
       RowBox[{"0.26765280999851965`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.03648457547380362`"}], "+", 
       RowBox[{"0.9993342162422421`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.03648457547380363`"}], "-", 
       RowBox[{"0.9993342162422423`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.8396214473934096`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.5431720032153681`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.8396214473934097`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.5431720032153682`", " ", "\[ImaginaryI]"}]}]},
     {"1.`", 
      RowBox[{
       RowBox[{"-", "0.3396214473934096`"}], "-", 
       RowBox[{"0.94056221084541`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.33962144739340955`"}], "+", 
       RowBox[{"0.94056221084541`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9635154245261963`"}], "-", 
       RowBox[{"0.26765280999851965`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9635154245261963`"}], "+", 
       RowBox[{"0.26765280999851965`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.03648457547380363`"}], "-", 
       RowBox[{"0.9993342162422423`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.03648457547380362`"}], "+", 
       RowBox[{"0.9993342162422421`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.8396214473934097`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.5431720032153682`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.8396214473934096`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.5431720032153681`", " ", "\[ImaginaryI]"}]}]},
     {"1.`", 
      RowBox[{
       RowBox[{"-", "0.9635154245261963`"}], "+", 
       RowBox[{"0.26765280999851965`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9635154245261963`"}], "-", 
       RowBox[{"0.26765280999851965`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.8396214473934096`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.5431720032153681`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.8396214473934097`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.5431720032153682`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.3396214473934096`"}], "-", 
       RowBox[{"0.94056221084541`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.33962144739340955`"}], "+", 
       RowBox[{"0.94056221084541`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.03648457547380362`"}], "+", 
       RowBox[{"0.9993342162422421`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.03648457547380363`"}], "-", 
       RowBox[{"0.9993342162422423`", " ", "\[ImaginaryI]"}]}]},
     {"1.`", 
      RowBox[{
       RowBox[{"-", "0.9635154245261963`"}], "-", 
       RowBox[{"0.26765280999851965`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9635154245261963`"}], "+", 
       RowBox[{"0.26765280999851965`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.8396214473934097`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.5431720032153682`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.8396214473934096`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.5431720032153681`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.33962144739340955`"}], "+", 
       RowBox[{"0.94056221084541`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.3396214473934096`"}], "-", 
       RowBox[{"0.94056221084541`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.03648457547380363`"}], "-", 
       RowBox[{"0.9993342162422423`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.03648457547380362`"}], "+", 
       RowBox[{"0.9993342162422421`", " ", "\[ImaginaryI]"}]}]},
     {"1.`", 
      RowBox[{
       RowBox[{"-", "0.03648457547380362`"}], "+", 
       RowBox[{"0.9993342162422421`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.03648457547380363`"}], "-", 
       RowBox[{"0.9993342162422423`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.3396214473934096`"}], "-", 
       RowBox[{"0.94056221084541`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.33962144739340955`"}], "+", 
       RowBox[{"0.94056221084541`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.8396214473934097`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.5431720032153682`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.8396214473934096`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.5431720032153681`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9635154245261963`"}], "-", 
       RowBox[{"0.26765280999851965`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9635154245261963`"}], "+", 
       RowBox[{"0.26765280999851965`", " ", "\[ImaginaryI]"}]}]},
     {"1.`", 
      RowBox[{
       RowBox[{"-", "0.03648457547380363`"}], "-", 
       RowBox[{"0.9993342162422423`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.03648457547380362`"}], "+", 
       RowBox[{"0.9993342162422421`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.33962144739340955`"}], "+", 
       RowBox[{"0.94056221084541`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.3396214473934096`"}], "-", 
       RowBox[{"0.94056221084541`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.8396214473934096`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.5431720032153681`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.8396214473934097`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.5431720032153682`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9635154245261963`"}], "+", 
       RowBox[{"0.26765280999851965`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9635154245261963`"}], "-", 
       RowBox[{"0.26765280999851965`", " ", "\[ImaginaryI]"}]}]},
     {"1.`", 
      RowBox[{"0.8396214473934096`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.5431720032153681`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.8396214473934097`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.5431720032153682`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.03648457547380362`"}], "+", 
       RowBox[{"0.9993342162422421`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.03648457547380363`"}], "-", 
       RowBox[{"0.9993342162422423`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9635154245261963`"}], "-", 
       RowBox[{"0.26765280999851965`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9635154245261963`"}], "+", 
       RowBox[{"0.26765280999851965`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.3396214473934096`"}], "-", 
       RowBox[{"0.94056221084541`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.33962144739340955`"}], "+", 
       RowBox[{"0.94056221084541`", " ", "\[ImaginaryI]"}]}]},
     {"1.`", 
      RowBox[{"0.8396214473934097`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.5431720032153682`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.8396214473934096`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.5431720032153681`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.03648457547380363`"}], "-", 
       RowBox[{"0.9993342162422423`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.03648457547380362`"}], "+", 
       RowBox[{"0.9993342162422421`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9635154245261963`"}], "+", 
       RowBox[{"0.26765280999851965`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9635154245261963`"}], "-", 
       RowBox[{"0.26765280999851965`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.33962144739340955`"}], "+", 
       RowBox[{"0.94056221084541`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.3396214473934096`"}], "-", 
       RowBox[{"0.94056221084541`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.833003183793806*^9, 3.8330032172938533`*^9}, 
   3.833003260583914*^9, {3.858389668216545*^9, 3.8583896734965525`*^9}, 
   3.858393875604931*^9, {3.858393921534995*^9, 3.858393929115006*^9}, 
   3.8584087098098445`*^9, 3.8598905869782763`*^9},
 CellLabel->
  "Out[95]//MatrixForm=",ExpressionUUID->"a72dc903-b709-4fdb-b398-\
bae3e888b998"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{{3.833003183793806*^9, 3.8330032172938533`*^9}, 
   3.833003260583914*^9, {3.858389668216545*^9, 3.8583896734965525`*^9}, 
   3.858393875604931*^9, {3.858393921534995*^9, 3.858393929115006*^9}, 
   3.8584087098098445`*^9, 3.8598905870382757`*^9},
 CellLabel->"Out[96]=",ExpressionUUID->"fe79ed03-4391-4865-a7dd-6ccecb12fab3"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"complexHadamardQ", "[", 
  RowBox[{
   RowBox[{"N", "@", "Y9"}], ",", 
   SuperscriptBox["10", 
    RowBox[{"-", "13"}]]}], "]"}]], "Input",
 CellChangeTimes->{{3.8583896999965897`*^9, 3.8583897187966156`*^9}, {
  3.8583939630850534`*^9, 3.8583939711950645`*^9}, {3.858394029215146*^9, 
  3.8583940334851522`*^9}, {3.859890590798281*^9, 3.859890602838298*^9}},
 CellLabel->
  "In[100]:=",ExpressionUUID->"f9359394-4078-4db1-bc46-115dd5ec13bd"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{{3.858389713706609*^9, 3.858389776146696*^9}, {
   3.8583939345750136`*^9, 3.858393964405055*^9}, {3.8583940309251485`*^9, 
   3.8583940336951523`*^9}, 3.8584087122198477`*^9, {3.85989059709829*^9, 
   3.859890603178299*^9}},
 CellLabel->
  "Out[100]=",ExpressionUUID->"fc095285-1e8b-4359-b6cf-d5b9d5a163fb"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Lambda", "=", 
  RowBox[{"haagerup", "[", "Y9", "]"}]}]], "Input",
 CellChangeTimes->{{3.858389787766712*^9, 3.8583897935567207`*^9}, {
  3.8583898307367725`*^9, 3.8583898352167788`*^9}, {3.85839530336316*^9, 
  3.858395318844182*^9}, {3.859890605648302*^9, 
  3.859890606338303*^9}},ExpressionUUID->"1cc07e72-5085-40ac-80df-\
862ebffa6083"],

Cell[BoxData[
 InterpretationBox[
  TagBox[
   FrameBox[GridBox[{
      {
       ItemBox[
        TagBox[
         RowBox[{"{", 
          RowBox[{"1", ",", 
           RowBox[{
            FractionBox["1", "4"], "-", 
            RowBox[{
             FractionBox["1", "4"], " ", 
             SqrtBox[
              RowBox[{"1", "-", 
               RowBox[{"2", " ", 
                SuperscriptBox["2", 
                 RowBox[{"2", "/", "3"}]], " ", 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{"43", "+", 
                   RowBox[{"3", " ", "\[ImaginaryI]", " ", 
                    SqrtBox["771"]}]}], ")"}], 
                 RowBox[{"1", "/", "3"}]], " ", 
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{"-", 
                  FractionBox[
                   RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], 
                   "3"]}]]}], "-", 
               RowBox[{"2", " ", 
                SuperscriptBox["2", 
                 RowBox[{"2", "/", "3"}]], " ", 
                SuperscriptBox["\[ExponentialE]", 
                 FractionBox[
                  RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]], 
                " ", 
                RowBox[{"Conjugate", "[", 
                 SuperscriptBox[
                  RowBox[{"(", 
                   RowBox[{"43", "+", 
                    RowBox[{"3", " ", "\[ImaginaryI]", " ", 
                    SqrtBox["771"]}]}], ")"}], 
                  RowBox[{"1", "/", "3"}]], "]"}]}]}]]}], "+", 
            SqrtBox[
             RowBox[{
              RowBox[{"-", "1"}], "+", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", 
                  FractionBox["1", "4"]}], "+", 
                 RowBox[{
                  FractionBox["1", "4"], " ", 
                  SqrtBox[
                   RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    SuperscriptBox["2", 
                    RowBox[{"2", "/", "3"}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"43", "+", 
                    RowBox[{"3", " ", "\[ImaginaryI]", " ", 
                    SqrtBox["771"]}]}], ")"}], 
                    RowBox[{"1", "/", "3"}]], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], 
                    "3"]}]]}], "-", 
                    RowBox[{"2", " ", 
                    SuperscriptBox["2", 
                    RowBox[{"2", "/", "3"}]], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]], 
                    " ", 
                    RowBox[{"Conjugate", "[", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"43", "+", 
                    RowBox[{"3", " ", "\[ImaginaryI]", " ", 
                    SqrtBox["771"]}]}], ")"}], 
                    RowBox[{"1", "/", "3"}]], "]"}]}]}]]}]}], ")"}], 
               "2"]}]]}], ",", 
           FractionBox["1", 
            RowBox[{
             FractionBox["1", "4"], "-", 
             RowBox[{
              FractionBox["1", "4"], " ", 
              SqrtBox[
               TemplateBox[{"1"},
                "OutputSizeLimit`Skeleton"]]}], "+", 
             SqrtBox[
              RowBox[{
               RowBox[{"-", "1"}], "+", 
               SuperscriptBox[
                RowBox[{"(", 
                 TemplateBox[{"1"},
                  "OutputSizeLimit`Skeleton"], ")"}], "2"]}]]}]], ",", 
           TemplateBox[{"235"},
            "OutputSizeLimit`Skeleton"], ",", 
           FractionBox["1", 
            RowBox[{
             SuperscriptBox[
              RowBox[{"(", 
               TemplateBox[{"1"},
                "OutputSizeLimit`Skeleton"], ")"}], "2"], " ", 
             TemplateBox[{"1"},
              "OutputSizeLimit`Skeleton"], " ", 
             RowBox[{"(", 
              TemplateBox[{"1"},
               "OutputSizeLimit`Skeleton"], ")"}]}]], ",", 
           FractionBox[
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", 
                FractionBox["1", "2"]}], "-", 
               RowBox[{"Conjugate", "[", 
                SqrtBox[
                 RowBox[{
                  FractionBox["1", "2"], " ", 
                  RowBox[{"(", 
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton"], ")"}]}]], "]"}], "+", 
               RowBox[{"Conjugate", "[", 
                SqrtBox[
                 RowBox[{
                  RowBox[{"-", "1"}], "+", 
                  SuperscriptBox[
                   RowBox[{"(", 
                    RowBox[{
                    FractionBox["1", "2"], "+", 
                    SqrtBox[
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton"]}]]}], ")"}], "2"]}]], "]"}]}],
               ")"}], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", 
                FractionBox["1", "2"]}], "+", 
               RowBox[{"Conjugate", "[", 
                TemplateBox[{"1"},
                 "OutputSizeLimit`Skeleton"], "]"}]}], ")"}]}], 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               FractionBox["1", "4"], "+", 
               RowBox[{
                FractionBox["1", "4"], " ", 
                TemplateBox[{"1"},
                 "OutputSizeLimit`Skeleton"]}], "+", 
               SqrtBox[
                RowBox[{
                 RowBox[{"-", "1"}], "+", 
                 SuperscriptBox[
                  RowBox[{"(", 
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton"], ")"}], "2"]}]]}], ")"}], 
             "2"]], ",", 
           FractionBox["1", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               FractionBox["1", "4"], "+", 
               RowBox[{
                FractionBox["1", "4"], " ", 
                SqrtBox[
                 RowBox[{"1", "-", 
                  RowBox[{"2", " ", 
                   TemplateBox[{"2"},
                    "OutputSizeLimit`Skeleton"], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton"], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton"]}]]}], "-", 
                  RowBox[{"2", " ", 
                   SuperscriptBox["2", 
                    RowBox[{"2", "/", "3"}]], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton"], "3"]], " ", 
                   RowBox[{"Conjugate", "[", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"43", "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton"]}], ")"}], 
                    RowBox[{"1", "/", "3"}]], "]"}]}]}]]}], "+", 
               SqrtBox[
                RowBox[{
                 RowBox[{"-", "1"}], "+", 
                 SuperscriptBox[
                  RowBox[{"(", 
                   RowBox[{
                    FractionBox["1", "4"], "+", 
                    RowBox[{
                    FractionBox["1", "4"], " ", 
                    SqrtBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton"]]}]}], ")"}], "2"]}]]}], ")"}],
              "2"]]}], "}"}],
         Short[#, 5]& ],
        BaseStyle->{Deployed -> False},
        StripOnInput->False]},
      {GridBox[{
         {
          PaneBox[
           TagBox[
            TooltipBox[
             StyleBox[
              StyleBox[
               DynamicBox[ToBoxes[
                 FEPrivate`FrontEndResource[
                 "FEStrings", "sizeBriefExplanation"], StandardForm],
                ImageSizeCache->{61., {2., 9.}}],
               StripOnInput->False,
               DynamicUpdating->True,
               LineSpacing->{1, 2},
               LineIndent->0,
               LinebreakAdjustments->{1., 100, 0, 0, 0}], "OSLText",
              StripOnInput->False],
             StyleBox[
              DynamicBox[
               ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"], 
                StandardForm]], DynamicUpdating -> True, LineIndent -> 0, 
              LinebreakAdjustments -> {1., 100, 0, 0, 0}, 
              LineSpacing -> {1, 2}, StripOnInput -> False]],
            Annotation[#, 
             Style[
              Dynamic[
               FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"]], 
              DynamicUpdating -> True, LineIndent -> 0, 
              LinebreakAdjustments -> {1., 100, 0, 0, 0}, 
              LineSpacing -> {1, 2}], "Tooltip"]& ],
           Alignment->Center,
           BaselinePosition->Baseline,
           ImageSize->{Automatic, {25, Full}}], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm],
               ImageSizeCache->{54., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True,
              LineSpacing->{1, 2},
              LineIndent->0,
              LinebreakAdjustments->{1., 100, 0, 0, 0}], "OSLControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm],
               ImageSizeCache->{54., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True,
              LineSpacing->{1, 2},
              LineIndent->0,
              LinebreakAdjustments->{1., 100, 0, 0, 0}], "OSLControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, {25, Full}}],
           Appearance->None,
           BaselinePosition->Baseline,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 34, 25003955107189445867, 5/2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm],
               ImageSizeCache->{62., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True,
              LineSpacing->{1, 2},
              LineIndent->0,
              LinebreakAdjustments->{1., 100, 0, 0, 0}], "OSLControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm],
               ImageSizeCache->{62., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True,
              LineSpacing->{1, 2},
              LineIndent->0,
              LinebreakAdjustments->{1., 100, 0, 0, 0}], "OSLControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, {25, Full}}],
           Appearance->None,
           BaselinePosition->Baseline,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 34, 25003955107189445867, 5 2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm],
               ImageSizeCache->{45., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True,
              LineSpacing->{1, 2},
              LineIndent->0,
              LinebreakAdjustments->{1., 100, 0, 0, 0}], "OSLControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True,
              LineSpacing->{1, 2},
              LineIndent->0,
              LinebreakAdjustments->{1., 100, 0, 0, 0}], "OSLControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, {25, Full}}],
           Appearance->None,
           BaselinePosition->Baseline,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 34, 25003955107189445867, Infinity],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm],
               ImageSizeCache->{80., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True,
              LineSpacing->{1, 2},
              LineIndent->0,
              LinebreakAdjustments->{1., 100, 0, 0, 0}], "OSLControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm],
               ImageSizeCache->{80., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True,
              LineSpacing->{1, 2},
              LineIndent->0,
              LinebreakAdjustments->{1., 100, 0, 0, 0}], "OSLControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, {25, Full}}],
           Appearance->None,
           BaselinePosition->Baseline,
           ButtonFunction:>FrontEndExecute[{
              FrontEnd`SetOptions[
              FrontEnd`$FrontEnd, 
               FrontEnd`PreferencesSettings -> {"Page" -> "Advanced"}], 
              FrontEnd`FrontEndToken["PreferencesDialog"]}],
           Evaluator->None,
           Method->"Preemptive"]}
        },
        AutoDelete->False,
        FrameStyle->GrayLevel[0.85],
        GridBoxDividers->{"Columns" -> {False, {True}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {{2}}}]}
     },
     DefaultBaseStyle->"Column",
     GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
     GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
     GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{1.}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], 
         Offset[1.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    BaseStyle->"OutputSizeLimit",
    FrameMargins->{{12, 12}, {0, 15}},
    FrameStyle->GrayLevel[0.85],
    RoundingRadius->5,
    StripOnInput->False],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  If[25003955107189445867 === $SessionID, 
   Out[34], Message[
     MessageName[Syntax, "noinfoker"]]; Missing["NotAvailable"]; 
   Null]]], "Output",
 CellChangeTimes->{3.8583947853344965`*^9, 3.858396025378557*^9, 
  3.8584093831137877`*^9},
 CellLabel->"Out[34]=",ExpressionUUID->"2d1fdcfd-0519-453e-b833-01a91f3d0327"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Lambda", "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.8584094413438687`*^9, 3.858409443293872*^9}},
 CellLabel->"In[35]:=",ExpressionUUID->"23f709b8-40bf-41e4-90a2-910b34acf39a"],

Cell[BoxData[
 RowBox[{"{", "241", "}"}]], "Output",
 CellChangeTimes->{3.858409443593872*^9},
 CellLabel->"Out[35]=",ExpressionUUID->"ddb77204-8cfd-4912-921d-fbe7867352f6"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Lambda2", "=", 
  RowBox[{"Lambda", "//", "Simplify"}]}], "\[IndentingNewLine]", 
 RowBox[{"Lambda2", "//", "Dimensions"}]}], "Input",
 CellChangeTimes->{{3.8583963233089743`*^9, 3.85839647730919*^9}, {
  3.8583965477402887`*^9, 3.858396548280289*^9}, {3.8584028013596992`*^9, 
  3.8584028018197002`*^9}, {3.858409435613861*^9, 3.8584094362138615`*^9}},
 CellLabel->"In[55]:=",ExpressionUUID->"0f4253b6-a274-4438-949f-2d6c0032dc4a"],

Cell[BoxData[
 InterpretationBox[
  TagBox[
   FrameBox[GridBox[{
      {
       ItemBox[
        TagBox[
         RowBox[{"{", 
          RowBox[{"1", ",", 
           RowBox[{
            FractionBox["1", "4"], "-", 
            RowBox[{
             FractionBox["1", "4"], " ", 
             SqrtBox[
              RowBox[{"1", "+", 
               RowBox[{"2", " ", 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{"-", "1"}], ")"}], 
                 RowBox[{"1", "/", "3"}]], " ", 
                SuperscriptBox["2", 
                 RowBox[{"2", "/", "3"}]], " ", 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{"43", "+", 
                   RowBox[{"3", " ", "\[ImaginaryI]", " ", 
                    SqrtBox["771"]}]}], ")"}], 
                 RowBox[{"1", "/", "3"}]]}], "-", 
               RowBox[{"2", " ", 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{"-", "2"}], ")"}], 
                 RowBox[{"2", "/", "3"}]], " ", 
                RowBox[{"Conjugate", "[", 
                 SuperscriptBox[
                  RowBox[{"(", 
                   RowBox[{"43", "+", 
                    RowBox[{"3", " ", "\[ImaginaryI]", " ", 
                    SqrtBox["771"]}]}], ")"}], 
                  RowBox[{"1", "/", "3"}]], "]"}]}]}]]}], "+", 
            SqrtBox[
             RowBox[{
              RowBox[{"-", "1"}], "+", 
              RowBox[{
               FractionBox["1", "16"], " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "1"}], "+", 
                  SqrtBox[
                   RowBox[{"1", "+", 
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"-", "1"}], ")"}], 
                    RowBox[{"1", "/", "3"}]], " ", 
                    SuperscriptBox["2", 
                    RowBox[{"2", "/", "3"}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"43", "+", 
                    RowBox[{"3", " ", "\[ImaginaryI]", " ", 
                    SqrtBox["771"]}]}], ")"}], 
                    RowBox[{"1", "/", "3"}]]}], "-", 
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"-", "2"}], ")"}], 
                    RowBox[{"2", "/", "3"}]], " ", 
                    RowBox[{"Conjugate", "[", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"43", "+", 
                    RowBox[{"3", " ", "\[ImaginaryI]", " ", 
                    SqrtBox["771"]}]}], ")"}], 
                    RowBox[{"1", "/", "3"}]], "]"}]}]}]]}], ")"}], 
                "2"]}]}]]}], ",", 
           FractionBox["1", 
            RowBox[{
             FractionBox["1", "4"], "-", 
             RowBox[{
              FractionBox["1", "4"], " ", 
              SqrtBox[
               TemplateBox[{"1"},
                "OutputSizeLimit`Skeleton"]]}], "+", 
             SqrtBox[
              RowBox[{
               RowBox[{"-", "1"}], "+", 
               TemplateBox[{"1"},
                "OutputSizeLimit`Skeleton"]}]]}]], ",", 
           RowBox[{
            RowBox[{"-", 
             FractionBox["1", "2"]}], "-", 
            RowBox[{
             FractionBox["1", "2"], " ", 
             SqrtBox[
              TemplateBox[{"1"},
               "OutputSizeLimit`Skeleton"]]}], "+", 
            SqrtBox[
             RowBox[{
              RowBox[{"-", "1"}], "+", 
              TemplateBox[{"1"},
               "OutputSizeLimit`Skeleton"]}]]}], ",", 
           TemplateBox[{"233"},
            "OutputSizeLimit`Skeleton"], ",", 
           TemplateBox[{"1"},
            "OutputSizeLimit`Skeleton"], ",", 
           RowBox[{"-", 
            FractionBox["64", 
             TemplateBox[{"1"},
              "OutputSizeLimit`Skeleton"]]}], ",", 
           RowBox[{"-", 
            FractionBox[
             RowBox[{"4", " ", 
              RowBox[{"(", 
               TemplateBox[{"1"},
                "OutputSizeLimit`Skeleton"], ")"}], " ", 
              RowBox[{"(", 
               RowBox[{"1", "+", 
                RowBox[{"Conjugate", "[", 
                 SqrtBox[
                  RowBox[{
                   FractionBox["1", "2"], " ", 
                   RowBox[{"(", 
                    RowBox[{"4", "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton"], "-", 
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton"], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton"]], " ", 
                    RowBox[{"Conjugate", "[", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton"], "]"}]}]}], ")"}]}]], "]"}], 
                "-", 
                RowBox[{"2", " ", 
                 RowBox[{"Conjugate", "[", 
                  SqrtBox[
                   RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{
                    FractionBox["1", "16"], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    SqrtBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton"]]}], ")"}], "2"]}]}]], 
                  "]"}]}]}], ")"}]}], 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{"1", "+", 
                SqrtBox[
                 TemplateBox[{"1"},
                  "OutputSizeLimit`Skeleton"]], "+", 
                SqrtBox[
                 RowBox[{"2", " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", "7"}], "+", 
                    TemplateBox[{"3"},
                    "OutputSizeLimit`Skeleton"], "+", 
                    SqrtBox[
                    RowBox[{"1", "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton"], "-", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton"]}]]}], ")"}]}]]}], ")"}], 
              "2"]]}], ",", 
           FractionBox["1", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               FractionBox["1", "4"], "+", 
               RowBox[{
                FractionBox["1", "4"], " ", 
                SqrtBox[
                 RowBox[{"1", "+", 
                  RowBox[{"2", " ", 
                   TemplateBox[{"3"},
                    "OutputSizeLimit`Skeleton"]}], "-", 
                  RowBox[{"2", " ", 
                   SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"-", "2"}], ")"}], 
                    RowBox[{"2", "/", "3"}]], " ", 
                   RowBox[{"Conjugate", "[", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"43", "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton"]}], ")"}], 
                    RowBox[{"1", "/", "3"}]], "]"}]}]}]]}], "+", 
               SqrtBox[
                RowBox[{
                 RowBox[{"-", "1"}], "+", 
                 RowBox[{
                  FractionBox["1", "16"], " ", 
                  SuperscriptBox[
                   RowBox[{"(", 
                    RowBox[{"1", "+", 
                    SqrtBox[
                    RowBox[{"1", "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton"], "-", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton"]}]]}], ")"}], "2"]}]}]]}], 
              ")"}], "2"]]}], "}"}],
         Short[#, 5]& ],
        BaseStyle->{Deployed -> False},
        StripOnInput->False]},
      {GridBox[{
         {
          PaneBox[
           TagBox[
            TooltipBox[
             StyleBox[
              StyleBox[
               DynamicBox[ToBoxes[
                 FEPrivate`FrontEndResource[
                 "FEStrings", "sizeBriefExplanation"], StandardForm],
                ImageSizeCache->{61., {2., 9.}}],
               StripOnInput->False,
               DynamicUpdating->True,
               LineSpacing->{1, 2},
               LineIndent->0,
               LinebreakAdjustments->{1., 100, 0, 0, 0}], "OSLText",
              StripOnInput->False],
             StyleBox[
              DynamicBox[
               ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"], 
                StandardForm]], DynamicUpdating -> True, LineIndent -> 0, 
              LinebreakAdjustments -> {1., 100, 0, 0, 0}, 
              LineSpacing -> {1, 2}, StripOnInput -> False]],
            Annotation[#, 
             Style[
              Dynamic[
               FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"]], 
              DynamicUpdating -> True, LineIndent -> 0, 
              LinebreakAdjustments -> {1., 100, 0, 0, 0}, 
              LineSpacing -> {1, 2}], "Tooltip"]& ],
           Alignment->Center,
           BaselinePosition->Baseline,
           ImageSize->{Automatic, {25, Full}}], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm],
               ImageSizeCache->{54., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True,
              LineSpacing->{1, 2},
              LineIndent->0,
              LinebreakAdjustments->{1., 100, 0, 0, 0}], "OSLControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm],
               ImageSizeCache->{54., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True,
              LineSpacing->{1, 2},
              LineIndent->0,
              LinebreakAdjustments->{1., 100, 0, 0, 0}], "OSLControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, {25, Full}}],
           Appearance->None,
           BaselinePosition->Baseline,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 55, 25003955107189445867, 5/2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm],
               ImageSizeCache->{62., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True,
              LineSpacing->{1, 2},
              LineIndent->0,
              LinebreakAdjustments->{1., 100, 0, 0, 0}], "OSLControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm],
               ImageSizeCache->{62., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True,
              LineSpacing->{1, 2},
              LineIndent->0,
              LinebreakAdjustments->{1., 100, 0, 0, 0}], "OSLControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, {25, Full}}],
           Appearance->None,
           BaselinePosition->Baseline,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 55, 25003955107189445867, 5 2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm],
               ImageSizeCache->{45., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True,
              LineSpacing->{1, 2},
              LineIndent->0,
              LinebreakAdjustments->{1., 100, 0, 0, 0}], "OSLControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm],
               ImageSizeCache->{45., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True,
              LineSpacing->{1, 2},
              LineIndent->0,
              LinebreakAdjustments->{1., 100, 0, 0, 0}], "OSLControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, {25, Full}}],
           Appearance->None,
           BaselinePosition->Baseline,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 55, 25003955107189445867, Infinity],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm],
               ImageSizeCache->{80., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True,
              LineSpacing->{1, 2},
              LineIndent->0,
              LinebreakAdjustments->{1., 100, 0, 0, 0}], "OSLControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm],
               ImageSizeCache->{80., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True,
              LineSpacing->{1, 2},
              LineIndent->0,
              LinebreakAdjustments->{1., 100, 0, 0, 0}], "OSLControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, {25, Full}}],
           Appearance->None,
           BaselinePosition->Baseline,
           ButtonFunction:>FrontEndExecute[{
              FrontEnd`SetOptions[
              FrontEnd`$FrontEnd, 
               FrontEnd`PreferencesSettings -> {"Page" -> "Advanced"}], 
              FrontEnd`FrontEndToken["PreferencesDialog"]}],
           Evaluator->None,
           Method->"Preemptive"]}
        },
        AutoDelete->False,
        FrameStyle->GrayLevel[0.85],
        GridBoxDividers->{"Columns" -> {False, {True}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {{2}}}]}
     },
     DefaultBaseStyle->"Column",
     GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
     GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
     GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{1.}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], 
         Offset[1.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    BaseStyle->"OutputSizeLimit",
    FrameMargins->{{12, 12}, {0, 15}},
    FrameStyle->GrayLevel[0.85],
    RoundingRadius->5,
    StripOnInput->False],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  If[25003955107189445867 === $SessionID, 
   Out[55], Message[
     MessageName[Syntax, "noinfoker"]]; Missing["NotAvailable"]; 
   Null]]], "Output",
 CellChangeTimes->{3.8583964687791777`*^9, 3.858396511390238*^9, 
  3.858407627283329*^9, 3.8584094769439187`*^9, 3.8584113855138745`*^9},
 CellLabel->"Out[55]=",ExpressionUUID->"29e966e2-b533-4617-ba91-27ba05a9d3dd"],

Cell[BoxData[
 RowBox[{"{", "241", "}"}]], "Output",
 CellChangeTimes->{3.8583964687791777`*^9, 3.858396511390238*^9, 
  3.858407627283329*^9, 3.8584094769439187`*^9, 3.8584113855338745`*^9},
 CellLabel->"Out[56]=",ExpressionUUID->"f943e550-5960-4225-bdad-de5bd33699d1"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"s", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"Lambda2", "//", "N"}], "//", "Simplify"}], "//", 
    "MatrixForm"}]}], "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.858409491263939*^9, 3.858409580684064*^9}, {
   3.8584114004148955`*^9, 3.8584114527149687`*^9}, 3.858411530106077*^9, {
   3.8584117009463167`*^9, 3.858411727076353*^9}, {3.858411771986416*^9, 
   3.858411806166464*^9}, {3.858411856085806*^9, 3.858411869210169*^9}, {
   3.8584119147821755`*^9, 3.8584119436422157`*^9}, {3.8584121705525336`*^9, 
   3.858412199513574*^9}, {3.858412247053641*^9, 3.8584122536536503`*^9}},
 CellLabel->"In[92]:=",ExpressionUUID->"41563e2b-afcb-4fbc-9a5b-ff0d7bf1685b"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Lambda2", "[", 
   RowBox[{"[", "12", "]"}], "]"}], "//", "N"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Lambda2", "[", 
   RowBox[{"[", "12", "]"}], "]"}], "//", 
  "Simplify"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.858411662856263*^9, 3.858411665736267*^9}, {
  3.8584150025234985`*^9, 3.8584150230635276`*^9}, {3.8584150952046285`*^9, 
  3.8584151343746834`*^9}, {3.858415200134775*^9, 3.858415233254822*^9}},
 CellLabel->
  "In[128]:=",ExpressionUUID->"e4fddb22-e8f7-4c7d-ae66-6bef0c80ea4f"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "0.7693145449408109`"}], "+", 
  RowBox[{"0.6388701988217272`", " ", "\[ImaginaryI]"}]}]], "Output",
 CellChangeTimes->{3.858415279864887*^9},
 CellLabel->
  "Out[128]=",ExpressionUUID->"71e9dc8e-e4a3-482b-99d9-e30b9fb2683a"]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1192, 1874},
WindowMargins->{{-1208, Automatic}, {Automatic, 0}},
FrontEndVersion->"12.0 for Microsoft Windows (64-bit) (April 8, 2019)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 255, 4, 69, "Subtitle",ExpressionUUID->"739a3ce6-e009-4449-80df-566b3dd56858"],
Cell[838, 28, 2917, 82, 359, "Input",ExpressionUUID->"e2a84108-f3a9-4328-806e-1785a69e5efa"],
Cell[3758, 112, 228, 5, 28, "Input",ExpressionUUID->"66e9736a-73bb-4057-992b-42d3a1a1bd7d"],
Cell[CellGroupData[{
Cell[4011, 121, 268, 4, 48, "Input",ExpressionUUID->"076c76c0-496f-47bf-8638-39ddb4d98640"],
Cell[4282, 127, 2552, 46, 35, "Output",ExpressionUUID->"d436311e-4637-445d-b272-bad7cfdefc11"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6871, 178, 9467, 249, 531, "Input",ExpressionUUID->"f20a2b48-2ebe-44f1-bcea-20323f8badef"],
Cell[16341, 429, 122004, 2053, 510, "Output",ExpressionUUID->"a12c5afb-7891-4b73-b391-783ff2f3934e"],
Cell[138348, 2484, 111615, 1867, 510, "Output",ExpressionUUID->"34791258-d583-4f2e-8bbb-7a8bdba657c1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[250000, 4356, 2080, 61, 53, "Input",ExpressionUUID->"17d50811-44f9-41fb-9ebe-addb6ce92af7"],
Cell[252083, 4419, 2215, 52, 71, "Output",ExpressionUUID->"e5f270bc-e4dd-486c-8278-f6f4cb332d9f"],
Cell[254301, 4473, 2268, 59, 71, "Output",ExpressionUUID->"9c411320-6e4c-4f83-8522-fd79fe7349b5"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[256618, 4538, 285, 4, 69, "Subtitle",ExpressionUUID->"548f844c-31b7-4d58-9f6b-013f8c1f487f"],
Cell[CellGroupData[{
Cell[256928, 4546, 846, 26, 28, "Input",ExpressionUUID->"10a1082e-8ce3-439a-aa99-87f55cd64e69"],
Cell[257777, 4574, 5750, 150, 107, "Output",ExpressionUUID->"219b57af-cbb1-4703-a16a-31ba4f326cba"]
}, Open  ]],
Cell[263542, 4727, 260, 5, 28, "Input",ExpressionUUID->"72a19949-f693-494e-86e2-b9a1b8d66fb4"],
Cell[CellGroupData[{
Cell[263827, 4736, 1786, 57, 217, "Input",ExpressionUUID->"9a140d0d-bee4-4e0e-a8d6-70f0004fcd17"],
Cell[265616, 4795, 717, 15, 32, "Output",ExpressionUUID->"28cb63ce-464e-4c3b-bd9d-efcb3870b15e"],
Cell[266336, 4812, 717, 15, 32, "Output",ExpressionUUID->"5bbafa87-67e0-458a-b73e-e21141e16d2c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[267090, 4832, 449, 10, 121, "Input",ExpressionUUID->"5ebe1b98-0eda-4324-9eba-95bc18061c15"],
Cell[267542, 4844, 437, 6, 32, "Output",ExpressionUUID->"a8372254-0414-4dc5-a1e0-0882dd016cf2"],
Cell[267982, 4852, 440, 6, 32, "Output",ExpressionUUID->"7c7ee450-959d-4b3a-9a7b-97a573ff7487"],
Cell[268425, 4860, 420, 5, 32, "Output",ExpressionUUID->"84b0b59c-5a7d-486f-b525-7a620d0d2de1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[268882, 4870, 2722, 90, 175, "Input",ExpressionUUID->"26e084e9-7cd4-4679-a135-1b4991fcc516"],
Cell[271607, 4962, 1463, 39, 58, "Output",ExpressionUUID->"c1d7ca1b-6c17-4328-8df2-4b824b5d2114"],
Cell[273073, 5003, 1463, 39, 58, "Output",ExpressionUUID->"549f41c9-e107-46e1-8285-c9a047ed2b8c"],
Cell[274539, 5044, 1089, 25, 58, "Output",ExpressionUUID->"c1edd963-f6f2-41eb-95b5-4617280afd20"]
}, Open  ]],
Cell[CellGroupData[{
Cell[275665, 5074, 1090, 34, 137, "Input",ExpressionUUID->"25e12ee4-dc88-4045-9756-636605033982"],
Cell[276758, 5110, 1270, 38, 71, "Output",ExpressionUUID->"aabc5316-c428-4c6f-8594-7f5ff82fb257"],
Cell[278031, 5150, 1270, 38, 71, "Output",ExpressionUUID->"69bf67ad-352e-41a5-9b72-00e22c09e99d"],
Cell[279304, 5190, 1268, 38, 71, "Output",ExpressionUUID->"b406c38b-fb71-4a25-957e-8ab051cf4bf0"],
Cell[280575, 5230, 1268, 38, 71, "Output",ExpressionUUID->"cf88cdf8-5413-46e6-bca0-bc8fb24a465c"],
Cell[281846, 5270, 866, 24, 71, "Output",ExpressionUUID->"2dabc94f-06f9-40b9-a40a-2ad8f8a508c1"],
Cell[282715, 5296, 866, 24, 71, "Output",ExpressionUUID->"608806ff-ce4e-4e64-b7ae-9fdc653dcf55"]
}, Open  ]],
Cell[CellGroupData[{
Cell[283618, 5325, 578, 18, 96, "Input",ExpressionUUID->"945c87d5-e3cc-47f7-94c3-3cd90a0eb72b"],
Cell[284199, 5345, 2509, 74, 145, "Output",ExpressionUUID->"e04813b1-f2de-48a5-98dd-a943bbcc198e"],
Cell[286711, 5421, 2628, 77, 145, "Output",ExpressionUUID->"783291b7-5a84-47fd-a04c-1d403210fb10"]
}, Open  ]],
Cell[CellGroupData[{
Cell[289376, 5503, 868, 26, 128, "Input",ExpressionUUID->"ab2cbe16-2518-4dfa-9f21-003a3d2e56a0"],
Cell[290247, 5531, 2652, 77, 161, "Output",ExpressionUUID->"e510292c-5dff-4166-8c2f-66053d6429ef"],
Cell[292902, 5610, 2767, 80, 161, "Output",ExpressionUUID->"a7880056-7198-4619-98d9-977bb0d7b628"]
}, {2, 3}]],
Cell[CellGroupData[{
Cell[295706, 5695, 919, 23, 124, "Input",ExpressionUUID->"a8360895-a957-443b-b6c3-2a7277f535e5"],
Cell[296628, 5720, 341, 7, 32, "Output",ExpressionUUID->"9c7f4c7f-94da-4cd1-95f0-c3ea58f709ba"],
Cell[296972, 5729, 340, 7, 32, "Output",ExpressionUUID->"c7411359-50c6-4439-b5ca-e0d0cf244ae5"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[297361, 5742, 386, 5, 69, "Subtitle",ExpressionUUID->"ea3d79a6-b1a6-47a1-86d3-156532f01aa0"],
Cell[CellGroupData[{
Cell[297772, 5751, 958, 29, 31, "Input",ExpressionUUID->"b5e21a58-7079-49ef-b5e7-4cf44df00a4e"],
Cell[298733, 5782, 825, 25, 50, "Output",ExpressionUUID->"d0873cbc-cbd7-452a-b992-427a20265875"]
}, Open  ]],
Cell[CellGroupData[{
Cell[299595, 5812, 1032, 34, 45, "Input",ExpressionUUID->"61a21cc1-fb43-4c88-b0b1-21411465451d"],
Cell[300630, 5848, 1767, 55, 85, "Output",ExpressionUUID->"e54fc888-7fca-4973-a627-899aa96f93b7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[302434, 5908, 1406, 37, 181, "Input",ExpressionUUID->"16d66407-60d5-47d3-98cf-c60fbf43267c"],
Cell[303843, 5947, 582, 15, 32, "Output",ExpressionUUID->"09dd1922-c4e1-4922-b425-394b6f2aed6d"]
}, Open  ]],
Cell[304440, 5965, 595, 18, 28, "Input",ExpressionUUID->"ab1f3caf-e061-4c5a-bb91-bed7866fac04"],
Cell[CellGroupData[{
Cell[305060, 5987, 952, 32, 45, "Input",ExpressionUUID->"2157ab9b-cb74-4588-90ca-184f76d9f25c"],
Cell[306015, 6021, 934, 28, 53, "Output",ExpressionUUID->"10575584-12f4-43f0-90f1-7e14c2e91bea"]
}, Open  ]],
Cell[CellGroupData[{
Cell[306986, 6054, 559, 16, 31, "Input",ExpressionUUID->"b2da3e0f-b8f8-4a6f-a3cc-9490fb9d18c2"],
Cell[307548, 6072, 5661, 149, 117, "Output",ExpressionUUID->"34e60d6c-15b3-4e1f-a09d-3fefb556d8f9"]
}, Open  ]],
Cell[CellGroupData[{
Cell[313246, 6226, 1986, 59, 236, "Input",ExpressionUUID->"6fc2a0b2-6b6e-472f-879c-97468fc46c8d"],
Cell[315235, 6287, 698, 14, 32, "Output",ExpressionUUID->"82f89906-7d1d-47df-b6b0-71feb266c3ba"],
Cell[315936, 6303, 698, 14, 32, "Output",ExpressionUUID->"f3c05fbd-8ffc-43bb-927b-84e1a5243a14"]
}, Open  ]],
Cell[CellGroupData[{
Cell[316671, 6322, 450, 10, 121, "Input",ExpressionUUID->"baa38a6d-b310-4654-a80a-793d61784612"],
Cell[317124, 6334, 416, 6, 32, "Output",ExpressionUUID->"c76c4437-cf5a-49b5-a779-2ba4b6a9391a"],
Cell[317543, 6342, 416, 6, 32, "Output",ExpressionUUID->"29205a33-daa1-42f3-bd26-7eeca76df5ad"],
Cell[317962, 6350, 398, 5, 32, "Output",ExpressionUUID->"947277b3-b038-44ff-a87a-802491f29ee4"]
}, Open  ]],
Cell[CellGroupData[{
Cell[318397, 6360, 2722, 90, 175, "Input",ExpressionUUID->"d147338b-532e-4302-9c63-7597040be879"],
Cell[321122, 6452, 1499, 41, 58, "Output",ExpressionUUID->"570c38f3-6a46-486e-b776-2f1e523e0a8b"],
Cell[322624, 6495, 1499, 41, 58, "Output",ExpressionUUID->"ca334e1d-0eaf-4fdf-89cf-b8db83980c96"],
Cell[324126, 6538, 1123, 27, 58, "Output",ExpressionUUID->"3bf289b5-75e8-46c7-b3e0-6160a48b7606"]
}, Open  ]],
Cell[CellGroupData[{
Cell[325286, 6570, 1572, 48, 300, "Input",ExpressionUUID->"61722d8e-3881-4510-a203-4f08389e6907"],
Cell[326861, 6620, 1708, 47, 77, "Output",ExpressionUUID->"ac29dff2-2ad1-4dc8-abe7-69ccb2d92ea8"],
Cell[328572, 6669, 1706, 47, 77, "Output",ExpressionUUID->"6fde7e7b-7795-4603-90da-16753e3c6131"],
Cell[330281, 6718, 1706, 47, 77, "Output",ExpressionUUID->"3ebe00b7-f558-4afd-ad48-1af9d8d633c1"],
Cell[331990, 6767, 1708, 47, 77, "Output",ExpressionUUID->"6dc22c3e-a0bf-4df1-857c-8925e7746b37"],
Cell[333701, 6816, 1234, 33, 77, "Output",ExpressionUUID->"98ccaa9f-0061-4424-a519-7bdc6ce83bf9"],
Cell[334938, 6851, 1234, 33, 77, "Output",ExpressionUUID->"34e03397-77a9-41f6-b3b5-030bc01f7a1b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[336209, 6889, 524, 14, 118, "Input",ExpressionUUID->"4069ae0c-a761-4e42-99d9-265c3fb9638e"],
Cell[336736, 6905, 3434, 95, 173, "Output",ExpressionUUID->"645c174b-a119-4f66-84b5-cb0579224015"],
Cell[340173, 7002, 3434, 95, 173, "Output",ExpressionUUID->"d1c775a1-1f9b-4314-b91c-4463b6474de7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[343644, 7102, 969, 27, 133, "Input",ExpressionUUID->"11837a9b-e3d9-4487-bf7e-d7c94a27d49f"],
Cell[344616, 7131, 2955, 84, 161, "Output",ExpressionUUID->"f2122a29-e5ec-4386-bfcf-6c6cbae39f17"],
Cell[347574, 7217, 2931, 83, 161, "Output",ExpressionUUID->"9a9f15e9-39c2-47c8-a367-df2dacff4621"]
}, Open  ]],
Cell[CellGroupData[{
Cell[350542, 7305, 893, 22, 105, "Input",ExpressionUUID->"96b952f0-6801-4982-ac3d-c50ba20fd9b6"],
Cell[351438, 7329, 364, 7, 32, "Output",ExpressionUUID->"bf9820d1-c021-4449-8ced-2b109e7494b0"],
Cell[351805, 7338, 365, 6, 32, "Output",ExpressionUUID->"82bb2c7f-956c-402b-b79b-59cb5f7ded41"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[352219, 7350, 482, 7, 69, "Subtitle",ExpressionUUID->"fc3817d8-68aa-46de-b33d-5bd0567f03cb"],
Cell[352704, 7359, 1343, 37, 129, "Input",ExpressionUUID->"6574e895-3973-4d31-84c2-74b16c74f6e9"],
Cell[354050, 7398, 1183, 33, 91, "Input",ExpressionUUID->"39f841b1-d434-4dcb-b77b-89937a4ebe49"],
Cell[355236, 7433, 1227, 34, 97, "Input",ExpressionUUID->"b52444c1-520c-402c-8256-b1b360a567b4"],
Cell[356466, 7469, 1162, 33, 97, "Input",ExpressionUUID->"93a0f125-b3dd-485d-9f5e-ca3f8c176401"],
Cell[357631, 7504, 1224, 30, 91, "Input",ExpressionUUID->"b675b313-33ee-4c4e-b03a-bcac5b9473ad"],
Cell[CellGroupData[{
Cell[358880, 7538, 1479, 39, 200, "Input",ExpressionUUID->"40dc1504-2428-4b37-ae9b-5a3c3e5b2050"],
Cell[360362, 7579, 505, 8, 32, "Output",ExpressionUUID->"1e183e66-1e88-48e3-b363-cea56eaba300"],
Cell[360870, 7589, 507, 8, 32, "Output",ExpressionUUID->"b0c88521-646a-4580-8356-0fbb141e7dc3"],
Cell[361380, 7599, 507, 8, 32, "Output",ExpressionUUID->"b523c5df-b8b6-463f-9f4f-d1d4337896b6"],
Cell[361890, 7609, 508, 7, 32, "Output",ExpressionUUID->"f334ae93-e862-40e1-ab75-418e4338c876"]
}, Open  ]],
Cell[CellGroupData[{
Cell[362435, 7621, 3668, 87, 422, "Input",ExpressionUUID->"bf79c215-bc54-4183-836f-fa6f98dab95d"],
Cell[366106, 7710, 1463, 31, 181, "Output",ExpressionUUID->"a56a5159-5125-4e16-8241-044f3dec51cf"],
Cell[367572, 7743, 1919, 39, 181, "Output",ExpressionUUID->"d9331275-5379-48d0-9e2d-dda550498787"],
Cell[369494, 7784, 542, 7, 32, "Output",ExpressionUUID->"69c1babc-a45d-47eb-ab13-458ae501bd65"]
}, Open  ]],
Cell[CellGroupData[{
Cell[370073, 7796, 581, 11, 65, "Input",ExpressionUUID->"dbe99189-fdcf-4950-ae05-008020f36329"],
Cell[370657, 7809, 9336, 205, 181, "Output",ExpressionUUID->"a72dc903-b709-4fdb-b398-bae3e888b998"],
Cell[379996, 8016, 376, 5, 32, "Output",ExpressionUUID->"fe79ed03-4391-4865-a7dd-6ccecb12fab3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[380409, 8026, 467, 10, 31, "Input",ExpressionUUID->"f9359394-4078-4db1-bc46-115dd5ec13bd"],
Cell[380879, 8038, 359, 6, 32, "Output",ExpressionUUID->"fc095285-1e8b-4359-b6cf-d5b9d5a163fb"]
}, Open  ]],
Cell[CellGroupData[{
Cell[381275, 8049, 365, 7, 28, "Input",ExpressionUUID->"1cc07e72-5085-40ac-80df-862ebffa6083"],
Cell[381643, 8058, 16622, 428, 367, "Output",ExpressionUUID->"2d1fdcfd-0519-453e-b833-01a91f3d0327"]
}, Open  ]],
Cell[CellGroupData[{
Cell[398302, 8491, 211, 3, 28, "Input",ExpressionUUID->"23f709b8-40bf-41e4-90a2-910b34acf39a"],
Cell[398516, 8496, 173, 3, 32, "Output",ExpressionUUID->"ddb77204-8cfd-4912-921d-fbe7867352f6"]
}, Open  ]],
Cell[CellGroupData[{
Cell[398726, 8504, 457, 7, 48, "Input",ExpressionUUID->"0f4253b6-a274-4438-949f-2d6c0032dc4a"],
Cell[399186, 8513, 16721, 432, 421, "Output",ExpressionUUID->"29e966e2-b533-4617-ba91-27ba05a9d3dd"],
Cell[415910, 8947, 270, 4, 32, "Output",ExpressionUUID->"f943e550-5960-4225-bdad-de5bd33699d1"]
}, Open  ]],
Cell[416195, 8954, 713, 13, 48, "Input",ExpressionUUID->"41563e2b-afcb-4fbc-9a5b-ff0d7bf1685b"],
Cell[CellGroupData[{
Cell[416933, 8971, 555, 12, 67, "Input",ExpressionUUID->"e4fddb22-e8f7-4c7d-ae66-6bef0c80ea4f"],
Cell[417491, 8985, 264, 6, 32, "Output",ExpressionUUID->"71e9dc8e-e4a3-482b-99d9-e30b9fb2683a"]
}, Open  ]]
}, Open  ]]
}
]
*)

