(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     71875,       1610]
NotebookOptionsPosition[     69186,       1561]
NotebookOutlinePosition[     69529,       1576]
CellTagsIndexPosition[     69486,       1573]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Sinkhorn tests", "Subsection",
 CellChangeTimes->{{3.8594642102211957`*^9, 3.8594642180912066`*^9}, {
  3.8598902201857624`*^9, 
  3.8598902252357693`*^9}},ExpressionUUID->"09c82dd7-8ce8-4a3f-af3b-\
57ff41571fcc"],

Cell[CellGroupData[{

Cell["test for d = 7 and special seed", "Subsubsection",
 CellChangeTimes->{{3.8598902600768185`*^9, 
  3.859890272846836*^9}},ExpressionUUID->"258c2d49-baf9-4b2a-bde6-\
db3740f79581"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"d", "=", "7"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Seed", "=", 
     RowBox[{"RandomComplex", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "1"}], "-", "I"}], ",", 
         RowBox[{"1", "+", "I"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"d", ",", "d"}], "}"}]}], "]"}]}], ";"}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c"}], "}"}], "=", 
   RowBox[{"Flatten", "[", 
    RowBox[{
     RowBox[{"RandomVariate", "[", 
      RowBox[{
       RowBox[{"NormalDistribution", "[", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "3"}], "}"}]}], "]"}], "+", 
     RowBox[{"I", " ", 
      RowBox[{"RandomVariate", "[", 
       RowBox[{
        RowBox[{"NormalDistribution", "[", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "3"}], "}"}]}], "]"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"X", "[", "x_", "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x", ",", 
       FractionBox["1", "x"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "x"], ",", "x"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"coreSeed", "=", 
   RowBox[{"ArrayFlatten", "@", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"X", "[", "a", "]"}], ",", 
        RowBox[{"X", "[", "b", "]"}], ",", 
        RowBox[{"X", "[", "c", "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"X", "[", "c", "]"}], ",", 
        RowBox[{"X", "[", "a", "]"}], ",", 
        RowBox[{"X", "[", "b", "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"X", "[", "b", "]"}], ",", 
        RowBox[{"X", "[", "c", "]"}], ",", 
        RowBox[{"X", "[", "a", "]"}]}], "}"}]}], "\[IndentingNewLine]", 
     "}"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Seed", "=", 
   RowBox[{"ConstantArray", "[", 
    RowBox[{"1", ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "d"}], "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Seed", "\[LeftDoubleBracket]", 
     RowBox[{
      RowBox[{"2", ";;", "d"}], ",", 
      RowBox[{"2", ";;", "d"}]}], "\[RightDoubleBracket]"}], "=", 
    "coreSeed"}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Y", "=", 
   RowBox[{"sinkhorn", "[", 
    RowBox[{"Seed", ",", "100000"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dephase", "[", "Y", "]"}], "//", "MatrixForm"}], "//", 
  "Chop"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Y", ".", 
     RowBox[{"ConjugateTranspose", "[", "Y", "]"}]}], "//", "MatrixForm"}], "//",
    "N"}], "//", "Chop"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Abs", "[", "Y", "]"}], "//", "MatrixForm"}], "\[IndentingNewLine]", 
 RowBox[{"complexHadamardQ", "[", 
  RowBox[{"Y", ",", 
   SuperscriptBox["10", 
    RowBox[{"-", "10"}]]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"unitaryDefect", "[", 
  RowBox[{"N", "@", "Y"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"haagerup", "[", "Y", "]"}], "//", "Dimensions"}], 
   "*)"}]}]}], "Input",
 CellChangeTimes->{{3.859462699897795*^9, 3.8594627536278706`*^9}, {
  3.859462861542307*^9, 3.8594628955023546`*^9}, {3.859462975985467*^9, 
  3.859463017195525*^9}, {3.859463048055568*^9, 3.859463074395605*^9}, {
  3.8594631318956857`*^9, 3.859463155115718*^9}, {3.8594632718968816`*^9, 
  3.859463278367891*^9}, {3.859463430089103*^9, 3.8594635067492104`*^9}, {
  3.859463548149268*^9, 3.859463587070323*^9}, {3.85946362024037*^9, 
  3.8594636209403706`*^9}, {3.8594636788504515`*^9, 3.859463786210602*^9}, {
  3.8594638239106545`*^9, 3.8594638625707088`*^9}, {3.8594639081407723`*^9, 
  3.8594640430709615`*^9}, {3.8594641681111364`*^9, 3.859464169911139*^9}, {
  3.8594642259512177`*^9, 3.8594642260912175`*^9}, {3.8598902767968416`*^9, 
  3.859890277106842*^9}},
 Background->RGBColor[0.88, 1, 0.88],
 CellLabel->"In[20]:=",ExpressionUUID->"783085b9-a79d-4eb1-bce3-2ff79a18f449"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1.`", "1.`", "1.`", "1.`", "1.`", "1.`", "1.`"},
     {"1.`", 
      RowBox[{"0.6234898018587345`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.781831482468029`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.6234898018587326`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.7818314824680298`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9009688679024188`"}], "+", 
       RowBox[{"0.43388373911755757`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9009688679024195`"}], "-", 
       RowBox[{"0.4338837391175581`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.2225209339563132`"}], "-", 
       RowBox[{"0.9749279121818227`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.22252093395631523`"}], "+", 
       RowBox[{"0.9749279121818223`", " ", "\[ImaginaryI]"}]}]},
     {"1.`", 
      RowBox[{"0.6234898018587337`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.781831482468031`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.6234898018587339`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.7818314824680308`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.90096886790242`"}], "-", 
       RowBox[{"0.4338837391175585`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9009688679024194`"}], "+", 
       RowBox[{"0.4338837391175584`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.22252093395631425`"}], "+", 
       RowBox[{"0.9749279121818242`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.2225209339563142`"}], "-", 
       RowBox[{"0.974927912181824`", " ", "\[ImaginaryI]"}]}]},
     {"1.`", 
      RowBox[{
       RowBox[{"-", "0.22252093395631398`"}], "-", 
       RowBox[{"0.9749279121818231`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.22252093395631428`"}], "+", 
       RowBox[{"0.9749279121818234`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.6234898018587327`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.7818314824680301`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.6234898018587332`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.7818314824680307`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9009688679024187`"}], "+", 
       RowBox[{"0.4338837391175581`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9009688679024188`"}], "-", 
       RowBox[{"0.4338837391175587`", " ", "\[ImaginaryI]"}]}]},
     {"1.`", 
      RowBox[{
       RowBox[{"-", "0.22252093395631417`"}], "+", 
       RowBox[{"0.9749279121818233`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.22252093395631511`"}], "-", 
       RowBox[{"0.974927912181824`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.6234898018587354`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.7818314824680292`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.6234898018587326`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.7818314824680305`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9009688679024193`"}], "-", 
       RowBox[{"0.4338837391175576`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9009688679024193`"}], "+", 
       RowBox[{"0.4338837391175594`", " ", "\[ImaginaryI]"}]}]},
     {"1.`", 
      RowBox[{
       RowBox[{"-", "0.9009688679024199`"}], "+", 
       RowBox[{"0.43388373911755856`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.90096886790242`"}], "-", 
       RowBox[{"0.4338837391175577`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.2225209339563159`"}], "-", 
       RowBox[{"0.9749279121818233`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.22252093395631287`"}], "+", 
       RowBox[{"0.9749279121818234`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.6234898018587335`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.7818314824680305`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.6234898018587345`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.7818314824680295`", " ", "\[ImaginaryI]"}]}]},
     {"1.`", 
      RowBox[{
       RowBox[{"-", "0.9009688679024183`"}], "-", 
       RowBox[{"0.43388373911755795`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9009688679024187`"}], "+", 
       RowBox[{"0.4338837391175577`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.2225209339563138`"}], "+", 
       RowBox[{"0.9749279121818232`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.22252093395631467`"}], "-", 
       RowBox[{"0.9749279121818236`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.6234898018587326`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.7818314824680298`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.6234898018587333`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.7818314824680294`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.8594627135178146`*^9, 3.859462753937871*^9}, {
   3.8594628777223296`*^9, 3.8594628958323545`*^9}, {3.8594629433554215`*^9, 
   3.85946307789561*^9}, {3.859463115585663*^9, 3.85946327072688*^9}, 
   3.8594633131379395`*^9, 3.8594633644790115`*^9, 3.8594634208390903`*^9, {
   3.859463474999166*^9, 3.859463597040337*^9}, 3.8594636436204023`*^9, 
   3.85946372781052*^9, {3.859463789900607*^9, 3.85946382780066*^9}, 
   3.8594638703907194`*^9, {3.859463921910792*^9, 3.859463939940817*^9}, 
   3.859463973670864*^9, 3.8594640079509125`*^9, 3.8594640385709553`*^9, {
   3.8598902552668114`*^9, 3.8598902824668493`*^9}},
 CellLabel->
  "Out[27]//MatrixForm=",ExpressionUUID->"b12fcc49-0499-4473-8bea-\
acbade120418"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"7.000000000000002`", "0", "0", "0", "0", "0", "0"},
     {"0", "7.0000000000000036`", "0", "0", "0", "0", "0"},
     {"0", "0", "7.0000000000000036`", "0", "0", "0", "0"},
     {"0", "0", "0", "7.000000000000002`", "0", "0", "0"},
     {"0", "0", "0", "0", "7.0000000000000036`", "0", "0"},
     {"0", "0", "0", "0", "0", "7.`", "0"},
     {"0", "0", "0", "0", "0", "0", "7.0000000000000036`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.8594627135178146`*^9, 3.859462753937871*^9}, {
   3.8594628777223296`*^9, 3.8594628958323545`*^9}, {3.8594629433554215`*^9, 
   3.85946307789561*^9}, {3.859463115585663*^9, 3.85946327072688*^9}, 
   3.8594633131379395`*^9, 3.8594633644790115`*^9, 3.8594634208390903`*^9, {
   3.859463474999166*^9, 3.859463597040337*^9}, 3.8594636436204023`*^9, 
   3.85946372781052*^9, {3.859463789900607*^9, 3.85946382780066*^9}, 
   3.8594638703907194`*^9, {3.859463921910792*^9, 3.859463939940817*^9}, 
   3.859463973670864*^9, 3.8594640079509125`*^9, 3.8594640385709553`*^9, {
   3.8598902552668114`*^9, 3.8598902824668493`*^9}},
 CellLabel->
  "Out[28]//MatrixForm=",ExpressionUUID->"a04558dc-b7e8-40ad-b4d4-\
e3f025cf04f5"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1.0000000000000002`", "1.0000000000000002`", "1.0000000000000002`", 
      "1.0000000000000002`", "1.0000000000000002`", "1.0000000000000002`", 
      "1.0000000000000002`"},
     {"1.0000000000000007`", "1.0000000000000004`", "1.`", 
      "1.0000000000000002`", "1.000000000000001`", "0.9999999999999996`", 
      "0.9999999999999996`"},
     {"0.9999999999999997`", "1.0000000000000007`", "1.0000000000000007`", 
      "1.0000000000000007`", "1.`", "1.`", "0.9999999999999999`"},
     {"1.0000000000000002`", "0.9999999999999997`", "1.`", "1.`", 
      "1.0000000000000007`", "0.9999999999999999`", "1.0000000000000002`"},
     {"1.`", "0.9999999999999997`", "1.0000000000000004`", 
      "1.0000000000000007`", "0.9999999999999999`", "1.`", 
      "1.0000000000000007`"},
     {"0.9999999999999998`", "1.0000000000000007`", "1.0000000000000004`", 
      "0.9999999999999998`", "0.9999999999999992`", "1.0000000000000002`", 
      "1.0000000000000002`"},
     {"1.0000000000000007`", "0.9999999999999999`", "1.0000000000000002`", 
      "1.0000000000000002`", "1.0000000000000007`", "1.0000000000000002`", 
      "1.`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.8594627135178146`*^9, 3.859462753937871*^9}, {
   3.8594628777223296`*^9, 3.8594628958323545`*^9}, {3.8594629433554215`*^9, 
   3.85946307789561*^9}, {3.859463115585663*^9, 3.85946327072688*^9}, 
   3.8594633131379395`*^9, 3.8594633644790115`*^9, 3.8594634208390903`*^9, {
   3.859463474999166*^9, 3.859463597040337*^9}, 3.8594636436204023`*^9, 
   3.85946372781052*^9, {3.859463789900607*^9, 3.85946382780066*^9}, 
   3.8594638703907194`*^9, {3.859463921910792*^9, 3.859463939940817*^9}, 
   3.859463973670864*^9, 3.8594640079509125`*^9, 3.8594640385709553`*^9, {
   3.8598902552668114`*^9, 3.8598902824668493`*^9}},
 CellLabel->
  "Out[29]//MatrixForm=",ExpressionUUID->"4ea15314-f59e-4135-973c-\
d2d945ab6adf"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{{3.8594627135178146`*^9, 3.859462753937871*^9}, {
   3.8594628777223296`*^9, 3.8594628958323545`*^9}, {3.8594629433554215`*^9, 
   3.85946307789561*^9}, {3.859463115585663*^9, 3.85946327072688*^9}, 
   3.8594633131379395`*^9, 3.8594633644790115`*^9, 3.8594634208390903`*^9, {
   3.859463474999166*^9, 3.859463597040337*^9}, 3.8594636436204023`*^9, 
   3.85946372781052*^9, {3.859463789900607*^9, 3.85946382780066*^9}, 
   3.8594638703907194`*^9, {3.859463921910792*^9, 3.859463939940817*^9}, 
   3.859463973670864*^9, 3.8594640079509125`*^9, 3.8594640385709553`*^9, {
   3.8598902552668114`*^9, 3.8598902824668493`*^9}},
 CellLabel->"Out[30]=",ExpressionUUID->"488ffc2e-d5cb-4500-8237-98ee6564624e"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.8594627135178146`*^9, 3.859462753937871*^9}, {
   3.8594628777223296`*^9, 3.8594628958323545`*^9}, {3.8594629433554215`*^9, 
   3.85946307789561*^9}, {3.859463115585663*^9, 3.85946327072688*^9}, 
   3.8594633131379395`*^9, 3.8594633644790115`*^9, 3.8594634208390903`*^9, {
   3.859463474999166*^9, 3.859463597040337*^9}, 3.8594636436204023`*^9, 
   3.85946372781052*^9, {3.859463789900607*^9, 3.85946382780066*^9}, 
   3.8594638703907194`*^9, {3.859463921910792*^9, 3.859463939940817*^9}, 
   3.859463973670864*^9, 3.8594640079509125`*^9, 3.8594640385709553`*^9, {
   3.8598902552668114`*^9, 3.8598902824768496`*^9}},
 CellLabel->"Out[31]=",ExpressionUUID->"a16d8cba-a0cb-441f-8638-3e9f207f5170"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["test for d = 10 and special seed", "Subsubsection",
 CellChangeTimes->{{3.859890286416855*^9, 
  3.8598902958668685`*^9}},ExpressionUUID->"9ec71b0b-1029-4f6a-adea-\
aeb96a25682c"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"d", "=", "10"}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c1", ",", "c2", ",", "c3", ",", "c4", ",", "c5"}], "}"}], "=", 
     RowBox[{"Flatten", "[", 
      RowBox[{
       RowBox[{"RandomVariate", "[", 
        RowBox[{
         RowBox[{"NormalDistribution", "[", "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "5"}], "}"}]}], "]"}], "+", 
       RowBox[{"I", " ", 
        RowBox[{"RandomVariate", "[", 
         RowBox[{
          RowBox[{"NormalDistribution", "[", "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", "5"}], "}"}]}], "]"}]}]}], "]"}]}], ";"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"c1", ",", "c2", ",", "c3", ",", "c4", ",", "c5"}], "}"}], "=", 
   RowBox[{"Exp", "[", 
    RowBox[{"I", " ", "2", " ", "Pi", " ", 
     RowBox[{"RandomReal", "[", 
      RowBox[{"1", ",", "5"}], "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"X", "[", "x_", "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x", ",", 
       FractionBox["1", "x"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "x"], ",", "x"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Seed", "=", 
    RowBox[{"ArrayFlatten", "@", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"X", "[", "c1", "]"}], ",", 
         RowBox[{"X", "[", "c2", "]"}], ",", 
         RowBox[{"X", "[", "c3", "]"}], ",", 
         RowBox[{"X", "[", "c4", "]"}], ",", 
         RowBox[{"X", "[", "c5", "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"X", "[", "c5", "]"}], ",", 
         RowBox[{"X", "[", "c1", "]"}], ",", 
         RowBox[{"X", "[", "c2", "]"}], ",", 
         RowBox[{"X", "[", "c3", "]"}], ",", 
         RowBox[{"X", "[", "c4", "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"X", "[", "c4", "]"}], ",", 
         RowBox[{"X", "[", "c5", "]"}], ",", 
         RowBox[{"Conjugate", "[", 
          RowBox[{"X", "[", "c1", "]"}], "]"}], ",", 
         RowBox[{"Conjugate", "[", 
          RowBox[{"X", "[", "c2", "]"}], "]"}], ",", 
         RowBox[{"Conjugate", "[", 
          RowBox[{"X", "[", "c3", "]"}], "]"}]}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"X", "[", "c3", "]"}], ",", 
         RowBox[{"X", "[", "c4", "]"}], ",", 
         RowBox[{"Conjugate", "[", 
          RowBox[{"X", "[", "c5", "]"}], "]"}], ",", 
         RowBox[{"Conjugate", "[", 
          RowBox[{"X", "[", "c1", "]"}], "]"}], ",", 
         RowBox[{"Conjugate", "[", 
          RowBox[{"X", "[", "c2", "]"}], "]"}]}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"X", "[", "c2", "]"}], ",", 
         RowBox[{"X", "[", "c3", "]"}], ",", 
         RowBox[{"Conjugate", "[", 
          RowBox[{"X", "[", "c4", "]"}], "]"}], ",", 
         RowBox[{"Conjugate", "[", 
          RowBox[{"X", "[", "c5", "]"}], "]"}], ",", 
         RowBox[{"Conjugate", "[", 
          RowBox[{"X", "[", "c1", "]"}], "]"}]}], "}"}]}], 
      "\[IndentingNewLine]", "}"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Y", "=", 
   RowBox[{"sinkhorn", "[", 
    RowBox[{"Seed", ",", "100000"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"YSymmetrized", "=", 
   RowBox[{
    TagBox[
     RowBox[{"(", "\[NoBreak]", GridBox[{
        {"0", "0", "1", "0", "0", "0", "0", "0", "0", "0"},
        {"0", "0", "0", "1", "0", "0", "0", "0", "0", "0"},
        {"1", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
        {"0", "1", "0", "0", "0", "0", "0", "0", "0", "0"},
        {"0", "0", "0", "0", "1", "0", "0", "0", "0", "0"},
        {"0", "0", "0", "0", "0", "1", "0", "0", "0", "0"},
        {"0", "0", "0", "0", "0", "0", "1", "0", "0", "0"},
        {"0", "0", "0", "0", "0", "0", "0", "1", "0", "0"},
        {"0", "0", "0", "0", "0", "0", "0", "0", "1", "0"},
        {"0", "0", "0", "0", "0", "0", "0", "0", "0", "1"}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.7]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}], "\[NoBreak]", ")"}],
     Function[BoxForm`e$, 
      MatrixForm[BoxForm`e$]]], ".", "Y", ".", 
    TagBox[
     RowBox[{"(", "\[NoBreak]", GridBox[{
        {"1", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
        {"0", "1", "0", "0", "0", "0", "0", "0", "0", "0"},
        {"0", "0", "1", "0", "0", "0", "0", "0", "0", "0"},
        {"0", "0", "0", "1", "0", "0", "0", "0", "0", "0"},
        {"0", "0", "0", "0", "0", "0", "0", "0", "1", "0"},
        {"0", "0", "0", "0", "0", "0", "0", "0", "0", "1"},
        {"0", "0", "0", "0", "0", "0", "1", "0", "0", "0"},
        {"0", "0", "0", "0", "0", "0", "0", "1", "0", "0"},
        {"0", "0", "0", "0", "1", "0", "0", "0", "0", "0"},
        {"0", "0", "0", "0", "0", "1", "0", "0", "0", "0"}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.7]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}], "\[NoBreak]", ")"}],
     Function[BoxForm`e$, 
      MatrixForm[BoxForm`e$]]]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"YSymmetrized", "//", "MatrixForm"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"YSymmetrized", "-", 
    RowBox[{"Transpose", "[", "YSymmetrized", "]"}]}], "//", "MatrixForm"}], "//",
   "Chop"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"YSymmetrized", ".", 
     RowBox[{"ConjugateTranspose", "[", "YSymmetrized", "]"}]}], "//", 
    "MatrixForm"}], "//", "N"}], "//", "Chop"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Abs", "[", "YSymmetrized", "]"}], "//", 
  "MatrixForm"}], "\[IndentingNewLine]", 
 RowBox[{"complexHadamardQ", "[", 
  RowBox[{"YSymmetrized", ",", 
   SuperscriptBox["10", 
    RowBox[{"-", "10"}]]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"unitaryDefect", "[", 
  RowBox[{"N", "@", "YSymmetrized"}], "]"}]}], "Input",
 CellChangeTimes->{{3.8594640509909725`*^9, 3.859464187841164*^9}, {
  3.859863734763874*^9, 3.85986378900395*^9}, {3.859863986735227*^9, 
  3.8598640556553235`*^9}, {3.8598642194928427`*^9, 3.8598642808839283`*^9}, {
  3.859864812584673*^9, 3.859864913514814*^9}, {3.859890297956871*^9, 
  3.8598902980968714`*^9}},
 Background->RGBColor[0.88, 1, 0.88],
 CellLabel->"In[32]:=",ExpressionUUID->"b3d49944-90d4-481b-b875-f7cf4940ec77"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{"-", "0.6818126118611261`"}], "+", 
       RowBox[{"0.7315268705297906`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.6818126118611981`"}], "-", 
       RowBox[{"0.7315268705297235`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.31142616767250997`"}], "+", 
       RowBox[{"0.9502703521045025`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.31142616767259734`"}], "-", 
       RowBox[{"0.950270352104473`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.674300939567892`"}], "-", 
       RowBox[{"0.7384566628434308`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.674300939567765`"}], "+", 
       RowBox[{"0.7384566628435482`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.9989683595183987`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.04541163596612282`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.9989683595183948`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.04541163596621195`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.6967967881490198`"}], "+", 
       RowBox[{"0.7172685940602794`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.6967967881491208`"}], "-", 
       RowBox[{"0.7172685940601816`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.681812611861132`"}], "-", 
       RowBox[{"0.7315268705297855`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.6818126118613225`"}], "+", 
       RowBox[{"0.7315268705296063`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.311426167672542`"}], "-", 
       RowBox[{"0.9502703521044911`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.3114261676727437`"}], "+", 
       RowBox[{"0.9502703521044249`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.6743009395678811`"}], "+", 
       RowBox[{"0.7384566628434411`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.6743009395677054`"}], "-", 
       RowBox[{"0.7384566628436025`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.9989683595184001`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.04541163596608477`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.9989683595183894`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.045411635966316005`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.69679678814899`"}], "-", 
       RowBox[{"0.7172685940603091`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.6967967881491712`"}], "+", 
       RowBox[{"0.7172685940601321`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.3114261676725981`"}], "+", 
       RowBox[{"0.950270352104473`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.31142616767259373`"}], "-", 
       RowBox[{"0.9502703521044744`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.8779315718255262`"}], "+", 
       RowBox[{"0.478786126774744`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.8779315718255268`"}], "-", 
       RowBox[{"0.4787861267747426`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.8167270289138905`"}], "+", 
       RowBox[{"0.5770242284700784`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.816727028913889`"}], "-", 
       RowBox[{"0.5770242284700801`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.978838866329719`"}], "-", 
       RowBox[{"0.20463253348954688`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9788388663297165`"}], "+", 
       RowBox[{"0.20463253348955934`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.08415064637108412`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.9964530439089084`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.08415064637108727`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.9964530439089082`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.31142616767263953`"}], "-", 
       RowBox[{"0.950270352104459`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.31142616767286474`"}], "+", 
       RowBox[{"0.9502703521043857`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.8779315718254231`"}], "-", 
       RowBox[{"0.4787861267749329`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.8779315718255187`"}], "+", 
       RowBox[{"0.4787861267747575`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.8167270289137304`"}], "-", 
       RowBox[{"0.5770242284703048`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.816727028913813`"}], "+", 
       RowBox[{"0.5770242284701876`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9788388663297394`"}], "+", 
       RowBox[{"0.20463253348944985`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9788388663296914`"}], "-", 
       RowBox[{"0.20463253348967866`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.08415064637088118`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.9964530439089254`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.0841506463710749`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.9964530439089082`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.6743009395678522`"}], "-", 
       RowBox[{"0.7384566628434684`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.6743009395678504`"}], "+", 
       RowBox[{"0.738456662843469`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.816727028913852`"}], "+", 
       RowBox[{"0.5770242284701329`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.8167270289138495`"}], "-", 
       RowBox[{"0.5770242284701369`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.7770597294460166`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.6294268638001425`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.7770597294460323`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.6294268638001245`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.3674461788365004`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.9300447869099928`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.3674461788365014`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.9300447869099937`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.7996478510390196`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.6004692451147499`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.7996478510390505`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.6004692451147104`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.6743009395677124`"}], "+", 
       RowBox[{"0.7384566628435962`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.6743009395677235`"}], "-", 
       RowBox[{"0.7384566628435859`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.816727028913882`"}], "-", 
       RowBox[{"0.5770242284700902`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.8167270289138452`"}], "+", 
       RowBox[{"0.577024228470143`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.7770597294460204`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.6294268638001372`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.7770597294459637`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.629426863800208`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.3674461788365175`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.9300447869099872`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.3674461788364801`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.9300447869100005`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.7996478510389785`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.6004692451148044`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.7996478510389686`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.600469245114819`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.9989683595183956`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.045411635966188794`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.9989683595183951`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.045411635966195865`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9788388663297385`"}], "-", 
       RowBox[{"0.204632533489453`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9788388663297304`"}], "+", 
       RowBox[{"0.20463253348949403`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.367446178836481`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.9300447869100013`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.3674461788365125`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.9300447869099877`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.2013307474982579`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.9795233177989138`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.20133074749821592`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.9795233177989232`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.6069480424335125`"}], "-", 
       RowBox[{"0.7947415138182528`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.6069480424334922`"}], "+", 
       RowBox[{"0.7947415138182673`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.9989683595183896`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.04541163596632306`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.9989683595183868`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.04541163596639197`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9788388663297056`"}], "+", 
       RowBox[{"0.2046325334896095`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9788388663296932`"}], "-", 
       RowBox[{"0.2046325334896705`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.36744617883636593`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.9300447869100472`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.36744617883637076`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.9300447869100442`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.2013307474981791`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.9795233177989308`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.20133074749809138`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.9795233177989489`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.6069480424334427`"}], "+", 
       RowBox[{"0.7947415138183065`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.6069480424334092`"}], "-", 
       RowBox[{"0.7947415138183297`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.6967967881489439`"}], "+", 
       RowBox[{"0.7172685940603536`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.6967967881489741`"}], "-", 
       RowBox[{"0.7172685940603243`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.08415064637102969`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.9964530439089128`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.08415064637105252`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.9964530439089107`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.7996478510390526`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.6004692451147067`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.799647851039068`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.6004692451146865`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.6069480424333463`"}], "-", 
       RowBox[{"0.7947415138183784`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.6069480424333356`"}], "+", 
       RowBox[{"0.7947415138183871`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9997851233416913`"}], "+", 
       RowBox[{"0.020729378780884548`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9997851233416913`"}], "-", 
       RowBox[{"0.020729378780848167`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.6967967881492313`"}], "-", 
       RowBox[{"0.717268594060073`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.6967967881491399`"}], "+", 
       RowBox[{"0.7172685940601641`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.08415064637116047`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.9964530439089012`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.08415064637097064`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.9964530439089184`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.7996478510390933`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.6004692451146515`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.7996478510389479`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.6004692451148459`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.6069480424334218`"}], "+", 
       RowBox[{"0.7947415138183226`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.6069480424335644`"}], "-", 
       RowBox[{"0.7947415138182128`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9997851233416908`"}], "-", 
       RowBox[{"0.02072937878082641`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9997851233416871`"}], "+", 
       RowBox[{"0.020729378781011422`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8598637966849613`*^9, 3.8598638608350506`*^9, {3.8598640191052723`*^9, 
   3.859864061205331*^9}, {3.859864196872811*^9, 3.859864225652851*^9}, {
   3.8598642733139176`*^9, 3.8598642902039413`*^9}, 3.8598648415647135`*^9, 
   3.8598648738347583`*^9, 3.859864920004823*^9, 3.85989030410688*^9},
 CellLabel->
  "Out[38]//MatrixForm=",ExpressionUUID->"dba1d49d-f174-4012-afaa-\
654bcb049062"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8598637966849613`*^9, 3.8598638608350506`*^9, {3.8598640191052723`*^9, 
   3.859864061205331*^9}, {3.859864196872811*^9, 3.859864225652851*^9}, {
   3.8598642733139176`*^9, 3.8598642902039413`*^9}, 3.8598648415647135`*^9, 
   3.8598648738347583`*^9, 3.859864920004823*^9, 3.85989030411688*^9},
 CellLabel->
  "Out[39]//MatrixForm=",ExpressionUUID->"317cb74b-50eb-4dec-9b39-\
b9ab843ec09b"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"9.999999999999998`", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "9.999999999999996`", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "10.000000000000002`", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "9.999999999999998`", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "10.000000000000005`", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "10.000000000000002`", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "10.`", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "10.000000000000005`", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "10.000000000000004`", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "10.`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8598637966849613`*^9, 3.8598638608350506`*^9, {3.8598640191052723`*^9, 
   3.859864061205331*^9}, {3.859864196872811*^9, 3.859864225652851*^9}, {
   3.8598642733139176`*^9, 3.8598642902039413`*^9}, 3.8598648415647135`*^9, 
   3.8598648738347583`*^9, 3.859864920004823*^9, 3.85989030411688*^9},
 CellLabel->
  "Out[40]//MatrixForm=",ExpressionUUID->"591d1530-1f99-4049-a902-\
75a684a0c05a"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.9999999999999998`", "0.9999999999999999`", "1.0000000000000007`", 
      "0.9999999999999999`", "0.9999999999999992`", "1.0000000000000002`", 
      "1.0000000000000002`", "1.0000000000000002`", "1.`", 
      "1.0000000000000002`"},
     {"1.`", "0.9999999999999989`", "0.9999999999999999`", 
      "0.9999999999999998`", "0.9999999999999994`", "1.0000000000000002`", 
      "0.9999999999999999`", "0.9999999999999996`", "1.0000000000000004`", 
      "0.9999999999999998`"},
     {"1.0000000000000002`", "1.0000000000000002`", "1.0000000000000002`", 
      "1.`", "1.`", "0.9999999999999999`", "1.`", "1.0000000000000002`", 
      "1.0000000000000002`", "1.0000000000000002`"},
     {"0.9999999999999997`", "1.0000000000000002`", "1.`", "1.`", 
      "0.9999999999999999`", "0.9999999999999998`", "1.`", "1.`", "1.`", 
      "0.9999999999999991`"},
     {"1.0000000000000002`", "0.9999999999999993`", "1.`", 
      "1.0000000000000004`", "0.9999999999999998`", "1.0000000000000007`", 
      "0.9999999999999997`", "1.0000000000000009`", "0.9999999999999998`", 
      "1.0000000000000009`"},
     {"1.0000000000000002`", "1.0000000000000002`", "1.`", 
      "1.0000000000000004`", "0.9999999999999994`", "0.9999999999999999`", 
      "1.0000000000000007`", "0.9999999999999993`", "0.9999999999999997`", 
      "1.0000000000000007`"},
     {"1.`", "0.9999999999999999`", "0.9999999999999999`", 
      "1.0000000000000004`", "1.0000000000000004`", "0.9999999999999993`", 
      "0.9999999999999996`", "1.0000000000000004`", "1.0000000000000004`", 
      "0.9999999999999997`"},
     {"1.0000000000000002`", "1.0000000000000004`", "0.9999999999999998`", 
      "1.`", "1.0000000000000009`", "0.9999999999999999`", 
      "1.0000000000000002`", "1.0000000000000004`", "1.0000000000000009`", 
      "0.9999999999999989`"},
     {"1.0000000000000002`", "1.0000000000000002`", "0.9999999999999999`", 
      "0.9999999999999997`", "1.0000000000000002`", "1.0000000000000004`", 
      "0.9999999999999994`", "0.9999999999999998`", "1.000000000000001`", 
      "1.0000000000000004`"},
     {"0.9999999999999993`", "1.0000000000000009`", "0.9999999999999993`", 
      "1.0000000000000004`", "0.9999999999999997`", "1.0000000000000002`", 
      "1.0000000000000009`", "1.0000000000000002`", "0.9999999999999994`", 
      "0.9999999999999996`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8598637966849613`*^9, 3.8598638608350506`*^9, {3.8598640191052723`*^9, 
   3.859864061205331*^9}, {3.859864196872811*^9, 3.859864225652851*^9}, {
   3.8598642733139176`*^9, 3.8598642902039413`*^9}, 3.8598648415647135`*^9, 
   3.8598648738347583`*^9, 3.859864920004823*^9, 3.85989030411688*^9},
 CellLabel->
  "Out[41]//MatrixForm=",ExpressionUUID->"c4f94e23-d5e4-4a4c-ae83-\
68485ae688e9"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{
  3.8598637966849613`*^9, 3.8598638608350506`*^9, {3.8598640191052723`*^9, 
   3.859864061205331*^9}, {3.859864196872811*^9, 3.859864225652851*^9}, {
   3.8598642733139176`*^9, 3.8598642902039413`*^9}, 3.8598648415647135`*^9, 
   3.8598648738347583`*^9, 3.859864920004823*^9, 3.8598903041268797`*^9},
 CellLabel->"Out[42]=",ExpressionUUID->"4c6d81ff-ea11-4a1e-b589-5c7da4dfe3ec"],

Cell[BoxData["4"], "Output",
 CellChangeTimes->{
  3.8598637966849613`*^9, 3.8598638608350506`*^9, {3.8598640191052723`*^9, 
   3.859864061205331*^9}, {3.859864196872811*^9, 3.859864225652851*^9}, {
   3.8598642733139176`*^9, 3.8598642902039413`*^9}, 3.8598648415647135`*^9, 
   3.8598648738347583`*^9, 3.859864920004823*^9, 3.8598903041268797`*^9},
 CellLabel->"Out[43]=",ExpressionUUID->"216a54bc-3eb0-4cbe-af8b-119e02275cfe"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["test for d = 11 and special seed", "Subsubsection",
 CellChangeTimes->{{3.8598903068668838`*^9, 
  3.8598903163268967`*^9}},ExpressionUUID->"930925e7-9b2a-4718-8465-\
ebab89dd1f74"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"d", "=", "11"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Seed", "=", 
     RowBox[{"RandomComplex", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "1"}], "-", "I"}], ",", 
         RowBox[{"1", "+", "I"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"d", ",", "d"}], "}"}]}], "]"}]}], ";"}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"c1", ",", "c2", ",", "c3", ",", "c4", ",", "c5"}], "}"}], "=", 
   RowBox[{"Flatten", "[", 
    RowBox[{
     RowBox[{"RandomVariate", "[", 
      RowBox[{
       RowBox[{"NormalDistribution", "[", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "5"}], "}"}]}], "]"}], "+", 
     RowBox[{"I", " ", 
      RowBox[{"RandomVariate", "[", 
       RowBox[{
        RowBox[{"NormalDistribution", "[", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "5"}], "}"}]}], "]"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"X", "[", "x_", "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x", ",", 
       FractionBox["1", "x"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "x"], ",", "x"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"coreSeed", "=", 
   RowBox[{"ArrayFlatten", "@", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"X", "[", "c1", "]"}], ",", 
        RowBox[{"X", "[", "c2", "]"}], ",", 
        RowBox[{"X", "[", "c3", "]"}], ",", 
        RowBox[{"X", "[", "c4", "]"}], ",", 
        RowBox[{"X", "[", "c5", "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"X", "[", "c5", "]"}], ",", 
        RowBox[{"X", "[", "c1", "]"}], ",", 
        RowBox[{"X", "[", "c2", "]"}], ",", 
        RowBox[{"X", "[", "c3", "]"}], ",", 
        RowBox[{"X", "[", "c4", "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"X", "[", "c4", "]"}], ",", 
        RowBox[{"X", "[", "c5", "]"}], ",", 
        RowBox[{"X", "[", "c1", "]"}], ",", 
        RowBox[{"X", "[", "c2", "]"}], ",", 
        RowBox[{"X", "[", "c3", "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"X", "[", "c3", "]"}], ",", 
        RowBox[{"X", "[", "c4", "]"}], ",", 
        RowBox[{"X", "[", "c5", "]"}], ",", 
        RowBox[{"X", "[", "c1", "]"}], ",", 
        RowBox[{"X", "[", "c2", "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"X", "[", "c2", "]"}], ",", 
        RowBox[{"X", "[", "c3", "]"}], ",", 
        RowBox[{"X", "[", "c4", "]"}], ",", 
        RowBox[{"X", "[", "c5", "]"}], ",", 
        RowBox[{"X", "[", "c1", "]"}]}], "}"}]}], "\[IndentingNewLine]", 
     "}"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Seed", "=", 
   RowBox[{"ConstantArray", "[", 
    RowBox[{"1", ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "d"}], "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Seed", "\[LeftDoubleBracket]", 
     RowBox[{
      RowBox[{"2", ";;", "d"}], ",", 
      RowBox[{"2", ";;", "d"}]}], "\[RightDoubleBracket]"}], "=", 
    "coreSeed"}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Y", "=", 
   RowBox[{"sinkhorn", "[", 
    RowBox[{"Seed", ",", "100000"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dephase", "[", "Y", "]"}], "//", "MatrixForm"}], "//", 
  "Chop"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Y", ".", 
     RowBox[{"ConjugateTranspose", "[", "Y", "]"}]}], "//", "MatrixForm"}], "//",
    "N"}], "//", "Chop"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Abs", "[", "Y", "]"}], "//", "MatrixForm"}], "\[IndentingNewLine]", 
 RowBox[{"complexHadamardQ", "[", 
  RowBox[{"Y", ",", 
   SuperscriptBox["10", 
    RowBox[{"-", "10"}]]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"unitaryDefect", "[", 
  RowBox[{"N", "@", "Y"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"haagerup", "[", "Y", "]"}], "//", "Dimensions"}], 
   "*)"}]}]}], "Input",
 CellChangeTimes->{{3.8594640509909725`*^9, 3.859464187841164*^9}, {
  3.8598903181068993`*^9, 3.8598903182268996`*^9}},
 Background->RGBColor[0.88, 1, 0.88],
 CellLabel->"In[44]:=",ExpressionUUID->"c647d59c-9144-4697-a3ee-6bfc9d910639"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1.`", "1.`", "1.`", "1.`", "1.`", "1.`", "1.`", "1.`", "1.`", "1.`", 
      "1.`"},
     {"1.`", 
      RowBox[{
       RowBox[{"-", "0.9224570915653324`"}], "+", 
       RowBox[{"0.3860996169653975`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9224570915653326`"}], "-", 
       RowBox[{"0.38609961696539785`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.11635828524797424`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.9932073043701147`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.11635828524797279`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.9932073043701152`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.9978249086418473`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.06592004015388066`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.9978249086418477`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.06592004015387842`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.6203048619804494`"}], "-", 
       RowBox[{"0.7843608086865475`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.6203048619804513`"}], "+", 
       RowBox[{"0.7843608086865457`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.07142124034403824`"}], "+", 
       RowBox[{"0.997446242374856`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.07142124034403742`"}], "-", 
       RowBox[{"0.9974462423748558`", " ", "\[ImaginaryI]"}]}]},
     {"1.`", 
      RowBox[{
       RowBox[{"-", "0.9224570915653336`"}], "-", 
       RowBox[{"0.3860996169653974`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9224570915653332`"}], "+", 
       RowBox[{"0.3860996169653959`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.11635828524797422`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.9932073043701151`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.1163582852479732`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.9932073043701165`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.9978249086418477`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.06592004015387767`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.9978249086418468`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.06592004015388016`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.6203048619804532`"}], "+", 
       RowBox[{"0.7843608086865466`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.6203048619804491`"}], "-", 
       RowBox[{"0.7843608086865487`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.07142124034403728`"}], "-", 
       RowBox[{"0.9974462423748554`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.07142124034403619`"}], "+", 
       RowBox[{"0.9974462423748555`", " ", "\[ImaginaryI]"}]}]},
     {"1.`", 
      RowBox[{
       RowBox[{"-", "0.0714212403440403`"}], "+", 
       RowBox[{"0.9974462423748561`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.07142124034403594`"}], "-", 
       RowBox[{"0.997446242374856`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9224570915653346`"}], "+", 
       RowBox[{"0.38609961696539447`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9224570915653327`"}], "-", 
       RowBox[{"0.3860996169653979`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.11635828524797232`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.9932073043701153`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.1163582852479763`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.993207304370116`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.9978249086418477`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.0659200401538825`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.9978249086418476`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.06592004015387713`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.6203048619804493`"}], "-", 
       RowBox[{"0.7843608086865487`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.620304861980451`"}], "+", 
       RowBox[{"0.7843608086865476`", " ", "\[ImaginaryI]"}]}]},
     {"1.`", 
      RowBox[{
       RowBox[{"-", "0.07142124034403585`"}], "-", 
       RowBox[{"0.9974462423748561`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.07142124034403925`"}], "+", 
       RowBox[{"0.9974462423748558`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9224570915653348`"}], "-", 
       RowBox[{"0.38609961696539785`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9224570915653338`"}], "+", 
       RowBox[{"0.38609961696539646`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.11635828524797567`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.9932073043701162`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.11635828524797302`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.9932073043701161`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.997824908641848`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.06592004015387902`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.9978249086418485`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.06592004015388078`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.6203048619804507`"}], "+", 
       RowBox[{"0.7843608086865472`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.6203048619804499`"}], "-", 
       RowBox[{"0.7843608086865482`", " ", "\[ImaginaryI]"}]}]},
     {"1.`", 
      RowBox[{
       RowBox[{"-", "0.6203048619804501`"}], "-", 
       RowBox[{"0.7843608086865462`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.6203048619804502`"}], "+", 
       RowBox[{"0.7843608086865473`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.07142124034403688`"}], "+", 
       RowBox[{"0.9974462423748551`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.07142124034403886`"}], "-", 
       RowBox[{"0.9974462423748551`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9224570915653326`"}], "+", 
       RowBox[{"0.386099616965396`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9224570915653331`"}], "-", 
       RowBox[{"0.38609961696539646`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.11635828524797281`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.9932073043701144`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.11635828524797528`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.993207304370114`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.9978249086418465`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.06592004015387876`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.9978249086418473`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.06592004015388021`", " ", "\[ImaginaryI]"}]}]},
     {"1.`", 
      RowBox[{
       RowBox[{"-", "0.620304861980452`"}], "+", 
       RowBox[{"0.7843608086865468`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.6203048619804487`"}], "-", 
       RowBox[{"0.7843608086865484`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.0714212403440352`"}], "-", 
       RowBox[{"0.9974462423748559`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.07142124034403843`"}], "+", 
       RowBox[{"0.997446242374855`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9224570915653331`"}], "-", 
       RowBox[{"0.3860996169653983`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9224570915653343`"}], "+", 
       RowBox[{"0.3860996169653959`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.1163582852479767`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.9932073043701151`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.11635828524797132`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.9932073043701158`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.9978249086418475`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.06592004015387724`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.9978249086418473`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.06592004015388152`", " ", "\[ImaginaryI]"}]}]},
     {"1.`", 
      RowBox[{"0.9978249086418466`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.06592004015387787`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.9978249086418466`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.06592004015387981`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.6203048619804505`"}], "-", 
       RowBox[{"0.7843608086865462`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.6203048619804484`"}], "+", 
       RowBox[{"0.7843608086865478`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.07142124034403732`"}], "+", 
       RowBox[{"0.9974462423748551`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.0714212403440396`"}], "-", 
       RowBox[{"0.9974462423748539`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9224570915653323`"}], "+", 
       RowBox[{"0.3860996169653957`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9224570915653318`"}], "-", 
       RowBox[{"0.3860996169653967`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.116358285247974`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.9932073043701143`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.11635828524797255`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.9932073043701146`", " ", "\[ImaginaryI]"}]}]},
     {"1.`", 
      RowBox[{"0.9978249086418475`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.06592004015387862`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.997824908641847`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.06592004015388142`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.6203048619804503`"}], "+", 
       RowBox[{"0.7843608086865466`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.6203048619804503`"}], "-", 
       RowBox[{"0.7843608086865471`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.07142124034403616`"}], "-", 
       RowBox[{"0.9974462423748549`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.07142124034403813`"}], "+", 
       RowBox[{"0.997446242374855`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9224570915653335`"}], "-", 
       RowBox[{"0.3860996169653983`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9224570915653336`"}], "+", 
       RowBox[{"0.38609961696539574`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.11635828524797301`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.9932073043701155`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.11635828524797427`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.9932073043701156`", " ", "\[ImaginaryI]"}]}]},
     {"1.`", 
      RowBox[{"0.11635828524797368`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.9932073043701142`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.11635828524797322`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.9932073043701137`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.997824908641846`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.06592004015387942`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.9978249086418461`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.06592004015387931`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.6203048619804498`"}], "-", 
       RowBox[{"0.784360808686547`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.6203048619804487`"}], "+", 
       RowBox[{"0.7843608086865466`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.07142124034404013`"}], "+", 
       RowBox[{"0.9974462423748546`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.07142124034403514`"}], "-", 
       RowBox[{"0.997446242374855`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9224570915653324`"}], "+", 
       RowBox[{"0.3860996169653956`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9224570915653328`"}], "-", 
       RowBox[{"0.38609961696539546`", " ", "\[ImaginaryI]"}]}]},
     {"1.`", 
      RowBox[{"0.11635828524797534`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.993207304370115`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.11635828524797133`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.9932073043701156`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.9978249086418463`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.06592004015387697`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.9978249086418465`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.06592004015388002`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.6203048619804509`"}], "+", 
       RowBox[{"0.7843608086865453`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.6203048619804491`"}], "-", 
       RowBox[{"0.7843608086865477`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.0714212403440344`"}], "-", 
       RowBox[{"0.9974462423748549`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.07142124034403897`"}], "+", 
       RowBox[{"0.9974462423748555`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.922457091565333`"}], "-", 
       RowBox[{"0.3860996169653971`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.9224570915653337`"}], "+", 
       RowBox[{"0.38609961696539546`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.8594641885911655`*^9, 3.8594641980011787`*^9}, 
   3.8598903283569136`*^9},
 CellLabel->
  "Out[51]//MatrixForm=",ExpressionUUID->"8c20a4bc-2c58-4b0e-ae1c-\
ef2a100ca29d"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"11.`", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "11.`", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "11.000000000000002`", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "11.`", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "11.000000000000004`", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "10.999999999999996`", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "11.000000000000002`", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "10.999999999999998`", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "10.999999999999996`", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "11.`", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "10.999999999999996`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.8594641885911655`*^9, 3.8594641980011787`*^9}, 
   3.859890328366914*^9},
 CellLabel->
  "Out[52]//MatrixForm=",ExpressionUUID->"8eb9af8c-9b00-48b7-a0ea-\
a43dca5639d7"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.9999999999999997`", "1.`", "1.`", "1.`", "1.`", "1.`", "1.`", "1.`", 
      "1.`", "1.`", "1.`"},
     {"0.9999999999999998`", "0.9999999999999997`", "0.9999999999999999`", 
      "0.9999999999999994`", "0.9999999999999999`", "1.0000000000000002`", 
      "1.0000000000000007`", "0.9999999999999999`", "0.9999999999999996`", 
      "1.0000000000000007`", "1.0000000000000004`"},
     {"0.9999999999999997`", "1.0000000000000004`", "0.9999999999999994`", 
      "0.9999999999999997`", "1.0000000000000009`", "1.0000000000000002`", 
      "0.9999999999999996`", "1.000000000000001`", "1.0000000000000002`", 
      "0.9999999999999997`", "0.9999999999999998`"},
     {"0.9999999999999994`", "1.0000000000000004`", "1.`", "1.`", 
      "0.9999999999999996`", "0.9999999999999994`", "1.0000000000000007`", 
      "1.0000000000000004`", "1.`", "1.0000000000000002`", 
      "1.0000000000000004`"},
     {"0.9999999999999992`", "0.9999999999999999`", "1.`", 
      "1.000000000000001`", "0.9999999999999999`", "1.0000000000000007`", 
      "1.`", "1.0000000000000002`", "1.0000000000000009`", 
      "0.9999999999999998`", "1.`"},
     {"1.`", "0.9999999999999994`", "1.0000000000000004`", "1.`", "1.`", 
      "0.9999999999999994`", "1.`", "0.9999999999999993`", 
      "0.9999999999999992`", "0.9999999999999996`", "1.0000000000000004`"},
     {"0.9999999999999997`", "1.0000000000000007`", "0.9999999999999998`", 
      "1.0000000000000002`", "0.9999999999999994`", "1.0000000000000004`", 
      "1.0000000000000004`", "0.9999999999999999`", "1.`", "1.`", "1.`"},
     {"1.0000000000000004`", "1.`", "1.0000000000000002`", "1.`", "1.`", 
      "1.0000000000000004`", "0.9999999999999993`", "0.9999999999999993`", 
      "0.9999999999999994`", "0.9999999999999998`", "0.9999999999999999`"},
     {"0.9999999999999997`", "1.0000000000000002`", "0.9999999999999999`", 
      "0.9999999999999993`", "0.9999999999999999`", "0.9999999999999991`", 
      "0.9999999999999996`", "1.0000000000000007`", "0.9999999999999998`", 
      "1.`", "1.0000000000000002`"},
     {"1.0000000000000007`", "0.9999999999999999`", "0.9999999999999993`", 
      "0.9999999999999999`", "0.9999999999999999`", "1.0000000000000007`", 
      "0.9999999999999996`", "1.0000000000000002`", "1.0000000000000002`", 
      "0.9999999999999998`", "1.0000000000000002`"},
     {"1.`", "1.0000000000000002`", "1.0000000000000002`", 
      "0.9999999999999992`", "0.9999999999999998`", "0.9999999999999991`", 
      "0.9999999999999999`", "0.9999999999999994`", "1.0000000000000004`", 
      "1.0000000000000002`", "1.0000000000000002`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.8594641885911655`*^9, 3.8594641980011787`*^9}, 
   3.859890328366914*^9},
 CellLabel->
  "Out[53]//MatrixForm=",ExpressionUUID->"133ae8f6-a62d-4f4e-abff-\
f135e6d69f9f"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{{3.8594641885911655`*^9, 3.8594641980011787`*^9}, 
   3.859890328376914*^9},
 CellLabel->"Out[54]=",ExpressionUUID->"753acc3d-f7bd-49c6-b96a-187dccace3e1"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.8594641885911655`*^9, 3.8594641980011787`*^9}, 
   3.8598903284069138`*^9},
 CellLabel->"Out[55]=",ExpressionUUID->"58777b98-9762-42d7-9579-03b135bb403d"]
}, Open  ]]
}, Closed]]
}, Open  ]]
},
WindowSize->{1920, 998},
WindowMargins->{{-4, Automatic}, {Automatic, -4}},
FrontEndVersion->"12.0 for Microsoft Windows (64-bit) (April 8, 2019)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 219, 4, 53, "Subsection",ExpressionUUID->"09c82dd7-8ce8-4a3f-af3b-57ff41571fcc"],
Cell[CellGroupData[{
Cell[824, 30, 184, 3, 44, "Subsubsection",ExpressionUUID->"258c2d49-baf9-4b2a-bde6-db3740f79581"],
Cell[CellGroupData[{
Cell[1033, 37, 4391, 121, 426, "Input",ExpressionUUID->"783085b9-a79d-4eb1-bce3-2ff79a18f449"],
Cell[5427, 160, 6007, 128, 147, "Output",ExpressionUUID->"b12fcc49-0499-4473-8bea-acbade120418"],
Cell[11437, 290, 1586, 32, 147, "Output",ExpressionUUID->"a04558dc-b7e8-40ad-b4d4-e3f025cf04f5"],
Cell[13026, 324, 2315, 44, 147, "Output",ExpressionUUID->"4ea15314-f59e-4135-973c-d2d945ab6adf"],
Cell[15344, 370, 750, 10, 32, "Output",ExpressionUUID->"488ffc2e-d5cb-4500-8237-98ee6564624e"],
Cell[16097, 382, 747, 10, 32, "Output",ExpressionUUID->"a16d8cba-a0cb-441f-8638-3e9f207f5170"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[16893, 398, 185, 3, 36, "Subsubsection",ExpressionUUID->"9ec71b0b-1029-4f6a-adea-aeb96a25682c"],
Cell[CellGroupData[{
Cell[17103, 405, 7102, 178, 621, "Input",ExpressionUUID->"b3d49944-90d4-481b-b875-f7cf4940ec77"],
Cell[24208, 585, 13928, 291, 198, "Output",ExpressionUUID->"dba1d49d-f174-4012-afaa-654bcb049062"],
Cell[38139, 878, 1432, 31, 198, "Output",ExpressionUUID->"317cb74b-50eb-4dec-9b39-b9ab843ec09b"],
Cell[39574, 911, 1579, 31, 198, "Output",ExpressionUUID->"591d1530-1f99-4049-a902-75a684a0c05a"],
Cell[41156, 944, 3203, 59, 198, "Output",ExpressionUUID->"c4f94e23-d5e4-4a4c-ae83-68485ae688e9"],
Cell[44362, 1005, 431, 6, 32, "Output",ExpressionUUID->"4c6d81ff-ea11-4a1e-b589-5c7da4dfe3ec"],
Cell[44796, 1013, 428, 6, 32, "Output",ExpressionUUID->"216a54bc-3eb0-4cbe-af8b-119e02275cfe"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[45273, 1025, 187, 3, 36, "Subsubsection",ExpressionUUID->"930925e7-9b2a-4718-8465-ebab89dd1f74"],
Cell[CellGroupData[{
Cell[45485, 1032, 4634, 132, 464, "Input",ExpressionUUID->"c647d59c-9144-4697-a3ee-6bfc9d910639"],
Cell[50122, 1166, 13895, 290, 215, "Output",ExpressionUUID->"8c20a4bc-2c58-4b0e-ae1c-ef2a100ca29d"],
Cell[64020, 1458, 1460, 29, 215, "Output",ExpressionUUID->"8eb9af8c-9b00-48b7-a0ea-a43dca5639d7"],
Cell[65483, 1489, 3246, 57, 215, "Output",ExpressionUUID->"133ae8f6-a62d-4f4e-abff-f135e6d69f9f"],
Cell[68732, 1548, 206, 3, 32, "Output",ExpressionUUID->"753acc3d-f7bd-49c6-b96a-187dccace3e1"],
Cell[68941, 1553, 205, 3, 32, "Output",ExpressionUUID->"58777b98-9762-42d7-9579-03b135bb403d"]
}, Open  ]]
}, Closed]]
}, Open  ]]
}
]
*)

